/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks include file
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this include file. It is generated from DrBase repository.
 *
 *  Built on: 2023-07-23 21:21:19Z
 *****************************************************************************/

#ifndef __RSSMXV_ATTRIBUTES_HEADER
#define __RSSMXV_ATTRIBUTES_HEADER

#include "rscore.h"

#if defined(__cplusplus) || defined(__cplusplus__)
extern "C" {
#endif

/*****************************************************************************
 *- Read Callbacks ----------------------------------------------------------*
 *****************************************************************************/
ViStatus rssmxv_hexString_ReadCallback(ViSession          io,
                                       ViConstString      repCapName,
                                       RsCoreAttributePtr attr);

ViStatus rssmxv_logging_ReadCallback(ViSession          io,
                                     ViConstString      repCapName,
                                     RsCoreAttributePtr attr);

/*****************************************************************************
 *- Write Callbacks ---------------------------------------------------------*
 *****************************************************************************/
ViStatus rssmxv_hexString_WriteCallback(ViSession          io,
                                        ViConstString      repCapName,
                                        RsCoreAttributePtr attr,
                                        void               *value);

ViStatus rssmxv_logging_WriteCallback(ViSession          io,
                                      ViConstString      repCapName,
                                      RsCoreAttributePtr attr,
                                      void               *value);

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/
extern RsCoreRangeTableDiscrete RsSMxV_rngReferenceOscillatorSource;
extern RsCoreRangeTableRanged RsSMxV_rngAMDepth;
extern RsCoreRangeTableRanged RsSMxV_rngPMDeviation;
extern RsCoreRangeTableRanged RsSMxV_rngIQGainImbalance;
extern RsCoreRangeTableDiscrete RsSMxV_rngReferenceOscillatorExternalFrequency;
extern RsCoreRangeTableDiscrete RsSMxV_rngDMDigitalStandard;
extern RsCoreRangeTableRanged RsSMxV_rngFilterParameterGaussPure;
extern RsCoreRangeTableRanged RsSMxV_rngMarkerPulseDivider;
extern RsCoreRangeTableRanged RsSMxV_rngFilterParameterRootCosine;
extern RsCoreRangeTableRanged RsSMxV_rngFilterParameterAPCO25;
extern RsCoreRangeTableRanged RsSMxV_rngFilterParameterLowpass;
extern RsCoreRangeTableDiscrete RsSMxV_rngTrgTriggerMode;
extern RsCoreRangeTableDiscrete RsSMxV_rngDMCoding;
extern RsCoreRangeTableDiscrete RsSMxV_rngDMDataSource;
extern RsCoreRangeTableDiscrete RsSMxV_rngDMPRBSType;
extern RsCoreRangeTableDiscrete RsSMxV_rngDMModulationType;
extern RsCoreRangeTableRanged RsSMxV_rngDMASKDepth;
extern RsCoreRangeTableRanged RsSMxV_rngDMFSKDeviation;
extern RsCoreRangeTableDiscrete RsSMxV_rngDMVariableFSKType;
extern RsCoreRangeTableRanged RsSMxV_rngDMAQPSKAngleAlpha;
extern RsCoreRangeTableRanged RsSMxV_rngDMVariableFSKDeviation;
extern RsCoreRangeTableDiscrete RsSMxV_rngDMFilterType;
extern RsCoreRangeTableDiscrete RsSMxV_rngDMPowerRampSource;
extern RsCoreRangeTableDiscrete RsSMxV_rngDMPowerRampFunction;
extern RsCoreRangeTableRanged RsSMxV_rngDMPowerRampTime;
extern RsCoreRangeTableRanged RsSMxV_rngDMPowerRampDelay;
extern RsCoreRangeTableRanged RsSMxV_rngDMAttenuation;
extern RsCoreRangeTableDiscrete RsSMxV_rngDMMarkerMode;
extern RsCoreRangeTableDiscrete RsSMxV_rngARBExtendedTriggerMode;
extern RsCoreRangeTableDiscrete RsSMxV_rngARBSignalDurationUnit;
extern RsCoreRangeTableDiscrete RsSMxV_rngARBMarkerMode;
extern RsCoreRangeTableRanged RsSMxV_rngARBTsignalFrequency;
extern RsCoreRangeTableRanged RsSMxV_rngARBTsignalPhase;
extern RsCoreRangeTableRanged RsSMxV_rngARBTsignalSamples;
extern RsCoreRangeTableRanged RsSMxV_rngARBTsignalRectangleFrequency;
extern RsCoreRangeTableRanged RsSMxV_rngARBTsignalRectangleAmplitude;
extern RsCoreRangeTableRanged RsSMxV_rngARBOffsetDC;
extern RsCoreRangeTableRanged RsSMxV_rngARBSamples;
extern RsCoreRangeTableRanged RsSMxV_rngARBTsignalCIQ;
extern RsCoreRangeTableRanged RsSMxV_rngARBOutputSegment;
extern RsCoreRangeTableDiscrete RsSMxV_rngARBMultisegmentLevelMode;
extern RsCoreRangeTableDiscrete RsSMxV_rngARBSequenceRestart;
extern RsCoreRangeTableDiscrete RsSMxV_rngARBMultisegmentClockMode;
extern RsCoreRangeTableDiscrete RsSMxV_rngARBMultiCarrierMode;
extern RsCoreRangeTableDiscrete RsSMxV_rngARBMultiCarrierCrestFactorMode;
extern RsCoreRangeTableDiscrete RsSMxV_rngARBSignalPeriodMode;
extern RsCoreRangeTableRanged RsSMxV_rngARBMultiCarrierCount;
extern RsCoreRangeTableRanged RsSMxV_rngARBMultiCarrierFrequency;
extern RsCoreRangeTableRanged RsSMxV_rngARBMultiCarrierPhase;
extern RsCoreRangeTableRanged RsSMxV_rngARBPower;
extern RsCoreRangeTableRanged RsSMxV_rngARBPhaseStep;
extern RsCoreRangeTableRanged RsSMxV_rngARBPowerStep;
extern RsCoreRangeTableRanged RsSMxV_rngARBMultiCarrierIndex;
extern RsCoreRangeTableRanged RsSMxV_rngARBTargetCrestFactor;
extern RsCoreRangeTableDiscrete RsSMxV_rngSlope;
extern RsCoreRangeTableDiscrete RsSMxV_rngIMPOptimizationMode;
extern RsCoreRangeTableRanged RsSMxV_rngIMPIQOffset;
extern RsCoreRangeTableRanged RsSMxV_rngIMPQuadratureOffset;
extern RsCoreRangeTableDiscrete RsSMxV_rngAWGNMode;
extern RsCoreRangeTableRanged RsSMxV_rngAWGNSystemBandwidth;
extern RsCoreRangeTableDiscrete RsSMxV_rngAWGNNoiseMode;
extern RsCoreRangeTableRanged RsSMxV_rngAWGNCarrierToNoiseRatio;
extern RsCoreRangeTableRanged RsSMxV_rngAWGNCarrierLevel;
extern RsCoreRangeTableDiscrete RsSMxV_rngKeyboardLayout;
extern RsCoreRangeTableDiscrete RsSMxV_rngGraphicsMode;
extern RsCoreRangeTableDiscrete RsSMxV_rngGraphicsTriggerSource;
extern RsCoreRangeTableDiscrete RsSMxV_rngGraphicsSampleRateMode;
extern RsCoreRangeTableRanged RsSMxV_rngGraphicsSampleRate;
extern RsCoreRangeTableDiscrete RsSMxV_rngUnitAngle;
extern RsCoreRangeTableDiscrete RsSMxV_rngUnitPower;
extern RsCoreRangeTableDiscrete RsSMxV_rngHardCopyLanguage;
extern RsCoreRangeTableDiscrete RsSMxV_rngTriggerSourceForAllSweeps;
extern RsCoreRangeTableDiscrete RsSMxV_rngRFFrequencyonRecall;
extern RsCoreRangeTableRanged RsSMxV_rngRFFrequencyOffset;
extern RsCoreRangeTableRanged RsSMxV_rngRFDeltaPhase;
extern RsCoreRangeTableDiscrete RsSMxV_rngROSCSynchronizationBandwidth;
extern RsCoreRangeTableRanged RsSMxV_rngRFLevelOffset;
extern RsCoreRangeTableRanged RsSMxV_rngRFLevelVariationStep;
extern RsCoreRangeTableRanged RsSMxV_rngPULMDelay;
extern RsCoreRangeTableRanged RsSMxV_rngDMFilterParameterCosineBw;
extern RsCoreRangeTableRanged RsSMxV_rngARBMultiCarrierEditPower;
extern RsCoreRangeTableRanged RsSMxV_rngARBMultiCarrierDelay;
extern RsCoreRangeTableDiscrete RsSMxV_rngTriggerStatus;
extern RsCoreRangeTableDiscrete RsSMxV_rngIQOutputPowerOnState;
extern RsCoreRangeTableRanged RsSMxV_rngIQOutputDigitalLevel;
extern RsCoreRangeTableDiscrete RsSMxV_rngRFLevelVariationActive;
extern RsCoreRangeTableDiscrete RsSMxV_rngTriggerSour;
extern RsCoreRangeTableDiscrete RsSMxV_rngClockSource;
extern RsCoreRangeTableDiscrete RsSMxV_rngPULMTransitionType;
extern RsCoreRangeTableDiscrete RsSMxV_rngGraphicsSource;
extern RsCoreRangeTableDiscrete RsSMxV_rngRFAttRFOFFMode;
extern RsCoreRangeTableDiscrete RsSMxV_rngRFLevelSettingCharacteristics;
extern RsCoreRangeTableDiscrete RsSMxV_rngExternalDisplayMode;
extern RsCoreRangeTableDiscrete RsSMxV_rngRefOscOutputFreqMode;
extern RsCoreRangeTableDiscrete RsSMxV_rngARBPowerReference;
extern RsCoreRangeTableDiscrete RsSMxV_rngSystemConfigurationMappingMode;
extern RsCoreRangeTableRanged RsSMxV_rngSystemConfigurationFrequencyOffset;
extern RsCoreRangeTableRanged RsSMxV_rngSystemConfigurationPhaseOffset;
extern RsCoreRangeTableDiscrete RsSMxV_rngARBMultisegmentMarkerMode;
extern RsCoreRangeTableDiscrete RsSMxV_rngDMExternalTriggerDelayUnit;
extern RsCoreRangeTableRanged RsSMxV_rngDMExternalTriggerActualDelay;
extern RsCoreRangeTableDiscrete RsSMxV_rngARBMultisegmentSegmentLevelMode;
extern RsCoreRangeTableRanged RsSMxV_rngDMMarkerONTime;
extern RsCoreRangeTableRanged RsSMxV_rngARBExternalTriggerInhibit;
extern RsCoreRangeTableDiscrete RsSMxV_rngHardCopyRegion;
extern RsCoreRangeTableDiscrete RsSMxV_rngRFFrequencyModeNew;
extern RsCoreRangeTableDiscrete RsSMxV_rngARBTriggerStatus;
extern RsCoreRangeTableDiscrete RsSMxV_rngARBExternalTriggerDelayUnit;
extern RsCoreRangeTableDiscrete RsSMxV_rngRFPowerMode;
extern RsCoreRangeTableDiscrete RsSMxV_rngOutputImpedance;
extern RsCoreRangeTableRanged RsSMxV_rngSystemWait;
extern RsCoreRangeTableDiscrete RsSMxV_rngGraphicsFFTSize;
extern RsCoreRangeTableRanged RsSMxV_rngReferenceOscillatorUserDefinedFrequency;
extern RsCoreRangeTableDiscrete RsSMxV_rngSystemUserInterfaceLock;
extern RsCoreRangeTableDiscrete RsSMxV_rngAWGNPowersForOutput;
extern RsCoreRangeTableRanged RsSMxV_rngAWGNTargetCWFrequencyOffset;
extern RsCoreRangeTableDiscrete RsSMxV_rngAWGNReferenceMode;
extern RsCoreRangeTableRanged RsSMxV_rngDMFilterTypeParameter;
extern RsCoreRangeTableDiscrete RsSMxV_rngVariationStepMode;
extern RsCoreRangeTableDiscrete RsSMxV_rngARBTestSignalForm;
extern RsCoreRangeTableDiscrete RsSMxV_rngDMAPSK16Gamma;
extern RsCoreRangeTableDiscrete RsSMxV_rngDM32APSKGamma;
extern RsCoreRangeTableRanged RsSMxV_rngIQOutputDigitalPowerVariationStep;
extern RsCoreRangeTableRanged RsSMxV_rngARBCFRDCFDelta;
extern RsCoreRangeTableRanged RsSMxV_rngARBCFROCF;
extern RsCoreRangeTableDiscrete RsSMxV_rngARBCFRFilteringMode;
extern RsCoreRangeTableRanged RsSMxV_rngARBCFRMaxIterations;
extern RsCoreRangeTableRanged RsSMxV_rngARBCFRRCF;
extern RsCoreRangeTableRanged RsSMxV_rngARBCFRMaximumFilterOrder;
extern RsCoreRangeTableDiscrete RsSMxV_rngARBCFRAlgorithm;
extern RsCoreRangeTableRanged RsSMxV_rngAWGNSystemBandwidthNoise;
extern RsCoreRangeTableRanged RsSMxV_rngARBMultiCarrierSignalPeriod;
extern RsCoreRangeTableDiscrete RsSMxV_rngARBMultisegmentNextSegmentSource;
extern RsCoreRangeTableRanged RsSMxV_rngDMMarkerDelay;
extern RsCoreRangeTableDiscrete RsSMxV_rngIQOutputDigitalInterface;
extern RsCoreRangeTableDiscrete RsSMxV_rngSystemIdentification;
extern RsCoreRangeTableRanged RsSMxV_rngAMFrequency;
extern RsCoreRangeTableRanged RsSMxV_rngAMPeriod;
extern RsCoreRangeTableDiscrete RsSMxV_rngAMShape;
extern RsCoreRangeTableRanged RsSMxV_rngFMDeviation;
extern RsCoreRangeTableRanged RsSMxV_rngFMFrequency;
extern RsCoreRangeTableDiscrete RsSMxV_rngPULMMode;
extern RsCoreRangeTableDiscrete RsSMxV_rngPULMVideoPolarity;
extern RsCoreRangeTableRanged RsSMxV_rngHSDRFPowerOffset;
extern RsCoreRangeTableDiscrete RsSMxV_rngHSDDirection;
extern RsCoreRangeTableRanged RsSMxV_rngHSDRFFrequency;
extern RsCoreRangeTableRanged RsSMxV_rngHSDRFFrequencyOffset;
extern RsCoreRangeTableRanged RsSMxV_rngHSDRFPower;
extern RsCoreRangeTableDiscrete RsSMxV_rngAttenMode;
extern RsCoreRangeTableRanged RsSMxV_rngPowerFilterLength;
extern RsCoreRangeTableRanged RsSMxV_rngPowerFilterNSRatio;
extern RsCoreRangeTableRanged RsSMxV_rngPowerFilterNSRatioTimeout;
extern RsCoreRangeTableDiscrete RsSMxV_rngPowerFilterMode;
extern RsCoreRangeTableDiscrete RsSMxV_rngSweepTriggerSource;
extern RsCoreRangeTableRanged RsSMxV_rngControlInputClockLevel;
extern RsCoreRangeTableDiscrete RsSMxV_rngInputConnectorSignal;
extern RsCoreRangeTableRanged RsSMxV_rngQuadratureAngle;
extern RsCoreRangeTableRanged RsSMxV_rngBBPhaseOffset;
extern RsCoreRangeTableRanged RsSMxV_rngBBINChannelCrestFactor;
extern RsCoreRangeTableRanged RsSMxV_rngBBINChannelPeakLevel;
extern RsCoreRangeTableRanged RsSMxV_rngBBINChannelRMSLevel;
extern RsCoreRangeTableDiscrete RsSMxV_rngBBINDigitalInterface;
extern RsCoreRangeTableRanged RsSMxV_rngBBINMeasPeriod;
extern RsCoreRangeTableRanged RsSMxV_rngBBINPhaseOffset;
extern RsCoreRangeTableRanged RsSMxV_rngBBINCrestFactor;
extern RsCoreRangeTableRanged RsSMxV_rngBBINPeakLevel;
extern RsCoreRangeTableDiscrete RsSMxV_rngBBINSampleSource;
extern RsCoreRangeTableDiscrete RsSMxV_rngListDwellTimeMode;
extern RsCoreRangeTableDiscrete RsSMxV_rngListRunMode;
extern RsCoreRangeTableDiscrete RsSMxV_rngListTriggerSource;
extern RsCoreRangeTableDiscrete RsSMxV_rngSweepMode;
extern RsCoreRangeTableDiscrete RsSMxV_rngFrequencySweepSpacing;
extern RsCoreRangeTableRanged RsSMxV_rngFrequencySweepStepLog;
extern RsCoreRangeTableDiscrete RsSMxV_rngSystemIPAddressMode;
extern RsCoreRangeTableDiscrete RsSMxV_rngBBINSignalRouting;
extern RsCoreRangeTableDiscrete RsSMxV_rngBBINMode;
extern RsCoreRangeTableRanged RsSMxV_rngBBINChannelSampleRate;
extern RsCoreRangeTableRanged RsSMxV_rngPCT;
extern RsCoreRangeTableDiscrete RsSMxV_rngCorrectionListMode;
extern RsCoreRangeTableDiscrete RsSMxV_rngCorrectionASCIIExtension;
extern RsCoreRangeTableDiscrete RsSMxV_rngCorrectionASCIISeparator;
extern RsCoreRangeTableDiscrete RsSMxV_rngCorrectionASCIIColumnDecimalSeparator;
extern RsCoreRangeTableRanged RsSMxV_rngFrequencySweepDwellTime;
extern RsCoreRangeTableDiscrete RsSMxV_rngFrequencySweepShape;
extern RsCoreRangeTableRanged RsSMxV_rngLevelSweepDwellTime_001;
extern RsCoreRangeTableRanged RsSMxV_rngListDwellTime;
extern RsCoreRangeTableDiscrete RsSMxV_rngListImportExportListMode;
extern RsCoreRangeTableDiscrete RsSMxV_rngCorrectionASCIIDecimalSeparator;
extern RsCoreRangeTableDiscrete RsSMxV_rngBBSignalRouting;
extern RsCoreRangeTableDiscrete RsSMxV_rngPowerUnit;
extern RsCoreRangeTableRanged RsSMxV_rngPowerOffset;
extern RsCoreRangeTableDiscrete RsSMxV_rngPowerSource;
extern RsCoreRangeTableDiscrete RsSMxV_rngPowerSensorMapping;
extern RsCoreRangeTableDiscrete RsSMxV_rngOutputConnectorUserSignal;
extern RsCoreRangeTableDiscrete RsSMxV_rngOutputConnectorDirection;
extern RsCoreRangeTableDiscrete RsSMxV_rngControlImpedance;
extern RsCoreRangeTableRanged RsSMxV_rngIQOutputDigitalChannelSampleRate;
extern RsCoreRangeTableDiscrete RsSMxV_rngIQOutputDigitalPowerVia;
extern RsCoreRangeTableDiscrete RsSMxV_rngPowerOnState;
extern RsCoreRangeTableDiscrete RsSMxV_rngRegisterGroup;
extern RsCoreRangeTableDiscrete RsSMxV_rngRegisterType;
extern RsCoreRangeTableDiscrete RsSMxV_rngAudioSignalSource;
extern RsCoreRangeTableDiscrete RsSMxV_rngAMAudioExternalSource;
extern RsCoreRangeTableRanged RsSMxV_rngAudioGeneratorLevel;
extern RsCoreRangeTableRanged RsSMxV_rngAudioGeneratorFrequency;
extern RsCoreRangeTableRanged RsSMxV_rngAudioPlayerAttenuation;
extern RsCoreRangeTableRanged RsSMxV_rngPctReal64;
extern RsCoreRangeTableDiscrete RsSMxV_rngFMAudioExternalSource;
extern RsCoreRangeTableDiscrete RsSMxV_rngStereoAudioMode;
extern RsCoreRangeTableDiscrete RsSMxV_rngFMAudioModulationMode;
extern RsCoreRangeTableDiscrete RsSMxV_rngFMAudioModulationPreemphasis;
extern RsCoreRangeTableRanged RsSMxV_rngFMNominalDeviation;
extern RsCoreRangeTableRanged RsSMxV_rngFMActualDeviation;
extern RsCoreRangeTableRanged RsSMxV_rngFMPilotDeviation;
extern RsCoreRangeTableRanged RsSMxV_rngFMDataDeviation;
extern RsCoreRangeTableRanged RsSMxV_rng16bit;
extern RsCoreRangeTableDiscrete RsSMxV_rngRDSProgramType;
extern RsCoreRangeTableDiscrete RsSMxV_rngRDSMSFlag;
extern RsCoreRangeTableDiscrete RsSMxV_rngDIStereoDecoder;
extern RsCoreRangeTableRanged RsSMxV_rngRDSClockOffset;
extern RsCoreRangeTableDiscrete RsSMxV_rngRDSAFMethod;
extern RsCoreRangeTableRanged RsSMxV_rngAFAFreqCount;
extern RsCoreRangeTableRanged RsSMxV_rngAFListFreqCount;
extern RsCoreRangeTableDiscrete RsSMxV_rngAFListEntryOrder;
extern RsCoreRangeTableRanged RsSMxV_rng12bit;
extern RsCoreRangeTableDiscrete RsSMxV_rngEONAFMethod;
extern RsCoreRangeTableRanged RsSMxV_rngAFMapFreqCount;
extern RsCoreRangeTableRanged RsSMxV_rngTMCGroup8ACount;
extern RsCoreRangeTableRanged RsSMxV_rng5bit;
extern RsCoreRangeTableDiscrete RsSMxV_rngDARCInformation;
extern RsCoreRangeTableRanged RsSMxV_rng180phase;
extern RsCoreRangeTableDiscrete RsSMxV_rngBroadcastInputSource;
extern RsCoreRangeTableDiscrete RsSMxV_rngTDMBInput;
extern RsCoreRangeTableDiscrete RsSMxV_rngTDMBInputFormat;
extern RsCoreRangeTableRanged RsSMxV_rngIPTSChannel;
extern RsCoreRangeTableDiscrete RsSMxV_rngTDMBETISignalType;
extern RsCoreRangeTableDiscrete RsSMxV_rngTDMBModeIdentity;
extern RsCoreRangeTableDiscrete RsSMxV_rngETIProtectionProfile;
extern RsCoreRangeTableDiscrete RsSMxV_rngETIProtectionLevel;
extern RsCoreRangeTableDiscrete RsSMxV_rngNetworkFrequencyMode;
extern RsCoreRangeTableRanged RsSMxV_rngTIIMainID;
extern RsCoreRangeTableRanged RsSMxV_rngTIISubID;
extern RsCoreRangeTableRanged RsSMxV_rngSFNDelayStatic;
extern RsCoreRangeTableRanged RsSMxV_rngSFNTxDelay;
extern RsCoreRangeTableRanged RsSMxV_rngSFNMaxDeviationTime;
extern RsCoreRangeTableDiscrete RsSMxV_rngTDMBSpecialTransmissionMode;
extern RsCoreRangeTableDiscrete RsSMxV_rngTDMBTransmissionMode;
extern RsCoreRangeTableDiscrete RsSMxV_rngDRMInputSource;
extern RsCoreRangeTableDiscrete RsSMxV_rngDRMInputAudioServicesNumberDFA;
extern RsCoreRangeTableDiscrete RsSMxV_rngDRMInputDataServicesNumber;
extern RsCoreRangeTableDiscrete RsSMxV_rngDRMInputLayerType;
extern RsCoreRangeTableDiscrete RsSMxV_rngDRMCodingRobustnessMode;
extern RsCoreRangeTableDiscrete RsSMxV_rngDRMCodingConstellationMSC;
extern RsCoreRangeTableDiscrete RsSMxV_rngDRMCodingConstellationSDC;
extern RsCoreRangeTableDiscrete RsSMxV_rngDRMCodingInterleaverDepth;
extern RsCoreRangeTableDiscrete RsSMxV_rngDRMCodingChannelBandwidth;
extern RsCoreRangeTableDiscrete RsSMxV_rngDRMCodeRateSDCProtectionProfile;
extern RsCoreRangeTableDiscrete RsSMxV_rngDRMCodeRateSDCProtectionLevel;
extern RsCoreRangeTableDiscrete RsSMxV_rngDRMSDCCodeRate;
extern RsCoreRangeTableDiscrete RsSMxV_rngDRMCodeRateMSCProtectionProfile;
extern RsCoreRangeTableDiscrete RsSMxV_rngDRMCodeRateMSCProtectionLevel;
extern RsCoreRangeTableDiscrete RsSMxV_rngDRMMSCCodeRate;
extern RsCoreRangeTableDiscrete RsSMxV_rngATSCVSBFrequency;
extern RsCoreRangeTableDiscrete RsSMxV_rngATSCMHExternalInput;
extern RsCoreRangeTableDiscrete RsSMxV_rngATSCMHInputFormat;
extern RsCoreRangeTableDiscrete RsSMxV_rngATSCMHPacketLength;
extern RsCoreRangeTableDiscrete RsSMxV_rngATSCMHTestSignal;
extern RsCoreRangeTableDiscrete RsSMxV_rngTestTSPacketStructure;
extern RsCoreRangeTableDiscrete RsSMxV_rngTestPIDPacket;
extern RsCoreRangeTableRanged RsSMxV_rng13bit;
extern RsCoreRangeTableDiscrete RsSMxV_rngTestSignalPayload;
extern RsCoreRangeTableDiscrete RsSMxV_rngPRBSSequence;
extern RsCoreRangeTableRanged RsSMxV_rngATSCMHSymbolRate;
extern RsCoreRangeTableDiscrete RsSMxV_rngATSCMHConstellation;
extern RsCoreRangeTableDiscrete RsSMxV_rngATSCMHRollOff;
extern RsCoreRangeTableDiscrete RsSMxV_rngATSCMHBuryRatio;
extern RsCoreRangeTableRanged RsSMxV_rng9bit;
extern RsCoreRangeTableDiscrete RsSMxV_rngATSC3InputType;
extern RsCoreRangeTableDiscrete RsSMxV_rngATSC3PLPPacketLength;
extern RsCoreRangeTableDiscrete RsSMxV_rngATSC3TestSignal;
extern RsCoreRangeTableDiscrete RsSMxV_rngTestIPPacketStructure;
extern RsCoreRangeTableDiscrete RsSMxV_rngATSC3ALPEncapsulation;
extern RsCoreRangeTableRanged RsSMxV_rng6bit;
extern RsCoreRangeTableDiscrete RsSMxV_rngATSC3PLPLDMLayer;
extern RsCoreRangeTableDiscrete RsSMxV_rngATSC3LDMInjectionLevel;
extern RsCoreRangeTableRanged RsSMxV_rng24bit;
extern RsCoreRangeTableDiscrete RsSMxV_rngATSC3PLPFECType;
extern RsCoreRangeTableDiscrete RsSMxV_rngATSC3PLPCodeRate;
extern RsCoreRangeTableDiscrete RsSMxV_rngATSC3PLPConstellation;
extern RsCoreRangeTableDiscrete RsSMxV_rngATSC3NetworkLowLevelSignaling;
extern RsCoreRangeTableDiscrete RsSMxV_rngATSC3PLPInterleavingType;
extern RsCoreRangeTableRanged RsSMxV_rngATSC3PLPNumberOfSubslices;
extern RsCoreRangeTableDiscrete RsSMxV_rngATSC3PLPTimeInterleaverMode;
extern RsCoreRangeTableDiscrete RsSMxV_rngATSC3PLPInterleavingDepth;
extern RsCoreRangeTableRanged RsSMxV_rngATSC3NumberOfTIBlocks;
extern RsCoreRangeTableRanged RsSMxV_rngATSC3PLPInterleavingMaxBlocks;
extern RsCoreRangeTableRanged RsSMxV_rngATSC3OFDMNumberofSubframes;
extern RsCoreRangeTableDiscrete RsSMxV_rngATSC3OFDMChannelBandwidth;
extern RsCoreRangeTableDiscrete RsSMxV_rngATSC3OFDMMISO;
extern RsCoreRangeTableDiscrete RsSMxV_rngATSC3FFTSize;
extern RsCoreRangeTableRanged RsSMxV_rngATSC3ReducedCarrierCoefficient;
extern RsCoreRangeTableDiscrete RsSMxV_rngATSC3GuardInterval;
extern RsCoreRangeTableRanged RsSMxV_rngATSC3OFDMTotalSymbols;
extern RsCoreRangeTableDiscrete RsSMxV_rngATSC3OFDMSISOPilotPattern;
extern RsCoreRangeTableRanged RsSMxV_rngATSC3OFDMPilotBoostMode;
extern RsCoreRangeTableRanged RsSMxV_rngATSC3OFDMBoundarySymbolFirst;
extern RsCoreRangeTableDiscrete RsSMxV_rngATSC3NetworkTime;
extern RsCoreRangeTableDiscrete RsSMxV_rngATSC3ReturnChannel;
extern RsCoreRangeTableRanged RsSMxV_rngATSC3MISOfTransmitters;
extern RsCoreRangeTableRanged RsSMxV_rngATSC3MISOTransmitterIndex;
extern RsCoreRangeTableDiscrete RsSMxV_rngATSC3TxIDMode;
extern RsCoreRangeTableDiscrete RsSMxV_rngATSC3TxIDInjectionLevel;
extern RsCoreRangeTableDiscrete RsSMxV_rngATSC3PeakToAveragePowerRatio;
extern RsCoreRangeTableDiscrete RsSMxV_rngATSC3FrameMode;
extern RsCoreRangeTableRanged RsSMxV_rngATSC3FrameLength;
extern RsCoreRangeTableRanged RsSMxV_rng15bit;
extern RsCoreRangeTableRanged RsSMxV_rng7bit;
extern RsCoreRangeTableRanged RsSMxV_rng3bit;
extern RsCoreRangeTableDiscrete RsSMxV_rngATSC3BasicFECType;
extern RsCoreRangeTableRanged RsSMxV_rng4bit;
extern RsCoreRangeTableDiscrete RsSMxV_rngATSC3DetailFECType;
extern RsCoreRangeTableDiscrete RsSMxV_rngATSC3DetailAdditionalParityMode;
extern RsCoreRangeTableDiscrete RsSMxV_rngATSC3PilotPatternPreamble;
extern RsCoreRangeTableDiscrete RsSMxV_rngATSC3BootstrapMinTimeToNext;
extern RsCoreRangeTableDiscrete RsSMxV_rngATSC3BootstrapEAS;
extern RsCoreRangeTableDiscrete RsSMxV_rngATSC3BootstrapBandwidth;
extern RsCoreRangeTableRanged RsSMxV_rng8bit;
extern RsCoreRangeTableDiscrete RsSMxV_rngATSC3StructureL1FECType;
extern RsCoreRangeTableRanged RsSMxV_rngATSC3SFNMaxDeviationTime;
extern RsCoreRangeTableRanged RsSMxV_rngATSC3SFNStaticDelay;
extern RsCoreRangeTableDiscrete RsSMxV_rngATSC3SFNMode;
extern RsCoreRangeTableDiscrete RsSMxV_rngDVBTInputSource;
extern RsCoreRangeTableDiscrete RsSMxV_rngDVBTInput;
extern RsCoreRangeTableDiscrete RsSMxV_rngDVBTInputFormat;
extern RsCoreRangeTableRanged RsSMxV_rngDVBTInputIPTSChannel;
extern RsCoreRangeTableDiscrete RsSMxV_rngDVBTTestSignal;
extern RsCoreRangeTableDiscrete RsSMxV_rngDVBTPacketLength;
extern RsCoreRangeTableDiscrete RsSMxV_rngDVBTHiearchy;
extern RsCoreRangeTableDiscrete RsSMxV_rngDVBTCodingConstellation;
extern RsCoreRangeTableDiscrete RsSMxV_rngDVBTCodingChannelBW;
extern RsCoreRangeTableRanged RsSMxV_rngDVBTUsedBW;
extern RsCoreRangeTableDiscrete RsSMxV_rngDVBTCodingFFTMode;
extern RsCoreRangeTableDiscrete RsSMxV_rngDVBTCodingGuardInterval;
extern RsCoreRangeTableDiscrete RsSMxV_rngDVBTSymbolInterleaving;
extern RsCoreRangeTableDiscrete RsSMxV_rngDVBTCodeRate;
extern RsCoreRangeTableDiscrete RsSMxV_rngDVBT2Input;
extern RsCoreRangeTableDiscrete RsSMxV_rngDVBT2InputFormat;
extern RsCoreRangeTableRanged RsSMxV_rngDVBT2InputTSChannel;
extern RsCoreRangeTableDiscrete RsSMxV_rngDVBT2InputPLPTestSignal;
extern RsCoreRangeTableDiscrete RsSMxV_rngDVBT2PLPInputFormat;
extern RsCoreRangeTableDiscrete RsSMxV_rngDVBT2PacketLength;
extern RsCoreRangeTableDiscrete RsSMxV_rngDVBT2T2MIMeasMode;
extern RsCoreRangeTableDiscrete RsSMxV_rngDVBT2PLPType;
extern RsCoreRangeTableDiscrete RsSMxV_rngDVBT2PLPBBMode;
extern RsCoreRangeTableDiscrete RsSMxV_rngDVBT2PLPISSY;
extern RsCoreRangeTableDiscrete RsSMxV_rngDVBT2PLPCMType;
extern RsCoreRangeTableDiscrete RsSMxV_rngDVBT2BCIMPLPFECFrame;
extern RsCoreRangeTableDiscrete RsSMxV_rngDVBT2CodeRate;
extern RsCoreRangeTableDiscrete RsSMxV_rngDVBT2BCIMPLPConstellation;
extern RsCoreRangeTableRanged RsSMxV_rngDVBT2BCIMPLPInterleaverTime;
extern RsCoreRangeTableRanged RsSMxV_rngDVBT2BICMPLPFECBlocksPerIF;
extern RsCoreRangeTableDiscrete RsSMxV_rngDVBT2OFDMChannelBW;
extern RsCoreRangeTableRanged RsSMxV_rngDVBT2OFDMBandwidthVariation;
extern RsCoreRangeTableDiscrete RsSMxV_rngDVBT2OFDMFFTMode;
extern RsCoreRangeTableDiscrete RsSMxV_rngDVBT2CodingGuardInterval;
extern RsCoreRangeTableDiscrete RsSMxV_rngDVBT2OFDMPilotPattern;
extern RsCoreRangeTableRanged RsSMxV_rngDVBT2OFDMT2FramesPerSuperFrame;
extern RsCoreRangeTableDiscrete RsSMxV_rngDVBT2ProfileMode;
extern RsCoreRangeTableDiscrete RsSMxV_rngDVBT2TransmissionSystem;
extern RsCoreRangeTableDiscrete RsSMxV_rngManualAuto;
extern RsCoreRangeTableDiscrete RsSMxV_rngDVBT2NetworkMISOGroup;
extern RsCoreRangeTableDiscrete RsSMxV_rngDVBT2NetworkPAPR;
extern RsCoreRangeTableDiscrete RsSMxV_rngDVBT2NetworkFEFPayload;
extern RsCoreRangeTableDiscrete RsSMxV_rngDVBT2NetworkTFS;
extern RsCoreRangeTableDiscrete RsSMxV_rngDVBT2L1T2Version;
extern RsCoreRangeTableDiscrete RsSMxV_rngDVBT2L1PostModulation;
extern RsCoreRangeTableDiscrete RsSMxV_rngDVBT2L1PostExtension;
extern RsCoreRangeTableRanged RsSMxV_rngDVBT2SFNStaticDelay;
extern RsCoreRangeTableRanged RsSMxV_rngDVBT2SFNDelayMaxDeviationTime;
extern RsCoreRangeTableDiscrete RsSMxV_rngRelAbs;
extern RsCoreRangeTableRanged RsSMxV_rngDVBT2SFNOffset;
extern RsCoreRangeTableDiscrete RsSMxV_rngISDBTControl;
extern RsCoreRangeTableDiscrete RsSMxV_rngISDBTSystem;
extern RsCoreRangeTableDiscrete RsSMxV_rngISDBTInputSourceLayer;
extern RsCoreRangeTableDiscrete RsSMxV_rngISDBTInputExternal;
extern RsCoreRangeTableDiscrete RsSMxV_rngISDBTInputFormat;
extern RsCoreRangeTableRanged RsSMxV_rngISDBTInputIPTSChannel;
extern RsCoreRangeTableDiscrete RsSMxV_rngISDBTInfoPacketLength;
extern RsCoreRangeTableRanged RsSMxV_rngISDBTInputInfoUsefulDataRate;
extern RsCoreRangeTableRanged RsSMxV_rngISDBTInputInfoUsefulDataRateMaximum;
extern RsCoreRangeTableRanged RsSMxV_rngISDBTInputInfoMeasuredDataRate;
extern RsCoreRangeTableDiscrete RsSMxV_rngISDBTTestSignalData;
extern RsCoreRangeTableDiscrete RsSMxV_rngISDBTCodingMode;
extern RsCoreRangeTableDiscrete RsSMxV_rngISDBTCodingChannelBandwidth;
extern RsCoreRangeTableDiscrete RsSMxV_rngISDBTCodingGuardInterval;
extern RsCoreRangeTableRanged RsSMxV_rngISDBTCodingSubchannel;
extern RsCoreRangeTableRanged RsSMxV_rngISDBTUsedBandwidth;
extern RsCoreRangeTableDiscrete RsSMxV_rngISDBTCodingPortion;
extern RsCoreRangeTableDiscrete RsSMxV_rngISDBTCodingConstellation;
extern RsCoreRangeTableRanged RsSMxV_rngISDBTCodingSegmentsA;
extern RsCoreRangeTableDiscrete RsSMxV_rngISDBTCodingRate;
extern RsCoreRangeTableCoerced RsSMxV_rngISDBTCodingTimeInterleaving;
extern RsCoreRangeTableRanged RsSMxV_rngISDBTCodingSegments;
extern RsCoreRangeTableRanged RsSMxV_rngISDBTEEEWNumberofEpicenter;
extern RsCoreRangeTableDiscrete RsSMxV_rngISDBTEEWSignalType;
extern RsCoreRangeTableDiscrete RsSMxV_rngISDBTEEWInformationType;
extern RsCoreRangeTableRanged RsSMxV_rngISDBTEEWLatitude;
extern RsCoreRangeTableRanged RsSMxV_rngISDBTEEWLongitude;
extern RsCoreRangeTableRanged RsSMxV_rngISDBTEEWDepth;
extern RsCoreRangeTableRanged RsSMxV_rngISDBTEEWOccurenceTime;
extern RsCoreRangeTableDiscrete RsSMxV_rngISDBTSpecialACData;
extern RsCoreRangeTableDiscrete RsSMxV_rngISDBTSpecialTXParameterSwitchingIndicator;
extern RsCoreRangeTableDiscrete RsSMxV_rngISDBTSpecialTMCCNext;
extern RsCoreRangeTableDiscrete RsSMxV_rngDTMBInputExternalInterface;
extern RsCoreRangeTableDiscrete RsSMxV_rngDTMBInputFormat;
extern RsCoreRangeTableDiscrete RsSMxV_rngDTMBInputInfoPacketLength;
extern RsCoreRangeTableRanged RsSMxV_rngDTMBInputInfoUsefulDataRateMax;
extern RsCoreRangeTableRanged RsSMxV_rngDTMBInputInfoMeasuredDataRate;
extern RsCoreRangeTableRanged RsSMxV_rngDTMBInputInfoUsefulDataRate;
extern RsCoreRangeTableDiscrete RsSMxV_rngDTMBTestSignal;
extern RsCoreRangeTableDiscrete RsSMxV_rngDTMBCodingChannelBandwidth;
extern RsCoreRangeTableDiscrete RsSMxV_rngDTMBCodingConstellation;
extern RsCoreRangeTableDiscrete RsSMxV_rngDTMBCodingCodeRate;
extern RsCoreRangeTableDiscrete RsSMxV_rngDTMBCodingGuardInterval;
extern RsCoreRangeTableDiscrete RsSMxV_rngDTMBCodingGuardIntervalPN;
extern RsCoreRangeTableDiscrete RsSMxV_rngDTMBCodingTimeInterleaver;
extern RsCoreRangeTableDiscrete RsSMxV_rngDVBSInput;
extern RsCoreRangeTableDiscrete RsSMxV_rngDVBSInputFormat;
extern RsCoreRangeTableDiscrete RsSMxV_rngDVBSPacketLength;
extern RsCoreRangeTableDiscrete RsSMxV_rngDVBSTestSignal;
extern RsCoreRangeTableRanged RsSMxV_rngDVBSCodingSymbolRate;
extern RsCoreRangeTableDiscrete RsSMxV_rngDVBSCodingConstellation;
extern RsCoreRangeTableCoerced RsSMxV_rngDVBSCodingRollOff;
extern RsCoreRangeTableDiscrete RsSMxV_rngDVBSCodingCodeRate;
extern RsCoreRangeTableDiscrete RsSMxV_rngDVBS2CMMode;
extern RsCoreRangeTableRanged RsSMxV_rngDVBS2InputStreams;
extern RsCoreRangeTableDiscrete RsSMxV_rngDVBS2Input;
extern RsCoreRangeTableDiscrete RsSMxV_rngDVBS2InputFormat;
extern RsCoreRangeTableRanged RsSMxV_rngDVBS2IPTSChannel;
extern RsCoreRangeTableDiscrete RsSMxV_rngDVBS2PacketLength;
extern RsCoreRangeTableDiscrete RsSMxV_rngDVBS2TestSignal;
extern RsCoreRangeTableRanged RsSMxV_rngDVBS2CodingSymbolRate;
extern RsCoreRangeTableCoerced RsSMxV_rngDVBS2CodingRollOff;
extern RsCoreRangeTableRanged RsSMxV_rngDVBS2CodingNumberOfTimeSlices;
extern RsCoreRangeTableRanged RsSMxV_rngDVBS2CodingISI;
extern RsCoreRangeTableDiscrete RsSMxV_rngDVBS2ModulationCoding;
extern RsCoreRangeTableDiscrete RsSMxV_rngDVBS2FECFrame;
extern RsCoreRangeTableRanged RsSMxV_rngDVBS2PLGoldCodeIndex;
extern RsCoreRangeTableRanged RsSMxV_rngDVBS2PLScramblingSequenceID;
extern RsCoreRangeTableDiscrete RsSMxV_rngIPChannelType;
extern RsCoreRangeTableRanged RsSMxV_rngTSPlayerPosition;
extern RsCoreRangeTableRanged RsSMxV_rngTSPlayerDataRate;
extern RsCoreRangeTableDiscrete RsSMxV_rngTSPlayerPacketLength;
extern RsCoreRangeTableDiscrete RsSMxV_rngTSPlayerStopData;
extern RsCoreRangeTableDiscrete RsSMxV_rngTSPlayerTestPacket;
extern RsCoreRangeTableDiscrete RsSMxV_rngIPDataNetworkAddressMode;
extern RsCoreRangeTableDiscrete RsSMxV_rngIPProtocol;
extern RsCoreRangeTableDiscrete RsSMxV_rngGraphicsAdd;
extern RsCoreRangeTableDiscrete RsSMxV_rngARBMultisegmentAppendAction;
extern RsCoreRangeTableRanged RsSMxV_rngDVBT2OFDMDataSymbolsPerT2Frame;
extern RsCoreRangeTableRanged RsSMxV_rngETIChannel;
extern RsCoreRangeTableDiscrete RsSMxV_rngALCMode;
extern RsCoreRangeTableDiscrete RsSMxV_rngMultiInstrumentMode;
extern RsCoreRangeTableDiscrete RsSMxV_rngDisplayPriority;
extern RsCoreRangeTableDiscrete RsSMxV_rngSystemConfigurationMultiInstrumentTriggerSync;
extern RsCoreRangeTableRanged RsSMxV_rngIQOutputDigitalChannelLevel;
extern RsCoreRangeTableDiscrete RsSMxV_rngTDMBDABSpecialPRBSSequence;
extern RsCoreRangeTableRanged RsSMxV_rngTDMBDABSpecialTestSignalSubchannelID;
extern RsCoreRangeTableDiscrete RsSMxV_rngDVBCConstellation;
extern RsCoreRangeTableDiscrete RsSMxV_rngInputSignalInterface;
extern RsCoreRangeTableDiscrete RsSMxV_rngInputSignalFormat;
extern RsCoreRangeTableRanged RsSMxV_rngInputSignalTSChannel;
extern RsCoreRangeTableDiscrete RsSMxV_rngDVBCRollOffFactor;
extern RsCoreRangeTableDiscrete RsSMxV_rngInputSignalSource;
extern RsCoreRangeTableDiscrete RsSMxV_rngTestSignal;
extern RsCoreRangeTableRanged RsSMxV_rngDVBCCodingSymbolRate;
extern RsCoreRangeTableDiscrete RsSMxV_rngDVBCPacketLength;
extern RsCoreRangeTableDiscrete RsSMxV_rngJ83BCodingConstellation;
extern RsCoreRangeTableDiscrete RsSMxV_rngJ83BCodingInterleaverMode;
extern RsCoreRangeTableDiscrete RsSMxV_rngJ83BPacketLength;
extern RsCoreRangeTableDiscrete RsSMxV_rngJ83BRollOffFactor;
extern RsCoreRangeTableDiscrete RsSMxV_rngTimeProtocol;
extern RsCoreRangeTableDiscrete RsSMxV_rngPowerSensorControlMode;
extern RsCoreRangeTableDiscrete RsSMxV_rngPowerSensors;
extern RsCoreRangeTableDiscrete RsSMxV_rngHUMSDataFormat;
extern RsCoreRangeTableDiscrete RsSMxV_rngSNMPAccess;
extern RsCoreRangeTableDiscrete RsSMxV_rngSNMPLevel;
extern RsCoreRangeTableRanged RsSMxV_rngCalibrationWarmUpTime;
extern RsCoreRangeTableRanged RsSMxV_rngDisplayBrightness;
extern RsCoreRangeTableDiscrete RsSMxV_rngHUMSSNMPVersion;
extern RsCoreRangeTableRanged RsSMxV_rngSystemConfigurationHSDRFFrequency;
extern RsCoreRangeTableRanged RsSMxV_rngPowerSensorControlCatchRange;
extern RsCoreRangeTableRanged RsSMxV_rngPowerSensorControlDelay;
extern RsCoreRangeTableRanged RsSMxV_rngPowerSensorControlTargetLevel;
extern RsCoreRangeTableRanged RsSMxV_rngRFLevelReference;

/*****************************************************************************
 *- Attributes --------------------------------------------------------------*
 *****************************************************************************/
extern RsCoreAttribute g_RS_ATTR_RANGE_CHECK;
extern RsCoreAttribute g_RS_ATTR_QUERY_INSTRUMENT_STATUS;
extern RsCoreAttribute g_RS_ATTR_SIMULATE;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_PREFIX;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_LOCATOR;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_VENDOR;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_REVISION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS;
extern RsCoreAttribute g_RS_ATTR_GROUP_CAPABILITIES;
extern RsCoreAttribute g_RS_ATTR_FUNCTION_CAPABILITIES;
extern RsCoreAttribute g_RS_ATTR_CHANNEL_COUNT;
extern RsCoreAttribute g_RS_ATTR_DRIVER_SETUP;
extern RsCoreAttribute g_RS_ATTR_INSTRUMENT_MANUFACTURER;
extern RsCoreAttribute g_RS_ATTR_INSTRUMENT_MODEL;
extern RsCoreAttribute g_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION;
extern RsCoreAttribute g_RS_ATTR_OPTIONS_LIST;
extern RsCoreAttribute g_RS_ATTR_IO_RESOURCE_DESCRIPTOR;
extern RsCoreAttribute g_RS_ATTR_LOGICAL_NAME;
extern RsCoreAttribute g_RS_ATTR_PRIMARY_ERROR;
extern RsCoreAttribute g_RS_ATTR_SECONDARY_ERROR;
extern RsCoreAttribute g_RS_ATTR_ERROR_ELABORATION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_CLASS_DRIVER_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_ENGINE_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_ENGINE_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_ENGINE_REVISION;
extern RsCoreAttribute g_RS_ATTR_OPC_TIMEOUT;
extern RsCoreAttribute g_RSSMXV_ATTR_RESET_SIGNAL_PATH;
extern RsCoreAttribute g_RSSMXV_ATTR_BB_FREQUENCY_OFFSET;
extern RsCoreAttribute g_RSSMXV_ATTR_BB_SIGNAL_ROUTING;
extern RsCoreAttribute g_RSSMXV_ATTR_BB_PHASE_OFFSET;
extern RsCoreAttribute g_RSSMXV_ATTR_AM_AUDIO_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_AM_AUDIO_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSSMXV_ATTR_AM_AUDIO_RECALL_SETTINGS;
extern RsCoreAttribute g_RSSMXV_ATTR_AM_AUDIO_SAVE_SETTINGS;
extern RsCoreAttribute g_RSSMXV_ATTR_AM_AUDIO_SETTINGS_CATALOG;
extern RsCoreAttribute g_RSSMXV_ATTR_AM_AUDIO_DELETE_SETTINGS;
extern RsCoreAttribute g_RSSMXV_ATTR_AM_AUDIO_INPUT_SIGNAL;
extern RsCoreAttribute g_RSSMXV_ATTR_AM_AUDIO_EXTERNAL_SOURCE;
extern RsCoreAttribute g_RSSMXV_ATTR_AM_AUDIO_CHANNEL_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_AM_AUDIO_GENERATOR_LEVEL;
extern RsCoreAttribute g_RSSMXV_ATTR_AM_AUDIO_GENERATOR_FREQUENCY;
extern RsCoreAttribute g_RSSMXV_ATTR_AM_AUDIO_PLAYER_SOURCE;
extern RsCoreAttribute g_RSSMXV_ATTR_AM_AUDIO_PLAYER_CATALOG;
extern RsCoreAttribute g_RSSMXV_ATTR_AM_AUDIO_PLAYER_ATTENUATION;
extern RsCoreAttribute g_RSSMXV_ATTR_AM_AUDIO_MODULATION_NOMINAL_DEPTH;
extern RsCoreAttribute g_RSSMXV_ATTR_AM_AUDIO_MODULATION_DEPTH;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RECALL_SETTINGS;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_SAVE_SETTINGS;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_SETTINGS_CATALOG;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_DELETE_SETTINGS;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_INPUT_SIGNAL;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_EXTERNAL_SOURCE;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_STEREO_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_STEREO_CHANNEL_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_GENERATOR_LEVEL;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_GENERATOR_CHANNEL_FREQUENCY;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_PLAYER_SOURCE;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_PLAYER_CATALOG;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_PLAYER_CHANNEL_ATTENUATION;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_MODULATION_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_MODULATION_PREEMPHASIS;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_MODULATION_NOMINAL_DEVIATION;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_MODULATION_ACTUAL_DEVIATION;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_MODULATION_PILOT_DEVIATION;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_DEVIATION;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_GROUP_SEQUENCE;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_PROGRAM_ID;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_PROGRAM_SERVICE_NAME;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_TRAFFIC_PROGRAM_FLAG;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_TRAFFIC_ANNOUNCEMENT_FLAG;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_PROGRAM_TYPE;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_PROGRAM_TYPE_NAME;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_MUSIC_SPEECH_FLAG;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_RADIO_TEXT;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_DI_DYNAMIC_PTY_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_DI_COMPRESSED;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_DI_ARTIFICIAL_HEAD_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_DI_STEREO_DECODER;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_CLOCK_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_CLOCK_OFFSET;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_ALTERNATIVE_FREQUENCY_METHOD;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_AF_METHOD_A_FREQUENCY_COUNT;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_AF_METHOD_A_FREQUENCY;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_AF_METHOD_B_LIST_FREQUENCY_COUNT;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_AF_METHOD_B_LIST_TUNING_FREQUENCY;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_AF_METHOD_B_LIST_ENTRY_FREQUENCY;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_AF_METHOD_B_LIST_ENTRY_ORDER;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_EON_PROGRAM_ID;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_EON_PROGRAM_SERVICE_NAME;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_EON_TRAFFIC_PROGRAM_FLAG;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_EON_TRAFFIC_ANNOUNCEMENT_FLAG;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_EON_LINKAGE_ACTUATOR_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_EON_EXTENDED_GENERIC_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_EON_INTERNATIONAL_LINKAGE_SET_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_EON_LINKAGE_SET_NUMBER;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_EON_PROGRAM_TYPE;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_EON_PROGRAM_ITEM_NUMBER;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_EON_ALTERNATIVE_FREQUENCY_METHOD;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_EON_AF_METHOD_A_FREQUENCY_COUNT;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_EON_AF_METHOD_A_FEQUENCY;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_EON_AF_MAPPED_FREQUENCY_COUNT;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_EON_AF_MAPPED_TUNING_FREQUENCY;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_EON_AF_MAPPED_FREQUENCY;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_TMC_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_TRANSMIT_FM_AUDIO_RDS_TMC;
extern RsCoreAttribute g_RSSMXV_ATTR_QUERY_FM_AUDIO_RDS_TMC_READY;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_TMC_GROUP_3A_BLOCK_3;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_TMC_GROUP_8A_COUNT;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_TMC_GROUP_8A_BLOCK_2;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_TMC_GROUP_8A_BLOCK_3;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_TMC_GROUP_8A_BLOCK_4;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_TRANSMIT_FM_AUDIO_RDS_OPF;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_1A_BLOCK_2;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_1A_BLOCK_3;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_1A_BLOCK_4;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_1B_BLOCK_2;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_1B_BLOCK_3;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_1B_BLOCK_4;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_3A_BLOCK_2;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_3A_BLOCK_3;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_3A_BLOCK_4;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_3B_BLOCK_2;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_3B_BLOCK_3;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_3B_BLOCK_4;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_4B_BLOCK_2;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_4B_BLOCK_3;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_4B_BLOCK_4;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_5A_BLOCK_2;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_5A_BLOCK_3;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_5A_BLOCK_4;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_5B_BLOCK_2;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_5B_BLOCK_3;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_5B_BLOCK_4;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_6A_BLOCK_2;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_6A_BLOCK_3;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_6A_BLOCK_4;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_6B_BLOCK_2;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_6B_BLOCK_3;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_6B_BLOCK_4;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_7A_BLOCK_2;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_7A_BLOCK_3;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_7A_BLOCK_4;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_7B_BLOCK_2;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_7B_BLOCK_3;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_7B_BLOCK_4;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_8A_BLOCK_2;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_8A_BLOCK_3;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_8A_BLOCK_4;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_8B_BLOCK_2;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_8B_BLOCK_3;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_8B_BLOCK_4;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_9A_BLOCK_2;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_9A_BLOCK_3;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_9A_BLOCK_4;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_9B_BLOCK_2;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_9B_BLOCK_3;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_9B_BLOCK_4;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_10B_BLOCK_2;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_10B_BLOCK_3;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_10B_BLOCK_4;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_11A_BLOCK_2;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_11A_BLOCK_3;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_11A_BLOCK_4;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_11B_BLOCK_2;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_11B_BLOCK_3;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_11B_BLOCK_4;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_12A_BLOCK_2;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_12A_BLOCK_3;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_12A_BLOCK_4;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_12B_BLOCK_2;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_12B_BLOCK_3;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_12B_BLOCK_4;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_13A_BLOCK_2;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_13A_BLOCK_3;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_13A_BLOCK_4;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_13B_BLOCK_2;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_13B_BLOCK_3;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_13B_BLOCK_4;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_15A_BLOCK_2;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_15A_BLOCK_3;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_15A_BLOCK_4;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_DARC_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_DARC_DEVIATION;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_DARC_BIC_DATA;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_DARC_INFORMATION;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_SPECIAL_SETTINGS_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_SPECIAL_PILOT_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_SPECIAL_PILOT_PHASE_OFFSET;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_AUDIO_SPECIAL_RDS_PHASE_OFFSET;
extern RsCoreAttribute g_RSSMXV_ATTR_TDMB_DAB_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_TDMB_DAB_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSSMXV_ATTR_TDMB_DAB_RECALL_SETTINGS;
extern RsCoreAttribute g_RSSMXV_ATTR_TDMB_DAB_SAVE_SETTINGS;
extern RsCoreAttribute g_RSSMXV_ATTR_TDMB_DAB_SETTINGS_CATALOG;
extern RsCoreAttribute g_RSSMXV_ATTR_TDMB_DAB_DELETE_SETTINGS;
extern RsCoreAttribute g_RSSMXV_ATTR_TDMB_DAB_SOURCE;
extern RsCoreAttribute g_RSSMXV_ATTR_TDMB_DAB_EXTERNAL_INPUT;
extern RsCoreAttribute g_RSSMXV_ATTR_TDMB_DAB_EXTERNAL_INPUT_FORMAT;
extern RsCoreAttribute g_RSSMXV_ATTR_TDMB_DAB_IP_ETI_CHANNEL;
extern RsCoreAttribute g_RSSMXV_ATTR_TDMB_DAB_ETI_SIGNAL_TYPE;
extern RsCoreAttribute g_RSSMXV_ATTR_TDMB_DAB_ETI_NUMBER_OF_STREAMS;
extern RsCoreAttribute g_RSSMXV_ATTR_TDMB_DAB_MODE_IDENTITY;
extern RsCoreAttribute g_RSSMXV_ATTR_TDMB_DAT_ETI_INFO_SUBCHANNEL_ID;
extern RsCoreAttribute g_RSSMXV_ATTR_TDMB_DAT_ETI_INFO_PROTECTION_PROFILE;
extern RsCoreAttribute g_RSSMXV_ATTR_TDMB_DAT_ETI_INFO_PROTECTION_LEVEL;
extern RsCoreAttribute g_RSSMXV_ATTR_TDMB_DAT_ETI_INFO_DATARATE;
extern RsCoreAttribute g_RSSMXV_ATTR_TDMB_DAB_NETWORK_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_TDMB_DAB_NETWORK_TII_STATE;
extern RsCoreAttribute g_RSSMXV_ATTR_TDMB_DAB_NETWORK_TII_MAIN_ID;
extern RsCoreAttribute g_RSSMXV_ATTR_TDMB_DAB_NETWORK_TII_SUB_ID;
extern RsCoreAttribute g_RSSMXV_ATTR_TDMB_DAB_DELAY_NETWORK;
extern RsCoreAttribute g_RSSMXV_ATTR_TDMB_DAB_DELAY_STATIC;
extern RsCoreAttribute g_RSSMXV_ATTR_TDMB_DAB_DELAY_TX_PROCESSING;
extern RsCoreAttribute g_RSSMXV_ATTR_TDMB_DAB_DELAY_TX_COMPENSATION;
extern RsCoreAttribute g_RSSMXV_ATTR_TDMB_DAB_DELAY_TX_DELAY;
extern RsCoreAttribute g_RSSMXV_ATTR_TDMB_DAB_DELAY_TOTAL;
extern RsCoreAttribute g_RSSMXV_ATTR_TDMB_DAB_DELAY_MAX_DEVIATION;
extern RsCoreAttribute g_RSSMXV_ATTR_TDMB_DAB_SPECIAL_SETTINGS_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_TDMB_DAB_SPECIAL_TRANSMISSION_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_TDMB_DAB_SPECIAL_TRANSMISSION_MODE_SELECT;
extern RsCoreAttribute g_RSSMXV_ATTR_T_DMB_DAB_SPECIAL_PRBS_SEQUENCE;
extern RsCoreAttribute g_RSSMXV_ATTR_T_DMB_DAB_SPECIAL_TEST_SIGNAL_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_T_DMB_DAB_SPECIAL_TEST_SIGNAL_SUBCHANNEL_ID;
extern RsCoreAttribute g_RSSMXV_ATTR_DRM_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_DRM_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSSMXV_ATTR_DRM_RECALL_SETTINGS;
extern RsCoreAttribute g_RSSMXV_ATTR_DRM_SAVE_SETTINGS;
extern RsCoreAttribute g_RSSMXV_ATTR_DRM_DELETE_SETTINGS;
extern RsCoreAttribute g_RSSMXV_ATTR_DRM_SETTINGS_CATALOG;
extern RsCoreAttribute g_RSSMXV_ATTR_DRM_INPUT_SOURCE;
extern RsCoreAttribute g_RSSMXV_ATTR_DRM_INTPUT_SELECT_FILE;
extern RsCoreAttribute g_RSSMXV_ATTR_DRM_INPUT_UDP_PORT;
extern RsCoreAttribute g_RSSMXV_ATTR_DRM_INPUT_AUDIO_SERVICES_NUMBER;
extern RsCoreAttribute g_RSSMXV_ATTR_DRM_INPUT_DATA_SERVICES_NUMBER;
extern RsCoreAttribute g_RSSMXV_ATTR_DRM_INPUT_LAYER_TYPE;
extern RsCoreAttribute g_RSSMXV_ATTR_DRM_INPUT_LABEL;
extern RsCoreAttribute g_RSSMXV_ATTR_DRM_CODING_ROBUSTNESS_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_DRM_CODING_CONSTELLATION_MSC;
extern RsCoreAttribute g_RSSMXV_ATTR_DRM_CODING_CONSTELLATION_SDC;
extern RsCoreAttribute g_RSSMXV_ATTR_DRM_CODING_INTERLEAVER_DEPTH;
extern RsCoreAttribute g_RSSMXV_ATTR_DRM_CODING_CHANNEL_BANDWIDTH;
extern RsCoreAttribute g_RSSMXV_ATTR_DRM_CODE_RATE_SDC_PROTECTION_PROFILE;
extern RsCoreAttribute g_RSSMXV_ATTR_DRM_CODE_RATE_SDC_PROTECTION_LEVEL;
extern RsCoreAttribute g_RSSMXV_ATTR_DRM_SDC_CODE_RATE;
extern RsCoreAttribute g_RSSMXV_ATTR_DRM_CODE_RATE_MSC_PROTECTION_PROFILE;
extern RsCoreAttribute g_RSSMXV_ATTR_DRM_CODE_RATE_MSC_PROTECTION_LEVEL;
extern RsCoreAttribute g_RSSMXV_ATTR_DRM_MSC_CODE_RATE;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSCMH_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSCMH_VSB_FREQUENCY;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSCMH_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSCMH_RECALL_SETTINGS;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSCMH_SAVE_SETTINGS;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSCMH_SETTINGS_CATALOG;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSCMH_DELETE_SETTINGS;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSCMH_SOURCE;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSCMH_EXTERNAL_INPUT;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSCMH_SERIAL_INPUT_FORMAT;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSCMH_IP_TS_CHANNEL;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSCMH_STUFFING_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSCMH_INFO_PACKET_LENGTH;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSCMH_INFO_MAX_USEFUL_DATARATE;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSCMH_INFO_MEASURED_DATARATE;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSCMH_USEFUL_DATARATE;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSCMH_TEST_SIGNAL;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSCMH_TEST_TS_PACKET;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSCMH_TEST_PID_TEST_PACKET;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSCMH_TEST_PID;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSCMH_TEST_PAYLOAD;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSCMH_TEST_PRBS;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSCMH_CODING_SYMBOL_RATE;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSCMH_CODING_CONSTELLATION;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSCMH_CODING_ROLL_OFF;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSCMH_CODING_MH_STATE;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSCMH_NETWORKING_MHE_PID;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSCMH_NETWORKING_RF_WATERMARK;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSCMH_NETWORKING_TX_ADDRESS;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSCMH_NETWORKING_NETWORK_ID;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSCMH_NETWORKING_BURY_RATIO;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSCMH_NETWORKING_MTXID_TRANSMISSION;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSCMH_NETWORKING_TRANSMITTER_ID;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSCMH_NETWORKING_MARKET_ID;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_RECALL_SETTINGS;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_SAVE_SETTINGS;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_SETTINGS_CATALOG;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_DELETE_SETTINGS;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_STL_INTERFACE_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_STL_RESET_LOG;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_CODER_STATUS;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_INPUT_CONFORMANCE_CHECK;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_INPUT_NUMBER_OF_PLPS;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_INPUT_SOURCE;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_INPUT_DESTINATION_IP;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_INPUT_DESTINATION_PORT;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_INPUT_TYPE;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_INPUT_PROTOCOL;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_INFO_PLP_PACKET_LENGTH;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_INFO_PLP_MAX_USEFUL_DATARATE;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_INFO_PLP_MEASURED_DATARATE;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_INFO_PLP_USEFUL_DATARATE;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_TEST_SIGNAL;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_TEST_IP_PACKET;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_TEST_TS_PACKET;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_TEST_PID_TEST_PACKET;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_TEST_PID;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_TEST_PAYLOAD;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_TEST_PRBS_SEQUENCE;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_ENCAPS_ALP_ENCAPSULATION_TYPE;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_ENCAPS_BB_FRAME_PADDING_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_ENCAPS_BB_FRAME_COUNTER_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_BICM_PLP_ID;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_BICM_PLP_LDM_LAYER;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_BICM_PLP_LDM_INJECTION_LEVEL;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_BICM_PLP_SIZE;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_BICM_PLP_SCRAMBLER;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_BICM_PLP_FEC_TYPE;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_BICM_PLP_CODE_RATE;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_BICM_PLP_CONSTELLATION;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_BICM_PLP_LOW_LEVEL_SIGNALING;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_BICM_PLP_INTERLEAVING_TYPE;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_BICM_PLP_INTERLEAVING_NUMBER_OF_SUBSLICES;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_BICM_PLP_INTERLEAVING_SUBSLICE_INTERVAL;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_BICM_PLP_TIME_INTERLEAVER_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_BICM_PLP_INTERLEAVING_DEPTH_EXTENDED;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_BICM_PLP_INTERLEAVING_DEPTH;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_BICM_PLP_INTERLEAVING_SUBFRAME_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_BICM_PLP_CELL_INTERLEAVER_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_BICM_PLP_INTERLEAVING_NUMBER_OF_TI_BLOCKS;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_BICM_PLP_INTERLEAVING_FEC_BLOCKS_MAX;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_BICM_PLP_INTERLEAVING_FEC_BLOCKS;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_OFDM_NUMBER_OF_SUBFRAMES;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_OFDM_CHANNEL_BANDWIDTH;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_OFDM_MIMO_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_OFDM_MISO;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_OFDM_FFT_SIZE;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_OFDM_REDUCED_CARRIER_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_OFDM_GUARD_INTERVAL;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_OFDM_TOTAL_SYMBOLS;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_OFDM_SUBFRAME_SISO_PILOT_PATTERN;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_OFDM_SUBFRAME_PILOT_BOOST_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_OFDM_SUBFRAME_BOUNDARY_SYMBOL_FIRST;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_OFDM_SUBFRAME_BOUNDARY_SYMBOL_LAST;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_OFDM_SUBFRAME_BOUNDARY_NULL_CELLS;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_AFDM_SUBFRAME_FREQUENCY_INTERLEAVER_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_OFDM_SUBFRAME_DURATION;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_OFDM_SUBFRAME_USED_BANDWIDTH;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_OFDM_SUBFRAME_NUMBER_OF_PLPS;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_OFDM_SUBFRAME_PLP_IDS;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_NETWORK_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_NETWORK_LOW_LEVEL_SIGNALLING;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_NETWORK_TIME;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_NETWORK_RETURN_CHANNEL;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_NETWORK_MISO_NUMBER_OF_TRANSMITTERS;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_NETWORK_MISO_TRANSMITTER_INDEX;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_NETWORK_TXID_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_NETWORK_TXID_ADDRESS;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_NETWORK_TXID_INJECTION_LEVEL;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_NETWORK_BROADCAST_STREAM_ID;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_FRAME_PEAK_TO_AVERAGE_POWER_RATIO;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_FRAME_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_FRAME_LENGTH;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_FRAME_EXCESS_SAMPLES_PER_SYMBOL;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_FRAME_FINAL_EXCESS_SAMPLES;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_FRAME_ADDITIONAL_SAMPLES;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_FRAME_TIME_OFFSET;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_L1_BASIC_VERSION;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_L1_BASIC_FEC_TYPE;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_L1_DETAIL_VERSION;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_L1_DETAIL_FEC_TYPE;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_L1_DETAIL_ADDITIONAL_PARITY_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_L1_NUMBER_OF_PREAMBLE_SYMBOLS;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_L1_REDUCED_CARRIER_MODE_PREAMBLE;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_L1_PILOT_PATTERN_DX_PREAMBLE;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_L1_NUMBER_OF_RFS;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_INFO_FRAME_DURATION;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_INFO_BOOTSTRAP_DURATION;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_INFO_L1_BASIC_BYTES;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_INFO_L1_DETAIL_BYTES;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_INFO_L1_BASIC_CELLS;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_INFO_L1_DETAIL_CELLS;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_INFO_BOOTSTRAP_MAJOR_VERSION;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_INFO_BOOTSTRAP_MINOR_VERSION;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_INFO_BOOTSTRAP_MIN_TIME_TO_NEXT;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_INFO_BOOTSTRAP_EMERGENCY_ALERT_SIGNALING;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_INFO_BOOTSTRAP_BANDWIDTH;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_INFO_BOOTSTRAP_BSR_COEFFICIENT;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_INFO_STRUCTURE_PREAMBLE;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_INFO_STRUCTURE_FFT_SIZE;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_INFO_STRUCTURE_GUARD_INTERVAL;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_INFO_STRUCTURE_PILOT_PATTERN_DX;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_INFO_STRUCTURE_L1_BASIC_FEC_TYPE;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_SFN_NETWORK_DELAY;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_SFN_PROCESSING_DELAY;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_SFN_DYNAMIC_DELAY;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_SFN_TOTAL_DELAY;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_SFN_MAX_DEVIATION_TIME;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_SFN_STATIC_DELAY;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_SFN_MAXIMUM_DELAY;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_SFN_DISPATCH_TIME;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_SFN_MUTE_BOOTSTRAP_OF_FRAME;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_SFN_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_SPECIAL_SETTINGS_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_SPECIAL_STL_PREAMBLE_COMPATIBILITY_MODE_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_SPECIAL_STL_TMP_COMPATIBILITY_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_SPECIAL_AMP_LMT_COMPATIBILITY_MODE_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_SPECIAL_BOOTSTRAP_MINOR_VERSION;
extern RsCoreAttribute g_RSSMXV_ATTR_ATSC3_SPECIAL_BOOTSTRAP_EMERGENCY_ALERT_SIGNALING;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT_RECALL_SETTINGS;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT_SAVE_SETTINGS;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT_SETTINGS_CATALOG;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT_DELETE_SETTINGS;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT_INPUT_SOURCE_HIGH;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT_INPUT_SOURCE_LOW;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT_INPUT_HIGH;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT_INPUT_LOW;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT_INPUT_FORMAT_HIGH;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT_INPUT_FORMAT_LOW;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT_INPUT_IP_TS_CHANNEL;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT_INPUT_STUFFING_HIGH_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT_INPUT_STUFFING_LOW_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT_INPUT_TEST_SIGNAL_HIGH;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT_INPUT_TEST_SIGNAL_LOW;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT_INPUT_INFO_PACKET_LENGTH_HIGH;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT_INPUT_INFO_PACKET_LENGTH_LOW;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT_INPUT_INFO_MAX_USEFUL_DATA_RATE_HIGH;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT_INPUT_INFO_MAX_USEFUL_DATA_RATE_LOW;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT_INPUT_INFO_MEAS_DATA_RATE_HIGH;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT_INPUT_INFO_MEAS_DATA_RATE_LOW;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT_INPUT_INFO_USEFUL_DATA_RATE_LOW;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT_INPUT_INFO_USEFUL_DATA_RATE_HIGH;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT_INPUT_TEST_SIGNAL_TEST_TS_PACKET;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT_INPUT_TEST_SIGNAL_PID_TEST_PACKET;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT_INPUT_TEST_SIGNAL_PID;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT_INPUT_TEST_SIGNAL_PAYLOAD;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT_INPUT_TEST_SIGNAL_PRBS;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT_CODING_HIEARCHY;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT_CODING_CONSTELLATION;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT_CODING_CHANNEL_BANDWIDTH;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT_CODING_USED_BW;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT_CODING_FFT_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT_CODING_GUARD_INTERVAL;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT_CODING_DVBH_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT_CODING_SYMBOL_INTERLEAVING;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT_CODING_CODE_RATE_HIGH;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT_CODING_CODE_RATE_LOW;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT_TPS_CELL_ID;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT_TPS_RESERVED_STATE;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT_TPS_RESERVED_BITS;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT_TPS_TIMESLICE_LOW_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT_TPS_TIMESLICE_HIGH_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT_TPS_MPE_FEC_LOW_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT_TPS_MPE_FEC_HIGH_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT_SPECIAL_SETTINGS_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT_SPECIAL_SETTINGS_REED_SOLOMON_HIGH_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT_SPECIAL_SETTINGS_REED_SOLOMON_LOW_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_RECALL_SETTINGS;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_SAVE_SETTINGS;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_SETTINGS_CATALOG;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_DELETE_SETTINGS;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_INPUT_T2MI_INTERFACE_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_INPUT_SOURCE;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_INPUT_NUMBER_OF_PLPS;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_INPUT;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_INPUT_FORMAT;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_INPUT_IP_TS_CHANNEL;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_INPUT_T2MI_PID;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_INPUT_T2MI_SID;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_INPUT_RESET_LOG_FILE;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_INPUT_STATUS_INFO;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_INPUT_PLP_TEST_SIGNAL;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_INPUT_PLP_STUFFING_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_PLP_INPUT_FORMAT;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_INPUT_PACKET_LENGTH;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_INPUT_MAX_USEFUL_DATA_RATE;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_INPUT_MEAS_DATA_RATE;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_INPUT_USEFUL_DATA_RATE;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_T2MI_MEASUREMENT_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_INPUT_T2MI_TIME_MAX;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_INPUT_T2MI_TIME_MIN;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_INPUT_TEST_SIGNAL_TEST_TS_PACKET;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_INPUT_TEST_SIGNAL_PID_TEST_PACKET;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_INPUT_TEST_SIGNAL_PID;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_INPUT_TEST_SIGNAL_PAYLOAD;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_INPUT_TEST_SIGNAL_PRBS;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_MODE_STREAM_PLP_ID;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_MODE_STREAM_PLP_GROUP_ID;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_MODE_STREAM_PLP_TYPE;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_MODE_STREAM_PLP_BB_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_MODE_STREAM_PLP_ISSY;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_MODE_STREAM_PLP_NULL_PACKET_DELETION_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_MODE_STREAM_PLP_IN_BAND_SIGNALING_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_MODE_STREAM_PLP_IN_BAND_SIGNALING_A_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_MODE_STREAM_PLP_IN_BAND_SIGNALING_B_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_MODE_STREAM_PLP_OTHER_IN_BAND_PLPS;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_MODE_STREAM_PLP_CM_TYPE;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_MODE_STREAM_PLP_STATIC_FLAG_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_MODE_STREAM_PLP_STATIC_PADDING_FLAG_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_BCIM_PLP_FEC_FRAME;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_BCIM_PLP_CODE_RATE;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_BCIM_PLP_CONSTELLATION;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_BCIM_PLP_CONSTELLATION_ROTATION_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_BCIM_PLP_TIME_INTERLEAVER;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_BCIM_PLP_FRAME_INTERLEAVER;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_BCIM_PLP_TIME_INTERLEAVER_LENGTH;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_BCIM_PLP_FIRST_FRAME_INDEX;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_BICM_PLP_FEC_BLOCKS_PER_IF;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_BICM_PLP_MAX_NUMBER_OF_BLOCKS;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_OFDM_CHANNEL_BANDWIDTH;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_OFDM_USED_BANDWIDTH;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_OFDM_BANDWIDTH_VARIATION;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_OFDM_FFT_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_OFDM_GUARD_INTERVAL;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_OFDM_PILOT_PATTERN;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_OFDM_T2_FRAMES_PER_SUPER_FRAME;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_OFDM_SYMBOLS_PER_T2_FRAME;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_OFDM_DATA_SYMBOLS_PER_T2_FRAME;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_OFDM_SUBSLICES_PER_T2_FRAME;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_SYSTEM_NETWORK_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_SYSTEM_NETWORK_PROFILE_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_SYSTEM_NETWORK_TRANSMISSION_SYSTEM;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_SYSTEM_NETWORK_MISO_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_SYSTEM_NETWORK_MISO_GROUP;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_SYSTEM_NETWORK_PEAK_TO_AVERAGE_POWER_RATIO;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_SYSTEM_NETWORK_FUTURE_EXTENSION_FRAMES_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_SYSTEM_NETWORK_FUTURE_EXTENSION_FRAMES_TYPE;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_SYSTEM_NETWORK_FUTURE_EXTENSION_FRAMES_LENGTH;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_SYSTEM_NETWORK_FUTURE_EXTENSION_FRAMES_INTERVAL;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_SYSTEM_NETWORK_FUTURE_EXTENSION_FRAMES_PAYLOAD;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_SYSTEM_NETWORK_TIME_FREQUENCY_SLICING;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_SYSTEM_L1_T2_VERSION;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_SYSTEM_L1_POST_MODULATION;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_SYSTEM_L1_REPETITION_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_SYSTEM_L1_POST_EXTENSION;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_SYSTEM_L1_POST_SCRAMBLING_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_SYSTEM_L1_BASE_LITE_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_SYSTEM_L1_NUMBER_OF_AUX_STREAMS;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_SYSTEM_L1_RF_SIGNALING_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_SYSTEM_L1_RF_SIGNALING_FREQUENCY;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_SYSTEM_CELL_ID;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_SYSTEM_NETWORK_ID;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_SYSTEM_T2_ID;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_SYSTEM_TX_ID_AVAILABILITY;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_SFN_PROCESSING_DELAY;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_SFN_STATIC_DELAY;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_SFN_DYNAMIC_DELAY;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_SFN_TOTAL_DELAY;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_SFN_DELAY_MAX_DEVIATION_TIME;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_SFN_DELAY_MUTE_1ST_SUPER_FRAME_P1_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_SFN_TIMESTAMP_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_SFN_UPDATE_TIMESTAMP;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_SFN_UTC_DATE;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_SFN_UTC_TIME;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_SFN_OFFSET;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_SFN_SECONDS_SINCE_2000;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_FRAME_INFO_SUPER_FRAME_DURATION;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_FRAME_INFO_T2_FRAME_DURATION;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_FRAME_INFO_FUTURE_EXTENSION_FRAME_DURATION;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_FRAME_INFO_P1_SYMBOL_DURATION;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_FRAME_INFO_OFDM_SYMBOL_DURATION_TS;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_FRAME_INFO_OFDM_SYMBOL_DURATION_TP2;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_FRAME_INFO_L1_PRE_SIGNALING_BITS;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_FRAME_INFO_L1_PRE_SIGNALING_CELLS;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_FRAME_INFO_L1_POST_SIGNALING_BITS;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_FRAME_INFO_L1_POST_SIGNALING_CELLS;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_FRAME_INFO_PLP_DATA_CELLS_PER_T2_FRAME;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBT2_FRAME_INFO_PLP_DATA_CELLS_IN_CURRENT_T2_FRAME;
extern RsCoreAttribute g_RSSMXV_ATTR_DVB_C_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_DVB_C_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSSMXV_ATTR_DVB_C_RECALL_SETTINGS;
extern RsCoreAttribute g_RSSMXV_ATTR_DVB_C_SAVE_SETTINGS;
extern RsCoreAttribute g_RSSMXV_ATTR_DVB_C_SETTINGS_CATALOG;
extern RsCoreAttribute g_RSSMXV_ATTR_DVB_C_DELETE_SETTINGS;
extern RsCoreAttribute g_RSSMXV_ATTR_DVB_C_INPUT_SOURCE;
extern RsCoreAttribute g_RSSMXV_ATTR_DVB_C_INPUT_STUFFING_STATE;
extern RsCoreAttribute g_RSSMXV_ATTR_DVB_C_INPUT_INTERFACE;
extern RsCoreAttribute g_RSSMXV_ATTR_DVB_C_INPUT_FORMAT;
extern RsCoreAttribute g_RSSMXV_ATTR_DVB_C_INPUT_TS_CHANNEL;
extern RsCoreAttribute g_RSSMXV_ATTR_DVB_C_INPUT_INFO_PACKET_LENGTH;
extern RsCoreAttribute g_RSSMXV_ATTR_DVB_C_INPUT_INFO_MAXIMUM_USEFUL_DATA_RATE;
extern RsCoreAttribute g_RSSMXV_ATTR_DVB_C_INPUT_INFO_USEFUL_DATA_RATE;
extern RsCoreAttribute g_RSSMXV_ATTR_DVB_C_INPUT_INFO_MEASURED_DATA_RATE;
extern RsCoreAttribute g_RSSMXV_ATTR_DVB_C_INPUT_TEST_SIGNAL;
extern RsCoreAttribute g_RSSMXV_ATTR_DVB_C_INPUT_TEST_SIGNAL_TEST_TS_PACKET;
extern RsCoreAttribute g_RSSMXV_ATTR_DVB_C_INPUT_TEST_SIGNAL_PID_TEST_PACKET;
extern RsCoreAttribute g_RSSMXV_ATTR_DVB_C_INPUT_TEST_SIGNAL_PID;
extern RsCoreAttribute g_RSSMXV_ATTR_DVB_C_INPUT_TEST_SIGNAL_PAYLOAD;
extern RsCoreAttribute g_RSSMXV_ATTR_DVB_C_INPUT_TEST_SIGNAL_PRBS;
extern RsCoreAttribute g_RSSMXV_ATTR_DVB_C_CODING_SYMBOL_RATE;
extern RsCoreAttribute g_RSSMXV_ATTR_DVB_C_CODING_CONSTELLATION;
extern RsCoreAttribute g_RSSMXV_ATTR_DVB_C_CODING_ROLL_OFF_FACTOR;
extern RsCoreAttribute g_RSSMXV_ATTR_DVB_C_SPECIAL_SETTINGS_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_DVB_C_SPECIAL_SETTINGS_REED_SOLOMON_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_RECALL_SETTINGS;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_SAVE_SETTINGS;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_DELETE_SETTINGS;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_SETTINGS_CATALOG;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_CONTROL;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_SYSTEM;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_INPUT_SOURCE_LAYER_A;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_INPUT_SOURCE_LAYER_B;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_INPUT_SOURCE_LAYER_C;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_INPUT_EXTERNAL;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_INPUT_FORMAT;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_INPUT_IP_TS_CHANNEL;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_INPUT_REMUX_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_INPUT_INFO_PACKET_LENGTH;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_INPUT_INFO_STUFFING_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_INPUT_INFO_USEFUL_DATA_RATE_A;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_INPUT_INFO_USEFUL_DATA_RATE_B;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_INPUT_INFO_USEFUL_DATA_RATE_C;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_INPUT_INFO_USEFUL_DATA_RATE_MAXIMUM_A;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_INPUT_INFO_USEFUL_DATA_RATE_MAXIMUM_B;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_INPUT_INFO_USEFUL_DATA_RATE_MAXIMUM_C;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_INPUT_INFO_MEASURED_DATA_RATE;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_TEST_SIGNAL_TS_PACKET;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_TEST_SIGNAL_PID_PACKET;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_TEST_SIGNAL_PID;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_TEST_SIGNAL_PAYLOAD;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_TEST_SIGNAL_PRBS;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_TEST_SIGNAL_DATA_A;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_TEST_SIGNAL_DATA_B;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_TEST_SIGNAL_DATA_C;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_CODING_IIP_PID;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_CODING_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_CODING_CHANNEL_BANDWIDTH;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_CODING_GUARD_INTERVAL;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_CODING_SUBCHANNEL;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_USED_BANDWIDTH;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_CODING_PORTION_A;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_CODING_CONSTELLATION_A;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_CODING_SEGMENTS_A;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_CODING_RATE_A;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_CODING_TIME_INTERLEAVING_A;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_CODING_PORTION_B;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_CODING_CONSTELLATION_B;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_CODING_RATE_B;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_CODING_TIME_INTERLEAVING_B;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_CODING_SEGMENTS_B;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_CODING_PORTION_C;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_CODING_CONSTELLATION_C;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_CODING_SEGMENTS_C;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_CODING_RATE_C;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_CODING_TIME_INTERLEAVING_C;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_EEW_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_EEW_NUMBER_OF_EPICENTER;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_EEW_SIGNAL_TYPE;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_EEW_AREA_INFORMATION;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_EEW_APPLY_SIGNAL_SETTINGS;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_EEW_INFORMATION_TYPE;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_EEW_WARNING_ID;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_EEW_LATITUDE;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_EEW_LONGITUDE;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_EEW_DEPTH;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_EEW_OCCURENCE_TIME;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_EEW_APPLY_EPICENTER_1;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_EEW_APPLY_EPICENTER_2;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_SPECIAL_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_REED_SOLOMON_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_SPECIAL_ALERT_BROADCASTING_FLAG_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_SPECIAL_AC_DATA;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_SPECIAL_TX_PARAMETER_SWITCHING_INDICATOR;
extern RsCoreAttribute g_RSSMXV_ATTR_ISDBT_SPECIAL_TMCC_NEXT;
extern RsCoreAttribute g_RSSMXV_ATTR_DTMB_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_DTMB_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSSMXV_ATTR_DTMB_RECALL_SETTINGS;
extern RsCoreAttribute g_RSSMXV_ATTR_DTMB_SAVE_SETTINGS;
extern RsCoreAttribute g_RSSMXV_ATTR_DTMB_DELETE_SETTINGS;
extern RsCoreAttribute g_RSSMXV_ATTR_DTMB_SETTINGS_CATALOG;
extern RsCoreAttribute g_RSSMXV_ATTR_DTMB_SINGLE_CARRIER_MODE_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_DTMB_DUAL_PILOT_TONE_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_DTMB_INPUT_SOURCE;
extern RsCoreAttribute g_RSSMXV_ATTR_DTMB_INPUT_EXTERNAL_INTERFACE;
extern RsCoreAttribute g_RSSMXV_ATTR_DTMB_INPUT_FORMAT;
extern RsCoreAttribute g_RSSMXV_ATTR_DTMB_INPUT_IP_TS_CHANNEL;
extern RsCoreAttribute g_RSSMXV_ATTR_DTMB_INPUT_STUFFING_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_DTMB_INFO_PACKET_LENGTH;
extern RsCoreAttribute g_RSSMXV_ATTR_DTMB_INFO_USEFUL_DATA_RATE_MAX;
extern RsCoreAttribute g_RSSMXV_ATTR_DTMB_INFO_MEASURED_DATA_RATE;
extern RsCoreAttribute g_RSSMXV_ATTR_DTMB_INFO_USEFUL_DATA_RATE;
extern RsCoreAttribute g_RSSMXV_ATTR_DTMB_TEST_TS_PACKET;
extern RsCoreAttribute g_RSSMXV_ATTR_DTMB_TEST_SIGNAL;
extern RsCoreAttribute g_RSSMXV_ATTR_DTMB_TEST_PID_PACKET;
extern RsCoreAttribute g_RSSMXV_ATTR_DTMB_TEST_PID_HEX;
extern RsCoreAttribute g_RSSMXV_ATTR_DTMB_TEST_PAYLOAD;
extern RsCoreAttribute g_RSSMXV_ATTR_DTMB_TEST_SIGNAL_PRBS;
extern RsCoreAttribute g_RSSMXV_ATTR_DTMB_CODING_CHANNEL_BANDWIDTH;
extern RsCoreAttribute g_RSSMXV_ATTR_DTMB_CODING_CONTROL_FRAMES;
extern RsCoreAttribute g_RSSMXV_ATTR_DTMB_CODING_CONSTELLATION;
extern RsCoreAttribute g_RSSMXV_ATTR_DTMB_CODING_CODE_RATE;
extern RsCoreAttribute g_RSSMXV_ATTR_DTMB_CODING_GUARD_INTERVAL;
extern RsCoreAttribute g_RSSMXV_ATTR_DTMB_CODING_GUARD_INTERVAL_PN;
extern RsCoreAttribute g_RSSMXV_ATTR_DTMB_CODING_TIME_INTERLEAVER;
extern RsCoreAttribute g_RSSMXV_ATTR_DTMB_SPECIAL_SETTINGS_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_DTMB_SPECIAL_SETTINGS_SI_POWER_NORMALIZATION_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS_RECALL_SETTINGS;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS_SAVE_SETTINGS;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS_SETTINGS_CATALOG;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS_DELETE_SETTINGS;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS_SOURCE;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS_INPUT;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS_INPUT_FORMAT;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS_IP_TS_CHANNEL;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS_STUFFING_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS_PACKET_LENGTH;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS_MAX_USEFUL_DATA_RATE;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS_MEASURED_DATA_RATE;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS_USEFUL_DATA_RATE;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS_TEST_SIGNAL;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS_TEST_TS_PACKET;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS_PID_TEST_PACKET;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS_PID;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS_PAYLOAD_TEST;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS_PRBS;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS_CODING_SYMBOL_RATE;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS_CODING_CONSTELLATION;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS_CODING_ROLL_OFF;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS_CODING_CODE_RATE;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS_SPECIAL_SETTINGS_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS_SPECIAL_REED_SOLOMON_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS2_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS2_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS2_CM_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS2_ANNEX_M_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS2_S2X_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS2_RECALL_SETTINGS;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS2_SAVE_SETTINGS;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS2_SETTINGS_CATALOG;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS2_DELETE_SETTINGS;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS2_NUMBER_OF_INPUT_STREAMS;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS2_SOURCE;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS2_INPUT;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS2_INPUT_FORMAT;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS2_IP_TS_CHANNEL;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS2_STUFFING_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS2_PACKET_LENGTH;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS2_MAX_USEFUL_DATA_RATE;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS2_MEASURED_DATA_RATE;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS2_USEFUL_DATA_RATE;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS2_TEST_SIGNAL;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS2_TEST_TS_PACKET;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS2_PID_TEST_PACKET;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS2_PID;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS2_PAYLOAD_TEST;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS2_PRBS;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS2_CODING_SYMBOL_RATE;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS2_CODING_ROLL_OFF;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS2_CODING_NUMBER_OF_TIME_SLICES;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS2_CODING_SUPER_FRAME_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS2_CODING_CHANNEL_BONDING;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS2_CODING_TSN;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS2_CODING_ISI;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS2_CODING_NUMBER_OF_SYMBOLS;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS2_CODING_MODULATION_CODING;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS2_CODING_FEC_FRAME;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS2_CODING_PILOTS_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS2_SPECIAL_SETTINGS_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS2_SPECIAL_PL_GOLD_CODE_INDEX;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS2_SPECIAL_PL_SCRAMBLING_SEQUENCE_ID;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS2_SPECIAL_PL_SCRAMBLER_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_DVBS2_SPECIAL_PL_DATASLICES_PRBS;
extern RsCoreAttribute g_RSSMXV_ATTR_J83B_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_J83B_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSSMXV_ATTR_J83B_RECALL_SETTINGS;
extern RsCoreAttribute g_RSSMXV_ATTR_J83B_SAVE_SETTINGS;
extern RsCoreAttribute g_RSSMXV_ATTR_J83B_SETTINGS_CATALOG;
extern RsCoreAttribute g_RSSMXV_ATTR_J83B_DELETE_SETTINGS;
extern RsCoreAttribute g_RSSMXV_ATTR_J83B_INPUT_SIGNAL_SOURCE;
extern RsCoreAttribute g_RSSMXV_ATTR_J83B_INPUT_SIGNAL_STUFFING_STATE;
extern RsCoreAttribute g_RSSMXV_ATTR_J83B_INPUT_SIGNAL_INTERFACE;
extern RsCoreAttribute g_RSSMXV_ATTR_J83B_INPUT_SIGNAL_FORMAT;
extern RsCoreAttribute g_RSSMXV_ATTR_J83B_INPUT_SIGNAL_TS_CHANNEL;
extern RsCoreAttribute g_RSSMXV_ATTR_J83B_INPUT_INFO_PACKET_LENGTH;
extern RsCoreAttribute g_RSSMXV_ATTR_J83B_INPUT_INFO_MAXIMUM_USEFUL_DATA_RATE;
extern RsCoreAttribute g_RSSMXV_ATTR_J83B_INPUT_INFO_USEFUL_DATA_RATE;
extern RsCoreAttribute g_RSSMXV_ATTR_J83B_INPUT_INFO_MEASURED_DATA_RATE;
extern RsCoreAttribute g_RSSMXV_ATTR_J83B_INPUT_TEST_SIGNAL;
extern RsCoreAttribute g_RSSMXV_ATTR_J83B_INPUT_TEST_SIGNAL_TS_TEST_PACKET;
extern RsCoreAttribute g_RSSMXV_ATTR_J83B_INPUT_TEST_SIGNAL_PID_TEST_PACKET;
extern RsCoreAttribute g_RSSMXV_ATTR_J83B_INPUT_TEST_SIGNAL_PID;
extern RsCoreAttribute g_RSSMXV_ATTR_J83B_INPUT_TEST_SIGNAL_PAYLOAD;
extern RsCoreAttribute g_RSSMXV_ATTR_J83B_INPUT_TEST_SIGNAL_PRBS;
extern RsCoreAttribute g_RSSMXV_ATTR_J83B_CODING_SYMBOL_RATE;
extern RsCoreAttribute g_RSSMXV_ATTR_J83B_CODING_CONSTELLATION;
extern RsCoreAttribute g_RSSMXV_ATTR_J83B_CODING_ROLL_OFF_FACTOR;
extern RsCoreAttribute g_RSSMXV_ATTR_J83B_CODING_INTERLEAVER_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_J83B_SPECIAL_SETTINGS_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_J83B_SPECIAL_SETTINGS_REED_SOLOMON_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_IP_CHANNEL_INPUT_IP_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_IP_CHANNEL_ALIAS;
extern RsCoreAttribute g_RSSMXV_ATTR_IP_CHANNEL_TYPE;
extern RsCoreAttribute g_RSSMXV_ATTR_IP_CHANNEL_MULTICAST_ADDRESS;
extern RsCoreAttribute g_RSSMXV_ATTR_IP_CHANNEL_PORT;
extern RsCoreAttribute g_RSSMXV_ATTR_IP_CHANNEL_IGMPV3_SOURCE_ADDRESS;
extern RsCoreAttribute g_RSSMXV_ATTR_IP_CHANNEL_IGMPV3_PING_SOURCE_ADDRESS;
extern RsCoreAttribute g_RSSMXV_ATTR_IP_CHANNEL_IGMPV3_PING_RESULT;
extern RsCoreAttribute g_RSSMXV_ATTR_AM_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_AM_DEPTH;
extern RsCoreAttribute g_RSSMXV_ATTR_AM_FREQUENCY;
extern RsCoreAttribute g_RSSMXV_ATTR_AM_PERIOD;
extern RsCoreAttribute g_RSSMXV_ATTR_AM_SHAPE;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_DEVIATION;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_FREQUENCY;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_PERIOD;
extern RsCoreAttribute g_RSSMXV_ATTR_FM_SHAPE;
extern RsCoreAttribute g_RSSMXV_ATTR_PM_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_PM_DEVIATION;
extern RsCoreAttribute g_RSSMXV_ATTR_PM_FREQUENCY;
extern RsCoreAttribute g_RSSMXV_ATTR_PM_PERIOD;
extern RsCoreAttribute g_RSSMXV_ATTR_PM_SHAPE;
extern RsCoreAttribute g_RSSMXV_ATTR_PULM_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_PULM_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_PULM_DELAY;
extern RsCoreAttribute g_RSSMXV_ATTR_PULM_DOUBLE_DELAY;
extern RsCoreAttribute g_RSSMXV_ATTR_PULM_WIDTH;
extern RsCoreAttribute g_RSSMXV_ATTR_PULM_DOUBLE_WIDTH;
extern RsCoreAttribute g_RSSMXV_ATTR_PULM_PERIOD;
extern RsCoreAttribute g_RSSMXV_ATTR_PULM_TRANSITION_TYPE;
extern RsCoreAttribute g_RSSMXV_ATTR_PULM_VIDEO_POLARITY;
extern RsCoreAttribute g_RSSMXV_ATTR_PROGRESS_MULTI_CODER;
extern RsCoreAttribute g_RSSMXV_ATTR_PROGRESS_MULTI_CODER_CARRIER;
extern RsCoreAttribute g_RSSMXV_ATTR_PROGRESS_MULTI_CODER_SEGMENT;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_LOAD_WAVEFORM;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_CLOCK_FREQUENCY;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MULTI_CARRIER_CLOCK;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MULTI_CARRIER_SAMPLES;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_TEST_SIGNAL_FORM;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_TRIGGER_STATUS;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_EXECUTE_TRIGGER;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_TRIGGER_ARM;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_TRIGGER_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_EXTENDED_TRIGGER_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_TRIGGER_SINGLE_SIGNAL_DURATION_UNIT;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_TRIGGER_SINGLE_SEQUENCE_LENGTH;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_TRIGGER_PROCESSING_TIME;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_EXTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_EXTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_EXTERNAL_TRIGGER_DELAY_UNIT;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_EXTERNAL_TRIGGER_EVENT_DELAY;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_EXTERNAL_TRIGGER_DELAY_SECONDS;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MARKER_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MARKER_PULSE_DIVIDER;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MARKER_DELAY;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MARKER_DELAY_IN_SECONDS;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MARKER_PULSE_FREQUENCY;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MARKER_PATTERN;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MARKER_ON_TIME;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MARKER_OFF_TIME;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_CLOCK_SOURCE;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_CLOCK_SYNCHRONIZATION_OUTPUT_TO_EXTERNAL_TRIGGER;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_WAVEFORM_CATALOG;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_WAVEFORM_CATALOG_LENGTH;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_WAVEFORM_DELETE;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_WAVEFORM_POINTS;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_WAVEFORM_FREE_DISK_SPACE;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_WAVEFORM_TAG;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_WAVEFORM_HDD_STREAMING_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MULTI_CARRIER_OUTPUT_FILE;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MULTI_CARRIER_SAVE_FILE;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_CREATE_MULTI_CARRIER;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_RESET_MULTI_CARRIER;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MULTI_CARRIER_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MULTI_CARRIER_SPACING;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MULTI_CARRIER_COUNT;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MULTI_CARRIER_CREST_FACTOR_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MULTI_CARRIER_CLIPPING_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MULTI_CARRIER_CLIPPING_TARGET_CREST_FACTOR;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MULTI_CARRIER_CLIPPING_FILTER_CUT_OFF_FREQUENCY;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MULTI_CARRIER_POWER_REFERENCE;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MULTI_CARRIER_SIGNAL_PERIOD_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MULTI_CARRIER_SIGNAL_PERIOD;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MULTI_CARRIER_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MULTI_CARRIER_FREQUENCY;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MULTI_CARRIER_GAIN;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MULTI_CARRIER_PHASE;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MULTI_CARRIER_DELAY;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MULTI_CARRIER_DATA_FILE;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MULTI_CARRIER_CONFLICT;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_EXECUTE_MULTI_CARRIER_EDITION;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MULTI_CARRIER_EDIT_DELAY;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MULTI_CARRIER_EDIT_DELAY_STEP;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MULTI_CARRIER_INPUT_IQ_FILE;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MULTI_CARRIER_EDIT_PHASE;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MULTI_CARRIER_EDIT_PHASE_STEP;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MULTI_CARRIER_EDIT_POWER;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MULTI_CARRIER_EDIT_POWER_STEP;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MULTI_CARRIER_START;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MULTI_CARRIER_STOP;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MULTI_CARRIER_EDIT_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MULTI_CARRIER_CATALOG;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_LOAD_MULTI_CARRIER_SETTING_FILE;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_STORE_MULTI_CARRIER_SETTING_FILE;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MULTI_CARRIER_FAST_STORE;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_TSIGNAL_GENERATE;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_TSIGNAL_CREATE;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_TSIGNAL_FREQUENCY;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_TSIGNAL_PHASE;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_TSIGNAL_SAMPLES;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_TSIGNAL_RECTANGLE_NAME;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_TSIGNAL_RECTANGLE_CREATE;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_TSIGNAL_RECTANGLE_FREQUENCY;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_TSIGNAL_RECTANGLE_AMPLITUDE;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_TSIGNAL_RECTANGLE_OFFSET_DC;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_TSIGNAL_RECTANGLE_SAMPLES;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_TSIGNAL_CIQ_NAME;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_TSIGNAL_CIQ_CREATE;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_TSIGNAL_CIQ_I;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_TSIGNAL_CIQ_Q;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MULTISEGMENT_OUTPUT_SEGMENT;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MULTISEGMENT_CURRENT_OUTPUT_SEGMENT;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MULTISEGMENT_LEVEL_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MULTISEGMENT_SEQUENCE_RESTART;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MULTISEGMENT_SEGMENT_RESTART;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MULTISEGMENT_SAVE_FILE;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MULTISEGMENT_APPEND_FILE;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MULTISEGMENT_NAME;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MULTISEGMENT_EXECUTE_NEXT_SEGMENT;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MULTISEGMENT_NEXT_SEGMENT_SOURCE;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MULTISEGMENT_NEXT_SEGMENT_LEVEL_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MULTISEGMENT_SEQUENCING_LIST;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MULTISEGMENT_MARKER_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MULTISEGMENT_CONFIGURATION_FILE;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MULTISEGMENT_CREATE_FROM_CONFIGURATION_FILE;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MULTISEGMENT_LOAD_FROM_CONFIGURATION_FILE;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MULTISEGMENT_CATALOG;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MULTISEGMENT_SEGMENT_CATALOG;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MULTISEGMENT_DELETE_CONFIGURATION_FILE;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MULTISEGMENT_COMMENT;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MULTISEGMENT_CLOCK;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_MULTISEGMENT_CLOCK_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_CFR_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_CFR_ALGORITHM;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_CFR_DCF_DELTA;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_CFR_OCF;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_CFR_FILTERING_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_CFR_MAXIMUM_FILTER_ORDER;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_CFR_CHANNEL_SPACING;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_CFR_STOP_BAND_FREQUENCY;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_CFR_MAX_ITERATIONS;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_CFR_RCF;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_CFR_SIGNAL_BANDWITH;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_CFR_PF_REQ;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_CFR_MEASURE_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_ARB_CFR_WAVEFORM_CREATE;
extern RsCoreAttribute g_RSSMXV_ATTR_AWGN_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_AWGN_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_AWGN_SYSTEM_BANDWIDTH;
extern RsCoreAttribute g_RSSMXV_ATTR_AWGN_SYSTEM_BANDWIDTH_RATIO;
extern RsCoreAttribute g_RSSMXV_ATTR_AWGN_SYSTEM_BANDWIDTH_NOISE;
extern RsCoreAttribute g_RSSMXV_ATTR_AWGN_SYSTEM_BANDWIDTH_COUPLING;
extern RsCoreAttribute g_RSSMXV_ATTR_AWGN_POWERS_FOR_OUTPUT;
extern RsCoreAttribute g_RSSMXV_ATTR_AWGN_RESULTING_CW_FREQUENCY_OFFSET;
extern RsCoreAttribute g_RSSMXV_ATTR_AWGN_TARGET_CW_FREQUENCY_OFFSET;
extern RsCoreAttribute g_RSSMXV_ATTR_AWGN_NOISE_LEVEL_VIA;
extern RsCoreAttribute g_RSSMXV_ATTR_AWGN_CARRIER_TO_NOISE_RATIO;
extern RsCoreAttribute g_RSSMXV_ATTR_AWGN_REFERENCE_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_AWGN_BIT_RATE;
extern RsCoreAttribute g_RSSMXV_ATTR_AWGN_CARRIER_POWER;
extern RsCoreAttribute g_RSSMXV_ATTR_AWGN_CARRIER_AND_NOISE_POWER;
extern RsCoreAttribute g_RSSMXV_ATTR_AWGN_CARRIER_AND_NOISE_PEP;
extern RsCoreAttribute g_RSSMXV_ATTR_AWGN_NOISE_POWER_TOTAL;
extern RsCoreAttribute g_RSSMXV_ATTR_AWGN_NOISE_LEVEL;
extern RsCoreAttribute g_RSSMXV_ATTR_AWGN_EB_TO_N0;
extern RsCoreAttribute g_RSSMXV_ATTR_IMP_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_IMP_QUADRATURE_OFFSET;
extern RsCoreAttribute g_RSSMXV_ATTR_IMP_QUADRATURE_ANGLE;
extern RsCoreAttribute g_RSSMXV_ATTR_IMP_OPTIMIZATION_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_IMP_I_OFFSET;
extern RsCoreAttribute g_RSSMXV_ATTR_IMP_Q_OFFSET;
extern RsCoreAttribute g_RSSMXV_ATTR_IMP_GAIN_IMBALANCE;
extern RsCoreAttribute g_RSSMXV_ATTR_IMP_CREST_FACTOR;
extern RsCoreAttribute g_RSSMXV_ATTR_IMP_PEAK_LEVEL;
extern RsCoreAttribute g_RSSMXV_ATTR_IMP_SIGNAL_LEVEL;
extern RsCoreAttribute g_RSSMXV_ATTR_IQ_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_IQ_SWAP_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_LEVEL_PEP;
extern RsCoreAttribute g_RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_LEVEL;
extern RsCoreAttribute g_RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_POWER_VARIATION_STEP_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_POWER_VARIATION_STEP;
extern RsCoreAttribute g_RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_POWER_ON_STATE;
extern RsCoreAttribute g_RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_CONNECTED_DEVICE;
extern RsCoreAttribute g_RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_SAMPLE_RATE_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_SAMPLE_RATE;
extern RsCoreAttribute g_RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_SAMPLE_RATE_MAX;
extern RsCoreAttribute g_RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_SAMPLE_RATE_SUM;
extern RsCoreAttribute g_RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_INTERFACE;
extern RsCoreAttribute g_RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_POWER_VIA;
extern RsCoreAttribute g_RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_GROUP_DELAY_COMPENSATION_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_CHANNEL_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_CHANNEL_NAME;
extern RsCoreAttribute g_RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_CHANNEL_SAMPLE_RATE;
extern RsCoreAttribute g_RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_CHANNEL_LEVEL;
extern RsCoreAttribute g_RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_CHANNEL_LEVEL_PEP;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_ACC_TO_STANDARD;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_SYMBOL_RATE;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_CODING;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_SWITCHING_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_SETTINGS_CATALOG;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_DELETE_SETTINGS;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_RECALL_SETTINGS;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_SAVE_SETTINGS;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_USER_STANDARDS_CATALOG;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_DELETE_USER_STANDARDS;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_LOAD_USER_STANDARDS;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_STORE_USER_STANDARDS;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_DATA_SOURCE;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_DATA_PATTERN;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_PRBS_TYPE;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_CONTROL_LIST_CATALOG;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_CONTROL_LIST_COPY;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_CONTROL_LIST_DELETE;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_CONTROL_LIST_SELECT;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_CONTROL_LIST_DATA_WRITE;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_CONTROL_LIST_NUMBER_OF_LINES;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_CONTROL_LIST_FREE_MEMORY;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_DATA_LIST_CATALOG;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_DATA_LIST_COPY;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_DATA_LIST_DELETE;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_DATA_LIST_SELECT;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_DATA_LIST_DATA_WRITE;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_DATA_LIST_DATA_READ_ALL;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_DATA_LIST_DATA_APPEND;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_DATA_LIST_NUMBER_OF_BITS;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_DATA_LIST_FREE_MEMORY;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_MAPPING_LIST_CATALOG;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_MAPPING_LIST_DELETE;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_MAPPING_LIST_FREE_MEMORY;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_MAPPING_LIST_LENGTH;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_MAPPING_LIST_SELECT;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_MODULATION_TYPE;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_ASK_DEPTH;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_FSK_DEVIATION;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_VARIABLE_FSK_TYPE;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_AQPSK_ANGLE_ALPHA;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_16APSK_GAMMA;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_32APSK_GAMMA;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_VARIABLE_FSK_DEVIATION;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_FILTER_TYPE;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_FILTER_TYPE_PARAMETER;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_FILTER_PARAMETER_APCO25;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_FILTER_PARAMETER_APCO25_LSM_GAUSS;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_FILTER_PARAMETER_APCO25_LSM_LOWPASS;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_FILTER_PARAMETER_COSINE;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_FILTER_PARAMETER_COSINE_BANDWIDTH;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_FILTER_PARAMETER_GAUSS;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_FILTER_PARAMETER_PURE_GAUSS;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_FILTER_PARAMETER_ROOT_COSINE;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_FILTER_PARAMETER_SPLIT_PHASE;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_FILTER_PARAMETER_LOW_PASS;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_FILTER_PARAMETER_LOW_PASS_EVM;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_FILTER_CATALOG;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_FILTER_LIST_DELETE;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_FILTER_LIST_SELECT;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_FILTER_LIST_FREE_MEMORY;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_FILTER_LIST_LENGTH;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_POWER_RAMPING_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_POWER_RAMP_SOURCE;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_POWER_RAMP_FUNCTION;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_POWER_RAMP_TIME;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_POWER_RAMP_RISE_DELAY;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_POWER_RAMP_FALL_DELAY;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_POWER_RAMP_ATTENUATION;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_POWER_RAMP_IN_BASEBAND_ONLY;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_TRIGGER_ARM_EXECUTE;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_TRIGGER_EXECUTE;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_TRIGGER_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_TRIGGER_SIGNAL_DURATION;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_TRIGGER_STATUS;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_EXTERNAL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_EXTERNAL_TRIGGER_INHIBIT;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_EXTERNAL_TRIGGER_DELAY_UNIT;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_EXTERNAL_TRIGGER_ACTUAL_DELAY;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_EXTERNAL_TRIGGER_SPECIFIED_DELAY;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_MARKER_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_MARKER_PULSE_DIVIDER;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_MARKER_PULSE_FREQUENCY;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_MARKER_PATTERN;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_MARKER_ON_TIME;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_MARKER_OFF_TIME;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_MARKER_DELAY;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_CLOCK_SOURCE;
extern RsCoreAttribute g_RSSMXV_ATTR_DM_CLOCK_SYNCHRONIZATION_OUTPUT_TO_EXTERNAL_TRIGGER;
extern RsCoreAttribute g_RSSMXV_ATTR_BBIN_FREQUENCY_OFFSET;
extern RsCoreAttribute g_RSSMXV_ATTR_BBIN_PHASE_OFFSET;
extern RsCoreAttribute g_RSSMXV_ATTR_BBIN_SIGNAL_ROUTING;
extern RsCoreAttribute g_RSSMXV_ATTR_BBIN_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_BBIN_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_BBIN_CREST_FACTOR;
extern RsCoreAttribute g_RSSMXV_ATTR_BBIN_PEAK_LEVEL;
extern RsCoreAttribute g_RSSMXV_ATTR_BBIN_MEASUREMENT_PERIOD;
extern RsCoreAttribute g_RSSMXV_ATTR_BBIN_AUTO_LEVEL_SET_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_BBIN_AUTO_LEVEL_SET;
extern RsCoreAttribute g_RSSMXV_ATTR_BBIN_RMS_POWER;
extern RsCoreAttribute g_RSSMXV_ATTR_BBIN_SAMPLE_RATE;
extern RsCoreAttribute g_RSSMXV_ATTR_BBIN_SAMPLE_RATE_SOURCE;
extern RsCoreAttribute g_RSSMXV_ATTR_BBIN_EXTERNALLY_CONNECTED_ID;
extern RsCoreAttribute g_RSSMXV_ATTR_BBIN_DIGITAL_INTERFACE;
extern RsCoreAttribute g_RSSMXV_ATTR_BBIN_MAX_SAMPLE_RATE;
extern RsCoreAttribute g_RSSMXV_ATTR_BBIN_SUM_SAMPLE_RATE;
extern RsCoreAttribute g_RSSMXV_ATTR_BBIN_ACTIVATE_CHANNEL;
extern RsCoreAttribute g_RSSMXV_ATTR_BBIN_CHANNEL_NAME;
extern RsCoreAttribute g_RSSMXV_ATTR_BBIN_CHANNEL_CREST_FACTOR;
extern RsCoreAttribute g_RSSMXV_ATTR_BBIN_CHANNEL_PEAK_LEVEL;
extern RsCoreAttribute g_RSSMXV_ATTR_BBIN_CHANNEL_SAMPLE_RATE;
extern RsCoreAttribute g_RSSMXV_ATTR_BBIN_CHANNEL_RMS_LEVEL;
extern RsCoreAttribute g_RSSMXV_ATTR_REFERENCE_OSCILLATOR_PRESET;
extern RsCoreAttribute g_RSSMXV_ATTR_REFERENCE_OSCILLATOR_SOURCE;
extern RsCoreAttribute g_RSSMXV_ATTR_REFERENCE_OSCILLATOR_ADJUSTMENT_FREQUENCY;
extern RsCoreAttribute g_RSSMXV_ATTR_REFERENCE_OSCILLATOR_ADJUSTMENT_ACTIVE;
extern RsCoreAttribute g_RSSMXV_ATTR_REFERENCE_OSCILLATOR_EXTERNAL_FREQUENCY;
extern RsCoreAttribute g_RSSMXV_ATTR_REFERENCE_OSCILLATOR_OUTPUT_FREQUENCY_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_REFERENCE_OSCILLATOR_USER_DEFINED_FREQUENCY;
extern RsCoreAttribute g_RSSMXV_ATTR_REFERENCE_OSCILLATOR_RF_SWITCH_OFF_ACTIVE;
extern RsCoreAttribute g_RSSMXV_ATTR_REFERENCE_OSCILLATOR_SYNCHRONIZATION_BANDWIDTH;
extern RsCoreAttribute g_RSSMXV_ATTR_REFERENCE_OSCILLATOR_MINIMUM_LOCKING_RANGE;
extern RsCoreAttribute g_RSSMXV_ATTR_REFERENCE_OSCILLATOR_NOMINAL_SYNCHRONIZATION_BANDWIDTH;
extern RsCoreAttribute g_RSSMXV_ATTR_ALL_RF_OUTPUTS_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_ALL_MODULATIONS_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_TRIGGER_SOURCE_FOR_ALL_SWEEPS;
extern RsCoreAttribute g_RSSMXV_ATTR_RESET_ALL_SWEEPS;
extern RsCoreAttribute g_RSSMXV_ATTR_OUTPUT_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_OUTPUT_IMPEDANCE;
extern RsCoreAttribute g_RSSMXV_ATTR_RF_FREQUENCY_ON_RECALL;
extern RsCoreAttribute g_RSSMXV_ATTR_RF_LEVEL_ON_RECALL;
extern RsCoreAttribute g_RSSMXV_ATTR_OVERVOLTAGE_PROTECTION_CLEAR;
extern RsCoreAttribute g_RSSMXV_ATTR_OVERVOLTAGE_PROTECTION_TRIPPED;
extern RsCoreAttribute g_RSSMXV_ATTR_ALC_SEARCH_ONCE;
extern RsCoreAttribute g_RSSMXV_ATTR_ALC_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_TRIGGER_ALL_SWEEPS;
extern RsCoreAttribute g_RSSMXV_ATTR_RF_FREQUENCY;
extern RsCoreAttribute g_RSSMXV_ATTR_RF_FREQUENCY_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_RF_FREQUENCY_OFFSET;
extern RsCoreAttribute g_RSSMXV_ATTR_RF_FREQUENCY_MULTIPLIER;
extern RsCoreAttribute g_RSSMXV_ATTR_RF_VARIATION_STEP_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_RF_VARIATION_STEP;
extern RsCoreAttribute g_RSSMXV_ATTR_FREQUENCY_SWEEP_EXECUTE;
extern RsCoreAttribute g_RSSMXV_ATTR_FREQUENCY_SWEEP_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_FREQUENCY_SWEEP_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSSMXV_ATTR_FREQUENCY_SWEEP_START_FREQUENCY;
extern RsCoreAttribute g_RSSMXV_ATTR_FREQUENCY_SWEEP_STOP_FREQUENCY;
extern RsCoreAttribute g_RSSMXV_ATTR_FREQUENCY_SWEEP_CENTER_FREQUENCY;
extern RsCoreAttribute g_RSSMXV_ATTR_FREQUENCY_SWEEP_SPAN;
extern RsCoreAttribute g_RSSMXV_ATTR_FREQUENCY_SWEEP_SPACING;
extern RsCoreAttribute g_RSSMXV_ATTR_FREQUENCY_SWEEP_STEP_LINEAR;
extern RsCoreAttribute g_RSSMXV_ATTR_FREQUENCY_SWEEP_STEP_LOG;
extern RsCoreAttribute g_RSSMXV_ATTR_FREQUENCY_SWEEP_DWELL_TIME;
extern RsCoreAttribute g_RSSMXV_ATTR_FREQUENCY_SWEEP_MANUAL_STEP;
extern RsCoreAttribute g_RSSMXV_ATTR_FREQUENCY_SWEEP_POINTS;
extern RsCoreAttribute g_RSSMXV_ATTR_FREQUENCY_SWEEP_SHAPE;
extern RsCoreAttribute g_RSSMXV_ATTR_FREQUENCY_SWEEP_STATUS;
extern RsCoreAttribute g_RSSMXV_ATTR_RF_DELTA_PHASE;
extern RsCoreAttribute g_RSSMXV_ATTR_RESET_RF_DELTA_PHASE_DISPLAY;
extern RsCoreAttribute g_RSSMXV_ATTR_RF_AMPLITUDE;
extern RsCoreAttribute g_RSSMXV_ATTR_RF_LEVEL_LOWER_RANGE;
extern RsCoreAttribute g_RSSMXV_ATTR_RF_LEVEL_UPPER_RANGE;
extern RsCoreAttribute g_RSSMXV_ATTR_RF_POWER_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_RF_LEVEL_PEAK_ENVELOPE_POWER;
extern RsCoreAttribute g_RSSMXV_ATTR_RF_LEVEL_LIMIT;
extern RsCoreAttribute g_RSSMXV_ATTR_RF_LEVEL_OFFSET;
extern RsCoreAttribute g_RSSMXV_ATTR_RF_LEVEL_POWER;
extern RsCoreAttribute g_RSSMXV_ATTR_RF_LEVEL_SETTING_CHARACTERISTICS;
extern RsCoreAttribute g_RSSMXV_ATTR_RF_LEVEL_EMF_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_RF_LEVEL_REFERENCE;
extern RsCoreAttribute g_RSSMXV_ATTR_RF_ATTENUATOR_LOWER_RANGE;
extern RsCoreAttribute g_RSSMXV_ATTR_RF_ATTENUATOR_UPPER_RANGE;
extern RsCoreAttribute g_RSSMXV_ATTR_RF_ATTENUATOR_RF_OFF_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_RF_LEVEL_VARIATION_ACTIVE;
extern RsCoreAttribute g_RSSMXV_ATTR_RF_LEVEL_VARIATION_STEP;
extern RsCoreAttribute g_RSSMXV_ATTR_LEVEL_SWEEP_EXECUTE;
extern RsCoreAttribute g_RSSMXV_ATTR_LEVEL_SWEEP_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_LEVEL_SWEEP_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSSMXV_ATTR_LEVEL_SWEEP_TRIGGER_START;
extern RsCoreAttribute g_RSSMXV_ATTR_LEVEL_SWEEP_START;
extern RsCoreAttribute g_RSSMXV_ATTR_LEVEL_SWEEP_STOP;
extern RsCoreAttribute g_RSSMXV_ATTR_LEVEL_SWEEP_STEP;
extern RsCoreAttribute g_RSSMXV_ATTR_LEVEL_SWEEP_DWELL_TIME;
extern RsCoreAttribute g_RSSMXV_ATTR_LEVEL_SWEEP_MANUAL_STEP;
extern RsCoreAttribute g_RSSMXV_ATTR_LEVEL_SWEEP_POINTS;
extern RsCoreAttribute g_RSSMXV_ATTR_LEVEL_SWEEP_SHAPE;
extern RsCoreAttribute g_RSSMXV_ATTR_LEVEL_SWEEP_RETRACE;
extern RsCoreAttribute g_RSSMXV_ATTR_SWEEP_FREQUENCY_RETRACE;
extern RsCoreAttribute g_RSSMXV_ATTR_LEVEL_SWEEP_SPACING_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_LEVEL_SWEEP_STATUS;
extern RsCoreAttribute g_RSSMXV_ATTR_LEVEL_SWEEP_ATTENUATOR_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_USER_CORRECTION_DATA_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_USER_CORRECTION_DATA_VALUE;
extern RsCoreAttribute g_RSSMXV_ATTR_USER_CORRECTION_DATA_CATALOG;
extern RsCoreAttribute g_RSSMXV_ATTR_USER_CORRECTION_DATA_DELETE;
extern RsCoreAttribute g_RSSMXV_ATTR_USER_CORRECTION_DATA_TABLE;
extern RsCoreAttribute g_RSSMXV_ATTR_HIDDEN_USER_CORRECTION_DATA_LEVEL_VALUES;
extern RsCoreAttribute g_RSSMXV_ATTR_HIDDEN_USER_CORRECTION_DATA_FREQUENCY_VALUES;
extern RsCoreAttribute g_RSSMXV_ATTR_USER_CORRECTION_DATA_NUMBER_OF_FREQUENCY_VALUES;
extern RsCoreAttribute g_RSSMXV_ATTR_USER_CORRECTION_DATA_NUMBER_OF_LEVEL_VALUES;
extern RsCoreAttribute g_RSSMXV_ATTR_CORRECTION_LIST_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_CORRECTION_LIST_FILE;
extern RsCoreAttribute g_RSSMXV_ATTR_CORRECTION_EXECUTE;
extern RsCoreAttribute g_RSSMXV_ATTR_CORRECTION_ASCII_FILE;
extern RsCoreAttribute g_RSSMXV_ATTR_CORRECTION_ASCII_EXTENSION;
extern RsCoreAttribute g_RSSMXV_ATTR_CORRECTION_ASCII_COLUMN_SEPARATOR;
extern RsCoreAttribute g_RSSMXV_ATTR_CORRECTION_ASCII_COLUMN_DECIMAL_SEPARATOR;
extern RsCoreAttribute g_RSSMXV_ATTR_CORRECTION_IMPORT_EXPORT_CATALOG;
extern RsCoreAttribute g_RSSMXV_ATTR_CORRECTION_DATA_WITH_SENSOR;
extern RsCoreAttribute g_RSSMXV_ATTR_LIST_CATALOG;
extern RsCoreAttribute g_RSSMXV_ATTR_LIST_DELETE_LIST;
extern RsCoreAttribute g_RSSMXV_ATTR_LIST_DELETE_ALL;
extern RsCoreAttribute g_RSSMXV_ATTR_LIST_LEARN;
extern RsCoreAttribute g_RSSMXV_ATTR_LIST_FREQUENCY_POINTS;
extern RsCoreAttribute g_RSSMXV_ATTR_LIST_POWER_POINTS;
extern RsCoreAttribute g_RSSMXV_ATTR_LIST_START_INDEX;
extern RsCoreAttribute g_RSSMXV_ATTR_LIST_STOP_INDEX;
extern RsCoreAttribute g_RSSMXV_ATTR_LIST_FREE_MEMORY;
extern RsCoreAttribute g_RSSMXV_ATTR_LIST_RESET_LIST;
extern RsCoreAttribute g_RSSMXV_ATTR_LIST_TRIGGER_EXECUTE;
extern RsCoreAttribute g_RSSMXV_ATTR_LIST_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_LIST_RUN_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_LIST_DWELL_TIME;
extern RsCoreAttribute g_RSSMXV_ATTR_LIST_DWELL_TIME_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_LIST_SELECT_LIST;
extern RsCoreAttribute g_RSSMXV_ATTR_HIDDEN_LIST_DWELL_TIME_VALUES;
extern RsCoreAttribute g_RSSMXV_ATTR_LIST_DWELL_TIME_POINTS;
extern RsCoreAttribute g_RSSMXV_ATTR_HIDDEN_LIST_FREQUENCY_VALUES;
extern RsCoreAttribute g_RSSMXV_ATTR_HIDDEN_LIST_POWER_VALUES;
extern RsCoreAttribute g_RSSMXV_ATTR_LIST_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSSMXV_ATTR_LIST_INDEX;
extern RsCoreAttribute g_RSSMXV_ATTR_LIST_CURRENT_STATE;
extern RsCoreAttribute g_RSSMXV_ATTR_LIST_IMPORT_EXPORT_LIST_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_LIST_IMPORT_EXPORT_LIST_FILE;
extern RsCoreAttribute g_RSSMXV_ATTR_LIST_IMPORT_EXPORT_EXECUTE;
extern RsCoreAttribute g_RSSMXV_ATTR_LIST_IMPORT_EXPORT_ASCII_FILE;
extern RsCoreAttribute g_RSSMXV_ATTR_LIST_IMPORT_EXPORT_ASCII_EXTENSION;
extern RsCoreAttribute g_RSSMXV_ATTR_LIST_IMPORT_EXPORT_ASCII_COLUMN_SEPARATOR;
extern RsCoreAttribute g_RSSMXV_ATTR_LIST_IMPORT_EXPORT_ASCII_COLUMN_DECIMAL_SEPARATOR;
extern RsCoreAttribute g_RSSMXV_ATTR_LIST_IMPORT_EXPORT_CATALOG;
extern RsCoreAttribute g_RSSMXV_ATTR_POWER_ON_STATE;
extern RsCoreAttribute g_RSSMXV_ATTR_POWER_UNIT;
extern RsCoreAttribute g_RSSMXV_ATTR_POWER_FREQUENCY;
extern RsCoreAttribute g_RSSMXV_ATTR_POWER_RECORDER_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_POWER_OFFSET;
extern RsCoreAttribute g_RSSMXV_ATTR_POWER_OFFSET_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_POWER_SOURCE;
extern RsCoreAttribute g_RSSMXV_ATTR_POWER_ZERO;
extern RsCoreAttribute g_RSSMXV_ATTR_POWER_CONTINUOUS;
extern RsCoreAttribute g_RSSMXV_ATTR_POWER_USE_SPARAMETERS;
extern RsCoreAttribute g_RSSMXV_ATTR_POWER_SPARAMETER_LIST;
extern RsCoreAttribute g_RSSMXV_ATTR_POWER_SPARAMETER_SELECT;
extern RsCoreAttribute g_RSSMXV_ATTR_POWER_DISPLAY_PERMANENT_STATE;
extern RsCoreAttribute g_RSSMXV_ATTR_POWER_DISPLAY_PERMANENT_PRIORITY;
extern RsCoreAttribute g_RSSMXV_ATTR_POWER_FILTER_LENGTH;
extern RsCoreAttribute g_RSSMXV_ATTR_POWER_FILTER_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_POWER_FILTER_NS_RATIO;
extern RsCoreAttribute g_RSSMXV_ATTR_POWER_FILTER_NS_RATIO_TIMEOUT;
extern RsCoreAttribute g_RSSMXV_ATTR_POWER_FILTER_LENGTH_AUTO;
extern RsCoreAttribute g_RSSMXV_ATTR_POWER_FILTER_SEARCH_ONCE;
extern RsCoreAttribute g_RSSMXV_ATTR_POWER_SENSOR_DEVICE;
extern RsCoreAttribute g_RSSMXV_ATTR_POWER_SENSOR_TYPE;
extern RsCoreAttribute g_RSSMXV_ATTR_POWER_READ_POWER;
extern RsCoreAttribute g_RSSMXV_ATTR_POWER_SENSOR_SERIAL_NUMBER;
extern RsCoreAttribute g_RSSMXV_ATTR_POWER_DEFAULT_APERTURE_TIME_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_POWER_APERTURE_TIME;
extern RsCoreAttribute g_RSSMXV_ATTR_POWER_SENSOR_CONTROL_SELECT;
extern RsCoreAttribute g_RSSMXV_ATTR_POWER_SENSOR_CONTROL_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_POWER_SENSOR_CONTROL_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_POWER_SENSOR_CONTROL_EXECUTE_SINGLE;
extern RsCoreAttribute g_RSSMXV_ATTR_POWER_SENSOR_CONTROL_CATCH_RANGE;
extern RsCoreAttribute g_RSSMXV_ATTR_POWER_SENSOR_CONTROL_DELAY;
extern RsCoreAttribute g_RSSMXV_ATTR_POWER_SENSOR_CONTROL_PEAK_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_POWER_SENSOR_CONTROL_TARGET_LEVEL;
extern RsCoreAttribute g_RSSMXV_ATTR_POWER_SENSOR_CONTROL_MEASURE_AS_TARGET_LEVEL;
extern RsCoreAttribute g_RSSMXV_ATTR_POWER_SENSOR_MAPPING_SCAN_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_POWER_SENSOR_MAPPING_LIST;
extern RsCoreAttribute g_RSSMXV_ATTR_POWER_SENSOR_REMOVES_ALL_LAN_SENSORS;
extern RsCoreAttribute g_RSSMXV_ATTR_POWER_SENSOR_REMOVES_ALL_USB_SENSORS;
extern RsCoreAttribute g_RSSMXV_ATTR_POWER_SENSOR_REMOVES_ALL_SENSORS;
extern RsCoreAttribute g_RSSMXV_ATTR_POWER_SENSOR_SCAN_LAN;
extern RsCoreAttribute g_RSSMXV_ATTR_CALIBRATION_ALL;
extern RsCoreAttribute g_RSSMXV_ATTR_REMOTE_CONTROL_COMMAND_SET;
extern RsCoreAttribute g_RSSMXV_ATTR_KEYBOARD_LAYOUT;
extern RsCoreAttribute g_RSSMXV_ATTR_TS_PLAYER_SELECT_FILE;
extern RsCoreAttribute g_RSSMXV_ATTR_TS_PLAYER_SELECTED_FILE_SIZE;
extern RsCoreAttribute g_RSSMXV_ATTR_TS_PLAYER_SELECTED_FILE_LOOP_TIME;
extern RsCoreAttribute g_RSSMXV_ATTR_TS_PLAYER_START_TIME;
extern RsCoreAttribute g_RSSMXV_ATTR_TS_PLAYER_STOP_TIME;
extern RsCoreAttribute g_RSSMXV_ATTR_TS_PLAYER_POSITION;
extern RsCoreAttribute g_RSSMXV_ATTR_TS_PLAYER_RESET_WINDOW;
extern RsCoreAttribute g_RSSMXV_ATTR_TS_PLAYER_PLAY;
extern RsCoreAttribute g_RSSMXV_ATTR_TS_PLAYER_PAUSE;
extern RsCoreAttribute g_RSSMXV_ATTR_TS_PLAYER_STOP;
extern RsCoreAttribute g_RSSMXV_ATTR_TS_PLAYER_RESET;
extern RsCoreAttribute g_RSSMXV_ATTR_TS_PLAYER_DATA_RATE;
extern RsCoreAttribute g_RSSMXV_ATTR_TS_PLAYER_ORIGINAL_DATA_RATE;
extern RsCoreAttribute g_RSSMXV_ATTR_TS_PLAYER_PACKET_LENGTH;
extern RsCoreAttribute g_RSSMXV_ATTR_TS_PLAYER_NULL_PACKET_STUFFING;
extern RsCoreAttribute g_RSSMXV_ATTR_TS_PLAYER_STOP_DATA;
extern RsCoreAttribute g_RSSMXV_ATTR_TS_PLAYER_TEST_PACKET;
extern RsCoreAttribute g_RSSMXV_ATTR_TS_PLAYER_PID_TEST_PACKET;
extern RsCoreAttribute g_RSSMXV_ATTR_TS_PLAYER_PID;
extern RsCoreAttribute g_RSSMXV_ATTR_TS_PLAYER_PAYLOAD_TEST_STUFF;
extern RsCoreAttribute g_RSSMXV_ATTR_TS_PLAYER_PRBS;
extern RsCoreAttribute g_RSSMXV_ATTR_TS_PLAYER_CONTINUITY_COUNTER;
extern RsCoreAttribute g_RSSMXV_ATTR_TS_PLAYER_PCR_DTS_PTS;
extern RsCoreAttribute g_RSSMXV_ATTR_TS_PLAYER_TDT_TOT;
extern RsCoreAttribute g_RSSMXV_ATTR_IP_DATA_NETWORK_CONNECTED;
extern RsCoreAttribute g_RSSMXV_ATTR_IP_DATA_NETWORK_RESTART;
extern RsCoreAttribute g_RSSMXV_ATTR_IP_DATA_NETWORK_HOSTNAME;
extern RsCoreAttribute g_RSSMXV_ATTR_IP_DATA_NETWORK_ADDRESS_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_IP_DATA_NETWORK_IP_ADDRESS;
extern RsCoreAttribute g_RSSMXV_ATTR_IP_DATA_NETWORK_SUBNET_MASK;
extern RsCoreAttribute g_RSSMXV_ATTR_IP_DATA_NETWORK_PROTOCOL;
extern RsCoreAttribute g_RSSMXV_ATTR_IP_DATA_NETWORK_MAC_ADDRESS;
extern RsCoreAttribute g_RSSMXV_ATTR_DIAGNOSTIC_OPERATING_HOUR;
extern RsCoreAttribute g_RSSMXV_ATTR_DIAGNOSTIC_POWER_ON_COUNT;
extern RsCoreAttribute g_RSSMXV_ATTR_DIAGNOSTIC_AVAILABLE_ASSEMBLIES_CATALOG;
extern RsCoreAttribute g_RSSMXV_ATTR_DIAGNOSTIC_TEST_POINTS_CATALOG;
extern RsCoreAttribute g_RSSMXV_ATTR_HUMS_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_HUMS_DATA_FORMAT;
extern RsCoreAttribute g_RSSMXV_ATTR_HUMS_DELETE_ALL_DATA;
extern RsCoreAttribute g_RSSMXV_ATTR_HUMS_EXPORT_HISTORY;
extern RsCoreAttribute g_RSSMXV_ATTR_HUMS_EXPORT_HISTORY_TO_FILE;
extern RsCoreAttribute g_RSSMXV_ATTR_HUMS_DELETE_HISTORY;
extern RsCoreAttribute g_RSSMXV_ATTR_HUMS_DEVICE_TAGS_CATALOG;
extern RsCoreAttribute g_RSSMXV_ATTR_HUMS_DEVICE_TAGS_DELETE_ALL;
extern RsCoreAttribute g_RSSMXV_ATTR_HIDDEN_HUMS_DEVICE_TAGS_VALUE;
extern RsCoreAttribute g_RSSMXV_ATTR_HUMS_DEVICE_TAG_DELETE;
extern RsCoreAttribute g_RSSMXV_ATTR_HUMS_SNMP_REST_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_HUMS_SNMP_VERSION;
extern RsCoreAttribute g_RSSMXV_ATTR_HUMS_SNMP_USER_CATALOG;
extern RsCoreAttribute g_RSSMXV_ATTR_HIDDEN_HUMS_SNMP_USER_ADD;
extern RsCoreAttribute g_RSSMXV_ATTR_HUMS_SNMP_USER_DELETE;
extern RsCoreAttribute g_RSSMXV_ATTR_HUMS_SNMP_USER_DELETE_ALL;
extern RsCoreAttribute g_RSSMXV_ATTR_HUMS_SNMP_READ_ONLY_ACCESS;
extern RsCoreAttribute g_RSSMXV_ATTR_HUMS_SNMP_READ_WRITE_ACCESS;
extern RsCoreAttribute g_RSSMXV_ATTR_HUMS_SNMP_CONTACT;
extern RsCoreAttribute g_RSSMXV_ATTR_HUMS_SNMP_LOCATION;
extern RsCoreAttribute g_RSSMXV_ATTR_CALIBRATION_CONTINUE_ON_ERROR;
extern RsCoreAttribute g_RSSMXV_ATTR_CALIBRATION_LAST_FULL_ADJUSTMENT;
extern RsCoreAttribute g_RSSMXV_ATTR_CALIBRATION_LAST_FULL_ADJUSTMENT_TIME;
extern RsCoreAttribute g_RSSMXV_ATTR_CALIBRATION_TEMPERATURE_OFFSET_TO_LAST_FULL_ADJUSTMENT;
extern RsCoreAttribute g_RSSMXV_ATTR_CALIBRATION_INTERNAL_ADJUSTMENT_STATE;
extern RsCoreAttribute g_RSSMXV_ATTR_LAST_FACTORY_CALIBRATION;
extern RsCoreAttribute g_RSSMXV_ATTR_CALIBRATION_REFERENCE_FREQUENCY;
extern RsCoreAttribute g_RSSMXV_ATTR_CALIBRATION_SHUTDOWN_AFTER_ADJUSTMENT_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_CALIBRATION_WARM_UP_TIME;
extern RsCoreAttribute g_RSSMXV_ATTR_CALIBRATION_ADJUST_ALL_DELAYED;
extern RsCoreAttribute g_RSSMXV_ATTR_HARD_COPY_EXECUTE;
extern RsCoreAttribute g_RSSMXV_ATTR_HARD_COPY_LANGUAGE;
extern RsCoreAttribute g_RSSMXV_ATTR_HARD_COPY_IMAGE_FORMAT;
extern RsCoreAttribute g_RSSMXV_ATTR_HARD_COPY_REGION;
extern RsCoreAttribute g_RSSMXV_ATTR_HARD_COPY_FILE_NAME;
extern RsCoreAttribute g_RSSMXV_ATTR_HARD_COPY_AUTO_FILE_DIRECTORY;
extern RsCoreAttribute g_RSSMXV_ATTR_CLEAR_HARD_COPY_FILE;
extern RsCoreAttribute g_RSSMXV_ATTR_HARD_COPY_AUTO_FILE_NAME;
extern RsCoreAttribute g_RSSMXV_ATTR_HARD_COPY_AUTO_NAMING_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_HARD_COPY_DAY_TO_FILE_NAME;
extern RsCoreAttribute g_RSSMXV_ATTR_HARD_COPY_MONTH_TO_FILE_NAME;
extern RsCoreAttribute g_RSSMXV_ATTR_HARD_COPY_YEAR_TO_FILE_NAME;
extern RsCoreAttribute g_RSSMXV_ATTR_HARD_COPY_CURRENT_NUMBER;
extern RsCoreAttribute g_RSSMXV_ATTR_HARD_COPY_AUTO_PREFIX_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_HARD_COPY_FILE_NAME_PREFIX;
extern RsCoreAttribute g_RSSMXV_ATTR_HARD_COPY_GENERATED_AUTO_NAME;
extern RsCoreAttribute g_RSSMXV_ATTR_DISPLAY_UPDATE;
extern RsCoreAttribute g_RSSMXV_ATTR_DISPLAY_ANNOTATION_AMPLITUDE;
extern RsCoreAttribute g_RSSMXV_ATTR_DISPLAY_ANNOTATION_FREQUENCY;
extern RsCoreAttribute g_RSSMXV_ATTR_DISPLAY_ANNOTATION_ALL;
extern RsCoreAttribute g_RSSMXV_ATTR_DISPLAY_DIALOG_ID;
extern RsCoreAttribute g_RSSMXV_ATTR_DISPLAY_DIALOG_OPEN;
extern RsCoreAttribute g_RSSMXV_ATTR_DISLPAY_DIALOG_CLOSE;
extern RsCoreAttribute g_RSSMXV_ATTR_DISPLAY_DIALOG_CLOSE_ALL;
extern RsCoreAttribute g_RSSMXV_ATTR_DISPLAY_BRIGHTNESS;
extern RsCoreAttribute g_RSSMXV_ATTR_DISPLAY_BUTTON_BRIGHTNESS;
extern RsCoreAttribute g_RSSMXV_ATTR_DISPLAY_POWER_SAVE_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_DISPLAY_POWER_SAVE_HOLDOFF;
extern RsCoreAttribute g_RSSMXV_ATTR_MMEMORY_CHANGE_DIRECTORY;
extern RsCoreAttribute g_RSSMXV_ATTR_MMEMORY_DELETE;
extern RsCoreAttribute g_RSSMXV_ATTR_MMEMORY_MAKE_DIRECTORY;
extern RsCoreAttribute g_RSSMXV_ATTR_MMEMORY_DRIVE;
extern RsCoreAttribute g_RSSMXV_ATTR_MMEMORY_REMOVE_DIRECTORY;
extern RsCoreAttribute g_RSSMXV_ATTR_MMEMORY_USER_PATH;
extern RsCoreAttribute g_RSSMXV_ATTR_MMEMORY_USED_AND_AVAILABLE_MEMORY;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_REBOOT;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_RESTART;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_SHUTDOWN;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_FACTORY_PRESET;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_ERROR;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_STATIC_ERRORS;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_ERROR_QUEUE_ALL;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_ERROR_QUEUE_CODE_ALL;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_ERROR_QUEUE_CODE_NEXT;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_ERROR_QUEUE_COUNT;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_ERROR_GLOBAL;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_USB_RESOURCE;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_VISA_RESOURCE_STRING;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_OPTION_USER_DEFINED;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_KEYBOARD_LOCK;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_USER_INTERFACE_LOCK;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_DISPLAY_LOCK;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_VERSION;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_BIOS_VERSION;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_STARTUP_COMPLETE;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_ALL_DATA_SHEETS;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_DATA_SHEET_FACTORY_VERSION;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_DATA_SHEET_VERSION;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_DATA_SHEET_IDS;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_SCPI_INFORMATION;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_TIME_ZONE_CATALOG;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_TIME_ZONE;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_TIME_PROTOCOL;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_DATE;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_UPTIME;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_CLEAR_HISTORY;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_WAIT;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_DEVICE_FOOTPRINT;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_OPERATING_SYSTEM;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_SCPI_RECORDING_DATA;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_SAVE_INSTRUMENT_SETTINGS;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_LOAD_INSTRUMENT_SETTINGS;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_HELP_EXPORT;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_IDENTIFICATION;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_IDENTIFICATION_PRESET;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_IDN_RESPONSE;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_LOCK_OWNER;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_LOCK_RELEASE;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_LOCK_EXKLUSIVE;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_OLDEST_INFORMATION_MESSAGE;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_NETWORK_DOMAIN;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_NETWORK_GATEWAY;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_NETWORK_RESOURCE;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_NETWORK_SUBNET_MASK;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_NETWORK_WORKGROUP;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_NETWORK_MAC_ADDRESS;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_NETWORK_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_NETWORK_HOSTNAME;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_NETWORK_RESTART;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_NETWORK_DNS_SERVER;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_NETWORK_IP_ADDRESS;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_NETWORK_IP_ADDRESS_SUBNET_MASK;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_NETWORK_IP_ADDRESS_GATEWAY;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_NETWORK_IP_ADDRESS_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_FREQUENCY_OFFSET;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_PHASE_OFFSET;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_EXTERNAL_CLEAN;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_EXTERNAL_CONNECT_ALL;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_EXTERNAL_DISCONNECT_ALL;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_EXTERNAL_DISPLAY_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_EXTERNAL_REMOTE_SCAN;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_EXTERNAL_REMOTE_SCAN_STATE;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_EXTERNAL_REMOTE_LIST;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_EXTERNAL_REMOVE_UNUSED;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_EXTERNAL_AUTO_CONNECT;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_PRESET_BEHAVIOR_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_EXTERNAL_CATALOG;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_HSD_REMOTE_CONNECTION_STATE;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_HSD_DISCONNECT;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_CONFIG_HSD_DIRECTION;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_HSD_REMOTE_SEND_COMMAND;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_HSD_RF_COUPLING;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_HSD_REMOTE_CONNECT;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_HSD_REMOTE_INIT_FILE;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_HSD_RF_FREQ;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_HSD_RF_FREQUENCY_OFFSET;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_HSD_RF_POWER;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_CONNECTOR_HSD_NAME;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_HSD_REMOTE_INFO;
extern RsCoreAttribute g_RSSMXV_ATTR_HIDDEN_SYSTEM_CONFIGURATION_HSD_REMOTE_CONNECT_INSTRUMENT;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_HSD_RF_POWER_OFFSET;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_HSD_IQ_CONNECTION_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_HSD_REMOTE_DETECT;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_HSD_RF_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_MAPPING_RF_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_MAPPING_BBMM_CHANNEL_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_MULTI_INSTRUMENT_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_MULTI_INSTRUMENT_TRIGGER;
extern RsCoreAttribute g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_MULTI_INSTRUMENT_TRIGGER_SYNC;
extern RsCoreAttribute g_RSSMXV_ATTR_STATUS_PRESET;
extern RsCoreAttribute g_RSSMXV_ATTR_UNIT_ANGLE;
extern RsCoreAttribute g_RSSMXV_ATTR_UNIT_POWER;
extern RsCoreAttribute g_RSSMXV_ATTR_GRAPHICS_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_GRAPHICS_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSSMXV_ATTR_GRAPHICS_SAMPLE_RATE_MODE;
extern RsCoreAttribute g_RSSMXV_ATTR_GRAPHICS_SAMPLE_RATE;
extern RsCoreAttribute g_RSSMXV_ATTR_GRAPHICS_ADD;
extern RsCoreAttribute g_RSSMXV_ATTR_GRAPHICS_CLOSE;
extern RsCoreAttribute g_RSSMXV_ATTR_GRAPHICS_SOURCE;
extern RsCoreAttribute g_RSSMXV_ATTR_GRAPHICS_FFT_SCALE;
extern RsCoreAttribute g_RSSMXV_ATTR_GRAPHICS_FFT_SIZE;
extern RsCoreAttribute g_RSSMXV_ATTR_NTP_SERVER_ENABLED;
extern RsCoreAttribute g_RSSMXV_ATTR_NTP_SERVER_HOSTNAME;
extern RsCoreAttribute g_RSSMXV_ATTR_TEST_START;
extern RsCoreAttribute g_RSSMXV_ATTR_TEST_RESULT;
extern RsCoreAttribute g_RSSMXV_ATTR_PRESET_DEVICE;
extern RsCoreAttribute g_RSSMXV_ATTR_ID_QUERY_RESPONSE;
extern RsCoreAttribute g_RSSMXV_ATTR_LOGGING;
extern RsCoreAttribute g_RSSMXV_ATTR_PROCESS_ALL_PREVIOUS_COMMANDS;
extern RsCoreAttribute g_RSSMXV_ATTR_QUEUE_NEXT;
extern RsCoreAttribute g_RSSMXV_ATTR_TRIGGER_INPUT_SLOPE;
extern RsCoreAttribute g_RSSMXV_ATTR_CONTROL_INPUT_TRIGGER_IMPEDANCE;
extern RsCoreAttribute g_RSSMXV_ATTR_CONTROL_INPUT_TRIGGER_LEVEL;
extern RsCoreAttribute g_RSSMXV_ATTR_CONTROL_INPUT_TRIGGER_SLOPE;
extern RsCoreAttribute g_RSSMXV_ATTR_CONTROL_INPUT_CLOCK_IMPEDANCE;
extern RsCoreAttribute g_RSSMXV_ATTR_CONTROL_INPUT_CLOCK_LEVEL;
extern RsCoreAttribute g_RSSMXV_ATTR_GLOBAL_CONTROL_INPUT_CLOCK_SLOPE;
extern RsCoreAttribute g_RSSMXV_ATTR_OUTPUT_CONNECTOR_USER_SIGNAL;
extern RsCoreAttribute g_RSSMXV_ATTR_OUTPUT_CONNECTOR_DIRECTION;
extern RsCoreAttribute g_RSSMXV_ATTR_INPUT_CONNECTOR_DIRECTION;
extern RsCoreAttribute g_RSSMXV_ATTR_INPUT_CONNECTOR_SIGNAL;
extern RsCoreAttribute g_RSSMXV_ATTR_TRIGGER_RF_FREQUENCY_SWEEP;
extern RsCoreAttribute g_RSSMXV_ATTR_INIT_SW_TRIGGER;

/*****************************************************************************
 *- Repeated Capabilities Table ---------------------------------------------*
 *****************************************************************************/
extern RsCoreRepCap rssmxv_RsCoreRepCapTable[];
extern ViInt32 rssmxv_RsCoreRepCapTableCount;

/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/
extern RsCoreAttributePtr rssmxv_RsCoreAttributeList[];
extern ViInt32 rssmxv_RsCoreAttributeListLength;

/****************************************************************************
 *---------------------------- End Include File ----------------------------*
 ****************************************************************************/
#if defined(__cplusplus) || defined(__cplusplus__)
}
#endif
#endif /* __RSSMXV_ATTRIBUTES_HEADER */
