/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this source file. It is generated from DrBase repository.
 *
 *  Built on: 2023-07-23 21:21:19Z
 *****************************************************************************/

#include "rssmxv.h"
#include "rssmxv_internal.h"

/*****************************************************************************
 *- Repeated Capabilities ---------------------------------------------------*
 *****************************************************************************/

ViInt32 rssmxv_RsCoreRepCapTableCount = 30;

RsCoreRepCap rssmxv_RsCoreRepCapTable[30] =
  { /*
    {
      repCapName  ... Repeated capability name, e.g. "Channel"
      identifiers ... Repeated capability identifiers (comma separated values), e.g. "Ch1,Ch2,Ch3"
      cmdValues   ... Command values (comma separated values), e.g. "1,2,3"
    } */
    {
      "Path",
      "A",
      "1"
    }, {
      "Marker",
      "M1,M2,M3,M4",
      "1,2,3,4"
    }, {
      "DMSymbol",
      "Symbol0,Symbol1,Symbol2,Symbol3,Symbol4,Symbol5,Symbol6,Symbol7,Symbol8,Symbol9,Symbol10,Symbol11,Symbol12,Symbol13,Symbol14,Symbol15",
      "0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15"
    }, {
      "ARBCarrier",
      "Carrier0,Carrier1,Carrier2,Carrier3,Carrier4,Carrier5,Carrier6,Carrier7,Carrier8,Carrier9,Carrier10,Carrier11,Carrier12,Carrier13,Carrier14,Carrier15,Carrier16,Carrier17,Carrier18,Carrier19,Carrier20,Carrier21,Carrier22,Carrier23,Carrier24,"
      "Carrier25,Carrier26,Carrier27,Carrier28,Carrier29,Carrier30,Carrier31",
      "0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,"
      "25,26,27,28,29,30,31"
    }, {
      "Stream",
      "Stream1,Stream2,Stream3,Stream4,Stream5,Stream6,Stream7,Stream8",
      "1,2,3,4,5,6,7,8"
    }, {
      "HSDigChannel",
      "HSChan0,HSChan1,HSChan2,HSChan3,HSChan4,HSChan5,HSChan6,HSChan7",
      "0,1,2,3,4,5,6,7"
    }, {
      "HSD",
      "HSD1,HSD2",
      "1,2"
    }, {
      "BBINChannel",
      "BCh0,BCh1,BCh2,BCh3,BCh4,BCh5,BCh6,BCh7",
      "0,1,2,3,4,5,6,7"
    }, {
      "Sense",
      "Sense1,Sense2,Sense3,Sense4",
      "1,2,3,4"
    }, {
      "Connector",
      "C1,C2",
      "1,2"
    }, {
      "StereoChannel",
      "Right,Left",
      "1,2"
    }, {
      "AFAFreq",
      "AFAFreq1,AFAFreq2,AFAFreq3,AFAFreq4,AFAFreq5,AFAFreq6,AFAFreq7,AFAFreq8,AFAFreq9,AFAFreq10,AFAFreq11,AFAFreq12,AFAFreq13,AFAFreq14,AFAFreq15,AFAFreq16,AFAFreq17,AFAFreq18,AFAFreq19,AFAFreq20,AFAFreq21,AFAFreq22,AFAFreq23,AFAFreq24,AFAFreq25",
      "1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25"
    }, {
      "AFBList",
      "AFBList1,AFBList2,AFBList3,AFAList4,AFBList5",
      "1,2,3,4,5"
    }, {
      "AFBFreq",
      "AFBFreq1,AFBFreq2,AFBFreq3,AFBFreq4,AFBFreq5,AFBFreq6,AFBFreq7,AFBFreq8,AFBFreq9,AFBFreq10,AFBFreq11,AFBFreq12",
      "1,2,3,4,5,6,7,8,9,10,11,12"
    }, {
      "AFMapFreq",
      "AFMapFreq1,AFMapFreq2,AFMapFreq3,AFMapFreq4,AFMapFreq5,AFMapFreq6,AFMapFreq7,AFMapFreq8,AFMapFreq9,AFMapFreq10,AFMapFreq11,AFMapFreq12,AFMapFreq13,AFMapFreq14,AFMapFreq15,AFMapFreq16,AFMapFreq17,AFMapFreq18,AFMapFreq19,AFMapFreq20,AFMapFreq21,"
      "AFMapFreq22,AFMapFreq23,AFMapFreq24,AFMapFreq25",
      "1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,"
      "22,23,24,25"
    }, {
      "TMCGroup3AVar",
      "G3AVar00,G3AVar01",
      "1,2"
    }, {
      "TMCGroup8A",
      "G8A1,G8A2,G8A3,G8A4,G8A5,G8A6",
      "1,2,3,4,5,6"
    }, {
      "DarcBIC",
      "BIC1,BIC2,BIC3",
      "1,2,3"
    }, {
      "ETIStream",
      "ETI1,ETI2,ETI3,ETI4,ETI5,ETI6,ETI7,ETI8,ETI9,ETI10,ETI11,ETI12,ETI13,ETI14,ETI15,ETI16,ETI17,ETI18,ETI19,ETI20,ETI21,ETI22,ETI23,ETI24,ETI25,ETI26,ETI27,ETI28,ETI29,ETI30,ETI31,ETI32,ETI33,ETI34,ETI35,ETI36,ETI37,ETI38,ETI39,ETI40,ETI41,ETI42,"
      "ETI43,ETI44,ETI45,ETI46,ETI47,ETI48,ETI49,ETI50,ETI51,ETI52,ETI53,ETI54,ETI55,ETI56,ETI57,ETI58,ETI59,ETI60,ETI61,ETI62,ETI63,ETI64",
      "1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,"
      "43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64"
    }, {
      "SDCChannel",
      "SDC1",
      "1"
    }, {
      "MSCChannel",
      "MSC1,MSC2,MSC3",
      "1,2,3"
    }, {
      "PLP",
      "PLP1,PLP2,PLP3,PLP4,PLP5,PLP6,PLP7,PLP8,PLP9,PLP10,PLP11,PLP12,PLP13,PLP14,PLP15,PLP16,PLP17,PLP18,PLP19,PLP20,PLP21,PLP22,PLP23,PLP24,PLP25,PLP26,PLP27,PLP28,PLP29,PLP30,PLP31,PLP32,PLP33,PLP34,PLP35,PLP36,PLP37,PLP38,PLP39,PLP40,PLP41,PLP42,"
      "PLP43,PLP44,PLP45,PLP46,PLP47,PLP48,PLP49,PLP50,PLP51,PLP52,PLP53,PLP54,PLP55,PLP56,PLP57,PLP58,PLP59,PLP60,PLP61,PLP62,PLP63,PLP64",
      "1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,"
      "43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64"
    }, {
      "ATSC3Subframe",
      "ATSC3Subframe1,ATSC3Subframe2,ATSC3Subframe3,ATSC3Subframe4,ATSC3Subframe5,ATSC3Subframe6,ATSC3Subframe7,ATSC3Subframe8,ATSC3Subframe9,ATSC3Subframe10,ATSC3Subframe11,ATSC3Subframe12,ATSC3Subframe13,ATSC3Subframe14,ATSC3Subframe15,ATSC3Subframe16,"
      "ATSC3Subframe17,ATSC3Subframe18,ATSC3Subframe19,ATSC3Subframe20,ATSC3Subframe21,ATSC3Subframe22,ATSC3Subframe23,ATSC3Subframe24,ATSC3Subframe25,ATSC3Subframe26,ATSC3Subframe27,ATSC3Subframe28,ATSC3Subframe29,ATSC3Subframe30,ATSC3Subframe31,"
      "ATSC3Subframe32,ATSC3Subframe33,ATSC3Subframe34,ATSC3Subframe35,ATSC3Subframe36,ATSC3Subframe37,ATSC3Subframe38,ATSC3Subframe39,ATSC3Subframe40,ATSC3Subframe41,ATSC3Subframe42,ATSC3Subframe43,ATSC3Subframe44,ATSC3Subframe45,ATSC3Subframe46,"
      "ATSC3Subframe47,ATSC3Subframe48,ATSC3Subframe49,ATSC3Subframe50,ATSC3Subframe51,ATSC3Subframe52,ATSC3Subframe53,ATSC3Subframe54,ATSC3Subframe55,ATSC3Subframe56,ATSC3Subframe57,ATSC3Subframe58,ATSC3Subframe59,ATSC3Subframe60,ATSC3Subframe61,"
      "ATSC3Subframe62,ATSC3Subframe63,ATSC3Subframe64,ATSC3Subframe65,ATSC3Subframe66,ATSC3Subframe67,ATSC3Subframe68,ATSC3Subframe69,ATSC3Subframe70,ATSC3Subframe71,ATSC3Subframe72,ATSC3Subframe73,ATSC3Subframe74,ATSC3Subframe75,ATSC3Subframe76,"
      "ATSC3Subframe77,ATSC3Subframe78,ATSC3Subframe79,ATSC3Subframe80,ATSC3Subframe81,ATSC3Subframe82,ATSC3Subframe83,ATSC3Subframe84,ATSC3Subframe85,ATSC3Subframe86,ATSC3Subframe87,ATSC3Subframe88,ATSC3Subframe89,ATSC3Subframe90,ATSC3Subframe91,"
      "ATSC3Subframe92,ATSC3Subframe93,ATSC3Subframe94,ATSC3Subframe95,ATSC3Subframe96,ATSC3Subframe97,ATSC3Subframe98,ATSC3Subframe99,ATSC3Subframe100,ATSC3Subframe101,ATSC3Subframe102,ATSC3Subframe103,ATSC3Subframe104,ATSC3Subframe105,ATSC3Subframe106,"
      "ATSC3Subframe107,ATSC3Subframe108,ATSC3Subframe109,ATSC3Subframe110,ATSC3Subframe111,ATSC3Subframe112,ATSC3Subframe113,ATSC3Subframe114,ATSC3Subframe115,ATSC3Subframe116,ATSC3Subframe117,ATSC3Subframe118,ATSC3Subframe119,ATSC3Subframe120,"
      "ATSC3Subframe121,ATSC3Subframe122,ATSC3Subframe123,ATSC3Subframe124,ATSC3Subframe125,ATSC3Subframe126,ATSC3Subframe127,ATSC3Subframe128,ATSC3Subframe129,ATSC3Subframe130,ATSC3Subframe131,ATSC3Subframe132,ATSC3Subframe133,ATSC3Subframe134,"
      "ATSC3Subframe135,ATSC3Subframe136,ATSC3Subframe137,ATSC3Subframe138,ATSC3Subframe139,ATSC3Subframe140,ATSC3Subframe141,ATSC3Subframe142,ATSC3Subframe143,ATSC3Subframe144,ATSC3Subframe145,ATSC3Subframe146,ATSC3Subframe147,ATSC3Subframe148,"
      "ATSC3Subframe149,ATSC3Subframe150,ATSC3Subframe151,ATSC3Subframe152,ATSC3Subframe153,ATSC3Subframe154,ATSC3Subframe155,ATSC3Subframe156,ATSC3Subframe157,ATSC3Subframe158,ATSC3Subframe159,ATSC3Subframe160,ATSC3Subframe161,ATSC3Subframe162,"
      "ATSC3Subframe163,ATSC3Subframe164,ATSC3Subframe165,ATSC3Subframe166,ATSC3Subframe167,ATSC3Subframe168,ATSC3Subframe169,ATSC3Subframe170,ATSC3Subframe171,ATSC3Subframe172,ATSC3Subframe173,ATSC3Subframe174,ATSC3Subframe175,ATSC3Subframe176,"
      "ATSC3Subframe177,ATSC3Subframe178,ATSC3Subframe179,ATSC3Subframe180,ATSC3Subframe181,ATSC3Subframe182,ATSC3Subframe183,ATSC3Subframe184,ATSC3Subframe185,ATSC3Subframe186,ATSC3Subframe187,ATSC3Subframe188,ATSC3Subframe189,ATSC3Subframe190,"
      "ATSC3Subframe191,ATSC3Subframe192,ATSC3Subframe193,ATSC3Subframe194,ATSC3Subframe195,ATSC3Subframe196,ATSC3Subframe197,ATSC3Subframe198,ATSC3Subframe199,ATSC3Subframe200,ATSC3Subframe201,ATSC3Subframe202,ATSC3Subframe203,ATSC3Subframe204,"
      "ATSC3Subframe205,ATSC3Subframe206,ATSC3Subframe207,ATSC3Subframe208,ATSC3Subframe209,ATSC3Subframe210,ATSC3Subframe211,ATSC3Subframe212,ATSC3Subframe213,ATSC3Subframe214,ATSC3Subframe215,ATSC3Subframe216,ATSC3Subframe217,ATSC3Subframe218,"
      "ATSC3Subframe219,ATSC3Subframe220,ATSC3Subframe221,ATSC3Subframe222,ATSC3Subframe223,ATSC3Subframe224,ATSC3Subframe225,ATSC3Subframe226,ATSC3Subframe227,ATSC3Subframe228,ATSC3Subframe229,ATSC3Subframe230,ATSC3Subframe231,ATSC3Subframe232,"
      "ATSC3Subframe233,ATSC3Subframe234,ATSC3Subframe235,ATSC3Subframe236,ATSC3Subframe237,ATSC3Subframe238,ATSC3Subframe239,ATSC3Subframe240,ATSC3Subframe241,ATSC3Subframe242,ATSC3Subframe243,ATSC3Subframe244,ATSC3Subframe245,ATSC3Subframe246,"
      "ATSC3Subframe247,ATSC3Subframe248,ATSC3Subframe249,ATSC3Subframe250,ATSC3Subframe251,ATSC3Subframe252,ATSC3Subframe253,ATSC3Subframe254,ATSC3Subframe255,ATSC3Subframe256",
      "1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,"
      "17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,"
      "32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,"
      "47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,"
      "62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,"
      "77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,"
      "92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,"
      "107,108,109,110,111,112,113,114,115,116,117,118,119,120,"
      "121,122,123,124,125,126,127,128,129,130,131,132,133,134,"
      "135,136,137,138,139,140,141,142,143,144,145,146,147,148,"
      "149,150,151,152,153,154,155,156,157,158,159,160,161,162,"
      "163,164,165,166,167,168,169,170,171,172,173,174,175,176,"
      "177,178,179,180,181,182,183,184,185,186,187,188,189,190,"
      "191,192,193,194,195,196,197,198,199,200,201,202,203,204,"
      "205,206,207,208,209,210,211,212,213,214,215,216,217,218,"
      "219,220,221,222,223,224,225,226,227,228,229,230,231,232,"
      "233,234,235,236,237,238,239,240,241,242,243,244,245,246,"
      "247,248,249,250,251,252,253,254,255,256"
    }, {
      "DVBT2PLP",
      "DVBT2PLP0",
      "0"
    }, {
      "DVBT2Timing",
      "DVBT2Timing1,DVBT2Timing2,DVBT2Timing3,DVBT2Timing4",
      "1,2,3,4"
    }, {
      "ISDBTEpicenter",
      "EPC1,EPC2",
      "1,2"
    }, {
      "DVBS2InputStream",
      "DVBS2IS1,DVBS2IS2,DVBS2IS3,DVBS2IS4,DVBS2IS5,DVBS2IS6,DVBS2IS7,DVBS2IS8",
      "1,2,3,4,5,6,7,8"
    }, {
      "DVBS2TimeSlice",
      "DVBS2TS1,DVBS2TS2,DVBS2TS3,DVBS2TS4,DVBS2TS5,DVBS2TS6,DVBS2TS7,DVBS2TS8",
      "1,2,3,4,5,6,7,8"
    }, {
      "IPChannel",
      "IP1,IP2,IP3,IP4",
      "1,2,3,4"
    }, {
      "IPInterface",
      "LAN1",
      "1"
    }
  };

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/

static RsCoreRangeTableDiscreteEntry RsSMxV_rngReferenceOscillatorSourceEntries[2] =
  {
    { RSSMXV_VAL_ROSC_SOURCE_INTERNAL, "INT" },
    { RSSMXV_VAL_ROSC_SOURCE_EXTERNAL, "EXT" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngReferenceOscillatorSource = { 2, RsSMxV_rngReferenceOscillatorSourceEntries };

RsCoreRangeTableRanged RsSMxV_rngAMDepth = { 0.0, 100.0, "PCT" };

RsCoreRangeTableRanged RsSMxV_rngPMDeviation = { 0.0, 6.0, "RAD" };

RsCoreRangeTableRanged RsSMxV_rngIQGainImbalance = { -1.0, 1.0, "dB" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngReferenceOscillatorExternalFrequencyEntries[3] =
  {
    { RSSMXV_VAL_ROSC_EXTERNAL_FREQUENCY_5MHZ, "5MHZ" },
    { RSSMXV_VAL_ROSC_EXTERNAL_FREQUENCY_10MHZ, "10MHZ" },
    { RSSMXV_VAL_ROSC_EXTERNAL_FREQUENCY_13MHZ, "13MHZ" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngReferenceOscillatorExternalFrequency = { 3, RsSMxV_rngReferenceOscillatorExternalFrequencyEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDMDigitalStandardEntries[25] =
  {
    { RSSMXV_VAL_DM_DIGITAL_STANDARD_BLUETOOTH, "BLU" },
    { RSSMXV_VAL_DM_DIGITAL_STANDARD_COFORWARD, "CFOR" },
    { RSSMXV_VAL_DM_DIGITAL_STANDARD_COREVERSE, "CREV" },
    { RSSMXV_VAL_DM_DIGITAL_STANDARD_DECT, "DECT" },
    { RSSMXV_VAL_DM_DIGITAL_STANDARD_ETC, "ETC" },
    { RSSMXV_VAL_DM_DIGITAL_STANDARD_GSM, "GSM" },
    { RSSMXV_VAL_DM_DIGITAL_STANDARD_GSMEDGE, "GSME" },
    { RSSMXV_VAL_DM_DIGITAL_STANDARD_NADC, "NADC" },
    { RSSMXV_VAL_DM_DIGITAL_STANDARD_PDC, "PDC" },
    { RSSMXV_VAL_DM_DIGITAL_STANDARD_PHS, "PHS" },
    { RSSMXV_VAL_DM_DIGITAL_STANDARD_TDSCDMA, "TDSC" },
    { RSSMXV_VAL_DM_DIGITAL_STANDARD_TETRA, "TETR" },
    { RSSMXV_VAL_DM_DIGITAL_STANDARD_TFTS, "TFTS" },
    { RSSMXV_VAL_DM_DIGITAL_STANDARD_W3GPP, "W3GP" },
    { RSSMXV_VAL_DM_DIGITAL_STANDARD_WORLDSPACE, "WORL" },
    { RSSMXV_VAL_DM_DIGITAL_STANDARD_APCO_PHASE1_C4FM, "APCOPH1C4" },
    { RSSMXV_VAL_DM_DIGITAL_STANDARD_APCO_PHASE1_CQPSK, "APCOPH1CQ" },
    { RSSMXV_VAL_DM_DIGITAL_STANDARD_APCO_PHASE2_H_CPM, "APCOPH2HC" },
    { RSSMXV_VAL_DM_DIGITAL_STANDARD_APCO_PHASE2_H_DQPSK, "APCOPH2HDQ" },
    { RSSMXV_VAL_DM_DIGITAL_STANDARD_APCO_PHASE2_H_D8PSK_WIDE, "APCOPH2HD8PSKW" },
    { RSSMXV_VAL_DM_DIGITAL_STANDARD_APCO_PHASE2_H_D8PSK_NARROW, "APCOPH2HD8PSKN" },
    { RSSMXV_VAL_DM_DIGITAL_STANDARD_APCO_PHASE1_LSM, "APCOPH1L" },
    { RSSMXV_VAL_DM_DIGITAL_STANDARD_APCO_PHASE1_WCQPSK, "APCOPH1W" },
    { RSSMXV_VAL_DM_DIGITAL_STANDARD_CWB_PSK, "CWBPSK" },
    { RSSMXV_VAL_DM_DIGITAL_STANDARD_SOQPSKTG, "SOQPSKTG" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDMDigitalStandard = { 25, RsSMxV_rngDMDigitalStandardEntries };

RsCoreRangeTableRanged RsSMxV_rngFilterParameterGaussPure = { 0.15, 2.50, "" };

RsCoreRangeTableRanged RsSMxV_rngMarkerPulseDivider = { 2, 1024, "" };

RsCoreRangeTableRanged RsSMxV_rngFilterParameterRootCosine = { 0.05, 1.00, "" };

RsCoreRangeTableRanged RsSMxV_rngFilterParameterAPCO25 = { 0.05, 0.99, "" };

RsCoreRangeTableRanged RsSMxV_rngFilterParameterLowpass = { 0.05, 2.0, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngTrgTriggerModeEntries[5] =
  {
    { RSSMXV_VAL_TRIGGER_MODE_AUTO, "AUTO" },
    { RSSMXV_VAL_TRIGGER_MODE_RETRIGGER, "RETR" },
    { RSSMXV_VAL_TRIGGER_MODE_AAUTO, "AAUT" },
    { RSSMXV_VAL_TRIGGER_MODE_ARETRIGGER, "ARET" },
    { RSSMXV_VAL_TRIGGER_MODE_SINGLE, "SING" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngTrgTriggerMode = { 5, RsSMxV_rngTrgTriggerModeEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDMCodingEntries[21] =
  {
    { RSSMXV_VAL_DM_CODING_OFF, "OFF" },
    { RSSMXV_VAL_DM_CODING_APCO25, "APCO25" },
    { RSSMXV_VAL_DM_CODING_APCO25FSK, "APCO25FSK" },
    { RSSMXV_VAL_DM_CODING_CDMA2000, "CDMA2000" },
    { RSSMXV_VAL_DM_CODING_DIFF, "DIFF" },
    { RSSMXV_VAL_DM_CODING_DPHS, "DPHS" },
    { RSSMXV_VAL_DM_CODING_DGRAY, "DGR" },
    { RSSMXV_VAL_DM_CODING_EDGE, "EDGE" },
    { RSSMXV_VAL_DM_CODING_GRAY, "GRAY" },
    { RSSMXV_VAL_DM_CODING_GSM, "GSM" },
    { RSSMXV_VAL_DM_CODING_ICO, "ICO" },
    { RSSMXV_VAL_DM_CODING_NADC, "NADC" },
    { RSSMXV_VAL_DM_CODING_PDC, "PDC" },
    { RSSMXV_VAL_DM_CODING_PHS, "PHS" },
    { RSSMXV_VAL_DM_CODING_TETRA, "TETR" },
    { RSSMXV_VAL_DM_CODING_PWT, "PWT" },
    { RSSMXV_VAL_DM_CODING_TFTS, "TFTS" },
    { RSSMXV_VAL_DM_CODING_INMARSAT, "INM" },
    { RSSMXV_VAL_DM_CODING_VDL, "VDL" },
    { RSSMXV_VAL_DM_CODING_WCDMA, "WCDMA" },
    { RSSMXV_VAL_DM_CODING_APCO258PSK, "APCO258PSK" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDMCoding = { 21, RsSMxV_rngDMCodingEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDMDataSourceEntries[5] =
  {
    { RSSMXV_VAL_DM_DATA_SOURCE_ZERO, "ZERO" },
    { RSSMXV_VAL_DM_DATA_SOURCE_ONE, "ONE" },
    { RSSMXV_VAL_DM_DATA_SOURCE_PRBS, "PRBS" },
    { RSSMXV_VAL_DM_DATA_SOURCE_PATTERN, "PATT" },
    { RSSMXV_VAL_DM_DATA_SOURCE_DLIST, "DLIS" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDMDataSource = { 5, RsSMxV_rngDMDataSourceEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDMPRBSTypeEntries[7] =
  {
    { RSSMXV_VAL_DM_PRBS_LENGTH_9, "9" },
    { RSSMXV_VAL_DM_PRBS_LENGTH_11, "11" },
    { RSSMXV_VAL_DM_PRBS_LENGTH_15, "15" },
    { RSSMXV_VAL_DM_PRBS_LENGTH_16, "16" },
    { RSSMXV_VAL_DM_PRBS_LENGTH_20, "20" },
    { RSSMXV_VAL_DM_PRBS_LENGTH_21, "21" },
    { RSSMXV_VAL_DM_PRBS_LENGTH_23, "23" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDMPRBSType = { 7, RsSMxV_rngDMPRBSTypeEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDMModulationTypeEntries[35] =
  {
    { RSSMXV_VAL_DM_FORMAT_ASK, "ASK" },
    { RSSMXV_VAL_DM_FORMAT_BPSK, "BPSK" },
    { RSSMXV_VAL_DM_FORMAT_QPSK, "QPSK" },
    { RSSMXV_VAL_DM_FORMAT_QPSK45, "QPSK45" },
    { RSSMXV_VAL_DM_FORMAT_OQPSK, "OQPS" },
    { RSSMXV_VAL_DM_FORMAT_P4QPSK, "P4QP" },
    { RSSMXV_VAL_DM_FORMAT_P2DBPSK, "P2DB" },
    { RSSMXV_VAL_DM_FORMAT_P4DQPSK, "P4DQ" },
    { RSSMXV_VAL_DM_FORMAT_P8D8PSK, "P8D8" },
    { RSSMXV_VAL_DM_FORMAT_PSK8, "PSK8" },
    { RSSMXV_VAL_DM_FORMAT_P8EDGE, "P8ED" },
    { RSSMXV_VAL_DM_FORMAT_QAM16, "QAM16" },
    { RSSMXV_VAL_DM_FORMAT_QAM32, "QAM32" },
    { RSSMXV_VAL_DM_FORMAT_QAM64, "QAM64" },
    { RSSMXV_VAL_DM_FORMAT_QAM256, "QAM256" },
    { RSSMXV_VAL_DM_FORMAT_QAM1024, "QAM1024" },
    { RSSMXV_VAL_DM_FORMAT_MSK, "MSK" },
    { RSSMXV_VAL_DM_FORMAT_FSK2, "FSK2" },
    { RSSMXV_VAL_DM_FORMAT_FSK4, "FSK4" },
    { RSSMXV_VAL_DM_FORMAT_USER, "USER" },
    { RSSMXV_VAL_DM_FORMAT_FSKVAR, "FSKV" },
    { RSSMXV_VAL_DM_FORMAT_QEDGE, "QEDG" },
    { RSSMXV_VAL_DM_FORMAT_AQPS, "AQPS" },
    { RSSMXV_VAL_DM_FORMAT_QAM128, "QAM128" },
    { RSSMXV_VAL_DM_FORMAT_QAM16ED, "QAM16ED" },
    { RSSMXV_VAL_DM_FORMAT_QAM32ED, "QAM32ED" },
    { RSSMXV_VAL_DM_FORMAT_QAM4096, "QAM4096" },
    { RSSMXV_VAL_DM_FORMAT_APSK16, "APSK16" },
    { RSSMXV_VAL_DM_FORMAT_APSK32, "APSK32" },
    { RSSMXV_VAL_DM_FORMAT_FSK32, "FSK32" },
    { RSSMXV_VAL_DM_FORMAT_FSK64, "FSK64" },
    { RSSMXV_VAL_DM_FORMAT_FSK8, "FSK8" },
    { RSSMXV_VAL_DM_FORMAT_FSK16, "FSK16" },
    { RSSMXV_VAL_DM_FORMAT_QAM512, "QAM512" },
    { RSSMXV_VAL_DM_FORMAT_QAM2048, "QAM2048" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDMModulationType = { 35, RsSMxV_rngDMModulationTypeEntries };

RsCoreRangeTableRanged RsSMxV_rngDMASKDepth = { 0.0, 100.0, "" };

RsCoreRangeTableRanged RsSMxV_rngDMFSKDeviation = { 1.0, 4.062e+6, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDMVariableFSKTypeEntries[3] =
  {
    { RSSMXV_VAL_FSK_TYPE_FSK4, "FSK4" },
    { RSSMXV_VAL_FSK_TYPE_FSK8, "FSK8" },
    { RSSMXV_VAL_FSK_TYPE_FSK16, "FSK16" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDMVariableFSKType = { 3, RsSMxV_rngDMVariableFSKTypeEntries };

RsCoreRangeTableRanged RsSMxV_rngDMAQPSKAngleAlpha = { 0.00, 180.00, "" };

RsCoreRangeTableRanged RsSMxV_rngDMVariableFSKDeviation = { -40.0e+6, 40.0e+6, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDMFilterTypeEntries[24] =
  {
    { RSSMXV_VAL_DM_FILTER_TYPE_RCOSINE, "RCOS" },
    { RSSMXV_VAL_DM_FILTER_TYPE_COSINE, "COS" },
    { RSSMXV_VAL_DM_FILTER_TYPE_GAUSS, "GAUS" },
    { RSSMXV_VAL_DM_FILTER_TYPE_LGAUSS, "LGA" },
    { RSSMXV_VAL_DM_FILTER_TYPE_CONE, "CONE" },
    { RSSMXV_VAL_DM_FILTER_TYPE_COF705, "COF705" },
    { RSSMXV_VAL_DM_FILTER_TYPE_COEQ, "COEQ" },
    { RSSMXV_VAL_DM_FILTER_TYPE_COF, "COF" },
    { RSSMXV_VAL_DM_FILTER_TYPE_C2K3X, "C2K3" },
    { RSSMXV_VAL_DM_FILTER_TYPE_APCO25, "APCO25" },
    { RSSMXV_VAL_DM_FILTER_TYPE_RECTANGLE, "RECT" },
    { RSSMXV_VAL_DM_FILTER_TYPE_SPHASE, "SPH" },
    { RSSMXV_VAL_DM_FILTER_TYPE_LPASS, "LPAS" },
    { RSSMXV_VAL_DM_FILTER_TYPE_USER, "USER" },
    { RSSMXV_VAL_DM_FILTER_TYPE_PGAUSS, "PGA" },
    { RSSMXV_VAL_DM_FILTER_TYPE_DIRAC, "DIR" },
    { RSSMXV_VAL_DM_FILTER_TYPE_ENPS, "ENPS" },
    { RSSMXV_VAL_DM_FILTER_TYPE_EWPS, "EWPS" },
    { RSSMXV_VAL_DM_FILTER_TYPE_LPASSEVM, "LPASSEVM" },
    { RSSMXV_VAL_DM_FILTER_TYPE_LTEF, "LTEF" },
    { RSSMXV_VAL_DM_FILTER_TYPE_APCO25H, "APCO25H" },
    { RSSMXV_VAL_DM_FILTER_TYPE_APCO25L, "APCO25L" },
    { RSSMXV_VAL_DM_FILTER_TYPE_HRP, "HRP" },
    { RSSMXV_VAL_DM_FILTER_TYPE_SOQPSK, "SOQPSK" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDMFilterType = { 24, RsSMxV_rngDMFilterTypeEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDMPowerRampSourceEntries[2] =
  {
    { RSSMXV_VAL_DM_POWER_RAMP_SOURCE_INTERNAL, "INT" },
    { RSSMXV_VAL_DM_POWER_RAMP_SOURCE_EXTERNAL, "EXT" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDMPowerRampSource = { 2, RsSMxV_rngDMPowerRampSourceEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDMPowerRampFunctionEntries[2] =
  {
    { RSSMXV_VAL_DM_POWER_RAMP_SHAPE_LINEAR, "LIN" },
    { RSSMXV_VAL_DM_POWER_RAMP_SHAPE_COSINE, "COS" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDMPowerRampFunction = { 2, RsSMxV_rngDMPowerRampFunctionEntries };

RsCoreRangeTableRanged RsSMxV_rngDMPowerRampTime = { 0.25, 16.0, "" };

RsCoreRangeTableRanged RsSMxV_rngDMPowerRampDelay = { 0.0, 4.0, "" };

RsCoreRangeTableRanged RsSMxV_rngDMAttenuation = { 0.0, 50.0, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDMMarkerModeEntries[4] =
  {
    { RSSMXV_VAL_DM_MARKER_MODE_CLIST, "CLIS" },
    { RSSMXV_VAL_DM_MARKER_MODE_PULSE, "PULS" },
    { RSSMXV_VAL_DM_MARKER_MODE_PATTERN, "PATT" },
    { RSSMXV_VAL_DM_MARKER_MODE_RATIO, "RAT" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDMMarkerMode = { 4, RsSMxV_rngDMMarkerModeEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngARBExtendedTriggerModeEntries[4] =
  {
    { RSSMXV_VAL_ARB_EXTENDED_TRIGGER_MODE_SAME, "SAME" },
    { RSSMXV_VAL_ARB_EXTENDED_TRIGGER_MODE_NEXT, "NEXT" },
    { RSSMXV_VAL_ARB_EXTENDED_TRIGGER_MODE_NSEAM, "NSE" },
    { RSSMXV_VAL_ARB_EXTENDED_TRIGGER_MODE_SEQ, "SEQ" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngARBExtendedTriggerMode = { 4, RsSMxV_rngARBExtendedTriggerModeEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngARBSignalDurationUnitEntries[2] =
  {
    { RSSMXV_VAL_ARB_TRIGGER_UNIT_SAMPLE, "SAMP" },
    { RSSMXV_VAL_ARB_TRIGGER_UNIT_SEQUENCE, "SEQ" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngARBSignalDurationUnit = { 2, RsSMxV_rngARBSignalDurationUnitEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngARBMarkerModeEntries[5] =
  {
    { RSSMXV_VAL_ARB_MARKER_MODE_UNCH, "UNCH" },
    { RSSMXV_VAL_ARB_MARKER_MODE_RESTART, "REST" },
    { RSSMXV_VAL_ARB_MARKER_MODE_PULSE, "PULS" },
    { RSSMXV_VAL_ARB_MARKER_MODE_PATTERN, "PATT" },
    { RSSMXV_VAL_ARB_MARKER_MODE_RATIO, "RAT" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngARBMarkerMode = { 5, RsSMxV_rngARBMarkerModeEntries };

RsCoreRangeTableRanged RsSMxV_rngARBTsignalFrequency = { 100.0, 40.0e+6, "" };

RsCoreRangeTableRanged RsSMxV_rngARBTsignalPhase = { -180.0, 180.0, "" };

RsCoreRangeTableRanged RsSMxV_rngARBTsignalSamples = { 4, 1000, "" };

RsCoreRangeTableRanged RsSMxV_rngARBTsignalRectangleFrequency = { 100.0, 25.0e+6, "" };

RsCoreRangeTableRanged RsSMxV_rngARBTsignalRectangleAmplitude = { 0.0, 1.0, "" };

RsCoreRangeTableRanged RsSMxV_rngARBOffsetDC = { 0, 1.0, "" };

RsCoreRangeTableRanged RsSMxV_rngARBSamples = { 4, 1000, "" };

RsCoreRangeTableRanged RsSMxV_rngARBTsignalCIQ = { -1.0, 1.0, "" };

RsCoreRangeTableRanged RsSMxV_rngARBOutputSegment = { 0, 1023, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngARBMultisegmentLevelModeEntries[2] =
  {
    { RSSMXV_VAL_ARB_LEVEL_MODE_UNCH, "UNCH" },
    { RSSMXV_VAL_ARB_LEVEL_MODE_ERMS, "ERMS" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngARBMultisegmentLevelMode = { 2, RsSMxV_rngARBMultisegmentLevelModeEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngARBSequenceRestartEntries[5] =
  {
    { RSSMXV_VAL_ARB_SRESTART_DISABLED, "OFF" },
    { RSSMXV_VAL_ARB_SRESTART_MRK1, "MRK1" },
    { RSSMXV_VAL_ARB_SRESTART_MRK2, "MRK2" },
    { RSSMXV_VAL_ARB_SRESTART_MRK3, "MRK3" },
    { RSSMXV_VAL_ARB_SRESTART_MRK4, "MRK4" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngARBSequenceRestart = { 5, RsSMxV_rngARBSequenceRestartEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngARBMultisegmentClockModeEntries[3] =
  {
    { RSSMXV_VAL_ARB_CLOCK_MODE_UNCH, "UNCH" },
    { RSSMXV_VAL_ARB_CLOCK_MODE_HIGH, "HIGH" },
    { RSSMXV_VAL_ARB_CLOCK_MODE_USER, "USER" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngARBMultisegmentClockMode = { 3, RsSMxV_rngARBMultisegmentClockModeEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngARBMultiCarrierModeEntries[2] =
  {
    { RSSMXV_VAL_ARB_MULTIC_MODE_EQU, "EQU" },
    { RSSMXV_VAL_ARB_MULTIC_MODE_ARB, "ARB" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngARBMultiCarrierMode = { 2, RsSMxV_rngARBMultiCarrierModeEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngARBMultiCarrierCrestFactorModeEntries[3] =
  {
    { RSSMXV_VAL_ARB_SRC_CFACTOR_MODE_OFF, "OFF" },
    { RSSMXV_VAL_ARB_SRC_CFACTOR_MODE_MIN, "MIN" },
    { RSSMXV_VAL_ARB_SRC_CFACTOR_MODE_MAX, "MAX" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngARBMultiCarrierCrestFactorMode = { 3, RsSMxV_rngARBMultiCarrierCrestFactorModeEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngARBSignalPeriodModeEntries[4] =
  {
    { RSSMXV_VAL_ARB_SRC_CALC_MODE_LONG, "LONG" },
    { RSSMXV_VAL_ARB_SRC_CALC_MODE_SHRT, "SHOR" },
    { RSSMXV_VAL_ARB_SRC_CALC_MODE_USER, "USER" },
    { RSSMXV_VAL_ARB_SRC_CALC_MODE_LCM, "LCM" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngARBSignalPeriodMode = { 4, RsSMxV_rngARBSignalPeriodModeEntries };

RsCoreRangeTableRanged RsSMxV_rngARBMultiCarrierCount = { 1, 512, "" };

RsCoreRangeTableRanged RsSMxV_rngARBMultiCarrierFrequency = { -40.0, 40.0, "" };

RsCoreRangeTableRanged RsSMxV_rngARBMultiCarrierPhase = { 0.0, 359.99, "" };

RsCoreRangeTableRanged RsSMxV_rngARBPower = { -80.0, 0.0, "" };

RsCoreRangeTableRanged RsSMxV_rngARBPhaseStep = { -359.99, 359.99, "" };

RsCoreRangeTableRanged RsSMxV_rngARBPowerStep = { -80.0, 80.0, "" };

RsCoreRangeTableRanged RsSMxV_rngARBMultiCarrierIndex = { 0, 511, "" };

RsCoreRangeTableRanged RsSMxV_rngARBTargetCrestFactor = { -50, 50, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngSlopeEntries[2] =
  {
    { RSSMXV_VAL_SLOPE_NEGATIVE, "NEG" },
    { RSSMXV_VAL_SLOPE_POSITIVE, "POS" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngSlope = { 2, RsSMxV_rngSlopeEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngIMPOptimizationModeEntries[4] =
  {
    { RSSMXV_VAL_OPTIM_MODE_FAST, "FAST" },
    { RSSMXV_VAL_OPTIM_MODE_QHIGH, "QHIG" },
    { RSSMXV_VAL_OPTIM_MODE_UCOR, "UCOR" },
    { RSSMXV_VAL_OPTIM_MODE_QHT, "QHT" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngIMPOptimizationMode = { 4, RsSMxV_rngIMPOptimizationModeEntries };

RsCoreRangeTableRanged RsSMxV_rngIMPIQOffset = { -10.0, 10.0, "" };

RsCoreRangeTableRanged RsSMxV_rngIMPQuadratureOffset = { -10.0, 10.0, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngAWGNModeEntries[3] =
  {
    { RSSMXV_VAL_AWGN_MODE_ADD, "ADD" },
    { RSSMXV_VAL_AWGN_MODE_ONLY, "ONLY" },
    { RSSMXV_VAL_AWGN_MODE_CW, "CW" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngAWGNMode = { 3, RsSMxV_rngAWGNModeEntries };

RsCoreRangeTableRanged RsSMxV_rngAWGNSystemBandwidth = { 1.0e+3, 80.0e+6, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngAWGNNoiseModeEntries[3] =
  {
    { RSSMXV_VAL_AWGN_POWER_MODE_CN, "CN" },
    { RSSMXV_VAL_AWGN_POWER_MODE_EN, "EN" },
    { RSSMXV_VAL_AWGN_POWER_MODE_SN, "SN" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngAWGNNoiseMode = { 3, RsSMxV_rngAWGNNoiseModeEntries };

RsCoreRangeTableRanged RsSMxV_rngAWGNCarrierToNoiseRatio = { -50.0, 45.0, "" };

RsCoreRangeTableRanged RsSMxV_rngAWGNCarrierLevel = { -145.0, 25.0, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngKeyboardLayoutEntries[18] =
  {
    { RSSMXV_VAL_SYSTEM_KEYBOARD_US, "US" },
    { RSSMXV_VAL_SYSTEM_KEYBOARD_DE, "DE" },
    { RSSMXV_VAL_SYSTEM_KEYBOARD_ENGUK, "ENGUK" },
    { RSSMXV_VAL_SYSTEM_KEYBOARD_CHIN, "CHIN" },
    { RSSMXV_VAL_SYSTEM_KEYBOARD_DAN, "DAN" },
    { RSSMXV_VAL_SYSTEM_KEYBOARD_DUTC, "DUTC" },
    { RSSMXV_VAL_SYSTEM_KEYBOARD_FINN, "FINN" },
    { RSSMXV_VAL_SYSTEM_KEYBOARD_FREN, "FREN" },
    { RSSMXV_VAL_SYSTEM_KEYBOARD_FREB, "FREB" },
    { RSSMXV_VAL_SYSTEM_KEYBOARD_FREC, "FREC" },
    { RSSMXV_VAL_SYSTEM_KEYBOARD_ITAL, "ITAL" },
    { RSSMXV_VAL_SYSTEM_KEYBOARD_JAP, "JAP" },
    { RSSMXV_VAL_SYSTEM_KEYBOARD_KOR, "KOR" },
    { RSSMXV_VAL_SYSTEM_KEYBOARD_NORW, "NORW" },
    { RSSMXV_VAL_SYSTEM_KEYBOARD_PORT, "PORT" },
    { RSSMXV_VAL_SYSTEM_KEYBOARD_RUSS, "RUSS" },
    { RSSMXV_VAL_SYSTEM_KEYBOARD_SPAN, "SPAN" },
    { RSSMXV_VAL_SYSTEM_KEYBOARD_SWED, "SWED" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngKeyboardLayout = { 18, RsSMxV_rngKeyboardLayoutEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngGraphicsModeEntries[7] =
  {
    { RSSMXV_VAL_GRAPHICS_MODE_IQ, "IQ" },
    { RSSMXV_VAL_GRAPHICS_MODE_VECT, "VECT" },
    { RSSMXV_VAL_GRAPHICS_MODE_CCDF, "CCDF" },
    { RSSMXV_VAL_GRAPHICS_MODE_PSP, "PSP" },
    { RSSMXV_VAL_GRAPHICS_MODE_CONST, "CONS" },
    { RSSMXV_VAL_GRAPHICS_MODE_EYEI, "EYEI" },
    { RSSMXV_VAL_GRAPHICS_MODE_EYEQ, "EYEQ" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngGraphicsMode = { 7, RsSMxV_rngGraphicsModeEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngGraphicsTriggerSourceEntries[2] =
  {
    { RSSMXV_VAL_GRAPHICS_TRIGGER_SOURCE_SOFTWARE, "SOFT" },
    { RSSMXV_VAL_GRAPHICS_TRIGGER_SOURCE_MARKER, "MARK" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngGraphicsTriggerSource = { 2, RsSMxV_rngGraphicsTriggerSourceEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngGraphicsSampleRateModeEntries[3] =
  {
    { RSSMXV_VAL_GRAPHICS_SAMPLE_RATE_AUTO, "AUTO" },
    { RSSMXV_VAL_GRAPHICS_SAMPLE_RATE_FULL, "FULL" },
    { RSSMXV_VAL_GRAPHICS_SAMPLE_RATE_USER, "USER" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngGraphicsSampleRateMode = { 3, RsSMxV_rngGraphicsSampleRateModeEntries };

RsCoreRangeTableRanged RsSMxV_rngGraphicsSampleRate = { 0.01, 100.0, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngUnitAngleEntries[2] =
  {
    { RSSMXV_VAL_UNIT_ANGLE_DEG, "DEG" },
    { RSSMXV_VAL_UNIT_ANGLE_RAD, "RAD" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngUnitAngle = { 2, RsSMxV_rngUnitAngleEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngUnitPowerEntries[3] =
  {
    { RSSMXV_VAL_UNIT_POWER_V, "V" },
    { RSSMXV_VAL_UNIT_POWER_DBM, "DBM" },
    { RSSMXV_VAL_UNIT_POWER_DBUV, "DBUV" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngUnitPower = { 3, RsSMxV_rngUnitPowerEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngHardCopyLanguageEntries[4] =
  {
    { RSSMXV_VAL_HCOPY_LANG_BMP, "BMP" },
    { RSSMXV_VAL_HCOPY_LANG_JPG, "JPG" },
    { RSSMXV_VAL_HCOPY_LANG_XPM, "XPM" },
    { RSSMXV_VAL_HCOPY_LANG_PNG, "PNG" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngHardCopyLanguage = { 4, RsSMxV_rngHardCopyLanguageEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngTriggerSourceForAllSweepsEntries[6] =
  {
    { RSSMXV_VAL_TRIG_SOURCE_SWEEP_AUTO, "AUTO" },
    { RSSMXV_VAL_TRIG_SOURCE_SWEEP_IMMEDIATE, "IMM" },
    { RSSMXV_VAL_TRIG_SOURCE_SWEEP_SINGLE, "SING" },
    { RSSMXV_VAL_TRIG_SOURCE_SWEEP_EXTERNAL, "EXT" },
    { RSSMXV_VAL_TRIG_SOURCE_SWEEP_BUS, "BUS" },
    { RSSMXV_VAL_TRIG_SOURCE_SWEEP_EAUT, "EAUT" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngTriggerSourceForAllSweeps = { 6, RsSMxV_rngTriggerSourceForAllSweepsEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngRFFrequencyonRecallEntries[2] =
  {
    { RSSMXV_VAL_FREQUENCY_RCL_INCLUDE, "INCL" },
    { RSSMXV_VAL_FREQUENCY_RCL_EXCLUDE, "EXCL" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngRFFrequencyonRecall = { 2, RsSMxV_rngRFFrequencyonRecallEntries };

RsCoreRangeTableRanged RsSMxV_rngRFFrequencyOffset = { -50.0e9, 50.0e9, "" };

RsCoreRangeTableRanged RsSMxV_rngRFDeltaPhase = { -36000, 36000.0, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngROSCSynchronizationBandwidthEntries[2] =
  {
    { RSSMXV_VAL_ROSC_SBAN_WIDE, "WIDE" },
    { RSSMXV_VAL_ROSC_SBAN_NARROW, "NARR" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngROSCSynchronizationBandwidth = { 2, RsSMxV_rngROSCSynchronizationBandwidthEntries };

RsCoreRangeTableRanged RsSMxV_rngRFLevelOffset = { -100.0, 100.0, "" };

RsCoreRangeTableRanged RsSMxV_rngRFLevelVariationStep = { 0.0, 200.0, "" };

RsCoreRangeTableRanged RsSMxV_rngPULMDelay = { 50e-9, 100, "" };

RsCoreRangeTableRanged RsSMxV_rngDMFilterParameterCosineBw = { 400.0, 20.0e+6, "" };

RsCoreRangeTableRanged RsSMxV_rngARBMultiCarrierEditPower = { -80.0, 0.0, "" };

RsCoreRangeTableRanged RsSMxV_rngARBMultiCarrierDelay = { 0.0, 1.0e-9, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngTriggerStatusEntries[2] =
  {
    { RSSMXV_VAL_TRIGGER_STATUS_STOP, "STOP" },
    { RSSMXV_VAL_TRIGGER_STATUS_RUN, "RUN" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngTriggerStatus = { 2, RsSMxV_rngTriggerStatusEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngIQOutputPowerOnStateEntries[2] =
  {
    { RSSMXV_VAL_OUTPUT_STATE_PON_OFF, "OFF" },
    { RSSMXV_VAL_OUTPUT_STATE_PON_UNCH, "UNCH" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngIQOutputPowerOnState = { 2, RsSMxV_rngIQOutputPowerOnStateEntries };

RsCoreRangeTableRanged RsSMxV_rngIQOutputDigitalLevel = { -80.0, 0.0, "dBFS" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngRFLevelVariationActiveEntries[2] =
  {
    { RSSMXV_VAL_RF_VARIATION_ACTIVE_DECIMAL, "DEC" },
    { RSSMXV_VAL_RF_VARIATION_ACTIVE_USER, "USER" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngRFLevelVariationActive = { 2, RsSMxV_rngRFLevelVariationActiveEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngTriggerSourEntries[2] =
  {
    { RSSMXV_VAL_TRIGGER_SOURCE_INTERNAL, "INT" },
    { RSSMXV_VAL_TRIGGER_SOURCE_EXT, "EXT" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngTriggerSour = { 2, RsSMxV_rngTriggerSourEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngClockSourceEntries[4] =
  {
    { RSSMXV_VAL_CLOCK_SOURCE_INTERNAL, "INT" },
    { RSSMXV_VAL_CLOCK_SOURCE_EGC1, "EGC1" },
    { RSSMXV_VAL_CLOCK_SOURCE_EGC2, "EGC2" },
    { RSSMXV_VAL_CLOCK_SOURCE_ELC, "ELCL" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngClockSource = { 4, RsSMxV_rngClockSourceEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngPULMTransitionTypeEntries[2] =
  {
    { RSSMXV_VAL_PULM_TRANSITION_TYPE_SMOOTHED, "SMO" },
    { RSSMXV_VAL_PULM_TRANSITION_TYPE_FAST, "FAST" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngPULMTransitionType = { 2, RsSMxV_rngPULMTransitionTypeEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngGraphicsSourceEntries[6] =
  {
    { RSSMXV_VAL_GRAPHICS_SOURCE_BBA, "BBA" },
    { RSSMXV_VAL_GRAPHICS_SOURCE_STRA, "STRA" },
    { RSSMXV_VAL_GRAPHICS_SOURCE_RFA, "RFA" },
    { RSSMXV_VAL_GRAPHICS_SOURCE_BBIA, "BBIA" },
    { RSSMXV_VAL_GRAPHICS_SOURCE_IQO1, "IQO1" },
    { RSSMXV_VAL_GRAPHICS_SOURCE_DO1, "DO1" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngGraphicsSource = { 6, RsSMxV_rngGraphicsSourceEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngRFAttRFOFFModeEntries[2] =
  {
    { RSSMXV_VAL_RF_OFF_MODE_UNCH, "UNCH" },
    { RSSMXV_VAL_RF_OFF_MODE_FULL, "FATT" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngRFAttRFOFFMode = { 2, RsSMxV_rngRFAttRFOFFModeEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngRFLevelSettingCharacteristicsEntries[2] =
  {
    { RSSMXV_VAL_RF_LEVEL_SETTING_AUTO, "AUTO" },
    { RSSMXV_VAL_RF_LEVEL_SETTING_UNINT, "UNIN" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngRFLevelSettingCharacteristics = { 2, RsSMxV_rngRFLevelSettingCharacteristicsEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngExternalDisplayModeEntries[4] =
  {
    { RSSMXV_VAL_EXTERNAL_DISPLAY_ALL, "ALL" },
    { RSSMXV_VAL_EXTERNAL_DISPLAY_MAPP, "MAPP" },
    { RSSMXV_VAL_EXTERNAL_DISPLAY_INP, "INP" },
    { RSSMXV_VAL_EXTERNAL_DISPLAY_OUTP, "OUTP" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngExternalDisplayMode = { 4, RsSMxV_rngExternalDisplayModeEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngRefOscOutputFreqModeEntries[3] =
  {
    { RSSMXV_VAL_REFERENCE_OSCILLATOR_FREQ_MODE_DER10M, "DER10M" },
    { RSSMXV_VAL_REFERENCE_OSCILLATOR_FREQ_MODE_OFF, "OFF" },
    { RSSMXV_VAL_REFERENCE_OSCILLATOR_FREQ_MODE_LOOP, "LOOP" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngRefOscOutputFreqMode = { 3, RsSMxV_rngRefOscOutputFreqModeEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngARBPowerReferenceEntries[2] =
  {
    { RSSMXV_VAL_ARB_POWER_REFERENCE_RMS, "RMS" },
    { RSSMXV_VAL_ARB_POWER_REFERENCE_PEAK, "PEAK" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngARBPowerReference = { 2, RsSMxV_rngARBPowerReferenceEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngSystemConfigurationMappingModeEntries[3] =
  {
    { RSSMXV_VAL_SYST_CONF_MAPPING_MODE_SINGLE, "SING" },
    { RSSMXV_VAL_SYST_CONF_MAPPING_MODE_ADD, "ADD" },
    { RSSMXV_VAL_SYST_CONF_MAPPING_MODE_MULTIPLEX, "MULT" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngSystemConfigurationMappingMode = { 3, RsSMxV_rngSystemConfigurationMappingModeEntries };

RsCoreRangeTableRanged RsSMxV_rngSystemConfigurationFrequencyOffset = { -40.0e+6, 40.0e+6, "" };

RsCoreRangeTableRanged RsSMxV_rngSystemConfigurationPhaseOffset = { -999.99, 999.99, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngARBMultisegmentMarkerModeEntries[2] =
  {
    { RSSMXV_VAL_ARB_MARKER_MODE_IGNORE, "IGN" },
    { RSSMXV_VAL_ARB_MARKER_MODE_TAKE, "TAKE" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngARBMultisegmentMarkerMode = { 2, RsSMxV_rngARBMultisegmentMarkerModeEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDMExternalTriggerDelayUnitEntries[2] =
  {
    { RSSMXV_VAL_EXTERNAL_TRIGGER_DELAY_UNIT_SAMPLE, "SAMP" },
    { RSSMXV_VAL_EXTERNAL_TRIGGER_DELAY_UNIT_TIME, "TIME" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDMExternalTriggerDelayUnit = { 2, RsSMxV_rngDMExternalTriggerDelayUnitEntries };

RsCoreRangeTableRanged RsSMxV_rngDMExternalTriggerActualDelay = { 0.0, 688.0, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngARBMultisegmentSegmentLevelModeEntries[2] =
  {
    { RSSMXV_VAL_MULTI_SEGMENTS_ARB_LEVEL_MODE_UNCHANGED, "UNCH" },
    { RSSMXV_VAL_MULTI_SEGMENTS_ARB_LEVEL_MODE_HIGHEST, "HIGH" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngARBMultisegmentSegmentLevelMode = { 2, RsSMxV_rngARBMultisegmentSegmentLevelModeEntries };

RsCoreRangeTableRanged RsSMxV_rngDMMarkerONTime = { 1, 16777215, "" };

RsCoreRangeTableRanged RsSMxV_rngARBExternalTriggerInhibit = { 0, 21470000, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngHardCopyRegionEntries[2] =
  {
    { RSSMXV_VAL_HCOPY_SNAPSHOT_ALL, "ALL" },
    { RSSMXV_VAL_HCOPY_SNAPSHOT_DIALOG, "DIAL" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngHardCopyRegion = { 2, RsSMxV_rngHardCopyRegionEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngRFFrequencyModeNewEntries[4] =
  {
    { RSSMXV_VAL_RF_FREQUENCY_CW, "CW" },
    { RSSMXV_VAL_RF_FREQUENCY_FIXED, "FIX" },
    { RSSMXV_VAL_RF_FREQUENCY_SWEEP, "SWE" },
    { RSSMXV_VAL_RF_FREQUENCY_LIST, "LIST" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngRFFrequencyModeNew = { 4, RsSMxV_rngRFFrequencyModeNewEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngARBTriggerStatusEntries[2] =
  {
    { RSSMXV_VAL_ARB_TRIGGER_STATUS_STOP, "STOP" },
    { RSSMXV_VAL_ARB_TRIGGER_STATUS_RUN, "RUN" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngARBTriggerStatus = { 2, RsSMxV_rngARBTriggerStatusEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngARBExternalTriggerDelayUnitEntries[2] =
  {
    { RSSMXV_VAL_EXTERNAL_TRIGGER_DELAY_UNIT_SAMPLE, "SAMP" },
    { RSSMXV_VAL_EXTERNAL_TRIGGER_DELAY_UNIT_TIME, "TIME" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngARBExternalTriggerDelayUnit = { 2, RsSMxV_rngARBExternalTriggerDelayUnitEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngRFPowerModeEntries[3] =
  {
    { RSSMXV_VAL_RF_POWER_CW, "CW" },
    { RSSMXV_VAL_RF_POWER_FIXED, "FIX" },
    { RSSMXV_VAL_RF_POWER_SWEEP, "SWE" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngRFPowerMode = { 3, RsSMxV_rngRFPowerModeEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngOutputImpedanceEntries[3] =
  {
    { RSSMXV_VAL_IMPEDANCE_G50, "G50" },
    { RSSMXV_VAL_IMPEDANCE_G1K, "G1K" },
    { RSSMXV_VAL_IMPEDANCE_G10K, "G10K" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngOutputImpedance = { 3, RsSMxV_rngOutputImpedanceEntries };

RsCoreRangeTableRanged RsSMxV_rngSystemWait = { 0, 10000, "ms" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngGraphicsFFTSizeEntries[6] =
  {
    { RSSMXV_VAL_GRAPHICS_FFT_LEN256, "LEN256" },
    { RSSMXV_VAL_GRAPHICS_FFT_LEN512, "LEN512" },
    { RSSMXV_VAL_GRAPHICS_FFT_LEN1024, "LEN1024" },
    { RSSMXV_VAL_GRAPHICS_FFT_LEN2048, "LEN2048" },
    { RSSMXV_VAL_GRAPHICS_FFT_LEN4096, "LEN4096" },
    { RSSMXV_VAL_GRAPHICS_FFT_LEN8192, "LEN8192" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngGraphicsFFTSize = { 6, RsSMxV_rngGraphicsFFTSizeEntries };

RsCoreRangeTableRanged RsSMxV_rngReferenceOscillatorUserDefinedFrequency = { 1.0e6, 100.0e6, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngSystemUserInterfaceLockEntries[5] =
  {
    { RSSMXV_VAL_SYSTEM_ULOCK_TOFF, "TOFF" },
    { RSSMXV_VAL_SYSTEM_ULOCK_ENABLED, "ENAB" },
    { RSSMXV_VAL_SYSTEM_ULOCK_DISABLED, "DIS" },
    { RSSMXV_VAL_SYSTEM_ULOCK_DONLY, "DONL" },
    { RSSMXV_VAL_SYSTEM_ULOCK_VNCONLY, "VNC" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngSystemUserInterfaceLock = { 5, RsSMxV_rngSystemUserInterfaceLockEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngAWGNPowersForOutputEntries[4] =
  {
    { RSSMXV_VAL_AWGN_OUTPUT_RF, "RF" },
    { RSSMXV_VAL_AWGN_OUTPUT_BB, "BB" },
    { RSSMXV_VAL_AWGN_OUTPUT_RFA, "RFA" },
    { RSSMXV_VAL_AWGN_OUTPUT_IQOUT1, "IQOUT1" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngAWGNPowersForOutput = { 4, RsSMxV_rngAWGNPowersForOutputEntries };

RsCoreRangeTableRanged RsSMxV_rngAWGNTargetCWFrequencyOffset = { -40.0e6, 40.0e6, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngAWGNReferenceModeEntries[2] =
  {
    { RSSMXV_VAL_AWGN_REF_MODE_CARRIER, "CARR" },
    { RSSMXV_VAL_AWGN_REF_MODE_NOISE, "NOIS" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngAWGNReferenceMode = { 2, RsSMxV_rngAWGNReferenceModeEntries };

RsCoreRangeTableRanged RsSMxV_rngDMFilterTypeParameter = { 0.05, 2.5, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngVariationStepModeEntries[2] =
  {
    { RSSMXV_VAL_STEP_MODE_DECIMAL, "DEC" },
    { RSSMXV_VAL_STEP_MODE_USER, "USER" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngVariationStepMode = { 2, RsSMxV_rngVariationStepModeEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngARBTestSignalFormEntries[3] =
  {
    { RSSMXV_VAL_ARB_TESTSIGNAL_SINE, "SINE" },
    { RSSMXV_VAL_ARB_TESTSIGNAL_RECT, "RECT" },
    { RSSMXV_VAL_ARB_TESTSIGNAL_CIQ, "CIQ" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngARBTestSignalForm = { 3, RsSMxV_rngARBTestSignalFormEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDMAPSK16GammaEntries[6] =
  {
    { RSSMXV_VAL_DM_APSK16_G2D3, "G2D3" },
    { RSSMXV_VAL_DM_APSK16_G3D4, "G3D4" },
    { RSSMXV_VAL_DM_APSK16_G4D5, "G4D5" },
    { RSSMXV_VAL_DM_APSK16_G5D6, "G5D6" },
    { RSSMXV_VAL_DM_APSK16_G8D9, "G8D9" },
    { RSSMXV_VAL_DM_APSK16_G9D10, "G9D10" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDMAPSK16Gamma = { 6, RsSMxV_rngDMAPSK16GammaEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDM32APSKGammaEntries[5] =
  {
    { RSSMXV_VAL_DM_APSK32_G3D4, "G3D4" },
    { RSSMXV_VAL_DM_APSK32_G4D5, "G4D5" },
    { RSSMXV_VAL_DM_APSK32_G5D6, "G5D6" },
    { RSSMXV_VAL_DM_APSK32_G8D9, "G8D9" },
    { RSSMXV_VAL_DM_APSK32_G9D10, "G9D10" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDM32APSKGamma = { 5, RsSMxV_rngDM32APSKGammaEntries };

RsCoreRangeTableRanged RsSMxV_rngIQOutputDigitalPowerVariationStep = { 0.0, 100.0, "" };

RsCoreRangeTableRanged RsSMxV_rngARBCFRDCFDelta = { -20, 0, "dB" };

RsCoreRangeTableRanged RsSMxV_rngARBCFROCF = { 1, 100, "dB" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngARBCFRFilteringModeEntries[2] =
  {
    { RSSMXV_VAL_ARB_CFR_FILTERING_MODE_SIMP, "SIMP" },
    { RSSMXV_VAL_ARB_CFR_FILTERING_MODE_ENH, "ENH" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngARBCFRFilteringMode = { 2, RsSMxV_rngARBCFRFilteringModeEntries };

RsCoreRangeTableRanged RsSMxV_rngARBCFRMaxIterations = { 1, 10, "" };

RsCoreRangeTableRanged RsSMxV_rngARBCFRRCF = { 1, 100, "" };

RsCoreRangeTableRanged RsSMxV_rngARBCFRMaximumFilterOrder = { 0, 300, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngARBCFRAlgorithmEntries[1] =
  {
    { RSRFSIGEN_VAL_ARB_CFR_ALGORITHM_CLIPPING_FILTERING, "CLF" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngARBCFRAlgorithm = { 1, RsSMxV_rngARBCFRAlgorithmEntries };

RsCoreRangeTableRanged RsSMxV_rngAWGNSystemBandwidthNoise = { 0, 200.0e+6, "" };

RsCoreRangeTableRanged RsSMxV_rngARBMultiCarrierSignalPeriod = { 0, 1.0e9, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngARBMultisegmentNextSegmentSourceEntries[2] =
  {
    { RSSMXV_VAL_ARB_NEXT_SEGMENT_SOURCE_INT, "INT" },
    { RSSMXV_VAL_ARB_NEXT_SEGMENT_SOURCE_NSEGM1, "NSEGM1" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngARBMultisegmentNextSegmentSource = { 2, RsSMxV_rngARBMultisegmentNextSegmentSourceEntries };

RsCoreRangeTableRanged RsSMxV_rngDMMarkerDelay = { 0, 16777215, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngIQOutputDigitalInterfaceEntries[2] =
  {
    { RSSMXV_VAL_IQ_DIGITAL_INTERFACE_DIGITAL, "DIG" },
    { RSSMXV_VAL_IQ_DIGITAL_INTERFACE_HSDIN, "HSD" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngIQOutputDigitalInterface = { 2, RsSMxV_rngIQOutputDigitalInterfaceEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngSystemIdentificationEntries[2] =
  {
    { RSSMXV_VAL_SYSTEM_ID_AUTO, "AUTO" },
    { RSSMXV_VAL_SYSTEM_ID_USER, "USER" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngSystemIdentification = { 2, RsSMxV_rngSystemIdentificationEntries };

RsCoreRangeTableRanged RsSMxV_rngAMFrequency = { 0.1, 100e3, "" };

RsCoreRangeTableRanged RsSMxV_rngAMPeriod = { 100e-9, 100, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngAMShapeEntries[1] =
  {
    { RSSMXV_VAL_AM_SHAPE_SINE, "SINE" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngAMShape = { 1, RsSMxV_rngAMShapeEntries };

RsCoreRangeTableRanged RsSMxV_rngFMDeviation = { 0, 4e6, "" };

RsCoreRangeTableRanged RsSMxV_rngFMFrequency = { 0.1, 107.9e6, "Hz" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngPULMModeEntries[2] =
  {
    { RSSMXV_VAL_PULM_MODE_SINGLE, "SING" },
    { RSSMXV_VAL_PULM_MODE_DOUBLE, "DOUB" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngPULMMode = { 2, RsSMxV_rngPULMModeEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngPULMVideoPolarityEntries[2] =
  {
    { RSSMXV_VAL_PULM_VIDEO_POLARITY_NORMAL, "NORM" },
    { RSSMXV_VAL_PULM_VIDEO_POLARITY_INVERTED, "INV" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngPULMVideoPolarity = { 2, RsSMxV_rngPULMVideoPolarityEntries };

RsCoreRangeTableRanged RsSMxV_rngHSDRFPowerOffset = { -100, 100, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngHSDDirectionEntries[3] =
  {
    { RSSMXV_VAL_HSD_DIRECTION_NONE, "NONE" },
    { RSSMXV_VAL_HSD_DIRECTION_IN, "IN" },
    { RSSMXV_VAL_HSD_DIRECTION_OUT, "OUT" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngHSDDirection = { 3, RsSMxV_rngHSDDirectionEntries };

RsCoreRangeTableRanged RsSMxV_rngHSDRFFrequency = { 100e3, 3e9, "" };

RsCoreRangeTableRanged RsSMxV_rngHSDRFFrequencyOffset = { -3e9, 3e9, "" };

RsCoreRangeTableRanged RsSMxV_rngHSDRFPower = { -130, 20, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngAttenModeEntries[2] =
  {
    { RSSMXV_VAL_ATTEN_MODE_AUTO, "AUTO" },
    { RSSMXV_VAL_ATTEN_MODE_FIXED, "FIX" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngAttenMode = { 2, RsSMxV_rngAttenModeEntries };

RsCoreRangeTableRanged RsSMxV_rngPowerFilterLength = { 1, 65536, "" };

RsCoreRangeTableRanged RsSMxV_rngPowerFilterNSRatio = { 0.001, 1, "" };

RsCoreRangeTableRanged RsSMxV_rngPowerFilterNSRatioTimeout = { 1, 999.99, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngPowerFilterModeEntries[3] =
  {
    { RSSMXV_VAL_SENSE_POWER_FILTER_TYPE_AUTO, "AUTO" },
    { RSSMXV_VAL_SENSE_POWER_FILTER_TYPE_USER, "USER" },
    { RSSMXV_VAL_SENSE_POWER_FILTER_TYPE_NSRATIO, "NSR" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngPowerFilterMode = { 3, RsSMxV_rngPowerFilterModeEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngSweepTriggerSourceEntries[6] =
  {
    { RSSMXV_VAL_SWEEP_TRIGGER_SOURCE_AUTO, "AUTO" },
    { RSSMXV_VAL_SWEEP_TRIGGER_SOURCE_IMMEDIATE, "IMM" },
    { RSSMXV_VAL_SWEEP_TRIGGER_SOURCE_SINGLE, "SING" },
    { RSSMXV_VAL_SWEEP_TRIGGER_SOURCE_BUS, "BUS" },
    { RSSMXV_VAL_SWEEP_TRIGGER_SOURCE_EXTERNAL, "EXT" },
    { RSSMXV_VAL_SWEEP_TRIGGER_SOURCE_EXTERNAL_AUTO, "EAUT" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngSweepTriggerSource = { 6, RsSMxV_rngSweepTriggerSourceEntries };

RsCoreRangeTableRanged RsSMxV_rngControlInputClockLevel = { 0.1, 2, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngInputConnectorSignalEntries[7] =
  {
    { RSSMXV_VAL_INPUT_SIGNAL_TRIG1, "TRIG1" },
    { RSSMXV_VAL_INPUT_SIGNAL_TS, "TS" },
    { RSSMXV_VAL_INPUT_SIGNAL_SPDIF, "SDIF" },
    { RSSMXV_VAL_INPUT_SIGNAL_PPS, "PPS" },
    { RSSMXV_VAL_INPUT_SIGNAL_ETI, "ETI" },
    { RSSMXV_VAL_INPUT_SIGNAL_NSEGM1, "NSEGM1" },
    { RSSMXV_VAL_INPUT_SIGNAL_INST, "INST" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngInputConnectorSignal = { 7, RsSMxV_rngInputConnectorSignalEntries };

RsCoreRangeTableRanged RsSMxV_rngQuadratureAngle = { -10, 10, "Default unit: DEG" };

RsCoreRangeTableRanged RsSMxV_rngBBPhaseOffset = { 0, 359.9, "Default unit: DEG" };

RsCoreRangeTableRanged RsSMxV_rngBBINChannelCrestFactor = { 0, 30, "" };

RsCoreRangeTableRanged RsSMxV_rngBBINChannelPeakLevel = { -60, 3.02, "" };

RsCoreRangeTableRanged RsSMxV_rngBBINChannelRMSLevel = { -100, 10, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngBBINDigitalInterfaceEntries[2] =
  {
    { RSSMXV_VAL_BBIN_DIGITAL_INTERFACE_DIGITAL, "DIG" },
    { RSSMXV_VAL_BBIN_DIGITAL_INTERFACE_HSDIN, "HSD" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngBBINDigitalInterface = { 2, RsSMxV_rngBBINDigitalInterfaceEntries };

RsCoreRangeTableRanged RsSMxV_rngBBINMeasPeriod = { 1, 32, "Default unit: s" };

RsCoreRangeTableRanged RsSMxV_rngBBINPhaseOffset = { -999.99, 999.99, "Default unit: DEG" };

RsCoreRangeTableRanged RsSMxV_rngBBINCrestFactor = { 0, 30, "Default unit: dB" };

RsCoreRangeTableRanged RsSMxV_rngBBINPeakLevel = { -60, 3.02, "Default unit: dBfs" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngBBINSampleSourceEntries[1] =
  {
    { RSSMXV_VAL_BBIN_SAMPLE_SOURCE_HSDIN, "HSD" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngBBINSampleSource = { 1, RsSMxV_rngBBINSampleSourceEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngListDwellTimeModeEntries[2] =
  {
    { RSSMXV_VAL_DWELL_MODE_LIST, "LIST" },
    { RSSMXV_VAL_DWELL_MODE_GLOBAL, "GLOB" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngListDwellTimeMode = { 2, RsSMxV_rngListDwellTimeModeEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngListRunModeEntries[2] =
  {
    { RSSMXV_VAL_LIST_RUN_LEARNED, "LEAR" },
    { RSSMXV_VAL_LIST_RUN_LIVE, "LIVE" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngListRunMode = { 2, RsSMxV_rngListRunModeEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngListTriggerSourceEntries[5] =
  {
    { RSSMXV_VAL_LIST_TRIGGER_SOURCE_AUTO, "AUTO" },
    { RSSMXV_VAL_LIST_TRIGGER_SOURCE_SINGLE, "SING" },
    { RSSMXV_VAL_LIST_TRIGGER_SOURCE_EXTERNAL, "EXT" },
    { RSSMXV_VAL_LIST_TRIGGER_SOURCE_IMMEDIATE, "IMM" },
    { RSSMXV_VAL_LIST_TRIGGER_SOURCE_BUS, "BUS" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngListTriggerSource = { 5, RsSMxV_rngListTriggerSourceEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngSweepModeEntries[3] =
  {
    { RSSMXV_VAL_SWEEP_MODE_AUTO, "AUTO" },
    { RSSMXV_VAL_SWEEP_MODE_MANUAL, "MAN" },
    { RSSMXV_VAL_SWEEP_MODE_STEP, "STEP" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngSweepMode = { 3, RsSMxV_rngSweepModeEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngFrequencySweepSpacingEntries[2] =
  {
    { RSSMXV_VAL_FREQ_SWEEP_SPACING_LINEAR, "LIN" },
    { RSSMXV_VAL_FREQ_SWEEP_SPACING_LOGARITHMIC, "LOG" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngFrequencySweepSpacing = { 2, RsSMxV_rngFrequencySweepSpacingEntries };

RsCoreRangeTableRanged RsSMxV_rngFrequencySweepStepLog = { 0.01, 100, "Default unit: PCT" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngSystemIPAddressModeEntries[2] =
  {
    { RSSMXV_VAL_SYSTEM_COMMUNICATE_IP_MODE_STATIC, "STAT" },
    { RSSMXV_VAL_SYSTEM_COMMUNICATE_IP_MODE_AUTO, "AUTO" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngSystemIPAddressMode = { 2, RsSMxV_rngSystemIPAddressModeEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngBBINSignalRoutingEntries[1] =
  {
    { RSSMXV_VAL_BB_SIGNAL_ROUTING_A, "A" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngBBINSignalRouting = { 1, RsSMxV_rngBBINSignalRoutingEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngBBINModeEntries[1] =
  {
    { RSSMXV_VAL_BBIN_MODE_DIGITAL, "DIG" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngBBINMode = { 1, RsSMxV_rngBBINModeEntries };

RsCoreRangeTableRanged RsSMxV_rngBBINChannelSampleRate = { 400, 250.0e6, "" };

RsCoreRangeTableRanged RsSMxV_rngPCT = { 0, 100, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngCorrectionListModeEntries[2] =
  {
    { RSSMXV_VAL_DEXC_MODE_IMPORT, "IMP" },
    { RSSMXV_VAL_DEXC_MODE_EXPORT, "EXP" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngCorrectionListMode = { 2, RsSMxV_rngCorrectionListModeEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngCorrectionASCIIExtensionEntries[2] =
  {
    { RSSMXV_VAL_DEXC_ASCII_SOURCE_FILE_EXT_TXT, "TXT" },
    { RSSMXV_VAL_DEXC_ASCII_SOURCE_FILE_EXT_CSV, "CSV" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngCorrectionASCIIExtension = { 2, RsSMxV_rngCorrectionASCIIExtensionEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngCorrectionASCIISeparatorEntries[4] =
  {
    { RSSMXV_VAL_DEXC_ASCII_SOURCE_FILE_COLUMN_SEP_TAB, "TAB" },
    { RSSMXV_VAL_DEXC_ASCII_SOURCE_FILE_COLUMN_SEP_SEM, "SEM" },
    { RSSMXV_VAL_DEXC_ASCII_SOURCE_FILE_COLUMN_SEP_COMMA, "COMM" },
    { RSSMXV_VAL_DEXC_ASCII_SOURCE_FILE_COLUMN_SEP_SPACE, "SPAC" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngCorrectionASCIISeparator = { 4, RsSMxV_rngCorrectionASCIISeparatorEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngCorrectionASCIIColumnDecimalSeparatorEntries[2] =
  {
    { RSSMXV_VAL_DEXC_ASCII_SOURCE_FILE_COLUMN_DEC_SEP_DOT, "DOT" },
    { RSSMXV_VAL_DEXC_ASCII_SOURCE_FILE_COLUMN_DEC_SEP_COMMA, "COMM" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngCorrectionASCIIColumnDecimalSeparator = { 2, RsSMxV_rngCorrectionASCIIColumnDecimalSeparatorEntries };

RsCoreRangeTableRanged RsSMxV_rngFrequencySweepDwellTime = { 1e-3, 100, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngFrequencySweepShapeEntries[2] =
  {
    { RSSMXV_VAL_SWEEP_SHAPE_SAW, "SAWT" },
    { RSSMXV_VAL_SWEEP_SHAPE_TRI, "TRI" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngFrequencySweepShape = { 2, RsSMxV_rngFrequencySweepShapeEntries };

RsCoreRangeTableRanged RsSMxV_rngLevelSweepDwellTime_001 = { 10e-3, 100, "" };

RsCoreRangeTableRanged RsSMxV_rngListDwellTime = { 0.5e-3, 100, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngListImportExportListModeEntries[2] =
  {
    { RSSMXV_VAL_DEXC_MODE_IMPORT, "IMP" },
    { RSSMXV_VAL_DEXC_MODE_EXPORT, "EXP" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngListImportExportListMode = { 2, RsSMxV_rngListImportExportListModeEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngCorrectionASCIIDecimalSeparatorEntries[2] =
  {
    { RSSMXV_VAL_DEXC_ASCII_SOURCE_FILE_COLUMN_DEC_SEP_DOT, "DOT" },
    { RSSMXV_VAL_DEXC_ASCII_SOURCE_FILE_COLUMN_DEC_SEP_COMMA, "COMM" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngCorrectionASCIIDecimalSeparator = { 2, RsSMxV_rngCorrectionASCIIDecimalSeparatorEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngBBSignalRoutingEntries[1] =
  {
    { RSSMXV_VAL_BB_SIGNAL_ROUTING_A, "A" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngBBSignalRouting = { 1, RsSMxV_rngBBSignalRoutingEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngPowerUnitEntries[3] =
  {
    { RSSMXV_VAL_SENSE_POWER_UNIT_DBM, "DBM" },
    { RSSMXV_VAL_SENSE_POWER_UNIT_DBUV, "DBUV" },
    { RSSMXV_VAL_SENSE_POWER_UNIT_WATT, "WATT" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngPowerUnit = { 3, RsSMxV_rngPowerUnitEntries };

RsCoreRangeTableRanged RsSMxV_rngPowerOffset = { -100, 100, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngPowerSourceEntries[3] =
  {
    { RSSMXV_VAL_SENSE_POWER_SOURCE_A, "A" },
    { RSSMXV_VAL_SENSE_POWER_SOURCE_USER, "USER" },
    { RSSMXV_VAL_SENSE_POWER_SOURCE_RF, "RF" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngPowerSource = { 3, RsSMxV_rngPowerSourceEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngPowerSensorMappingEntries[5] =
  {
    { RSSMXV_VAL_POWER_SENSOR_MAPPING_SENSOR1, "SENS1" },
    { RSSMXV_VAL_POWER_SENSOR_MAPPING_SENSOR2, "SENS2" },
    { RSSMXV_VAL_POWER_SENSOR_MAPPING_SENSOR3, "SENS3" },
    { RSSMXV_VAL_POWER_SENSOR_MAPPING_SENSOR4, "SENS4" },
    { RSSMXV_VAL_POWER_SENSOR_MAPPING_UNMAPPED, "UNM" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngPowerSensorMapping = { 5, RsSMxV_rngPowerSensorMappingEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngOutputConnectorUserSignalEntries[2] =
  {
    { RSSMXV_VAL_OUTPUT_MARKER_A1, "MARKA1" },
    { RSSMXV_VAL_OUTPUT_NONE, "NONE" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngOutputConnectorUserSignal = { 2, RsSMxV_rngOutputConnectorUserSignalEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngOutputConnectorDirectionEntries[3] =
  {
    { RSSMXV_VAL_OUTPUT_DIRECTION_INPUT, "INP" },
    { RSSMXV_VAL_OUTPUT_DIRECTION_OUTPUT, "OUTP" },
    { RSSMXV_VAL_OUTPUT_DIRECTION_UNUSED, "UNUS" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngOutputConnectorDirection = { 3, RsSMxV_rngOutputConnectorDirectionEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngControlImpedanceEntries[2] =
  {
    { RSSMXV_VAL_INPUT_IMP_G1K, "G1K" },
    { RSSMXV_VAL_INPUT_IMP_G50, "G50" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngControlImpedance = { 2, RsSMxV_rngControlImpedanceEntries };

RsCoreRangeTableRanged RsSMxV_rngIQOutputDigitalChannelSampleRate = { 400, 600e6, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngIQOutputDigitalPowerViaEntries[2] =
  {
    { RSSMXV_VAL_IQ_OUTPUT_DIGITAL_POWER_PEP, "PEP" },
    { RSSMXV_VAL_IQ_OUTPUT_DIGITAL_POWER_LEVEL, "LEV" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngIQOutputDigitalPowerVia = { 2, RsSMxV_rngIQOutputDigitalPowerViaEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngPowerOnStateEntries[2] =
  {
    { RSSMXV_VAL_OUTPUT_STATE_PON_OFF, "OFF" },
    { RSSMXV_VAL_OUTPUT_STATE_PON_UNCH, "UNCH" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngPowerOnState = { 2, RsSMxV_rngPowerOnStateEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngRegisterGroupEntries[2] =
  {
    { RSSMXV_VAL_REGISTER_OPERATION, "OPER" },
    { RSSMXV_VAL_REGISTER_QUESTIONABLE, "QUES" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngRegisterGroup = { 2, RsSMxV_rngRegisterGroupEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngRegisterTypeEntries[5] =
  {
    { RSSMXV_VAL_REGISTER_CONDITION, "COND" },
    { RSSMXV_VAL_REGISTER_EVENT, "EVEN" },
    { RSSMXV_VAL_REGISTER_ENABLE, "ENAB" },
    { RSSMXV_VAL_REGISTER_NTR, "NTR" },
    { RSSMXV_VAL_REGISTER_PTR, "PTR" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngRegisterType = { 5, RsSMxV_rngRegisterTypeEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngAudioSignalSourceEntries[4] =
  {
    { RSSMXV_VAL_AUDIO_SOURCE_EXTERNAL, "EXT" },
    { RSSMXV_VAL_AUDIO_SOURCE_GENERATOR, "AGEN" },
    { RSSMXV_VAL_AUDIO_SOURCE_PLAYER, "APL" },
    { RSSMXV_VAL_AUDIO_SOURCE_OFF, "OFF" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngAudioSignalSource = { 4, RsSMxV_rngAudioSignalSourceEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngAMAudioExternalSourceEntries[1] =
  {
    { RSSMXV_VAL_AUDIO_SOURCE_EXTERNAL_SPDIF, "SPD" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngAMAudioExternalSource = { 1, RsSMxV_rngAMAudioExternalSourceEntries };

RsCoreRangeTableRanged RsSMxV_rngAudioGeneratorLevel = { -60, 12, "dBu" };

RsCoreRangeTableRanged RsSMxV_rngAudioGeneratorFrequency = { 30, 15e3, "Hz" };

RsCoreRangeTableRanged RsSMxV_rngAudioPlayerAttenuation = { 0, 30, "dB" };

RsCoreRangeTableRanged RsSMxV_rngPctReal64 = { 0, 100, "%" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngFMAudioExternalSourceEntries[1] =
  {
    { RSSMXV_VAL_AUDIO_SOURCE_EXTERNAL_SPDIF, "SPD" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngFMAudioExternalSource = { 1, RsSMxV_rngFMAudioExternalSourceEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngStereoAudioModeEntries[5] =
  {
    { RSSMXV_VAL_STEREO_AUDIO_MODE_LEFT, "LEFT" },
    { RSSMXV_VAL_STEREO_AUDIO_MODE_RIGHT, "RIGH" },
    { RSSMXV_VAL_STEREO_AUDIO_MODE_ST_LR, "REL" },
    { RSSMXV_VAL_STEREO_AUDIO_MODE_ST_LNR, "REML" },
    { RSSMXV_VAL_STEREO_AUDIO_MODE_ST_TRUE, "RNEL" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngStereoAudioMode = { 5, RsSMxV_rngStereoAudioModeEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngFMAudioModulationModeEntries[2] =
  {
    { RSSMXV_VAL_FM_MODULATION_MODE_MONO, "MONO" },
    { RSSMXV_VAL_FM_MODULATION_MODE_STEREO, "STER" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngFMAudioModulationMode = { 2, RsSMxV_rngFMAudioModulationModeEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngFMAudioModulationPreemphasisEntries[3] =
  {
    { RSSMXV_VAL_FM_AUDIO_PREEMPHASIS_OFF, "OFF" },
    { RSSMXV_VAL_FM_AUDIO_PREEMPHASIS_D50, "D50" },
    { RSSMXV_VAL_FM_AUDIO_PREEMPHASIS_D75, "D75" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngFMAudioModulationPreemphasis = { 3, RsSMxV_rngFMAudioModulationPreemphasisEntries };

RsCoreRangeTableRanged RsSMxV_rngFMNominalDeviation = { 0, 100e3, "kHz" };

RsCoreRangeTableRanged RsSMxV_rngFMActualDeviation = { 0, RS_VAL_MAX_REAL64, "Hz" };

RsCoreRangeTableRanged RsSMxV_rngFMPilotDeviation = { 0, 15000, "Hz" };

RsCoreRangeTableRanged RsSMxV_rngFMDataDeviation = { 0, 10e3, "Hz" };

RsCoreRangeTableRanged RsSMxV_rng16bit = { 0, 65535, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngRDSProgramTypeEntries[32] =
  {
    { RSSMXV_VAL_RDS_PROGRAM_NONE, "0" },
    { RSSMXV_VAL_RDS_PROGRAM_NEWS, "1" },
    { RSSMXV_VAL_RDS_PROGRAM_CURRENT_AFFAIRS, "2" },
    { RSSMXV_VAL_RDS_PROGRAM_INFORMATION, "3" },
    { RSSMXV_VAL_RDS_PROGRAM_SPORT, "4" },
    { RSSMXV_VAL_RDS_PROGRAM_EDUCATION, "5" },
    { RSSMXV_VAL_RDS_PROGRAM_DRAMA, "6" },
    { RSSMXV_VAL_RDS_PROGRAM_CULTURE, "7" },
    { RSSMXV_VAL_RDS_PROGRAM_SCIENCE, "8" },
    { RSSMXV_VAL_RDS_PROGRAM_VARIED, "9" },
    { RSSMXV_VAL_RDS_PROGRAM_POP_MUSIC, "10" },
    { RSSMXV_VAL_RDS_PROGRAM_ROCK_MUSIC, "11" },
    { RSSMXV_VAL_RDS_PROGRAM_EASY_LISTENING, "12" },
    { RSSMXV_VAL_RDS_PROGRAM_LIGHT_CLASSICAL, "13" },
    { RSSMXV_VAL_RDS_PROGRAM_SERIOUS_CLASSICAL, "14" },
    { RSSMXV_VAL_RDS_PROGRAM_OTHER_MUSIC, "15" },
    { RSSMXV_VAL_RDS_PROGRAM_WEATHER, "16" },
    { RSSMXV_VAL_RDS_PROGRAM_FINANCE, "17" },
    { RSSMXV_VAL_RDS_PROGRAM_CHILDREN, "18" },
    { RSSMXV_VAL_RDS_PROGRAM_SOCIAL, "19" },
    { RSSMXV_VAL_RDS_PROGRAM_RELIGION, "20" },
    { RSSMXV_VAL_RDS_PROGRAM_PHONE_IN, "21" },
    { RSSMXV_VAL_RDS_PROGRAM_TRAVEL, "22" },
    { RSSMXV_VAL_RDS_PROGRAM_LEISURE, "23" },
    { RSSMXV_VAL_RDS_PROGRAM_JAZZ_MUSIC, "24" },
    { RSSMXV_VAL_RDS_PROGRAM_COUNTRY_MUSIC, "25" },
    { RSSMXV_VAL_RDS_PROGRAM_NATIONAL_MUSIC, "26" },
    { RSSMXV_VAL_RDS_PROGRAM_OLDIES_MUSIC, "27" },
    { RSSMXV_VAL_RDS_PROGRAM_FOLK_MUSIC, "28" },
    { RSSMXV_VAL_RDS_PROGRAM_DOCUMENTARY, "29" },
    { RSSMXV_VAL_RDS_PROGRAM_ALARM_TEST, "30" },
    { RSSMXV_VAL_RDS_PROGRAM_ALARM, "31" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngRDSProgramType = { 32, RsSMxV_rngRDSProgramTypeEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngRDSMSFlagEntries[2] =
  {
    { RSSMXV_VAL_FM_AUDIO_RDS_MUSIC, "MUS" },
    { RSSMXV_VAL_FM_AUDIO_RDS_SPEECH, "SPE" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngRDSMSFlag = { 2, RsSMxV_rngRDSMSFlagEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDIStereoDecoderEntries[2] =
  {
    { RSSMXV_VAL_RDS_DI_DECODER_MONO, "0" },
    { RSSMXV_VAL_RDS_DI_DECODER_STEREO, "1" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDIStereoDecoder = { 2, RsSMxV_rngDIStereoDecoderEntries };

RsCoreRangeTableRanged RsSMxV_rngRDSClockOffset = { 0, 36000000, "s" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngRDSAFMethodEntries[2] =
  {
    { RSSMXV_VAL_RDS_AF_METHOD_A, "A" },
    { RSSMXV_VAL_RDS_AF_METHOD_B, "B" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngRDSAFMethod = { 2, RsSMxV_rngRDSAFMethodEntries };

RsCoreRangeTableRanged RsSMxV_rngAFAFreqCount = { 0, 25, "" };

RsCoreRangeTableRanged RsSMxV_rngAFListFreqCount = { 0, 12, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngAFListEntryOrderEntries[2] =
  {
    { RSSMXV_VAL_RDS_AF_ORDER_ASCENDING, "ASC" },
    { RSSMXV_VAL_RDS_AF_ORDER_DESCENDING, "DESC" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngAFListEntryOrder = { 2, RsSMxV_rngAFListEntryOrderEntries };

RsCoreRangeTableRanged RsSMxV_rng12bit = { 0, 4095, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngEONAFMethodEntries[2] =
  {
    { RSSMXV_VAL_EON_AF_METHOD_A, "A" },
    { RSSMXV_VAL_EON_AF_METHOD_MAPF, "MAPF" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngEONAFMethod = { 2, RsSMxV_rngEONAFMethodEntries };

RsCoreRangeTableRanged RsSMxV_rngAFMapFreqCount = { 0, 4, "" };

RsCoreRangeTableRanged RsSMxV_rngTMCGroup8ACount = { 1, 6, "" };

RsCoreRangeTableRanged RsSMxV_rng5bit = { 0, 31, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDARCInformationEntries[3] =
  {
    { RSSMXV_VAL_DARC_INFORMATION_OFF, "OFF" },
    { RSSMXV_VAL_DARC_INFORMATION_PRBS, "PRBS" },
    { RSSMXV_VAL_DARC_INFORMATION_DATA, "DAT" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDARCInformation = { 3, RsSMxV_rngDARCInformationEntries };

RsCoreRangeTableRanged RsSMxV_rng180phase = { -180, 180, "degrees" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngBroadcastInputSourceEntries[3] =
  {
    { RSSMXV_VAL_INPUT_SOURCE_EXTERNAL, "EXT" },
    { RSSMXV_VAL_INPUT_SOURCE_TS_PLAYER, "TSPL" },
    { RSSMXV_VAL_INPUT_SOURCE_TEST_SIGNAL, "TEST" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngBroadcastInputSource = { 3, RsSMxV_rngBroadcastInputSourceEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngTDMBInputEntries[2] =
  {
    { RSSMXV_VAL_PROTOCOL_TS, "TS" },
    { RSSMXV_VAL_PROTOCOL_IP, "IP" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngTDMBInput = { 2, RsSMxV_rngTDMBInputEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngTDMBInputFormatEntries[1] =
  {
    { RSSMXV_VAL_INPUT_FORMAT_ETI, "ETI" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngTDMBInputFormat = { 1, RsSMxV_rngTDMBInputFormatEntries };

RsCoreRangeTableRanged RsSMxV_rngIPTSChannel = { 1, 4, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngTDMBETISignalTypeEntries[4] =
  {
    { RSSMXV_VAL_TDMB_ETI_SIGNAL_INVALID, "INV" },
    { RSSMXV_VAL_TDMB_ETI_SIGNAL_ENI, "ENI" },
    { RSSMXV_VAL_TDMB_ETI_SIGNAL_E559, "E559" },
    { RSSMXV_VAL_TDMB_ETI_SIGNAL_E537, "E537" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngTDMBETISignalType = { 4, RsSMxV_rngTDMBETISignalTypeEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngTDMBModeIdentityEntries[5] =
  {
    { RSSMXV_VAL_TDMB_TRANSMISSION_MODE_INVALID, "0" },
    { RSSMXV_VAL_TDMB_TRANSMISSION_MODE_ONE, "1" },
    { RSSMXV_VAL_TDMB_TRANSMISSION_MODE_TWO, "2" },
    { RSSMXV_VAL_TDMB_TRANSMISSION_MODE_THREE, "3" },
    { RSSMXV_VAL_TDMB_TRANSMISSION_MODE_FOUR, "4" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngTDMBModeIdentity = { 5, RsSMxV_rngTDMBModeIdentityEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngETIProtectionProfileEntries[2] =
  {
    { RSSMXV_VAL_ETI_PROTECTION_PROFILE_UNEQUAL, "UEP" },
    { RSSMXV_VAL_ETI_PROTECTION_PROFILE_EQUAL, "EEP" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngETIProtectionProfile = { 2, RsSMxV_rngETIProtectionProfileEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngETIProtectionLevelEntries[14] =
  {
    { RSSMXV_VAL_ETI_PROTECTION_LEVEL_UNDEFINED, "UND" },
    { RSSMXV_VAL_ETI_PROTECTION_LEVEL_EP1A, "EP1A" },
    { TSSMXV_VAL_ETI_PROTECTION_LEVEL_EP2A, "EP2A" },
    { TSSMXV_VAL_ETI_PROTECTION_LEVEL_EP3A, "EP3A" },
    { TSSMXV_VAL_ETI_PROTECTION_LEVEL_EP4A, "EP4A" },
    { RSSMXV_VAL_ETI_PROTECTION_LEVEL_EP1B, "EP1B" },
    { TSSMXV_VAL_ETI_PROTECTION_LEVEL_EP2B, "EP2B" },
    { TSSMXV_VAL_ETI_PROTECTION_LEVEL_EP3B, "EP3B" },
    { TSSMXV_VAL_ETI_PROTECTION_LEVEL_EP4B, "EP4B" },
    { TSSMXV_VAL_ETI_PROTECTION_LEVEL_UP1, "UP1" },
    { TSSMXV_VAL_ETI_PROTECTION_LEVEL_UP2, "UP2" },
    { TSSMXV_VAL_ETI_PROTECTION_LEVEL_UP3, "UP3" },
    { TSSMXV_VAL_ETI_PROTECTION_LEVEL_UP4, "UP4" },
    { TSSMXV_VAL_ETI_PROTECTION_LEVEL_UP5, "UP5" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngETIProtectionLevel = { 14, RsSMxV_rngETIProtectionLevelEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngNetworkFrequencyModeEntries[2] =
  {
    { RSSMXV_VAL_NETWORK_MODE_MULTI_FREQ, "MFN" },
    { RSSMXV_VAL_NETWORK_MODE_SINGLE_FREQ, "SFN" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngNetworkFrequencyMode = { 2, RsSMxV_rngNetworkFrequencyModeEntries };

RsCoreRangeTableRanged RsSMxV_rngTIIMainID = { 0, 69, "" };

RsCoreRangeTableRanged RsSMxV_rngTIISubID = { 1, 23, "" };

RsCoreRangeTableRanged RsSMxV_rngSFNDelayStatic = { -1, 1, "s" };

RsCoreRangeTableRanged RsSMxV_rngSFNTxDelay = { 0, 1, "s" };

RsCoreRangeTableRanged RsSMxV_rngSFNMaxDeviationTime = { 1e-6, 500e-6, "s" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngTDMBSpecialTransmissionModeEntries[2] =
  {
    { RSSMXV_VAL_TDMB_SPECIAL_TRANSMISSION_MODE_MID, "MID" },
    { RSSMXV_VAL_TDMB_SPECIAL_TRANSMISSION_MODE_MANUAL, "MAN" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngTDMBSpecialTransmissionMode = { 2, RsSMxV_rngTDMBSpecialTransmissionModeEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngTDMBTransmissionModeEntries[4] =
  {
    { RSSMXV_VAL_TDMB_TRANSMISSION_MODE_ONE, "1" },
    { RSSMXV_VAL_TDMB_TRANSMISSION_MODE_TWO, "2" },
    { RSSMXV_VAL_TDMB_TRANSMISSION_MODE_THREE, "3" },
    { RSSMXV_VAL_TDMB_TRANSMISSION_MODE_FOUR, "4" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngTDMBTransmissionMode = { 4, RsSMxV_rngTDMBTransmissionModeEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDRMInputSourceEntries[2] =
  {
    { RSSMXV_VAL_DRM_INPUT_SOURCE_EXTERNAL, "EXT" },
    { RSSMXV_VAL_DRM_INPUT_SOURCE_FILE, "FILE" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDRMInputSource = { 2, RsSMxV_rngDRMInputSourceEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDRMInputAudioServicesNumberDFAEntries[6] =
  {
    { RSSMXV_VAL_DRM_INPUT_AUDIO_NUMER_ZERO, "0" },
    { RSSMXV_VAL_DRM_INPUT_AUDIO_NUMER_ONE, "1" },
    { RSSMXV_VAL_DRM_INPUT_AUDIO_NUMER_TWO, "2" },
    { RSSMXV_VAL_DRM_INPUT_AUDIO_NUMER_THREE, "3" },
    { RSSMXV_VAL_DRM_INPUT_AUDIO_NUMER_FOUR, "4" },
    { RSSMXV_VAL_DRM_INPUT_AUDIO_NUMER_INVALID, "---" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDRMInputAudioServicesNumberDFA = { 6, RsSMxV_rngDRMInputAudioServicesNumberDFAEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDRMInputDataServicesNumberEntries[6] =
  {
    { RSSMXV_VAL_DRM_INPUT_DATA_NUMER_ZERO, "0" },
    { RSSMXV_VAL_DRM_INPUT_DATA_NUMER_ONE, "1" },
    { RSSMXV_VAL_DRM_INPUT_DATA_NUMER_TWO, "2" },
    { RSSMXV_VAL_DRM_INPUT_DATA_NUMER_THREE, "3" },
    { RSSMXV_VAL_DRM_INPUT_DATA_NUMER_FOUR, "4" },
    { RSSMXV_VAL_DRM_INPUT_DATA_NUMER_INVALID, "---" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDRMInputDataServicesNumber = { 6, RsSMxV_rngDRMInputDataServicesNumberEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDRMInputLayerTypeEntries[3] =
  {
    { RSSMXV_VAL_DRM_INPUT_LAYER_TYPE_INVALID, "---" },
    { RSSMXV_VAL_DRM_INPUT_LAYER_TYPE_BASE, "BASE" },
    { RSSMXV_VAL_DRM_INPUT_LAYER_TYPE_ENHANCEMENT, "ENH" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDRMInputLayerType = { 3, RsSMxV_rngDRMInputLayerTypeEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDRMCodingRobustnessModeEntries[6] =
  {
    { RSSMXV_VAL_DRM_CODING_ROBUSTNESS_MODE_INVALID, "---" },
    { RSSMXV_VAL_DRM_CODING_ROBUSTNESS_MODE_A, "A" },
    { RSSMXV_VAL_DRM_CODING_ROBUSTNESS_MODE_B, "B" },
    { RSSMXV_VAL_DRM_CODING_ROBUSTNESS_MODE_C, "C" },
    { RSSMXV_VAL_DRM_CODING_ROBUSTNESS_MODE_D, "D" },
    { RSSMXV_VAL_DRM_CODING_ROBUSTNESS_MODE_E, "E" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDRMCodingRobustnessMode = { 6, RsSMxV_rngDRMCodingRobustnessModeEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDRMCodingConstellationMSCEntries[6] =
  {
    { RSSMXV_VAL_DRM_CODING_CONSTELLATION_MSC_INVALID, "---" },
    { RSSMXV_VAL_DRM_CODING_CONSTELLATION_MSC_Q64N, "Q64N" },
    { RSSMXV_VAL_DRM_CODING_CONSTELLATION_MSC_Q64I, "Q64I" },
    { RSSMXV_VAL_DRM_CODING_CONSTELLATION_MSC_Q64Q, "Q64Q" },
    { RSSMXV_VAL_DRM_CODING_CONSTELLATION_MSC_Q16, "Q16" },
    { RSSMXV_VAL_DRM_CODING_CONSTELLATION_MSC_Q4, "Q4" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDRMCodingConstellationMSC = { 6, RsSMxV_rngDRMCodingConstellationMSCEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDRMCodingConstellationSDCEntries[3] =
  {
    { RSSMXV_VAL_DRM_CODING_CONSTELLATION_SDC_INVALID, "---" },
    { RSSMXV_VAL_DRM_CODING_CONSTELLATION_SDC_Q16, "Q16" },
    { RSSMXV_VAL_DRM_CODING_CONSTELLATION_SDC_Q4, "Q4" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDRMCodingConstellationSDC = { 3, RsSMxV_rngDRMCodingConstellationSDCEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDRMCodingInterleaverDepthEntries[4] =
  {
    { RSSMXV_VAL_DRM_CODING_INTERLEAVER_DEPTH_INVALID, "---" },
    { RSSMXV_VAL_DRM_CODING_INTERLEAVER_DEPTH_MS4, "MS4" },
    { RSSMXV_VAL_DRM_CODING_INTERLEAVER_DEPTH_MS6, "MS6" },
    { RSSMXV_VAL_DRM_CODING_INTERLEAVER_DEPTH_S2, "S2" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDRMCodingInterleaverDepth = { 4, RsSMxV_rngDRMCodingInterleaverDepthEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDRMCodingChannelBandwidthEntries[8] =
  {
    { RSSMXV_VAL_DRM_CODING_CHANNEL_BANDWIDTH_INVALID, "INV" },
    { RSSMXV_VAL_DRM_CODING_CHANNEL_BANDWIDTH_K045, "K045" },
    { RSSMXV_VAL_DRM_CODING_CHANNEL_BANDWIDTH_K05, "K05" },
    { RSSMXV_VAL_DRM_CODING_CHANNEL_BANDWIDTH_K09, "K09" },
    { RSSMXV_VAL_DRM_CODING_CHANNEL_BANDWIDTH_K10, "K10" },
    { RSSMXV_VAL_DRM_CODING_CHANNEL_BANDWIDTH_K18, "K18" },
    { RSSMXV_VAL_DRM_CODING_CHANNEL_BANDWIDTH_K20, "K20" },
    { RSSMXV_VAL_DRM_CODING_CHANNEL_BANDWIDTH_K100, "K100" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDRMCodingChannelBandwidth = { 8, RsSMxV_rngDRMCodingChannelBandwidthEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDRMCodeRateSDCProtectionProfileEntries[2] =
  {
    { RSSMXV_VAL_DRM_CODE_RATE_PROTECTION_PROFILE_SDC_INV, "---" },
    { RSSMXV_VAL_DRM_CODE_RATE_PROTECTION_PROFILE_SDC_EEP, "EEP" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDRMCodeRateSDCProtectionProfile = { 2, RsSMxV_rngDRMCodeRateSDCProtectionProfileEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDRMCodeRateSDCProtectionLevelEntries[3] =
  {
    { RSSMXV_VAL_DRM_CODE_RATE_PROTECTION_LEVEL_SDC_ZERO, "0" },
    { RSSMXV_VAL_DRM_CODE_RATE_PROTECTION_LEVEL_SDC_ONE, "1" },
    { RSSMXV_VAL_DRM_CODE_RATE_PROTECTION_LEVEL_SDC_INVALID, "---" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDRMCodeRateSDCProtectionLevel = { 3, RsSMxV_rngDRMCodeRateSDCProtectionLevelEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDRMSDCCodeRateEntries[17] =
  {
    { RSSMXV_VAL_DRM_CODE_RATE_INVALID, "---" },
    { RSSMXV_VAL_DRM_CODE_RATE_R025, "R025" },
    { RSSMXV_VAL_DRM_CODE_RATE_R033, "R033" },
    { RSSMXV_VAL_DRM_CODE_RATE_R040, "R040" },
    { RSSMXV_VAL_DRM_CODE_RATE_R041, "R041" },
    { RSSMXV_VAL_DRM_CODE_RATE_R045, "R045" },
    { RSSMXV_VAL_DRM_CODE_RATE_R048, "R048" },
    { RSSMXV_VAL_DRM_CODE_RATE_R050, "R050" },
    { RSSMXV_VAL_DRM_CODE_RATE_R055, "R055" },
    { RSSMXV_VAL_DRM_CODE_RATE_R057, "R057" },
    { RSSMXV_VAL_DRM_CODE_RATE_R058, "R058" },
    { RSSMXV_VAL_DRM_CODE_RATE_R060, "R060" },
    { RSSMXV_VAL_DRM_CODE_RATE_R062, "R062" },
    { RSSMXV_VAL_DRM_CODE_RATE_R066, "R066" },
    { RSSMXV_VAL_DRM_CODE_RATE_R071, "R071" },
    { RSSMXV_VAL_DRM_CODE_RATE_R072, "R072" },
    { RSSMXV_VAL_DRM_CODE_RATE_R078, "R078" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDRMSDCCodeRate = { 17, RsSMxV_rngDRMSDCCodeRateEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDRMCodeRateMSCProtectionProfileEntries[4] =
  {
    { RSSMXV_DRM_CODING_MSC_PROTECTION_PROFILE_INVALID, "---" },
    { RSSMXV_DRM_CODING_MSC_PROTECTION_PROFILE_HPP, "HPP" },
    { RSSMXV_DRM_CODING_MSC_PROTECTION_PROFILE_LPP, "LPP" },
    { RSSMXV_DRM_CODING_MSC_PROTECTION_PROFILE_VSPP, "VSPP" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDRMCodeRateMSCProtectionProfile = { 4, RsSMxV_rngDRMCodeRateMSCProtectionProfileEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDRMCodeRateMSCProtectionLevelEntries[5] =
  {
    { RSSMXV_VAL_DRM_CODING_MSC_PROTECTION_LEVELS_ZERO, "0" },
    { RSSMXV_VAL_DRM_CODING_MSC_PROTECTION_LEVELS_ONE, "1" },
    { RSSMXV_VAL_DRM_CODING_MSC_PROTECTION_LEVELS_TWO, "2" },
    { RSSMXV_VAL_DRM_CODING_MSC_PROTECTION_LEVELS_THREE, "3" },
    { RSSMXV_VAL_DRM_CODING_MSC_PROTECTION_LEVELS_INVALID, "---" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDRMCodeRateMSCProtectionLevel = { 5, RsSMxV_rngDRMCodeRateMSCProtectionLevelEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDRMMSCCodeRateEntries[17] =
  {
    { RSSMXV_VAL_DRM_CODE_RATE_INVALID, "---" },
    { RSSMXV_VAL_DRM_CODE_RATE_R025, "R025" },
    { RSSMXV_VAL_DRM_CODE_RATE_R033, "R033" },
    { RSSMXV_VAL_DRM_CODE_RATE_R040, "R040" },
    { RSSMXV_VAL_DRM_CODE_RATE_R041, "R041" },
    { RSSMXV_VAL_DRM_CODE_RATE_R045, "R045" },
    { RSSMXV_VAL_DRM_CODE_RATE_R048, "R048" },
    { RSSMXV_VAL_DRM_CODE_RATE_R050, "R050" },
    { RSSMXV_VAL_DRM_CODE_RATE_R055, "R055" },
    { RSSMXV_VAL_DRM_CODE_RATE_R057, "R057" },
    { RSSMXV_VAL_DRM_CODE_RATE_R058, "R058" },
    { RSSMXV_VAL_DRM_CODE_RATE_R060, "R060" },
    { RSSMXV_VAL_DRM_CODE_RATE_R062, "R062" },
    { RSSMXV_VAL_DRM_CODE_RATE_R066, "R066" },
    { RSSMXV_VAL_DRM_CODE_RATE_R071, "R071" },
    { RSSMXV_VAL_DRM_CODE_RATE_R072, "R072" },
    { RSSMXV_VAL_DRM_CODE_RATE_R078, "R078" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDRMMSCCodeRate = { 17, RsSMxV_rngDRMMSCCodeRateEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngATSCVSBFrequencyEntries[2] =
  {
    { RSSMXV_VAL_ATSCMH_VSB_FREQUENCY_PILOT, "PIL" },
    { RSSMXV_VAL_ATSCMH_VSB_FREQUENCY_CENTER, "CENT" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngATSCVSBFrequency = { 2, RsSMxV_rngATSCVSBFrequencyEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngATSCMHExternalInputEntries[2] =
  {
    { RSSMXV_VAL_PROTOCOL_TS, "TS" },
    { RSSMXV_VAL_PROTOCOL_IP, "IP" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngATSCMHExternalInput = { 2, RsSMxV_rngATSCMHExternalInputEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngATSCMHInputFormatEntries[2] =
  {
    { RSSMXV_VAL_ATSCMH_INPUT_FORMAT_ASI, "ASI" },
    { RSSMXV_VAL_ATSCMH_INPUT_FORMAT_SMPTE, "SMPTE" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngATSCMHInputFormat = { 2, RsSMxV_rngATSCMHInputFormatEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngATSCMHPacketLengthEntries[3] =
  {
    { RSSMXV_VAL_PACKET_LENGTH_INVALID, "INV" },
    { RSSMXV_VAL_PACKET_LENGTH_188, "P188" },
    { RSSMXV_VAL_PACKET_LENGTH_208, "P208" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngATSCMHPacketLength = { 3, RsSMxV_rngATSCMHPacketLengthEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngATSCMHTestSignalEntries[4] =
  {
    { RSSMXV_VAL_ATSCMH_TEST_SIGNAL_TEST_TS_PACKET, "TTSP" },
    { RSSMXV_VAL_ATSCMH_TEST_SIGNAL_PRBS_INTERLEAVER, "PBIN" },
    { RSSMXV_VAL_ATSCMH_TEST_SIGNAL_PRBS_TRELLIS, "PBET" },
    { RSSMXV_VAL_ATSCMH_TEST_SIGNAL_PRBS_MAPPER, "PBEM" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngATSCMHTestSignal = { 4, RsSMxV_rngATSCMHTestSignalEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngTestTSPacketStructureEntries[2] =
  {
    { RSSMXV_VAL_TS_PACKET_H184, "H184" },
    { RSSMXV_VAL_TS_PACKET_S187, "S187" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngTestTSPacketStructure = { 2, RsSMxV_rngTestTSPacketStructureEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngTestPIDPacketEntries[2] =
  {
    { RSSMXV_VAL_PID_TEST_PACKET_NULL, "NULL" },
    { RSSMXV_VAL_PID_TEST_PACKET_VARIABLE, "VAR" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngTestPIDPacket = { 2, RsSMxV_rngTestPIDPacketEntries };

RsCoreRangeTableRanged RsSMxV_rng13bit = { 0, 8191, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngTestSignalPayloadEntries[3] =
  {
    { RSSMXV_VAL_TEST_SIGNAL_PAYLOAD_PRBS, "PRBS" },
    { RSSMXV_VAL_TEST_SIGNAL_PAYLOAD_HFF, "HFF" },
    { RSSMXV_VAL_TEST_SIGNAL_PAYLOAD_H00, "H00" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngTestSignalPayload = { 3, RsSMxV_rngTestSignalPayloadEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngPRBSSequenceEntries[2] =
  {
    { RSSMXV_VAL_PRBS_SEQUENCE_15, "P15_1" },
    { RSSMXV_VAL_PRBS_SEQUENCE_23, "P23_1" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngPRBSSequence = { 2, RsSMxV_rngPRBSSequenceEntries };

RsCoreRangeTableRanged RsSMxV_rngATSCMHSymbolRate = { 10224126, 11300350, "Symbols/second" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngATSCMHConstellationEntries[1] =
  {
    { RSSMXV_VAL_ATSCMH_CONSTELLATION_VSB8, "VSB8" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngATSCMHConstellation = { 1, RsSMxV_rngATSCMHConstellationEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngATSCMHRollOffEntries[1] =
  {
    { RSSMXV_VAL_ATSCMH_ROLL_OFF_R115, "R115" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngATSCMHRollOff = { 1, RsSMxV_rngATSCMHRollOffEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngATSCMHBuryRatioEntries[7] =
  {
    { RSSMXV_VAL_ATSCMH_BURY_RATIO_DB21, "DB21" },
    { RSSMXV_VAL_ATSCMH_BURY_RATIO_DB24, "DB24" },
    { RSSMXV_VAL_ATSCMH_BURY_RATIO_DB27, "DB27" },
    { RSSMXV_VAL_ATSCMH_BURY_RATIO_DB30, "DB30" },
    { RSSMXV_VAL_ATSCMH_BURY_RATIO_DB33, "DB33" },
    { RSSMXV_VAL_ATSCMH_BURY_RATIO_DB36, "DB36" },
    { RSSMXV_VAL_ATSCMH_BURY_RATIO_DB39, "DB39" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngATSCMHBuryRatio = { 7, RsSMxV_rngATSCMHBuryRatioEntries };

RsCoreRangeTableRanged RsSMxV_rng9bit = { 0, 511, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngATSC3InputTypeEntries[2] =
  {
    { RSSMXV_VAL_PROTOCOL_TS, "TS" },
    { RSSMXV_VAL_PROTOCOL_IP, "IP" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngATSC3InputType = { 2, RsSMxV_rngATSC3InputTypeEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngATSC3PLPPacketLengthEntries[2] =
  {
    { RSSMXV_VAL_PACKET_LENGTH_INVALID, "INV" },
    { RSSMXV_VAL_PACKET_LENGTH_188, "P188" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngATSC3PLPPacketLength = { 2, RsSMxV_rngATSC3PLPPacketLengthEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngATSC3TestSignalEntries[2] =
  {
    { RSSMXV_VAL_ATSC3_TEST_SIGNAL_TS_PACKETS, "TTSP" },
    { RSSMXV_VAL_ATSC3_TEST_SIGNAL_IP_PACKETS, "TIPP" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngATSC3TestSignal = { 2, RsSMxV_rngATSC3TestSignalEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngTestIPPacketStructureEntries[1] =
  {
    { RSSMXV_VAL_IP_PACKET_HUDP, "HUDP" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngTestIPPacketStructure = { 1, RsSMxV_rngTestIPPacketStructureEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngATSC3ALPEncapsulationEntries[2] =
  {
    { RSSMXV_VAL_PROTOCOL_TS, "TS" },
    { RSSMXV_VAL_PROTOCOL_IP, "IP" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngATSC3ALPEncapsulation = { 2, RsSMxV_rngATSC3ALPEncapsulationEntries };

RsCoreRangeTableRanged RsSMxV_rng6bit = { 0, 63, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngATSC3PLPLDMLayerEntries[2] =
  {
    { RSSMXV_VAL_LAYER_DIVISION_MULTIPLEXING_CORE, "CORE" },
    { RSSMXV_VAL_LAYER_DIVISION_MULTIPLEXING_ENHANCED, "ENH" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngATSC3PLPLDMLayer = { 2, RsSMxV_rngATSC3PLPLDMLayerEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngATSC3LDMInjectionLevelEntries[31] =
  {
    { RSSMXV_LDM_INJECTION_LEVEL_0_0DB, "L00" },
    { RSSMXV_LDM_INJECTION_LEVEL_0_5DB, "L05" },
    { RSSMXV_LDM_INJECTION_LEVEL_1_0DB, "L10" },
    { RSSMXV_LDM_INJECTION_LEVEL_1_5DB, "L15" },
    { RSSMXV_LDM_INJECTION_LEVEL_2_0DB, "L20" },
    { RSSMXV_LDM_INJECTION_LEVEL_2_5DB, "L25" },
    { RSSMXV_LDM_INJECTION_LEVEL_3_0DB, "L30" },
    { RSSMXV_LDM_INJECTION_LEVEL_3_5DB, "L35" },
    { RSSMXV_LDM_INJECTION_LEVEL_4_0DB, "L40" },
    { RSSMXV_LDM_INJECTION_LEVEL_4_5DB, "L45" },
    { RSSMXV_LDM_INJECTION_LEVEL_5_0DB, "L50" },
    { RSSMXV_LDM_INJECTION_LEVEL_6_0DB, "L60" },
    { RSSMXV_LDM_INJECTION_LEVEL_7_0DB, "L70" },
    { RSSMXV_LDM_INJECTION_LEVEL_8_0DB, "L80" },
    { RSSMXV_LDM_INJECTION_LEVEL_9_0DB, "L90" },
    { RSSMXV_LDM_INJECTION_LEVEL_10_0DB, "L100" },
    { RSSMXV_LDM_INJECTION_LEVEL_11_0DB, "L110" },
    { RSSMXV_LDM_INJECTION_LEVEL_12_0DB, "L120" },
    { RSSMXV_LDM_INJECTION_LEVEL_13_0DB, "L130" },
    { RSSMXV_LDM_INJECTION_LEVEL_14_0DB, "L140" },
    { RSSMXV_LDM_INJECTION_LEVEL_15_0DB, "L150" },
    { RSSMXV_LDM_INJECTION_LEVEL_16_0DB, "L160" },
    { RSSMXV_LDM_INJECTION_LEVEL_17_0DB, "L170" },
    { RSSMXV_LDM_INJECTION_LEVEL_18_0DB, "L180" },
    { RSSMXV_LDM_INJECTION_LEVEL_19_0DB, "L190" },
    { RSSMXV_LDM_INJECTION_LEVEL_20_0DB, "L200" },
    { RSSMXV_LDM_INJECTION_LEVEL_21_0DB, "L210" },
    { RSSMXV_LDM_INJECTION_LEVEL_22_0DB, "L220" },
    { RSSMXV_LDM_INJECTION_LEVEL_23_0DB, "L230" },
    { RSSMXV_LDM_INJECTION_LEVEL_24_0DB, "L240" },
    { RSSMXV_LDM_INJECTION_LEVEL_25_0DB, "L250" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngATSC3LDMInjectionLevel = { 31, RsSMxV_rngATSC3LDMInjectionLevelEntries };

RsCoreRangeTableRanged RsSMxV_rng24bit = { 0, 16777215, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngATSC3PLPFECTypeEntries[6] =
  {
    { RSSMXV_VAL_ATSC3_FORWARD_ERROR_CORRECTION_BCH_16K, "B16K" },
    { RSSMXV_VAL_ATSC3_FORWARD_ERROR_CORRECTION_BCH_64K, "B64K" },
    { RSSMXV_VAL_ATSC3_FORWARD_ERROR_CORRECTION_CRC_16K, "C16K" },
    { RSSMXV_VAL_ATSC3_FORWARD_ERROR_CORRECTION_CRC_64K, "C64K" },
    { RSSMXV_VAL_ATSC3_FORWARD_ERROR_CORRECTION_NONE_16K, "O16K" },
    { RSSMXV_VAL_ATSC3_FORWARD_ERROR_CORRECTION_NONE_64K, "O64K" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngATSC3PLPFECType = { 6, RsSMxV_rngATSC3PLPFECTypeEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngATSC3PLPCodeRateEntries[12] =
  {
    { RSSMXV_VAL_ATSC3_PLP_CODE_RATE_R2_15, "R2_15" },
    { RSSMXV_VAL_ATSC3_PLP_CODE_RATE_R3_15, "R3_15" },
    { RSSMXV_VAL_ATSC3_PLP_CODE_RATE_R4_15, "R4_15" },
    { RSSMXV_VAL_ATSC3_PLP_CODE_RATE_R5_15, "R5_15" },
    { RSSMXV_VAL_ATSC3_PLP_CODE_RATE_R6_15, "R6_15" },
    { RSSMXV_VAL_ATSC3_PLP_CODE_RATE_R7_15, "R7_15" },
    { RSSMXV_VAL_ATSC3_PLP_CODE_RATE_R8_15, "R8_15" },
    { RSSMXV_VAL_ATSC3_PLP_CODE_RATE_R9_15, "R9_15" },
    { RSSMXV_VAL_ATSC3_PLP_CODE_RATE_R10_15, "R10_15" },
    { RSSMXV_VAL_ATSC3_PLP_CODE_RATE_R11_15, "R11_15" },
    { RSSMXV_VAL_ATSC3_PLP_CODE_RATE_R12_15, "R12_15" },
    { RSSMXV_VAL_ATSC3_PLP_CODE_RATE_R13_15, "R13_15" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngATSC3PLPCodeRate = { 12, RsSMxV_rngATSC3PLPCodeRateEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngATSC3PLPConstellationEntries[6] =
  {
    { RSSMXV_VAL_PLP_CONSTELLATION_QPSK, "T4" },
    { RSSMXV_VAL_PLP_CONSTELLATION_16QAM, "T16" },
    { RSSMXV_VAL_PLP_CONSTELLATION_64QAM, "T64" },
    { RSSMXV_VAL_PLP_CONSTELLATION_256QAM, "T256" },
    { RSSMXV_VAL_PLP_CONSTELLATION_1024QAM, "T1024" },
    { RSSMXV_VAL_PLP_CONSTELLATION_4096QAM, "T4096" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngATSC3PLPConstellation = { 6, RsSMxV_rngATSC3PLPConstellationEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngATSC3NetworkLowLevelSignalingEntries[2] =
  {
    { RSSMXV_VAL_ABSENT, "ABS" },
    { RSSMXV_VAL_PRESENT, "PRES" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngATSC3NetworkLowLevelSignaling = { 2, RsSMxV_rngATSC3NetworkLowLevelSignalingEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngATSC3PLPInterleavingTypeEntries[2] =
  {
    { RSSMXV_VAL_ATSC3_PLP_INTERLEAVING_NONDISPERSED, "NOND" },
    { RSSMXV_VAL_ATSC3_PLP_INTERLEAVING_DISPERSED, "DISP" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngATSC3PLPInterleavingType = { 2, RsSMxV_rngATSC3PLPInterleavingTypeEntries };

RsCoreRangeTableRanged RsSMxV_rngATSC3PLPNumberOfSubslices = { 1, 16384, "subslices" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngATSC3PLPTimeInterleaverModeEntries[3] =
  {
    { RSSMXV_VAL_ATSC3_TIME_INTERLEAVER_MODE_OFF, "OFF" },
    { RSSMXV_VAL_ATSC3_TIME_INTERLEAVER_MODE_CONVOLUTIONAL, "CTI" },
    { RSSMXV_VAL_ATSC3_TIME_INTERLEAVER_MODE_HYBRID, "HTI" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngATSC3PLPTimeInterleaverMode = { 3, RsSMxV_rngATSC3PLPTimeInterleaverModeEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngATSC3PLPInterleavingDepthEntries[6] =
  {
    { RSSMXV_VAL_ATSC3_INTERLEAVING_DEPTH_512, "D512" },
    { RSSMXV_VAL_ATSC3_INTERLEAVING_DEPTH_724, "D724" },
    { RSSMXV_VAL_ATSC3_INTERLEAVING_DEPTH_887, "D887" },
    { RSSMXV_VAL_ATSC3_INTERLEAVING_DEPTH_1024, "D1024" },
    { RSSMXV_VAL_ATSC3_INTERLEAVING_DEPTH_1254, "D1254" },
    { RSSMXV_VAL_ATSC3_INTERLEAVING_DEPTH_1448, "D1448" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngATSC3PLPInterleavingDepth = { 6, RsSMxV_rngATSC3PLPInterleavingDepthEntries };

RsCoreRangeTableRanged RsSMxV_rngATSC3NumberOfTIBlocks = { 1, 16, "" };

RsCoreRangeTableRanged RsSMxV_rngATSC3PLPInterleavingMaxBlocks = { 1, 4096, "blocks" };

RsCoreRangeTableRanged RsSMxV_rngATSC3OFDMNumberofSubframes = { 1, 256, "subframes" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngATSC3OFDMChannelBandwidthEntries[3] =
  {
    { RSSMXV_VAL_ATSC3_OFDM_CHANNEL_BANDWIDTH_6MHZ, "BW_6" },
    { RSSMXV_VAL_ATSC3_OFDM_CHANNEL_BANDWIDTH_7MHZ, "BW_7" },
    { RSSMXV_VAL_ATSC3_OFDM_CHANNEL_BANDWIDTH_8MHZ, "BW_8" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngATSC3OFDMChannelBandwidth = { 3, RsSMxV_rngATSC3OFDMChannelBandwidthEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngATSC3OFDMMISOEntries[3] =
  {
    { RSSMXV_VAL_ATSC3_OFDM_MISO_OFF, "OFF" },
    { RSSMXV_VAL_ATSC3_OFDM_MISO_64_COEFFICIENTS, "C64" },
    { RSSMXV_VAL_ATSC3_OFDM_MISO_256_COEFFICIENTS, "C256" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngATSC3OFDMMISO = { 3, RsSMxV_rngATSC3OFDMMISOEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngATSC3FFTSizeEntries[3] =
  {
    { RSSMXV_VAL_ATSC3_FFT_SIZE_8K, "M8K" },
    { RSSMXV_VAL_ATSC3_FFT_SIZE_16K, "M16K" },
    { RSSMXV_VAL_ATSC3_FFT_SIZE_32K, "M32K" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngATSC3FFTSize = { 3, RsSMxV_rngATSC3FFTSizeEntries };

RsCoreRangeTableRanged RsSMxV_rngATSC3ReducedCarrierCoefficient = { 0, 4, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngATSC3GuardIntervalEntries[12] =
  {
    { RSSMXV_VAL_ATSC3_GUARD_INTERVAL_192, "G192" },
    { RSSMXV_VAL_ATSC3_GUARD_INTERVAL_384, "G384" },
    { RSSMXV_VAL_ATSC3_GUARD_INTERVAL_512, "G512" },
    { RSSMXV_VAL_ATSC3_GUARD_INTERVAL_768, "G768" },
    { RSSMXV_VAL_ATSC3_GUARD_INTERVAL_1024, "G1024" },
    { RSSMXV_VAL_ATSC3_GUARD_INTERVAL_1536, "G1536" },
    { RSSMXV_VAL_ATSC3_GUARD_INTERVAL_2048, "G2048" },
    { RSSMXV_VAL_ATSC3_GUARD_INTERVAL_2432, "G2432" },
    { RSSMXV_VAL_ATSC3_GUARD_INTERVAL_3072, "G3072" },
    { RSSMXV_VAL_ATSC3_GUARD_INTERVAL_3648, "G3648" },
    { RSSMXV_VAL_ATSC3_GUARD_INTERVAL_4096, "G4096" },
    { RSSMXV_VAL_ATSC3_GUARD_INTERVAL_4864, "G4864" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngATSC3GuardInterval = { 12, RsSMxV_rngATSC3GuardIntervalEntries };

RsCoreRangeTableRanged RsSMxV_rngATSC3OFDMTotalSymbols = { 1, 2048, "symbols" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngATSC3OFDMSISOPilotPatternEntries[16] =
  {
    { RSSMXV_VAL_ATSC4_SISO_PILOT_PATTERN_3_2, "SP3_2" },
    { RSSMXV_VAL_ATSC4_SISO_PILOT_PATTERN_3_4, "SP3_4" },
    { RSSMXV_VAL_ATSC4_SISO_PILOT_PATTERN_4_2, "SP4_2" },
    { RSSMXV_VAL_ATSC4_SISO_PILOT_PATTERN_4_4, "SP4_4" },
    { RSSMXV_VAL_ATSC4_SISO_PILOT_PATTERN_6_2, "SP6_2" },
    { RSSMXV_VAL_ATSC4_SISO_PILOT_PATTERN_6_4, "SP6_4" },
    { RSSMXV_VAL_ATSC4_SISO_PILOT_PATTERN_8_2, "SP8_2" },
    { RSSMXV_VAL_ATSC4_SISO_PILOT_PATTERN_8_4, "SP8_4" },
    { RSSMXV_VAL_ATSC4_SISO_PILOT_PATTERN_12_2, "SP12_2" },
    { RSSMXV_VAL_ATSC4_SISO_PILOT_PATTERN_12_4, "SP12_4" },
    { RSSMXV_VAL_ATSC4_SISO_PILOT_PATTERN_16_2, "SP16_2" },
    { RSSMXV_VAL_ATSC4_SISO_PILOT_PATTERN_16_4, "SP16_4" },
    { RSSMXV_VAL_ATSC4_SISO_PILOT_PATTERN_24_2, "SP24_2" },
    { RSSMXV_VAL_ATSC4_SISO_PILOT_PATTERN_24_4, "SP24_4" },
    { RSSMXV_VAL_ATSC4_SISO_PILOT_PATTERN_32_2, "SP32_2" },
    { RSSMXV_VAL_ATSC4_SISO_PILOT_PATTERN_32_4, "SP32_4" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngATSC3OFDMSISOPilotPattern = { 16, RsSMxV_rngATSC3OFDMSISOPilotPatternEntries };

RsCoreRangeTableRanged RsSMxV_rngATSC3OFDMPilotBoostMode = { 0, 4, "" };

RsCoreRangeTableRanged RsSMxV_rngATSC3OFDMBoundarySymbolFirst = { 0, 1, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngATSC3NetworkTimeEntries[4] =
  {
    { RSSMXV_VAL_ATSC3_NETWORK_TIME_OFF, "OFF" },
    { RSSMXV_VAL_ATSC3_NETWORK_TIME_MILLISECONDS, "MSEC" },
    { RSSMXV_VAL_ATSC3_NETWORK_TIME_MICROSECONDS, "USEC" },
    { RSSMXV_VAL_ATSC3_NETWORK_TIME_NANOSECONDS, "NSEC" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngATSC3NetworkTime = { 4, RsSMxV_rngATSC3NetworkTimeEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngATSC3ReturnChannelEntries[2] =
  {
    { RSSMXV_VAL_ABSENT, "ABS" },
    { RSSMXV_VAL_PRESENT, "PRES" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngATSC3ReturnChannel = { 2, RsSMxV_rngATSC3ReturnChannelEntries };

RsCoreRangeTableRanged RsSMxV_rngATSC3MISOfTransmitters = { 2, 4, "transmitters" };

RsCoreRangeTableRanged RsSMxV_rngATSC3MISOTransmitterIndex = { 1, 4, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngATSC3TxIDModeEntries[3] =
  {
    { RSSMXV_VAL_ATSC3_TXID_MODE_OFF, "OFF" },
    { RSSMXV_VAL_ATSC3_TXID_MODE_MANUAL, "MAN" },
    { RSSMXV_VAL_ATSC3_TXID_MODE_AUTO, "AUT" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngATSC3TxIDMode = { 3, RsSMxV_rngATSC3TxIDModeEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngATSC3TxIDInjectionLevelEntries[14] =
  {
    { RSSMXV_VAL_ATSC3_TXID_INJECTION_OFF, "OFF" },
    { RSSMXV_VAL_ATSC3_TXID_INJECTION_9DB, "L90" },
    { RSSMXV_VAL_ATSC3_TXID_INJECTION_12DB, "L120" },
    { RSSMXV_VAL_ATSC3_TXID_INJECTION_15DB, "L150" },
    { RSSMXV_VAL_ATSC3_TXID_INJECTION_18DB, "L180" },
    { RSSMXV_VAL_ATSC3_TXID_INJECTION_21DB, "L210" },
    { RSSMXV_VAL_ATSC3_TXID_INJECTION_24DB, "L240" },
    { RSSMXV_VAL_ATSC3_TXID_INJECTION_27DB, "L270" },
    { RSSMXV_VAL_ATSC3_TXID_INJECTION_30DB, "L300" },
    { RSSMXV_VAL_ATSC3_TXID_INJECTION_33DB, "L330" },
    { RSSMXV_VAL_ATSC3_TXID_INJECTION_36DB, "L360" },
    { RSSMXV_VAL_ATSC3_TXID_INJECTION_39DB, "L390" },
    { RSSMXV_VAL_ATSC3_TXID_INJECTION_42DB, "L420" },
    { RSSMXV_VAL_ATSC3_TXID_INJECTION_45DB, "L450" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngATSC3TxIDInjectionLevel = { 14, RsSMxV_rngATSC3TxIDInjectionLevelEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngATSC3PeakToAveragePowerRatioEntries[2] =
  {
    { RSSMXV_VAL_ATSC3_PEAK_TO_AVERAGE_RATIO_OFF, "OFF" },
    { RSSMXV_VAL_ATSC3_PEAK_TO_AVERAGE_RATIO_TR, "TR" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngATSC3PeakToAveragePowerRatio = { 2, RsSMxV_rngATSC3PeakToAveragePowerRatioEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngATSC3FrameModeEntries[2] =
  {
    { RSSMXV_VAL_ATSC3_FRAME_MODE_TIME, "TIME" },
    { RSSMXV_VAL_ATSC3_FRAME_MODE_SYMBOL, "SYMB" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngATSC3FrameMode = { 2, RsSMxV_rngATSC3FrameModeEntries };

RsCoreRangeTableRanged RsSMxV_rngATSC3FrameLength = { 50, 5000, "ms" };

RsCoreRangeTableRanged RsSMxV_rng15bit = { 0, 32767, "" };

RsCoreRangeTableRanged RsSMxV_rng7bit = { 0, 127, "" };

RsCoreRangeTableRanged RsSMxV_rng3bit = { 0, 7, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngATSC3BasicFECTypeEntries[5] =
  {
    { RSSMXV_VAL_ATSC3_FEC_MODE_1, "MOD1" },
    { RSSMXV_VAL_ATSC3_FEC_MODE_2, "MOD2" },
    { RSSMXV_VAL_ATSC3_FEC_MODE_3, "MOD3" },
    { RSSMXV_VAL_ATSC3_FEC_MODE_4, "MOD4" },
    { RSSMXV_VAL_ATSC3_FEC_MODE_5, "MOD5" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngATSC3BasicFECType = { 5, RsSMxV_rngATSC3BasicFECTypeEntries };

RsCoreRangeTableRanged RsSMxV_rng4bit = { 0, 15, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngATSC3DetailFECTypeEntries[7] =
  {
    { RSSMXV_VAL_ATSC3_FEC_MODE_1, "MOD1" },
    { RSSMXV_VAL_ATSC3_FEC_MODE_2, "MOD2" },
    { RSSMXV_VAL_ATSC3_FEC_MODE_3, "MOD3" },
    { RSSMXV_VAL_ATSC3_FEC_MODE_4, "MOD4" },
    { RSSMXV_VAL_ATSC3_FEC_MODE_5, "MOD5" },
    { RSSMXV_VAL_ATSC3_FEC_MODE_6, "MOD6" },
    { RSSMXV_VAL_ATSC3_FEC_MODE_7, "MOD7" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngATSC3DetailFECType = { 7, RsSMxV_rngATSC3DetailFECTypeEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngATSC3DetailAdditionalParityModeEntries[3] =
  {
    { RSSMXV_VAL_ATSC3_DETAIL_ADDITIONAL_PARITY_OFF, "OFF" },
    { RSSMXV_VAL_ATSC3_DETAIL_ADDITIONAL_PARITY_MODE_K1, "K1" },
    { RSSMXV_VAL_ATSC3_DETAIL_ADDITIONAL_PARITY_MODE_K2, "K2" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngATSC3DetailAdditionalParityMode = { 3, RsSMxV_rngATSC3DetailAdditionalParityModeEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngATSC3PilotPatternPreambleEntries[8] =
  {
    { RSSMXV_VAL_ATSC3_PILOT_PATTERN_PREAMBLE_3, "D3" },
    { RSSMXV_VAL_ATSC3_PILOT_PATTERN_PREAMBLE_4, "D4" },
    { RSSMXV_VAL_ATSC3_PILOT_PATTERN_PREAMBLE_6, "D6" },
    { RSSMXV_VAL_ATSC3_PILOT_PATTERN_PREAMBLE_8, "D8" },
    { RSSMXV_VAL_ATSC3_PILOT_PATTERN_PREAMBLE_12, "D12" },
    { RSSMXV_VAL_ATSC3_PILOT_PATTERN_PREAMBLE_16, "D16" },
    { RSSMXV_VAL_ATSC3_PILOT_PATTERN_PREAMBLE_24, "D24" },
    { RSSMXV_VAL_ATSC3_PILOT_PATTERN_PREAMBLE_32, "D32" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngATSC3PilotPatternPreamble = { 8, RsSMxV_rngATSC3PilotPatternPreambleEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngATSC3BootstrapMinTimeToNextEntries[34] =
  {
    { RSSMXV_VAL_ATSC3_BOOTSTRAP_MIN_TIME_TO_NEXT_NOT_APPLICABLE, "NOT" },
    { RSSMXV_VAL_ATSC3_BOOTSTRAP_MIN_TIME_TO_NEXT_N50, "N50" },
    { RSSMXV_VAL_ATSC3_BOOTSTRAP_MIN_TIME_TO_NEXT_N100, "N100" },
    { RSSMXV_VAL_ATSC3_BOOTSTRAP_MIN_TIME_TO_NEXT_N150, "N150" },
    { RSSMXV_VAL_ATSC3_BOOTSTRAP_MIN_TIME_TO_NEXT_N200, "N200" },
    { RSSMXV_VAL_ATSC3_BOOTSTRAP_MIN_TIME_TO_NEXT_N250, "N250" },
    { RSSMXV_VAL_ATSC3_BOOTSTRAP_MIN_TIME_TO_NEXT_N300, "N300" },
    { RSSMXV_VAL_ATSC3_BOOTSTRAP_MIN_TIME_TO_NEXT_N350, "N350" },
    { RSSMXV_VAL_ATSC3_BOOTSTRAP_MIN_TIME_TO_NEXT_N400, "N400" },
    { RSSMXV_VAL_ATSC3_BOOTSTRAP_MIN_TIME_TO_NEXT_N500, "N500" },
    { RSSMXV_VAL_ATSC3_BOOTSTRAP_MIN_TIME_TO_NEXT_N600, "N600" },
    { RSSMXV_VAL_ATSC3_BOOTSTRAP_MIN_TIME_TO_NEXT_N700, "N700" },
    { RSSMXV_VAL_ATSC3_BOOTSTRAP_MIN_TIME_TO_NEXT_N800, "N800" },
    { RSSMXV_VAL_ATSC3_BOOTSTRAP_MIN_TIME_TO_NEXT_N900, "N900" },
    { RSSMXV_VAL_ATSC3_BOOTSTRAP_MIN_TIME_TO_NEXT_N1000, "N1000" },
    { RSSMXV_VAL_ATSC3_BOOTSTRAP_MIN_TIME_TO_NEXT_N1100, "N1100" },
    { RSSMXV_VAL_ATSC3_BOOTSTRAP_MIN_TIME_TO_NEXT_N1200, "N1200" },
    { RSSMXV_VAL_ATSC3_BOOTSTRAP_MIN_TIME_TO_NEXT_N1300, "N1300" },
    { RSSMXV_VAL_ATSC3_BOOTSTRAP_MIN_TIME_TO_NEXT_N1400, "N1400" },
    { RSSMXV_VAL_ATSC3_BOOTSTRAP_MIN_TIME_TO_NEXT_N1500, "N1500" },
    { RSSMXV_VAL_ATSC3_BOOTSTRAP_MIN_TIME_TO_NEXT_N1600, "N1600" },
    { RSSMXV_VAL_ATSC3_BOOTSTRAP_MIN_TIME_TO_NEXT_N1700, "N1700" },
    { RSSMXV_VAL_ATSC3_BOOTSTRAP_MIN_TIME_TO_NEXT_N1900, "N1900" },
    { RSSMXV_VAL_ATSC3_BOOTSTRAP_MIN_TIME_TO_NEXT_N2100, "N2100" },
    { RSSMXV_VAL_ATSC3_BOOTSTRAP_MIN_TIME_TO_NEXT_N2300, "N2300" },
    { RSSMXV_VAL_ATSC3_BOOTSTRAP_MIN_TIME_TO_NEXT_N2500, "N2500" },
    { RSSMXV_VAL_ATSC3_BOOTSTRAP_MIN_TIME_TO_NEXT_N2700, "N2700" },
    { RSSMXV_VAL_ATSC3_BOOTSTRAP_MIN_TIME_TO_NEXT_N2900, "N2900" },
    { RSSMXV_VAL_ATSC3_BOOTSTRAP_MIN_TIME_TO_NEXT_N3300, "N3300" },
    { RSSMXV_VAL_ATSC3_BOOTSTRAP_MIN_TIME_TO_NEXT_N3700, "N3700" },
    { RSSMXV_VAL_ATSC3_BOOTSTRAP_MIN_TIME_TO_NEXT_N4100, "N4100" },
    { RSSMXV_VAL_ATSC3_BOOTSTRAP_MIN_TIME_TO_NEXT_N4500, "N4500" },
    { RSSMXV_VAL_ATSC3_BOOTSTRAP_MIN_TIME_TO_NEXT_N4900, "N4900" },
    { RSSMXV_VAL_ATSC3_BOOTSTRAP_MIN_TIME_TO_NEXT_N5300, "N5300" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngATSC3BootstrapMinTimeToNext = { 34, RsSMxV_rngATSC3BootstrapMinTimeToNextEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngATSC3BootstrapEASEntries[4] =
  {
    { RSSMXV_VAL_ATSC3_EMERGENCY_ALERT_NO_EMERGENCY, "NOEM" },
    { RSSMXV_VAL_ATSC3_EMERGENCY_ALERT_SETTING_1, "SET1" },
    { RSSMXV_VAL_ATSC3_EMERGENCY_ALERT_SETTING_2, "SET2" },
    { RSSMXV_VAL_ATSC3_EMERGENCY_ALERT_SETTING_3, "SET3" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngATSC3BootstrapEAS = { 4, RsSMxV_rngATSC3BootstrapEASEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngATSC3BootstrapBandwidthEntries[4] =
  {
    { RSSMXV_VAL_ATSC3_BOOTSTRAP_BANDWIDTH_6MHZ, "BW_6" },
    { RSSMXV_VAL_ATSC3_BOOTSTRAP_BANDWIDTH_7MHZ, "BW_7" },
    { RSSMXV_VAL_ATSC3_BOOTSTRAP_BANDWIDTH_8MHZ, "BW_8" },
    { RSSMXV_VAL_ATSC3_BOOTSTRAP_BANDWIDTH_8GHZ, "BW8G" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngATSC3BootstrapBandwidth = { 4, RsSMxV_rngATSC3BootstrapBandwidthEntries };

RsCoreRangeTableRanged RsSMxV_rng8bit = { 0, 255, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngATSC3StructureL1FECTypeEntries[7] =
  {
    { RSSMXV_VAL_ATSC3_FEC_MODE_1, "MOD1" },
    { RSSMXV_VAL_ATSC3_FEC_MODE_2, "MOD2" },
    { RSSMXV_VAL_ATSC3_FEC_MODE_3, "MOD3" },
    { RSSMXV_VAL_ATSC3_FEC_MODE_4, "MOD4" },
    { RSSMXV_VAL_ATSC3_FEC_MODE_5, "MOD5" },
    { RSSMXV_VAL_ATSC3_FEC_MODE_6, "MOD6" },
    { RSSMXV_VAL_ATSC3_FEC_MODE_7, "MOD7" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngATSC3StructureL1FECType = { 7, RsSMxV_rngATSC3StructureL1FECTypeEntries };

RsCoreRangeTableRanged RsSMxV_rngATSC3SFNMaxDeviationTime = { 1e-6, 500e-6, "s" };

RsCoreRangeTableRanged RsSMxV_rngATSC3SFNStaticDelay = { -1, 1, "s" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngATSC3SFNModeEntries[2] =
  {
    { RSSMXV_VAL_ATSC3_SFN_MODE_RELATIVE, "REL" },
    { RSSMXV_VAL_ATSC3_SFN_MODE_ABSOLUTE, "ABS" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngATSC3SFNMode = { 2, RsSMxV_rngATSC3SFNModeEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDVBTInputSourceEntries[3] =
  {
    { RSSMXV_VAL_DVBT_INPUT_SOURCE_TSGEN, "TSG" },
    { RSSMXV_VAL_DVBT_INPUT_SOURCE_EXT, "EXT" },
    { RSSMXV_VAL_DVBT_INPUT_SOURCE_TEST, "TEST" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDVBTInputSource = { 3, RsSMxV_rngDVBTInputSourceEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDVBTInputEntries[2] =
  {
    { RSSMXV_VAL_PROTOCOL_TS, "TS" },
    { RSSMXV_VAL_PROTOCOL_IP, "IP" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDVBTInput = { 2, RsSMxV_rngDVBTInputEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDVBTInputFormatEntries[2] =
  {
    { RSSMXV_DVBT_INPUT_FORMAT_ASI, "ASI" },
    { RSSMXV_DVBT_INPUT_FORMAT_SMPTE, "SMPTE" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDVBTInputFormat = { 2, RsSMxV_rngDVBTInputFormatEntries };

RsCoreRangeTableRanged RsSMxV_rngDVBTInputIPTSChannel = { 1, 4, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDVBTTestSignalEntries[3] =
  {
    { RSSMXV_VAL_DVBT_TEST_SIGNAL_TTSP, "TTSP" },
    { RSSMXV_VAL_DVBT_TEST_SIGNAL_PBEC, "PBEC" },
    { RSSMXV_VAL_DVBT_TEST_SIGNAL_PAFC, "PAFC" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDVBTTestSignal = { 3, RsSMxV_rngDVBTTestSignalEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDVBTPacketLengthEntries[4] =
  {
    { RSSMXV_VAL_DVBT_PACKET_LENGTH_INVALID, "INV" },
    { RSSMXV_VAL_DVBT_PACKET_LENGTH_188, "P188" },
    { RSSMXV_VAL_DVBT_PACKET_LENGTH_204, "P204" },
    { RSSMXV_VAL_DVBT_PACKET_LENGTH_208, "P208" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDVBTPacketLength = { 4, RsSMxV_rngDVBTPacketLengthEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDVBTHiearchyEntries[4] =
  {
    { RSSMXV_VAL_DVBT_HIERARCHY_NONHIER, "NONH" },
    { RSSMXV_VAL_DVBT_HIERARCHY_A1, "A1" },
    { RSSMXV_VAL_DVBT_HIERARCHY_A2, "A2" },
    { RSSMXV_VAL_DVBT_HIERARCHY_A4, "A4" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDVBTHiearchy = { 4, RsSMxV_rngDVBTHiearchyEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDVBTCodingConstellationEntries[3] =
  {
    { RSSMXV_VAL_DVBT_CODING_CONSTELLATION_T4, "T4" },
    { RSSMXV_VAL_DVBT_CODING_CONSTELLATION_T16, "T16" },
    { RSSMXV_VAL_DVBT_CODING_CONSTELLATION_T64, "T64" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDVBTCodingConstellation = { 3, RsSMxV_rngDVBTCodingConstellationEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDVBTCodingChannelBWEntries[5] =
  {
    { RSSMXV_VAL_DVBT_CODING_CHANNEL_BW_VAR, "BW_V" },
    { RSSMXV_VAL_DVBT_CODING_CHANNEL_BW_5, "BW_5" },
    { RSSMXV_VAL_DVBT_CODING_CHANNEL_BW_6, "BW_6" },
    { RSSMXV_VAL_DVBT_CODING_CHANNEL_BW_7, "BW_7" },
    { RSSMXV_VAL_DVBT_CODING_CHANNEL_BW_8, "BW_8" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDVBTCodingChannelBW = { 5, RsSMxV_rngDVBTCodingChannelBWEntries };

RsCoreRangeTableRanged RsSMxV_rngDVBTUsedBW = { 1000000, 10000000, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDVBTCodingFFTModeEntries[3] =
  {
    { RSSMXC_VAL_DVBT_FFT_MODE_M2K, "M2K" },
    { RSSMXC_VAL_DVBT_FFT_MODE_M4K, "M4K" },
    { RSSMXC_VAL_DVBT_FFT_MODE_M8K, "M8K" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDVBTCodingFFTMode = { 3, RsSMxV_rngDVBTCodingFFTModeEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDVBTCodingGuardIntervalEntries[4] =
  {
    { RSSMXV_VAL_DVBT_GUARD_INTERVAL_G1_4, "G1_4" },
    { RSSMXV_VAL_DVBT_GUARD_INTERVAL_G1_8, "G1_8" },
    { RSSMXV_VAL_DVBT_GUARD_INTERVAL_G1_16, "G1_16" },
    { RSSMXV_VAL_DVBT_GUARD_INTERVAL_G1_32, "G1_32" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDVBTCodingGuardInterval = { 4, RsSMxV_rngDVBTCodingGuardIntervalEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDVBTSymbolInterleavingEntries[2] =
  {
    { RSSMXV_VAL_SYMBOL_INTERLEAVING_INDEPTH, "IND" },
    { RSSMXV_VAL_SYMBOL_INTERLEAVING_NATIVE, "NAT" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDVBTSymbolInterleaving = { 2, RsSMxV_rngDVBTSymbolInterleavingEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDVBTCodeRateEntries[5] =
  {
    { RSSMXV_VAL_DVBT_CODE_RATE_R1_2, "R1_2" },
    { RSSMXV_VAL_DVBT_CODE_RATE_R2_3, "R2_3" },
    { RSSMXV_VAL_DVBT_CODE_RATE_R3_4, "R3_4" },
    { RSSMXV_VAL_DVBT_CODE_RATE_R5_6, "R5_6" },
    { RSSMXV_VAL_DVBT_CODE_RATE_R7_8, "R7_8" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDVBTCodeRate = { 5, RsSMxV_rngDVBTCodeRateEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDVBT2InputEntries[2] =
  {
    { RSSMXV_VAL_PROTOCOL_TS, "TS" },
    { RSSMXV_VAL_PROTOCOL_IP, "IP" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDVBT2Input = { 2, RsSMxV_rngDVBT2InputEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDVBT2InputFormatEntries[2] =
  {
    { RSSMXV_DVBT2_INPUT_FORMAT_ASI, "ASI" },
    { RSSMXV_DVBT2_INPUT_FORMAT_SMPTE, "SMPTE" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDVBT2InputFormat = { 2, RsSMxV_rngDVBT2InputFormatEntries };

RsCoreRangeTableRanged RsSMxV_rngDVBT2InputTSChannel = { 1, 4, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDVBT2InputPLPTestSignalEntries[1] =
  {
    { RSSMXV_VAL_DVBT2_PLP_TEST_SIGNAL_TTSP, "TTSP" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDVBT2InputPLPTestSignal = { 1, RsSMxV_rngDVBT2InputPLPTestSignalEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDVBT2PLPInputFormatEntries[4] =
  {
    { RSSMXV_VAL_DVBT2_PLP_INPUT_FORMAT_GFPS, "GFPS" },
    { RSSMXV_VAL_DVBT2_PLP_INPUT_FORMAT_GCS, "GCS" },
    { RSSMXV_VAL_DVBT2_PLP_INPUT_FORMAT_GSE, "GSE" },
    { RSSMXV_VAL_DVBT2_PLP_INPUT_FORMAT_TS, "TS" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDVBT2PLPInputFormat = { 4, RsSMxV_rngDVBT2PLPInputFormatEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDVBT2PacketLengthEntries[4] =
  {
    { RSSMXV_VAL_DVBT2_PACKET_LENGTH_INVALID, "INVALID" },
    { RSSMXV_VAL_DVBT2_PACKET_LENGTH_188, "P188" },
    { RSSMXV_VAL_DVBT2_PACKET_LENGTH_204, "P204" },
    { RSSMXV_VAL_DVBT2_PACKET_LENGTH_208, "P208" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDVBT2PacketLength = { 4, RsSMxV_rngDVBT2PacketLengthEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDVBT2T2MIMeasModeEntries[2] =
  {
    { RSSMEXV_VAL_DVBT2_INPUT_T2MI_MEAS_MODE_ABSOLUTE, "ABSOLUTE" },
    { RSSMEXV_VAL_DVBT2_INPUT_T2MI_MEAS_MODE_DELTA, "DELTA" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDVBT2T2MIMeasMode = { 2, RsSMxV_rngDVBT2T2MIMeasModeEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDVBT2PLPTypeEntries[3] =
  {
    { RSSMXV_VAL_DVBT2_MODE_STREAM_PLP_TYPE_COMMON, "COMM" },
    { RSSMXV_VAL_DVBT2_MODE_STREAM_PLP_TYPE_DT1, "DT1" },
    { RSSMXV_VAL_DVBT2_MODE_STREAM_PLP_TYPE_DT2, "DT2" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDVBT2PLPType = { 3, RsSMxV_rngDVBT2PLPTypeEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDVBT2PLPBBModeEntries[2] =
  {
    { RSSMEX_VAL_DVBT2_PLP_BB_MODE_HEM, "HEM" },
    { RSSMEX_VAL_DVBT2_PLP_BB_MODE_NM, "NM" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDVBT2PLPBBMode = { 2, RsSMxV_rngDVBT2PLPBBModeEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDVBT2PLPISSYEntries[3] =
  {
    { RSSMXV_VAL_DVBT2_PLP_ISSY_OFF, "OFF" },
    { RSSMXV_VAL_DVBT2_PLP_ISSY_SHORT, "SHOR" },
    { RSSMXV_VAL_DVBT2_PLP_ISSY_LONG, "LONG" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDVBT2PLPISSY = { 3, RsSMxV_rngDVBT2PLPISSYEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDVBT2PLPCMTypeEntries[2] =
  {
    { RSSMXV_VAL_DVBT2_PLP_CM_TYPE_CCM, "CCM" },
    { RSSMXV_VAL_DVBT2_PLP_CM_TYPE_ACM, "ACM" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDVBT2PLPCMType = { 2, RsSMxV_rngDVBT2PLPCMTypeEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDVBT2BCIMPLPFECFrameEntries[2] =
  {
    { RSSMXV_VAL_DVBT2_BCIM_PLP_FEC_FRAME_NORMAL, "NORM" },
    { RSSMXV_VAL_DVBT2_BCIM_PLP_FEC_FRAME_SHORT, "SHOR" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDVBT2BCIMPLPFECFrame = { 2, RsSMxV_rngDVBT2BCIMPLPFECFrameEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDVBT2CodeRateEntries[7] =
  {
    { RSSMXV_VAL_DVBT2_CODE_RATE_R1_2, "R1_2" },
    { RSSMXV_VAL_DVBT2_CODE_RATE_R2_3, "R2_3" },
    { RSSMXV_VAL_DVBT2_CODE_RATE_R3_4, "R3_4" },
    { RSSMXV_VAL_DVBT2_CODE_RATE_R5_6, "R5_6" },
    { RSSMXV_VAL_DVBT2_CODE_RATE_R1_3, "R1_3" },
    { RSSMXV_VAL_DVBT2_CODE_RATE_R3_5, "R3_5" },
    { RSSMXV_VAL_DVBT2_CODE_RATE_R2_5, "R2_5" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDVBT2CodeRate = { 7, RsSMxV_rngDVBT2CodeRateEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDVBT2BCIMPLPConstellationEntries[4] =
  {
    { RSSMXV_VAL_DVBT2_BCIM_PLP_CONSTELLATION_T4, "T4" },
    { RSSMXV_VAL_DVBT2_BCIM_PLP_CONSTELLATION_T16, "T16" },
    { RSSMXV_VAL_DVBT2_BCIM_PLP_CONSTELLATION_T64, "T64" },
    { RSSMXV_VAL_DVBT2_BCIM_PLP_CONSTELLATION_T256, "T256" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDVBT2BCIMPLPConstellation = { 4, RsSMxV_rngDVBT2BCIMPLPConstellationEntries };

RsCoreRangeTableRanged RsSMxV_rngDVBT2BCIMPLPInterleaverTime = { 0, 1, "" };

RsCoreRangeTableRanged RsSMxV_rngDVBT2BICMPLPFECBlocksPerIF = { 0, 1023, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDVBT2OFDMChannelBWEntries[5] =
  {
    { RSSMXV_VAL_DVBT2_OFDM_CHAN_BW_2, "BW_2" },
    { RSSMXV_VAL_DVBT2_OFDM_CHAN_BW_5, "BW_5" },
    { RSSMXV_VAL_DVBT2_OFDM_CHAN_BW_6, "BW_6" },
    { RSSMXV_VAL_DVBT2_OFDM_CHAN_BW_7, "BW_7" },
    { RSSMXV_VAL_DVBT2_OFDM_CHAN_BW_8, "BW_8" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDVBT2OFDMChannelBW = { 5, RsSMxV_rngDVBT2OFDMChannelBWEntries };

RsCoreRangeTableRanged RsSMxV_rngDVBT2OFDMBandwidthVariation = { -1000, 1000, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDVBT2OFDMFFTModeEntries[8] =
  {
    { RSSMXV_VAL_DVBT2_OFDM_FFT_MODE_M1K, "M1K" },
    { RSSMXV_VAL_DVBT2_OFDM_FFT_MODE_M2K, "M2K" },
    { RSSMXV_VAL_DVBT2_OFDM_FFT_MODE_M4K, "M4K" },
    { RSSMXV_VAL_DVBT2_OFDM_FFT_MODE_M8K, "M8K" },
    { RSSMXV_VAL_DVBT2_OFDM_FFT_MODE_M16K, "M16K" },
    { RSSMXV_VAL_DVBT2_OFDM_FFT_MODE_M8E, "M8E" },
    { RSSMXV_VAL_DVBT2_OFDM_FFT_MODE_M16E, "M16E" },
    { RSSMXV_VAL_DVBT2_OFDM_FFT_MODE_M32E, "M32E" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDVBT2OFDMFFTMode = { 8, RsSMxV_rngDVBT2OFDMFFTModeEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDVBT2CodingGuardIntervalEntries[7] =
  {
    { RSSMXV_VAL_DVBT2_GUARD_INTERVAL_G1_4, "G1_4" },
    { RSSMXV_VAL_DVBT2_GUARD_INTERVAL_G1_8, "G1_8" },
    { RSSMXV_VAL_DVBT2_GUARD_INTERVAL_G1_16, "G1_16" },
    { RSSMXV_VAL_DVBT2_GUARD_INTERVAL_G1_32, "G1_32" },
    { RSSMXV_VAL_DVBT2_GUARD_INTERVAL_G1128, "G1128" },
    { RSSMXV_VAL_DVBT2_GUARD_INTERVAL_G19128, "G19128" },
    { RSSMXV_VAL_DVBT2_GUARD_INTERVAL_G19256, "G19256" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDVBT2CodingGuardInterval = { 7, RsSMxV_rngDVBT2CodingGuardIntervalEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDVBT2OFDMPilotPatternEntries[7] =
  {
    { RSSMXV_VAL_DVBT2_OFDM_PILOT_PATTERN_1, "PP1" },
    { RSSMXV_VAL_DVBT2_OFDM_PILOT_PATTERN_2, "PP2" },
    { RSSMXV_VAL_DVBT2_OFDM_PILOT_PATTERN_3, "PP3" },
    { RSSMXV_VAL_DVBT2_OFDM_PILOT_PATTERN_4, "PP4" },
    { RSSMXV_VAL_DVBT2_OFDM_PILOT_PATTERN_5, "PP5" },
    { RSSMXV_VAL_DVBT2_OFDM_PILOT_PATTERN_6, "PP6" },
    { RSSMXV_VAL_DVBT2_OFDM_PILOT_PATTERN_7, "PP7" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDVBT2OFDMPilotPattern = { 7, RsSMxV_rngDVBT2OFDMPilotPatternEntries };

RsCoreRangeTableRanged RsSMxV_rngDVBT2OFDMT2FramesPerSuperFrame = { 2, 255, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDVBT2ProfileModeEntries[2] =
  {
    { RSSMXV_VAL_DVBT2_PROFILE_MODE_SINGLE, "SINGLE" },
    { RSSMXV_VAL_DVBT2_PROFILE_MODE_MULTI, "MULTI" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDVBT2ProfileMode = { 2, RsSMxV_rngDVBT2ProfileModeEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDVBT2TransmissionSystemEntries[5] =
  {
    { RSSMXV_VAL_DVBT2_TRANSMISSION_SYSTEM_T2LM, "T2LM" },
    { RSSMXV_VAL_DVBT2_TRANSMISSION_SYSTEM_T2LS, "T2LS" },
    { RSSMXV_VAL_DVBT2_TRANSMISSION_SYSTEM_NONT2, "NONT2" },
    { RSSMXV_VAL_DVBT2_TRANSMISSION_SYSTEM_MISO, "MISO" },
    { RSSMXV_VAL_DVBT2_TRANSMISSION_SYSTEM_SISO, "SISO" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDVBT2TransmissionSystem = { 5, RsSMxV_rngDVBT2TransmissionSystemEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngManualAutoEntries[2] =
  {
    { RSSMXV_VAL_AUTO, "AUTO" },
    { RSSMXV_VAL_MAN, "MAN" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngManualAuto = { 2, RsSMxV_rngManualAutoEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDVBT2NetworkMISOGroupEntries[2] =
  {
    { RSSMXV_VAL_DVBT2_NETWORK_MISO_GROUP_1, "G1" },
    { RSSMXV_VAL_DVBT2_NETWORK_MISO_GROUP_2, "G2" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDVBT2NetworkMISOGroup = { 2, RsSMxV_rngDVBT2NetworkMISOGroupEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDVBT2NetworkPAPREntries[2] =
  {
    { RSSMXV_VAL_DVBT2_NETWORK_PAPR_OFF, "OFF" },
    { RSSMXV_VAL_DVBT2_NETWORK_PAPR_TR, "TR" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDVBT2NetworkPAPR = { 2, RsSMxV_rngDVBT2NetworkPAPREntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDVBT2NetworkFEFPayloadEntries[2] =
  {
    { RSSMXV_VAL_DVBT2_NETWORK_FEF_PAYLOAD_NULL, "NULL" },
    { RSSMXV_VAL_DVBT2_NETWORK_FEF_PAYLOAD_NOISE, "NOIS" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDVBT2NetworkFEFPayload = { 2, RsSMxV_rngDVBT2NetworkFEFPayloadEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDVBT2NetworkTFSEntries[1] =
  {
    { RSSMXV_VAL_DVBT2_NETWORK_TFS_OFF, "OFF" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDVBT2NetworkTFS = { 1, RsSMxV_rngDVBT2NetworkTFSEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDVBT2L1T2VersionEntries[3] =
  {
    { RSSMXV_VAL_DVBT2_L1_T2_VERSION_111, "V111" },
    { RSSMXV_VAL_DVBT2_L1_T2_VERSION_121, "V121" },
    { RSSMXV_VAL_DVBT2_L1_T2_VERSION_131, "V131" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDVBT2L1T2Version = { 3, RsSMxV_rngDVBT2L1T2VersionEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDVBT2L1PostModulationEntries[4] =
  {
    { RSSMXV_VAL_DVBT2_L1_POST_MODULATION_BPSK, "T2" },
    { RSSMXV_VAL_DVBT2_L1_POST_MODULATION_QPSK, "T4" },
    { RSSMXV_VAL_DVBT2_L1_POST_MODULATION_QAM16, "T16" },
    { RSSMXV_VAL_DVBT2_L1_POST_MODULATION_QAM64, "T64" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDVBT2L1PostModulation = { 4, RsSMxV_rngDVBT2L1PostModulationEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDVBT2L1PostExtensionEntries[1] =
  {
    { RSSMXV_VAL_DVBT2_L1_POST_EXTENSION_OFF, "OFF" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDVBT2L1PostExtension = { 1, RsSMxV_rngDVBT2L1PostExtensionEntries };

RsCoreRangeTableRanged RsSMxV_rngDVBT2SFNStaticDelay = { -4.0, 4.0, "" };

RsCoreRangeTableRanged RsSMxV_rngDVBT2SFNDelayMaxDeviationTime = { 1.0e-6, 500.0e-6, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngRelAbsEntries[2] =
  {
    { RSSMXV_VAL_REL, "REL" },
    { RSSMXV_VAL_ABS, "ABS" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngRelAbs = { 2, RsSMxV_rngRelAbsEntries };

RsCoreRangeTableRanged RsSMxV_rngDVBT2SFNOffset = { -255, 255, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngISDBTControlEntries[2] =
  {
    { RSSMXV_VAL_ISDBT_CONTROL_AUTO, "AUTO" },
    { RSSMXV_VAL_ISDBT_CONTROL_MANUAL, "MAN" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngISDBTControl = { 2, RsSMxV_rngISDBTControlEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngISDBTSystemEntries[3] =
  {
    { RSSMXV_VAL_ISDBT_SYSTEM_T, "T" },
    { RSSMXV_VAL_ISDBT_SYSTEM_TSB1, "TSB1" },
    { RSSMXV_VAL_ISDBT_SYSTEM_TSB3, "TSB3" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngISDBTSystem = { 3, RsSMxV_rngISDBTSystemEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngISDBTInputSourceLayerEntries[3] =
  {
    { RSSMXV_VAL_ISDBT_INPUT_SOURCE_LAYER_EXTERNAL, "EXT" },
    { RSSMXV_VAL_ISDBT_INPUT_SOURCE_LAYER_TS_PLAYER, "TSG" },
    { RSSMXV_VAL_ISDBT_INPUT_SOURCE_LAYER_TEST_SIGNAL, "TEST" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngISDBTInputSourceLayer = { 3, RsSMxV_rngISDBTInputSourceLayerEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngISDBTInputExternalEntries[2] =
  {
    { RSSMXV_VAL_PROTOCOL_TS, "TS" },
    { RSSMXV_VAL_PROTOCOL_IP, "IP" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngISDBTInputExternal = { 2, RsSMxV_rngISDBTInputExternalEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngISDBTInputFormatEntries[2] =
  {
    { RSSMVX_VAL_ISDBT_INPUT_FORMAT_ASI, "ASI" },
    { RSSMVX_VAL_ISDBT_INPUT_FORMAT_SMPTE, "SMPTE" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngISDBTInputFormat = { 2, RsSMxV_rngISDBTInputFormatEntries };

RsCoreRangeTableRanged RsSMxV_rngISDBTInputIPTSChannel = { 1, 4, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngISDBTInfoPacketLengthEntries[4] =
  {
    { RSSMXV_VAL_ISDBT_INPUT_INFO_PACKET_LENGTH_INVALID, "INV" },
    { RSSMXV_VAL_ISDBT_INPUT_INFO_PACKET_LENGTH_P188, "P188" },
    { RSSMXV_VAL_ISDBT_INPUT_INFO_PACKET_LENGTH_P204, "P204" },
    { RSSMXV_VAL_ISDBT_INPUT_INFO_PACKET_LENGTH_P208, "P208" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngISDBTInfoPacketLength = { 4, RsSMxV_rngISDBTInfoPacketLengthEntries };

RsCoreRangeTableRanged RsSMxV_rngISDBTInputInfoUsefulDataRate = { 0, 0, "" };

RsCoreRangeTableRanged RsSMxV_rngISDBTInputInfoUsefulDataRateMaximum = { 0, 999, "" };

RsCoreRangeTableRanged RsSMxV_rngISDBTInputInfoMeasuredDataRate = { 0, 9999, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngISDBTTestSignalDataEntries[3] =
  {
    { RSSMXV_VAL_ISDBT_TEST_SIGNAL_DATA_PAFC, "PAFC" },
    { RSSMXV_VAL_ISDBT_TEST_SIGNAL_DATA_PBEC, "PBEC" },
    { RSSMXV_VAL_ISDBT_TEST_SIGNAL_DATA_TTSP, "TTSP" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngISDBTTestSignalData = { 3, RsSMxV_rngISDBTTestSignalDataEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngISDBTCodingModeEntries[3] =
  {
    { RSSMXV_VAL_ISDBT_CODING_MODE_M12K, "M1_2K" },
    { RSSMXV_VAL_ISDBT_CODING_MODE_M24K, "M2_4K" },
    { RSSMXV_VAL_ISDBT_CODING_MODE_M38K, "M3_8K" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngISDBTCodingMode = { 3, RsSMxV_rngISDBTCodingModeEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngISDBTCodingChannelBandwidthEntries[3] =
  {
    { RSSMXV_VAL_ISDBT_CODING_CHANNEL_BANDWIDTH_6MHZ, "BW_6" },
    { RSSMXV_VAL_ISDBT_CODING_CHANNEL_BANDWIDTH_7MHZ, "BW_7" },
    { RSSMXV_VAL_ISDBT_CODING_CHANNEL_BANDWIDTH_8MHZ, "BW_8" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngISDBTCodingChannelBandwidth = { 3, RsSMxV_rngISDBTCodingChannelBandwidthEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngISDBTCodingGuardIntervalEntries[4] =
  {
    { RSSMXV_VAL_ISDBT_CODING_GUARD_INTERVAL_G14, "G1_4" },
    { RSSMXV_VAL_ISDBT_CODING_GUARD_INTERVAL_G18, "G1_8" },
    { RSSMXV_VAL_ISDBT_CODING_GUARD_INTERVAL_G116, "G1_16" },
    { RSSMXV_VAL_ISDBT_CODING_GUARD_INTERVAL_G132, "G1_32" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngISDBTCodingGuardInterval = { 4, RsSMxV_rngISDBTCodingGuardIntervalEntries };

RsCoreRangeTableRanged RsSMxV_rngISDBTCodingSubchannel = { 0, 41, "" };

RsCoreRangeTableRanged RsSMxV_rngISDBTUsedBandwidth = { 0, RS_VAL_MAX_REAL64, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngISDBTCodingPortionEntries[3] =
  {
    { RSSMXV_VAL_ISDBT_CODING_PORTION_PCM, "PCM" },
    { RSSMXV_VAL_ISDBT_CODING_PORTION_PDM, "PDM" },
    { RSSMXV_VAL_ISDBT_CODING_PORTION_PRR, "PRR" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngISDBTCodingPortion = { 3, RsSMxV_rngISDBTCodingPortionEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngISDBTCodingConstellationEntries[4] =
  {
    { RSSMXV_VAL_ISDBT_CODING_CONSTELLATION_DQPSK, "C_DQPSK" },
    { RSSMXV_VAL_ISDBT_CODING_CONSTELLATION_QPSK, "C_QPSK" },
    { RSSMXV_VAL_ISDBT_CODING_CONSTELLATION_16QAM, "C_16QAM" },
    { RSSMXV_VAL_ISDBT_CODING_CONSTELLATION_64QAM, "C_64QAM" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngISDBTCodingConstellation = { 4, RsSMxV_rngISDBTCodingConstellationEntries };

RsCoreRangeTableRanged RsSMxV_rngISDBTCodingSegmentsA = { 1, 11, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngISDBTCodingRateEntries[5] =
  {
    { RSSMXV_VAL_ISDBT_CODING_RATE_78, "R7_8" },
    { RSSMXV_VAL_ISDBT_CODING_RATE_56, "R5_6" },
    { RSSMXV_VAL_ISDBT_CODING_RATE_34, "R3_4" },
    { RSSMXV_VAL_ISDBT_CODING_RATE_23, "R2_3" },
    { RSSMXV_VAL_ISDBT_CODING_RATE_12, "R1_2" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngISDBTCodingRate = { 5, RsSMxV_rngISDBTCodingRateEntries };

static ViReal64 RsSMxV_rngISDBTCodingTimeInterleavingEntries[7] = { 0, 1, 16, 2, 32, 4, 8 };
RsCoreRangeTableCoerced RsSMxV_rngISDBTCodingTimeInterleaving = { 7, RsSMxV_rngISDBTCodingTimeInterleavingEntries, "" };

RsCoreRangeTableRanged RsSMxV_rngISDBTCodingSegments = { 0, 11, "" };

RsCoreRangeTableRanged RsSMxV_rngISDBTEEEWNumberofEpicenter = { 1, 2, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngISDBTEEWSignalTypeEntries[4] =
  {
    { RSSMXV_VAL_ISDBT_EEW_SIGNAL_TYPE_WWA, "WWA" },
    { RSSMXV_VAL_ISDBT_EEW_SIGNAL_TYPE_WWOA, "WWOA" },
    { RSSMXV_VAL_ISDBT_EEW_SIGNAL_TYPE_TWA, "TWA" },
    { RSSMXV_VAL_ISDBT_EEW_SIGNAL_TYPE_TWOA, "TWOA" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngISDBTEEWSignalType = { 4, RsSMxV_rngISDBTEEWSignalTypeEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngISDBTEEWInformationTypeEntries[2] =
  {
    { RSSMXV_VAL_ISDBT_EEW_INFORMATION_TYPE_CANCELED, "CANC" },
    { RSSMXV_VAL_ISDBT_EEW_INFORMATION_TYPE_ISSUED, "ISS" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngISDBTEEWInformationType = { 2, RsSMxV_rngISDBTEEWInformationTypeEntries };

RsCoreRangeTableRanged RsSMxV_rngISDBTEEWLatitude = { -90, 90, "DEG" };

RsCoreRangeTableRanged RsSMxV_rngISDBTEEWLongitude = { -180, 180, "DEG" };

RsCoreRangeTableRanged RsSMxV_rngISDBTEEWDepth = { 0, 1023, "m" };

RsCoreRangeTableRanged RsSMxV_rngISDBTEEWOccurenceTime = { 0, 1023, "s" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngISDBTSpecialACDataEntries[2] =
  {
    { RSSMXV_VAL_ISDBT_SPECIAL_AC_DATA_ALL1, "ALL1" },
    { RSSMXV_VAL_ISDBT_SPECIAL_AC_DATA_PRBS, "PRBS" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngISDBTSpecialACData = { 2, RsSMxV_rngISDBTSpecialACDataEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngISDBTSpecialTXParameterSwitchingIndicatorEntries[15] =
  {
    { RSSMXV_VAL_ISDBT_SPECIAL_TX_INDICATOR_NORMAL, "NORM" },
    { RSSMXV_VAL_ISDBT_SPECIAL_TX_INDICATOR_N1, "N1" },
    { RSSMXV_VAL_ISDBT_SPECIAL_TX_INDICATOR_N2, "N2" },
    { RSSMXV_VAL_ISDBT_SPECIAL_TX_INDICATOR_N4, "N4" },
    { RSSMXV_VAL_ISDBT_SPECIAL_TX_INDICATOR_N5, "N5" },
    { RSSMXV_VAL_ISDBT_SPECIAL_TX_INDICATOR_N6, "N6" },
    { RSSMXV_VAL_ISDBT_SPECIAL_TX_INDICATOR_N7, "N7" },
    { RSSMXV_VAL_ISDBT_SPECIAL_TX_INDICATOR_N8, "N8" },
    { RSSMXV_VAL_ISDBT_SPECIAL_TX_INDICATOR_N9, "N9" },
    { RSSMXV_VAL_ISDBT_SPECIAL_TX_INDICATOR_N10, "N10" },
    { RSSMXV_VAL_ISDBT_SPECIAL_TX_INDICATOR_N11, "N11" },
    { RSSMXV_VAL_ISDBT_SPECIAL_TX_INDICATOR_N12, "N12" },
    { RSSMXV_VAL_ISDBT_SPECIAL_TX_INDICATOR_N13, "N13" },
    { RSSMXV_VAL_ISDBT_SPECIAL_TX_INDICATOR_N14, "N14" },
    { RSSMXV_VAL_ISDBT_SPECIAL_TX_INDICATOR_N15, "N15" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngISDBTSpecialTXParameterSwitchingIndicator = { 15, RsSMxV_rngISDBTSpecialTXParameterSwitchingIndicatorEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngISDBTSpecialTMCCNextEntries[2] =
  {
    { RSSMXV_VAL_ISDBT_SPECIAL_TMCC_NEXT_UNUSED, "UNUS" },
    { RSSMXV_VAL_ISDBT_SPECIAL_TMCC_NEXT_CURRENT, "CURR" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngISDBTSpecialTMCCNext = { 2, RsSMxV_rngISDBTSpecialTMCCNextEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDTMBInputExternalInterfaceEntries[2] =
  {
    { RSSMXV_VAL_PROTOCOL_TS, "TS" },
    { RSSMXV_VAL_PROTOCOL_IP, "IP" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDTMBInputExternalInterface = { 2, RsSMxV_rngDTMBInputExternalInterfaceEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDTMBInputFormatEntries[2] =
  {
    { RSSMXV_VAL_DTMB_SIGNAL_INPUT_FORMAT_ASI, "ASI" },
    { RSSMXV_VAL_DTMB_SIGNAL_INPUT_FORMAT_SMPTE, "SMPTE" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDTMBInputFormat = { 2, RsSMxV_rngDTMBInputFormatEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDTMBInputInfoPacketLengthEntries[2] =
  {
    { RSSMXV_VAL_PACKET_LENGTH_INVALID, "INV" },
    { RSSMXV_VAL_PACKET_LENGTH_188, "P188" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDTMBInputInfoPacketLength = { 2, RsSMxV_rngDTMBInputInfoPacketLengthEntries };

RsCoreRangeTableRanged RsSMxV_rngDTMBInputInfoUsefulDataRateMax = { 0, 999999999, "" };

RsCoreRangeTableRanged RsSMxV_rngDTMBInputInfoMeasuredDataRate = { 0, 999999999, "" };

RsCoreRangeTableRanged RsSMxV_rngDTMBInputInfoUsefulDataRate = { 0, 999999999, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDTMBTestSignalEntries[1] =
  {
    { RSSMXV_VAL_DTMB_TEST_SIGNAL_TTSP, "TTSP" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDTMBTestSignal = { 1, RsSMxV_rngDTMBTestSignalEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDTMBCodingChannelBandwidthEntries[3] =
  {
    { RSSMXV_VAL_DTMB_CODING_CHANNEL_BANDWIDTH_BW6, "BW_6" },
    { RSSMXV_VAL_DTMB_CODING_CHANNEL_BANDWIDTH_BW7, "BW_7" },
    { RSSMXV_VAL_DTMB_CODING_CHANNEL_BANDWIDTH_BW8, "BW_8" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDTMBCodingChannelBandwidth = { 3, RsSMxV_rngDTMBCodingChannelBandwidthEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDTMBCodingConstellationEntries[5] =
  {
    { RSSMXV_VAL_DTMB_CODING_CONSTELLATION_D4, "D4" },
    { RSSMXV_VAL_DTMB_CODING_CONSTELLATION_D4NR, "D4NR" },
    { RSSMXV_VAL_DTMB_CODING_CONSTELLATION_D16, "D16" },
    { RSSMXV_VAL_DTMB_CODING_CONSTELLATION_D32, "D32" },
    { RSSMXV_VAL_DTMB_CODING_CONSTELLATION_D64, "D64" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDTMBCodingConstellation = { 5, RsSMxV_rngDTMBCodingConstellationEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDTMBCodingCodeRateEntries[3] =
  {
    { RSSMXV_VAL_DTMB_CODING_CODE_RATE_R04, "R04" },
    { RSSMXV_VAL_DTMB_CODING_CODE_RATE_R06, "R06" },
    { RSSMXV_VAL_DTMB_CODING_CODE_RATE_R08, "R08" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDTMBCodingCodeRate = { 3, RsSMxV_rngDTMBCodingCodeRateEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDTMBCodingGuardIntervalEntries[3] =
  {
    { RSSMXV_VAL_DTMB_CODING_GUARD_INTERVAL_G420, "G420" },
    { RSSMXV_VAL_DTMB_CODING_GUARD_INTERVAL_G595, "G595" },
    { RSSMXV_VAL_DTMB_CODING_GUARD_INTERVAL_G945, "G945" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDTMBCodingGuardInterval = { 3, RsSMxV_rngDTMBCodingGuardIntervalEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDTMBCodingGuardIntervalPNEntries[2] =
  {
    { RSSMXV_VAL_DTMB_CODING_GUARD_INTERVAL_PN_VAR, "VAR" },
    { RSSMXV_VAL_DTMB_CODING_GUARD_INTERVAL_PN_CONST, "CONS" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDTMBCodingGuardIntervalPN = { 2, RsSMxV_rngDTMBCodingGuardIntervalPNEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDTMBCodingTimeInterleaverEntries[3] =
  {
    { RSSMXV_VAL_DTMB_CODING_TIME_INTERLEAVER_OFF, "OFF" },
    { RSSMXV_VAL_DTMB_CODING_TIME_INTERLEAVER_I240, "I240" },
    { RSSMXV_VAL_DTMB_CODING_TIME_INTERLEAVER_I720, "I720" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDTMBCodingTimeInterleaver = { 3, RsSMxV_rngDTMBCodingTimeInterleaverEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDVBSInputEntries[2] =
  {
    { RSSMXV_VAL_PROTOCOL_TS, "TS" },
    { RSSMXV_VAL_PROTOCOL_IP, "IP" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDVBSInput = { 2, RsSMxV_rngDVBSInputEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDVBSInputFormatEntries[2] =
  {
    { RSSMXV_VAL_DVBS_INPUT_FORMAT_ASI, "ASI" },
    { RSSMXV_VAL_DVBS_INPUT_FORMAT_SMPTE, "SMPTE" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDVBSInputFormat = { 2, RsSMxV_rngDVBSInputFormatEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDVBSPacketLengthEntries[3] =
  {
    { RSSMXV_VAL_PACKET_LENGTH_INVALID, "I" },
    { RSSMXV_VAL_PACKET_LENGTH_188, "P188" },
    { RSSMXV_VAL_PACKET_LENGTH_208, "P208" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDVBSPacketLength = { 3, RsSMxV_rngDVBSPacketLengthEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDVBSTestSignalEntries[2] =
  {
    { RSSMXV_VAL_DVBS_TEST_SIGNAL_TTSP, "TTSP" },
    { RSSMXV_VAL_DVBS_TEST_SIGNAL_PBEC, "PBEC" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDVBSTestSignal = { 2, RsSMxV_rngDVBSTestSignalEntries };

RsCoreRangeTableRanged RsSMxV_rngDVBSCodingSymbolRate = { 1.0E+5, 9.0E+7, "Samples/second" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDVBSCodingConstellationEntries[3] =
  {
    { RSSMXV_VAL_DVBS_CODING_CONSTELLATION_S4, "S4" },
    { RSSMXV_VAL_DVBS_CODING_CONSTELLATION_S8, "S8" },
    { RSSMXV_VAL_DVBS_CODING_CONSTELLATION_S16, "S16" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDVBSCodingConstellation = { 3, RsSMxV_rngDVBSCodingConstellationEntries };

static ViReal64 RsSMxV_rngDVBSCodingRollOffEntries[3] = { 0.2, 0.25, 0.35 };
RsCoreRangeTableCoerced RsSMxV_rngDVBSCodingRollOff = { 3, RsSMxV_rngDVBSCodingRollOffEntries, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDVBSCodingCodeRateEntries[6] =
  {
    { RSSMXV_VAL_DVBS_CODE_RATE_1_2, "R1_2" },
    { RSSMXV_VAL_DVBS_CODE_RATE_2_3, "R2_3" },
    { RSSMXV_VAL_DVBS_CODE_RATE_3_4, "R3_4" },
    { RSSMXV_VAL_DVBS_CODE_RATE_5_6, "R5_6" },
    { RSSMXV_VAL_DVBS_CODE_RATE_7_8, "R7_8" },
    { RSSMXV_VAL_DVBS_CODE_RATE_8_9, "R8_9" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDVBSCodingCodeRate = { 6, RsSMxV_rngDVBSCodingCodeRateEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDVBS2CMModeEntries[3] =
  {
    { RSSMXV_VAL_DVBS2_CM_MODE_CCM, "CCM" },
    { RSSMXV_VAL_DVBS2_CM_MODE_ACM, "ACM" },
    { RSSMXV_VAL_DVBS2_CM_MODE_VCM, "VCM" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDVBS2CMMode = { 3, RsSMxV_rngDVBS2CMModeEntries };

RsCoreRangeTableRanged RsSMxV_rngDVBS2InputStreams = { 1, 8, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDVBS2InputEntries[2] =
  {
    { RSSMXV_VAL_PROTOCOL_TS, "TS" },
    { RSSMXV_VAL_PROTOCOL_IP, "IP" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDVBS2Input = { 2, RsSMxV_rngDVBS2InputEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDVBS2InputFormatEntries[2] =
  {
    { RSSMXV_VAL_DVBS2_INPUT_FORMAT_ASI, "ASI" },
    { RSSMXV_VAL_DVBS2_INPUT_FORMAT_SMPTE, "SMPTE" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDVBS2InputFormat = { 2, RsSMxV_rngDVBS2InputFormatEntries };

RsCoreRangeTableRanged RsSMxV_rngDVBS2IPTSChannel = { 1, 4, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDVBS2PacketLengthEntries[4] =
  {
    { RSSMXV_VAL_DVBS2_PACKET_LENGTH_INVALID, "INV" },
    { RSSMXV_VAL_DVBS2_PACKET_LENGTH_188, "P188" },
    { RSSMXV_VAL_DVBS2_PACKET_LENGTH_204, "P204" },
    { RSSMXV_VAL_DVBS2_PACKET_LENGTH_208, "P208" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDVBS2PacketLength = { 4, RsSMxV_rngDVBS2PacketLengthEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDVBS2TestSignalEntries[2] =
  {
    { RSSMXV_VAL_DVBS2_TEST_SIGNAL_TTSP, "TTSP" },
    { RSSMXV_VAL_DVBS2_TEST_SIGNAL_TGSP, "TGSP" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDVBS2TestSignal = { 2, RsSMxV_rngDVBS2TestSignalEntries };

RsCoreRangeTableRanged RsSMxV_rngDVBS2CodingSymbolRate = { 100.0e3, 90.0e6, "Samples/second" };

static ViReal64 RsSMxV_rngDVBS2CodingRollOffEntries[6] = { 0.05, 0.1, 0.15, 0.2, 0.25, 0.35 };
RsCoreRangeTableCoerced RsSMxV_rngDVBS2CodingRollOff = { 6, RsSMxV_rngDVBS2CodingRollOffEntries, "" };

RsCoreRangeTableRanged RsSMxV_rngDVBS2CodingNumberOfTimeSlices = { 1, 8, "" };

RsCoreRangeTableRanged RsSMxV_rngDVBS2CodingISI = { 1, 255, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDVBS2ModulationCodingEntries[92] =
  {
    { RSSMXV_VAL_DVBS2_MOD_COD_QPSK_1_4_CLASSICAL, "1" },
    { RSSMXV_VAL_DVBS2_MOD_COD_QPSK_1_3_CLASSICAL, "2" },
    { RSSMXV_VAL_DVBS2_MOD_COD_QPSK_2_5_CLASSICAL, "3" },
    { RSSMXV_VAL_DVBS2_MOD_COD_QPSK_1_2_CLASSICAL, "4" },
    { RSSMXV_VAL_DVBS2_MOD_COD_QPSK_3_5_CLASSICAL, "5" },
    { RSSMXV_VAL_DVBS2_MOD_COD_QPSK_2_3_CLASSICAL, "6" },
    { RSSMXV_VAL_DVBS2_MOD_COD_QPSK_3_4_CLASSICAL, "7" },
    { RSSMXV_VAL_DVBS2_MOD_COD_QPSK_4_5_CLASSICAL, "8" },
    { RSSMXV_VAL_DVBS2_MOD_COD_QPSK_5_6_CLASSICAL, "9" },
    { RSSMXV_VAL_DVBS2_MOD_COD_QPSK_8_9_CLASSICAL, "10" },
    { RSSMXV_VAL_DVBS2_MOD_COD_QPSK_9_10_CLASSICAL, "11" },
    { RSSMXV_VAL_DVBS2_MOD_COD_8PSK_3_5_CLASSICAL, "12" },
    { RSSMXV_VAL_DVBS2_MOD_COD_8PSK_2_3_CLASSICAL, "13" },
    { RSSMXV_VAL_DVBS2_MOD_COD_8PSK_3_4_CLASSICAL, "14" },
    { RSSMXV_VAL_DVBS2_MOD_COD_8PSK_5_6_CLASSICAL, "15" },
    { RSSMXV_VAL_DVBS2_MOD_COD_8PSK_8_9_CLASSICAL, "16" },
    { RSSMXV_VAL_DVBS2_MOD_COD_8PSK_9_10_CLASSICAL, "17" },
    { RSSMXV_VAL_DVBS2_MOD_COD_16APSK_2_3_CLASSICAL, "18" },
    { RSSMXV_VAL_DVBS2_MOD_COD_16APSK_3_4_CLASSICAL, "19" },
    { RSSMXV_VAL_DVBS2_MOD_COD_16APSK_4_5_CLASSICAL, "20" },
    { RSSMXV_VAL_DVBS2_MOD_COD_16APSK_5_6_CLASSICAL, "21" },
    { RSSMXV_VAL_DVBS2_MOD_COD_16APSK_8_9_CLASSICAL, "22" },
    { RSSMXV_VAL_DVBS2_MOD_COD_16APSK_9_10_CLASSICAL, "23" },
    { RSSMXV_VAL_DVBS2_MOD_COD_32APSK_3_4_CLASSICAL, "24" },
    { RSSMXV_VAL_DVBS2_MOD_COD_32APSK_4_5_CLASSICAL, "25" },
    { RSSMXV_VAL_DVBS2_MOD_COD_32APSK_5_6_CLASSICAL, "26" },
    { RSSMXV_VAL_DVBS2_MOD_COD_32APSK_8_9_CLASSICAL, "27" },
    { RSSMXV_VAL_DVBS2_MOD_COD_32APSK_9_10_CLASSICAL, "28" },
    { RSSMXV_VAL_DVBS2_MOD_COD_QPSK_13_45_SX, "29" },
    { RSSMXV_VAL_DVBS2_MOD_COD_QPSK_9_20_SX, "30" },
    { RSSMXV_VAL_DVBS2_MOD_COD_QPSK_11_20_SX, "31" },
    { RSSMXV_VAL_DVBS2_MOD_COD_8APSK_5_9_L_SX, "32" },
    { RSSMXV_VAL_DVBS2_MOD_COD_8APSK_26_45_L_SX, "33" },
    { RSSMXV_VAL_DVBS2_MOD_COD_8PSK_23_36_SX, "34" },
    { RSSMXV_VAL_DVBS2_MOD_COD_8PSK_25_36_SX, "35" },
    { RSSMXV_VAL_DVBS2_MOD_COD_8PSK_13_18_SX, "36" },
    { RSSMXV_VAL_DVBS2_MOD_COD_16APSK_1_2_L_SX, "37" },
    { RSSMXV_VAL_DVBS2_MOD_COD_16APSK_8_15_L_SX, "38" },
    { RSSMXV_VAL_DVBS2_MOD_COD_16APSK_5_9_L_SX, "39" },
    { RSSMXV_VAL_DVBS2_MOD_COD_16APSK_26_45_SX, "40" },
    { RSSMXV_VAL_DVBS2_MOD_COD_16APSK_3_5_SX, "41" },
    { RSSMXV_VAL_DVBS2_MOD_COD_16APSK_3_5_L_SX, "42" },
    { RSSMXV_VAL_DVBS2_MOD_COD_16APSK_28_45_SX, "43" },
    { RSSMXV_VAL_DVBS2_MOD_COD_16APSK_23_36_SX, "44" },
    { RSSMXV_VAL_DVBS2_MOD_COD_16APSK_2_3_L_SX, "45" },
    { RSSMXV_VAL_DVBS2_MOD_COD_16APSK_25_36_SX, "46" },
    { RSSMXV_VAL_DVBS2_MOD_COD_16APSK_13_18_SX, "47" },
    { RSSMXV_VAL_DVBS2_MOD_COD_16APSK_7_9_SX, "48" },
    { RSSMXV_VAL_DVBS2_MOD_COD_16APSK_77_90_SX, "49" },
    { RSSMXV_VAL_DVBS2_MOD_COD_32APSK_2_3_L_SX, "50" },
    { RSSMXV_VAL_DVBS2_MOD_COD_32APSK_32_45_SX, "51" },
    { RSSMXV_VAL_DVBS2_MOD_COD_32APSK_11_15_SX, "52" },
    { RSSMXV_VAL_DVBS2_MOD_COD_32APSK_7_9_SX, "53" },
    { RSSMXV_VAL_DVBS2_MOD_COD_64APSK_32_45_L_SX, "54" },
    { RSSMXV_VAL_DVBS2_MOD_COD_64APSK_11_15_SX, "55" },
    { RSSMXV_VAL_DVBS2_MOD_COD_64APSK_7_9_SX, "56" },
    { RSSMXV_VAL_DVBS2_MOD_COD_64APSK_4_5_SX, "57" },
    { RSSMXV_VAL_DVBS2_MOD_COD_64APSK_5_6_SX, "58" },
    { RSSMXV_VAL_DVBS2_MOD_COD_128APSK_3_4_SX, "59" },
    { RSSMXV_VAL_DVBS2_MOD_COD_128APSK_7_9_SX, "60" },
    { RSSMXV_VAL_DVBS2_MOD_COD_256APSK_29_45_L_SX, "61" },
    { RSSMXV_VAL_DVBS2_MOD_COD_256APSK_2_3_L_SX, "62" },
    { RSSMXV_VAL_DVBS2_MOD_COD_256APSK_31_45_L_SX, "63" },
    { RSSMXV_VAL_DVBS2_MOD_COD_256APSK_32_45_SX, "64" },
    { RSSMXV_VAL_DVBS2_MOD_COD_256APSK_11_15_L_SX, "65" },
    { RSSMXV_VAL_DVBS2_MOD_COD_256APSK_3_4_SX, "66" },
    { RSSMXV_VAL_DVBS2_MOD_COD_QPSK_11_45_SX_SHORT, "67" },
    { RSSMXV_VAL_DVBS2_MOD_COD_QPSK_4_15_SX_SHORT, "68" },
    { RSSMXV_VAL_DVBS2_MOD_COD_QPSK_14_45_SX_SHORT, "69" },
    { RSSMXV_VAL_DVBS2_MOD_COD_QPSK_7_15_SX_SHORT, "70" },
    { RSSMXV_VAL_DVBS2_MOD_COD_QPSK_8_15_SX_SHORT, "71" },
    { RSSMXV_VAL_DVBS2_MOD_COD_QPSK_32_45_SX_SHORT, "72" },
    { RSSMXV_VAL_DVBS2_MOD_COD_8PSK_7_15_SX_SHORT, "73" },
    { RSSMXV_VAL_DVBS2_MOD_COD_8PSK_8_15_SX_SHORT, "74" },
    { RSSMXV_VAL_DVBS2_MOD_COD_8PSK_26_45_SX_SHORT, "75" },
    { RSSMXV_VAL_DVBS2_MOD_COD_8PSK_32_45_SX_SHORT, "76" },
    { RSSMXV_VAL_DVBS2_MOD_COD_16APSK_7_15_SX_SHORT, "77" },
    { RSSMXV_VAL_DVBS2_MOD_COD_16APSK_8_15_SX_SHORT, "78" },
    { RSSMXV_VAL_DVBS2_MOD_COD_16APSK_26_45_SX_SHORT, "79" },
    { RSSMXV_VAL_DVBS2_MOD_COD_16APSK_3_5_SX_SHORT, "80" },
    { RSSMXV_VAL_DVBS2_MOD_COD_16APSK_32_45_SX_SHORT, "81" },
    { RSSMXV_VAL_DVBS2_MOD_COD_32APSK_2_3_SX_SHORT, "82" },
    { RSSMXV_VAL_DVBS2_MOD_COD_32APSK_32_45_SX_SHORT, "83" },
    { RSSMXV_VAL_DVBS2_MOD_COD_VL1_QPSK_2_9_SX_VL_SNR, "84" },
    { RSSMXV_VAL_DVBS2_MOD_COD_VL1_BPSK_1_5_SX_VL_SNR, "85" },
    { RSSMXV_VAL_DVBS2_MOD_COD_VL1_BPSK_11_45_SX_VL_SNR, "86" },
    { RSSMXV_VAL_DVBS2_MOD_COD_VL1_BPSK_1_3_SX_VL_SNR, "87" },
    { RSSMXV_VAL_DVBS2_MOD_COD_VL1_BPSK_S_1_5_SX_VL_SNR, "88" },
    { RSSMXV_VAL_DVBS2_MOD_COD_VL1_BPSK_S_11_45_SX_VL_SNR, "89" },
    { RSSMXV_VAL_DVBS2_MOD_COD_VL2_BPSK_1_5_SX_VL_SNR, "90" },
    { RSSMXV_VAL_DVBS2_MOD_COD_VL2_BPSK_4_15_SX_VL_SNR, "91" },
    { RSSMXV_VAL_DVBS2_MOD_COD_VL2_BPSK_1_3_SX_VL_SNR, "92" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDVBS2ModulationCoding = { 92, RsSMxV_rngDVBS2ModulationCodingEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDVBS2FECFrameEntries[3] =
  {
    { RSSMXV_VAL_DVBS2_FEC_FRAME_NORMAL, "NORM" },
    { RSSMXV_VAL_DVBS2_FEC_FRAME_MEDIUM, "MED" },
    { RSSMXV_VAL_DVBS2_FEC_FRAME_SHORT, "SHOR" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDVBS2FECFrame = { 3, RsSMxV_rngDVBS2FECFrameEntries };

RsCoreRangeTableRanged RsSMxV_rngDVBS2PLGoldCodeIndex = { 0, 262141, "" };

RsCoreRangeTableRanged RsSMxV_rngDVBS2PLScramblingSequenceID = { 0, 9999, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngIPChannelTypeEntries[2] =
  {
    { RSSMXV_VAL_IP_CHANNEL_UNICAST, "UNI" },
    { RSSMXV_VAL_IP_CHANNEL_MULTICAST, "MULT" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngIPChannelType = { 2, RsSMxV_rngIPChannelTypeEntries };

RsCoreRangeTableRanged RsSMxV_rngTSPlayerPosition = { 0, 36000000, "ms" };

RsCoreRangeTableRanged RsSMxV_rngTSPlayerDataRate = { 100000, 350000000, "bit/s" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngTSPlayerPacketLengthEntries[4] =
  {
    { RSSMXV_VAL_TS_PLAYER_PACKET_LENGTH_INV, "INV" },
    { RSSMXV_VAL_TS_PLAYER_PACKET_LENGTH_188, "P188" },
    { RSSMXV_VAL_TS_PLAYER_PACKET_LENGTH_204, "P204" },
    { RSSMXV_VAL_TS_PLAYER_PACKET_LENGTH_208, "P208" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngTSPlayerPacketLength = { 4, RsSMxV_rngTSPlayerPacketLengthEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngTSPlayerStopDataEntries[2] =
  {
    { RSSMXV_VAL_TS_PLAYER_STOP_DATA_NONE, "NONE" },
    { RSSMXV_VAL_TS_PLAYER_STOP_DATA_TTSP, "TTSP" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngTSPlayerStopData = { 2, RsSMxV_rngTSPlayerStopDataEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngTSPlayerTestPacketEntries[6] =
  {
    { RSSMXV_VAL_TS_PLAYER_TEST_PACKET_H184, "H184" },
    { RSSMXV_VAL_TS_PLAYER_TEST_PACKET_S187, "S187" },
    { RSSMXV_VAL_TS_PLAYER_TEST_PACKET_H200, "H200" },
    { RSSMXV_VAL_TS_PLAYER_TEST_PACKET_S203, "S203" },
    { RSSMXV_VAL_TS_PLAYER_TEST_PACKET_H204, "H204" },
    { RSSMXV_VAL_TS_PLAYER_TEST_PACKET_S207, "S207" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngTSPlayerTestPacket = { 6, RsSMxV_rngTSPlayerTestPacketEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngIPDataNetworkAddressModeEntries[2] =
  {
    { RSSMXV_VAL_IP_DATA_NETWORK_ADDRESS_DHCP, "AUTO" },
    { RSSMXV_VAL_IP_DATA_NETWORK_ADDRESS_STATIC, "STAT" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngIPDataNetworkAddressMode = { 2, RsSMxV_rngIPDataNetworkAddressModeEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngIPProtocolEntries[2] =
  {
    { RSSMXV_VAL_IP_PROTOCOL_UDP, "UDP" },
    { RSSMXV_VAL_IP_PROTOCOL_TCP, "TCP" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngIPProtocol = { 2, RsSMxV_rngIPProtocolEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngGraphicsAddEntries[2] =
  {
    { RSSMXV_VAL_GRAPHICS_ADD_MAX, "MAX" },
    { RSSMXV_VAL_GRAPHICS_ADD_MIN, "MIN" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngGraphicsAdd = { 2, RsSMxV_rngGraphicsAddEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngARBMultisegmentAppendActionEntries[35] =
  {
    { RSSMXV_VAL_ARB_MULTISEGMENT_APPEND_ACTION_SEGMENT0, "SEG0" },
    { RSSMXV_VAL_ARB_MULTISEGMENT_APPEND_ACTION_SEGMENT1, "SEG1" },
    { RSSMXV_VAL_ARB_MULTISEGMENT_APPEND_ACTION_SEGMENT2, "SEG2" },
    { RSSMXV_VAL_ARB_MULTISEGMENT_APPEND_ACTION_SEGMENT3, "SEG3" },
    { RSSMXV_VAL_ARB_MULTISEGMENT_APPEND_ACTION_SEGMENT4, "SEG4" },
    { RSSMXV_VAL_ARB_MULTISEGMENT_APPEND_ACTION_SEGMENT5, "SEG5" },
    { RSSMXV_VAL_ARB_MULTISEGMENT_APPEND_ACTION_SEGMENT6, "SEG6" },
    { RSSMXV_VAL_ARB_MULTISEGMENT_APPEND_ACTION_SEGMENT7, "SEG7" },
    { RSSMXV_VAL_ARB_MULTISEGMENT_APPEND_ACTION_SEGMENT8, "SEG8" },
    { RSSMXV_VAL_ARB_MULTISEGMENT_APPEND_ACTION_SEGMENT9, "SEG9" },
    { RSSMXV_VAL_ARB_MULTISEGMENT_APPEND_ACTION_SEGMENT10, "SEG10" },
    { RSSMXV_VAL_ARB_MULTISEGMENT_APPEND_ACTION_SEGMENT11, "SEG11" },
    { RSSMXV_VAL_ARB_MULTISEGMENT_APPEND_ACTION_SEGMENT12, "SEG12" },
    { RSSMXV_VAL_ARB_MULTISEGMENT_APPEND_ACTION_SEGMENT13, "SEG13" },
    { RSSMXV_VAL_ARB_MULTISEGMENT_APPEND_ACTION_SEGMENT14, "SEG14" },
    { RSSMXV_VAL_ARB_MULTISEGMENT_APPEND_ACTION_SEGMENT15, "SEG15" },
    { RSSMXV_VAL_ARB_MULTISEGMENT_APPEND_ACTION_SEGMENT16, "SEG16" },
    { RSSMXV_VAL_ARB_MULTISEGMENT_APPEND_ACTION_SEGMENT17, "SEG17" },
    { RSSMXV_VAL_ARB_MULTISEGMENT_APPEND_ACTION_SEGMENT18, "SEG18" },
    { RSSMXV_VAL_ARB_MULTISEGMENT_APPEND_ACTION_SEGMENT19, "SEG19" },
    { RSSMXV_VAL_ARB_MULTISEGMENT_APPEND_ACTION_SEGMENT20, "SEG20" },
    { RSSMXV_VAL_ARB_MULTISEGMENT_APPEND_ACTION_SEGMENT21, "SEG21" },
    { RSSMXV_VAL_ARB_MULTISEGMENT_APPEND_ACTION_SEGMENT22, "SEG22" },
    { RSSMXV_VAL_ARB_MULTISEGMENT_APPEND_ACTION_SEGMENT23, "SEG23" },
    { RSSMXV_VAL_ARB_MULTISEGMENT_APPEND_ACTION_SEGMENT24, "SEG24" },
    { RSSMXV_VAL_ARB_MULTISEGMENT_APPEND_ACTION_SEGMENT25, "SEG25" },
    { RSSMXV_VAL_ARB_MULTISEGMENT_APPEND_ACTION_SEGMENT26, "SEG26" },
    { RSSMXV_VAL_ARB_MULTISEGMENT_APPEND_ACTION_SEGMENT27, "SEG27" },
    { RSSMXV_VAL_ARB_MULTISEGMENT_APPEND_ACTION_SEGMENT28, "SEG28" },
    { RSSMXV_VAL_ARB_MULTISEGMENT_APPEND_ACTION_SEGMENT29, "SEG29" },
    { RSSMXV_VAL_ARB_MULTISEGMENT_APPEND_ACTION_SEGMENT30, "SEG30" },
    { RSSMXV_VAL_ARB_MULTISEGMENT_APPEND_ACTION_SEGMENT31, "SEG31" },
    { RSSMXV_VAL_ARB_MULTISEGMENT_APPEND_ACTION_NEXT, "NEXT" },
    { RSSMXV_VAL_ARB_MULTISEGMENT_APPEND_ACTION_BLANK, "BLAN" },
    { RSSMXV_VAL_ARB_MULTISEGMENT_APPEND_ACTION_ENDLESS, "ENDL" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngARBMultisegmentAppendAction = { 35, RsSMxV_rngARBMultisegmentAppendActionEntries };

RsCoreRangeTableRanged RsSMxV_rngDVBT2OFDMDataSymbolsPerT2Frame = { 3, 2097, "" };

RsCoreRangeTableRanged RsSMxV_rngETIChannel = { 1, 2, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngALCModeEntries[7] =
  {
    { RSSMXV_VAL_ALC_MODE_OFF, "OFF" },
    { RSSMXV_VAL_ALC_MODE_ON, "ON" },
    { RSSMXV_VAL_ALC_MODE_AUTO, "AUTO" },
    { RSSMXV_VAL_ALC_MODE_PRESET, "PRES" },
    { RSSMXV_VAL_ALC_MODE_OFFT, "OFFT" },
    { RSSMXV_VAL_ALC_MODE_ONS, "ONS" },
    { RSSMXV_VAL_ALC_MODE_ONT, "ONT" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngALCMode = { 7, RsSMxV_rngALCModeEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngMultiInstrumentModeEntries[2] =
  {
    { RSSMXV_VAL_MULTI_INSTRUMENT_MODE_PRIMARY, "PRIM" },
    { RSSMXV_VAL_MULTI_INSTRUMENT_MODE_SECONDARY, "SEC" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngMultiInstrumentMode = { 2, RsSMxV_rngMultiInstrumentModeEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDisplayPriorityEntries[2] =
  {
    { RSSMXV_VAL_DISPLAY_PRIORITY_AVERAGE, "AVER" },
    { RSSMXV_VAL_DISPLAY_PRIORITY_PEAK, "PEAK" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDisplayPriority = { 2, RsSMxV_rngDisplayPriorityEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngSystemConfigurationMultiInstrumentTriggerSyncEntries[2] =
  {
    { RSSMXV_VAL_SYSTEM_CONFIGURATION_MULTI_INSTRUMENT_TRIGGER_NOT_SYNCED, "NOSY" },
    { RSSMXV_VAL_SYSTEM_CONFIGURATION_MULTI_INSTRUMENT_TRIGGER_SYNCED, "SYNC" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngSystemConfigurationMultiInstrumentTriggerSync = { 2, RsSMxV_rngSystemConfigurationMultiInstrumentTriggerSyncEntries };

RsCoreRangeTableRanged RsSMxV_rngIQOutputDigitalChannelLevel = { -60, 0.0, "dB" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngTDMBDABSpecialPRBSSequenceEntries[4] =
  {
    { RSSMXV_VAL_TDMB_DAB_SEQUENCE_ZERO, "ZERO" },
    { RSSMXV_VAL_TDMB_DAB_SEQUENCE_PRBS_15, "P15_1" },
    { RSSMXV_VAL_TDMB_DAB_SEQUENCE_PRBS_20, "P20_1" },
    { RSSMXV_VAL_TDMB_DAB_SEQUENCE_PRBS_23, "P23_1" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngTDMBDABSpecialPRBSSequence = { 4, RsSMxV_rngTDMBDABSpecialPRBSSequenceEntries };

RsCoreRangeTableRanged RsSMxV_rngTDMBDABSpecialTestSignalSubchannelID = { 0, 64, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDVBCConstellationEntries[5] =
  {
    { RSSMXV_VAL_DVBC_CONSTELLATION_16_QAM, "C16" },
    { RSSMXV_VAL_DVBC_CONSTELLATION_32_QAM, "C32" },
    { RSSMXV_VAL_DVBC_CONSTELLATION_64_QAM, "C64" },
    { RSSMXV_VAL_DVBC_CONSTELLATION_128_QAM, "C128" },
    { RSSMXV_VAL_DVBC_CONSTELLATION_256_QAM, "C256" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDVBCConstellation = { 5, RsSMxV_rngDVBCConstellationEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngInputSignalInterfaceEntries[2] =
  {
    { RSSMXV_VAL_INPUT_SIGNAL_INTERFACE_TS, "TS" },
    { RSSMXV_VAL_INPUT_SIGNAL_INTERFACE_IP, "IP" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngInputSignalInterface = { 2, RsSMxV_rngInputSignalInterfaceEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngInputSignalFormatEntries[2] =
  {
    { RSSMXV_VAL_INPUT_SIGNAL_FORMAT_ASI, "ASI" },
    { RSSMXV_VAL_INPUT_SIGNAL_FORMAT_SMPTE, "SMPTE" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngInputSignalFormat = { 2, RsSMxV_rngInputSignalFormatEntries };

RsCoreRangeTableRanged RsSMxV_rngInputSignalTSChannel = { 1, 4, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDVBCRollOffFactorEntries[2] =
  {
    { RSSMXV_VAL_DVBC_ROLL_OFF_FACTOR_0_13, "0.13" },
    { RSSMXV_VAL_DVBC_ROLL_OFF_FACTOR_0_15, "0.15" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDVBCRollOffFactor = { 2, RsSMxV_rngDVBCRollOffFactorEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngInputSignalSourceEntries[3] =
  {
    { RSSMXV_VAL_INPUT_SIGNAL_SOURCE_EXTERNAL, "EXT" },
    { RSSMXV_VAL_INPUT_SIGNAL_SOURCE_TS_PLAYER, "TSPL" },
    { RSSMXV_VAL_INPUT_SIGNAL_SOURCE_TEST_SIGNAL, "TEST" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngInputSignalSource = { 3, RsSMxV_rngInputSignalSourceEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngTestSignalEntries[3] =
  {
    { RSSMXV_VAL_TEST_SIGNAL_TTSP, "TTSP" },
    { RSSMXV_VAL_TEST_SIGNAL_PBDE, "PBDE" },
    { RSSMXV_VAL_TEST_SIGNAL_PBEM, "PBEM" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngTestSignal = { 3, RsSMxV_rngTestSignalEntries };

RsCoreRangeTableRanged RsSMxV_rngDVBCCodingSymbolRate = { 100000, 8000000, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngDVBCPacketLengthEntries[3] =
  {
    { RSSMXV_VAL_DVBC_PACKET_LENGTH_INVALID, "INV" },
    { RSSMXV_VAL_DVBC_PACKET_LENGTH_188_BYTES, "P188" },
    { RSSMXV_VAL_DVBC_PACKET_LENGTH_204_BYTES, "P204" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngDVBCPacketLength = { 3, RsSMxV_rngDVBCPacketLengthEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngJ83BCodingConstellationEntries[3] =
  {
    { RSSMXV_VAL_J83B_CODING_CONSTELLATION_64_QAM, "J64" },
    { RSSMXV_VAL_J83B_CODING_CONSTELLATION_256_QAM, "J256" },
    { RSSMXV_VAL_J83B_CODING_CONSTELLATION_1024_QAM, "J1024" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngJ83BCodingConstellation = { 3, RsSMxV_rngJ83BCodingConstellationEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngJ83BCodingInterleaverModeEntries[13] =
  {
    { RSSMXV_VAL_J83B_CODING_INTERLEAVER_MODE_0, "0" },
    { RSSMXV_VAL_J83B_CODING_INTERLEAVER_MODE_1, "1" },
    { RSSMXV_VAL_J83B_CODING_INTERLEAVER_MODE_2, "2" },
    { RSSMXV_VAL_J83B_CODING_INTERLEAVER_MODE_3, "3" },
    { RSSMXV_VAL_J83B_CODING_INTERLEAVER_MODE_4, "4" },
    { RSSMXV_VAL_J83B_CODING_INTERLEAVER_MODE_5, "5" },
    { RSSMXV_VAL_J83B_CODING_INTERLEAVER_MODE_6, "6" },
    { RSSMXV_VAL_J83B_CODING_INTERLEAVER_MODE_7, "7" },
    { RSSMXV_VAL_J83B_CODING_INTERLEAVER_MODE_8, "8" },
    { RSSMXV_VAL_J83B_CODING_INTERLEAVER_MODE_9, "9" },
    { RSSMXV_VAL_J83B_CODING_INTERLEAVER_MODE_10, "10" },
    { RSSMXV_VAL_J83B_CODING_INTERLEAVER_MODE_12, "12" },
    { RSSMXV_VAL_J83B_CODING_INTERLEAVER_MODE_14, "14" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngJ83BCodingInterleaverMode = { 13, RsSMxV_rngJ83BCodingInterleaverModeEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngJ83BPacketLengthEntries[2] =
  {
    { RSSMXV_VAL_J83B_PACKET_LENGTH_INVALID, "INV" },
    { RSSMXV_VAL_J83B_PACKET_LENGTH_P188, "P188" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngJ83BPacketLength = { 2, RsSMxV_rngJ83BPacketLengthEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngJ83BRollOffFactorEntries[2] =
  {
    { RSSMXV_VAL_J83B_ROLL_OFF_FACTOR_0_12, "0.12" },
    { RSSMXV_VAL_J83B_ROLL_OFF_FACTOR_0_18, "0.18" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngJ83BRollOffFactor = { 2, RsSMxV_rngJ83BRollOffFactorEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngTimeProtocolEntries[2] =
  {
    { RSSMXV_VAL_TIME_PROTOCOL_NONE, "NONE" },
    { RSSMXV_VAL_TIME_PROTOCOL_NTP, "NTP" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngTimeProtocol = { 2, RsSMxV_rngTimeProtocolEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngPowerSensorControlModeEntries[2] =
  {
    { RSSMXV_VAL_POWER_SENSOR_CONTROL_MODE_AUTO, "AUTO" },
    { RSSMXV_VAL_POWER_SENSOR_CONTROL_MODE_SINGLE, "SING" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngPowerSensorControlMode = { 2, RsSMxV_rngPowerSensorControlModeEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngPowerSensorsEntries[4] =
  {
    { RSSMXV_VAL_POWER_SENSORS_1, "SENS1" },
    { RSSMXV_VAL_POWER_SENSORS_2, "SENS2" },
    { RSSMXV_VAL_POWER_SENSORS_3, "SENS3" },
    { RSSMXV_VAL_POWER_SENSORS_4, "SENS4" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngPowerSensors = { 4, RsSMxV_rngPowerSensorsEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngHUMSDataFormatEntries[2] =
  {
    { RSSMXV_VAL_HUMS_DATA_FORMAT_JSON, "JSON" },
    { RSSMXV_VAL_HUMS_DATA_FORMAT_XML, "XML" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngHUMSDataFormat = { 2, RsSMxV_rngHUMSDataFormatEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngSNMPAccessEntries[2] =
  {
    { RSSMXV_VAL_SNMP_ACCESS_RO, "RO" },
    { RSSMXV_VAL_SNMP_ACCESS_RW, "RW" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngSNMPAccess = { 2, RsSMxV_rngSNMPAccessEntries };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngSNMPLevelEntries[3] =
  {
    { RSSMXV_VAL_SNMP_LEVEL_NO_AUTHENTICATION, "NOA" },
    { RSSMXV_VAL_SNMP_LEVEL_AUTHENTICATION, "AUTH" },
    { RSSMXV_VAL_SNMP_LEVEL_AUTHENTICATION_AND_PRIVACY, "PRIV" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngSNMPLevel = { 3, RsSMxV_rngSNMPLevelEntries };

RsCoreRangeTableRanged RsSMxV_rngCalibrationWarmUpTime = { 30, 120, "minutes" };

RsCoreRangeTableRanged RsSMxV_rngDisplayBrightness = { 1, 20, "" };

static RsCoreRangeTableDiscreteEntry RsSMxV_rngHUMSSNMPVersionEntries[4] =
  {
    { RSSMXV_VAL_HUMSSNMP_VERSION_OFF, "OFF" },
    { RSSMXV_VAL_HUMSSNMP_VERSION_V12, "V12" },
    { RSSMXV_VAL_HUMSSNMP_VERSION_V123, "V123" },
    { RSSMXV_VAL_HUMSSNMP_VERSION_V3, "V3" }
  };
RsCoreRangeTableDiscrete RsSMxV_rngHUMSSNMPVersion = { 4, RsSMxV_rngHUMSSNMPVersionEntries };

RsCoreRangeTableRanged RsSMxV_rngSystemConfigurationHSDRFFrequency = { 100e3, 3e9, "" };

RsCoreRangeTableRanged RsSMxV_rngPowerSensorControlCatchRange = { 0, 50, "" };

RsCoreRangeTableRanged RsSMxV_rngPowerSensorControlDelay = { 0, 1000, "" };

RsCoreRangeTableRanged RsSMxV_rngPowerSensorControlTargetLevel = { -50, 30, "" };

RsCoreRangeTableRanged RsSMxV_rngRFLevelReference = { -245, 120, "" };


/*****************************************************************************
 *- Attributes --------------------------------------------------------------*
 *****************************************************************************/

RsCoreAttribute  g_RS_ATTR_RANGE_CHECK =
  {
    RS_ATTR_RANGE_CHECK,
    "Range Check",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_QUERY_INSTRUMENT_STATUS =
  {
    RS_ATTR_QUERY_INSTRUMENT_STATUS,
    "Query Instrument Status",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SIMULATE =
  {
    RS_ATTR_SIMULATE,
    "Simulate",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION =
  {
    RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION,
    "Driver Description",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_PREFIX =
  {
    RS_ATTR_SPECIFIC_DRIVER_PREFIX,
    "Driver Prefix",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "rssmxv",
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_LOCATOR =
  {
    RS_ATTR_SPECIFIC_DRIVER_LOCATOR,
    "Driver Locator",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_VENDOR =
  {
    RS_ATTR_SPECIFIC_DRIVER_VENDOR,
    "Driver Vendor",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Rohde&Schwarz",
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_REVISION =
  {
    RS_ATTR_SPECIFIC_DRIVER_REVISION,
    "Driver Revision",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION,
    "Class Specification Major Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION,
    "Class Specification Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS =
  {
    RS_ATTR_SUPPORTED_INSTRUMENT_MODELS,
    "Supported Instrument Models",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_GROUP_CAPABILITIES =
  {
    RS_ATTR_GROUP_CAPABILITIES,
    "Class Group Capabilities",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_FUNCTION_CAPABILITIES =
  {
    RS_ATTR_FUNCTION_CAPABILITIES,
    "Function Capabilities",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_CHANNEL_COUNT =
  {
    RS_ATTR_CHANNEL_COUNT,
    "Channel Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_DRIVER_SETUP =
  {
    RS_ATTR_DRIVER_SETUP,
    "Driver Setup",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_INSTRUMENT_MANUFACTURER =
  {
    RS_ATTR_INSTRUMENT_MANUFACTURER,
    "Instrument Manufacturer",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Rohde&Schwarz",
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_INSTRUMENT_MODEL =
  {
    RS_ATTR_INSTRUMENT_MODEL,
    "Instrument Model",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION =
  {
    RS_ATTR_INSTRUMENT_FIRMWARE_REVISION,
    "Instrument Firmware Revision",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_OPTIONS_LIST =
  {
    RS_ATTR_OPTIONS_LIST,
    "Options List",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "K0",
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_IO_RESOURCE_DESCRIPTOR =
  {
    RS_ATTR_IO_RESOURCE_DESCRIPTOR,
    "Resource Descriptor",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_LOGICAL_NAME =
  {
    RS_ATTR_LOGICAL_NAME,
    "Logical Name",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_PRIMARY_ERROR =
  {
    RS_ATTR_PRIMARY_ERROR,
    "Primary Error",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SECONDARY_ERROR =
  {
    RS_ATTR_SECONDARY_ERROR,
    "Secondary Error",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_ERROR_ELABORATION =
  {
    RS_ATTR_ERROR_ELABORATION,
    "Error Elaboration",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION,
    "Driver Major Version",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION,
    "Driver Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION,
    "Driver Minor Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION =
  {
    RS_ATTR_CLASS_DRIVER_MAJOR_VERSION,
    "Class Major Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_CLASS_DRIVER_MINOR_VERSION =
  {
    RS_ATTR_CLASS_DRIVER_MINOR_VERSION,
    "Class Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_ENGINE_MAJOR_VERSION =
  {
    RS_ATTR_ENGINE_MAJOR_VERSION,
    "Engine Major Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_ENGINE_MINOR_VERSION =
  {
    RS_ATTR_ENGINE_MINOR_VERSION,
    "Engine Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_ENGINE_REVISION =
  {
    RS_ATTR_ENGINE_REVISION,
    "Engine Revision",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_OPC_TIMEOUT =
  {
    RS_ATTR_OPC_TIMEOUT,
    "Operation Complete (OPC) Timeout",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_RESET_SIGNAL_PATH =
  {
    RSSMXV_ATTR_RESET_SIGNAL_PATH,
    "Reset Signal Path",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SOUR{Path}:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_BB_FREQUENCY_OFFSET =
  {
    RSSMXV_ATTR_BB_FREQUENCY_OFFSET,
    "BB Frequency Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:FOFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_BB_SIGNAL_ROUTING =
  {
    RSSMXV_ATTR_BB_SIGNAL_ROUTING,
    "BB Signal Routing",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngBBSignalRouting, NULL, NULL,
    ":SOUR{Path}:BB:ROUT",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_BB_SIGNAL_ROUTING_A,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_BB_PHASE_OFFSET =
  {
    RSSMXV_ATTR_BB_PHASE_OFFSET,
    "BB Phase Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngBBPhaseOffset, NULL,
    ":SOUR{Path}:BB:POFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_AM_AUDIO_ENABLED =
  {
    RSSMXV_ATTR_AM_AUDIO_ENABLED,
    "AM Audio Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:RAD:AM:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_AM_AUDIO_SET_TO_DEFAULT =
  {
    RSSMXV_ATTR_AM_AUDIO_SET_TO_DEFAULT,
    "AM Audio Set To Default",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:RAD:AM:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_AM_AUDIO_RECALL_SETTINGS =
  {
    RSSMXV_ATTR_AM_AUDIO_RECALL_SETTINGS,
    "AM Audio Recall Settings",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:RAD:AM:SETT:LOAD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "settings",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_AM_AUDIO_SAVE_SETTINGS =
  {
    RSSMXV_ATTR_AM_AUDIO_SAVE_SETTINGS,
    "AM Audio Save Settings",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:RAD:AM:SETT:STOR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "//var//user//settings.am",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_AM_AUDIO_SETTINGS_CATALOG =
  {
    RSSMXV_ATTR_AM_AUDIO_SETTINGS_CATALOG,
    "AM Audio Settings Catalog",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:RAD:AM:SETT:CAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "settings",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_AM_AUDIO_DELETE_SETTINGS =
  {
    RSSMXV_ATTR_AM_AUDIO_DELETE_SETTINGS,
    "AM Audio Delete Settings",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:RAD:AM:SETT:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "settings",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_AM_AUDIO_INPUT_SIGNAL =
  {
    RSSMXV_ATTR_AM_AUDIO_INPUT_SIGNAL,
    "AM Audio Input Signal",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngAudioSignalSource, NULL, NULL,
    "SOUR{Path}:BB:RAD:AM:INP",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_AUDIO_SOURCE_GENERATOR,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_AM_AUDIO_EXTERNAL_SOURCE =
  {
    RSSMXV_ATTR_AM_AUDIO_EXTERNAL_SOURCE,
    "AM Audio External Source",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngAMAudioExternalSource, NULL, NULL,
    "SOUR{Path}:BB:RAD:AM:SOUR?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_AUDIO_SOURCE_EXTERNAL_SPDIF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_AM_AUDIO_CHANNEL_ENABLED =
  {
    RSSMXV_ATTR_AM_AUDIO_CHANNEL_ENABLED,
    "AM Audio Channel Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:RAD:AM:AUD:AF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_AM_AUDIO_GENERATOR_LEVEL =
  {
    RSSMXV_ATTR_AM_AUDIO_GENERATOR_LEVEL,
    "AM Audio Generator Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngAudioGeneratorLevel, NULL,
    "SOUR{Path}:BB:RAD:AM:AUDG:LEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_AM_AUDIO_GENERATOR_FREQUENCY =
  {
    RSSMXV_ATTR_AM_AUDIO_GENERATOR_FREQUENCY,
    "AM Audio Generator Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngAudioGeneratorFrequency, NULL,
    "SOUR{Path}:BB:RAD:AM:AUDG:FRQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1e3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_AM_AUDIO_PLAYER_SOURCE =
  {
    RSSMXV_ATTR_AM_AUDIO_PLAYER_SOURCE,
    "AM Audio Player Source",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:RAD:AM:APL:LIBR:SEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "audio.wav",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_AM_AUDIO_PLAYER_CATALOG =
  {
    RSSMXV_ATTR_AM_AUDIO_PLAYER_CATALOG,
    "AM Audio Player Catalog",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:RAD:AM:APL:LIBR:CAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "default_sine_1khz",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_AM_AUDIO_PLAYER_ATTENUATION =
  {
    RSSMXV_ATTR_AM_AUDIO_PLAYER_ATTENUATION,
    "AM Audio Player Attenuation",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngAudioPlayerAttenuation, NULL,
    "SOUR{Path}:BB:RAD:AM:APL:ATT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_AM_AUDIO_MODULATION_NOMINAL_DEPTH =
  {
    RSSMXV_ATTR_AM_AUDIO_MODULATION_NOMINAL_DEPTH,
    "AM Audio Modulation Nominal Depth",
    RS_VAL_WRITE_ONLY,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngPctReal64, NULL,
    "SOUR{Path}:BB:RAD:AM:DEPT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    30,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_AM_AUDIO_MODULATION_DEPTH =
  {
    RSSMXV_ATTR_AM_AUDIO_MODULATION_DEPTH,
    "AM Audio Modulation Depth",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngPctReal64, NULL,
    "SOUR{Path}:BB:RAD:AM:MOD:DEPT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_ENABLED =
  {
    RSSMXV_ATTR_FM_AUDIO_ENABLED,
    "FM Audio Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:RAD:FM:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_SET_TO_DEFAULT =
  {
    RSSMXV_ATTR_FM_AUDIO_SET_TO_DEFAULT,
    "FM Audio Set To Default",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:RAD:FM:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RECALL_SETTINGS =
  {
    RSSMXV_ATTR_FM_AUDIO_RECALL_SETTINGS,
    "FM Audio Recall Settings",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:RAD:FM:SETT:LOAD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "settings",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_SAVE_SETTINGS =
  {
    RSSMXV_ATTR_FM_AUDIO_SAVE_SETTINGS,
    "FM Audio Save Settings",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:RAD:FM:SETT:STOR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "//var//user//settings.am",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_SETTINGS_CATALOG =
  {
    RSSMXV_ATTR_FM_AUDIO_SETTINGS_CATALOG,
    "FM Audio Settings Catalog",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:RAD:FM:SETT:CAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "settings",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_DELETE_SETTINGS =
  {
    RSSMXV_ATTR_FM_AUDIO_DELETE_SETTINGS,
    "FM Audio Delete Settings",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:RAD:FM:SETT:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "settings",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_INPUT_SIGNAL =
  {
    RSSMXV_ATTR_FM_AUDIO_INPUT_SIGNAL,
    "FM Audio Input Signal",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngAudioSignalSource, NULL, NULL,
    "SOUR{Path}:BB:RAD:FM:INP",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_AUDIO_SOURCE_GENERATOR,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_EXTERNAL_SOURCE =
  {
    RSSMXV_ATTR_FM_AUDIO_EXTERNAL_SOURCE,
    "FM Audio External Source",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngFMAudioExternalSource, NULL, NULL,
    "SOUR{Path}:BB:RAD:FM:AUD:SOUR?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_AUDIO_SOURCE_EXTERNAL_SPDIF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_STEREO_MODE =
  {
    RSSMXV_ATTR_FM_AUDIO_STEREO_MODE,
    "FM Audio Stereo Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngStereoAudioMode, NULL, NULL,
    "SOUR{Path}:BB:RAD:FM:AUD:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_STEREO_AUDIO_MODE_LEFT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_STEREO_CHANNEL_ENABLED =
  {
    RSSMXV_ATTR_FM_AUDIO_STEREO_CHANNEL_ENABLED,
    "FM Audio Stereo Channel Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:RAD:FM:AUD:AF{StereoChannel}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_GENERATOR_LEVEL =
  {
    RSSMXV_ATTR_FM_AUDIO_GENERATOR_LEVEL,
    "FM Audio Generator Channel Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngAudioGeneratorLevel, NULL,
    "SOUR{Path}:BB:RAD:FM:AUDG:LEV{StereoChannel}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_GENERATOR_CHANNEL_FREQUENCY =
  {
    RSSMXV_ATTR_FM_AUDIO_GENERATOR_CHANNEL_FREQUENCY,
    "FM Audio Generator Channel Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngAudioGeneratorFrequency, NULL,
    "SOUR{Path}:BB:RAD:FM:AUDG:FRQ{StereoChannel}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1e3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_PLAYER_SOURCE =
  {
    RSSMXV_ATTR_FM_AUDIO_PLAYER_SOURCE,
    "FM Audio Player Source",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:RAD:FM:APL:LIBR:SEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "audio.wav",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_PLAYER_CATALOG =
  {
    RSSMXV_ATTR_FM_AUDIO_PLAYER_CATALOG,
    "FM Audio Player Catalog",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:RAD:FM:APL:LIBR:CAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "default_sine_1khz",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_PLAYER_CHANNEL_ATTENUATION =
  {
    RSSMXV_ATTR_FM_AUDIO_PLAYER_CHANNEL_ATTENUATION,
    "FM Audio Player Channel Attenuation",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngAudioPlayerAttenuation, NULL,
    "SOUR{Path}:BB:RAD:FM:APL:ATT{StereoChannel}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_MODULATION_MODE =
  {
    RSSMXV_ATTR_FM_AUDIO_MODULATION_MODE,
    "FM Audio Modulation Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngFMAudioModulationMode, NULL, NULL,
    "SOUR{Path}:BB:RAD:FM:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_FM_MODULATION_MODE_STEREO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_MODULATION_PREEMPHASIS =
  {
    RSSMXV_ATTR_FM_AUDIO_MODULATION_PREEMPHASIS,
    "FM Audio Modulation Preemphasis",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngFMAudioModulationPreemphasis, NULL, NULL,
    "SOUR{Path}:BB:RAD:FM:AUD:PRE",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_FM_AUDIO_PREEMPHASIS_D50,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_MODULATION_NOMINAL_DEVIATION =
  {
    RSSMXV_ATTR_FM_AUDIO_MODULATION_NOMINAL_DEVIATION,
    "FM Audio Modulation Nominal Deviation",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngFMNominalDeviation, NULL,
    "SOUR{Path}:BB:RAD:FM:AUD:NDEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    40e3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_MODULATION_ACTUAL_DEVIATION =
  {
    RSSMXV_ATTR_FM_AUDIO_MODULATION_ACTUAL_DEVIATION,
    "FM Audio Modulation Actual Deviation",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngFMActualDeviation, NULL,
    "SOUR{Path}:BB:RAD:FM:AUD:DEV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_MODULATION_PILOT_DEVIATION =
  {
    RSSMXV_ATTR_FM_AUDIO_MODULATION_PILOT_DEVIATION,
    "FM Audio Modulation Pilot Deviation",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngFMPilotDeviation, NULL,
    "SOUR{Path}:BB:RAD:FM:PIL:DEV",
    // Defaults I32, I64, Float, Bool, String
    6750,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_ENABLED =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_ENABLED,
    "FM Audio RDS Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_DEVIATION =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_DEVIATION,
    "FM Audio RDS Deviation",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngFMDataDeviation, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:DEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    2e3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_GROUP_SEQUENCE =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_GROUP_SEQUENCE,
    "FM Audio RDS Group Sequence",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:GRO:SEQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0B,2A",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_PROGRAM_ID =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_PROGRAM_ID,
    "FM Audio RDS Program ID",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng16bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:PI",
    // Defaults I32, I64, Float, Bool, String
    65535,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_PROGRAM_SERVICE_NAME =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_PROGRAM_SERVICE_NAME,
    "FM Audio RDS Program Service Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:PS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "R&S SMCV",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_TRAFFIC_PROGRAM_FLAG =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_TRAFFIC_PROGRAM_FLAG,
    "FM Audio RDS Traffic Program Flag",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:TP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_TRAFFIC_ANNOUNCEMENT_FLAG =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_TRAFFIC_ANNOUNCEMENT_FLAG,
    "FM Audio RDS Traffic Announcement Flag",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:TA",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_PROGRAM_TYPE =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_PROGRAM_TYPE,
    "FM Audio RDS Program Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngRDSProgramType, NULL, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:PTY",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_RDS_PROGRAM_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_PROGRAM_TYPE_NAME =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_PROGRAM_TYPE_NAME,
    "FM Audio RDS Program Type Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:PTYN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "None",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_MUSIC_SPEECH_FLAG =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_MUSIC_SPEECH_FLAG,
    "FM Audio RDS Music Speech Flag",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngRDSMSFlag, NULL, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:MS",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_FM_AUDIO_RDS_MUSIC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_RADIO_TEXT =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_RADIO_TEXT,
    "FM Audio RDS Radio Text",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:RT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Rohde&Schwarz",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_DI_DYNAMIC_PTY_ENABLED =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_DI_DYNAMIC_PTY_ENABLED,
    "FM Audio RDS DI Dynamic PTY Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:DI:DYN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_DI_COMPRESSED =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_DI_COMPRESSED,
    "FM Audio RDS DI Compressed",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:DI:COMP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_DI_ARTIFICIAL_HEAD_ENABLED =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_DI_ARTIFICIAL_HEAD_ENABLED,
    "FM Audio RDS DI Artificial Head Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:DI:ART",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_DI_STEREO_DECODER =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_DI_STEREO_DECODER,
    "FM Audio RDS DI Stereo Decoder",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDIStereoDecoder, NULL, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:DI:STER",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_RDS_DI_DECODER_MONO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_CLOCK_ENABLED =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_CLOCK_ENABLED,
    "FM Audio RDS Clock Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:CT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_CLOCK_OFFSET =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_CLOCK_OFFSET,
    "FM Audio RDS Clock Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngRDSClockOffset, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:CTOF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_ALTERNATIVE_FREQUENCY_METHOD =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_ALTERNATIVE_FREQUENCY_METHOD,
    "FM Audio RDS Alternative Frequency Method",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngRDSAFMethod, NULL, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:AF:METH",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_RDS_AF_METHOD_A,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_AF_METHOD_A_FREQUENCY_COUNT =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_AF_METHOD_A_FREQUENCY_COUNT,
    "FM Audio RDS AF Method A Frequency Count",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngAFAFreqCount, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:AF:A:NUMB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_AF_METHOD_A_FREQUENCY =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_AF_METHOD_A_FREQUENCY,
    "FM Audio RDS AF Method A Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngFMFrequency, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:AF:A:FREQ{AFAFreq}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    87600000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_AF_METHOD_B_LIST_FREQUENCY_COUNT =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_AF_METHOD_B_LIST_FREQUENCY_COUNT,
    "FM Audio RDS AF Method B List Frequency Count",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngAFListFreqCount, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:AF:B:LIST{AFBList}:NUMB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_AF_METHOD_B_LIST_TUNING_FREQUENCY =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_AF_METHOD_B_LIST_TUNING_FREQUENCY,
    "FM Audio RDS AF Method B List Tuning Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngFMFrequency, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:AF:B:LIST{AFBList}:TFR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    87600000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_AF_METHOD_B_LIST_ENTRY_FREQUENCY =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_AF_METHOD_B_LIST_ENTRY_FREQUENCY,
    "FM Audio RDS AF Method B List Entry Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngFMFrequency, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:AF:B:LIST{AFBList}:FREQ{AFBFreq}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    87600000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_AF_METHOD_B_LIST_ENTRY_ORDER =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_AF_METHOD_B_LIST_ENTRY_ORDER,
    "FM Audio RDS AF Method B List Entry Order",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngAFListEntryOrder, NULL, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:AF:B:LIST{AFBList}:DESC{AFBFreq}",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_RDS_AF_ORDER_ASCENDING,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_EON_PROGRAM_ID =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_EON_PROGRAM_ID,
    "FM Audio RDS EON Program ID",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng16bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:EON:PI",
    // Defaults I32, I64, Float, Bool, String
    65535,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_EON_PROGRAM_SERVICE_NAME =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_EON_PROGRAM_SERVICE_NAME,
    "FM Audio RDS EON Program Service Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:EON:PS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Program1",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_EON_TRAFFIC_PROGRAM_FLAG =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_EON_TRAFFIC_PROGRAM_FLAG,
    "FM Audio RDS EON Traffic Program Flag",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:EON:TP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_EON_TRAFFIC_ANNOUNCEMENT_FLAG =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_EON_TRAFFIC_ANNOUNCEMENT_FLAG,
    "FM Audio RDS EON Traffic Announcement Flag",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:EON:TA",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_EON_LINKAGE_ACTUATOR_ENABLED =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_EON_LINKAGE_ACTUATOR_ENABLED,
    "FM Audio RDS EON Linkage Actuator Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:EON:LA",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_EON_EXTENDED_GENERIC_ENABLED =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_EON_EXTENDED_GENERIC_ENABLED,
    "FM Audio RDS EON Extended Generic Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:EON:EG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_EON_INTERNATIONAL_LINKAGE_SET_ENABLED =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_EON_INTERNATIONAL_LINKAGE_SET_ENABLED,
    "FM Audio RDS EON International Linkage Set Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:EON:ILS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_EON_LINKAGE_SET_NUMBER =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_EON_LINKAGE_SET_NUMBER,
    "FM Audio RDS EON Linkage Set Number",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng12bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:EON:LSN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_EON_PROGRAM_TYPE =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_EON_PROGRAM_TYPE,
    "FM Audio RDS EON Program Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngRDSProgramType, NULL, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:EON:PTY",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_RDS_PROGRAM_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_EON_PROGRAM_ITEM_NUMBER =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_EON_PROGRAM_ITEM_NUMBER,
    "FM Audio RDS EON Program Item Number",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng16bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:EON:PIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_EON_ALTERNATIVE_FREQUENCY_METHOD =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_EON_ALTERNATIVE_FREQUENCY_METHOD,
    "FM Audio RDS EON Alternative Frequency Method",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngEONAFMethod, NULL, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:EON:AF:METH",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_EON_AF_METHOD_A,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_EON_AF_METHOD_A_FREQUENCY_COUNT =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_EON_AF_METHOD_A_FREQUENCY_COUNT,
    "FM Audio RDS EON AF Method A Frequency Count",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngAFAFreqCount, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:EON:AF:A:NUMB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_EON_AF_METHOD_A_FEQUENCY =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_EON_AF_METHOD_A_FEQUENCY,
    "FM Audio RDS EON AF Method A Fequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngFMFrequency, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:EON:AF:A:FREQ{AFAFreq}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    87600000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_EON_AF_MAPPED_FREQUENCY_COUNT =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_EON_AF_MAPPED_FREQUENCY_COUNT,
    "FM Audio RDS EON AF Mapped Frequency Count",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngAFMapFreqCount, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:EON:AF:B:NUMB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_EON_AF_MAPPED_TUNING_FREQUENCY =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_EON_AF_MAPPED_TUNING_FREQUENCY,
    "FM Audio RDS EON AF Mapped Tuning Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngFMFrequency, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:EON:AF:B:TFR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    87600000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_EON_AF_MAPPED_FREQUENCY =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_EON_AF_MAPPED_FREQUENCY,
    "FM Audio RDS EON AF Mapped Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngFMFrequency, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:EON:AF:B:FREQ{AFMapFreq}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    87600000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_TMC_ENABLED =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_TMC_ENABLED,
    "FM Audio RDS TMC Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:TMC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TRANSMIT_FM_AUDIO_RDS_TMC =
  {
    RSSMXV_ATTR_TRANSMIT_FM_AUDIO_RDS_TMC,
    "Transmit FM Audio RDS TMC",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:TMC:APPL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_QUERY_FM_AUDIO_RDS_TMC_READY =
  {
    RSSMXV_ATTR_QUERY_FM_AUDIO_RDS_TMC_READY,
    "Query FM Audio RDS TMC Ready",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:TMC:READ?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_TMC_GROUP_3A_BLOCK_3 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_TMC_GROUP_3A_BLOCK_3,
    "FM Audio RDS TMC Group 3A Block 3",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng16bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:TMC:G3A:VAR{TMCGroup3AVar}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_TMC_GROUP_8A_COUNT =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_TMC_GROUP_8A_COUNT,
    "FM Audio RDS TMC Group 8A Count",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngTMCGroup8ACount, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:TMC:G8A:NUMB",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_TMC_GROUP_8A_BLOCK_2 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_TMC_GROUP_8A_BLOCK_2,
    "FM Audio RDS TMC Group 8A Block 2",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng5bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:TMC:G8A{TMCGroup8A}:BLOCk2",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_TMC_GROUP_8A_BLOCK_3 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_TMC_GROUP_8A_BLOCK_3,
    "FM Audio RDS TMC Group 8A Block 3",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng16bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:TMC:G8A{TMCGroup8A}:BLOCk3",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_TMC_GROUP_8A_BLOCK_4 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_TMC_GROUP_8A_BLOCK_4,
    "FM Audio RDS TMC Group 8A Block 4",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng16bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:TMC:G8A{TMCGroup8A}:BLOCk4",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_ENABLED =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_ENABLED,
    "FM Audio RDS OPF Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TRANSMIT_FM_AUDIO_RDS_OPF =
  {
    RSSMXV_ATTR_TRANSMIT_FM_AUDIO_RDS_OPF,
    "Transmit FM Audio RDS OPF",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:APPL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_1A_BLOCK_2 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_1A_BLOCK_2,
    "FM Audio RDS OPF Group 1A Block 2",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng5bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G1A:BLOCK2",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_1A_BLOCK_3 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_1A_BLOCK_3,
    "FM Audio RDS OPF Group 1A Block 3",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng16bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G1A:BLOCK3",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_1A_BLOCK_4 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_1A_BLOCK_4,
    "FM Audio RDS OPF Group 1A Block 4",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng16bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G1A:BLOCK4",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_1B_BLOCK_2 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_1B_BLOCK_2,
    "FM Audio RDS OPF Group 1B Block 2",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng5bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G1B:BLOCK2",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_1B_BLOCK_3 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_1B_BLOCK_3,
    "FM Audio RDS OPF Group 1B Block 3",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng16bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G1B:BLOCK3?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_1B_BLOCK_4 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_1B_BLOCK_4,
    "FM Audio RDS OPF Group 1B Block 4",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng16bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G1B:BLOCK4",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_3A_BLOCK_2 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_3A_BLOCK_2,
    "FM Audio RDS OPF Group 3A Block 2",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng5bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G3A:BLOCK2",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_3A_BLOCK_3 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_3A_BLOCK_3,
    "FM Audio RDS OPF Group 3A Block 3",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng16bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G3A:BLOCK3",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_3A_BLOCK_4 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_3A_BLOCK_4,
    "FM Audio RDS OPF Group 3A Block 4",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng16bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G3A:BLOCK4",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_3B_BLOCK_2 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_3B_BLOCK_2,
    "FM Audio RDS OPF Group 3B Block 2",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng5bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G3B:BLOCK2",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_3B_BLOCK_3 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_3B_BLOCK_3,
    "FM Audio RDS OPF Group 3B Block 3",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng16bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G3B:BLOCK3?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_3B_BLOCK_4 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_3B_BLOCK_4,
    "FM Audio RDS OPF Group 3B Block 4",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng16bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G3B:BLOCK4",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_4B_BLOCK_2 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_4B_BLOCK_2,
    "FM Audio RDS OPF Group 4B Block 2",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng5bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G4B:BLOCK2",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_4B_BLOCK_3 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_4B_BLOCK_3,
    "FM Audio RDS OPF Group 4B Block 3",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng16bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G4B:BLOCK3?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_4B_BLOCK_4 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_4B_BLOCK_4,
    "FM Audio RDS OPF Group 4B Block 4",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng16bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G4B:BLOCK4",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_5A_BLOCK_2 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_5A_BLOCK_2,
    "FM Audio RDS OPF Group 5A Block 2",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng5bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G5A:BLOCK2",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_5A_BLOCK_3 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_5A_BLOCK_3,
    "FM Audio RDS OPF Group 5A Block 3",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng16bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G5A:BLOCK3",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_5A_BLOCK_4 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_5A_BLOCK_4,
    "FM Audio RDS OPF Group 5A Block 4",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng16bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G5A:BLOCK4",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_5B_BLOCK_2 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_5B_BLOCK_2,
    "FM Audio RDS OPF Group 5B Block 2",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng5bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G5B:BLOCK2",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_5B_BLOCK_3 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_5B_BLOCK_3,
    "FM Audio RDS OPF Group 5B Block 3",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng16bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G5B:BLOCK3?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_5B_BLOCK_4 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_5B_BLOCK_4,
    "FM Audio RDS OPF Group 5B Block 4",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng16bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G5B:BLOCK4",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_6A_BLOCK_2 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_6A_BLOCK_2,
    "FM Audio RDS OPF Group 6A Block 2",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng5bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G6A:BLOCK2",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_6A_BLOCK_3 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_6A_BLOCK_3,
    "FM Audio RDS OPF Group 6A Block 3",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng16bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G6A:BLOCK3",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_6A_BLOCK_4 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_6A_BLOCK_4,
    "FM Audio RDS OPF Group 6A Block 4",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng16bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G6A:BLOCK4",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_6B_BLOCK_2 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_6B_BLOCK_2,
    "FM Audio RDS OPF Group 6B Block 2",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng5bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G6B:BLOCK2",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_6B_BLOCK_3 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_6B_BLOCK_3,
    "FM Audio RDS OPF Group 6B Block 3",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng16bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G6B:BLOCK3?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_6B_BLOCK_4 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_6B_BLOCK_4,
    "FM Audio RDS OPF Group 6B Block 4",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng16bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G6B:BLOCK4",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_7A_BLOCK_2 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_7A_BLOCK_2,
    "FM Audio RDS OPF Group 7A Block 2",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng5bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G7A:BLOCK2",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_7A_BLOCK_3 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_7A_BLOCK_3,
    "FM Audio RDS OPF Group 7A Block 3",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng16bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G7A:BLOCK3",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_7A_BLOCK_4 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_7A_BLOCK_4,
    "FM Audio RDS OPF Group 7A Block 4",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng16bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G7A:BLOCK4",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_7B_BLOCK_2 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_7B_BLOCK_2,
    "FM Audio RDS OPF Group 7B Block 2",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng5bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G7B:BLOCK2",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_7B_BLOCK_3 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_7B_BLOCK_3,
    "FM Audio RDS OPF Group 7B Block 3",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng16bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G7B:BLOCK3?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_7B_BLOCK_4 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_7B_BLOCK_4,
    "FM Audio RDS OPF Group 7B Block 4",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng16bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G7B:BLOCK4",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_8A_BLOCK_2 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_8A_BLOCK_2,
    "FM Audio RDS OPF Group 8A Block 2",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng5bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G8A:BLOCK2",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_8A_BLOCK_3 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_8A_BLOCK_3,
    "FM Audio RDS OPF Group 8A Block 3",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng16bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G8A:BLOCK3",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_8A_BLOCK_4 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_8A_BLOCK_4,
    "FM Audio RDS OPF Group 8A Block 4",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng16bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G8A:BLOCK4",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_8B_BLOCK_2 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_8B_BLOCK_2,
    "FM Audio RDS OPF Group 8B Block 2",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng5bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G8B:BLOCK2",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_8B_BLOCK_3 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_8B_BLOCK_3,
    "FM Audio RDS OPF Group 8B Block 3",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng16bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G8B:BLOCK3?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_8B_BLOCK_4 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_8B_BLOCK_4,
    "FM Audio RDS OPF Group 8B Block 4",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng16bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G8B:BLOCK4",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_9A_BLOCK_2 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_9A_BLOCK_2,
    "FM Audio RDS OPF Group 9A Block 2",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng5bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G9A:BLOCK2",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_9A_BLOCK_3 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_9A_BLOCK_3,
    "FM Audio RDS OPF Group 9A Block 3",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng16bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G9A:BLOCK3",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_9A_BLOCK_4 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_9A_BLOCK_4,
    "FM Audio RDS OPF Group 9A Block 4",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng16bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G9A:BLOCK4",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_9B_BLOCK_2 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_9B_BLOCK_2,
    "FM Audio RDS OPF Group 9B Block 2",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng5bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G9B:BLOCK2",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_9B_BLOCK_3 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_9B_BLOCK_3,
    "FM Audio RDS OPF Group 9B Block 3",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng16bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G9B:BLOCK3?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_9B_BLOCK_4 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_9B_BLOCK_4,
    "FM Audio RDS OPF Group 9B Block 4",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng16bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G9B:BLOCK4",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_10B_BLOCK_2 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_10B_BLOCK_2,
    "FM Audio RDS OPF Group 10B Block 2",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng5bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G10B:BLOCK2",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_10B_BLOCK_3 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_10B_BLOCK_3,
    "FM Audio RDS OPF Group 10B Block 3",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng16bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G10B:BLOCK3?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_10B_BLOCK_4 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_10B_BLOCK_4,
    "FM Audio RDS OPF Group 10B Block 4",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng16bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G10B:BLOCK4",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_11A_BLOCK_2 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_11A_BLOCK_2,
    "FM Audio RDS OPF Group 11A Block 2",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng5bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G11A:BLOCK2",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_11A_BLOCK_3 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_11A_BLOCK_3,
    "FM Audio RDS OPF Group 11A Block 3",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng16bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G11A:BLOCK3",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_11A_BLOCK_4 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_11A_BLOCK_4,
    "FM Audio RDS OPF Group 11A Block 4",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng16bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G11A:BLOCK4",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_11B_BLOCK_2 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_11B_BLOCK_2,
    "FM Audio RDS OPF Group 11B Block 2",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng5bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G11B:BLOCK2",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_11B_BLOCK_3 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_11B_BLOCK_3,
    "FM Audio RDS OPF Group 11B Block 3",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng16bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G11B:BLOCK3?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_11B_BLOCK_4 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_11B_BLOCK_4,
    "FM Audio RDS OPF Group 11B Block 4",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng16bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G11B:BLOCK4",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_12A_BLOCK_2 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_12A_BLOCK_2,
    "FM Audio RDS OPF Group 12A Block 2",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng5bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G12A:BLOCK2",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_12A_BLOCK_3 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_12A_BLOCK_3,
    "FM Audio RDS OPF Group 12A Block 3",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng16bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G12A:BLOCK3",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_12A_BLOCK_4 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_12A_BLOCK_4,
    "FM Audio RDS OPF Group 12A Block 4",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng16bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G12A:BLOCK4",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_12B_BLOCK_2 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_12B_BLOCK_2,
    "FM Audio RDS OPF Group 12B Block 2",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng5bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G12B:BLOCK2",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_12B_BLOCK_3 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_12B_BLOCK_3,
    "FM Audio RDS OPF Group 12B Block 3",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng16bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G12B:BLOCK3?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_12B_BLOCK_4 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_12B_BLOCK_4,
    "FM Audio RDS OPF Group 12B Block 4",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng16bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G12B:BLOCK4",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_13A_BLOCK_2 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_13A_BLOCK_2,
    "FM Audio RDS OPF Group 13A Block 2",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng5bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G13A:BLOCK2",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_13A_BLOCK_3 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_13A_BLOCK_3,
    "FM Audio RDS OPF Group 13A Block 3",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng16bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G13A:BLOCK3",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_13A_BLOCK_4 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_13A_BLOCK_4,
    "FM Audio RDS OPF Group 13A Block 4",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng16bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G13A:BLOCK4",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_13B_BLOCK_2 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_13B_BLOCK_2,
    "FM Audio RDS OPF Group 13B Block 2",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng5bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G13B:BLOCK2",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_13B_BLOCK_3 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_13B_BLOCK_3,
    "FM Audio RDS OPF Group 13B Block 3",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng16bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G13B:BLOCK3?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_13B_BLOCK_4 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_13B_BLOCK_4,
    "FM Audio RDS OPF Group 13B Block 4",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng16bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G13B:BLOCK4",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_15A_BLOCK_2 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_15A_BLOCK_2,
    "FM Audio RDS OPF Group 15A Block 2",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng5bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G15A:BLOCK2",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_15A_BLOCK_3 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_15A_BLOCK_3,
    "FM Audio RDS OPF Group 15A Block 3",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng16bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G15A:BLOCK3",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_15A_BLOCK_4 =
  {
    RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_15A_BLOCK_4,
    "FM Audio RDS OPF Group 15A Block 4",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng16bit, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:OPF:G15A:BLOCK4",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_DARC_ENABLED =
  {
    RSSMXV_ATTR_FM_AUDIO_DARC_ENABLED,
    "FM Audio DARC Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:RAD:FM:DARC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_DARC_DEVIATION =
  {
    RSSMXV_ATTR_FM_AUDIO_DARC_DEVIATION,
    "FM Audio DARC Deviation",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngFMDataDeviation, NULL,
    "SOUR{Path}:BB:RAD:FM:DARC:DEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    7.5e3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_DARC_BIC_DATA =
  {
    RSSMXV_ATTR_FM_AUDIO_DARC_BIC_DATA,
    "FM Audio DARC BIC Data",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:RAD:FM:DARC:BIC{DarcBIC}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "SMCV100B",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_DARC_INFORMATION =
  {
    RSSMXV_ATTR_FM_AUDIO_DARC_INFORMATION,
    "FM Audio DARC Information",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDARCInformation, NULL, NULL,
    "SOUR{Path}:BB:RAD:FM:DARC:INF",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DARC_INFORMATION_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_SPECIAL_SETTINGS_ENABLED =
  {
    RSSMXV_ATTR_FM_AUDIO_SPECIAL_SETTINGS_ENABLED,
    "FM Audio Special Settings Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:RAD:FM:SPEC:SETT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_SPECIAL_PILOT_ENABLED =
  {
    RSSMXV_ATTR_FM_AUDIO_SPECIAL_PILOT_ENABLED,
    "FM Audio Special Pilot Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:RAD:FM:SPEC:PIL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_SPECIAL_PILOT_PHASE_OFFSET =
  {
    RSSMXV_ATTR_FM_AUDIO_SPECIAL_PILOT_PHASE_OFFSET,
    "FM Audio Special Pilot Phase Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rng180phase, NULL,
    "SOUR{Path}:BB:RAD:FM:SPEC:PIL:PHAS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_AUDIO_SPECIAL_RDS_PHASE_OFFSET =
  {
    RSSMXV_ATTR_FM_AUDIO_SPECIAL_RDS_PHASE_OFFSET,
    "FM Audio Special RDS Phase Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rng180phase, NULL,
    "SOUR{Path}:BB:RAD:FM:RDS:PHAS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K155",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TDMB_DAB_ENABLED =
  {
    RSSMXV_ATTR_TDMB_DAB_ENABLED,
    "T-DMB DAB Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:TDMB:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K156",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TDMB_DAB_SET_TO_DEFAULT =
  {
    RSSMXV_ATTR_TDMB_DAB_SET_TO_DEFAULT,
    "T-DMB DAB Set To Default",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:TDMB:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K156",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TDMB_DAB_RECALL_SETTINGS =
  {
    RSSMXV_ATTR_TDMB_DAB_RECALL_SETTINGS,
    "T-DMB DAB Recall Settings",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:TDMB:SETT:LOAD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "settings",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K156",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TDMB_DAB_SAVE_SETTINGS =
  {
    RSSMXV_ATTR_TDMB_DAB_SAVE_SETTINGS,
    "T-DMB DAB Save Settings",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:TDMB:SETT:STOR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "//var//user//settings.tdmb",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K156",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TDMB_DAB_SETTINGS_CATALOG =
  {
    RSSMXV_ATTR_TDMB_DAB_SETTINGS_CATALOG,
    "T-DMB DAB Settings Catalog",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:TDMB:SETT:CAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "settings",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K156",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TDMB_DAB_DELETE_SETTINGS =
  {
    RSSMXV_ATTR_TDMB_DAB_DELETE_SETTINGS,
    "T-DMB DAB Delete Settings",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:TDMB:SETT:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "settings",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K156",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TDMB_DAB_SOURCE =
  {
    RSSMXV_ATTR_TDMB_DAB_SOURCE,
    "T-DMB DAB Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngBroadcastInputSource, NULL, NULL,
    "SOUR{Path}:BB:TDMB:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_INPUT_SOURCE_EXTERNAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K156",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TDMB_DAB_EXTERNAL_INPUT =
  {
    RSSMXV_ATTR_TDMB_DAB_EXTERNAL_INPUT,
    "T-DMB DAB External Input",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngTDMBInput, NULL, NULL,
    "SOUR{Path}:BB:TDMB:INP",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_PROTOCOL_TS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K156",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TDMB_DAB_EXTERNAL_INPUT_FORMAT =
  {
    RSSMXV_ATTR_TDMB_DAB_EXTERNAL_INPUT_FORMAT,
    "T-DMB DAB External Input Format",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngTDMBInputFormat, NULL, NULL,
    "SOUR{Path}:BB:TDMB:INP:FORM?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_INPUT_FORMAT_ETI,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K156",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TDMB_DAB_IP_ETI_CHANNEL =
  {
    RSSMXV_ATTR_TDMB_DAB_IP_ETI_CHANNEL,
    "T-DMB DAB IP ETI Channel",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngETIChannel, NULL,
    "SOUR{Path}:BB:TDMB:INP:ETIC",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TDMB_DAB_ETI_SIGNAL_TYPE =
  {
    RSSMXV_ATTR_TDMB_DAB_ETI_SIGNAL_TYPE,
    "T-DMB DAB ETI Signal Type",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngTDMBETISignalType, NULL, NULL,
    "SOUR{Path}:BB:TDMB:ETI?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_TDMB_ETI_SIGNAL_INVALID,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K156",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TDMB_DAB_ETI_NUMBER_OF_STREAMS =
  {
    RSSMXV_ATTR_TDMB_DAB_ETI_NUMBER_OF_STREAMS,
    "T-DMB DAB ETI Number Of Streams",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:TDMB:NST?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K156",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TDMB_DAB_MODE_IDENTITY =
  {
    RSSMXV_ATTR_TDMB_DAB_MODE_IDENTITY,
    "T-DMB DAB Mode Identity",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngTDMBModeIdentity, NULL, NULL,
    "SOUR{Path}:BB:TDMB:MID?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_TDMB_TRANSMISSION_MODE_INVALID,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K156",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TDMB_DAT_ETI_INFO_SUBCHANNEL_ID =
  {
    RSSMXV_ATTR_TDMB_DAT_ETI_INFO_SUBCHANNEL_ID,
    "T-DMB DAT ETI Info Subchannel ID",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:TDMB:SCID{ETIStream}?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K156",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TDMB_DAT_ETI_INFO_PROTECTION_PROFILE =
  {
    RSSMXV_ATTR_TDMB_DAT_ETI_INFO_PROTECTION_PROFILE,
    "T-DMB DAT ETI Info Protection Profile",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngETIProtectionProfile, NULL, NULL,
    "SOUR{Path}:BB:TDMB:PROT:PROF{ETIStream}?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ETI_PROTECTION_PROFILE_UNEQUAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K156",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TDMB_DAT_ETI_INFO_PROTECTION_LEVEL =
  {
    RSSMXV_ATTR_TDMB_DAT_ETI_INFO_PROTECTION_LEVEL,
    "T-DMB DAT ETI Info Protection Level",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngETIProtectionLevel, NULL, NULL,
    "SOUR{Path}:BB:TDMB:PROT:LEV{ETIStream}?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ETI_PROTECTION_LEVEL_UNDEFINED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K156",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TDMB_DAT_ETI_INFO_DATARATE =
  {
    RSSMXV_ATTR_TDMB_DAT_ETI_INFO_DATARATE,
    "T-DMB DAT ETI Info Datarate",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:TDMB:DAT{ETIStream}?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K156",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TDMB_DAB_NETWORK_MODE =
  {
    RSSMXV_ATTR_TDMB_DAB_NETWORK_MODE,
    "T-DMB DAB Network Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngNetworkFrequencyMode, NULL, NULL,
    "SOUR{Path}:BB:TDMB:NET",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_NETWORK_MODE_MULTI_FREQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K156",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TDMB_DAB_NETWORK_TII_STATE =
  {
    RSSMXV_ATTR_TDMB_DAB_NETWORK_TII_STATE,
    "T-DMB DAB Network TII State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:TDMB:TII:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K156",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TDMB_DAB_NETWORK_TII_MAIN_ID =
  {
    RSSMXV_ATTR_TDMB_DAB_NETWORK_TII_MAIN_ID,
    "T-DMB DAB Network TII Main ID",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngTIIMainID, NULL,
    "SOUR{Path}:BB:TDMB:TII:MAIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K156",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TDMB_DAB_NETWORK_TII_SUB_ID =
  {
    RSSMXV_ATTR_TDMB_DAB_NETWORK_TII_SUB_ID,
    "T-DMB DAB Network TII Sub ID",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngTIISubID, NULL,
    "SOUR{Path}:BB:TDMB:TII:SUB",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K156",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TDMB_DAB_DELAY_NETWORK =
  {
    RSSMXV_ATTR_TDMB_DAB_DELAY_NETWORK,
    "T-DMB DAB Delay Network",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:TDMB:DEL:NETW?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K156",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TDMB_DAB_DELAY_STATIC =
  {
    RSSMXV_ATTR_TDMB_DAB_DELAY_STATIC,
    "T-DMB DAB Delay Static",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngSFNDelayStatic, NULL,
    "SOUR{Path}:BB:TDMB:DEL:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K156",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TDMB_DAB_DELAY_TX_PROCESSING =
  {
    RSSMXV_ATTR_TDMB_DAB_DELAY_TX_PROCESSING,
    "T-DMB DAB Delay Tx Processing",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:TDMB:DEL:PROC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K156",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TDMB_DAB_DELAY_TX_COMPENSATION =
  {
    RSSMXV_ATTR_TDMB_DAB_DELAY_TX_COMPENSATION,
    "T-DMB DAB Delay Tx Compensation",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:TDMB:DEL:COMP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K156",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TDMB_DAB_DELAY_TX_DELAY =
  {
    RSSMXV_ATTR_TDMB_DAB_DELAY_TX_DELAY,
    "T-DMB DAB Delay Tx Delay",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngSFNTxDelay, NULL,
    "SOUR{Path}:BB:TDMB:DEL:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K156",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TDMB_DAB_DELAY_TOTAL =
  {
    RSSMXV_ATTR_TDMB_DAB_DELAY_TOTAL,
    "T-DMB DAB Delay Total",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:TDMB:DEL:TOT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K156",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TDMB_DAB_DELAY_MAX_DEVIATION =
  {
    RSSMXV_ATTR_TDMB_DAB_DELAY_MAX_DEVIATION,
    "T-DMB DAB Delay Max Deviation",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngSFNMaxDeviationTime, NULL,
    "SOUR{Path}:BB:TDMB:DEL:DEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.00001,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K156",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TDMB_DAB_SPECIAL_SETTINGS_ENABLED =
  {
    RSSMXV_ATTR_TDMB_DAB_SPECIAL_SETTINGS_ENABLED,
    "T-DMB DAB Special Settings Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:TDMB:SPEC:SETT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K156",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TDMB_DAB_SPECIAL_TRANSMISSION_MODE =
  {
    RSSMXV_ATTR_TDMB_DAB_SPECIAL_TRANSMISSION_MODE,
    "T-DMB DAB Special Transmission Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngTDMBSpecialTransmissionMode, NULL, NULL,
    "SOUR{Path}:BB:TDMB:TRAN:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_TDMB_SPECIAL_TRANSMISSION_MODE_MID,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K156",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TDMB_DAB_SPECIAL_TRANSMISSION_MODE_SELECT =
  {
    RSSMXV_ATTR_TDMB_DAB_SPECIAL_TRANSMISSION_MODE_SELECT,
    "T-DMB DAB Special Transmission Mode Select",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngTDMBTransmissionMode, NULL, NULL,
    "SOUR{Path}:BB:TDMB:TRAN:MODE:SELECT",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_TDMB_TRANSMISSION_MODE_ONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K156",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_T_DMB_DAB_SPECIAL_PRBS_SEQUENCE =
  {
    RSSMXV_ATTR_T_DMB_DAB_SPECIAL_PRBS_SEQUENCE,
    "T-DMB DAB Special PRBS Sequence",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngTDMBDABSpecialPRBSSequence, NULL, NULL,
    ":SOUR{Path}:BB:TDMB:PRBS",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_TDMB_DAB_SEQUENCE_ZERO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K156",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_T_DMB_DAB_SPECIAL_TEST_SIGNAL_ENABLED =
  {
    RSSMXV_ATTR_T_DMB_DAB_SPECIAL_TEST_SIGNAL_ENABLED,
    "T-DMB DAB Special Test Signal Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:TDMB:TEST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_T_DMB_DAB_SPECIAL_TEST_SIGNAL_SUBCHANNEL_ID =
  {
    RSSMXV_ATTR_T_DMB_DAB_SPECIAL_TEST_SIGNAL_SUBCHANNEL_ID,
    "T-DMB DAB Special Test Signal Subchannel ID",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngTDMBDABSpecialTestSignalSubchannelID, NULL,
    ":SOUR{Path}:BB:TDMB:TEST:SCID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DRM_ENABLED =
  {
    RSSMXV_ATTR_DRM_ENABLED,
    "DRM Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DRM:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K160",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DRM_SET_TO_DEFAULT =
  {
    RSSMXV_ATTR_DRM_SET_TO_DEFAULT,
    "DRM Set To Default",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DRM:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K160",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DRM_RECALL_SETTINGS =
  {
    RSSMXV_ATTR_DRM_RECALL_SETTINGS,
    "DRM Recall Settings",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DRM:SETT:LOAD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "fileName",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K160",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DRM_SAVE_SETTINGS =
  {
    RSSMXV_ATTR_DRM_SAVE_SETTINGS,
    "DRM Save Settings",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DRM:SETT:STOR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "filename",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K160",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DRM_DELETE_SETTINGS =
  {
    RSSMXV_ATTR_DRM_DELETE_SETTINGS,
    "DRM Delete Settings",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DRM:SETT:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "filename",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K160",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DRM_SETTINGS_CATALOG =
  {
    RSSMXV_ATTR_DRM_SETTINGS_CATALOG,
    "DRM Settings Catalog",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DRM:SETT:CAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "catalog",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K160",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DRM_INPUT_SOURCE =
  {
    RSSMXV_ATTR_DRM_INPUT_SOURCE,
    "DRM Input Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDRMInputSource, NULL, NULL,
    ":SOUR{Path}:BB:DRM:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DRM_INPUT_SOURCE_FILE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K160",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DRM_INTPUT_SELECT_FILE =
  {
    RSSMXV_ATTR_DRM_INTPUT_SELECT_FILE,
    "DRM Input Select File",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DRM:FIL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "filename",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K160",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DRM_INPUT_UDP_PORT =
  {
    RSSMXV_ATTR_DRM_INPUT_UDP_PORT,
    "DRM Input UDP Port",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng16bit, NULL,
    ":SOUR{Path}:BB:DRM:PORT",
    // Defaults I32, I64, Float, Bool, String
    8100,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K160",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DRM_INPUT_AUDIO_SERVICES_NUMBER =
  {
    RSSMXV_ATTR_DRM_INPUT_AUDIO_SERVICES_NUMBER,
    "DRM Input Audio Services Number",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngDRMInputAudioServicesNumberDFA, NULL, NULL,
    ":SOUR{Path}:BB:DRM:NUM?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DRM_INPUT_AUDIO_NUMER_ZERO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K160",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DRM_INPUT_DATA_SERVICES_NUMBER =
  {
    RSSMXV_ATTR_DRM_INPUT_DATA_SERVICES_NUMBER,
    "DRM Input Data Services Number",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngDRMInputDataServicesNumber, NULL, NULL,
    ":SOUR{Path}:BB:DRM:NUMD?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DRM_INPUT_DATA_NUMER_ZERO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K160",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DRM_INPUT_LAYER_TYPE =
  {
    RSSMXV_ATTR_DRM_INPUT_LAYER_TYPE,
    "DRM Input Layer Type",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngDRMInputLayerType, NULL, NULL,
    ":SOUR{Path}:BB:DRM:TYPE?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DRM_INPUT_LAYER_TYPE_BASE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K160",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DRM_INPUT_LABEL =
  {
    RSSMXV_ATTR_DRM_INPUT_LABEL,
    "DRM Input Label",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DRM:LAB?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "DRM Service No.A",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K160",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DRM_CODING_ROBUSTNESS_MODE =
  {
    RSSMXV_ATTR_DRM_CODING_ROBUSTNESS_MODE,
    "DRM Coding Robustness Mode",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngDRMCodingRobustnessMode, NULL, NULL,
    ":SOUR{Path}:BB:DRM:MODE?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DRM_CODING_ROBUSTNESS_MODE_INVALID,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K160",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DRM_CODING_CONSTELLATION_MSC =
  {
    RSSMXV_ATTR_DRM_CODING_CONSTELLATION_MSC,
    "DRM Coding Constellation MSC",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngDRMCodingConstellationMSC, NULL, NULL,
    ":SOUR{Path}:BB:DRM:MSC:CONS?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DRM_CODING_CONSTELLATION_MSC_INVALID,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K160",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DRM_CODING_CONSTELLATION_SDC =
  {
    RSSMXV_ATTR_DRM_CODING_CONSTELLATION_SDC,
    "DRM Coding Constellation SDC",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngDRMCodingConstellationSDC, NULL, NULL,
    ":SOUR{Path}:BB:DRM:SDC:CONS?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DRM_CODING_CONSTELLATION_SDC_INVALID,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K160",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DRM_CODING_INTERLEAVER_DEPTH =
  {
    RSSMXV_ATTR_DRM_CODING_INTERLEAVER_DEPTH,
    "DRM Coding Interleaver Depth",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngDRMCodingInterleaverDepth, NULL, NULL,
    ":SOUR{Path}:BB:DRM:INT?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DRM_CODING_INTERLEAVER_DEPTH_MS4,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K160",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DRM_CODING_CHANNEL_BANDWIDTH =
  {
    RSSMXV_ATTR_DRM_CODING_CHANNEL_BANDWIDTH,
    "DRM Coding Channel Bandwidth",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngDRMCodingChannelBandwidth, NULL, NULL,
    ":SOUR{Path}:BB:DRM:BAND?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DRM_CODING_CHANNEL_BANDWIDTH_K20,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K160",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DRM_CODE_RATE_SDC_PROTECTION_PROFILE =
  {
    RSSMXV_ATTR_DRM_CODE_RATE_SDC_PROTECTION_PROFILE,
    "DRM Code Rate SDC Protection Profile",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngDRMCodeRateSDCProtectionProfile, NULL, NULL,
    ":SOUR{Path}:BB:DRM:SDC:PROF{SDCChannel}?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DRM_CODE_RATE_PROTECTION_PROFILE_SDC_INV,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K160",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DRM_CODE_RATE_SDC_PROTECTION_LEVEL =
  {
    RSSMXV_ATTR_DRM_CODE_RATE_SDC_PROTECTION_LEVEL,
    "DRM Code Rate SDC Protection Level",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngDRMCodeRateSDCProtectionLevel, NULL, NULL,
    ":SOUR{Path}:BB:DRM:SDC:LEV{SDCChannel}?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DRM_CODE_RATE_PROTECTION_LEVEL_SDC_ZERO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K160",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DRM_SDC_CODE_RATE =
  {
    RSSMXV_ATTR_DRM_SDC_CODE_RATE,
    "DRM SDC Code Rate",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngDRMSDCCodeRate, NULL, NULL,
    ":SOUR{Path}:BB:DRM:SDC:RATE{SDCChannel}?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DRM_CODE_RATE_INVALID,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K160",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DRM_CODE_RATE_MSC_PROTECTION_PROFILE =
  {
    RSSMXV_ATTR_DRM_CODE_RATE_MSC_PROTECTION_PROFILE,
    "DRM Code Rate MSC Protection Profile",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngDRMCodeRateMSCProtectionProfile, NULL, NULL,
    ":SOUR{Path}:BB:DRM:MSC:PROF{MSCChannel}?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_DRM_CODING_MSC_PROTECTION_PROFILE_INVALID,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K160",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DRM_CODE_RATE_MSC_PROTECTION_LEVEL =
  {
    RSSMXV_ATTR_DRM_CODE_RATE_MSC_PROTECTION_LEVEL,
    "DRM Code Rate MSC Protection Level",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngDRMCodeRateMSCProtectionLevel, NULL, NULL,
    ":SOUR{Path}:BB:DRM:MSC:LEV{MSCChannel}?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DRM_CODING_MSC_PROTECTION_LEVELS_INVALID,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K160",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DRM_MSC_CODE_RATE =
  {
    RSSMXV_ATTR_DRM_MSC_CODE_RATE,
    "DRM MSC Code Rate",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngDRMMSCCodeRate, NULL, NULL,
    ":SOUR{Path}:BB:DRM:MSC:RATE{MSCChannel}?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DRM_CODE_RATE_INVALID,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K160",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSCMH_ENABLED =
  {
    RSSMXV_ATTR_ATSCMH_ENABLED,
    "ATSC-MH Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ATSM:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K161",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSCMH_VSB_FREQUENCY =
  {
    RSSMXV_ATTR_ATSCMH_VSB_FREQUENCY,
    "ATSC-MH VSB Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngATSCVSBFrequency, NULL, NULL,
    "SOUR{Path}:BB:ATSM:FREQ:VSBF",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ATSCMH_VSB_FREQUENCY_PILOT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K161",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSCMH_SET_TO_DEFAULT =
  {
    RSSMXV_ATTR_ATSCMH_SET_TO_DEFAULT,
    "ATSC-MH Set To Default",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ATSM:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K161",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSCMH_RECALL_SETTINGS =
  {
    RSSMXV_ATTR_ATSCMH_RECALL_SETTINGS,
    "ATSC-MH Recall Settings",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ATSM:SETT:LOAD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "settings",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K161",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSCMH_SAVE_SETTINGS =
  {
    RSSMXV_ATTR_ATSCMH_SAVE_SETTINGS,
    "ATSC-MH Save Settings",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ATSM:SETT:STOR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "//var//user//settings.atscmh",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K161",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSCMH_SETTINGS_CATALOG =
  {
    RSSMXV_ATTR_ATSCMH_SETTINGS_CATALOG,
    "ATSC-MH Settings Catalog",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ATSM:SETT:CAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "settings",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K161",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSCMH_DELETE_SETTINGS =
  {
    RSSMXV_ATTR_ATSCMH_DELETE_SETTINGS,
    "ATSC-MH Delete Settings",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ATSM:SETT:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "settings",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K161",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSCMH_SOURCE =
  {
    RSSMXV_ATTR_ATSCMH_SOURCE,
    "ATSC-MH Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngBroadcastInputSource, NULL, NULL,
    "SOUR{Path}:BB:ATSM:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_INPUT_SOURCE_EXTERNAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K161",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSCMH_EXTERNAL_INPUT =
  {
    RSSMXV_ATTR_ATSCMH_EXTERNAL_INPUT,
    "ATSC-MH External Input",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngATSCMHExternalInput, NULL, NULL,
    "SOUR{Path}:BB:ATSM:INP",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_PROTOCOL_TS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K161",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSCMH_SERIAL_INPUT_FORMAT =
  {
    RSSMXV_ATTR_ATSCMH_SERIAL_INPUT_FORMAT,
    "ATSC-MH Serial Input Format",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngATSCMHInputFormat, NULL, NULL,
    "SOUR{Path}:BB:ATSM:INP:FORM",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ATSCMH_INPUT_FORMAT_ASI,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K161",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSCMH_IP_TS_CHANNEL =
  {
    RSSMXV_ATTR_ATSCMH_IP_TS_CHANNEL,
    "ATSC-MH IP TS Channel",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngIPTSChannel, NULL,
    "SOUR{Path}:BB:ATSM:INP:TSCH",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K161",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSCMH_STUFFING_ENABLED =
  {
    RSSMXV_ATTR_ATSCMH_STUFFING_ENABLED,
    "ATSC-MH Stuffing Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ATSM:STUF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K161",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSCMH_INFO_PACKET_LENGTH =
  {
    RSSMXV_ATTR_ATSCMH_INFO_PACKET_LENGTH,
    "ATSC-MH Info Packet Length",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngATSCMHPacketLength, NULL, NULL,
    "SOUR{Path}:BB:ATSM:PACK?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_PACKET_LENGTH_INVALID,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K161",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSCMH_INFO_MAX_USEFUL_DATARATE =
  {
    RSSMXV_ATTR_ATSCMH_INFO_MAX_USEFUL_DATARATE,
    "ATSC-MH Info Max Useful Datarate",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ATSM:USEF:MAX?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K161",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSCMH_INFO_MEASURED_DATARATE =
  {
    RSSMXV_ATTR_ATSCMH_INFO_MEASURED_DATARATE,
    "ATSC-MH Info Measured Datarate",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ATSM:DAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K161",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSCMH_USEFUL_DATARATE =
  {
    RSSMXV_ATTR_ATSCMH_USEFUL_DATARATE,
    "ATSC-MH Useful Datarate",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ATSM:USEF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K161",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSCMH_TEST_SIGNAL =
  {
    RSSMXV_ATTR_ATSCMH_TEST_SIGNAL,
    "ATSC-MH Test Signal",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngATSCMHTestSignal, NULL, NULL,
    "SOUR{Path}:BB:ATSM:TEST",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ATSCMH_TEST_SIGNAL_TEST_TS_PACKET,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K161",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSCMH_TEST_TS_PACKET =
  {
    RSSMXV_ATTR_ATSCMH_TEST_TS_PACKET,
    "ATSC-MH Test TS Packet",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngTestTSPacketStructure, NULL, NULL,
    "SOUR{Path}:BB:ATSM:TSP",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_TS_PACKET_H184,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K161",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSCMH_TEST_PID_TEST_PACKET =
  {
    RSSMXV_ATTR_ATSCMH_TEST_PID_TEST_PACKET,
    "ATSC-MH Test PID Test Packet",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngTestPIDPacket, NULL, NULL,
    "SOUR{Path}:BB:ATSM:PIDT",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_PID_TEST_PACKET_NULL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K161",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSCMH_TEST_PID =
  {
    RSSMXV_ATTR_ATSCMH_TEST_PID,
    "ATSC-MH Test PID",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng13bit, NULL,
    "SOUR{Path}:BB:ATSM:PID",
    // Defaults I32, I64, Float, Bool, String
    8191,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K161",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSCMH_TEST_PAYLOAD =
  {
    RSSMXV_ATTR_ATSCMH_TEST_PAYLOAD,
    "ATSC-MH Test Payload",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngTestSignalPayload, NULL, NULL,
    "SOUR{Path}:BB:ATSM:PAYL",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_TEST_SIGNAL_PAYLOAD_PRBS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K161",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSCMH_TEST_PRBS =
  {
    RSSMXV_ATTR_ATSCMH_TEST_PRBS,
    "ATSC-MH Test PRBS",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngPRBSSequence, NULL, NULL,
    "SOUR{Path}:BB:ATSM:PRBS",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_PRBS_SEQUENCE_23,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K161",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSCMH_CODING_SYMBOL_RATE =
  {
    RSSMXV_ATTR_ATSCMH_CODING_SYMBOL_RATE,
    "ATSC-MH Coding Symbol Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngATSCMHSymbolRate, NULL,
    "SOUR{Path}:BB:ATSM:SYMB",
    // Defaults I32, I64, Float, Bool, String
    10762238,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K161",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSCMH_CODING_CONSTELLATION =
  {
    RSSMXV_ATTR_ATSCMH_CODING_CONSTELLATION,
    "ATSC-MH Coding Constellation",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngATSCMHConstellation, NULL, NULL,
    "SOUR{Path}:BB:ATSM:CONS?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ATSCMH_CONSTELLATION_VSB8,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K161",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSCMH_CODING_ROLL_OFF =
  {
    RSSMXV_ATTR_ATSCMH_CODING_ROLL_OFF,
    "ATSC-MH Coding Roll Off",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngATSCMHRollOff, NULL, NULL,
    "SOUR{Path}:BB:ATSM:ROLL?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ATSCMH_ROLL_OFF_R115,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K161",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSCMH_CODING_MH_STATE =
  {
    RSSMXV_ATTR_ATSCMH_CODING_MH_STATE,
    "ATSC-MH Coding MH State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ATSM:MHST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K161",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSCMH_NETWORKING_MHE_PID =
  {
    RSSMXV_ATTR_ATSCMH_NETWORKING_MHE_PID,
    "ATSC-MH Networking MHE PID",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng13bit, NULL,
    "SOUR{Path}:BB:ATSM:MHEP",
    // Defaults I32, I64, Float, Bool, String
    8185,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K161",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSCMH_NETWORKING_RF_WATERMARK =
  {
    RSSMXV_ATTR_ATSCMH_NETWORKING_RF_WATERMARK,
    "ATSC-MH Networking RF Watermark",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ATSM:WAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K161",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSCMH_NETWORKING_TX_ADDRESS =
  {
    RSSMXV_ATTR_ATSCMH_NETWORKING_TX_ADDRESS,
    "ATSC-MH Networking TX Address",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng12bit, NULL,
    "SOUR{Path}:BB:ATSM:TX:ADDR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K161",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSCMH_NETWORKING_NETWORK_ID =
  {
    RSSMXV_ATTR_ATSCMH_NETWORKING_NETWORK_ID,
    "ATSC-MH Networking Network ID",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng12bit, NULL,
    "SOUR{Path}:BB:ATSM:NETW:ID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K161",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSCMH_NETWORKING_BURY_RATIO =
  {
    RSSMXV_ATTR_ATSCMH_NETWORKING_BURY_RATIO,
    "ATSC-MH Networking Bury Ratio",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngATSCMHBuryRatio, NULL, NULL,
    "SOUR{Path}:BB:ATSM:BURY:RAT",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ATSCMH_BURY_RATIO_DB30,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K161",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSCMH_NETWORKING_MTXID_TRANSMISSION =
  {
    RSSMXV_ATTR_ATSCMH_NETWORKING_MTXID_TRANSMISSION,
    "ATSC-MH Networking MTXID Transmission",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ATSM:TRAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K161",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSCMH_NETWORKING_TRANSMITTER_ID =
  {
    RSSMXV_ATTR_ATSCMH_NETWORKING_TRANSMITTER_ID,
    "ATSC-MH Networking Transmitter ID",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng5bit, NULL,
    "SOUR{Path}:BB:ATSM:MTX:TID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K161",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSCMH_NETWORKING_MARKET_ID =
  {
    RSSMXV_ATTR_ATSCMH_NETWORKING_MARKET_ID,
    "ATSC-MH Networking Market ID",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng9bit, NULL,
    "SOUR{Path}:BB:ATSM:MTX:MID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K161",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_ENABLED =
  {
    RSSMXV_ATTR_ATSC3_ENABLED,
    "ATSC 3.0 Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:A3TS:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_SET_TO_DEFAULT =
  {
    RSSMXV_ATTR_ATSC3_SET_TO_DEFAULT,
    "ATSC 3.0 Set To Default",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:A3TS:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_RECALL_SETTINGS =
  {
    RSSMXV_ATTR_ATSC3_RECALL_SETTINGS,
    "ATSC 3.0 Recall Settings",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:A3TS:SETT:LOAD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "settings",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_SAVE_SETTINGS =
  {
    RSSMXV_ATTR_ATSC3_SAVE_SETTINGS,
    "ATSC 3.0 Save Settings",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:A3TS:SETT:STOR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "//var//user//settings.atsc30",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_SETTINGS_CATALOG =
  {
    RSSMXV_ATTR_ATSC3_SETTINGS_CATALOG,
    "ATSC 3.0 Settings Catalog",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:A3TS:SETT:CAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "settings",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_DELETE_SETTINGS =
  {
    RSSMXV_ATTR_ATSC3_DELETE_SETTINGS,
    "ATSC 3.0 Delete Settings",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:A3TS:SETT:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "settings",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_STL_INTERFACE_ENABLED =
  {
    RSSMXV_ATTR_ATSC3_STL_INTERFACE_ENABLED,
    "ATSC 3.0 STL Interface Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:A3TS:INP:STL:INT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_STL_RESET_LOG =
  {
    RSSMXV_ATTR_ATSC3_STL_RESET_LOG,
    "ATSC 3.0 STL Reset Log",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:A3TS:INP:STL:RES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_CODER_STATUS =
  {
    RSSMXV_ATTR_ATSC3_CODER_STATUS,
    "ATSC 3.0 Coder Status",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:A3TS:INP:STAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "No error",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_INPUT_CONFORMANCE_CHECK =
  {
    RSSMXV_ATTR_ATSC3_INPUT_CONFORMANCE_CHECK,
    "ATSC 3.0 Input Conformance Check",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:A3TS:INP:CCH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_INPUT_NUMBER_OF_PLPS =
  {
    RSSMXV_ATTR_ATSC3_INPUT_NUMBER_OF_PLPS,
    "ATSC 3.0 Input Number Of PLPs",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:A3TS:INP:NPLP?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_INPUT_SOURCE =
  {
    RSSMXV_ATTR_ATSC3_INPUT_SOURCE,
    "ATSC 3.0 Input Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngBroadcastInputSource, NULL, NULL,
    "SOUR{Path}:BB:A3TS:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_INPUT_SOURCE_EXTERNAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_INPUT_DESTINATION_IP =
  {
    RSSMXV_ATTR_ATSC3_INPUT_DESTINATION_IP,
    "ATSC 3.0 Input Destination IP",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:A3TS:INP:DEST:IP:ADDR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "239.255.10.10",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_INPUT_DESTINATION_PORT =
  {
    RSSMXV_ATTR_ATSC3_INPUT_DESTINATION_PORT,
    "ATSC 3.0 Input Destination Port",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng16bit, NULL,
    "SOUR{Path}:BB:A3TS:INP:DEST:IP:PORT",
    // Defaults I32, I64, Float, Bool, String
    5001,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_INPUT_TYPE =
  {
    RSSMXV_ATTR_ATSC3_INPUT_TYPE,
    "ATSC 3.0 Input Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngATSC3InputType, NULL, NULL,
    "SOUR{Path}:BB:A3TS:INP:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_PROTOCOL_TS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_INPUT_PROTOCOL =
  {
    RSSMXV_ATTR_ATSC3_INPUT_PROTOCOL,
    "ATSC 3.0 Input Protocol",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:A3TS:INP:PROT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "UDP/RTP",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_INFO_PLP_PACKET_LENGTH =
  {
    RSSMXV_ATTR_ATSC3_INFO_PLP_PACKET_LENGTH,
    "ATSC 3.0 Info PLP Packet Length",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngATSC3PLPPacketLength, NULL, NULL,
    "SOUR{Path}:BB:A3TS:PLP{PLP}:PACK?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_PACKET_LENGTH_INVALID,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_INFO_PLP_MAX_USEFUL_DATARATE =
  {
    RSSMXV_ATTR_ATSC3_INFO_PLP_MAX_USEFUL_DATARATE,
    "ATSC 3.0 Info PLP Max Useful Datarate",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:A3TS:PLP{PLP}:USEF:MAX?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    6396204.65138401,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_INFO_PLP_MEASURED_DATARATE =
  {
    RSSMXV_ATTR_ATSC3_INFO_PLP_MEASURED_DATARATE,
    "ATSC 3.0 Info PLP Measured Datarate",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:A3TS:PLP{PLP}:INP:DAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_INFO_PLP_USEFUL_DATARATE =
  {
    RSSMXV_ATTR_ATSC3_INFO_PLP_USEFUL_DATARATE,
    "ATSC 3.0 Info PLP Useful Datarate",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:A3TS:PLP{PLP}:USEF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_TEST_SIGNAL =
  {
    RSSMXV_ATTR_ATSC3_TEST_SIGNAL,
    "ATSC 3.0 Test Signal",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngATSC3TestSignal, NULL, NULL,
    "SOUR{Path}:BB:A3TS:PLP:INP:TEST",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ATSC3_TEST_SIGNAL_TS_PACKETS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_TEST_IP_PACKET =
  {
    RSSMXV_ATTR_ATSC3_TEST_IP_PACKET,
    "ATSC 3.0 Test IP Packet",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngTestIPPacketStructure, NULL, NULL,
    "SOUR{Path}:BB:A3TS:IPP",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_IP_PACKET_HUDP,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_TEST_TS_PACKET =
  {
    RSSMXV_ATTR_ATSC3_TEST_TS_PACKET,
    "ATSC 3.0 Test TS Packet",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngTestTSPacketStructure, NULL, NULL,
    "SOUR{Path}:BB:A3TS:TSP",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_TS_PACKET_H184,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_TEST_PID_TEST_PACKET =
  {
    RSSMXV_ATTR_ATSC3_TEST_PID_TEST_PACKET,
    "ATSC 3.0 Test PID Test Packet",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngTestPIDPacket, NULL, NULL,
    "SOUR{Path}:BB:A3TS:PIDT",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_PID_TEST_PACKET_NULL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_TEST_PID =
  {
    RSSMXV_ATTR_ATSC3_TEST_PID,
    "ATSC 3.0 Test PID",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng13bit, NULL,
    "SOUR{Path}:BB:A3TS:PID",
    // Defaults I32, I64, Float, Bool, String
    8191,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_TEST_PAYLOAD =
  {
    RSSMXV_ATTR_ATSC3_TEST_PAYLOAD,
    "ATSC 3.0 Test Payload",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngTestSignalPayload, NULL, NULL,
    "SOUR{Path}:BB:A3TS:PAYL",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_TEST_SIGNAL_PAYLOAD_PRBS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_TEST_PRBS_SEQUENCE =
  {
    RSSMXV_ATTR_ATSC3_TEST_PRBS_SEQUENCE,
    "ATSC 3.0 Test PRBS Sequence",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngPRBSSequence, NULL, NULL,
    "SOUR{Path}:BB:A3TS:PRBS",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_PRBS_SEQUENCE_23,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_ENCAPS_ALP_ENCAPSULATION_TYPE =
  {
    RSSMXV_ATTR_ATSC3_ENCAPS_ALP_ENCAPSULATION_TYPE,
    "ATSC 3.0 Encaps ALP Encapsulation Type",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngATSC3ALPEncapsulation, NULL, NULL,
    "SOUR{Path}:BB:A3TS:PLP{PLP}:ALPT?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_PROTOCOL_IP,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_ENCAPS_BB_FRAME_PADDING_ENABLED =
  {
    RSSMXV_ATTR_ATSC3_ENCAPS_BB_FRAME_PADDING_ENABLED,
    "ATSC 3.0 Encaps BB Frame Padding Enabled",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:A3TS:PLP{PLP}:BBFP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_ENCAPS_BB_FRAME_COUNTER_ENABLED =
  {
    RSSMXV_ATTR_ATSC3_ENCAPS_BB_FRAME_COUNTER_ENABLED,
    "ATSC 3.0 Encaps BB Frame Counter Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:A3TS:PLP{PLP}:BBFC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_BICM_PLP_ID =
  {
    RSSMXV_ATTR_ATSC3_BICM_PLP_ID,
    "ATSC 3.0 BICM PLP ID",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng6bit, NULL,
    "SOUR{Path}:BB:A3TS:PLP{PLP}:ID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_BICM_PLP_LDM_LAYER =
  {
    RSSMXV_ATTR_ATSC3_BICM_PLP_LDM_LAYER,
    "ATSC 3.0 BICM PLP LDM Layer",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngATSC3PLPLDMLayer, NULL, NULL,
    "SOUR{Path}:BB:A3TS:PLP{PLP}:LAY:LAY?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_LAYER_DIVISION_MULTIPLEXING_CORE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_BICM_PLP_LDM_INJECTION_LEVEL =
  {
    RSSMXV_ATTR_ATSC3_BICM_PLP_LDM_INJECTION_LEVEL,
    "ATSC 3.0 BICM PLP LDM Injection Level",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngATSC3LDMInjectionLevel, NULL, NULL,
    "SOUR{Path}:BB:A3TS:PLP{PLP}:LAY:LEV?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_LDM_INJECTION_LEVEL_0_0DB,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_BICM_PLP_SIZE =
  {
    RSSMXV_ATTR_ATSC3_BICM_PLP_SIZE,
    "ATSC 3.0 BICM PLP Size",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng24bit, NULL,
    "SOUR{Path}:BB:A3TS:PLP{PLP}:SIZE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_BICM_PLP_SCRAMBLER =
  {
    RSSMXV_ATTR_ATSC3_BICM_PLP_SCRAMBLER,
    "ATSC 3.0 BICM PLP Scrambler",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:A3TS:PLP{PLP}:SCR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_BICM_PLP_FEC_TYPE =
  {
    RSSMXV_ATTR_ATSC3_BICM_PLP_FEC_TYPE,
    "ATSC 3.0 BICM PLP FEC Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngATSC3PLPFECType, NULL, NULL,
    "SOUR{Path}:BB:A3TS:PLP{PLP}:FECT",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ATSC3_FORWARD_ERROR_CORRECTION_BCH_64K,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_BICM_PLP_CODE_RATE =
  {
    RSSMXV_ATTR_ATSC3_BICM_PLP_CODE_RATE,
    "ATSC 3.0 BICM PLP Code Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngATSC3PLPCodeRate, NULL, NULL,
    "SOUR{Path}:BB:A3TS:PLP{PLP}:RATE",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ATSC3_PLP_CODE_RATE_R9_15,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_BICM_PLP_CONSTELLATION =
  {
    RSSMXV_ATTR_ATSC3_BICM_PLP_CONSTELLATION,
    "ATSC 3.0 BICM PLP Constellation",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngATSC3PLPConstellation, NULL, NULL,
    "SOUR{Path}:BB:A3TS:PLP{PLP}:CONS",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_PLP_CONSTELLATION_QPSK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_BICM_PLP_LOW_LEVEL_SIGNALING =
  {
    RSSMXV_ATTR_ATSC3_BICM_PLP_LOW_LEVEL_SIGNALING,
    "ATSC 3.0 BICM PLP Low Level Signaling",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngATSC3NetworkLowLevelSignaling, NULL, NULL,
    "SOUR{Path}:BB:A3TS:PLP{PLP}:LLS?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ABSENT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_BICM_PLP_INTERLEAVING_TYPE =
  {
    RSSMXV_ATTR_ATSC3_BICM_PLP_INTERLEAVING_TYPE,
    "ATSC 3.0 BICM PLP Interleaving Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngATSC3PLPInterleavingType, NULL, NULL,
    "SOUR{Path}:BB:A3TS:PLP{PLP}:TYPE:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ATSC3_PLP_INTERLEAVING_NONDISPERSED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_BICM_PLP_INTERLEAVING_NUMBER_OF_SUBSLICES =
  {
    RSSMXV_ATTR_ATSC3_BICM_PLP_INTERLEAVING_NUMBER_OF_SUBSLICES,
    "ATSC 3.0 BICM PLP Interleaving Number of Subslices",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngATSC3PLPNumberOfSubslices, NULL,
    "SOUR{Path}:BB:A3TS:PLP{PLP}:TYPE:NSUB",
    // Defaults I32, I64, Float, Bool, String
    2,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_BICM_PLP_INTERLEAVING_SUBSLICE_INTERVAL =
  {
    RSSMXV_ATTR_ATSC3_BICM_PLP_INTERLEAVING_SUBSLICE_INTERVAL,
    "ATSC 3.0 BICM PLP Interleaving Subslice Interval",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng24bit, NULL,
    "SOUR{Path}:BB:A3TS:PLP{PLP}:TYPE:SUBS",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_BICM_PLP_TIME_INTERLEAVER_MODE =
  {
    RSSMXV_ATTR_ATSC3_BICM_PLP_TIME_INTERLEAVER_MODE,
    "ATSC 3.0 BICM PLP Time Interleaver Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngATSC3PLPTimeInterleaverMode, NULL, NULL,
    "SOUR{Path}:BB:A3TS:PLP{PLP}:TIL:TIL",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ATSC3_TIME_INTERLEAVER_MODE_CONVOLUTIONAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_BICM_PLP_INTERLEAVING_DEPTH_EXTENDED =
  {
    RSSMXV_ATTR_ATSC3_BICM_PLP_INTERLEAVING_DEPTH_EXTENDED,
    "ATSC 3.0 BICM PLP Interleaving Depth Extended",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:A3TS:PLP{PLP}:TIL:EXT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_BICM_PLP_INTERLEAVING_DEPTH =
  {
    RSSMXV_ATTR_ATSC3_BICM_PLP_INTERLEAVING_DEPTH,
    "ATSC 3.0 BICM PLP Interleaving Depth",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngATSC3PLPInterleavingDepth, NULL, NULL,
    "SOUR{Path}:BB:A3TS:PLP{PLP}:TIL:DEPT",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ATSC3_INTERLEAVING_DEPTH_1024,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_BICM_PLP_INTERLEAVING_SUBFRAME_ENABLED =
  {
    RSSMXV_ATTR_ATSC3_BICM_PLP_INTERLEAVING_SUBFRAME_ENABLED,
    "ATSC 3.0 BICM PLP Interleaving Subframe Enabled",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:A3TS:PLP{PLP}:TIL:INT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_BICM_PLP_CELL_INTERLEAVER_ENABLED =
  {
    RSSMXV_ATTR_ATSC3_BICM_PLP_CELL_INTERLEAVER_ENABLED,
    "ATSC 3.0 BICM PLP Cell Interleaver Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:A3TS:PLP{PLP}:TIL:CIL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_BICM_PLP_INTERLEAVING_NUMBER_OF_TI_BLOCKS =
  {
    RSSMXV_ATTR_ATSC3_BICM_PLP_INTERLEAVING_NUMBER_OF_TI_BLOCKS,
    "ATSC 3.0 BICM PLP Interleaving Number Of TI Blocks",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngATSC3NumberOfTIBlocks, NULL,
    "SOUR{Path}:BB:A3TS:PLP{PLP}:TIL:NTIB",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_BICM_PLP_INTERLEAVING_FEC_BLOCKS_MAX =
  {
    RSSMXV_ATTR_ATSC3_BICM_PLP_INTERLEAVING_FEC_BLOCKS_MAX,
    "ATSC 3.0 BICM PLP Interleaving FEC Blocks Max",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngATSC3PLPInterleavingMaxBlocks, NULL,
    "SOUR{Path}:BB:A3TS:PLP{PLP}:TIL:MAXB?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_BICM_PLP_INTERLEAVING_FEC_BLOCKS =
  {
    RSSMXV_ATTR_ATSC3_BICM_PLP_INTERLEAVING_FEC_BLOCKS,
    "ATSC 3.0 BICM PLP Interleaving FEC Blocks",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:A3TS:PLP{PLP}:TIL:BLOC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_OFDM_NUMBER_OF_SUBFRAMES =
  {
    RSSMXV_ATTR_ATSC3_OFDM_NUMBER_OF_SUBFRAMES,
    "ATSC 3.0 OFDM Number of Subframes",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngATSC3OFDMNumberofSubframes, NULL,
    "SOUR{Path}:BB:A3TS:FRAM:NSUB?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_OFDM_CHANNEL_BANDWIDTH =
  {
    RSSMXV_ATTR_ATSC3_OFDM_CHANNEL_BANDWIDTH,
    "ATSC 3.0 OFDM Channel Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngATSC3OFDMChannelBandwidth, NULL, NULL,
    "SOUR{Path}:BB:A3TS:CHAN",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ATSC3_OFDM_CHANNEL_BANDWIDTH_6MHZ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_OFDM_MIMO_ENABLED =
  {
    RSSMXV_ATTR_ATSC3_OFDM_MIMO_ENABLED,
    "ATSC 3.0 OFDM MIMO Enabled",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:A3TS:SUBF{ATSC3Subframe}:MIMO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_OFDM_MISO =
  {
    RSSMXV_ATTR_ATSC3_OFDM_MISO,
    "ATSC 3.0 OFDM MISO",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngATSC3OFDMMISO, NULL, NULL,
    "SOUR{Path}:BB:A3TS:SUBF{ATSC3Subframe}:MISO",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ATSC3_OFDM_MISO_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_OFDM_FFT_SIZE =
  {
    RSSMXV_ATTR_ATSC3_OFDM_FFT_SIZE,
    "ATSC 3.0 OFDM FFT Size",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngATSC3FFTSize, NULL, NULL,
    "SOUR{Path}:BB:A3TS:SUBF{ATSC3Subframe}:FFT:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ATSC3_FFT_SIZE_8K,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_OFDM_REDUCED_CARRIER_MODE =
  {
    RSSMXV_ATTR_ATSC3_OFDM_REDUCED_CARRIER_MODE,
    "ATSC 3.0 OFDM Reduced Carrier Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngATSC3ReducedCarrierCoefficient, NULL,
    "SOUR{Path}:BB:A3TS:SUBF{ATSC3Subframe}:CARR:MODE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_OFDM_GUARD_INTERVAL =
  {
    RSSMXV_ATTR_ATSC3_OFDM_GUARD_INTERVAL,
    "ATSC 3.0 OFDM Guard Interval",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngATSC3GuardInterval, NULL, NULL,
    "SOUR{Path}:BB:A3TS:SUBF{ATSC3Subframe}:GUAR:INT",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ATSC3_GUARD_INTERVAL_192,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_OFDM_TOTAL_SYMBOLS =
  {
    RSSMXV_ATTR_ATSC3_OFDM_TOTAL_SYMBOLS,
    "ATSC 3.0 OFDM Total Symbols",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngATSC3OFDMTotalSymbols, NULL,
    "SOUR{Path}:BB:A3TS:SUBF{ATSC3Subframe}:NDAT",
    // Defaults I32, I64, Float, Bool, String
    72,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_OFDM_SUBFRAME_SISO_PILOT_PATTERN =
  {
    RSSMXV_ATTR_ATSC3_OFDM_SUBFRAME_SISO_PILOT_PATTERN,
    "ATSC 3.0 OFDM Subframe SISO Pilot Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngATSC3OFDMSISOPilotPattern, NULL, NULL,
    "SOUR{Path}:BB:A3TS:SUBF{ATSC3Subframe}:PIL:SISO",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ATSC4_SISO_PILOT_PATTERN_32_2,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_OFDM_SUBFRAME_PILOT_BOOST_MODE =
  {
    RSSMXV_ATTR_ATSC3_OFDM_SUBFRAME_PILOT_BOOST_MODE,
    "ATSC 3.0 OFDM Subframe Pilot Boost Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngATSC3OFDMPilotBoostMode, NULL,
    "SOUR{Path}:BB:A3TS:SUBF{ATSC3Subframe}:PIL:BOOS",
    // Defaults I32, I64, Float, Bool, String
    4,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_OFDM_SUBFRAME_BOUNDARY_SYMBOL_FIRST =
  {
    RSSMXV_ATTR_ATSC3_OFDM_SUBFRAME_BOUNDARY_SYMBOL_FIRST,
    "ATSC 3.0 OFDM Subframe Boundary Symbol First",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngATSC3OFDMBoundarySymbolFirst, NULL,
    "SOUR{Path}:BB:A3TS:SUBF{ATSC3Subframe}:SBS:FIRST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_OFDM_SUBFRAME_BOUNDARY_SYMBOL_LAST =
  {
    RSSMXV_ATTR_ATSC3_OFDM_SUBFRAME_BOUNDARY_SYMBOL_LAST,
    "ATSC 3.0 OFDM Subframe Boundary Symbol Last",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:A3TS:SUBF{ATSC3Subframe}:SBS:LAST?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_OFDM_SUBFRAME_BOUNDARY_NULL_CELLS =
  {
    RSSMXV_ATTR_ATSC3_OFDM_SUBFRAME_BOUNDARY_NULL_CELLS,
    "ATSC 3.0 OFDM Subframe Boundary Null Cells",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:A3TS:SUBF{ATSC3Subframe}:SBS:NULL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_AFDM_SUBFRAME_FREQUENCY_INTERLEAVER_ENABLED =
  {
    RSSMXV_ATTR_ATSC3_AFDM_SUBFRAME_FREQUENCY_INTERLEAVER_ENABLED,
    "ATSC 3.0 AFDM Subframe Frequency Interleaver Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:A3TS:SUBF{ATSC3Subframe}:FIL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_OFDM_SUBFRAME_DURATION =
  {
    RSSMXV_ATTR_ATSC3_OFDM_SUBFRAME_DURATION,
    "ATSC 3.0 OFDM Subframe Duration",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:A3TS:SUBF{ATSC3Subframe}:DUR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_OFDM_SUBFRAME_USED_BANDWIDTH =
  {
    RSSMXV_ATTR_ATSC3_OFDM_SUBFRAME_USED_BANDWIDTH,
    "ATSC 3.0 OFDM Subframe Used Bandwidth",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:A3TS:SUBF{ATSC3Subframe}:USED?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_OFDM_SUBFRAME_NUMBER_OF_PLPS =
  {
    RSSMXV_ATTR_ATSC3_OFDM_SUBFRAME_NUMBER_OF_PLPS,
    "ATSC 3.0 OFDM Subframe Number Of PLPs",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:A3TS:SUBF{ATSC3Subframe}:PLP:NPLP?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_OFDM_SUBFRAME_PLP_IDS =
  {
    RSSMXV_ATTR_ATSC3_OFDM_SUBFRAME_PLP_IDS,
    "ATSC 3.0 OFDM Subframe PLP IDs",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:A3TS:SUBF{ATSC3Subframe}:PLP:NIDP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_NETWORK_MODE =
  {
    RSSMXV_ATTR_ATSC3_NETWORK_MODE,
    "ATSC 3.0 Network Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngNetworkFrequencyMode, NULL, NULL,
    "SOUR{Path}:BB:A3TS:NETW",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_NETWORK_MODE_MULTI_FREQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_NETWORK_LOW_LEVEL_SIGNALLING =
  {
    RSSMXV_ATTR_ATSC3_NETWORK_LOW_LEVEL_SIGNALLING,
    "ATSC 3.0 Network Low Level Signalling",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngATSC3NetworkLowLevelSignaling, NULL, NULL,
    "SOUR{Path}:BB:A3TS:LLS?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ABSENT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_NETWORK_TIME =
  {
    RSSMXV_ATTR_ATSC3_NETWORK_TIME,
    "ATSC 3.0 Network Time",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngATSC3NetworkTime, NULL, NULL,
    "SOUR{Path}:BB:A3TS:TIME",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ATSC3_NETWORK_TIME_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_NETWORK_RETURN_CHANNEL =
  {
    RSSMXV_ATTR_ATSC3_NETWORK_RETURN_CHANNEL,
    "ATSC 3.0 Network Return Channel",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngATSC3ReturnChannel, NULL, NULL,
    "SOUR{Path}:BB:A3TS:RET?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ABSENT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_NETWORK_MISO_NUMBER_OF_TRANSMITTERS =
  {
    RSSMXV_ATTR_ATSC3_NETWORK_MISO_NUMBER_OF_TRANSMITTERS,
    "ATSC 3.0 Network MISO Number of Transmitters",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngATSC3MISOfTransmitters, NULL,
    "SOUR{Path}:BB:A3TS:MIS:NTX",
    // Defaults I32, I64, Float, Bool, String
    2,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_NETWORK_MISO_TRANSMITTER_INDEX =
  {
    RSSMXV_ATTR_ATSC3_NETWORK_MISO_TRANSMITTER_INDEX,
    "ATSC 3.0 Network MISO Transmitter Index",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngATSC3MISOTransmitterIndex, NULL,
    "SOUR{Path}:BB:A3TS:MIS:IDX",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_NETWORK_TXID_MODE =
  {
    RSSMXV_ATTR_ATSC3_NETWORK_TXID_MODE,
    "ATSC 3.0 Network TxID Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngATSC3TxIDMode, NULL, NULL,
    "SOUR{Path}:BB:A3TS:TXI:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ATSC3_TXID_MODE_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_NETWORK_TXID_ADDRESS =
  {
    RSSMXV_ATTR_ATSC3_NETWORK_TXID_ADDRESS,
    "ATSC 3.0 Network TxID Address",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng13bit, NULL,
    "SOUR{Path}:BB:A3TS:TXI:ADDR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_NETWORK_TXID_INJECTION_LEVEL =
  {
    RSSMXV_ATTR_ATSC3_NETWORK_TXID_INJECTION_LEVEL,
    "ATSC 3.0 Network TxID Injection Level",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngATSC3TxIDInjectionLevel, NULL, NULL,
    "SOUR{Path}:BB:A3TS:TXI:LEV",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ATSC3_TXID_INJECTION_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_NETWORK_BROADCAST_STREAM_ID =
  {
    RSSMXV_ATTR_ATSC3_NETWORK_BROADCAST_STREAM_ID,
    "ATSC 3.0 Network Broadcast Stream ID",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng16bit, NULL,
    "SOUR{Path}:BB:A3TS:BSID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_FRAME_PEAK_TO_AVERAGE_POWER_RATIO =
  {
    RSSMXV_ATTR_ATSC3_FRAME_PEAK_TO_AVERAGE_POWER_RATIO,
    "ATSC 3.0 Frame Peak To Average Power Ratio",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngATSC3PeakToAveragePowerRatio, NULL, NULL,
    "SOUR{Path}:BB:A3TS:PAPR",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ATSC3_PEAK_TO_AVERAGE_RATIO_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_FRAME_MODE =
  {
    RSSMXV_ATTR_ATSC3_FRAME_MODE,
    "ATSC 3.0 Frame Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngATSC3FrameMode, NULL, NULL,
    "SOUR{Path}:BB:A3TS:FRAM:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ATSC3_FRAME_MODE_SYMBOL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_FRAME_LENGTH =
  {
    RSSMXV_ATTR_ATSC3_FRAME_LENGTH,
    "ATSC 3.0 Frame Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngATSC3FrameLength, NULL,
    "SOUR{Path}:BB:A3TS:FRAM:LENG",
    // Defaults I32, I64, Float, Bool, String
    50,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_FRAME_EXCESS_SAMPLES_PER_SYMBOL =
  {
    RSSMXV_ATTR_ATSC3_FRAME_EXCESS_SAMPLES_PER_SYMBOL,
    "ATSC 3.0 Frame Excess Samples per Symbol",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng13bit, NULL,
    "SOUR{Path}:BB:A3TS:FRAM:EXSY?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_FRAME_FINAL_EXCESS_SAMPLES =
  {
    RSSMXV_ATTR_ATSC3_FRAME_FINAL_EXCESS_SAMPLES,
    "ATSC 3.0 Frame Final Excess Samples",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng15bit, NULL,
    "SOUR{Path}:BB:A3TS:FRAM:EXF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_FRAME_ADDITIONAL_SAMPLES =
  {
    RSSMXV_ATTR_ATSC3_FRAME_ADDITIONAL_SAMPLES,
    "ATSC 3.0 Frame Additional Samples",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng7bit, NULL,
    "SOUR{Path}:BB:A3TS:FRAM:ADD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_FRAME_TIME_OFFSET =
  {
    RSSMXV_ATTR_ATSC3_FRAME_TIME_OFFSET,
    "ATSC 3.0 Frame Time Offset",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng16bit, NULL,
    "SOUR{Path}:BB:A3TS:FRAM:TIME?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_L1_BASIC_VERSION =
  {
    RSSMXV_ATTR_ATSC3_L1_BASIC_VERSION,
    "ATSC 3.0 L1 Basic Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng3bit, NULL,
    "SOUR{Path}:BB:A3TS:L:BAS:VERS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_L1_BASIC_FEC_TYPE =
  {
    RSSMXV_ATTR_ATSC3_L1_BASIC_FEC_TYPE,
    "ATSC 3.0 L1 Basic FEC Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngATSC3BasicFECType, NULL, NULL,
    "SOUR{Path}:BB:A3TS:L:BAS:FECT",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ATSC3_FEC_MODE_1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_L1_DETAIL_VERSION =
  {
    RSSMXV_ATTR_ATSC3_L1_DETAIL_VERSION,
    "ATSC 3.0 L1 Detail Version",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng4bit, NULL,
    "SOUR{Path}:BB:A3TS:L:DET:VERS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_L1_DETAIL_FEC_TYPE =
  {
    RSSMXV_ATTR_ATSC3_L1_DETAIL_FEC_TYPE,
    "ATSC 3.0 L1 Detail FEC Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngATSC3DetailFECType, NULL, NULL,
    "SOUR{Path}:BB:A3TS:L:DET:FECT",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ATSC3_FEC_MODE_1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_L1_DETAIL_ADDITIONAL_PARITY_MODE =
  {
    RSSMXV_ATTR_ATSC3_L1_DETAIL_ADDITIONAL_PARITY_MODE,
    "ATSC 3.0 L1 Detail Additional Parity Mode",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngATSC3DetailAdditionalParityMode, NULL, NULL,
    "SOUR{Path}:BB:A3TS:L:DET:ADD?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ATSC3_DETAIL_ADDITIONAL_PARITY_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_L1_NUMBER_OF_PREAMBLE_SYMBOLS =
  {
    RSSMXV_ATTR_ATSC3_L1_NUMBER_OF_PREAMBLE_SYMBOLS,
    "ATSC 3.0 L1 Number of Preamble Symbols",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:A3TS:L:NPR?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_L1_REDUCED_CARRIER_MODE_PREAMBLE =
  {
    RSSMXV_ATTR_ATSC3_L1_REDUCED_CARRIER_MODE_PREAMBLE,
    "ATSC 3.0 L1 Reduced Carrier Mode Preamble",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngATSC3ReducedCarrierCoefficient, NULL,
    "SOUR{Path}:BB:A3TS:L:CARR:MODE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_L1_PILOT_PATTERN_DX_PREAMBLE =
  {
    RSSMXV_ATTR_ATSC3_L1_PILOT_PATTERN_DX_PREAMBLE,
    "ATSC 3.0 L1 Pilot Pattern Dx Preamble",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngATSC3PilotPatternPreamble, NULL, NULL,
    "SOUR{Path}:BB:A3TS:L:PIL:DX",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ATSC3_PILOT_PATTERN_PREAMBLE_16,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_L1_NUMBER_OF_RFS =
  {
    RSSMXV_ATTR_ATSC3_L1_NUMBER_OF_RFS,
    "ATSC 3.0 L1 Number of RFs",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:A3TS:NRF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_INFO_FRAME_DURATION =
  {
    RSSMXV_ATTR_ATSC3_INFO_FRAME_DURATION,
    "ATSC 3.0 Info Frame Duration",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:A3TS:INFO:FRAM:DUR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_INFO_BOOTSTRAP_DURATION =
  {
    RSSMXV_ATTR_ATSC3_INFO_BOOTSTRAP_DURATION,
    "ATSC 3.0 Info Bootstrap Duration",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:A3TS:INFO:BOOT:DUR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    2000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_INFO_L1_BASIC_BYTES =
  {
    RSSMXV_ATTR_ATSC3_INFO_L1_BASIC_BYTES,
    "ATSC 3.0 Info L1 Basic Bytes",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:A3TS:INFO:L:BAS:BYT?",
    // Defaults I32, I64, Float, Bool, String
    25,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_INFO_L1_DETAIL_BYTES =
  {
    RSSMXV_ATTR_ATSC3_INFO_L1_DETAIL_BYTES,
    "ATSC 3.0 Info L1 Detail Bytes",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:A3TS:INFO:L:DET:BYT?",
    // Defaults I32, I64, Float, Bool, String
    25,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_INFO_L1_BASIC_CELLS =
  {
    RSSMXV_ATTR_ATSC3_INFO_L1_BASIC_CELLS,
    "ATSC 3.0 Info L1 Basic Cells",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:A3TS:INFO:L:BAS:CELL?",
    // Defaults I32, I64, Float, Bool, String
    69,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_INFO_L1_DETAIL_CELLS =
  {
    RSSMXV_ATTR_ATSC3_INFO_L1_DETAIL_CELLS,
    "ATSC 3.0 Info L1 Detail Cells",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:A3TS:INFO:L:DET:CELL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_INFO_BOOTSTRAP_MAJOR_VERSION =
  {
    RSSMXV_ATTR_ATSC3_INFO_BOOTSTRAP_MAJOR_VERSION,
    "ATSC 3.0 Info Bootstrap Major Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:A3TS:INFO:BOOT:MAJ?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_INFO_BOOTSTRAP_MINOR_VERSION =
  {
    RSSMXV_ATTR_ATSC3_INFO_BOOTSTRAP_MINOR_VERSION,
    "ATSC 3.0 Info Bootstrap Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng3bit, NULL,
    "SOUR{Path}:BB:A3TS:INFO:BOOT:MIN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_INFO_BOOTSTRAP_MIN_TIME_TO_NEXT =
  {
    RSSMXV_ATTR_ATSC3_INFO_BOOTSTRAP_MIN_TIME_TO_NEXT,
    "ATSC 3.0 Info Bootstrap Min Time to Next",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngATSC3BootstrapMinTimeToNext, NULL, NULL,
    "SOUR{Path}:BB:A3TS:INFO:BOOT:TIME:NEXT?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ATSC3_BOOTSTRAP_MIN_TIME_TO_NEXT_NOT_APPLICABLE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_INFO_BOOTSTRAP_EMERGENCY_ALERT_SIGNALING =
  {
    RSSMXV_ATTR_ATSC3_INFO_BOOTSTRAP_EMERGENCY_ALERT_SIGNALING,
    "ATSC 3.0 Info Bootstrap Emergency Alert Signaling",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngATSC3BootstrapEAS, NULL, NULL,
    "SOUR{Path}:BB:A3TS:INFO:BOOT:EAS?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ATSC3_EMERGENCY_ALERT_NO_EMERGENCY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_INFO_BOOTSTRAP_BANDWIDTH =
  {
    RSSMXV_ATTR_ATSC3_INFO_BOOTSTRAP_BANDWIDTH,
    "ATSC 3.0 Info Bootstrap Bandwidth",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngATSC3BootstrapBandwidth, NULL, NULL,
    "SOUR{Path}:BB:A3TS:INFO:BOOT:BAND?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ATSC3_BOOTSTRAP_BANDWIDTH_6MHZ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_INFO_BOOTSTRAP_BSR_COEFFICIENT =
  {
    RSSMXV_ATTR_ATSC3_INFO_BOOTSTRAP_BSR_COEFFICIENT,
    "ATSC 3.0 Info Bootstrap BSR Coefficient",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng7bit, NULL,
    "SOUR{Path}:BB:A3TS:INFO:BOOT:BSR:COEF?",
    // Defaults I32, I64, Float, Bool, String
    2,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_INFO_STRUCTURE_PREAMBLE =
  {
    RSSMXV_ATTR_ATSC3_INFO_STRUCTURE_PREAMBLE,
    "ATSC 3.0 Info Structure Preamble",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng8bit, NULL,
    "SOUR{Path}:BB:A3TS:INFO:BOOT:PRE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_INFO_STRUCTURE_FFT_SIZE =
  {
    RSSMXV_ATTR_ATSC3_INFO_STRUCTURE_FFT_SIZE,
    "ATSC 3.0 Info Structure FFT Size",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngATSC3FFTSize, NULL, NULL,
    "SOUR{Path}:BB:A3TS:INFO:BOOT:FFT:MODE?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ATSC3_FFT_SIZE_8K,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_INFO_STRUCTURE_GUARD_INTERVAL =
  {
    RSSMXV_ATTR_ATSC3_INFO_STRUCTURE_GUARD_INTERVAL,
    "ATSC 3.0 Info Structure Guard Interval",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngATSC3GuardInterval, NULL, NULL,
    "SOUR{Path}:BB:A3TS:INFO:BOOT:GUAR:INT?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ATSC3_GUARD_INTERVAL_192,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_INFO_STRUCTURE_PILOT_PATTERN_DX =
  {
    RSSMXV_ATTR_ATSC3_INFO_STRUCTURE_PILOT_PATTERN_DX,
    "ATSC 3.0 Info Structure Pilot Pattern Dx",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngATSC3PilotPatternPreamble, NULL, NULL,
    "SOUR{Path}:BB:A3TS:INFO:BOOT:PIL:DX?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ATSC3_PILOT_PATTERN_PREAMBLE_16,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_INFO_STRUCTURE_L1_BASIC_FEC_TYPE =
  {
    RSSMXV_ATTR_ATSC3_INFO_STRUCTURE_L1_BASIC_FEC_TYPE,
    "ATSC 3.0 Info Structure L1 Basic FEC Type",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngATSC3StructureL1FECType, NULL, NULL,
    "SOUR{Path}:BB:A3TS:INFO:BOOT:BAS:FECT?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ATSC3_FEC_MODE_1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_SFN_NETWORK_DELAY =
  {
    RSSMXV_ATTR_ATSC3_SFN_NETWORK_DELAY,
    "ATSC 3.0 SFN Network Delay",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:A3TS:DEL:NETW?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_SFN_PROCESSING_DELAY =
  {
    RSSMXV_ATTR_ATSC3_SFN_PROCESSING_DELAY,
    "ATSC 3.0 SFN Processing Delay",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:A3TS:DEL:PROC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_SFN_DYNAMIC_DELAY =
  {
    RSSMXV_ATTR_ATSC3_SFN_DYNAMIC_DELAY,
    "ATSC 3.0 SFN Dynamic Delay",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:A3TS:DEL:DYN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_SFN_TOTAL_DELAY =
  {
    RSSMXV_ATTR_ATSC3_SFN_TOTAL_DELAY,
    "ATSC 3.0 SFN Total Delay",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:A3TS:DEL:TOT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_SFN_MAX_DEVIATION_TIME =
  {
    RSSMXV_ATTR_ATSC3_SFN_MAX_DEVIATION_TIME,
    "ATSC 3.0 SFN Max Deviation Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngATSC3SFNMaxDeviationTime, NULL,
    "SOUR{Path}:BB:A3TS:DEL:DEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_SFN_STATIC_DELAY =
  {
    RSSMXV_ATTR_ATSC3_SFN_STATIC_DELAY,
    "ATSC 3.0 SFN Static Delay",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngATSC3SFNStaticDelay, NULL,
    "SOUR{Path}:BB:A3TS:DEL:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_SFN_MAXIMUM_DELAY =
  {
    RSSMXV_ATTR_ATSC3_SFN_MAXIMUM_DELAY,
    "ATSC 3.0 SFN Maximum Delay",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:A3TS:DEL:MAXI?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_SFN_DISPATCH_TIME =
  {
    RSSMXV_ATTR_ATSC3_SFN_DISPATCH_TIME,
    "ATSC 3.0 SFN Dispatch Time",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:A3TS:DEL:DISP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_SFN_MUTE_BOOTSTRAP_OF_FRAME =
  {
    RSSMXV_ATTR_ATSC3_SFN_MUTE_BOOTSTRAP_OF_FRAME,
    "ATSC 3.0 SFN Mute Bootstrap of Frame",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:A3TS:DEL:MUTE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_SFN_MODE =
  {
    RSSMXV_ATTR_ATSC3_SFN_MODE,
    "ATSC 3.0 SFN Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngATSC3SFNMode, NULL, NULL,
    "SOUR{Path}:BB:A3TS:DEL:SFNM",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ATSC3_SFN_MODE_RELATIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_SPECIAL_SETTINGS_ENABLED =
  {
    RSSMXV_ATTR_ATSC3_SPECIAL_SETTINGS_ENABLED,
    "ATSC 3.0 Special Settings Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:A3TS:SPEC:SETT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_SPECIAL_STL_PREAMBLE_COMPATIBILITY_MODE_ENABLED =
  {
    RSSMXV_ATTR_ATSC3_SPECIAL_STL_PREAMBLE_COMPATIBILITY_MODE_ENABLED,
    "ATSC 3.0 Special STL Preamble Compatibility Mode Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:A3TS:SPEC:STL:PRE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_SPECIAL_STL_TMP_COMPATIBILITY_MODE =
  {
    RSSMXV_ATTR_ATSC3_SPECIAL_STL_TMP_COMPATIBILITY_MODE,
    "ATSC 3.0 Special STL TMP Compatibility Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:A3TS:SPEC:STL:TMP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_SPECIAL_AMP_LMT_COMPATIBILITY_MODE_ENABLED =
  {
    RSSMXV_ATTR_ATSC3_SPECIAL_AMP_LMT_COMPATIBILITY_MODE_ENABLED,
    "ATSC 3.0 Special AMP LMT Compatibility Mode Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:A3TS:SPEC:ALP:LMT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_SPECIAL_BOOTSTRAP_MINOR_VERSION =
  {
    RSSMXV_ATTR_ATSC3_SPECIAL_BOOTSTRAP_MINOR_VERSION,
    "ATSC 3.0 Special Bootstrap Minor Version",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng3bit, NULL,
    "SOUR{Path}:BB:A3TS:SPEC:BOOT:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ATSC3_SPECIAL_BOOTSTRAP_EMERGENCY_ALERT_SIGNALING =
  {
    RSSMXV_ATTR_ATSC3_SPECIAL_BOOTSTRAP_EMERGENCY_ALERT_SIGNALING,
    "ATSC 3.0 Special Bootstrap Emergency Alert Signaling",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngATSC3BootstrapEAS, NULL, NULL,
    "SOUR{Path}:BB:A3TS:SPEC:BOOT:EAS",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ATSC3_EMERGENCY_ALERT_NO_EMERGENCY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K162",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT_ENABLED =
  {
    RSSMXV_ATTR_DVBT_ENABLED,
    "DVB-T Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBT:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K163",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT_SET_TO_DEFAULT =
  {
    RSSMXV_ATTR_DVBT_SET_TO_DEFAULT,
    "DVB-T Set To Default",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBT:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K163",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT_RECALL_SETTINGS =
  {
    RSSMXV_ATTR_DVBT_RECALL_SETTINGS,
    "DVB-T Recall Settings",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBT:SETT:LOAD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "settings",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K163",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT_SAVE_SETTINGS =
  {
    RSSMXV_ATTR_DVBT_SAVE_SETTINGS,
    "DVB-T Save Settings",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBT:SETT:STOR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "//var//user//settings.dvbt",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K163",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT_SETTINGS_CATALOG =
  {
    RSSMXV_ATTR_DVBT_SETTINGS_CATALOG,
    "DVB-T Settings Catalog",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBT:SETT:CAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "catalog",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K163",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT_DELETE_SETTINGS =
  {
    RSSMXV_ATTR_DVBT_DELETE_SETTINGS,
    "DVB-T Delete Settings",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBT:SETT:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "settings",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K163",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT_INPUT_SOURCE_HIGH =
  {
    RSSMXV_ATTR_DVBT_INPUT_SOURCE_HIGH,
    "DVB-T Input Source High",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDVBTInputSource, NULL, NULL,
    ":SOUR{Path}:BB:DVBT:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DVBT_INPUT_SOURCE_EXT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT_INPUT_SOURCE_LOW =
  {
    RSSMXV_ATTR_DVBT_INPUT_SOURCE_LOW,
    "DVB-T Input Source Low",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDVBTInputSource, NULL, NULL,
    ":SOUR{Path}:BB:DVBT:SOUR:LOW",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DVBT_INPUT_SOURCE_EXT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K163",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT_INPUT_HIGH =
  {
    RSSMXV_ATTR_DVBT_INPUT_HIGH,
    "DVB-T Input High",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDVBTInput, NULL, NULL,
    ":SOUR{Path}:BB:DVBT:INP",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_PROTOCOL_TS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K163",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT_INPUT_LOW =
  {
    RSSMXV_ATTR_DVBT_INPUT_LOW,
    "DVB-T Input Low",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDVBTInput, NULL, NULL,
    ":SOUR{Path}:BB:DVBT:INP:LOW",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_PROTOCOL_TS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K163",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT_INPUT_FORMAT_HIGH =
  {
    RSSMXV_ATTR_DVBT_INPUT_FORMAT_HIGH,
    "DVB-T Input Format High",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDVBTInputFormat, NULL, NULL,
    ":SOUR{Path}:BB:DVBT:INP:FORM",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_DVBT_INPUT_FORMAT_ASI,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K163",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT_INPUT_FORMAT_LOW =
  {
    RSSMXV_ATTR_DVBT_INPUT_FORMAT_LOW,
    "DVB-T Input Format Low",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDVBTInputFormat, NULL, NULL,
    ":SOUR{Path}:BB:DVBT:INP:FORM:LOW",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_DVBT_INPUT_FORMAT_ASI,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K163",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT_INPUT_IP_TS_CHANNEL =
  {
    RSSMXV_ATTR_DVBT_INPUT_IP_TS_CHANNEL,
    "DVB-T Input IP TS Channel",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngDVBTInputIPTSChannel, NULL,
    ":SOUR{Path}:BB:DVBT:INP:TSCH",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K163",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT_INPUT_STUFFING_HIGH_ENABLED =
  {
    RSSMXV_ATTR_DVBT_INPUT_STUFFING_HIGH_ENABLED,
    "DVB-T Input Stuffing High Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBT:STUF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K163",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT_INPUT_STUFFING_LOW_ENABLED =
  {
    RSSMXV_ATTR_DVBT_INPUT_STUFFING_LOW_ENABLED,
    "DVB-T Input Stuffing Low Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBT:STUF:LOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K163",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT_INPUT_TEST_SIGNAL_HIGH =
  {
    RSSMXV_ATTR_DVBT_INPUT_TEST_SIGNAL_HIGH,
    "DVB-T Input Test Signal High",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDVBTTestSignal, NULL, NULL,
    ":SOUR{Path}:BB:DVBT:TEST",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DVBT_TEST_SIGNAL_TTSP,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K163",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT_INPUT_TEST_SIGNAL_LOW =
  {
    RSSMXV_ATTR_DVBT_INPUT_TEST_SIGNAL_LOW,
    "DVB-T Input Test Signal Low",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDVBTTestSignal, NULL, NULL,
    ":SOUR{Path}:BB:DVBT:TEST:LOW",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DVBT_TEST_SIGNAL_TTSP,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K163",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT_INPUT_INFO_PACKET_LENGTH_HIGH =
  {
    RSSMXV_ATTR_DVBT_INPUT_INFO_PACKET_LENGTH_HIGH,
    "DVB-T Input Info Packet Length High",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngDVBTPacketLength, NULL, NULL,
    ":SOUR{Path}:BB:DVBT:PACK?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DVBT_PACKET_LENGTH_INVALID,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K163",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT_INPUT_INFO_PACKET_LENGTH_LOW =
  {
    RSSMXV_ATTR_DVBT_INPUT_INFO_PACKET_LENGTH_LOW,
    "DVB-T Input Info Packet Length Low",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngDVBTPacketLength, NULL, NULL,
    ":SOUR{Path}:BB:DVBT:PACK:LOW?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DVBT_PACKET_LENGTH_INVALID,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K163",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT_INPUT_INFO_MAX_USEFUL_DATA_RATE_HIGH =
  {
    RSSMXV_ATTR_DVBT_INPUT_INFO_MAX_USEFUL_DATA_RATE_HIGH,
    "DVB-T Input Info Max Useful Data Rate High",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBT:USEF:MAX?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K163",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT_INPUT_INFO_MAX_USEFUL_DATA_RATE_LOW =
  {
    RSSMXV_ATTR_DVBT_INPUT_INFO_MAX_USEFUL_DATA_RATE_LOW,
    "DVB-T Input Info Max Useful Data Rate Low",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBT:USEF:MAX:LOW?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K163",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT_INPUT_INFO_MEAS_DATA_RATE_HIGH =
  {
    RSSMXV_ATTR_DVBT_INPUT_INFO_MEAS_DATA_RATE_HIGH,
    "DVB-T Input Info Meas Data Rate High",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBT:USEF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K163",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT_INPUT_INFO_MEAS_DATA_RATE_LOW =
  {
    RSSMXV_ATTR_DVBT_INPUT_INFO_MEAS_DATA_RATE_LOW,
    "DVB-T Input Info Meas Data Rate Low",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBT:USEF:LOW?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K163",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT_INPUT_INFO_USEFUL_DATA_RATE_LOW =
  {
    RSSMXV_ATTR_DVBT_INPUT_INFO_USEFUL_DATA_RATE_LOW,
    "DVB-T Input Info Useful Data Rate Low",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBT:DAT:LOW?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K163",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT_INPUT_INFO_USEFUL_DATA_RATE_HIGH =
  {
    RSSMXV_ATTR_DVBT_INPUT_INFO_USEFUL_DATA_RATE_HIGH,
    "DVB-T Input Info Useful Data Rate High",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBT:DAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K163",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT_INPUT_TEST_SIGNAL_TEST_TS_PACKET =
  {
    RSSMXV_ATTR_DVBT_INPUT_TEST_SIGNAL_TEST_TS_PACKET,
    "DVB-T Input Test Signal Test TS Packet",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngTestTSPacketStructure, NULL, NULL,
    ":SOUR{Path}:BB:DVBT:TSP",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_TS_PACKET_H184,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K163",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT_INPUT_TEST_SIGNAL_PID_TEST_PACKET =
  {
    RSSMXV_ATTR_DVBT_INPUT_TEST_SIGNAL_PID_TEST_PACKET,
    "DVB-T Input Test Signal PID Test Packet",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngTestPIDPacket, NULL, NULL,
    ":SOUR{Path}:BB:DVBT:PIDT",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_PID_TEST_PACKET_NULL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K163",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT_INPUT_TEST_SIGNAL_PID =
  {
    RSSMXV_ATTR_DVBT_INPUT_TEST_SIGNAL_PID,
    "DVB-T Input Test Signal PID",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng13bit, NULL,
    ":SOUR{Path}:BB:DVBT:PID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K163",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT_INPUT_TEST_SIGNAL_PAYLOAD =
  {
    RSSMXV_ATTR_DVBT_INPUT_TEST_SIGNAL_PAYLOAD,
    "DVB-T Input Test Signal Payload",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngTestSignalPayload, NULL, NULL,
    ":SOUR{Path}:BB:DVBT:PAYL",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_TEST_SIGNAL_PAYLOAD_PRBS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K163",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT_INPUT_TEST_SIGNAL_PRBS =
  {
    RSSMXV_ATTR_DVBT_INPUT_TEST_SIGNAL_PRBS,
    "DVB-T Input Test Signal PRBS",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngPRBSSequence, NULL, NULL,
    ":SOUR{Path}:BB:DVBT:PRBS",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_PRBS_SEQUENCE_23,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K163",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT_CODING_HIEARCHY =
  {
    RSSMXV_ATTR_DVBT_CODING_HIEARCHY,
    "DVB-T Coding Hiearchy",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDVBTHiearchy, NULL, NULL,
    ":SOUR{Path}:BB:DVBT:HIER",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DVBT_HIERARCHY_NONHIER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K163",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT_CODING_CONSTELLATION =
  {
    RSSMXV_ATTR_DVBT_CODING_CONSTELLATION,
    "DVB-T Coding Constellation",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDVBTCodingConstellation, NULL, NULL,
    ":SOUR{Path}:BB:DVBT:CONS",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DVBT_CODING_CONSTELLATION_T64,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K163",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT_CODING_CHANNEL_BANDWIDTH =
  {
    RSSMXV_ATTR_DVBT_CODING_CHANNEL_BANDWIDTH,
    "DVB-T Coding Channel Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDVBTCodingChannelBW, NULL, NULL,
    ":SOUR{Path}:BB:DVBT:CHAN",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DVBT_CODING_CHANNEL_BW_8,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K163",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT_CODING_USED_BW =
  {
    RSSMXV_ATTR_DVBT_CODING_USED_BW,
    "DVB-T Coding Used BW",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngDVBTUsedBW, NULL,
    ":SOUR{Path}:BB:DVBT:USED",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1000000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K163",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT_CODING_FFT_MODE =
  {
    RSSMXV_ATTR_DVBT_CODING_FFT_MODE,
    "DVB-T Coding FFT Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDVBTCodingFFTMode, NULL, NULL,
    ":SOUR{Path}:BB:DVBT:FFT:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMXC_VAL_DVBT_FFT_MODE_M8K,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K163",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT_CODING_GUARD_INTERVAL =
  {
    RSSMXV_ATTR_DVBT_CODING_GUARD_INTERVAL,
    "DVB-T Coding Guard Interval",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDVBTCodingGuardInterval, NULL, NULL,
    ":SOUR{Path}:BB:DVBT:GUAR:INT",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DVBT_GUARD_INTERVAL_G1_4,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K163",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT_CODING_DVBH_ENABLED =
  {
    RSSMXV_ATTR_DVBT_CODING_DVBH_ENABLED,
    "DVB-T Coding DVB-H Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBT:DVHS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K163",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT_CODING_SYMBOL_INTERLEAVING =
  {
    RSSMXV_ATTR_DVBT_CODING_SYMBOL_INTERLEAVING,
    "DVB-T Coding Symbol Interleaving",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDVBTSymbolInterleaving, NULL, NULL,
    ":SOUR{Path}:BB:DVBT:DVBH:SYMB",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_SYMBOL_INTERLEAVING_NATIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K163",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT_CODING_CODE_RATE_HIGH =
  {
    RSSMXV_ATTR_DVBT_CODING_CODE_RATE_HIGH,
    "DVB-T Coding Code Rate High",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDVBTCodeRate, NULL, NULL,
    ":SOUR{Path}:BB:DVBT:RATE",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DVBT_CODE_RATE_R3_4,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K163",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT_CODING_CODE_RATE_LOW =
  {
    RSSMXV_ATTR_DVBT_CODING_CODE_RATE_LOW,
    "DVB-T Coding Code Rate Low",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDVBTCodeRate, NULL, NULL,
    ":SOUR{Path}:BB:DVBT:RATE:LOW",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DVBT_CODE_RATE_R3_4,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K163",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT_TPS_CELL_ID =
  {
    RSSMXV_ATTR_DVBT_TPS_CELL_ID,
    "DVB-T TPS Cell ID",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng16bit, NULL,
    ":SOUR{Path}:BB:DVBT:CELL:ID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K163",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT_TPS_RESERVED_STATE =
  {
    RSSMXV_ATTR_DVBT_TPS_RESERVED_STATE,
    "DVB-T TPS Reserved State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBT:TPSR:STATE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K163",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT_TPS_RESERVED_BITS =
  {
    RSSMXV_ATTR_DVBT_TPS_RESERVED_BITS,
    "DVB-T TPS Reserved Bits",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng4bit, NULL,
    ":SOUR{Path}:BB:DVBT:TPSR:VAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K163",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT_TPS_TIMESLICE_LOW_ENABLED =
  {
    RSSMXV_ATTR_DVBT_TPS_TIMESLICE_LOW_ENABLED,
    "DVB-T TPS Timeslice Low Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBT:TIM:LOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K163",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT_TPS_TIMESLICE_HIGH_ENABLED =
  {
    RSSMXV_ATTR_DVBT_TPS_TIMESLICE_HIGH_ENABLED,
    "DVB-T TPS Timeslice High Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBT:TIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K163",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT_TPS_MPE_FEC_LOW_ENABLED =
  {
    RSSMXV_ATTR_DVBT_TPS_MPE_FEC_LOW_ENABLED,
    "DVB-T TPS MPE FEC Low Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBT:MPEF:LOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K163",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT_TPS_MPE_FEC_HIGH_ENABLED =
  {
    RSSMXV_ATTR_DVBT_TPS_MPE_FEC_HIGH_ENABLED,
    "DVB-T TPS MPE FEC High Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBT:MPEF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K163",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT_SPECIAL_SETTINGS_ENABLED =
  {
    RSSMXV_ATTR_DVBT_SPECIAL_SETTINGS_ENABLED,
    "DVB-T Special Settings Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBT:SETT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K163",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT_SPECIAL_SETTINGS_REED_SOLOMON_HIGH_ENABLED =
  {
    RSSMXV_ATTR_DVBT_SPECIAL_SETTINGS_REED_SOLOMON_HIGH_ENABLED,
    "DVB-T Special Settings Reed Solomon High Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBT:REED",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K163",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT_SPECIAL_SETTINGS_REED_SOLOMON_LOW_ENABLED =
  {
    RSSMXV_ATTR_DVBT_SPECIAL_SETTINGS_REED_SOLOMON_LOW_ENABLED,
    "DVB-T Special Settings Reed Solomon Low Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBT:REED:LOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K163",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_ENABLED =
  {
    RSSMXV_ATTR_DVBT2_ENABLED,
    "DVB-T2 Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_SET_TO_DEFAULT =
  {
    RSSMXV_ATTR_DVBT2_SET_TO_DEFAULT,
    "DVB-T2 Set To Default",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_RECALL_SETTINGS =
  {
    RSSMXV_ATTR_DVBT2_RECALL_SETTINGS,
    "DVB-T2 Recall Settings",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:SETT:LOAD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "settings",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_SAVE_SETTINGS =
  {
    RSSMXV_ATTR_DVBT2_SAVE_SETTINGS,
    "DVB-T2 Save Settings",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:SETT:STOR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "//var//user//settings.dvbt2",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_SETTINGS_CATALOG =
  {
    RSSMXV_ATTR_DVBT2_SETTINGS_CATALOG,
    "DVB-T2 Settings Catalog",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:SETT:CAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "catalog",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_DELETE_SETTINGS =
  {
    RSSMXV_ATTR_DVBT2_DELETE_SETTINGS,
    "DVB-T2 Delete Settings",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:SETT:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/var/user/settings.dvbt2",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_INPUT_T2MI_INTERFACE_ENABLED =
  {
    RSSMXV_ATTR_DVBT2_INPUT_T2MI_INTERFACE_ENABLED,
    "DVB-T2 Input T2MI Interface Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:INP:T2MI:INT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_INPUT_SOURCE =
  {
    RSSMXV_ATTR_DVBT2_INPUT_SOURCE,
    "DVB-T2 Input Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngBroadcastInputSource, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_INPUT_SOURCE_EXTERNAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_INPUT_NUMBER_OF_PLPS =
  {
    RSSMXV_ATTR_DVBT2_INPUT_NUMBER_OF_PLPS,
    "DVB-T2 Input Number Of PLPs",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:INP:NPLP?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_INPUT =
  {
    RSSMXV_ATTR_DVBT2_INPUT,
    "DVB-T2 Input",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDVBT2Input, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:INP",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_PROTOCOL_TS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_INPUT_FORMAT =
  {
    RSSMXV_ATTR_DVBT2_INPUT_FORMAT,
    "DVB-T2 Input Format",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDVBT2InputFormat, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:INP:FORM",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_DVBT2_INPUT_FORMAT_ASI,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_INPUT_IP_TS_CHANNEL =
  {
    RSSMXV_ATTR_DVBT2_INPUT_IP_TS_CHANNEL,
    "DVB-T2 Input IP TS Channel",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngDVBT2InputTSChannel, NULL,
    ":SOUR{Path}:BB:T2DV:INP:TSCH",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_INPUT_T2MI_PID =
  {
    RSSMXV_ATTR_DVBT2_INPUT_T2MI_PID,
    "DVB-T2 Input T2MI PID",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng12bit, NULL,
    ":SOUR{Path}:BB:T2DV:INP:T2MI:PID",
    // Defaults I32, I64, Float, Bool, String
    4095,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_INPUT_T2MI_SID =
  {
    RSSMXV_ATTR_DVBT2_INPUT_T2MI_SID,
    "DVB-T2 Input T2MI SID",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng3bit, NULL,
    ":SOUR{Path}:BB:T2DV:INP:T2MI:SID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_INPUT_RESET_LOG_FILE =
  {
    RSSMXV_ATTR_DVBT2_INPUT_RESET_LOG_FILE,
    "DVB-K164T2 Input Reset Log File",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:INP:T2MI:RES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_INPUT_STATUS_INFO =
  {
    RSSMXV_ATTR_DVBT2_INPUT_STATUS_INFO,
    "DVB-T2 Input Status Info",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:INP:T2MI:ANAL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "no error",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_INPUT_PLP_TEST_SIGNAL =
  {
    RSSMXV_ATTR_DVBT2_INPUT_PLP_TEST_SIGNAL,
    "DVB-T2 Input PLP Test Signal",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDVBT2InputPLPTestSignal, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:PLP{DVBT2PLP}:INP:TEST",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DVBT2_PLP_TEST_SIGNAL_TTSP,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_INPUT_PLP_STUFFING_ENABLED =
  {
    RSSMXV_ATTR_DVBT2_INPUT_PLP_STUFFING_ENABLED,
    "DVB-T2 Input PLP Stuffing Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:PLP{DVBT2PLP}:INP:STUF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_PLP_INPUT_FORMAT =
  {
    RSSMXV_ATTR_DVBT2_PLP_INPUT_FORMAT,
    "DVB-T2 PLP Input Format",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDVBT2PLPInputFormat, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:PLP{DVBT2PLP}:INP:FORM",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DVBT2_PLP_INPUT_FORMAT_TS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_INPUT_PACKET_LENGTH =
  {
    RSSMXV_ATTR_DVBT2_INPUT_PACKET_LENGTH,
    "DVB-T2 Input Packet Length",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngDVBT2PacketLength, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:PLP{DVBT2PLP}:PACK?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DVBT2_PACKET_LENGTH_INVALID,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_INPUT_MAX_USEFUL_DATA_RATE =
  {
    RSSMXV_ATTR_DVBT2_INPUT_MAX_USEFUL_DATA_RATE,
    "DVB-T2 Input Max Useful Data Rate",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:PLP{DVBT2PLP}:USEF:MAX?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_INPUT_MEAS_DATA_RATE =
  {
    RSSMXV_ATTR_DVBT2_INPUT_MEAS_DATA_RATE,
    "DVB-T2 Input Meas Data Rate",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:PLP{DVBT2PLP}:DAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_INPUT_USEFUL_DATA_RATE =
  {
    RSSMXV_ATTR_DVBT2_INPUT_USEFUL_DATA_RATE,
    "DVB-T2 Input Useful Data Rate",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:PLP{DVBT2PLP}:USEF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_T2MI_MEASUREMENT_MODE =
  {
    RSSMXV_ATTR_DVBT2_T2MI_MEASUREMENT_MODE,
    "DVB-T2 T2MI Measurement Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDVBT2T2MIMeasMode, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:INP:T2MI:MEAS",
    // Defaults I32, I64, Float, Bool, String
    RSSMEXV_VAL_DVBT2_INPUT_T2MI_MEAS_MODE_ABSOLUTE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_INPUT_T2MI_TIME_MAX =
  {
    RSSMXV_ATTR_DVBT2_INPUT_T2MI_TIME_MAX,
    "DVB-T2 Input T2MI Time Max",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:INP:T2MI:MAX:T{DVBT2Timing}?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_INPUT_T2MI_TIME_MIN =
  {
    RSSMXV_ATTR_DVBT2_INPUT_T2MI_TIME_MIN,
    "DVB-T2 Input T2MI Time Min",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:INP:T2MI:MIN:T{DVBT2Timing}?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_INPUT_TEST_SIGNAL_TEST_TS_PACKET =
  {
    RSSMXV_ATTR_DVBT2_INPUT_TEST_SIGNAL_TEST_TS_PACKET,
    "DVB-T2 Input Test Signal Test TS Packet",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngTestTSPacketStructure, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:TSP",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_TS_PACKET_H184,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_INPUT_TEST_SIGNAL_PID_TEST_PACKET =
  {
    RSSMXV_ATTR_DVBT2_INPUT_TEST_SIGNAL_PID_TEST_PACKET,
    "DVB-T2 Input Test Signal PID Test Packet",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngTestPIDPacket, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:PIDT",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_PID_TEST_PACKET_NULL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_INPUT_TEST_SIGNAL_PID =
  {
    RSSMXV_ATTR_DVBT2_INPUT_TEST_SIGNAL_PID,
    "DVB-T2 Input Test Signal PID",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng13bit, NULL,
    ":SOUR{Path}:BB:T2DV:PID",
    // Defaults I32, I64, Float, Bool, String
    8191,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_INPUT_TEST_SIGNAL_PAYLOAD =
  {
    RSSMXV_ATTR_DVBT2_INPUT_TEST_SIGNAL_PAYLOAD,
    "DVB-T2 Input Test Signal Payload",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngTestSignalPayload, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:PAYL",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_TEST_SIGNAL_PAYLOAD_PRBS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_INPUT_TEST_SIGNAL_PRBS =
  {
    RSSMXV_ATTR_DVBT2_INPUT_TEST_SIGNAL_PRBS,
    "DVB-T2 Input Test Signal PRBS",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngPRBSSequence, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:PRBS",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_PRBS_SEQUENCE_23,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_MODE_STREAM_PLP_ID =
  {
    RSSMXV_ATTR_DVBT2_MODE_STREAM_PLP_ID,
    "DVB-T2 Mode Stream PLP ID",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng8bit, NULL,
    ":SOUR{Path}:BB:T2DV:PLP{DVBT2PLP}:ID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_MODE_STREAM_PLP_GROUP_ID =
  {
    RSSMXV_ATTR_DVBT2_MODE_STREAM_PLP_GROUP_ID,
    "DVB-T2 Mode Stream PLP Group ID",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng8bit, NULL,
    ":SOUR{Path}:BB:T2DV:PLP{DVBT2PLP}:GRO",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_MODE_STREAM_PLP_TYPE =
  {
    RSSMXV_ATTR_DVBT2_MODE_STREAM_PLP_TYPE,
    "DVB-T2 Mode Stream PLP Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDVBT2PLPType, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:PLP{DVBT2PLP}:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DVBT2_MODE_STREAM_PLP_TYPE_DT1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_MODE_STREAM_PLP_BB_MODE =
  {
    RSSMXV_ATTR_DVBT2_MODE_STREAM_PLP_BB_MODE,
    "DVB-T2 Mode Stream PLP BB Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDVBT2PLPBBMode, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:PLP{DVBT2PLP}:BB_M",
    // Defaults I32, I64, Float, Bool, String
    RSSMEX_VAL_DVBT2_PLP_BB_MODE_HEM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_MODE_STREAM_PLP_ISSY =
  {
    RSSMXV_ATTR_DVBT2_MODE_STREAM_PLP_ISSY,
    "DVB-T2 Mode Stream PLP ISSY",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngDVBT2PLPISSY, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:PLP{DVBT2PLP}:ISSY?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DVBT2_PLP_ISSY_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_MODE_STREAM_PLP_NULL_PACKET_DELETION_ENABLED =
  {
    RSSMXV_ATTR_DVBT2_MODE_STREAM_PLP_NULL_PACKET_DELETION_ENABLED,
    "DVB-T2 Mode Stream PLP Null Packet Deletion Enabled",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:PLP{DVBT2PLP}:NPD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_MODE_STREAM_PLP_IN_BAND_SIGNALING_ENABLED =
  {
    RSSMXV_ATTR_DVBT2_MODE_STREAM_PLP_IN_BAND_SIGNALING_ENABLED,
    "DVB-T2 Mode Stream PLP In Band Signaling Enabled",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:PLP{DVBT2PLP}:IBS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_MODE_STREAM_PLP_IN_BAND_SIGNALING_A_ENABLED =
  {
    RSSMXV_ATTR_DVBT2_MODE_STREAM_PLP_IN_BAND_SIGNALING_A_ENABLED,
    "DVB-T2 Mode Stream PLP In Band Signaling A Enabled",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:PLP{DVBT2PLP}:IBS:A?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_MODE_STREAM_PLP_IN_BAND_SIGNALING_B_ENABLED =
  {
    RSSMXV_ATTR_DVBT2_MODE_STREAM_PLP_IN_BAND_SIGNALING_B_ENABLED,
    "DVB-T2 Mode Stream PLP In Band Signaling B Enabled",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:PLP{DVBT2PLP}:IBS:B?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_MODE_STREAM_PLP_OTHER_IN_BAND_PLPS =
  {
    RSSMXV_ATTR_DVBT2_MODE_STREAM_PLP_OTHER_IN_BAND_PLPS,
    "DVB-T2 Mode Stream PLP Other In Band PLPs",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:PLP{DVBT2PLP}:OIBP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_MODE_STREAM_PLP_CM_TYPE =
  {
    RSSMXV_ATTR_DVBT2_MODE_STREAM_PLP_CM_TYPE,
    "DVB-T2 Mode Stream PLP CM Type",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngDVBT2PLPCMType, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:PLP{DVBT2PLP}:CMTY?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DVBT2_PLP_CM_TYPE_CCM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_MODE_STREAM_PLP_STATIC_FLAG_ENABLED =
  {
    RSSMXV_ATTR_DVBT2_MODE_STREAM_PLP_STATIC_FLAG_ENABLED,
    "DVB-T2 Mode Stream PLP Static Flag Enabled",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:PLP{DVBT2PLP}:STAF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_MODE_STREAM_PLP_STATIC_PADDING_FLAG_ENABLED =
  {
    RSSMXV_ATTR_DVBT2_MODE_STREAM_PLP_STATIC_PADDING_FLAG_ENABLED,
    "DVB-T2 Mode Stream PLP Static Padding Flag Enabled",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:PLP{DVBT2PLP}:PADF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_BCIM_PLP_FEC_FRAME =
  {
    RSSMXV_ATTR_DVBT2_BCIM_PLP_FEC_FRAME,
    "DVB-T2 BCIM PLP FEC Frame",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDVBT2BCIMPLPFECFrame, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:PLP{DVBT2PLP}:FECF",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DVBT2_BCIM_PLP_FEC_FRAME_NORMAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_BCIM_PLP_CODE_RATE =
  {
    RSSMXV_ATTR_DVBT2_BCIM_PLP_CODE_RATE,
    "DVB-T2 BCIM PLP Code Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDVBT2CodeRate, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:PLP{DVBT2PLP}:RATE",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DVBT2_CODE_RATE_R1_2,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_BCIM_PLP_CONSTELLATION =
  {
    RSSMXV_ATTR_DVBT2_BCIM_PLP_CONSTELLATION,
    "DVB-T2 BCIM PLP Constellation",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDVBT2BCIMPLPConstellation, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:PLP{DVBT2PLP}:CONS",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DVBT2_BCIM_PLP_CONSTELLATION_T256,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_BCIM_PLP_CONSTELLATION_ROTATION_ENABLED =
  {
    RSSMXV_ATTR_DVBT2_BCIM_PLP_CONSTELLATION_ROTATION_ENABLED,
    "DVB-T2 BCIM PLP Constellation Rotation Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:PLP{DVBT2PLP}:CROT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_BCIM_PLP_TIME_INTERLEAVER =
  {
    RSSMXV_ATTR_DVBT2_BCIM_PLP_TIME_INTERLEAVER,
    "DVB-T2 BCIM PLP Time Interleaver",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngDVBT2BCIMPLPInterleaverTime, NULL,
    ":SOUR{Path}:BB:T2DV:PLP{DVBT2PLP}:TIL:TYPE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_BCIM_PLP_FRAME_INTERLEAVER =
  {
    RSSMXV_ATTR_DVBT2_BCIM_PLP_FRAME_INTERLEAVER,
    "DVB-T2 BCIM PLP Frame Interleaver",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng8bit, NULL,
    ":SOUR{Path}:BB:T2DV:PLP{DVBT2PLP}:TIL:FINT",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_BCIM_PLP_TIME_INTERLEAVER_LENGTH =
  {
    RSSMXV_ATTR_DVBT2_BCIM_PLP_TIME_INTERLEAVER_LENGTH,
    "DVB-T2 BCIM PLP Time Interleaver Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng8bit, NULL,
    ":SOUR{Path}:BB:T2DV:PLP{DVBT2PLP}:TIL:LENG",
    // Defaults I32, I64, Float, Bool, String
    3,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_BCIM_PLP_FIRST_FRAME_INDEX =
  {
    RSSMXV_ATTR_DVBT2_BCIM_PLP_FIRST_FRAME_INDEX,
    "DVB-T2 BCIM PLP First Frame Index",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng8bit, NULL,
    ":SOUR{Path}:BB:T2DV:PLP{DVBT2PLP}:FRAM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_BICM_PLP_FEC_BLOCKS_PER_IF =
  {
    RSSMXV_ATTR_DVBT2_BICM_PLP_FEC_BLOCKS_PER_IF,
    "DVB-T2 BICM PLP FEC Blocks Per IF",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngDVBT2BICMPLPFECBlocksPerIF, NULL,
    ":SOUR{Path}:BB:T2DV:PLP{DVBT2PLP}:BLOC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_BICM_PLP_MAX_NUMBER_OF_BLOCKS =
  {
    RSSMXV_ATTR_DVBT2_BICM_PLP_MAX_NUMBER_OF_BLOCKS,
    "DVB-T2 BICM PLP Max Number Of Blocks",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:PLP{DVBT2PLP}:MAXB?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_OFDM_CHANNEL_BANDWIDTH =
  {
    RSSMXV_ATTR_DVBT2_OFDM_CHANNEL_BANDWIDTH,
    "DVB-T2 OFDM Channel Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDVBT2OFDMChannelBW, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:CHAN",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DVBT2_OFDM_CHAN_BW_8,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_OFDM_USED_BANDWIDTH =
  {
    RSSMXV_ATTR_DVBT2_OFDM_USED_BANDWIDTH,
    "DVB-T2 OFDM Used Bandwidth",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:USED?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_OFDM_BANDWIDTH_VARIATION =
  {
    RSSMXV_ATTR_DVBT2_OFDM_BANDWIDTH_VARIATION,
    "DVB-T2 OFDM Bandwidth Variation",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngDVBT2OFDMBandwidthVariation, NULL,
    ":SOUR{Path}:BB:T2DV:BAND:VAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_OFDM_FFT_MODE =
  {
    RSSMXV_ATTR_DVBT2_OFDM_FFT_MODE,
    "DVB-T2 OFDM FFT Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDVBT2OFDMFFTMode, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:FFT:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DVBT2_OFDM_FFT_MODE_M32E,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_OFDM_GUARD_INTERVAL =
  {
    RSSMXV_ATTR_DVBT2_OFDM_GUARD_INTERVAL,
    "DVB-T2 OFDM Guard Interval",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDVBT2CodingGuardInterval, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:GUAR:INT",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DVBT2_GUARD_INTERVAL_G1128,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_OFDM_PILOT_PATTERN =
  {
    RSSMXV_ATTR_DVBT2_OFDM_PILOT_PATTERN,
    "DVB-T2 OFDM Pilot Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDVBT2OFDMPilotPattern, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:PIL",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DVBT2_OFDM_PILOT_PATTERN_1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_OFDM_T2_FRAMES_PER_SUPER_FRAME =
  {
    RSSMXV_ATTR_DVBT2_OFDM_T2_FRAMES_PER_SUPER_FRAME,
    "DVB-T2 OFDM T2 Frames Per Super Frame",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngDVBT2OFDMT2FramesPerSuperFrame, NULL,
    ":SOUR{Path}:BB:T2DV:NT2F",
    // Defaults I32, I64, Float, Bool, String
    2,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_OFDM_SYMBOLS_PER_T2_FRAME =
  {
    RSSMXV_ATTR_DVBT2_OFDM_SYMBOLS_PER_T2_FRAME,
    "DVB-T2 OFDM Symbols Per T2 Frame",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng12bit, NULL,
    ":SOUR{Path}:BB:T2DV:LF?",
    // Defaults I32, I64, Float, Bool, String
    4,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_OFDM_DATA_SYMBOLS_PER_T2_FRAME =
  {
    RSSMXV_ATTR_DVBT2_OFDM_DATA_SYMBOLS_PER_T2_FRAME,
    "DVB-T2 OFDM Data Symbols Per T2 Frame",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngDVBT2OFDMDataSymbolsPerT2Frame, NULL,
    ":SOUR{Path}:BB:T2DV:LDAT",
    // Defaults I32, I64, Float, Bool, String
    59,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_OFDM_SUBSLICES_PER_T2_FRAME =
  {
    RSSMXV_ATTR_DVBT2_OFDM_SUBSLICES_PER_T2_FRAME,
    "DVB-T2 OFDM Subslices Per T2 Frame",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng15bit, NULL,
    ":SOUR{Path}:BB:T2DV:NSUB",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_SYSTEM_NETWORK_MODE =
  {
    RSSMXV_ATTR_DVBT2_SYSTEM_NETWORK_MODE,
    "DVB-T2 System Network Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngNetworkFrequencyMode, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:NETW",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_NETWORK_MODE_MULTI_FREQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_SYSTEM_NETWORK_PROFILE_MODE =
  {
    RSSMXV_ATTR_DVBT2_SYSTEM_NETWORK_PROFILE_MODE,
    "DVB-T2 System Network Profile Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDVBT2ProfileMode, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:PROF",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DVBT2_PROFILE_MODE_SINGLE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_SYSTEM_NETWORK_TRANSMISSION_SYSTEM =
  {
    RSSMXV_ATTR_DVBT2_SYSTEM_NETWORK_TRANSMISSION_SYSTEM,
    "DVB-T2 System Network Transmission System",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDVBT2TransmissionSystem, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:TXSY",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DVBT2_TRANSMISSION_SYSTEM_T2LM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_SYSTEM_NETWORK_MISO_MODE =
  {
    RSSMXV_ATTR_DVBT2_SYSTEM_NETWORK_MISO_MODE,
    "DVB-T2 System Network MISO Mode",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngManualAuto, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:MISO:MODE?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_MAN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_SYSTEM_NETWORK_MISO_GROUP =
  {
    RSSMXV_ATTR_DVBT2_SYSTEM_NETWORK_MISO_GROUP,
    "DVB-T2 System Network MISO Group",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDVBT2NetworkMISOGroup, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:MISO",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DVBT2_NETWORK_MISO_GROUP_1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_SYSTEM_NETWORK_PEAK_TO_AVERAGE_POWER_RATIO =
  {
    RSSMXV_ATTR_DVBT2_SYSTEM_NETWORK_PEAK_TO_AVERAGE_POWER_RATIO,
    "DVB-T2 System Network Peak To Average Power Ratio",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDVBT2NetworkPAPR, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:PAPR",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DVBT2_NETWORK_PAPR_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_SYSTEM_NETWORK_FUTURE_EXTENSION_FRAMES_ENABLED =
  {
    RSSMXV_ATTR_DVBT2_SYSTEM_NETWORK_FUTURE_EXTENSION_FRAMES_ENABLED,
    "DVB-T2 System Network Future Extension Frames Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:FEF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_SYSTEM_NETWORK_FUTURE_EXTENSION_FRAMES_TYPE =
  {
    RSSMXV_ATTR_DVBT2_SYSTEM_NETWORK_FUTURE_EXTENSION_FRAMES_TYPE,
    "DVB-T2 System Network Future Extension Frames Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng4bit, NULL,
    ":SOUR{Path}:BB:T2DV:FEF:TYPE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_SYSTEM_NETWORK_FUTURE_EXTENSION_FRAMES_LENGTH =
  {
    RSSMXV_ATTR_DVBT2_SYSTEM_NETWORK_FUTURE_EXTENSION_FRAMES_LENGTH,
    "DVB-T2 System Network Future Extension Frames Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng24bit, NULL,
    ":SOUR{Path}:BB:T2DV:FEF:LENG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_SYSTEM_NETWORK_FUTURE_EXTENSION_FRAMES_INTERVAL =
  {
    RSSMXV_ATTR_DVBT2_SYSTEM_NETWORK_FUTURE_EXTENSION_FRAMES_INTERVAL,
    "DVB-T2 System Network Future Extension Frames Interval",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng8bit, NULL,
    ":SOUR{Path}:BB:T2DV:FEF:INT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_SYSTEM_NETWORK_FUTURE_EXTENSION_FRAMES_PAYLOAD =
  {
    RSSMXV_ATTR_DVBT2_SYSTEM_NETWORK_FUTURE_EXTENSION_FRAMES_PAYLOAD,
    "DVB-T2 System Network Future Extension Frames Payload",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDVBT2NetworkFEFPayload, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:FEF:PAYL",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DVBT2_NETWORK_FEF_PAYLOAD_NULL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_SYSTEM_NETWORK_TIME_FREQUENCY_SLICING =
  {
    RSSMXV_ATTR_DVBT2_SYSTEM_NETWORK_TIME_FREQUENCY_SLICING,
    "DVB-T2 System Network Time Frequency Slicing",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDVBT2NetworkTFS, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:TFS",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DVBT2_NETWORK_TFS_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_SYSTEM_L1_T2_VERSION =
  {
    RSSMXV_ATTR_DVBT2_SYSTEM_L1_T2_VERSION,
    "DVB-T2 System L1 T2 Version",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDVBT2L1T2Version, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:L:T2V",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DVBT2_L1_T2_VERSION_121,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_SYSTEM_L1_POST_MODULATION =
  {
    RSSMXV_ATTR_DVBT2_SYSTEM_L1_POST_MODULATION,
    "DVB-T2 System L1 Post Modulation",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDVBT2L1PostModulation, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:L:CONS",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DVBT2_L1_POST_MODULATION_QAM64,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_SYSTEM_L1_REPETITION_ENABLED =
  {
    RSSMXV_ATTR_DVBT2_SYSTEM_L1_REPETITION_ENABLED,
    "DVB-T2 System L1 Repetition Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:L:REP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_SYSTEM_L1_POST_EXTENSION =
  {
    RSSMXV_ATTR_DVBT2_SYSTEM_L1_POST_EXTENSION,
    "DVB-T2 System L1 Post Extension",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDVBT2L1PostExtension, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:L:EXT",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DVBT2_L1_POST_EXTENSION_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_SYSTEM_L1_POST_SCRAMBLING_ENABLED =
  {
    RSSMXV_ATTR_DVBT2_SYSTEM_L1_POST_SCRAMBLING_ENABLED,
    "DVB-T2 System L1 Post Scrambling Enabled",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:L:SCR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_SYSTEM_L1_BASE_LITE_ENABLED =
  {
    RSSMXV_ATTR_DVBT2_SYSTEM_L1_BASE_LITE_ENABLED,
    "DVB-T2 System L1 Base Lite Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:L:T2B",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_SYSTEM_L1_NUMBER_OF_AUX_STREAMS =
  {
    RSSMXV_ATTR_DVBT2_SYSTEM_L1_NUMBER_OF_AUX_STREAMS,
    "DVB-T2 System L1 Number Of Aux Streams",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:NAUX?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_SYSTEM_L1_RF_SIGNALING_ENABLED =
  {
    RSSMXV_ATTR_DVBT2_SYSTEM_L1_RF_SIGNALING_ENABLED,
    "DVB-T2 System L1 RF Signaling Enabled",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:L:RFS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_SYSTEM_L1_RF_SIGNALING_FREQUENCY =
  {
    RSSMXV_ATTR_DVBT2_SYSTEM_L1_RF_SIGNALING_FREQUENCY,
    "DVB-T2 System L1 RF Signaling Frequency",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:L:RFS:FREQ?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_SYSTEM_CELL_ID =
  {
    RSSMXV_ATTR_DVBT2_SYSTEM_CELL_ID,
    "DVB-T2 System Cell ID",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng16bit, NULL,
    ":SOUR{Path}:BB:T2DV:ID:CELL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_SYSTEM_NETWORK_ID =
  {
    RSSMXV_ATTR_DVBT2_SYSTEM_NETWORK_ID,
    "DVB-T2 System Network ID",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng16bit, NULL,
    ":SOUR{Path}:BB:T2DV:ID:NETW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_SYSTEM_T2_ID =
  {
    RSSMXV_ATTR_DVBT2_SYSTEM_T2_ID,
    "DVB-T2 System T2 ID",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng16bit, NULL,
    ":SOUR{Path}:BB:T2DV:ID:T2SY",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_SYSTEM_TX_ID_AVAILABILITY =
  {
    RSSMXV_ATTR_DVBT2_SYSTEM_TX_ID_AVAILABILITY,
    "DVB-T2 System TX ID Availability",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng8bit, NULL,
    ":SOUR{Path}:BB:T2DV:ID:TXID:AVA",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_SFN_PROCESSING_DELAY =
  {
    RSSMXV_ATTR_DVBT2_SFN_PROCESSING_DELAY,
    "DVB-T2 SFN Processing Delay",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:DEL:PROC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_SFN_STATIC_DELAY =
  {
    RSSMXV_ATTR_DVBT2_SFN_STATIC_DELAY,
    "DVB-T2 SFN Static Delay",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngDVBT2SFNStaticDelay, NULL,
    ":SOUR{Path}:BB:T2DV:DEL:STAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_SFN_DYNAMIC_DELAY =
  {
    RSSMXV_ATTR_DVBT2_SFN_DYNAMIC_DELAY,
    "DVB-T2 SFN Dynamic Delay",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:DEL:DYN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_SFN_TOTAL_DELAY =
  {
    RSSMXV_ATTR_DVBT2_SFN_TOTAL_DELAY,
    "DVB-T2 SFN Total Delay",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:DEL:TOT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_SFN_DELAY_MAX_DEVIATION_TIME =
  {
    RSSMXV_ATTR_DVBT2_SFN_DELAY_MAX_DEVIATION_TIME,
    "DVB-T2 SFN Delay Max Deviation Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngDVBT2SFNDelayMaxDeviationTime, NULL,
    ":SOUR{Path}:BB:T2DV:DEL:DEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10.0e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_SFN_DELAY_MUTE_1ST_SUPER_FRAME_P1_ENABLED =
  {
    RSSMXV_ATTR_DVBT2_SFN_DELAY_MUTE_1ST_SUPER_FRAME_P1_ENABLED,
    "DVB-T2 SFN Delay Mute 1st Super Frame P1 Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:DEL:MUT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_SFN_TIMESTAMP_MODE =
  {
    RSSMXV_ATTR_DVBT2_SFN_TIMESTAMP_MODE,
    "DVB-T2 SFN Timestamp Mode",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngRelAbs, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:DEL:TSP:MODE?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_REL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_SFN_UPDATE_TIMESTAMP =
  {
    RSSMXV_ATTR_DVBT2_SFN_UPDATE_TIMESTAMP,
    "DVB-T2 SFN Update Timestamp",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:DEL:TSP:UPD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_SFN_UTC_DATE =
  {
    RSSMXV_ATTR_DVBT2_SFN_UTC_DATE,
    "DVB-T2 SFN UTC Date",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:DEL:TSP:DATE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "date",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_SFN_UTC_TIME =
  {
    RSSMXV_ATTR_DVBT2_SFN_UTC_TIME,
    "DVB-T2 SFN UTC Time",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:DEL:TSP:TIME?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "time",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_SFN_OFFSET =
  {
    RSSMXV_ATTR_DVBT2_SFN_OFFSET,
    "DVB-T2 SFN Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngDVBT2SFNOffset, NULL,
    ":SOUR{Path}:BB:T2DV:DEL:TSP:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_SFN_SECONDS_SINCE_2000 =
  {
    RSSMXV_ATTR_DVBT2_SFN_SECONDS_SINCE_2000,
    "DVB-T2 SFN Seconds Since 2000",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:DEL:TSP:SEC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_FRAME_INFO_SUPER_FRAME_DURATION =
  {
    RSSMXV_ATTR_DVBT2_FRAME_INFO_SUPER_FRAME_DURATION,
    "DVB-T2 Frame Info Super Frame Duration",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:INFO:TSF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_FRAME_INFO_T2_FRAME_DURATION =
  {
    RSSMXV_ATTR_DVBT2_FRAME_INFO_T2_FRAME_DURATION,
    "DVB-T2 Frame Info T2 Frame Duration",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:INFO:TF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_FRAME_INFO_FUTURE_EXTENSION_FRAME_DURATION =
  {
    RSSMXV_ATTR_DVBT2_FRAME_INFO_FUTURE_EXTENSION_FRAME_DURATION,
    "DVB-T2 Frame Info Future Extension Frame Duration",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:INFO:TFEF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_FRAME_INFO_P1_SYMBOL_DURATION =
  {
    RSSMXV_ATTR_DVBT2_FRAME_INFO_P1_SYMBOL_DURATION,
    "DVB-T2 Frame Info P1 Symbol Duration",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:INFO:TP1?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_FRAME_INFO_OFDM_SYMBOL_DURATION_TS =
  {
    RSSMXV_ATTR_DVBT2_FRAME_INFO_OFDM_SYMBOL_DURATION_TS,
    "DVB-T2 Frame Info OFDM Symbol Duration TS",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:INFO:TS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_FRAME_INFO_OFDM_SYMBOL_DURATION_TP2 =
  {
    RSSMXV_ATTR_DVBT2_FRAME_INFO_OFDM_SYMBOL_DURATION_TP2,
    "DVB-T2 Frame Info OFDM Symbol Duration TP2",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:INFO:TP2?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_FRAME_INFO_L1_PRE_SIGNALING_BITS =
  {
    RSSMXV_ATTR_DVBT2_FRAME_INFO_L1_PRE_SIGNALING_BITS,
    "DVB-T2 Frame Info L1 Pre Signaling Bits",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:INFO:PREB?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_FRAME_INFO_L1_PRE_SIGNALING_CELLS =
  {
    RSSMXV_ATTR_DVBT2_FRAME_INFO_L1_PRE_SIGNALING_CELLS,
    "DVB-T2 Frame Info L1 Pre Signaling Cells",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:INFO:PREC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_FRAME_INFO_L1_POST_SIGNALING_BITS =
  {
    RSSMXV_ATTR_DVBT2_FRAME_INFO_L1_POST_SIGNALING_BITS,
    "DVB-T2 Frame Info L1 Post Signaling Bits",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:INFO:POSB?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_FRAME_INFO_L1_POST_SIGNALING_CELLS =
  {
    RSSMXV_ATTR_DVBT2_FRAME_INFO_L1_POST_SIGNALING_CELLS,
    "DVB-T2 Frame Info L1 Post Signaling Cells",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:INFO:POSC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_FRAME_INFO_PLP_DATA_CELLS_PER_T2_FRAME =
  {
    RSSMXV_ATTR_DVBT2_FRAME_INFO_PLP_DATA_CELLS_PER_T2_FRAME,
    "DVB-T2 Frame Info PLP Data Cells Per T2 Frame",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:INFO:DP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBT2_FRAME_INFO_PLP_DATA_CELLS_IN_CURRENT_T2_FRAME =
  {
    RSSMXV_ATTR_DVBT2_FRAME_INFO_PLP_DATA_CELLS_IN_CURRENT_T2_FRAME,
    "DVB-T2 Frame Info PLP Data Cells in Current T2 Frame",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:T2DV:INFO:DPUS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K164",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVB_C_ENABLED =
  {
    RSSMXV_ATTR_DVB_C_ENABLED,
    "DVB-C Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBC:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K157",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVB_C_SET_TO_DEFAULT =
  {
    RSSMXV_ATTR_DVB_C_SET_TO_DEFAULT,
    "DVB-C Set To Default",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBC:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K157",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVB_C_RECALL_SETTINGS =
  {
    RSSMXV_ATTR_DVB_C_RECALL_SETTINGS,
    "DVB-C Recall Settings",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBC:SETT:LOAD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "filename",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K157",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVB_C_SAVE_SETTINGS =
  {
    RSSMXV_ATTR_DVB_C_SAVE_SETTINGS,
    "DVB-C Save Settings",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBC:SETT:STOR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "filename",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K157",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVB_C_SETTINGS_CATALOG =
  {
    RSSMXV_ATTR_DVB_C_SETTINGS_CATALOG,
    "DVB-C Settings Catalog",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBC:SETT:CAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K157",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVB_C_DELETE_SETTINGS =
  {
    RSSMXV_ATTR_DVB_C_DELETE_SETTINGS,
    "DVB-C Delete Settings",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBC:SETT:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "filename",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K157",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVB_C_INPUT_SOURCE =
  {
    RSSMXV_ATTR_DVB_C_INPUT_SOURCE,
    "DVB-C Input Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngInputSignalSource, NULL, NULL,
    ":SOUR{Path}:BB:DVBC:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_INPUT_SIGNAL_SOURCE_EXTERNAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K157",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVB_C_INPUT_STUFFING_STATE =
  {
    RSSMXV_ATTR_DVB_C_INPUT_STUFFING_STATE,
    "DVB-C Input Stuffing State",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBC:STUF?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K157",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVB_C_INPUT_INTERFACE =
  {
    RSSMXV_ATTR_DVB_C_INPUT_INTERFACE,
    "DVB-C Input Interface",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngInputSignalInterface, NULL, NULL,
    ":SOUR{Path}:BB:DVBC:INP",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_INPUT_SIGNAL_INTERFACE_TS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K157",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVB_C_INPUT_FORMAT =
  {
    RSSMXV_ATTR_DVB_C_INPUT_FORMAT,
    "DVB-C Input Format",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngInputSignalFormat, NULL, NULL,
    ":SOUR{Path}:BB:DVBC:INP:FORM",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_INPUT_SIGNAL_FORMAT_ASI,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K157",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVB_C_INPUT_TS_CHANNEL =
  {
    RSSMXV_ATTR_DVB_C_INPUT_TS_CHANNEL,
    "DVB-C Input TS Channel",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngInputSignalTSChannel, NULL,
    ":SOUR{Path}:BB:DVBC:INP:TSCH",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K157",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVB_C_INPUT_INFO_PACKET_LENGTH =
  {
    RSSMXV_ATTR_DVB_C_INPUT_INFO_PACKET_LENGTH,
    "DVB-C Input Info Packet Length",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngDVBCPacketLength, NULL, NULL,
    ":SOUR{Path}:BB:DVBC:PACK?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DVBC_PACKET_LENGTH_INVALID,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K157",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVB_C_INPUT_INFO_MAXIMUM_USEFUL_DATA_RATE =
  {
    RSSMXV_ATTR_DVB_C_INPUT_INFO_MAXIMUM_USEFUL_DATA_RATE,
    "DVB-C Input Info Maximum Useful Data Rate",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBC:USEF:MAX?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K157",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVB_C_INPUT_INFO_USEFUL_DATA_RATE =
  {
    RSSMXV_ATTR_DVB_C_INPUT_INFO_USEFUL_DATA_RATE,
    "DVB-C Input Info Useful Data Rate",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBC:USEF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K157",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVB_C_INPUT_INFO_MEASURED_DATA_RATE =
  {
    RSSMXV_ATTR_DVB_C_INPUT_INFO_MEASURED_DATA_RATE,
    "DVB-C Input Info Measured Data Rate",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBC:DAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K157",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVB_C_INPUT_TEST_SIGNAL =
  {
    RSSMXV_ATTR_DVB_C_INPUT_TEST_SIGNAL,
    "DVB-C Input Test Signal",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngTestSignal, NULL, NULL,
    ":SOUR{Path}:BB:DVBC:TEST",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_TEST_SIGNAL_TTSP,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K157",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVB_C_INPUT_TEST_SIGNAL_TEST_TS_PACKET =
  {
    RSSMXV_ATTR_DVB_C_INPUT_TEST_SIGNAL_TEST_TS_PACKET,
    "DVB-C Input Test Signal Test TS Packet",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngTestTSPacketStructure, NULL, NULL,
    ":SOUR{Path}:BB:DVBC:TSP",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_TS_PACKET_H184,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K157",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVB_C_INPUT_TEST_SIGNAL_PID_TEST_PACKET =
  {
    RSSMXV_ATTR_DVB_C_INPUT_TEST_SIGNAL_PID_TEST_PACKET,
    "DVB-C Input Test Signal PID Test Packet",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngTestPIDPacket, NULL, NULL,
    ":SOUR{Path}:BB:DVBC:PIDT",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_PID_TEST_PACKET_NULL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K157",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVB_C_INPUT_TEST_SIGNAL_PID =
  {
    RSSMXV_ATTR_DVB_C_INPUT_TEST_SIGNAL_PID,
    "DVB-C Input Test Signal PID",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng13bit, NULL,
    ":SOUR{Path}:BB:DVBC:PID",
    // Defaults I32, I64, Float, Bool, String
    8191,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K157",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVB_C_INPUT_TEST_SIGNAL_PAYLOAD =
  {
    RSSMXV_ATTR_DVB_C_INPUT_TEST_SIGNAL_PAYLOAD,
    "DVB-C Input Test Signal Payload",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngTestSignalPayload, NULL, NULL,
    ":SOUR{Path}:BB:DVBC:PAYL",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_TEST_SIGNAL_PAYLOAD_PRBS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K157",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVB_C_INPUT_TEST_SIGNAL_PRBS =
  {
    RSSMXV_ATTR_DVB_C_INPUT_TEST_SIGNAL_PRBS,
    "DVB-C Input Test Signal PRBS",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngPRBSSequence, NULL, NULL,
    ":SOUR{Path}:BB:DVBC:PRBS",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_PRBS_SEQUENCE_23,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K157",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVB_C_CODING_SYMBOL_RATE =
  {
    RSSMXV_ATTR_DVB_C_CODING_SYMBOL_RATE,
    "DVB-C Coding Symbol Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngDVBCCodingSymbolRate, NULL,
    ":SOUR{Path}:BB:DVBC:SYMB",
    // Defaults I32, I64, Float, Bool, String
    6900000,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K157",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVB_C_CODING_CONSTELLATION =
  {
    RSSMXV_ATTR_DVB_C_CODING_CONSTELLATION,
    "DVB-C Coding Constellation",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDVBCConstellation, NULL, NULL,
    ":SOUR{Path}:BB:DVBC:CONS",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DVBC_CONSTELLATION_64_QAM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K157",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVB_C_CODING_ROLL_OFF_FACTOR =
  {
    RSSMXV_ATTR_DVB_C_CODING_ROLL_OFF_FACTOR,
    "DVB-C Coding Roll Off Factor",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDVBCRollOffFactor, NULL, NULL,
    ":SOUR{Path}:BB:DVBC:ROLL",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DVBC_ROLL_OFF_FACTOR_0_15,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K157",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVB_C_SPECIAL_SETTINGS_ENABLED =
  {
    RSSMXV_ATTR_DVB_C_SPECIAL_SETTINGS_ENABLED,
    "DVB-C Special Settings Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBC:SETT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K157",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVB_C_SPECIAL_SETTINGS_REED_SOLOMON_ENABLED =
  {
    RSSMXV_ATTR_DVB_C_SPECIAL_SETTINGS_REED_SOLOMON_ENABLED,
    "DVB-C Special Settings Reed Solomon Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBC:REED",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K157",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_ENABLED =
  {
    RSSMXV_ATTR_ISDBT_ENABLED,
    "ISDB-T Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:ISDB:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_SET_TO_DEFAULT =
  {
    RSSMXV_ATTR_ISDBT_SET_TO_DEFAULT,
    "ISDB-T Set To Default",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:ISDB:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_RECALL_SETTINGS =
  {
    RSSMXV_ATTR_ISDBT_RECALL_SETTINGS,
    "ISDB-T Recall Settings",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:ISDB:SETT:LOAD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "settings",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_SAVE_SETTINGS =
  {
    RSSMXV_ATTR_ISDBT_SAVE_SETTINGS,
    "ISDB-T Save Settings",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:ISDB:SETT:STOR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "//var//user//settings.isdbt",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_DELETE_SETTINGS =
  {
    RSSMXV_ATTR_ISDBT_DELETE_SETTINGS,
    "ISDB-T Delete Settings",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:ISDB:SETT:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "settings",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_SETTINGS_CATALOG =
  {
    RSSMXV_ATTR_ISDBT_SETTINGS_CATALOG,
    "ISDB-T Settings Catalog",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:ISDB:SETT:CAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "fileName",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_CONTROL =
  {
    RSSMXV_ATTR_ISDBT_CONTROL,
    "ISDB-T Control",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngISDBTControl, NULL, NULL,
    ":SOUR{Path}:BB:ISDB:CONT",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ISDBT_CONTROL_MANUAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_SYSTEM =
  {
    RSSMXV_ATTR_ISDBT_SYSTEM,
    "ISDB-T System",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngISDBTSystem, NULL, NULL,
    ":SOUR{Path}:BB:ISDB:SYST",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ISDBT_SYSTEM_T,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_INPUT_SOURCE_LAYER_A =
  {
    RSSMXV_ATTR_ISDBT_INPUT_SOURCE_LAYER_A,
    "ISDB-T Input Source Layer A",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngISDBTInputSourceLayer, NULL, NULL,
    ":SOUR{Path}:BB:ISDB:SOUR:A",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ISDBT_INPUT_SOURCE_LAYER_TEST_SIGNAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_INPUT_SOURCE_LAYER_B =
  {
    RSSMXV_ATTR_ISDBT_INPUT_SOURCE_LAYER_B,
    "ISDB-T Input Source Layer B",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngISDBTInputSourceLayer, NULL, NULL,
    ":SOUR{Path}:BB:ISDB:SOUR:B",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ISDBT_INPUT_SOURCE_LAYER_TEST_SIGNAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_INPUT_SOURCE_LAYER_C =
  {
    RSSMXV_ATTR_ISDBT_INPUT_SOURCE_LAYER_C,
    "ISDB-T Input Source Layer C",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngISDBTInputSourceLayer, NULL, NULL,
    ":SOUR{Path}:BB:ISDB:SOUR:C",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ISDBT_INPUT_SOURCE_LAYER_TEST_SIGNAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_INPUT_EXTERNAL =
  {
    RSSMXV_ATTR_ISDBT_INPUT_EXTERNAL,
    "ISDB-T Input External",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngISDBTInputExternal, NULL, NULL,
    ":SOUR{Path}:BB:ISDB:INP",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_PROTOCOL_TS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_INPUT_FORMAT =
  {
    RSSMXV_ATTR_ISDBT_INPUT_FORMAT,
    "ISDB-T Input Format",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngISDBTInputFormat, NULL, NULL,
    ":SOUR{Path}:BB:ISDB:INP:FORM",
    // Defaults I32, I64, Float, Bool, String
    RSSMVX_VAL_ISDBT_INPUT_FORMAT_ASI,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_INPUT_IP_TS_CHANNEL =
  {
    RSSMXV_ATTR_ISDBT_INPUT_IP_TS_CHANNEL,
    "ISDB-T Input IP TS Channel",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngISDBTInputIPTSChannel, NULL,
    ":SOUR{Path}:BB:ISDB:INP:TSCH",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_INPUT_REMUX_ENABLED =
  {
    RSSMXV_ATTR_ISDBT_INPUT_REMUX_ENABLED,
    "ISDB-T Input Remux Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:ISDB:REM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_INPUT_INFO_PACKET_LENGTH =
  {
    RSSMXV_ATTR_ISDBT_INPUT_INFO_PACKET_LENGTH,
    "ISDB-T Input Info Packet Length",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngISDBTInfoPacketLength, NULL, NULL,
    ":SOUR{Path}:BB:ISDB:PACK?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ISDBT_INPUT_INFO_PACKET_LENGTH_INVALID,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_INPUT_INFO_STUFFING_ENABLED =
  {
    RSSMXV_ATTR_ISDBT_INPUT_INFO_STUFFING_ENABLED,
    "ISDB-T Input Info Stuffing Enabled",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:ISDB:STUF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_INPUT_INFO_USEFUL_DATA_RATE_A =
  {
    RSSMXV_ATTR_ISDBT_INPUT_INFO_USEFUL_DATA_RATE_A,
    "ISDB-T Input Info Useful Data Rate A",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngISDBTInputInfoUsefulDataRate, NULL,
    ":SOUR{Path}:BB:ISDB:USEF:A?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_INPUT_INFO_USEFUL_DATA_RATE_B =
  {
    RSSMXV_ATTR_ISDBT_INPUT_INFO_USEFUL_DATA_RATE_B,
    "ISDB-T Input Info Useful Data Rate B",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngISDBTInputInfoUsefulDataRate, NULL,
    ":SOUR{Path}:BB:ISDB:USEF:B?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_INPUT_INFO_USEFUL_DATA_RATE_C =
  {
    RSSMXV_ATTR_ISDBT_INPUT_INFO_USEFUL_DATA_RATE_C,
    "ISDB-T Input Info Useful Data Rate C",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngISDBTInputInfoUsefulDataRate, NULL,
    ":SOUR{Path}:BB:ISDB:USEF:C?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_INPUT_INFO_USEFUL_DATA_RATE_MAXIMUM_A =
  {
    RSSMXV_ATTR_ISDBT_INPUT_INFO_USEFUL_DATA_RATE_MAXIMUM_A,
    "ISDB-T Input Info Useful Data Rate Maximum A",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngISDBTInputInfoUsefulDataRateMaximum, NULL,
    ":SOUR{Path}:BB:ISDB:USEF:MAX:A?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_INPUT_INFO_USEFUL_DATA_RATE_MAXIMUM_B =
  {
    RSSMXV_ATTR_ISDBT_INPUT_INFO_USEFUL_DATA_RATE_MAXIMUM_B,
    "ISDB-T Input Info Useful Data Rate Maximum B",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngISDBTInputInfoUsefulDataRateMaximum, NULL,
    ":SOUR{Path}:BB:ISDB:USEF:MAX:B?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_INPUT_INFO_USEFUL_DATA_RATE_MAXIMUM_C =
  {
    RSSMXV_ATTR_ISDBT_INPUT_INFO_USEFUL_DATA_RATE_MAXIMUM_C,
    "ISDB-T Input Info Useful Data Rate Maximum C",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngISDBTInputInfoUsefulDataRateMaximum, NULL,
    ":SOUR{Path}:BB:ISDB:USEF:MAX:C?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_INPUT_INFO_MEASURED_DATA_RATE =
  {
    RSSMXV_ATTR_ISDBT_INPUT_INFO_MEASURED_DATA_RATE,
    "ISDB-T Input Info Measured Data Rate",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngISDBTInputInfoMeasuredDataRate, NULL,
    ":SOUR{Path}:BB:ISDB:DAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_TEST_SIGNAL_TS_PACKET =
  {
    RSSMXV_ATTR_ISDBT_TEST_SIGNAL_TS_PACKET,
    "ISDB-T Test Signal TS Packet",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngTestTSPacketStructure, NULL, NULL,
    ":SOUR{Path}:BB:ISDB:TSP:A",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_TS_PACKET_H184,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_TEST_SIGNAL_PID_PACKET =
  {
    RSSMXV_ATTR_ISDBT_TEST_SIGNAL_PID_PACKET,
    "ISDB-T Test Signal PID Packet",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngTestPIDPacket, NULL, NULL,
    ":SOUR{Path}:BB:ISDB:PIDT",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_PID_TEST_PACKET_NULL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_TEST_SIGNAL_PID =
  {
    RSSMXV_ATTR_ISDBT_TEST_SIGNAL_PID,
    "ISDB-T Test Signal PID",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng13bit, NULL,
    ":SOUR{Path}:BB:ISDB:PID",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_TEST_SIGNAL_PAYLOAD =
  {
    RSSMXV_ATTR_ISDBT_TEST_SIGNAL_PAYLOAD,
    "ISDB-T Test Signal Payload",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngTestSignalPayload, NULL, NULL,
    ":SOUR{Path}:BB:ISDB:PAYL:A",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_TEST_SIGNAL_PAYLOAD_PRBS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_TEST_SIGNAL_PRBS =
  {
    RSSMXV_ATTR_ISDBT_TEST_SIGNAL_PRBS,
    "ISDB-T Test Signal PRBS",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngPRBSSequence, NULL, NULL,
    ":SOUR{Path}:BB:ISDB:PRBS",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_PRBS_SEQUENCE_23,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_TEST_SIGNAL_DATA_A =
  {
    RSSMXV_ATTR_ISDBT_TEST_SIGNAL_DATA_A,
    "ISDB-T Test Signal Data A",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngISDBTTestSignalData, NULL, NULL,
    ":SOUR{Path}:BB:ISDB:TEST:A",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ISDBT_TEST_SIGNAL_DATA_TTSP,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_TEST_SIGNAL_DATA_B =
  {
    RSSMXV_ATTR_ISDBT_TEST_SIGNAL_DATA_B,
    "ISDB-T Test Signal Data B",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngISDBTTestSignalData, NULL, NULL,
    ":SOUR{Path}:BB:ISDB:TEST:B",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ISDBT_TEST_SIGNAL_DATA_TTSP,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_TEST_SIGNAL_DATA_C =
  {
    RSSMXV_ATTR_ISDBT_TEST_SIGNAL_DATA_C,
    "ISDB-T Test Signal Data C",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngISDBTTestSignalData, NULL, NULL,
    ":SOUR{Path}:BB:ISDB:TEST:C",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ISDBT_TEST_SIGNAL_DATA_TTSP,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_CODING_IIP_PID =
  {
    RSSMXV_ATTR_ISDBT_CODING_IIP_PID,
    "ISDB-T Coding IIP PID",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng13bit, NULL,
    ":SOUR{Path}:BB:ISDB:IIP:PID?",
    // Defaults I32, I64, Float, Bool, String
    8176,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_CODING_MODE =
  {
    RSSMXV_ATTR_ISDBT_CODING_MODE,
    "ISDB-T Coding Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngISDBTCodingMode, NULL, NULL,
    ":SOUR{Path}:BB:ISDB:FFT:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ISDBT_CODING_MODE_M38K,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_CODING_CHANNEL_BANDWIDTH =
  {
    RSSMXV_ATTR_ISDBT_CODING_CHANNEL_BANDWIDTH,
    "ISDB-T Coding Channel Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngISDBTCodingChannelBandwidth, NULL, NULL,
    ":SOUR{Path}:BB:ISDB:CHAN",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ISDBT_CODING_CHANNEL_BANDWIDTH_6MHZ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_CODING_GUARD_INTERVAL =
  {
    RSSMXV_ATTR_ISDBT_CODING_GUARD_INTERVAL,
    "ISDB-T Coding Guard Interval",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngISDBTCodingGuardInterval, NULL, NULL,
    ":SOUR{Path}:BB:ISDB:GUAR",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ISDBT_CODING_GUARD_INTERVAL_G18,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_CODING_SUBCHANNEL =
  {
    RSSMXV_ATTR_ISDBT_CODING_SUBCHANNEL,
    "ISDB-T Coding Subchannel",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngISDBTCodingSubchannel, NULL,
    ":SOUR{Path}:BB:ISDB:SUBC",
    // Defaults I32, I64, Float, Bool, String
    22,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_USED_BANDWIDTH =
  {
    RSSMXV_ATTR_ISDBT_USED_BANDWIDTH,
    "ISDB-T Used Bandwidth",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngISDBTUsedBandwidth, NULL,
    ":SOUR{Path}:BB:ISDB:BAND?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_CODING_PORTION_A =
  {
    RSSMXV_ATTR_ISDBT_CODING_PORTION_A,
    "ISDB-T Coding Portion A",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngISDBTCodingPortion, NULL, NULL,
    ":SOUR{Path}:BB:ISDB:PORT:A",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ISDBT_CODING_PORTION_PCM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_CODING_CONSTELLATION_A =
  {
    RSSMXV_ATTR_ISDBT_CODING_CONSTELLATION_A,
    "ISDB-T Coding Constellation A",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngISDBTCodingConstellation, NULL, NULL,
    ":SOUR{Path}:BB:ISDB:CONS:A",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ISDBT_CODING_CONSTELLATION_64QAM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_CODING_SEGMENTS_A =
  {
    RSSMXV_ATTR_ISDBT_CODING_SEGMENTS_A,
    "ISDB-T Coding Segments A",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngISDBTCodingSegmentsA, NULL,
    ":SOUR{Path}:BB:ISDB:SEGM:A",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_CODING_RATE_A =
  {
    RSSMXV_ATTR_ISDBT_CODING_RATE_A,
    "ISDB-T Coding Rate A",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngISDBTCodingRate, NULL, NULL,
    ":SOUR{Path}:BB:ISDB:RATE:A",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ISDBT_CODING_RATE_78,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_CODING_TIME_INTERLEAVING_A =
  {
    RSSMXV_ATTR_ISDBT_CODING_TIME_INTERLEAVING_A,
    "ISDB-T Coding Time Interleaving A",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, &RsSMxV_rngISDBTCodingTimeInterleaving,
    ":SOUR{Path}:BB:ISDB:TIME:A",
    // Defaults I32, I64, Float, Bool, String
    2,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_CODING_PORTION_B =
  {
    RSSMXV_ATTR_ISDBT_CODING_PORTION_B,
    "ISDB-T Coding Portion B",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngISDBTCodingPortion, NULL, NULL,
    ":SOUR{Path}:BB:ISDB:PORT:B",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ISDBT_CODING_PORTION_PCM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_CODING_CONSTELLATION_B =
  {
    RSSMXV_ATTR_ISDBT_CODING_CONSTELLATION_B,
    "ISDB-T Coding Constellation B",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngISDBTCodingConstellation, NULL, NULL,
    ":SOUR{Path}:BB:ISDB:CONS:B",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ISDBT_CODING_CONSTELLATION_64QAM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_CODING_RATE_B =
  {
    RSSMXV_ATTR_ISDBT_CODING_RATE_B,
    "ISDB-T Coding Rate B",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngISDBTCodingRate, NULL, NULL,
    ":SOUR{Path}:BB:ISDB:RATE:B",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ISDBT_CODING_RATE_78,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_CODING_TIME_INTERLEAVING_B =
  {
    RSSMXV_ATTR_ISDBT_CODING_TIME_INTERLEAVING_B,
    "ISDB-T Coding Time Interleaving B",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, &RsSMxV_rngISDBTCodingTimeInterleaving,
    ":SOUR{Path}:BB:ISDB:TIME:B",
    // Defaults I32, I64, Float, Bool, String
    2,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_CODING_SEGMENTS_B =
  {
    RSSMXV_ATTR_ISDBT_CODING_SEGMENTS_B,
    "ISDB-T Coding Segments B",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngISDBTCodingSegments, NULL,
    ":SOUR{Path}:BB:ISDB:SEGM:B",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_CODING_PORTION_C =
  {
    RSSMXV_ATTR_ISDBT_CODING_PORTION_C,
    "ISDB-T Coding Portion C",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngISDBTCodingPortion, NULL, NULL,
    ":SOUR{Path}:BB:ISDB:PORT:C",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ISDBT_CODING_PORTION_PCM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_CODING_CONSTELLATION_C =
  {
    RSSMXV_ATTR_ISDBT_CODING_CONSTELLATION_C,
    "ISDB-T Coding Constellation C",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngISDBTCodingConstellation, NULL, NULL,
    ":SOUR{Path}:BB:ISDB:CONS:C",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ISDBT_CODING_CONSTELLATION_64QAM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_CODING_SEGMENTS_C =
  {
    RSSMXV_ATTR_ISDBT_CODING_SEGMENTS_C,
    "ISDB-T Coding Segments C",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngISDBTCodingSegments, NULL,
    ":SOUR{Path}:BB:ISDB:SEGM:C",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_CODING_RATE_C =
  {
    RSSMXV_ATTR_ISDBT_CODING_RATE_C,
    "ISDB-T Coding Rate C",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngISDBTCodingRate, NULL, NULL,
    ":SOUR{Path}:BB:ISDB:RATE:C",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ISDBT_CODING_RATE_78,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_CODING_TIME_INTERLEAVING_C =
  {
    RSSMXV_ATTR_ISDBT_CODING_TIME_INTERLEAVING_C,
    "ISDB-T Coding Time Interleaving C",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, &RsSMxV_rngISDBTCodingTimeInterleaving,
    ":SOUR{Path}:BB:ISDB:TIME:C",
    // Defaults I32, I64, Float, Bool, String
    2,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_EEW_ENABLED =
  {
    RSSMXV_ATTR_ISDBT_EEW_ENABLED,
    "ISDB-T EEW Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:ISDB:EEW:EEW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_EEW_NUMBER_OF_EPICENTER =
  {
    RSSMXV_ATTR_ISDBT_EEW_NUMBER_OF_EPICENTER,
    "ISDB-T EEW Number Of Epicenter",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngISDBTEEEWNumberofEpicenter, NULL,
    ":SOUR{Path}:BB:ISDB:EEW:NUM",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_EEW_SIGNAL_TYPE =
  {
    RSSMXV_ATTR_ISDBT_EEW_SIGNAL_TYPE,
    "ISDB-T EEW Signal Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngISDBTEEWSignalType, NULL, NULL,
    ":SOUR{Path}:BB:ISDB:EEW:SIGN",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ISDBT_EEW_SIGNAL_TYPE_WWA,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_EEW_AREA_INFORMATION =
  {
    RSSMXV_ATTR_ISDBT_EEW_AREA_INFORMATION,
    "ISDB-T EEW Area Information",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:ISDB:EEW:AREA",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    rssmxv_hexString_ReadCallback,
    rssmxv_hexString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_EEW_APPLY_SIGNAL_SETTINGS =
  {
    RSSMXV_ATTR_ISDBT_EEW_APPLY_SIGNAL_SETTINGS,
    "ISDB-T EEW Apply Signal Settings",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:ISDB:EEW:APAI",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_EEW_INFORMATION_TYPE =
  {
    RSSMXV_ATTR_ISDBT_EEW_INFORMATION_TYPE,
    "ISDB-T EEW Information Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngISDBTEEWInformationType, NULL, NULL,
    ":SOUR{Path}:BB:ISDB:EEW:INF{ISDBTEpicenter}",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ISDBT_EEW_INFORMATION_TYPE_ISSUED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_EEW_WARNING_ID =
  {
    RSSMXV_ATTR_ISDBT_EEW_WARNING_ID,
    "ISDB-T EEW Warning ID",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng9bit, NULL,
    ":SOUR{Path}:BB:ISDB:EEW:WARN{ISDBTEpicenter}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_EEW_LATITUDE =
  {
    RSSMXV_ATTR_ISDBT_EEW_LATITUDE,
    "ISDB-T EEW Latitude",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngISDBTEEWLatitude, NULL,
    ":SOUR{Path}:BB:ISDB:EEW:LAT{ISDBTEpicenter}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_EEW_LONGITUDE =
  {
    RSSMXV_ATTR_ISDBT_EEW_LONGITUDE,
    "ISDB-T EEW Longitude",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngISDBTEEWLongitude, NULL,
    ":SOUR{Path}:BB:ISDB:EEW:LONG{ISDBTEpicenter}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_EEW_DEPTH =
  {
    RSSMXV_ATTR_ISDBT_EEW_DEPTH,
    "ISDB-T EEW Depth",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngISDBTEEWDepth, NULL,
    ":SOUR{Path}:BB:ISDB:EEW:DEPT{ISDBTEpicenter}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_EEW_OCCURENCE_TIME =
  {
    RSSMXV_ATTR_ISDBT_EEW_OCCURENCE_TIME,
    "ISDB-T EEW Occurence Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngISDBTEEWOccurenceTime, NULL,
    ":SOUR{Path}:BB:ISDB:EEW:OCC{ISDBTEpicenter}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_EEW_APPLY_EPICENTER_1 =
  {
    RSSMXV_ATTR_ISDBT_EEW_APPLY_EPICENTER_1,
    "ISDB-T EEW Apply Epicenter 1",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:ISDB:EEW:APE1",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_EEW_APPLY_EPICENTER_2 =
  {
    RSSMXV_ATTR_ISDBT_EEW_APPLY_EPICENTER_2,
    "ISDB-T EEW Apply Epicenter 2",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:ISDB:EEW:APE2",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_SPECIAL_ENABLED =
  {
    RSSMXV_ATTR_ISDBT_SPECIAL_ENABLED,
    "ISDB-T Special Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:ISDB:SPEC:SETT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_REED_SOLOMON_ENABLED =
  {
    RSSMXV_ATTR_ISDBT_REED_SOLOMON_ENABLED,
    "ISDB-T Reed Solomon Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:ISDB:REED",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_SPECIAL_ALERT_BROADCASTING_FLAG_ENABLED =
  {
    RSSMXV_ATTR_ISDBT_SPECIAL_ALERT_BROADCASTING_FLAG_ENABLED,
    "ISDB-T Special Alert Broadcasting Flag Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:ISDB:ALER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_SPECIAL_AC_DATA =
  {
    RSSMXV_ATTR_ISDBT_SPECIAL_AC_DATA,
    "ISDB-T Special AC Data",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngISDBTSpecialACData, NULL, NULL,
    ":SOUR:BB:ISDB:ACD",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ISDBT_SPECIAL_AC_DATA_ALL1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_SPECIAL_TX_PARAMETER_SWITCHING_INDICATOR =
  {
    RSSMXV_ATTR_ISDBT_SPECIAL_TX_PARAMETER_SWITCHING_INDICATOR,
    "ISDB-T Special TX Parameter Switching Indicator",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngISDBTSpecialTXParameterSwitchingIndicator, NULL, NULL,
    ":SOUR{Path}:BB:ISDB:TXP",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ISDBT_SPECIAL_TX_INDICATOR_NORMAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ISDBT_SPECIAL_TMCC_NEXT =
  {
    RSSMXV_ATTR_ISDBT_SPECIAL_TMCC_NEXT,
    "ISDB-T Special TMCC Next",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngISDBTSpecialTMCCNext, NULL, NULL,
    ":SOUR{Path}:BB:ISDB:TMCC:NEXT",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ISDBT_SPECIAL_TMCC_NEXT_UNUSED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K165",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DTMB_ENABLED =
  {
    RSSMXV_ATTR_DTMB_ENABLED,
    "DTMB Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DTMB:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K166",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DTMB_SET_TO_DEFAULT =
  {
    RSSMXV_ATTR_DTMB_SET_TO_DEFAULT,
    "DTMB Set To Default",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DTMB:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K166",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DTMB_RECALL_SETTINGS =
  {
    RSSMXV_ATTR_DTMB_RECALL_SETTINGS,
    "DTMB Recall Settings",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DTMB:SETT:LOAD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "filename",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K166",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DTMB_SAVE_SETTINGS =
  {
    RSSMXV_ATTR_DTMB_SAVE_SETTINGS,
    "DTMB Save Settings",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DTMB:SETT:STOR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "//var//user//filename.dtmb",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K166",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DTMB_DELETE_SETTINGS =
  {
    RSSMXV_ATTR_DTMB_DELETE_SETTINGS,
    "DTMB Delete Settings",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DTMB:SETT:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "filename",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K166",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DTMB_SETTINGS_CATALOG =
  {
    RSSMXV_ATTR_DTMB_SETTINGS_CATALOG,
    "DTMB Settings Catalog",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DTMB:SETT:CAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "filename",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K166",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DTMB_SINGLE_CARRIER_MODE_ENABLED =
  {
    RSSMXV_ATTR_DTMB_SINGLE_CARRIER_MODE_ENABLED,
    "DTMB Single Carrier Mode Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DTMB:SING",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K166",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DTMB_DUAL_PILOT_TONE_ENABLED =
  {
    RSSMXV_ATTR_DTMB_DUAL_PILOT_TONE_ENABLED,
    "DTMB Dual Pilot Tone Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DTMB:DUAL:PIL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K166",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DTMB_INPUT_SOURCE =
  {
    RSSMXV_ATTR_DTMB_INPUT_SOURCE,
    "DTMB Input Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngBroadcastInputSource, NULL, NULL,
    ":SOUR{Path}:BB:DTMB:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_INPUT_SOURCE_EXTERNAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K166",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DTMB_INPUT_EXTERNAL_INTERFACE =
  {
    RSSMXV_ATTR_DTMB_INPUT_EXTERNAL_INTERFACE,
    "DTMB Input External Interface",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDTMBInputExternalInterface, NULL, NULL,
    ":SOUR{Path}:BB:DTMB:INP",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_PROTOCOL_TS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K166",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DTMB_INPUT_FORMAT =
  {
    RSSMXV_ATTR_DTMB_INPUT_FORMAT,
    "DTMB Input Format",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDTMBInputFormat, NULL, NULL,
    ":SOUR{Path}:BB:DTMB:INP:FORM",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DTMB_SIGNAL_INPUT_FORMAT_ASI,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K166",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DTMB_INPUT_IP_TS_CHANNEL =
  {
    RSSMXV_ATTR_DTMB_INPUT_IP_TS_CHANNEL,
    "DTMB Input IP TS Channel",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngIPTSChannel, NULL,
    ":SOUR{Path}:BB:DTMB:INP:TSCH",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K166",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DTMB_INPUT_STUFFING_ENABLED =
  {
    RSSMXV_ATTR_DTMB_INPUT_STUFFING_ENABLED,
    "DTMB Input Stuffing Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DTMB:STUF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K166",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DTMB_INFO_PACKET_LENGTH =
  {
    RSSMXV_ATTR_DTMB_INFO_PACKET_LENGTH,
    "DTMB Info Packet Length",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngDTMBInputInfoPacketLength, NULL, NULL,
    ":SOUR{Path}:BB:DTMB:PACK?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_PACKET_LENGTH_INVALID,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K166",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DTMB_INFO_USEFUL_DATA_RATE_MAX =
  {
    RSSMXV_ATTR_DTMB_INFO_USEFUL_DATA_RATE_MAX,
    "DTMB Info Useful Data Rate Max",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngDTMBInputInfoUsefulDataRateMax, NULL,
    ":SOUR{Path}:BB:DTMB:USEF:MAX?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K166",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DTMB_INFO_MEASURED_DATA_RATE =
  {
    RSSMXV_ATTR_DTMB_INFO_MEASURED_DATA_RATE,
    "DTMB Info Measured Data Rate",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngDTMBInputInfoMeasuredDataRate, NULL,
    ":SOUR{Path}:BB:DTMB:DAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K166",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DTMB_INFO_USEFUL_DATA_RATE =
  {
    RSSMXV_ATTR_DTMB_INFO_USEFUL_DATA_RATE,
    "DTMB Info Useful Data Rate",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngDTMBInputInfoUsefulDataRate, NULL,
    ":SOUR{Path}:BB:DTMB:USEF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K166",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DTMB_TEST_TS_PACKET =
  {
    RSSMXV_ATTR_DTMB_TEST_TS_PACKET,
    "DTMB Test TS Packet",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngTestTSPacketStructure, NULL, NULL,
    ":SOUR{Path}:BB:DTMB:TSP",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_TS_PACKET_H184,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K166",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DTMB_TEST_SIGNAL =
  {
    RSSMXV_ATTR_DTMB_TEST_SIGNAL,
    "DTMB Test Signal",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngDTMBTestSignal, NULL, NULL,
    ":SOUR{Path}:BB:DTMB:TEST?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DTMB_TEST_SIGNAL_TTSP,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K166",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DTMB_TEST_PID_PACKET =
  {
    RSSMXV_ATTR_DTMB_TEST_PID_PACKET,
    "DTMB Test PID Packet",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngTestPIDPacket, NULL, NULL,
    ":SOUR{Path}:BB:DTMB:PIDT",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_PID_TEST_PACKET_NULL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K166",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DTMB_TEST_PID_HEX =
  {
    RSSMXV_ATTR_DTMB_TEST_PID_HEX,
    "DTMB Test PID Hex",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng13bit, NULL,
    ":SOUR{Path}:BB:DTMB:PID",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K166",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DTMB_TEST_PAYLOAD =
  {
    RSSMXV_ATTR_DTMB_TEST_PAYLOAD,
    "DTMB Test Payload",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngTestSignalPayload, NULL, NULL,
    ":SOUR{Path}:BB:DTMB:PAYL",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_TEST_SIGNAL_PAYLOAD_PRBS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K166",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DTMB_TEST_SIGNAL_PRBS =
  {
    RSSMXV_ATTR_DTMB_TEST_SIGNAL_PRBS,
    "DTMB Test Signal PRBS",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngPRBSSequence, NULL, NULL,
    ":SOUR{Path}:BB:DTMB:PRBS",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_PRBS_SEQUENCE_23,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K166",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DTMB_CODING_CHANNEL_BANDWIDTH =
  {
    RSSMXV_ATTR_DTMB_CODING_CHANNEL_BANDWIDTH,
    "DTMB Coding Channel Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDTMBCodingChannelBandwidth, NULL, NULL,
    ":SOUR{Path}:BB:DTMB:CHAN",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DTMB_CODING_CHANNEL_BANDWIDTH_BW8,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K166",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DTMB_CODING_CONTROL_FRAMES =
  {
    RSSMXV_ATTR_DTMB_CODING_CONTROL_FRAMES,
    "DTMB Coding Control Frames",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DTMB:FRAM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K166",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DTMB_CODING_CONSTELLATION =
  {
    RSSMXV_ATTR_DTMB_CODING_CONSTELLATION,
    "DTMB Coding Constellation",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDTMBCodingConstellation, NULL, NULL,
    ":SOUR{Path}:BB:DTMB:CONS",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DTMB_CODING_CONSTELLATION_D4,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K166",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DTMB_CODING_CODE_RATE =
  {
    RSSMXV_ATTR_DTMB_CODING_CODE_RATE,
    "DTMB Coding Code Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDTMBCodingCodeRate, NULL, NULL,
    ":SOUR{Path}:BB:DTMB:RATE",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DTMB_CODING_CODE_RATE_R04,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K166",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DTMB_CODING_GUARD_INTERVAL =
  {
    RSSMXV_ATTR_DTMB_CODING_GUARD_INTERVAL,
    "DTMB Coding Guard Interval",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDTMBCodingGuardInterval, NULL, NULL,
    ":SOUR{Path}:BB:DTMB:GUAR",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DTMB_CODING_GUARD_INTERVAL_G420,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K166",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DTMB_CODING_GUARD_INTERVAL_PN =
  {
    RSSMXV_ATTR_DTMB_CODING_GUARD_INTERVAL_PN,
    "DTMB Coding Guard Interval PN",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDTMBCodingGuardIntervalPN, NULL, NULL,
    ":SOUR{Path}:BB:DTMB:GIC",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DTMB_CODING_GUARD_INTERVAL_PN_VAR,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K166",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DTMB_CODING_TIME_INTERLEAVER =
  {
    RSSMXV_ATTR_DTMB_CODING_TIME_INTERLEAVER,
    "DTMB Coding Time Interleaver",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDTMBCodingTimeInterleaver, NULL, NULL,
    ":SOUR{Path}:BB:DTMB:TIME",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DTMB_CODING_TIME_INTERLEAVER_I240,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K166",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DTMB_SPECIAL_SETTINGS_ENABLED =
  {
    RSSMXV_ATTR_DTMB_SPECIAL_SETTINGS_ENABLED,
    "DTMB Special Settings Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DTMB:SPEC:SETT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K166",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DTMB_SPECIAL_SETTINGS_SI_POWER_NORMALIZATION_ENABLED =
  {
    RSSMXV_ATTR_DTMB_SPECIAL_SETTINGS_SI_POWER_NORMALIZATION_ENABLED,
    "DTMB Special Settings SI Power Normalization Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DTMB:SIPN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K166",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS_ENABLED =
  {
    RSSMXV_ATTR_DVBS_ENABLED,
    "DVB-S Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBS:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K167",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS_SET_TO_DEFAULT =
  {
    RSSMXV_ATTR_DVBS_SET_TO_DEFAULT,
    "DVB-S Set To Default",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBS:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K167",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS_RECALL_SETTINGS =
  {
    RSSMXV_ATTR_DVBS_RECALL_SETTINGS,
    "DVB-S Recall Settings",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBS:SETT:LOAD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "filename",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K167",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS_SAVE_SETTINGS =
  {
    RSSMXV_ATTR_DVBS_SAVE_SETTINGS,
    "DVB-S Save Settings",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBS:SETT:STOR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "filename",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K167",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS_SETTINGS_CATALOG =
  {
    RSSMXV_ATTR_DVBS_SETTINGS_CATALOG,
    "DVB-S Settings Catalog",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBS:SETT:CAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "catalog",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K167",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS_DELETE_SETTINGS =
  {
    RSSMXV_ATTR_DVBS_DELETE_SETTINGS,
    "DVB-S Delete Settings",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBS:SETT:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "filename",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K167",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS_SOURCE =
  {
    RSSMXV_ATTR_DVBS_SOURCE,
    "DVB-S Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngBroadcastInputSource, NULL, NULL,
    ":SOUR{Path}:BB:DVBS:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_INPUT_SOURCE_EXTERNAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K167",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS_INPUT =
  {
    RSSMXV_ATTR_DVBS_INPUT,
    "DVB-S Input",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDVBSInput, NULL, NULL,
    ":SOUR{Path}:BB:DVBS:INP",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_PROTOCOL_TS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K167",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS_INPUT_FORMAT =
  {
    RSSMXV_ATTR_DVBS_INPUT_FORMAT,
    "DVB-S Input Format",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDVBSInputFormat, NULL, NULL,
    ":SOUR{Path}:BB:DVBS:INP:FORM",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DVBS_INPUT_FORMAT_ASI,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K167",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS_IP_TS_CHANNEL =
  {
    RSSMXV_ATTR_DVBS_IP_TS_CHANNEL,
    "DVB-S IP TS Channel",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngIPTSChannel, NULL,
    ":SOUR{Path}:BB:DVBS:INP:TSCH",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K167",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS_STUFFING_ENABLED =
  {
    RSSMXV_ATTR_DVBS_STUFFING_ENABLED,
    "DVB-S Stuffing Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBS:STUF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K167",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS_PACKET_LENGTH =
  {
    RSSMXV_ATTR_DVBS_PACKET_LENGTH,
    "DVB-S Packet Length",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngDVBSPacketLength, NULL, NULL,
    ":SOUR{Path}:BB:DVBS:PACK?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_PACKET_LENGTH_INVALID,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K167",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS_MAX_USEFUL_DATA_RATE =
  {
    RSSMXV_ATTR_DVBS_MAX_USEFUL_DATA_RATE,
    "DVB-S Max Useful Data Rate",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBS:USEF:MAX?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K167",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS_MEASURED_DATA_RATE =
  {
    RSSMXV_ATTR_DVBS_MEASURED_DATA_RATE,
    "DVB-S Measured Data Rate",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBS:DAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K167",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS_USEFUL_DATA_RATE =
  {
    RSSMXV_ATTR_DVBS_USEFUL_DATA_RATE,
    "DVB-S Useful Data Rate",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBS:USEF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K167",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS_TEST_SIGNAL =
  {
    RSSMXV_ATTR_DVBS_TEST_SIGNAL,
    "DVB-S Test Signal",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDVBSTestSignal, NULL, NULL,
    ":SOUR{Path}:BB:DVBS:TEST",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DVBS_TEST_SIGNAL_TTSP,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K167",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS_TEST_TS_PACKET =
  {
    RSSMXV_ATTR_DVBS_TEST_TS_PACKET,
    "DVB-S Test TS Packet",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngTestTSPacketStructure, NULL, NULL,
    ":SOUR{Path}:BB:DVBS:TSP",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_TS_PACKET_H184,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K167",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS_PID_TEST_PACKET =
  {
    RSSMXV_ATTR_DVBS_PID_TEST_PACKET,
    "DVB-S PID Test Packet",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngTestPIDPacket, NULL, NULL,
    ":SOUR{Path}:BB:DVBS:PIDT",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_PID_TEST_PACKET_NULL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K167",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS_PID =
  {
    RSSMXV_ATTR_DVBS_PID,
    "DVB-S PID",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng13bit, NULL,
    ":SOUR{Path}:BB:DVBS:PID",
    // Defaults I32, I64, Float, Bool, String
    8191,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K167",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS_PAYLOAD_TEST =
  {
    RSSMXV_ATTR_DVBS_PAYLOAD_TEST,
    "DVB-S Payload Test",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngTestSignalPayload, NULL, NULL,
    ":SOUR{Path}:BB:DVBS:PAYL",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_TEST_SIGNAL_PAYLOAD_PRBS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K167",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS_PRBS =
  {
    RSSMXV_ATTR_DVBS_PRBS,
    "DVB-S PRBS",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngPRBSSequence, NULL, NULL,
    ":SOUR{Path}:BB:DVBS:PRBS",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_PRBS_SEQUENCE_23,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K167",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS_CODING_SYMBOL_RATE =
  {
    RSSMXV_ATTR_DVBS_CODING_SYMBOL_RATE,
    "DVB-S Coding Symbol Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngDVBSCodingSymbolRate, NULL,
    ":SOUR{Path}:BB:DVBS:SYMB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    27.5e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K167",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS_CODING_CONSTELLATION =
  {
    RSSMXV_ATTR_DVBS_CODING_CONSTELLATION,
    "DVB-S Coding Constellation",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDVBSCodingConstellation, NULL, NULL,
    ":SOUR{Path}:BB:DVBS:CONS",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DVBS_CODING_CONSTELLATION_S4,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K167",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS_CODING_ROLL_OFF =
  {
    RSSMXV_ATTR_DVBS_CODING_ROLL_OFF,
    "DVB-S Coding Roll Off",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, &RsSMxV_rngDVBSCodingRollOff,
    ":SOUR{Path}:BB:DVBS:ROLL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.35,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K167",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS_CODING_CODE_RATE =
  {
    RSSMXV_ATTR_DVBS_CODING_CODE_RATE,
    "DVB-S Coding Code Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDVBSCodingCodeRate, NULL, NULL,
    ":SOUR{Path}:BB:DVBS:RATE",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DVBS_CODE_RATE_3_4,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K167",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS_SPECIAL_SETTINGS_ENABLED =
  {
    RSSMXV_ATTR_DVBS_SPECIAL_SETTINGS_ENABLED,
    "DVB-S Special Settings Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBS:SPEC:SETT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K167",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS_SPECIAL_REED_SOLOMON_ENABLED =
  {
    RSSMXV_ATTR_DVBS_SPECIAL_REED_SOLOMON_ENABLED,
    "DVB-S Special Reed Solomon Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBS:REED",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K167",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS2_ENABLED =
  {
    RSSMXV_ATTR_DVBS2_ENABLED,
    "DVB-S2 Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBS2:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K168",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS2_SET_TO_DEFAULT =
  {
    RSSMXV_ATTR_DVBS2_SET_TO_DEFAULT,
    "DVB-S2 Set To Default",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBS2:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K168",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS2_CM_MODE =
  {
    RSSMXV_ATTR_DVBS2_CM_MODE,
    "DVB-S2 CM Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDVBS2CMMode, NULL, NULL,
    ":SOUR{Path}:BB:DVBS2:CMM",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DVBS2_CM_MODE_CCM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K168",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS2_ANNEX_M_ENABLED =
  {
    RSSMXV_ATTR_DVBS2_ANNEX_M_ENABLED,
    "DVB-S2 Annex M Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBS2:ANNM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K168",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS2_S2X_ENABLED =
  {
    RSSMXV_ATTR_DVBS2_S2X_ENABLED,
    "DVB-S2 S2-X Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBS2:S2X",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K168",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS2_RECALL_SETTINGS =
  {
    RSSMXV_ATTR_DVBS2_RECALL_SETTINGS,
    "DVB-S2 Recall Settings",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBS2:SETT:LOAD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "filename",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K168",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS2_SAVE_SETTINGS =
  {
    RSSMXV_ATTR_DVBS2_SAVE_SETTINGS,
    "DVB-S2 Save Settings",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBS2:SETT:STOR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "filename",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K168",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS2_SETTINGS_CATALOG =
  {
    RSSMXV_ATTR_DVBS2_SETTINGS_CATALOG,
    "DVB-S2 Settings Catalog",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBS2:SETT:CAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "catalog",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K168",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS2_DELETE_SETTINGS =
  {
    RSSMXV_ATTR_DVBS2_DELETE_SETTINGS,
    "DVB-S2 Delete Settings",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBS2:SETT:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "filename",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K168",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS2_NUMBER_OF_INPUT_STREAMS =
  {
    RSSMXV_ATTR_DVBS2_NUMBER_OF_INPUT_STREAMS,
    "DVB-S2 Number Of Input Streams",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngDVBS2InputStreams, NULL,
    ":SOUR{Path}:BB:DVBS2:NIS",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K168",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS2_SOURCE =
  {
    RSSMXV_ATTR_DVBS2_SOURCE,
    "DVB-S2 Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngBroadcastInputSource, NULL, NULL,
    ":SOUR{Path}:BB:DVBS2:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_INPUT_SOURCE_EXTERNAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K168",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS2_INPUT =
  {
    RSSMXV_ATTR_DVBS2_INPUT,
    "DVB-S2 Input",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDVBS2Input, NULL, NULL,
    ":SOUR{Path}:BB:DVBS2:INPut:IS{DVBS2InputStream}",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_PROTOCOL_TS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K168",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS2_INPUT_FORMAT =
  {
    RSSMXV_ATTR_DVBS2_INPUT_FORMAT,
    "DVB-S2 Input Format",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDVBS2InputFormat, NULL, NULL,
    ":SOUR{Path}:BB:DVBS2:INPut:IS{DVBS2InputStream}:FORM",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DVBS2_INPUT_FORMAT_ASI,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K168",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS2_IP_TS_CHANNEL =
  {
    RSSMXV_ATTR_DVBS2_IP_TS_CHANNEL,
    "DVB-S2 IP TS Channel",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngDVBS2IPTSChannel, NULL,
    ":SOUR{Path}:BB:DVBS2:INPut:IS{DVBS2InputStream}:TSCH",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K168",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS2_STUFFING_ENABLED =
  {
    RSSMXV_ATTR_DVBS2_STUFFING_ENABLED,
    "DVB-S2 Stuffing Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBS2:IS{DVBS2InputStream}:STUF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K168",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS2_PACKET_LENGTH =
  {
    RSSMXV_ATTR_DVBS2_PACKET_LENGTH,
    "DVB-S2 Packet Length",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngDVBS2PacketLength, NULL, NULL,
    ":SOUR{Path}:BB:DVBS2:IS{DVBS2InputStream}:PACK?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DVBS2_PACKET_LENGTH_INVALID,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K168",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS2_MAX_USEFUL_DATA_RATE =
  {
    RSSMXV_ATTR_DVBS2_MAX_USEFUL_DATA_RATE,
    "DVB-S2 Max Useful Data Rate",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBS2:IS{DVBS2InputStream}:USEF:MAX?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K168",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS2_MEASURED_DATA_RATE =
  {
    RSSMXV_ATTR_DVBS2_MEASURED_DATA_RATE,
    "DVB-S2 Measured Data Rate",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBS2:IS{DVBS2InputStream}:DAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K168",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS2_USEFUL_DATA_RATE =
  {
    RSSMXV_ATTR_DVBS2_USEFUL_DATA_RATE,
    "DVB-S2 Useful Data Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBS2:IS{DVBS2InputStream}:USEF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K168",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS2_TEST_SIGNAL =
  {
    RSSMXV_ATTR_DVBS2_TEST_SIGNAL,
    "DVB-S2 Test Signal",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDVBS2TestSignal, NULL, NULL,
    ":SOUR{Path}:BB:DVBS2:IS{DVBS2InputStream}:TEST",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DVBS2_TEST_SIGNAL_TTSP,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K168",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS2_TEST_TS_PACKET =
  {
    RSSMXV_ATTR_DVBS2_TEST_TS_PACKET,
    "DVB-S2 Test TS Packet",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngTestTSPacketStructure, NULL, NULL,
    ":SOUR{Path}:BB:DVBS2:TSP",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_TS_PACKET_H184,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K168",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS2_PID_TEST_PACKET =
  {
    RSSMXV_ATTR_DVBS2_PID_TEST_PACKET,
    "DVB-S2 PID Test Packet",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngTestPIDPacket, NULL, NULL,
    ":SOUR{Path}:BB:DVBS2:PIDT",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_PID_TEST_PACKET_NULL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K168",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS2_PID =
  {
    RSSMXV_ATTR_DVBS2_PID,
    "DVB-S2 PID",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng13bit, NULL,
    ":SOUR{Path}:BB:DVBS2:PID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K168",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS2_PAYLOAD_TEST =
  {
    RSSMXV_ATTR_DVBS2_PAYLOAD_TEST,
    "DVB-S2 Payload Test",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngTestSignalPayload, NULL, NULL,
    ":SOUR{Path}:BB:DVBS2:PAYL",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_TEST_SIGNAL_PAYLOAD_PRBS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K168",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS2_PRBS =
  {
    RSSMXV_ATTR_DVBS2_PRBS,
    "DVB-S2 PRBS",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngPRBSSequence, NULL, NULL,
    ":SOUR{Path}:BB:DVBS2:PRBS",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_PRBS_SEQUENCE_23,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K168",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS2_CODING_SYMBOL_RATE =
  {
    RSSMXV_ATTR_DVBS2_CODING_SYMBOL_RATE,
    "DVB-S2 Coding Symbol Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngDVBS2CodingSymbolRate, NULL,
    ":SOUR{Path}:BB:DVBS2:SYMB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    20.0e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K168",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS2_CODING_ROLL_OFF =
  {
    RSSMXV_ATTR_DVBS2_CODING_ROLL_OFF,
    "DVB-S2 Coding Roll Off",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, &RsSMxV_rngDVBS2CodingRollOff,
    ":SOUR{Path}:BB:DVBS2:ROLL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.2,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K168",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS2_CODING_NUMBER_OF_TIME_SLICES =
  {
    RSSMXV_ATTR_DVBS2_CODING_NUMBER_OF_TIME_SLICES,
    "DVB-S2 Coding Number Of Time Slices",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngDVBS2CodingNumberOfTimeSlices, NULL,
    ":SOUR{Path}:BB:DVBS2:NTSL",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K168",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS2_CODING_SUPER_FRAME_ENABLED =
  {
    RSSMXV_ATTR_DVBS2_CODING_SUPER_FRAME_ENABLED,
    "DVB-S2 Coding Super Frame Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBS2:S2X:SF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K168",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS2_CODING_CHANNEL_BONDING =
  {
    RSSMXV_ATTR_DVBS2_CODING_CHANNEL_BONDING,
    "DVB-S2 Coding Channel Bonding",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBS2:S2X:CHB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K168",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS2_CODING_TSN =
  {
    RSSMXV_ATTR_DVBS2_CODING_TSN,
    "DVB-S2 Coding TSN",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng8bit, NULL,
    ":SOUR{Path}:BB:DVBS2:TSL{DVBS2TimeSlice}:IS{DVBS2InputStream}:TSN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K168",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS2_CODING_ISI =
  {
    RSSMXV_ATTR_DVBS2_CODING_ISI,
    "DVB-S2 Coding ISI",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngDVBS2CodingISI, NULL,
    ":SOUR{Path}:BB:DVBS2:TSL{DVBS2TimeSlice}:IS{DVBS2InputStream}:ISI",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K168",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS2_CODING_NUMBER_OF_SYMBOLS =
  {
    RSSMXV_ATTR_DVBS2_CODING_NUMBER_OF_SYMBOLS,
    "DVB-S2 Coding Number Of Symbols",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBS2:TSL{DVBS2TimeSlice}:IS{DVBS2InputStream}:NSYM?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K168",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS2_CODING_MODULATION_CODING =
  {
    RSSMXV_ATTR_DVBS2_CODING_MODULATION_CODING,
    "DVB-S2 Coding Modulation Coding",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDVBS2ModulationCoding, NULL, NULL,
    ":SOUR{Path}:BB:DVBS2:TSL{DVBS2TimeSlice}:IS{DVBS2InputStream}:MODC",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DVBS2_MOD_COD_QPSK_2_3_CLASSICAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K168",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS2_CODING_FEC_FRAME =
  {
    RSSMXV_ATTR_DVBS2_CODING_FEC_FRAME,
    "DVB-S2 Coding FEC Frame",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDVBS2FECFrame, NULL, NULL,
    ":SOUR{Path}:BB:DVBS2:TSL{DVBS2TimeSlice}:IS{DVBS2InputStream}:FECF",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DVBS2_FEC_FRAME_NORMAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K168",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS2_CODING_PILOTS_ENABLED =
  {
    RSSMXV_ATTR_DVBS2_CODING_PILOTS_ENABLED,
    "DVB-S2 Coding Pilots Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBS2:TSL{DVBS2TimeSlice}:IS{DVBS2InputStream}:PIL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K168",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS2_SPECIAL_SETTINGS_ENABLED =
  {
    RSSMXV_ATTR_DVBS2_SPECIAL_SETTINGS_ENABLED,
    "DVB-S2 Special Settings Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBS2:SETT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K168",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS2_SPECIAL_PL_GOLD_CODE_INDEX =
  {
    RSSMXV_ATTR_DVBS2_SPECIAL_PL_GOLD_CODE_INDEX,
    "DVB-S2 Special PL Gold Code Index",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngDVBS2PLGoldCodeIndex, NULL,
    ":SOUR{Path}:BB:DVBS2:GOLD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K168",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS2_SPECIAL_PL_SCRAMBLING_SEQUENCE_ID =
  {
    RSSMXV_ATTR_DVBS2_SPECIAL_PL_SCRAMBLING_SEQUENCE_ID,
    "DVB-S2 Special PL Scrambling Sequence ID",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngDVBS2PLScramblingSequenceID, NULL,
    ":SOUR{Path}:BB:DVBS2:SCR:SEQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K168",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS2_SPECIAL_PL_SCRAMBLER_ENABLED =
  {
    RSSMXV_ATTR_DVBS2_SPECIAL_PL_SCRAMBLER_ENABLED,
    "DVB-S2 Special PL Scrambler Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBS2:SCR:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K168",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DVBS2_SPECIAL_PL_DATASLICES_PRBS =
  {
    RSSMXV_ATTR_DVBS2_SPECIAL_PL_DATASLICES_PRBS,
    "DVB-S2 Special PL Dataslices PRBS",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DVBS2:DSLP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K168",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_J83B_ENABLED =
  {
    RSSMXV_ATTR_J83B_ENABLED,
    "J83B Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:J83B:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K158",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_J83B_SET_TO_DEFAULT =
  {
    RSSMXV_ATTR_J83B_SET_TO_DEFAULT,
    "J83B Set To Default",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:J83B:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K158",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_J83B_RECALL_SETTINGS =
  {
    RSSMXV_ATTR_J83B_RECALL_SETTINGS,
    "J83B Recall Settings",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:J83B:SETT:LOAD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "filename",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K158",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_J83B_SAVE_SETTINGS =
  {
    RSSMXV_ATTR_J83B_SAVE_SETTINGS,
    "J83B Save Settings",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:J83B:SETT:STOR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "filename",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K158",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_J83B_SETTINGS_CATALOG =
  {
    RSSMXV_ATTR_J83B_SETTINGS_CATALOG,
    "J83B Settings Catalog",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:J83B:SETT:CAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "settings",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K158",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_J83B_DELETE_SETTINGS =
  {
    RSSMXV_ATTR_J83B_DELETE_SETTINGS,
    "J83B Delete Settings",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:J83B:SETT:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "filename",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K158",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_J83B_INPUT_SIGNAL_SOURCE =
  {
    RSSMXV_ATTR_J83B_INPUT_SIGNAL_SOURCE,
    "J83B Input Signal Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngInputSignalSource, NULL, NULL,
    ":SOUR{Path}:BB:J83B:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_INPUT_SIGNAL_SOURCE_EXTERNAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K158",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_J83B_INPUT_SIGNAL_STUFFING_STATE =
  {
    RSSMXV_ATTR_J83B_INPUT_SIGNAL_STUFFING_STATE,
    "J83B Input Signal Stuffing State",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:J83B:STUF?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K158",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_J83B_INPUT_SIGNAL_INTERFACE =
  {
    RSSMXV_ATTR_J83B_INPUT_SIGNAL_INTERFACE,
    "J83B Input Signal Interface",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngInputSignalInterface, NULL, NULL,
    ":SOUR{Path}:BB:J83B:INP",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_INPUT_SIGNAL_INTERFACE_TS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K158",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_J83B_INPUT_SIGNAL_FORMAT =
  {
    RSSMXV_ATTR_J83B_INPUT_SIGNAL_FORMAT,
    "J83B Input Signal Format",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngInputSignalFormat, NULL, NULL,
    ":SOUR{Path}:BB:J83B:INP:FORM",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_INPUT_SIGNAL_FORMAT_ASI,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K158",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_J83B_INPUT_SIGNAL_TS_CHANNEL =
  {
    RSSMXV_ATTR_J83B_INPUT_SIGNAL_TS_CHANNEL,
    "J83B Input Signal TS Channel",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngInputSignalTSChannel, NULL,
    ":SOUR{Path}:BB:J83B:INP:TSCH",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K158",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_J83B_INPUT_INFO_PACKET_LENGTH =
  {
    RSSMXV_ATTR_J83B_INPUT_INFO_PACKET_LENGTH,
    "J83B Input Info Packet Length",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngJ83BPacketLength, NULL, NULL,
    ":SOUR{Path}:BB:J83B:PACK?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_J83B_PACKET_LENGTH_INVALID,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K158",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_J83B_INPUT_INFO_MAXIMUM_USEFUL_DATA_RATE =
  {
    RSSMXV_ATTR_J83B_INPUT_INFO_MAXIMUM_USEFUL_DATA_RATE,
    "J83B Input Info Maximum Useful Data Rate",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:J83B:USEF:MAX?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K158",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_J83B_INPUT_INFO_USEFUL_DATA_RATE =
  {
    RSSMXV_ATTR_J83B_INPUT_INFO_USEFUL_DATA_RATE,
    "J83B Input Info Useful Data Rate",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:J83B:USEF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K158",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_J83B_INPUT_INFO_MEASURED_DATA_RATE =
  {
    RSSMXV_ATTR_J83B_INPUT_INFO_MEASURED_DATA_RATE,
    "J83B Input Info Measured Data Rate",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:J83B:DAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K158",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_J83B_INPUT_TEST_SIGNAL =
  {
    RSSMXV_ATTR_J83B_INPUT_TEST_SIGNAL,
    "J83B Input Test Signal",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngTestSignal, NULL, NULL,
    ":SOUR{Path}:BB:J83B:TEST",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_TEST_SIGNAL_TTSP,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K158",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_J83B_INPUT_TEST_SIGNAL_TS_TEST_PACKET =
  {
    RSSMXV_ATTR_J83B_INPUT_TEST_SIGNAL_TS_TEST_PACKET,
    "J83B Input Test Signal TS Test Packet",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngTestTSPacketStructure, NULL, NULL,
    ":SOUR{Path}:BB:J83B:TSP",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_TS_PACKET_H184,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K158",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_J83B_INPUT_TEST_SIGNAL_PID_TEST_PACKET =
  {
    RSSMXV_ATTR_J83B_INPUT_TEST_SIGNAL_PID_TEST_PACKET,
    "J83B Input Test Signal PID Test Packet",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngTestPIDPacket, NULL, NULL,
    ":SOUR{Path}:BB:J83B:PIDT",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_PID_TEST_PACKET_NULL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K158",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_J83B_INPUT_TEST_SIGNAL_PID =
  {
    RSSMXV_ATTR_J83B_INPUT_TEST_SIGNAL_PID,
    "J83B Input Test Signal PID",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng13bit, NULL,
    ":SOUR{Path}:BB:J83B:PID",
    // Defaults I32, I64, Float, Bool, String
    8191,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K158",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_J83B_INPUT_TEST_SIGNAL_PAYLOAD =
  {
    RSSMXV_ATTR_J83B_INPUT_TEST_SIGNAL_PAYLOAD,
    "J83B Input Test Signal Payload",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngTestSignalPayload, NULL, NULL,
    ":SOUR{Path}:BB:J83B:PAYL",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_TEST_SIGNAL_PAYLOAD_HFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K158",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_J83B_INPUT_TEST_SIGNAL_PRBS =
  {
    RSSMXV_ATTR_J83B_INPUT_TEST_SIGNAL_PRBS,
    "J83B Input Test Signal PRBS",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngPRBSSequence, NULL, NULL,
    ":SOUR{Path}:BB:J83B:PRBS",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_PRBS_SEQUENCE_23,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K158",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_J83B_CODING_SYMBOL_RATE =
  {
    RSSMXV_ATTR_J83B_CODING_SYMBOL_RATE,
    "J83B Coding Symbol Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:J83B:SYMB",
    // Defaults I32, I64, Float, Bool, String
    5056941,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K158",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_J83B_CODING_CONSTELLATION =
  {
    RSSMXV_ATTR_J83B_CODING_CONSTELLATION,
    "J83B Coding Constellation",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngJ83BCodingConstellation, NULL, NULL,
    ":SOUR{Path}:BB:J83B:CONS",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_J83B_CODING_CONSTELLATION_64_QAM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K158",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_J83B_CODING_ROLL_OFF_FACTOR =
  {
    RSSMXV_ATTR_J83B_CODING_ROLL_OFF_FACTOR,
    "J83B Coding Roll Off Factor",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngJ83BRollOffFactor, NULL, NULL,
    ":SOUR{Path}:BB:J83B:ROLL?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_J83B_ROLL_OFF_FACTOR_0_18,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K158",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_J83B_CODING_INTERLEAVER_MODE =
  {
    RSSMXV_ATTR_J83B_CODING_INTERLEAVER_MODE,
    "J83B Coding Interleaver Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngJ83BCodingInterleaverMode, NULL, NULL,
    "SOUR{Path}:BB:J83B:INT:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_J83B_CODING_INTERLEAVER_MODE_1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K158",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_J83B_SPECIAL_SETTINGS_ENABLED =
  {
    RSSMXV_ATTR_J83B_SPECIAL_SETTINGS_ENABLED,
    "J83B Special Settings Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:J83B:SETT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K158",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_J83B_SPECIAL_SETTINGS_REED_SOLOMON_ENABLED =
  {
    RSSMXV_ATTR_J83B_SPECIAL_SETTINGS_REED_SOLOMON_ENABLED,
    "J83B Special Settings Reed Solomon Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:J83B:REED",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K158",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_IP_CHANNEL_INPUT_IP_ENABLED =
  {
    RSSMXV_ATTR_IP_CHANNEL_INPUT_IP_ENABLED,
    "IP Channel Input IP Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:INP:IP{IPChannel}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_IP_CHANNEL_ALIAS =
  {
    RSSMXV_ATTR_IP_CHANNEL_ALIAS,
    "IP Channel Alias",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:INP:IP{IPChannel}:ALI",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Alias 1",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_IP_CHANNEL_TYPE =
  {
    RSSMXV_ATTR_IP_CHANNEL_TYPE,
    "IP Channel Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngIPChannelType, NULL, NULL,
    "SOUR{Path}:BB:INP:IP{IPChannel}:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_IP_CHANNEL_UNICAST,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_IP_CHANNEL_MULTICAST_ADDRESS =
  {
    RSSMXV_ATTR_IP_CHANNEL_MULTICAST_ADDRESS,
    "IP Channel Multicast Address",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:INP:IP{IPChannel}:MUL:ADDR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "226.0.0.0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_IP_CHANNEL_PORT =
  {
    RSSMXV_ATTR_IP_CHANNEL_PORT,
    "IP Channel Port",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng16bit, NULL,
    ":SOUR{Path}:BB:INP:IP{IPChannel}:PORT",
    // Defaults I32, I64, Float, Bool, String
    6002,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_IP_CHANNEL_IGMPV3_SOURCE_ADDRESS =
  {
    RSSMXV_ATTR_IP_CHANNEL_IGMPV3_SOURCE_ADDRESS,
    "IP Channel IGMPv3 Source Address",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:INP:IP{IPChannel}:IGMP:ADDR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0.0.0.0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_IP_CHANNEL_IGMPV3_PING_SOURCE_ADDRESS =
  {
    RSSMXV_ATTR_IP_CHANNEL_IGMPV3_PING_SOURCE_ADDRESS,
    "IP Channel IGMPv3 Ping Source Address",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:INP:IP{IPChannel}:IGMP:PING",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_IP_CHANNEL_IGMPV3_PING_RESULT =
  {
    RSSMXV_ATTR_IP_CHANNEL_IGMPV3_PING_RESULT,
    "IP Channel IGMPv3 Ping Result",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:INP:IP{IPChannel}:IGMP:SOUR:RES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Ping: Successful",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_AM_ENABLED =
  {
    RSSMXV_ATTR_AM_ENABLED,
    "AM Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:GEN:AM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_AM_DEPTH =
  {
    RSSMXV_ATTR_AM_DEPTH,
    "AM Depth",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngAMDepth, NULL,
    ":SOUR{Path}:BB:GEN:AM:DEPT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    30,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_AM_FREQUENCY =
  {
    RSSMXV_ATTR_AM_FREQUENCY,
    "AM Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngAMFrequency, NULL,
    ":SOUR{Path}:BB:GEN:AM:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1e3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_AM_PERIOD =
  {
    RSSMXV_ATTR_AM_PERIOD,
    "AM Period",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngAMPeriod, NULL,
    ":SOUR{Path}:BB:GEN:AM:PER?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_AM_SHAPE =
  {
    RSSMXV_ATTR_AM_SHAPE,
    "AM Shape",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngAMShape, NULL, NULL,
    ":SOUR{Path}:BB:GEN:AM:SHAP",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_AM_SHAPE_SINE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_ENABLED =
  {
    RSSMXV_ATTR_FM_ENABLED,
    "FM Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:GEN:FM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_DEVIATION =
  {
    RSSMXV_ATTR_FM_DEVIATION,
    "FM Deviation",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngFMDeviation, NULL,
    ":SOUR{Path}:BB:GEN:FM:DEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1e3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_FREQUENCY =
  {
    RSSMXV_ATTR_FM_FREQUENCY,
    "FM Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngFMFrequency, NULL,
    ":SOUR{Path}:BB:GEN:FM:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1e3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_PERIOD =
  {
    RSSMXV_ATTR_FM_PERIOD,
    "FM Period",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngAMPeriod, NULL,
    ":SOUR{Path}:BB:GEN:FM:PER?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FM_SHAPE =
  {
    RSSMXV_ATTR_FM_SHAPE,
    "FM Shape",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngAMShape, NULL, NULL,
    ":SOUR{Path}:BB:GEN:FM:SHAP",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_AM_SHAPE_SINE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_PM_ENABLED =
  {
    RSSMXV_ATTR_PM_ENABLED,
    "PM Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:GEN:PM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_PM_DEVIATION =
  {
    RSSMXV_ATTR_PM_DEVIATION,
    "PM Deviation",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngPMDeviation, NULL,
    ":SOUR{Path}:BB:GEN:PM:DEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_PM_FREQUENCY =
  {
    RSSMXV_ATTR_PM_FREQUENCY,
    "PM Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngFMFrequency, NULL,
    ":SOUR{Path}:BB:GEN:PM:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1e3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_PM_PERIOD =
  {
    RSSMXV_ATTR_PM_PERIOD,
    "PM Period",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngAMPeriod, NULL,
    ":SOUR{Path}:BB:GEN:PM:PER?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_PM_SHAPE =
  {
    RSSMXV_ATTR_PM_SHAPE,
    "PM Shape",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngAMShape, NULL, NULL,
    ":SOUR{Path}:BB:GEN:PM:SHAP",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_AM_SHAPE_SINE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_PULM_ENABLED =
  {
    RSSMXV_ATTR_PULM_ENABLED,
    "PULM Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:GEN:PULM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_PULM_MODE =
  {
    RSSMXV_ATTR_PULM_MODE,
    "PULM Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngPULMMode, NULL, NULL,
    ":SOUR{Path}:BB:GEN:PULM:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_PULM_MODE_SINGLE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_PULM_DELAY =
  {
    RSSMXV_ATTR_PULM_DELAY,
    "PULM Delay",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngPULMDelay, NULL,
    ":SOUR{Path}:BB:GEN:PULM:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    3e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_PULM_DOUBLE_DELAY =
  {
    RSSMXV_ATTR_PULM_DOUBLE_DELAY,
    "PULM Double Delay",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngPULMDelay, NULL,
    ":SOUR{Path}:BB:GEN:PULM:DOUB:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    3e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_PULM_WIDTH =
  {
    RSSMXV_ATTR_PULM_WIDTH,
    "PULM Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngPULMDelay, NULL,
    ":SOUR{Path}:BB:GEN:PULM:WIDT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    2e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_PULM_DOUBLE_WIDTH =
  {
    RSSMXV_ATTR_PULM_DOUBLE_WIDTH,
    "PULM Double Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngPULMDelay, NULL,
    ":SOUR{Path}:BB:GEN:PULM:DOUB:WIDT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    2e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_PULM_PERIOD =
  {
    RSSMXV_ATTR_PULM_PERIOD,
    "PULM Period",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngAMPeriod, NULL,
    ":SOUR{Path}:BB:GEN:PULM:PER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_PULM_TRANSITION_TYPE =
  {
    RSSMXV_ATTR_PULM_TRANSITION_TYPE,
    "PULM Transition Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngPULMTransitionType, NULL, NULL,
    ":SOUR{Path}:BB:GEN:PULM:TRAN:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_PULM_TRANSITION_TYPE_FAST,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_PULM_VIDEO_POLARITY =
  {
    RSSMXV_ATTR_PULM_VIDEO_POLARITY,
    "PULM Video Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngPULMVideoPolarity, NULL, NULL,
    ":SOUR{Path}:BB:GEN:PULM:VID:POL",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_PULM_VIDEO_POLARITY_NORMAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_PROGRESS_MULTI_CODER =
  {
    RSSMXV_ATTR_PROGRESS_MULTI_CODER,
    "Progress Multi Coder",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngPCT, NULL,
    ":SOUR{Path}:BB:PROG:MCOD?",
    // Defaults I32, I64, Float, Bool, String
    100,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_PROGRESS_MULTI_CODER_CARRIER =
  {
    RSSMXV_ATTR_PROGRESS_MULTI_CODER_CARRIER,
    "Progress Multi Coder Carrier",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngPCT, NULL,
    ":SOUR{Path}:BB:PROG:MCOD:ARB:MCAR?",
    // Defaults I32, I64, Float, Bool, String
    100,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_PROGRESS_MULTI_CODER_SEGMENT =
  {
    RSSMXV_ATTR_PROGRESS_MULTI_CODER_SEGMENT,
    "Progress Multi Coder Segment",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngPCT, NULL,
    ":SOUR{Path}:BB:PROG:MCOD:ARB:WSEG?",
    // Defaults I32, I64, Float, Bool, String
    100,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_ENABLED =
  {
    RSSMXV_ATTR_ARB_ENABLED,
    "ARB Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ARB:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_SET_TO_DEFAULT =
  {
    RSSMXV_ATTR_ARB_SET_TO_DEFAULT,
    "ARB Set To Default",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ARB:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_LOAD_WAVEFORM =
  {
    RSSMXV_ATTR_ARB_LOAD_WAVEFORM,
    "ARB Load Waveform",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ARB:WAV:SEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "wave1.wv",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_CLOCK_FREQUENCY =
  {
    RSSMXV_ATTR_ARB_CLOCK_FREQUENCY,
    "ARB Clock Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ARB:CLOC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0e+6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MULTI_CARRIER_CLOCK =
  {
    RSSMXV_ATTR_ARB_MULTI_CARRIER_CLOCK,
    "ARB Multi Carrier Clock",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ARB:MCAR:CLOC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MULTI_CARRIER_SAMPLES =
  {
    RSSMXV_ATTR_ARB_MULTI_CARRIER_SAMPLES,
    "ARB Multi Carrier Samples",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ARB:MCAR:SAMP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_TEST_SIGNAL_FORM =
  {
    RSSMXV_ATTR_ARB_TEST_SIGNAL_FORM,
    "ARB Test Signal Form",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngARBTestSignalForm, NULL, NULL,
    ":SOUR{Path}:BB:ARB:SIGN:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ARB_TESTSIGNAL_SINE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_TRIGGER_STATUS =
  {
    RSSMXV_ATTR_ARB_TRIGGER_STATUS,
    "ARB Trigger Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngARBTriggerStatus, NULL, NULL,
    "SOUR{Path}:BB:ARB:TRIG:RMOD?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ARB_TRIGGER_STATUS_STOP,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_EXECUTE_TRIGGER =
  {
    RSSMXV_ATTR_ARB_EXECUTE_TRIGGER,
    "ARB Execute Trigger",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ARB:TRIG:EXEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_TRIGGER_ARM =
  {
    RSSMXV_ATTR_ARB_TRIGGER_ARM,
    "ARB Trigger Arm",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:ARB:TRIG:ARM:EXEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_TRIGGER_MODE =
  {
    RSSMXV_ATTR_ARB_TRIGGER_MODE,
    "ARB Trigger Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngTrgTriggerMode, NULL, NULL,
    "SOUR{Path}:BB:ARB:SEQ",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_TRIGGER_MODE_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_EXTENDED_TRIGGER_MODE =
  {
    RSSMXV_ATTR_ARB_EXTENDED_TRIGGER_MODE,
    "ARB Extended Trigger Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngARBExtendedTriggerMode, NULL, NULL,
    "SOUR{Path}:BB:ARB:TRIG:SMOD",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ARB_EXTENDED_TRIGGER_MODE_NEXT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_TRIGGER_SOURCE =
  {
    RSSMXV_ATTR_ARB_TRIGGER_SOURCE,
    "ARB Trigger Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngTriggerSour, NULL, NULL,
    "SOUR{Path}:BB:ARB:TRIG:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_TRIGGER_SOURCE_INTERNAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_TRIGGER_SINGLE_SIGNAL_DURATION_UNIT =
  {
    RSSMXV_ATTR_ARB_TRIGGER_SINGLE_SIGNAL_DURATION_UNIT,
    "ARB Trigger Single Signal Duration Unit",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngARBSignalDurationUnit, NULL, NULL,
    "SOUR{Path}:BB:ARB:TRIG:SLUN",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ARB_TRIGGER_UNIT_SEQUENCE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_TRIGGER_SINGLE_SEQUENCE_LENGTH =
  {
    RSSMXV_ATTR_ARB_TRIGGER_SINGLE_SEQUENCE_LENGTH,
    "ARB Trigger Single Sequence Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ARB:TRIG:SLEN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_TRIGGER_PROCESSING_TIME =
  {
    RSSMXV_ATTR_ARB_TRIGGER_PROCESSING_TIME,
    "ARB Trigger Processing Time",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:ARB:TRIG:PTIM?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_EXTERNAL_TRIGGER_DELAY =
  {
    RSSMXV_ATTR_ARB_EXTERNAL_TRIGGER_DELAY,
    "ARB External Trigger Delay",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ARB:TRIG:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_EXTERNAL_TRIGGER_INHIBIT =
  {
    RSSMXV_ATTR_ARB_EXTERNAL_TRIGGER_INHIBIT,
    "ARB External Trigger Inhibit",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngARBExternalTriggerInhibit, NULL,
    "SOUR{Path}:BB:ARB:TRIG:INH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_EXTERNAL_TRIGGER_DELAY_UNIT =
  {
    RSSMXV_ATTR_ARB_EXTERNAL_TRIGGER_DELAY_UNIT,
    "ARB External Trigger Delay Unit",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngARBExternalTriggerDelayUnit, NULL, NULL,
    ":SOUR{Path}:BB:ARB:TRIG:DEL:UNIT",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_EXTERNAL_TRIGGER_DELAY_UNIT_SAMPLE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_EXTERNAL_TRIGGER_EVENT_DELAY =
  {
    RSSMXV_ATTR_ARB_EXTERNAL_TRIGGER_EVENT_DELAY,
    "ARB External Trigger Event Delay",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:ARB:TRIG:RDEL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_EXTERNAL_TRIGGER_DELAY_SECONDS =
  {
    RSSMXV_ATTR_ARB_EXTERNAL_TRIGGER_DELAY_SECONDS,
    "ARB External Trigger Delay Seconds",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:ARB:TRIG:TDEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MARKER_MODE =
  {
    RSSMXV_ATTR_ARB_MARKER_MODE,
    "ARB Marker Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngARBMarkerMode, NULL, NULL,
    "SOUR{Path}:BB:ARB:TRIG:OUTP{Marker}:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ARB_MARKER_MODE_UNCH,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MARKER_PULSE_DIVIDER =
  {
    RSSMXV_ATTR_ARB_MARKER_PULSE_DIVIDER,
    "ARB Marker Pulse Divider",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngMarkerPulseDivider, NULL,
    "SOUR{Path}:BB:ARB:TRIG:OUTP{Marker}:PULS:DIV",
    // Defaults I32, I64, Float, Bool, String
    2,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MARKER_DELAY =
  {
    RSSMXV_ATTR_ARB_MARKER_DELAY,
    "ARB Marker Delay",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ARB:TRIG:OUTP{Marker}:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MARKER_DELAY_IN_SECONDS =
  {
    RSSMXV_ATTR_ARB_MARKER_DELAY_IN_SECONDS,
    "ARB Marker Delay In Seconds",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:ARB:TRIG:OUTP{Marker}:DINS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MARKER_PULSE_FREQUENCY =
  {
    RSSMXV_ATTR_ARB_MARKER_PULSE_FREQUENCY,
    "ARB Marker Pulse Frequency",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ARB:TRIG:OUTP{Marker}:PULS:FREQ?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5000000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MARKER_PATTERN =
  {
    RSSMXV_ATTR_ARB_MARKER_PATTERN,
    "ARB Marker Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ARB:TRIG:OUTP{Marker}:PATT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "2",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rssmxv_hexString_ReadCallback,
    rssmxv_hexString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MARKER_ON_TIME =
  {
    RSSMXV_ATTR_ARB_MARKER_ON_TIME,
    "ARB Marker ON Time",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ARB:TRIG:OUTP{Marker}:ONT",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MARKER_OFF_TIME =
  {
    RSSMXV_ATTR_ARB_MARKER_OFF_TIME,
    "ARB Marker OFF Time",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ARB:TRIG:OUTP{Marker}:OFFT",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_CLOCK_SOURCE =
  {
    RSSMXV_ATTR_ARB_CLOCK_SOURCE,
    "ARB Clock Source",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngClockSource, NULL, NULL,
    "SOUR{Path}:BB:ARB:CLOC:SOUR?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_CLOCK_SOURCE_INTERNAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_CLOCK_SYNCHRONIZATION_OUTPUT_TO_EXTERNAL_TRIGGER =
  {
    RSSMXV_ATTR_ARB_CLOCK_SYNCHRONIZATION_OUTPUT_TO_EXTERNAL_TRIGGER,
    "ARB Clock Synchronization Output to External Trigger",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ARB:TRIG:EXT:SYNC:OUTP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_WAVEFORM_CATALOG =
  {
    RSSMXV_ATTR_ARB_WAVEFORM_CATALOG,
    "ARB Waveform Catalog",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ARB:WAV:CAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "catalog",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_WAVEFORM_CATALOG_LENGTH =
  {
    RSSMXV_ATTR_ARB_WAVEFORM_CATALOG_LENGTH,
    "ARB Waveform Catalog Length",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ARB:WAV:CAT:LENG?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_WAVEFORM_DELETE =
  {
    RSSMXV_ATTR_ARB_WAVEFORM_DELETE,
    "ARB Waveform Delete",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ARB:WAV:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "wave1.wv",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_WAVEFORM_POINTS =
  {
    RSSMXV_ATTR_ARB_WAVEFORM_POINTS,
    "ARB Waveform Points",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ARB:WAV:POIN?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_WAVEFORM_FREE_DISK_SPACE =
  {
    RSSMXV_ATTR_ARB_WAVEFORM_FREE_DISK_SPACE,
    "ARB Waveform Free Disk Space",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:ARB:WAV:FREE?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_WAVEFORM_TAG =
  {
    RSSMXV_ATTR_ARB_WAVEFORM_TAG,
    "ARB Waveform Tag",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:ARB:WAV:TAG?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "comment",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_WAVEFORM_HDD_STREAMING_ENABLED =
  {
    RSSMXV_ATTR_ARB_WAVEFORM_HDD_STREAMING_ENABLED,
    "ARB Waveform HDD Streaming Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:ARB:WAV:HDDS:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MULTI_CARRIER_OUTPUT_FILE =
  {
    RSSMXV_ATTR_ARB_MULTI_CARRIER_OUTPUT_FILE,
    "ARB Multi Carrier Output File",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ARB:MCAR:OFIL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "file",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MULTI_CARRIER_SAVE_FILE =
  {
    RSSMXV_ATTR_ARB_MULTI_CARRIER_SAVE_FILE,
    "ARB Multi Carrier Save File",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ARB:MCAR:CLO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_CREATE_MULTI_CARRIER =
  {
    RSSMXV_ATTR_ARB_CREATE_MULTI_CARRIER,
    "ARB Create Multi Carrier",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ARB:MCAR:CRE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_RESET_MULTI_CARRIER =
  {
    RSSMXV_ATTR_ARB_RESET_MULTI_CARRIER,
    "ARB Reset Multi Carrier",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ARB:MCAR:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MULTI_CARRIER_MODE =
  {
    RSSMXV_ATTR_ARB_MULTI_CARRIER_MODE,
    "ARB Multi Carrier Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngARBMultiCarrierMode, NULL, NULL,
    "SOUR{Path}:BB:ARB:MCAR:CARR:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ARB_MULTIC_MODE_EQU,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MULTI_CARRIER_SPACING =
  {
    RSSMXV_ATTR_ARB_MULTI_CARRIER_SPACING,
    "ARB Multi Carrier Spacing",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ARB:MCAR:CARR:SPAC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MULTI_CARRIER_COUNT =
  {
    RSSMXV_ATTR_ARB_MULTI_CARRIER_COUNT,
    "ARB Multi Carrier Count",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngARBMultiCarrierCount, NULL,
    "SOUR{Path}:BB:ARB:MCAR:CARR:COUN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MULTI_CARRIER_CREST_FACTOR_MODE =
  {
    RSSMXV_ATTR_ARB_MULTI_CARRIER_CREST_FACTOR_MODE,
    "ARB Multi Carrier Crest Factor Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngARBMultiCarrierCrestFactorMode, NULL, NULL,
    "SOUR{Path}:BB:ARB:MCAR:CFAC:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ARB_SRC_CFACTOR_MODE_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MULTI_CARRIER_CLIPPING_ENABLED =
  {
    RSSMXV_ATTR_ARB_MULTI_CARRIER_CLIPPING_ENABLED,
    "ARB Multi Carrier Clipping Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ARB:MCAR:CLIP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MULTI_CARRIER_CLIPPING_TARGET_CREST_FACTOR =
  {
    RSSMXV_ATTR_ARB_MULTI_CARRIER_CLIPPING_TARGET_CREST_FACTOR,
    "ARB Multi Carrier Clipping Target Crest Factor",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngARBTargetCrestFactor, NULL,
    "SOUR{Path}:BB:ARB:MCAR:CLIP:CFAC",
    // Defaults I32, I64, Float, Bool, String
    50,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MULTI_CARRIER_CLIPPING_FILTER_CUT_OFF_FREQUENCY =
  {
    RSSMXV_ATTR_ARB_MULTI_CARRIER_CLIPPING_FILTER_CUT_OFF_FREQUENCY,
    "ARB Multi Carrier Clipping Filter Cut Off Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ARB:MCAR:CLIP:CUT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MULTI_CARRIER_POWER_REFERENCE =
  {
    RSSMXV_ATTR_ARB_MULTI_CARRIER_POWER_REFERENCE,
    "ARB Multi Carrier Power Reference",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngARBPowerReference, NULL, NULL,
    ":SOUR{Path}:BB:ARB:MCAR:POW:REF",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ARB_POWER_REFERENCE_RMS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MULTI_CARRIER_SIGNAL_PERIOD_MODE =
  {
    RSSMXV_ATTR_ARB_MULTI_CARRIER_SIGNAL_PERIOD_MODE,
    "ARB Multi Carrier Signal Period Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngARBSignalPeriodMode, NULL, NULL,
    "SOUR{Path}:BB:ARB:MCAR:TIME:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ARB_SRC_CALC_MODE_LONG,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MULTI_CARRIER_SIGNAL_PERIOD =
  {
    RSSMXV_ATTR_ARB_MULTI_CARRIER_SIGNAL_PERIOD,
    "ARB Multi Carrier Signal Period",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngARBMultiCarrierSignalPeriod, NULL,
    ":SOUR{Path}:BB:ARB:MCAR:TIME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MULTI_CARRIER_ENABLED =
  {
    RSSMXV_ATTR_ARB_MULTI_CARRIER_ENABLED,
    "ARB Multi Carrier Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ARB:MCAR:CARR{ARBCarrier}:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MULTI_CARRIER_FREQUENCY =
  {
    RSSMXV_ATTR_ARB_MULTI_CARRIER_FREQUENCY,
    "ARB Multi Carrier Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngARBMultiCarrierFrequency, NULL,
    "SOUR{Path}:BB:ARB:MCAR:CARR{ARBCarrier}:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MULTI_CARRIER_GAIN =
  {
    RSSMXV_ATTR_ARB_MULTI_CARRIER_GAIN,
    "ARB Multi Carrier Gain",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngARBPower, NULL,
    "SOUR{Path}:BB:ARB:MCAR:CARR{ARBCarrier}:POW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MULTI_CARRIER_PHASE =
  {
    RSSMXV_ATTR_ARB_MULTI_CARRIER_PHASE,
    "ARB Multi Carrier Phase",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngARBMultiCarrierPhase, NULL,
    "SOUR{Path}:BB:ARB:MCAR:CARR{ARBCarrier}:PHAS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MULTI_CARRIER_DELAY =
  {
    RSSMXV_ATTR_ARB_MULTI_CARRIER_DELAY,
    "ARB Multi Carrier Delay",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngARBMultiCarrierDelay, NULL,
    "SOUR{Path}:BB:ARB:MCAR:CARR{ARBCarrier}:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MULTI_CARRIER_DATA_FILE =
  {
    RSSMXV_ATTR_ARB_MULTI_CARRIER_DATA_FILE,
    "ARB Multi Carrier Data File",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ARB:MCAR:CARR{ARBCarrier}:FILE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "dataFile",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MULTI_CARRIER_CONFLICT =
  {
    RSSMXV_ATTR_ARB_MULTI_CARRIER_CONFLICT,
    "ARB Multi Carrier Conflict",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ARB:MCAR:CARR{ARBCarrier}:CONF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_EXECUTE_MULTI_CARRIER_EDITION =
  {
    RSSMXV_ATTR_ARB_EXECUTE_MULTI_CARRIER_EDITION,
    "ARB Execute Multi Carrier Edition",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ARB:MCAR:EDIT:CARR:EXEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MULTI_CARRIER_EDIT_DELAY =
  {
    RSSMXV_ATTR_ARB_MULTI_CARRIER_EDIT_DELAY,
    "ARB Multi Carrier Edit Delay",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngARBOffsetDC, NULL,
    "SOUR{Path}:BB:ARB:MCAR:EDIT:CARR:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MULTI_CARRIER_EDIT_DELAY_STEP =
  {
    RSSMXV_ATTR_ARB_MULTI_CARRIER_EDIT_DELAY_STEP,
    "ARB Multi Carrier Edit Delay Step",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngARBOffsetDC, NULL,
    "SOUR{Path}:BB:ARB:MCAR:EDIT:CARR:DEL:STEP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MULTI_CARRIER_INPUT_IQ_FILE =
  {
    RSSMXV_ATTR_ARB_MULTI_CARRIER_INPUT_IQ_FILE,
    "ARB Multi Carrier Input IQ File",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ARB:MCAR:EDIT:CARR:FILE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "file",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MULTI_CARRIER_EDIT_PHASE =
  {
    RSSMXV_ATTR_ARB_MULTI_CARRIER_EDIT_PHASE,
    "ARB Multi Carrier Edit Phase",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngARBMultiCarrierPhase, NULL,
    "SOUR{Path}:BB:ARB:MCAR:EDIT:CARR:PHAS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MULTI_CARRIER_EDIT_PHASE_STEP =
  {
    RSSMXV_ATTR_ARB_MULTI_CARRIER_EDIT_PHASE_STEP,
    "ARB Multi Carrier Edit Phase Step",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngARBPhaseStep, NULL,
    "SOUR{Path}:BB:ARB:MCAR:EDIT:CARR:PHAS:STEP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MULTI_CARRIER_EDIT_POWER =
  {
    RSSMXV_ATTR_ARB_MULTI_CARRIER_EDIT_POWER,
    "ARB Multi Carrier Edit Power",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngARBMultiCarrierEditPower, NULL,
    "SOUR{Path}:BB:ARB:MCAR:EDIT:CARR:POW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MULTI_CARRIER_EDIT_POWER_STEP =
  {
    RSSMXV_ATTR_ARB_MULTI_CARRIER_EDIT_POWER_STEP,
    "ARB Multi Carrier Edit Power Step",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngARBPowerStep, NULL,
    "SOUR{Path}:BB:ARB:MCAR:EDIT:CARR:POW:STEP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MULTI_CARRIER_START =
  {
    RSSMXV_ATTR_ARB_MULTI_CARRIER_START,
    "ARB Multi Carrier Start",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngARBMultiCarrierIndex, NULL,
    "SOUR{Path}:BB:ARB:MCAR:EDIT:CARR:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MULTI_CARRIER_STOP =
  {
    RSSMXV_ATTR_ARB_MULTI_CARRIER_STOP,
    "ARB Multi Carrier Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngARBMultiCarrierIndex, NULL,
    "SOUR{Path}:BB:ARB:MCAR:EDIT:CARR:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MULTI_CARRIER_EDIT_ENABLED =
  {
    RSSMXV_ATTR_ARB_MULTI_CARRIER_EDIT_ENABLED,
    "ARB Multi Carrier Edit Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ARB:MCAR:EDIT:CARR:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MULTI_CARRIER_CATALOG =
  {
    RSSMXV_ATTR_ARB_MULTI_CARRIER_CATALOG,
    "ARB Multi Carrier Catalog",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ARB:MCAR:SETT:CAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "catalog",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_LOAD_MULTI_CARRIER_SETTING_FILE =
  {
    RSSMXV_ATTR_ARB_LOAD_MULTI_CARRIER_SETTING_FILE,
    "ARB Load Multi Carrier Setting File",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ARB:MCAR:SETT:LOAD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "file",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_STORE_MULTI_CARRIER_SETTING_FILE =
  {
    RSSMXV_ATTR_ARB_STORE_MULTI_CARRIER_SETTING_FILE,
    "ARB Store Multi Carrier Setting File",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ARB:MCAR:SETT:STOR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "MultiCarrierSettingFile",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MULTI_CARRIER_FAST_STORE =
  {
    RSSMXV_ATTR_ARB_MULTI_CARRIER_FAST_STORE,
    "ARB Multi Carrier Fast Store",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:ARB:MCAR:SETT:STOR:FAST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_TSIGNAL_GENERATE =
  {
    RSSMXV_ATTR_ARB_TSIGNAL_GENERATE,
    "ARB Tsignal Generate",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ARB:TSIG:SINE:CRE:NAM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "wave1.wv",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_TSIGNAL_CREATE =
  {
    RSSMXV_ATTR_ARB_TSIGNAL_CREATE,
    "ARB Tsignal Create",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ARB:TSIG:SINE:CRE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_TSIGNAL_FREQUENCY =
  {
    RSSMXV_ATTR_ARB_TSIGNAL_FREQUENCY,
    "ARB Tsignal Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngARBTsignalFrequency, NULL,
    "SOUR{Path}:BB:ARB:TSIG:SINE:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1000.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_TSIGNAL_PHASE =
  {
    RSSMXV_ATTR_ARB_TSIGNAL_PHASE,
    "ARB Tsignal Phase",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngARBTsignalPhase, NULL,
    "SOUR{Path}:BB:ARB:TSIG:SINE:PHAS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    90.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_TSIGNAL_SAMPLES =
  {
    RSSMXV_ATTR_ARB_TSIGNAL_SAMPLES,
    "ARB Tsignal Samples",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngARBTsignalSamples, NULL,
    "SOUR{Path}:BB:ARB:TSIG:SINE:SAMP",
    // Defaults I32, I64, Float, Bool, String
    100,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_TSIGNAL_RECTANGLE_NAME =
  {
    RSSMXV_ATTR_ARB_TSIGNAL_RECTANGLE_NAME,
    "ARB Tsignal Rectangle Name",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ARB:TSIG:RECT:CRE:NAM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "wave1.wv",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_TSIGNAL_RECTANGLE_CREATE =
  {
    RSSMXV_ATTR_ARB_TSIGNAL_RECTANGLE_CREATE,
    "ARB Tsignal Rectangle Create",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ARB:TSIG:RECT:CRE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_TSIGNAL_RECTANGLE_FREQUENCY =
  {
    RSSMXV_ATTR_ARB_TSIGNAL_RECTANGLE_FREQUENCY,
    "ARB Tsignal Rectangle Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngARBTsignalRectangleFrequency, NULL,
    "SOUR{Path}:BB:ARB:TSIG:RECT:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1000.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_TSIGNAL_RECTANGLE_AMPLITUDE =
  {
    RSSMXV_ATTR_ARB_TSIGNAL_RECTANGLE_AMPLITUDE,
    "ARB Tsignal Rectangle Amplitude",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngARBTsignalRectangleAmplitude, NULL,
    "SOUR{Path}:BB:ARB:TSIG:RECT:AMPL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_TSIGNAL_RECTANGLE_OFFSET_DC =
  {
    RSSMXV_ATTR_ARB_TSIGNAL_RECTANGLE_OFFSET_DC,
    "ARB Tsignal Rectangle Offset DC",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngARBOffsetDC, NULL,
    "SOUR{Path}:BB:ARB:TSIG:RECT:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_TSIGNAL_RECTANGLE_SAMPLES =
  {
    RSSMXV_ATTR_ARB_TSIGNAL_RECTANGLE_SAMPLES,
    "ARB Tsignal Rectangle Samples",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngARBSamples, NULL,
    "SOUR{Path}:BB:ARB:TSIG:RECT:SAMP",
    // Defaults I32, I64, Float, Bool, String
    100,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_TSIGNAL_CIQ_NAME =
  {
    RSSMXV_ATTR_ARB_TSIGNAL_CIQ_NAME,
    "ARB Tsignal CIQ Name",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ARB:TSIG:CIQ:CRE:NAM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "file",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_TSIGNAL_CIQ_CREATE =
  {
    RSSMXV_ATTR_ARB_TSIGNAL_CIQ_CREATE,
    "ARB Tsignal CIQ Create",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ARB:TSIG:CIQ:CRE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_TSIGNAL_CIQ_I =
  {
    RSSMXV_ATTR_ARB_TSIGNAL_CIQ_I,
    "ARB Tsignal CIQ I",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngARBTsignalCIQ, NULL,
    "SOUR{Path}:BB:ARB:TSIG:CIQ:I",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_TSIGNAL_CIQ_Q =
  {
    RSSMXV_ATTR_ARB_TSIGNAL_CIQ_Q,
    "ARB Tsignal CIQ Q",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngARBTsignalCIQ, NULL,
    "SOUR{Path}:BB:ARB:TSIG:CIQ:Q",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MULTISEGMENT_OUTPUT_SEGMENT =
  {
    RSSMXV_ATTR_ARB_MULTISEGMENT_OUTPUT_SEGMENT,
    "ARB Multisegment Output Segment",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngARBOutputSegment, NULL,
    "SOUR{Path}:BB:ARB:WSEG:NEXT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MULTISEGMENT_CURRENT_OUTPUT_SEGMENT =
  {
    RSSMXV_ATTR_ARB_MULTISEGMENT_CURRENT_OUTPUT_SEGMENT,
    "ARB Multisegment Current Output Segment",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ARB:WSEG?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MULTISEGMENT_LEVEL_MODE =
  {
    RSSMXV_ATTR_ARB_MULTISEGMENT_LEVEL_MODE,
    "ARB Multisegment Level Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngARBMultisegmentLevelMode, NULL, NULL,
    "SOUR{Path}:BB:ARB:WSEG:CONF:LEV",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ARB_LEVEL_MODE_UNCH,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MULTISEGMENT_SEQUENCE_RESTART =
  {
    RSSMXV_ATTR_ARB_MULTISEGMENT_SEQUENCE_RESTART,
    "ARB Multisegment Sequence Restart",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngARBSequenceRestart, NULL, NULL,
    "SOUR{Path}:BB:ARB:WSEG:CONF:MARK:FSEG",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ARB_SRESTART_DISABLED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MULTISEGMENT_SEGMENT_RESTART =
  {
    RSSMXV_ATTR_ARB_MULTISEGMENT_SEGMENT_RESTART,
    "ARB Multisegment Segment Restart",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngARBSequenceRestart, NULL, NULL,
    "SOUR{Path}:BB:ARB:WSEG:CONF:MARK:ESEG",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ARB_SRESTART_DISABLED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MULTISEGMENT_SAVE_FILE =
  {
    RSSMXV_ATTR_ARB_MULTISEGMENT_SAVE_FILE,
    "ARB Multisegment Save File",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ARB:WSEG:CONF:OFIL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "list",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MULTISEGMENT_APPEND_FILE =
  {
    RSSMXV_ATTR_ARB_MULTISEGMENT_APPEND_FILE,
    "ARB Multisegment Append File",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ARB:WSEG:CONF:SEGM:APP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "file",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MULTISEGMENT_NAME =
  {
    RSSMXV_ATTR_ARB_MULTISEGMENT_NAME,
    "ARB Multisegment Name",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ARB:WSEG:NAME?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "name",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MULTISEGMENT_EXECUTE_NEXT_SEGMENT =
  {
    RSSMXV_ATTR_ARB_MULTISEGMENT_EXECUTE_NEXT_SEGMENT,
    "ARB Multisegment Execute Next Segment",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ARB:WSEG:NEXT:EXEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MULTISEGMENT_NEXT_SEGMENT_SOURCE =
  {
    RSSMXV_ATTR_ARB_MULTISEGMENT_NEXT_SEGMENT_SOURCE,
    "ARB Multisegment Next Segment Source",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngARBMultisegmentNextSegmentSource, NULL, NULL,
    "SOUR{Path}:BB:ARB:WSEG:NEXT:SOUR?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ARB_NEXT_SEGMENT_SOURCE_INT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MULTISEGMENT_NEXT_SEGMENT_LEVEL_MODE =
  {
    RSSMXV_ATTR_ARB_MULTISEGMENT_NEXT_SEGMENT_LEVEL_MODE,
    "ARB Multisegment Segment Level Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngARBMultisegmentSegmentLevelMode, NULL, NULL,
    ":SOUR{Path}:BB:ARB:WSEG:LMOD",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_MULTI_SEGMENTS_ARB_LEVEL_MODE_HIGHEST,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MULTISEGMENT_SEQUENCING_LIST =
  {
    RSSMXV_ATTR_ARB_MULTISEGMENT_SEQUENCING_LIST,
    "ARB Multisegment Sequencing List",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ARB:WSEG:SEQ:SEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/var/user/list.wvs",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MULTISEGMENT_MARKER_MODE =
  {
    RSSMXV_ATTR_ARB_MULTISEGMENT_MARKER_MODE,
    "ARB Multisegment Marker Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngARBMultisegmentMarkerMode, NULL, NULL,
    ":SOUR{Path}:BB:ARB:WSEG:CONF:MARK:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ARB_MARKER_MODE_IGNORE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MULTISEGMENT_CONFIGURATION_FILE =
  {
    RSSMXV_ATTR_ARB_MULTISEGMENT_CONFIGURATION_FILE,
    "ARB Multisegment Configuration File",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ARB:WSEG:CONF:SEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/var/user/file.inf_mswv",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MULTISEGMENT_CREATE_FROM_CONFIGURATION_FILE =
  {
    RSSMXV_ATTR_ARB_MULTISEGMENT_CREATE_FROM_CONFIGURATION_FILE,
    "ARB Multisegment Create From Configuration File",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ARB:WSEG:CRE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "file",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MULTISEGMENT_LOAD_FROM_CONFIGURATION_FILE =
  {
    RSSMXV_ATTR_ARB_MULTISEGMENT_LOAD_FROM_CONFIGURATION_FILE,
    "ARB Multisegment Load From Configuration File",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ARB:WSEG:CLO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "file",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MULTISEGMENT_CATALOG =
  {
    RSSMXV_ATTR_ARB_MULTISEGMENT_CATALOG,
    "ARB Multisegment Catalog",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ARB:WSEG:CONF:CAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "catalog",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MULTISEGMENT_SEGMENT_CATALOG =
  {
    RSSMXV_ATTR_ARB_MULTISEGMENT_SEGMENT_CATALOG,
    "ARB Multisegment Segment Catalog",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ARB:WSEG:CONF:SEGM:CAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "catalog",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MULTISEGMENT_DELETE_CONFIGURATION_FILE =
  {
    RSSMXV_ATTR_ARB_MULTISEGMENT_DELETE_CONFIGURATION_FILE,
    "ARB Multisegment Delete Configuration File",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ARB:WSEG:CONF:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "file",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MULTISEGMENT_COMMENT =
  {
    RSSMXV_ATTR_ARB_MULTISEGMENT_COMMENT,
    "ARB Multisegment Comment",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ARB:WSEG:CONF:COMM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "comment",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MULTISEGMENT_CLOCK =
  {
    RSSMXV_ATTR_ARB_MULTISEGMENT_CLOCK,
    "ARB Multisegment Clock",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:ARB:WSEG:CONF:CLOC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_MULTISEGMENT_CLOCK_MODE =
  {
    RSSMXV_ATTR_ARB_MULTISEGMENT_CLOCK_MODE,
    "ARB Multisegment Clock Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngARBMultisegmentClockMode, NULL, NULL,
    "SOUR{Path}:BB:ARB:WSEG:CONF:CLOC:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ARB_CLOCK_MODE_UNCH,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_CFR_ENABLED =
  {
    RSSMXV_ATTR_ARB_CFR_ENABLED,
    "ARB CFR Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:ARB:CFR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_CFR_ALGORITHM =
  {
    RSSMXV_ATTR_ARB_CFR_ALGORITHM,
    "ARB CFR Algorithm",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngARBCFRAlgorithm, NULL, NULL,
    ":SOUR{Path}:BB:ARB:CFR:ALG",
    // Defaults I32, I64, Float, Bool, String
    RSRFSIGEN_VAL_ARB_CFR_ALGORITHM_CLIPPING_FILTERING,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_CFR_DCF_DELTA =
  {
    RSSMXV_ATTR_ARB_CFR_DCF_DELTA,
    "ARB CFR DCF Delta",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngARBCFRDCFDelta, NULL,
    ":SOUR{Path}:BB:ARB:CFR:DCFD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_CFR_OCF =
  {
    RSSMXV_ATTR_ARB_CFR_OCF,
    "ARB CFR OCF",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngARBCFROCF, NULL,
    ":SOUR{Path}:BB:ARB:CFR:OCF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_CFR_FILTERING_MODE =
  {
    RSSMXV_ATTR_ARB_CFR_FILTERING_MODE,
    "ARB CFR Filtering Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngARBCFRFilteringMode, NULL, NULL,
    ":SOUR{Path}:BB:ARB:CFR:FILT",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ARB_CFR_FILTERING_MODE_SIMP,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_CFR_MAXIMUM_FILTER_ORDER =
  {
    RSSMXV_ATTR_ARB_CFR_MAXIMUM_FILTER_ORDER,
    "ARB CFR Maximum Filter Order",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngARBCFRMaximumFilterOrder, NULL,
    ":SOUR{Path}:BB:ARB:CFR:FORD",
    // Defaults I32, I64, Float, Bool, String
    100,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_CFR_CHANNEL_SPACING =
  {
    RSSMXV_ATTR_ARB_CFR_CHANNEL_SPACING,
    "ARB CFR Channel Spacing",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:ARB:CFR:CSP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1E6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_CFR_STOP_BAND_FREQUENCY =
  {
    RSSMXV_ATTR_ARB_CFR_STOP_BAND_FREQUENCY,
    "ARB CFR Stop Band Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:ARB:CFR:SFR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    500e3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_CFR_MAX_ITERATIONS =
  {
    RSSMXV_ATTR_ARB_CFR_MAX_ITERATIONS,
    "ARB CFR Max Iterations",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngARBCFRMaxIterations, NULL,
    ":SOUR{Path}:BB:ARB:CFR:ITER",
    // Defaults I32, I64, Float, Bool, String
    5,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_CFR_RCF =
  {
    RSSMXV_ATTR_ARB_CFR_RCF,
    "ARB CFR RCF",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngARBCFRRCF, NULL,
    ":SOUR{Path}:BB:ARB:CFR:RCF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_CFR_SIGNAL_BANDWITH =
  {
    RSSMXV_ATTR_ARB_CFR_SIGNAL_BANDWITH,
    "ARB CFR Signal Bandwith",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:ARB:CFR:SBAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_CFR_PF_REQ =
  {
    RSSMXV_ATTR_ARB_CFR_PF_REQ,
    "ARB CFR PF Req",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:ARB:CFR:PFR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_CFR_MEASURE_ENABLED =
  {
    RSSMXV_ATTR_ARB_CFR_MEASURE_ENABLED,
    "ARB CFR Measure Enabled",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:ARB:CFR:MEAS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ARB_CFR_WAVEFORM_CREATE =
  {
    RSSMXV_ATTR_ARB_CFR_WAVEFORM_CREATE,
    "ARB CFR Waveform Create",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:ARB:CFR:WAV:CRE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_AWGN_ENABLED =
  {
    RSSMXV_ATTR_AWGN_ENABLED,
    "AWGN Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR{Path}:AWGN:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_AWGN_MODE =
  {
    RSSMXV_ATTR_AWGN_MODE,
    "AWGN Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngAWGNMode, NULL, NULL,
    "SOUR{Path}:AWGN:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_AWGN_MODE_ADD,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_AWGN_SYSTEM_BANDWIDTH =
  {
    RSSMXV_ATTR_AWGN_SYSTEM_BANDWIDTH,
    "AWGN System Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngAWGNSystemBandwidth, NULL,
    "SOUR{Path}:AWGN:BWID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    3.84e+6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_AWGN_SYSTEM_BANDWIDTH_RATIO =
  {
    RSSMXV_ATTR_AWGN_SYSTEM_BANDWIDTH_RATIO,
    "AWGN System Bandwidth Ratio",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SOUR{Path}:AWGN:BWID:RAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_AWGN_SYSTEM_BANDWIDTH_NOISE =
  {
    RSSMXV_ATTR_AWGN_SYSTEM_BANDWIDTH_NOISE,
    "AWGN System Bandwidth Noise",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngAWGNSystemBandwidthNoise, NULL,
    ":SOUR{Path}:AWGN:BWID:NOIS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_AWGN_SYSTEM_BANDWIDTH_COUPLING =
  {
    RSSMXV_ATTR_AWGN_SYSTEM_BANDWIDTH_COUPLING,
    "AWGN System Bandwidth Coupling",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:AWGN:BWID:COUP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_AWGN_POWERS_FOR_OUTPUT =
  {
    RSSMXV_ATTR_AWGN_POWERS_FOR_OUTPUT,
    "AWGN Powers For Output",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngAWGNPowersForOutput, NULL, NULL,
    ":SOUR{Path}:AWGN:DISP:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_AWGN_OUTPUT_RF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_AWGN_RESULTING_CW_FREQUENCY_OFFSET =
  {
    RSSMXV_ATTR_AWGN_RESULTING_CW_FREQUENCY_OFFSET,
    "AWGN Resulting CW Frequency Offset",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:AWGN:FREQ:RES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_AWGN_TARGET_CW_FREQUENCY_OFFSET =
  {
    RSSMXV_ATTR_AWGN_TARGET_CW_FREQUENCY_OFFSET,
    "AWGN Target CW Frequency Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngAWGNTargetCWFrequencyOffset, NULL,
    ":SOUR{Path}:AWGN:FREQ:TARG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_AWGN_NOISE_LEVEL_VIA =
  {
    RSSMXV_ATTR_AWGN_NOISE_LEVEL_VIA,
    "AWGN Noise Level Via",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngAWGNNoiseMode, NULL, NULL,
    "SOUR{Path}:AWGN:POW:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_AWGN_POWER_MODE_SN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_AWGN_CARRIER_TO_NOISE_RATIO =
  {
    RSSMXV_ATTR_AWGN_CARRIER_TO_NOISE_RATIO,
    "AWGN Carrier To Noise Ratio",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngAWGNCarrierToNoiseRatio, NULL,
    "SOUR{Path}:AWGN:CNR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_AWGN_REFERENCE_MODE =
  {
    RSSMXV_ATTR_AWGN_REFERENCE_MODE,
    "AWGN Reference Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngAWGNReferenceMode, NULL, NULL,
    ":SOUR{Path}:AWGN:POW:RMOD",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_AWGN_REF_MODE_CARRIER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_AWGN_BIT_RATE =
  {
    RSSMXV_ATTR_AWGN_BIT_RATE,
    "AWGN Bit Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:AWGN:BRAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_AWGN_CARRIER_POWER =
  {
    RSSMXV_ATTR_AWGN_CARRIER_POWER,
    "AWGN Carrier Power",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngAWGNCarrierLevel, NULL,
    "SOUR{Path}:AWGN:POW:CARR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -30.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_AWGN_CARRIER_AND_NOISE_POWER =
  {
    RSSMXV_ATTR_AWGN_CARRIER_AND_NOISE_POWER,
    "AWGN Carrier And Noise Power",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SOUR{Path}:AWGN:POW:SUM?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_AWGN_CARRIER_AND_NOISE_PEP =
  {
    RSSMXV_ATTR_AWGN_CARRIER_AND_NOISE_PEP,
    "AWGN Carrier And Noise PEP",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SOUR{Path}:AWGN:POW:SUM:PEP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_AWGN_NOISE_POWER_TOTAL =
  {
    RSSMXV_ATTR_AWGN_NOISE_POWER_TOTAL,
    "AWGN Noise Power Total",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:AWGN:POW:NOIS:TOT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_AWGN_NOISE_LEVEL =
  {
    RSSMXV_ATTR_AWGN_NOISE_LEVEL,
    "AWGN Noise Level",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngAWGNCarrierLevel, NULL,
    "SOUR{Path}:AWGN:POW:NOIS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_AWGN_EB_TO_N0 =
  {
    RSSMXV_ATTR_AWGN_EB_TO_N0,
    "AWGN Eb to N0",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SOUR{Path}:AWGN:ENR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    15.84,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_IMP_ENABLED =
  {
    RSSMXV_ATTR_IMP_ENABLED,
    "IMP Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:IMP:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_IMP_QUADRATURE_OFFSET =
  {
    RSSMXV_ATTR_IMP_QUADRATURE_OFFSET,
    "IMP Quadrature Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngIMPQuadratureOffset, NULL,
    "SOUR{Path}:BB:IMP:QUAD:ANGL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_IMP_QUADRATURE_ANGLE =
  {
    RSSMXV_ATTR_IMP_QUADRATURE_ANGLE,
    "IMP Quadrature Angle",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngQuadratureAngle, NULL,
    ":SOUR{Path}:BB:IMP:QUAD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_IMP_OPTIMIZATION_MODE =
  {
    RSSMXV_ATTR_IMP_OPTIMIZATION_MODE,
    "IMP Optimization Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngIMPOptimizationMode, NULL, NULL,
    "SOUR{Path}:BB:IMP:OPT:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_OPTIM_MODE_FAST,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_IMP_I_OFFSET =
  {
    RSSMXV_ATTR_IMP_I_OFFSET,
    "IMP I Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngIMPIQOffset, NULL,
    "SOUR{Path}:BB:IMP:LEAK:I",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_IMP_Q_OFFSET =
  {
    RSSMXV_ATTR_IMP_Q_OFFSET,
    "IMP Q Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngIMPIQOffset, NULL,
    "SOUR{Path}:BB:IMP:LEAK:Q",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_IMP_GAIN_IMBALANCE =
  {
    RSSMXV_ATTR_IMP_GAIN_IMBALANCE,
    "IMP Gain Imbalance",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngIQGainImbalance, NULL,
    "SOUR{Path}:BB:IMP:IQR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_IMP_CREST_FACTOR =
  {
    RSSMXV_ATTR_IMP_CREST_FACTOR,
    "IMP Crest Factor",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:CFAC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_IMP_PEAK_LEVEL =
  {
    RSSMXV_ATTR_IMP_PEAK_LEVEL,
    "IMP Peak Level",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:POW:PEAK?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_IMP_SIGNAL_LEVEL =
  {
    RSSMXV_ATTR_IMP_SIGNAL_LEVEL,
    "IMP Signal Level",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:POW:RMS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_IQ_ENABLED =
  {
    RSSMXV_ATTR_IQ_ENABLED,
    "IQ Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:IQ:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_IQ_SWAP_ENABLED =
  {
    RSSMXV_ATTR_IQ_SWAP_ENABLED,
    "IQ Swap Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:IQ:SWAP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_ENABLED =
  {
    RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_ENABLED,
    "IQ Output Digital Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR{Path}:IQ:OUTP:DIG:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_LEVEL_PEP =
  {
    RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_LEVEL_PEP,
    "IQ Output Digital Level PEP",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngIQOutputDigitalLevel, NULL,
    "SOUR{Path}:IQ:OUTP:DIG:POW:PEP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_LEVEL =
  {
    RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_LEVEL,
    "IQ Output Digital Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngIQOutputDigitalLevel, NULL,
    "SOUR{Path}:IQ:OUTP:DIG:POW:LEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_POWER_VARIATION_STEP_MODE =
  {
    RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_POWER_VARIATION_STEP_MODE,
    "IQ Output Digital Power Variation Step Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngVariationStepMode, NULL, NULL,
    ":SOUR{Path}:IQ:OUTP:DIG:POW:STEP:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_STEP_MODE_DECIMAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_POWER_VARIATION_STEP =
  {
    RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_POWER_VARIATION_STEP,
    "IQ Output Digital Power Variation Step",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngIQOutputDigitalPowerVariationStep, NULL,
    ":SOUR{Path}:IQ:OUTP:DIG:POW:STEP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_POWER_ON_STATE =
  {
    RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_POWER_ON_STATE,
    "IQ Output Digital Power On State",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngIQOutputPowerOnState, NULL, NULL,
    "SOUR{Path}:IQ:OUTP:DIG:PON",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_OUTPUT_STATE_PON_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_CONNECTED_DEVICE =
  {
    RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_CONNECTED_DEVICE,
    "IQ Output Digital Connected Device",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:IQ:OUTP:DIG:CDEV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "id",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_SAMPLE_RATE_ENABLED =
  {
    RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_SAMPLE_RATE_ENABLED,
    "IQ Output Digital Sample Rate Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":IQ:OUTP:DIG:SRAT:COMM:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_SAMPLE_RATE =
  {
    RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_SAMPLE_RATE,
    "IQ Output Digital Sample Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:IQ:OUTP:DIG:SRAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0e8,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_SAMPLE_RATE_MAX =
  {
    RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_SAMPLE_RATE_MAX,
    "IQ Output Digital Sample Rate Max",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":IQ:OUTP:DIG:SRAT:MAX?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    600e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_SAMPLE_RATE_SUM =
  {
    RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_SAMPLE_RATE_SUM,
    "IQ Output Digital Sample Rate Sum",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":IQ:OUTP:DIG:SRAT:SUM?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    600e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_INTERFACE =
  {
    RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_INTERFACE,
    "IQ Output Digital Interface",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngIQOutputDigitalInterface, NULL, NULL,
    ":SOUR{Path}:IQ:OUTP:DIG:INT",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_IQ_DIGITAL_INTERFACE_DIGITAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_POWER_VIA =
  {
    RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_POWER_VIA,
    "IQ Output Digital Power Via",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngIQOutputDigitalPowerVia, NULL, NULL,
    ":IQ:OUTP:DIG:POW:VIA",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_IQ_OUTPUT_DIGITAL_POWER_PEP,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_GROUP_DELAY_COMPENSATION_ENABLED =
  {
    RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_GROUP_DELAY_COMPENSATION_ENABLED,
    "IQ Output Digital Group Delay Compensation Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":IQ:OUTP:DIG:GDEL:CST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_CHANNEL_ENABLED =
  {
    RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_CHANNEL_ENABLED,
    "IQ Output Digital Channel Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":IQ:OUTP:DIG:CHAN{HSDigChannel}:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_CHANNEL_NAME =
  {
    RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_CHANNEL_NAME,
    "IQ Output Digital Channel Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":IQ:OUTP:DIG:CHAN{HSDigChannel}:NAME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "name",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_CHANNEL_SAMPLE_RATE =
  {
    RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_CHANNEL_SAMPLE_RATE,
    "IQ Output Digital Channel Sample Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngIQOutputDigitalChannelSampleRate, NULL,
    ":IQ:OUTP:DIG:CHAN{HSDigChannel}:SRAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_CHANNEL_LEVEL =
  {
    RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_CHANNEL_LEVEL,
    "IQ Output Digital Channel Level",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngIQOutputDigitalChannelLevel, NULL,
    ":IQ:OUTP:DIG:BBMM{Path}:CHAN{HSDigChannel}:POW:LEV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_CHANNEL_LEVEL_PEP =
  {
    RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_CHANNEL_LEVEL_PEP,
    "IQ Output Digital Channel Level PEP",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngIQOutputDigitalChannelLevel, NULL,
    ":IQ:OUTP:DIG:BBMM{Path}:CHAN{HSDigChannel}:POW:PEP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_ENABLED =
  {
    RSSMXV_ATTR_DM_ENABLED,
    "DM Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:DM:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_SET_TO_DEFAULT =
  {
    RSSMXV_ATTR_DM_SET_TO_DEFAULT,
    "DM Set To Default",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:DM:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_ACC_TO_STANDARD =
  {
    RSSMXV_ATTR_DM_ACC_TO_STANDARD,
    "DM Acc To Standard",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDMDigitalStandard, NULL, NULL,
    "SOUR{Path}:BB:DM:STAN",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DM_DIGITAL_STANDARD_GSM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_SYMBOL_RATE =
  {
    RSSMXV_ATTR_DM_SYMBOL_RATE,
    "DM Symbol Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:DM:SRAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    270833.333,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_CODING =
  {
    RSSMXV_ATTR_DM_CODING,
    "DM Coding",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDMCoding, NULL, NULL,
    "SOUR{Path}:BB:DM:COD",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DM_CODING_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_SWITCHING_ENABLED =
  {
    RSSMXV_ATTR_DM_SWITCHING_ENABLED,
    "DM Switching Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:DM:SWIT:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_SETTINGS_CATALOG =
  {
    RSSMXV_ATTR_DM_SETTINGS_CATALOG,
    "DM Settings Catalog",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:DM:SETT:CAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "catalog",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_DELETE_SETTINGS =
  {
    RSSMXV_ATTR_DM_DELETE_SETTINGS,
    "DM Delete Settings",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:DM:SETT:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "file",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_RECALL_SETTINGS =
  {
    RSSMXV_ATTR_DM_RECALL_SETTINGS,
    "DM Recall Settings",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:DM:SETT:LOAD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "file",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_SAVE_SETTINGS =
  {
    RSSMXV_ATTR_DM_SAVE_SETTINGS,
    "DM Save Settings",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:DM:SETT:STOR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "file",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_USER_STANDARDS_CATALOG =
  {
    RSSMXV_ATTR_DM_USER_STANDARDS_CATALOG,
    "DM User Standards Catalog",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:DM:STAN:ULIS:CAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "catalog",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_DELETE_USER_STANDARDS =
  {
    RSSMXV_ATTR_DM_DELETE_USER_STANDARDS,
    "DM Delete User Standards",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:DM:STAN:ULIS:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "file",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_LOAD_USER_STANDARDS =
  {
    RSSMXV_ATTR_DM_LOAD_USER_STANDARDS,
    "DM Load User Standards",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:DM:STAN:ULIS:LOAD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "file",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_STORE_USER_STANDARDS =
  {
    RSSMXV_ATTR_DM_STORE_USER_STANDARDS,
    "DM Store User Standards",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:DM:STAN:ULIS:STOR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "file",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_DATA_SOURCE =
  {
    RSSMXV_ATTR_DM_DATA_SOURCE,
    "DM Data Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDMDataSource, NULL, NULL,
    "SOUR{Path}:BB:DM:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DM_DATA_SOURCE_PRBS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_DATA_PATTERN =
  {
    RSSMXV_ATTR_DM_DATA_PATTERN,
    "DM Data Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:DM:PATT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rssmxv_hexString_ReadCallback,
    rssmxv_hexString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_PRBS_TYPE =
  {
    RSSMXV_ATTR_DM_PRBS_TYPE,
    "DM PRBS Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDMPRBSType, NULL, NULL,
    "SOUR{Path}:BB:DM:PRBS",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DM_PRBS_LENGTH_9,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_CONTROL_LIST_CATALOG =
  {
    RSSMXV_ATTR_DM_CONTROL_LIST_CATALOG,
    "DM Control List Catalog",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:DM:CLIS:CAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "catalog",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_CONTROL_LIST_COPY =
  {
    RSSMXV_ATTR_DM_CONTROL_LIST_COPY,
    "DM Control List Copy",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:DM:CLIS:COPY",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "file",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_CONTROL_LIST_DELETE =
  {
    RSSMXV_ATTR_DM_CONTROL_LIST_DELETE,
    "DM Control List Delete",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:DM:CLIS:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "file",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_CONTROL_LIST_SELECT =
  {
    RSSMXV_ATTR_DM_CONTROL_LIST_SELECT,
    "DM Control List Select",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:DM:CLIS:SEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "list",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_CONTROL_LIST_DATA_WRITE =
  {
    RSSMXV_ATTR_DM_CONTROL_LIST_DATA_WRITE,
    "DM Control List Data Write",
    RS_VAL_WRITE_ONLY,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:DM:CLIS:DATA",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0,0,0,0,8,8,8,0,0,0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_CONTROL_LIST_NUMBER_OF_LINES =
  {
    RSSMXV_ATTR_DM_CONTROL_LIST_NUMBER_OF_LINES,
    "DM Control List Number Of Lines",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:DM:CLIS:POIN?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_CONTROL_LIST_FREE_MEMORY =
  {
    RSSMXV_ATTR_DM_CONTROL_LIST_FREE_MEMORY,
    "DM Control List Free Memory",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DM:CLIS:FREE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_DATA_LIST_CATALOG =
  {
    RSSMXV_ATTR_DM_DATA_LIST_CATALOG,
    "DM Data List Catalog",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:DM:DLIS:CAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "catalog",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_DATA_LIST_COPY =
  {
    RSSMXV_ATTR_DM_DATA_LIST_COPY,
    "DM Data List Copy",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:DM:DLIS:COPY",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "file",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_DATA_LIST_DELETE =
  {
    RSSMXV_ATTR_DM_DATA_LIST_DELETE,
    "DM Data List Delete",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:DM:DLIS:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "file",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_DATA_LIST_SELECT =
  {
    RSSMXV_ATTR_DM_DATA_LIST_SELECT,
    "DM Data List Select",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:DM:DLIS:SEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "dataList",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_DATA_LIST_DATA_WRITE =
  {
    RSSMXV_ATTR_DM_DATA_LIST_DATA_WRITE,
    "DM Data List Data Write",
    RS_VAL_WRITE_ONLY,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:DM:DLIS:DATA",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "10101010",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_DATA_LIST_DATA_READ_ALL =
  {
    RSSMXV_ATTR_DM_DATA_LIST_DATA_READ_ALL,
    "DM Data List Data Read All",
    RS_VAL_READ_ONLY,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:DM:DLIS:DATA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_DATA_LIST_DATA_APPEND =
  {
    RSSMXV_ATTR_DM_DATA_LIST_DATA_APPEND,
    "DM Data List Data Append",
    RS_VAL_WRITE_ONLY,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:DM:DLIS:DATA:APP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "01010101",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_DATA_LIST_NUMBER_OF_BITS =
  {
    RSSMXV_ATTR_DM_DATA_LIST_NUMBER_OF_BITS,
    "DM Data List Number Of Bits",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:DM:DLIS:POIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_DATA_LIST_FREE_MEMORY =
  {
    RSSMXV_ATTR_DM_DATA_LIST_FREE_MEMORY,
    "DM Data List Free Memory",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DM:DLIS:FREE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_MAPPING_LIST_CATALOG =
  {
    RSSMXV_ATTR_DM_MAPPING_LIST_CATALOG,
    "DM Mapping List Catalog",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:DM:MLIS:CAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "catalog",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_MAPPING_LIST_DELETE =
  {
    RSSMXV_ATTR_DM_MAPPING_LIST_DELETE,
    "DM Mapping List Delete",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:DM:MLIS:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "file",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_MAPPING_LIST_FREE_MEMORY =
  {
    RSSMXV_ATTR_DM_MAPPING_LIST_FREE_MEMORY,
    "DM Mapping List Free Memory",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:DM:MLIS:FREE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_MAPPING_LIST_LENGTH =
  {
    RSSMXV_ATTR_DM_MAPPING_LIST_LENGTH,
    "DM Mapping List Length",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:DM:MLIS:POIN?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_MAPPING_LIST_SELECT =
  {
    RSSMXV_ATTR_DM_MAPPING_LIST_SELECT,
    "DM Mapping List Select",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:DM:MLIS:SEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/var/user/list.vam",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_MODULATION_TYPE =
  {
    RSSMXV_ATTR_DM_MODULATION_TYPE,
    "DM Modulation Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDMModulationType, NULL, NULL,
    "SOUR{Path}:BB:DM:FORM",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DM_FORMAT_MSK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_ASK_DEPTH =
  {
    RSSMXV_ATTR_DM_ASK_DEPTH,
    "DM ASK Depth",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngDMASKDepth, NULL,
    "SOUR{Path}:BB:DM:ASK:DEPT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_FSK_DEVIATION =
  {
    RSSMXV_ATTR_DM_FSK_DEVIATION,
    "DM FSK Deviation",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngDMFSKDeviation, NULL,
    "SOUR{Path}:BB:DM:FSK:DEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    135416.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_VARIABLE_FSK_TYPE =
  {
    RSSMXV_ATTR_DM_VARIABLE_FSK_TYPE,
    "DM Variable FSK Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDMVariableFSKType, NULL, NULL,
    "SOUR{Path}:BB:DM:FSK:VAR:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_FSK_TYPE_FSK4,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_AQPSK_ANGLE_ALPHA =
  {
    RSSMXV_ATTR_DM_AQPSK_ANGLE_ALPHA,
    "DM AQPSK Angle Alpha",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngDMAQPSKAngleAlpha, NULL,
    "SOUR{Path}:BB:DM:AQPS:ANGL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.00,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_16APSK_GAMMA =
  {
    RSSMXV_ATTR_DM_16APSK_GAMMA,
    "DM 16APSK Gamma",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDMAPSK16Gamma, NULL, NULL,
    ":SOUR{Path}:BB:DM:APSK16:GAMM",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DM_APSK16_G2D3,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_32APSK_GAMMA =
  {
    RSSMXV_ATTR_DM_32APSK_GAMMA,
    "DM 32APSK Gamma",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDM32APSKGamma, NULL, NULL,
    ":SOUR{Path}:BB:DM:APSK32:GAMM",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DM_APSK32_G3D4,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_VARIABLE_FSK_DEVIATION =
  {
    RSSMXV_ATTR_DM_VARIABLE_FSK_DEVIATION,
    "DM Variable FSK Deviation",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngDMVariableFSKDeviation, NULL,
    "SOUR{Path}:BB:DM:FSK:VAR:SYMB{DMSymbol}:DEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10.0e+6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_FILTER_TYPE =
  {
    RSSMXV_ATTR_DM_FILTER_TYPE,
    "DM Filter Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDMFilterType, NULL, NULL,
    "SOUR{Path}:BB:DM:FILT:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DM_FILTER_TYPE_GAUSS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_FILTER_TYPE_PARAMETER =
  {
    RSSMXV_ATTR_DM_FILTER_TYPE_PARAMETER,
    "DM Filter Type Parameter",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngDMFilterTypeParameter, NULL,
    ":SOUR{Path}:DM:FILT:PAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.35,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_FILTER_PARAMETER_APCO25 =
  {
    RSSMXV_ATTR_DM_FILTER_PARAMETER_APCO25,
    "DM Filter Parameter APCO25",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngFilterParameterAPCO25, NULL,
    "SOUR{Path}:BB:DM:FILT:PAR:APCO25",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.20,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_FILTER_PARAMETER_APCO25_LSM_GAUSS =
  {
    RSSMXV_ATTR_DM_FILTER_PARAMETER_APCO25_LSM_GAUSS,
    "DM Filter Parameter APCO25 LSM Gauss",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngDMFilterParameterCosineBw, NULL,
    "SOUR{Path}:BB:DM:FILT:PAR:APCO25L:GAUS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    270833.333,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_FILTER_PARAMETER_APCO25_LSM_LOWPASS =
  {
    RSSMXV_ATTR_DM_FILTER_PARAMETER_APCO25_LSM_LOWPASS,
    "DM Filter Parameter APCO25 LSM Lowpass",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngDMFilterParameterCosineBw, NULL,
    "SOUR{Path}:BB:DM:FILT:PAR:APCO25L:LOWP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    270833.333,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_FILTER_PARAMETER_COSINE =
  {
    RSSMXV_ATTR_DM_FILTER_PARAMETER_COSINE,
    "DM Filter Parameter Cosine",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:DM:FILT:PAR:COS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.35,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_FILTER_PARAMETER_COSINE_BANDWIDTH =
  {
    RSSMXV_ATTR_DM_FILTER_PARAMETER_COSINE_BANDWIDTH,
    "DM Filter Parameter Cosine Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngDMFilterParameterCosineBw, NULL,
    "SOUR{Path}:BB:DM:FILT:PAR:COS:BAND",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    270833.333,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_FILTER_PARAMETER_GAUSS =
  {
    RSSMXV_ATTR_DM_FILTER_PARAMETER_GAUSS,
    "DM Filter Parameter Gauss",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngFilterParameterGaussPure, NULL,
    "SOUR{Path}:BB:DM:FILT:PAR:GAUS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_FILTER_PARAMETER_PURE_GAUSS =
  {
    RSSMXV_ATTR_DM_FILTER_PARAMETER_PURE_GAUSS,
    "DM Filter Parameter Pure Gauss",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngFilterParameterGaussPure, NULL,
    "SOUR{Path}:BB:DM:FILT:PAR:PGA",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_FILTER_PARAMETER_ROOT_COSINE =
  {
    RSSMXV_ATTR_DM_FILTER_PARAMETER_ROOT_COSINE,
    "DM Filter Parameter Root Cosine",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngFilterParameterRootCosine, NULL,
    "SOUR{Path}:BB:DM:FILT:PAR:RCOS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.35,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_FILTER_PARAMETER_SPLIT_PHASE =
  {
    RSSMXV_ATTR_DM_FILTER_PARAMETER_SPLIT_PHASE,
    "DM Filter Parameter Split Phase",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngFilterParameterGaussPure, NULL,
    "SOUR{Path}:BB:DM:FILT:PAR:SPH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.35,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_FILTER_PARAMETER_LOW_PASS =
  {
    RSSMXV_ATTR_DM_FILTER_PARAMETER_LOW_PASS,
    "DM Filter Parameter Low Pass",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngFilterParameterLowpass, NULL,
    "SOUR{Path}:BB:DM:FILT:PAR:LPAS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_FILTER_PARAMETER_LOW_PASS_EVM =
  {
    RSSMXV_ATTR_DM_FILTER_PARAMETER_LOW_PASS_EVM,
    "DM Filter Parameter Low Pass EVM",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngFilterParameterLowpass, NULL,
    "SOUR{Path}:BB:DM:FILT:PAR:LPASSEVM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_FILTER_CATALOG =
  {
    RSSMXV_ATTR_DM_FILTER_CATALOG,
    "DM Filter Catalog",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DM:FLIS:CAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "catalog",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_FILTER_LIST_DELETE =
  {
    RSSMXV_ATTR_DM_FILTER_LIST_DELETE,
    "DM Filter List Delete",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:DM:FLIS:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "list",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_FILTER_LIST_SELECT =
  {
    RSSMXV_ATTR_DM_FILTER_LIST_SELECT,
    "DM Filter List Select",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:DM:FLIS:SEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "list",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_FILTER_LIST_FREE_MEMORY =
  {
    RSSMXV_ATTR_DM_FILTER_LIST_FREE_MEMORY,
    "DM Filter List Free Memory",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:DM:FLIS:FREE?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_FILTER_LIST_LENGTH =
  {
    RSSMXV_ATTR_DM_FILTER_LIST_LENGTH,
    "DM Filter List Length",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:DM:FLIS:POIN?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_POWER_RAMPING_ENABLED =
  {
    RSSMXV_ATTR_DM_POWER_RAMPING_ENABLED,
    "DM Power Ramping Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:DM:PRAM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_POWER_RAMP_SOURCE =
  {
    RSSMXV_ATTR_DM_POWER_RAMP_SOURCE,
    "DM Power Ramp Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDMPowerRampSource, NULL, NULL,
    "SOUR{Path}:BB:DM:PRAM:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DM_POWER_RAMP_SOURCE_INTERNAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_POWER_RAMP_FUNCTION =
  {
    RSSMXV_ATTR_DM_POWER_RAMP_FUNCTION,
    "DM Power Ramp Function",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDMPowerRampFunction, NULL, NULL,
    "SOUR{Path}:BB:DM:PRAM:SHAP",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DM_POWER_RAMP_SHAPE_COSINE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_POWER_RAMP_TIME =
  {
    RSSMXV_ATTR_DM_POWER_RAMP_TIME,
    "DM Power Ramp Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngDMPowerRampTime, NULL,
    "SOUR{Path}:BB:DM:PRAM:TIME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_POWER_RAMP_RISE_DELAY =
  {
    RSSMXV_ATTR_DM_POWER_RAMP_RISE_DELAY,
    "DM Power Ramp Rise Delay",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngDMPowerRampDelay, NULL,
    "SOUR{Path}:BB:DM:PRAM:RDEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_POWER_RAMP_FALL_DELAY =
  {
    RSSMXV_ATTR_DM_POWER_RAMP_FALL_DELAY,
    "DM Power Ramp Fall Delay",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngDMPowerRampDelay, NULL,
    "SOUR{Path}:BB:DM:PRAM:FDEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_POWER_RAMP_ATTENUATION =
  {
    RSSMXV_ATTR_DM_POWER_RAMP_ATTENUATION,
    "DM Power Ramp Attenuation",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngDMAttenuation, NULL,
    "SOUR{Path}:BB:DM:PRAM:ATT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    15.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_POWER_RAMP_IN_BASEBAND_ONLY =
  {
    RSSMXV_ATTR_DM_POWER_RAMP_IN_BASEBAND_ONLY,
    "DM Power Ramp In Baseband Only",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:DM:PRAM:BBON?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_TRIGGER_ARM_EXECUTE =
  {
    RSSMXV_ATTR_DM_TRIGGER_ARM_EXECUTE,
    "DM Trigger Arm Execute",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:DM:TRIG:ARM:EXEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_TRIGGER_EXECUTE =
  {
    RSSMXV_ATTR_DM_TRIGGER_EXECUTE,
    "DM Trigger Execute",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:DM:TRIG:EXEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_TRIGGER_MODE =
  {
    RSSMXV_ATTR_DM_TRIGGER_MODE,
    "DM Trigger Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngTrgTriggerMode, NULL, NULL,
    "SOUR{Path}:BB:DM:SEQ",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_TRIGGER_MODE_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_TRIGGER_SOURCE =
  {
    RSSMXV_ATTR_DM_TRIGGER_SOURCE,
    "DM Trigger Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngTriggerSour, NULL, NULL,
    "SOUR{Path}:BB:DM:TRIG:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_TRIGGER_SOURCE_INTERNAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_TRIGGER_SIGNAL_DURATION =
  {
    RSSMXV_ATTR_DM_TRIGGER_SIGNAL_DURATION,
    "DM Trigger Signal Duration",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:DM:TRIG:SLEN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_TRIGGER_STATUS =
  {
    RSSMXV_ATTR_DM_TRIGGER_STATUS,
    "DM Trigger Status",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngTriggerStatus, NULL, NULL,
    ":SOUR{Path}:BB:DM:TRIG:RMOD?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_TRIGGER_STATUS_STOP,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_EXTERNAL_TRIGGER_DELAY =
  {
    RSSMXV_ATTR_DM_EXTERNAL_TRIGGER_DELAY,
    "DM External Trigger Delay",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:DM:TRIG:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_EXTERNAL_TRIGGER_INHIBIT =
  {
    RSSMXV_ATTR_DM_EXTERNAL_TRIGGER_INHIBIT,
    "DM External Trigger Inhibit",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:DM:TRIG:INH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_EXTERNAL_TRIGGER_DELAY_UNIT =
  {
    RSSMXV_ATTR_DM_EXTERNAL_TRIGGER_DELAY_UNIT,
    "DM External Trigger Delay Unit",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDMExternalTriggerDelayUnit, NULL, NULL,
    ":SOUR{Path}:BB:DM:TRIG:DEL:UNIT",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_EXTERNAL_TRIGGER_DELAY_UNIT_SAMPLE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_EXTERNAL_TRIGGER_ACTUAL_DELAY =
  {
    RSSMXV_ATTR_DM_EXTERNAL_TRIGGER_ACTUAL_DELAY,
    "DM External Trigger Actual Delay",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngDMExternalTriggerActualDelay, NULL,
    ":SOUR{Path}:BB:DM:TRIG:RDEL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_EXTERNAL_TRIGGER_SPECIFIED_DELAY =
  {
    RSSMXV_ATTR_DM_EXTERNAL_TRIGGER_SPECIFIED_DELAY,
    "DM External Trigger Specified Delay",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:BB:DM:TRIG:TDEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_MARKER_MODE =
  {
    RSSMXV_ATTR_DM_MARKER_MODE,
    "DM Marker Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDMMarkerMode, NULL, NULL,
    "SOUR{Path}:BB:DM:TRIG:OUTP{Marker}:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DM_MARKER_MODE_RATIO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_MARKER_PULSE_DIVIDER =
  {
    RSSMXV_ATTR_DM_MARKER_PULSE_DIVIDER,
    "DM Marker Pulse Divider",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngMarkerPulseDivider, NULL,
    "SOUR{Path}:BB:DM:TRIG:OUTP{Marker}:PULS:DIV",
    // Defaults I32, I64, Float, Bool, String
    2,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_MARKER_PULSE_FREQUENCY =
  {
    RSSMXV_ATTR_DM_MARKER_PULSE_FREQUENCY,
    "DM Marker Pulse Frequency",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:DM:TRIG:OUTP{Marker}:PULS:FREQ?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_MARKER_PATTERN =
  {
    RSSMXV_ATTR_DM_MARKER_PATTERN,
    "DM Marker Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:DM:TRIG:OUTP{Marker}:PATT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "2",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rssmxv_hexString_ReadCallback,
    rssmxv_hexString_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_MARKER_ON_TIME =
  {
    RSSMXV_ATTR_DM_MARKER_ON_TIME,
    "DM Marker ON Time",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngDMMarkerONTime, NULL,
    "SOUR{Path}:BB:DM:TRIG:OUTP{Marker}:ONT",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_MARKER_OFF_TIME =
  {
    RSSMXV_ATTR_DM_MARKER_OFF_TIME,
    "DM Marker OFF Time",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:DM:TRIG:OUTP{Marker}:OFFT",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_MARKER_DELAY =
  {
    RSSMXV_ATTR_DM_MARKER_DELAY,
    "DM Marker Delay",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngDMMarkerDelay, NULL,
    "SOUR{Path}:BB:DM:TRIG:OUTP{Marker}:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_CLOCK_SOURCE =
  {
    RSSMXV_ATTR_DM_CLOCK_SOURCE,
    "DM Clock Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngClockSource, NULL, NULL,
    "SOUR{Path}:BB:DM:CLOC:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_CLOCK_SOURCE_INTERNAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DM_CLOCK_SYNCHRONIZATION_OUTPUT_TO_EXTERNAL_TRIGGER =
  {
    RSSMXV_ATTR_DM_CLOCK_SYNCHRONIZATION_OUTPUT_TO_EXTERNAL_TRIGGER,
    "DM Clock Synchronization Output to External Trigger",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:DM:TRIG:EXT:SYNC:OUTP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_BBIN_FREQUENCY_OFFSET =
  {
    RSSMXV_ATTR_BBIN_FREQUENCY_OFFSET,
    "BBIN Frequency Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:BBIN:FOFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_BBIN_PHASE_OFFSET =
  {
    RSSMXV_ATTR_BBIN_PHASE_OFFSET,
    "BBIN Phase Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngBBINPhaseOffset, NULL,
    ":SOUR{Path}:BBIN:POFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_BBIN_SIGNAL_ROUTING =
  {
    RSSMXV_ATTR_BBIN_SIGNAL_ROUTING,
    "BBIN Signal Routing",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngBBINSignalRouting, NULL, NULL,
    ":SOUR{Path}:BBIN:ROUT",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_BB_SIGNAL_ROUTING_A,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_BBIN_ENABLED =
  {
    RSSMXV_ATTR_BBIN_ENABLED,
    "BBIN Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BBIN:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_BBIN_MODE =
  {
    RSSMXV_ATTR_BBIN_MODE,
    "BBIN Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngBBINMode, NULL, NULL,
    ":SOUR{Path}:BBIN:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_BBIN_MODE_DIGITAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_BBIN_CREST_FACTOR =
  {
    RSSMXV_ATTR_BBIN_CREST_FACTOR,
    "BBIN Crest Factor",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngBBINCrestFactor, NULL,
    ":SOUR{Path}:BBIN:POW:CFAC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_BBIN_PEAK_LEVEL =
  {
    RSSMXV_ATTR_BBIN_PEAK_LEVEL,
    "BBIN Peak Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngBBINPeakLevel, NULL,
    ":SOUR{Path}:BBIN:POW:PEAK",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_BBIN_MEASUREMENT_PERIOD =
  {
    RSSMXV_ATTR_BBIN_MEASUREMENT_PERIOD,
    "BBIN Measurement Period",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngBBINMeasPeriod, NULL,
    ":SOUR{Path}:BBIN:MPER",
    // Defaults I32, I64, Float, Bool, String
    2,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_BBIN_AUTO_LEVEL_SET_ENABLED =
  {
    RSSMXV_ATTR_BBIN_AUTO_LEVEL_SET_ENABLED,
    "BBIN Auto Level Set Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BBIN:DIG:ASET:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_BBIN_AUTO_LEVEL_SET =
  {
    RSSMXV_ATTR_BBIN_AUTO_LEVEL_SET,
    "BBIN Auto Level Set",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SOUR{Path}:BBIN:ALEV:EXEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_BBIN_RMS_POWER =
  {
    RSSMXV_ATTR_BBIN_RMS_POWER,
    "BBIN RMS Power",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:BBIN:POW:RMS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_BBIN_SAMPLE_RATE =
  {
    RSSMXV_ATTR_BBIN_SAMPLE_RATE,
    "BBIN Sample Rate",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:BBIN:SRAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_BBIN_SAMPLE_RATE_SOURCE =
  {
    RSSMXV_ATTR_BBIN_SAMPLE_RATE_SOURCE,
    "BBIN Sample Rate Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngBBINSampleSource, NULL, NULL,
    ":SOUR{Path}:BBIN:SRAT:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_BBIN_SAMPLE_SOURCE_HSDIN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_BBIN_EXTERNALLY_CONNECTED_ID =
  {
    RSSMXV_ATTR_BBIN_EXTERNALLY_CONNECTED_ID,
    "BBIN Externally Connected ID",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:BBIN:CDEV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "id",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_BBIN_DIGITAL_INTERFACE =
  {
    RSSMXV_ATTR_BBIN_DIGITAL_INTERFACE,
    "BBIN Digital Interface",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngBBINDigitalInterface, NULL, NULL,
    ":SOUR{Path}:BBIN:DIG:INT?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_BBIN_DIGITAL_INTERFACE_HSDIN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_BBIN_MAX_SAMPLE_RATE =
  {
    RSSMXV_ATTR_BBIN_MAX_SAMPLE_RATE,
    "BBIN Max Sample Rate",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:BBIN:SRAT:MAX?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    600e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_BBIN_SUM_SAMPLE_RATE =
  {
    RSSMXV_ATTR_BBIN_SUM_SAMPLE_RATE,
    "BBIN Sum Sample Rate",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:BBIN:SRAT:SUM?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_BBIN_ACTIVATE_CHANNEL =
  {
    RSSMXV_ATTR_BBIN_ACTIVATE_CHANNEL,
    "BBIN Activate Channel",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:BBIN:CHAN{BBINChannel}:BB:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_BBIN_CHANNEL_NAME =
  {
    RSSMXV_ATTR_BBIN_CHANNEL_NAME,
    "BBIN Channel Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:BBIN:CHAN{BBINChannel}:NAME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "name",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_BBIN_CHANNEL_CREST_FACTOR =
  {
    RSSMXV_ATTR_BBIN_CHANNEL_CREST_FACTOR,
    "BBIN Channel Crest Factor",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngBBINChannelCrestFactor, NULL,
    ":SOUR{Path}:BBIN:CHAN{BBINChannel}:POW:CFAC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_BBIN_CHANNEL_PEAK_LEVEL =
  {
    RSSMXV_ATTR_BBIN_CHANNEL_PEAK_LEVEL,
    "BBIN Channel Peak Level",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngBBINChannelPeakLevel, NULL,
    ":SOUR{Path}:BBIN:CHAN{BBINChannel}:POW:PEAK?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_BBIN_CHANNEL_SAMPLE_RATE =
  {
    RSSMXV_ATTR_BBIN_CHANNEL_SAMPLE_RATE,
    "BBIN Channel Sample Rate",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngBBINChannelSampleRate, NULL,
    ":SOUR{Path}:BBIN:CHAN{BBINChannel}:SRAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_BBIN_CHANNEL_RMS_LEVEL =
  {
    RSSMXV_ATTR_BBIN_CHANNEL_RMS_LEVEL,
    "BBIN Channel RMS Level",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngBBINChannelRMSLevel, NULL,
    ":SOUR{Path}:BBIN:CHAN{BBINChannel}:POW:RMS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_REFERENCE_OSCILLATOR_PRESET =
  {
    RSSMXV_ATTR_REFERENCE_OSCILLATOR_PRESET,
    "Reference Oscillator Preset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":ROSC:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_REFERENCE_OSCILLATOR_SOURCE =
  {
    RSSMXV_ATTR_REFERENCE_OSCILLATOR_SOURCE,
    "Reference Oscillator Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngReferenceOscillatorSource, NULL, NULL,
    ":ROSC:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ROSC_SOURCE_INTERNAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_REFERENCE_OSCILLATOR_ADJUSTMENT_FREQUENCY =
  {
    RSSMXV_ATTR_REFERENCE_OSCILLATOR_ADJUSTMENT_FREQUENCY,
    "Reference Oscillator Adjustment Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "ROSC:ADJ:VAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_REFERENCE_OSCILLATOR_ADJUSTMENT_ACTIVE =
  {
    RSSMXV_ATTR_REFERENCE_OSCILLATOR_ADJUSTMENT_ACTIVE,
    "Reference Oscillator Adjustment Active",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ROSC:ADJ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_REFERENCE_OSCILLATOR_EXTERNAL_FREQUENCY =
  {
    RSSMXV_ATTR_REFERENCE_OSCILLATOR_EXTERNAL_FREQUENCY,
    "Reference Oscillator External Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngReferenceOscillatorExternalFrequency, NULL, NULL,
    ":ROSC:EXT:FREQ",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ROSC_EXTERNAL_FREQUENCY_10MHZ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_REFERENCE_OSCILLATOR_OUTPUT_FREQUENCY_MODE =
  {
    RSSMXV_ATTR_REFERENCE_OSCILLATOR_OUTPUT_FREQUENCY_MODE,
    "Reference Oscillator Output Frequency Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngRefOscOutputFreqMode, NULL, NULL,
    ":ROSC:OUTP:FREQ:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_REFERENCE_OSCILLATOR_FREQ_MODE_DER10M,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_REFERENCE_OSCILLATOR_USER_DEFINED_FREQUENCY =
  {
    RSSMXV_ATTR_REFERENCE_OSCILLATOR_USER_DEFINED_FREQUENCY,
    "Reference Oscillator User Defined Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngReferenceOscillatorUserDefinedFrequency, NULL,
    ":ROSC:EXT:FREQ:VAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0E7,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_REFERENCE_OSCILLATOR_RF_SWITCH_OFF_ACTIVE =
  {
    RSSMXV_ATTR_REFERENCE_OSCILLATOR_RF_SWITCH_OFF_ACTIVE,
    "Reference Oscillator RF Switch Off Active",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ROSC:EXT:RFOF:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_REFERENCE_OSCILLATOR_SYNCHRONIZATION_BANDWIDTH =
  {
    RSSMXV_ATTR_REFERENCE_OSCILLATOR_SYNCHRONIZATION_BANDWIDTH,
    "Reference Oscillator Synchronization Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngROSCSynchronizationBandwidth, NULL, NULL,
    "ROSC:EXT:SBAN",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ROSC_SBAN_WIDE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_REFERENCE_OSCILLATOR_MINIMUM_LOCKING_RANGE =
  {
    RSSMXV_ATTR_REFERENCE_OSCILLATOR_MINIMUM_LOCKING_RANGE,
    "Reference Oscillator Minimum Locking Range",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":ROSC:EXT:MLR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "range",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_REFERENCE_OSCILLATOR_NOMINAL_SYNCHRONIZATION_BANDWIDTH =
  {
    RSSMXV_ATTR_REFERENCE_OSCILLATOR_NOMINAL_SYNCHRONIZATION_BANDWIDTH,
    "Reference Oscillator Nominal Synchronization Bandwidth",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":ROSC:EXT:NSB?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ALL_RF_OUTPUTS_ENABLED =
  {
    RSSMXV_ATTR_ALL_RF_OUTPUTS_ENABLED,
    "All RF Outputs Enabled",
    RS_VAL_WRITE_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "OUTP:ALL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ALL_MODULATIONS_ENABLED =
  {
    RSSMXV_ATTR_ALL_MODULATIONS_ENABLED,
    "All Modulations Enabled",
    RS_VAL_WRITE_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MOD:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TRIGGER_SOURCE_FOR_ALL_SWEEPS =
  {
    RSSMXV_ATTR_TRIGGER_SOURCE_FOR_ALL_SWEEPS,
    "Trigger Source For All Sweeps",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngTriggerSourceForAllSweeps, NULL, NULL,
    "TRIG{Path}:SWE:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_TRIG_SOURCE_SWEEP_SINGLE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_RESET_ALL_SWEEPS =
  {
    RSSMXV_ATTR_RESET_ALL_SWEEPS,
    "Reset All Sweeps",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SOUR{Path}:SWE:RES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_OUTPUT_ENABLED =
  {
    RSSMXV_ATTR_OUTPUT_ENABLED,
    "Output Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":OUTP{Path}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_OUTPUT_IMPEDANCE =
  {
    RSSMXV_ATTR_OUTPUT_IMPEDANCE,
    "Output Impedance",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngOutputImpedance, NULL, NULL,
    ":OUTP{Path}:IMP?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_IMPEDANCE_G50,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_RF_FREQUENCY_ON_RECALL =
  {
    RSSMXV_ATTR_RF_FREQUENCY_ON_RECALL,
    "RF Frequency on Recall",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngRFFrequencyonRecall, NULL, NULL,
    "SOUR{Path}:FREQ:RCL",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_FREQUENCY_RCL_EXCLUDE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_RF_LEVEL_ON_RECALL =
  {
    RSSMXV_ATTR_RF_LEVEL_ON_RECALL,
    "RF Level on Recall",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngRFFrequencyonRecall, NULL, NULL,
    "SOUR{Path}:POW:RCL",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_FREQUENCY_RCL_INCLUDE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_OVERVOLTAGE_PROTECTION_CLEAR =
  {
    RSSMXV_ATTR_OVERVOLTAGE_PROTECTION_CLEAR,
    "Overvoltage Protection Clear",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "OUTP{Path}:PROT:CLE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_OVERVOLTAGE_PROTECTION_TRIPPED =
  {
    RSSMXV_ATTR_OVERVOLTAGE_PROTECTION_TRIPPED,
    "Overvoltage Protection Tripped",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "OUTP{Path}:PROT:TRIP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ALC_SEARCH_ONCE =
  {
    RSSMXV_ATTR_ALC_SEARCH_ONCE,
    "ALC Search Once",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SOUR{Path}:POW:ALC:SONC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ALC_MODE =
  {
    RSSMXV_ATTR_ALC_MODE,
    "ALC Mode",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngALCMode, NULL, NULL,
    ":SOUR{Path}:POW:ALC:MODE?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ALC_MODE_ON,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TRIGGER_ALL_SWEEPS =
  {
    RSSMXV_ATTR_TRIGGER_ALL_SWEEPS,
    "Trigger All Sweeps",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":TRIG{Path}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_RF_FREQUENCY =
  {
    RSSMXV_ATTR_RF_FREQUENCY,
    "RF Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SOUR{Path}:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0e9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_RF_FREQUENCY_MODE =
  {
    RSSMXV_ATTR_RF_FREQUENCY_MODE,
    "RF Frequency Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngRFFrequencyModeNew, NULL, NULL,
    ":SOUR{Path}:FREQ:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_RF_FREQUENCY_CW,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_RF_FREQUENCY_OFFSET =
  {
    RSSMXV_ATTR_RF_FREQUENCY_OFFSET,
    "RF Frequency Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngRFFrequencyOffset, NULL,
    "SOUR{Path}:FREQ:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_RF_FREQUENCY_MULTIPLIER =
  {
    RSSMXV_ATTR_RF_FREQUENCY_MULTIPLIER,
    "RF Frequency Multiplier",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:FREQ:MULT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_RF_VARIATION_STEP_MODE =
  {
    RSSMXV_ATTR_RF_VARIATION_STEP_MODE,
    "RF Variation Step Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngVariationStepMode, NULL, NULL,
    ":SOUR{Path}:FREQ:STEP:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_STEP_MODE_DECIMAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_RF_VARIATION_STEP =
  {
    RSSMXV_ATTR_RF_VARIATION_STEP,
    "RF Variation Step",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SOUR{Path}:FREQ:STEP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FREQUENCY_SWEEP_EXECUTE =
  {
    RSSMXV_ATTR_FREQUENCY_SWEEP_EXECUTE,
    "Frequency Sweep Execute",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SOUR{Path}:SWE:EXEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FREQUENCY_SWEEP_MODE =
  {
    RSSMXV_ATTR_FREQUENCY_SWEEP_MODE,
    "Frequency Sweep Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngSweepMode, NULL, NULL,
    ":SOUR{Path}:SWE:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_SWEEP_MODE_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FREQUENCY_SWEEP_TRIGGER_SOURCE =
  {
    RSSMXV_ATTR_FREQUENCY_SWEEP_TRIGGER_SOURCE,
    "Frequency Sweep Trigger Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngSweepTriggerSource, NULL, NULL,
    ":TRIG{Path}:FSW:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_SWEEP_TRIGGER_SOURCE_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FREQUENCY_SWEEP_START_FREQUENCY =
  {
    RSSMXV_ATTR_FREQUENCY_SWEEP_START_FREQUENCY,
    "Frequency Sweep Start Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:FREQ:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FREQUENCY_SWEEP_STOP_FREQUENCY =
  {
    RSSMXV_ATTR_FREQUENCY_SWEEP_STOP_FREQUENCY,
    "Frequency Sweep Stop Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:FREQ:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    500e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FREQUENCY_SWEEP_CENTER_FREQUENCY =
  {
    RSSMXV_ATTR_FREQUENCY_SWEEP_CENTER_FREQUENCY,
    "Frequency Sweep Center Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:FREQ:CENT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FREQUENCY_SWEEP_SPAN =
  {
    RSSMXV_ATTR_FREQUENCY_SWEEP_SPAN,
    "Frequency Sweep Span",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:FREQ:SPAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    400e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FREQUENCY_SWEEP_SPACING =
  {
    RSSMXV_ATTR_FREQUENCY_SWEEP_SPACING,
    "Frequency Sweep Spacing",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngFrequencySweepSpacing, NULL, NULL,
    ":SOUR{Path}:SWE:SPAC",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_FREQ_SWEEP_SPACING_LINEAR,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FREQUENCY_SWEEP_STEP_LINEAR =
  {
    RSSMXV_ATTR_FREQUENCY_SWEEP_STEP_LINEAR,
    "Frequency Sweep Step Linear",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:SWE:STEP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FREQUENCY_SWEEP_STEP_LOG =
  {
    RSSMXV_ATTR_FREQUENCY_SWEEP_STEP_LOG,
    "Frequency Sweep Step Log",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngFrequencySweepStepLog, NULL,
    ":SOUR{Path}:SWE:STEP:LOG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FREQUENCY_SWEEP_DWELL_TIME =
  {
    RSSMXV_ATTR_FREQUENCY_SWEEP_DWELL_TIME,
    "Frequency Sweep Dwell Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngFrequencySweepDwellTime, NULL,
    ":SOUR{Path}:SWE:DWEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.001,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FREQUENCY_SWEEP_MANUAL_STEP =
  {
    RSSMXV_ATTR_FREQUENCY_SWEEP_MANUAL_STEP,
    "Frequency Sweep Manual Step",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:FREQ:MAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FREQUENCY_SWEEP_POINTS =
  {
    RSSMXV_ATTR_FREQUENCY_SWEEP_POINTS,
    "Frequency Sweep Points",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:SWE:POIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    405,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FREQUENCY_SWEEP_SHAPE =
  {
    RSSMXV_ATTR_FREQUENCY_SWEEP_SHAPE,
    "Frequency Sweep Shape",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngFrequencySweepShape, NULL, NULL,
    ":SOUR{Path}:SWE:SHAP",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_SWEEP_SHAPE_SAW,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_FREQUENCY_SWEEP_STATUS =
  {
    RSSMXV_ATTR_FREQUENCY_SWEEP_STATUS,
    "Frequency Sweep Status",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:SWE:RUNN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_RF_DELTA_PHASE =
  {
    RSSMXV_ATTR_RF_DELTA_PHASE,
    "RF Delta Phase",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngRFDeltaPhase, NULL,
    "SOUR{Path}:PHAS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_RESET_RF_DELTA_PHASE_DISPLAY =
  {
    RSSMXV_ATTR_RESET_RF_DELTA_PHASE_DISPLAY,
    "Reset RF Delta Phase Display",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SOUR{Path}:PHAS:REF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_RF_AMPLITUDE =
  {
    RSSMXV_ATTR_RF_AMPLITUDE,
    "RF Amplitude",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SOUR{Path}:POW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -30.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_RF_LEVEL_LOWER_RANGE =
  {
    RSSMXV_ATTR_RF_LEVEL_LOWER_RANGE,
    "RF Level Lower Range",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:POW:RANG:LOW?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_RF_LEVEL_UPPER_RANGE =
  {
    RSSMXV_ATTR_RF_LEVEL_UPPER_RANGE,
    "RF Level Upper Range",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:POW:RANG:UPP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_RF_POWER_MODE =
  {
    RSSMXV_ATTR_RF_POWER_MODE,
    "RF Power Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngRFPowerMode, NULL, NULL,
    ":SOUR{Path}:POW:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_RF_POWER_CW,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_RF_LEVEL_PEAK_ENVELOPE_POWER =
  {
    RSSMXV_ATTR_RF_LEVEL_PEAK_ENVELOPE_POWER,
    "RF Level Peak Envelope Power",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:POW:PEP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_RF_LEVEL_LIMIT =
  {
    RSSMXV_ATTR_RF_LEVEL_LIMIT,
    "RF Level Limit",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SOUR{Path}:POW:LIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    25.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_RF_LEVEL_OFFSET =
  {
    RSSMXV_ATTR_RF_LEVEL_OFFSET,
    "RF Level Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngRFLevelOffset, NULL,
    "SOUR{Path}:POW:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_RF_LEVEL_POWER =
  {
    RSSMXV_ATTR_RF_LEVEL_POWER,
    "RF Level Power",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:POW:POW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_RF_LEVEL_SETTING_CHARACTERISTICS =
  {
    RSSMXV_ATTR_RF_LEVEL_SETTING_CHARACTERISTICS,
    "RF Level Setting Characteristics",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngRFLevelSettingCharacteristics, NULL, NULL,
    "SOUR{Path}:POW:LBEH",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_RF_LEVEL_SETTING_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_RF_LEVEL_EMF_ENABLED =
  {
    RSSMXV_ATTR_RF_LEVEL_EMF_ENABLED,
    "RF Level EMF Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:POW:EMF:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_RF_LEVEL_REFERENCE =
  {
    RSSMXV_ATTR_RF_LEVEL_REFERENCE,
    "RF Level Reference",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:POW:REFL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -30,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_RF_ATTENUATOR_LOWER_RANGE =
  {
    RSSMXV_ATTR_RF_ATTENUATOR_LOWER_RANGE,
    "RF Attenuator Lower Range",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "OUTP{Path}:AFIX:RANG:LOW?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_RF_ATTENUATOR_UPPER_RANGE =
  {
    RSSMXV_ATTR_RF_ATTENUATOR_UPPER_RANGE,
    "RF Attenuator Upper Range",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "OUTP{Path}:AFIX:RANG:UPP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_RF_ATTENUATOR_RF_OFF_MODE =
  {
    RSSMXV_ATTR_RF_ATTENUATOR_RF_OFF_MODE,
    "RF Attenuator RF OFF Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngRFAttRFOFFMode, NULL, NULL,
    "SOUR{Path}:POW:ATT:RFOF:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_RF_OFF_MODE_UNCH,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_RF_LEVEL_VARIATION_ACTIVE =
  {
    RSSMXV_ATTR_RF_LEVEL_VARIATION_ACTIVE,
    "RF Level Variation Active",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngRFLevelVariationActive, NULL, NULL,
    "SOUR{Path}:POW:STEP:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_RF_VARIATION_ACTIVE_DECIMAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_RF_LEVEL_VARIATION_STEP =
  {
    RSSMXV_ATTR_RF_LEVEL_VARIATION_STEP,
    "RF Level Variation Step",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngRFLevelVariationStep, NULL,
    "SOUR{Path}:POW:STEP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_LEVEL_SWEEP_EXECUTE =
  {
    RSSMXV_ATTR_LEVEL_SWEEP_EXECUTE,
    "Level Sweep Execute",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SOUR{Path}:SWE:POW:EXEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_LEVEL_SWEEP_MODE =
  {
    RSSMXV_ATTR_LEVEL_SWEEP_MODE,
    "Level Sweep Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngSweepMode, NULL, NULL,
    ":SOUR{Path}:SWE:POW:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_SWEEP_MODE_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_LEVEL_SWEEP_TRIGGER_SOURCE =
  {
    RSSMXV_ATTR_LEVEL_SWEEP_TRIGGER_SOURCE,
    "Level Sweep Trigger Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngSweepTriggerSource, NULL, NULL,
    ":TRIG{Path}:PSW:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_SWEEP_TRIGGER_SOURCE_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_LEVEL_SWEEP_TRIGGER_START =
  {
    RSSMXV_ATTR_LEVEL_SWEEP_TRIGGER_START,
    "Level Sweep Trigger Start",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":TRIG{Path}:PSW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_LEVEL_SWEEP_START =
  {
    RSSMXV_ATTR_LEVEL_SWEEP_START,
    "Level Sweep Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:POW:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -30,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_LEVEL_SWEEP_STOP =
  {
    RSSMXV_ATTR_LEVEL_SWEEP_STOP,
    "Level Sweep Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:POW:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -30,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_LEVEL_SWEEP_STEP =
  {
    RSSMXV_ATTR_LEVEL_SWEEP_STEP,
    "Level Sweep Step",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngFrequencySweepStepLog, NULL,
    ":SOUR{Path}:SWE:POW:STEP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_LEVEL_SWEEP_DWELL_TIME =
  {
    RSSMXV_ATTR_LEVEL_SWEEP_DWELL_TIME,
    "Level Sweep Dwell Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngLevelSweepDwellTime_001, NULL,
    ":SOUR{Path}:SWE:POW:DWEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10e-3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_LEVEL_SWEEP_MANUAL_STEP =
  {
    RSSMXV_ATTR_LEVEL_SWEEP_MANUAL_STEP,
    "Level Sweep Manual Step",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:POW:MAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -30.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_LEVEL_SWEEP_POINTS =
  {
    RSSMXV_ATTR_LEVEL_SWEEP_POINTS,
    "Level Sweep Points",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:SWE:POW:POIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    21,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_LEVEL_SWEEP_SHAPE =
  {
    RSSMXV_ATTR_LEVEL_SWEEP_SHAPE,
    "Level Sweep Shape",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngFrequencySweepShape, NULL, NULL,
    ":SOUR{Path}:SWE:POW:SHAP",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_SWEEP_SHAPE_SAW,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_LEVEL_SWEEP_RETRACE =
  {
    RSSMXV_ATTR_LEVEL_SWEEP_RETRACE,
    "Level Sweep Retrace",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:SWE:POW:RETR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SWEEP_FREQUENCY_RETRACE =
  {
    RSSMXV_ATTR_SWEEP_FREQUENCY_RETRACE,
    "Sweep Frequency Retrace",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:SWE:RETR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_LEVEL_SWEEP_SPACING_MODE =
  {
    RSSMXV_ATTR_LEVEL_SWEEP_SPACING_MODE,
    "Level Sweep Spacing Mode",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:SWE:POW:SPAC:MODE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "LIN",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_LEVEL_SWEEP_STATUS =
  {
    RSSMXV_ATTR_LEVEL_SWEEP_STATUS,
    "Level Sweep Status",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:SWE:POW:RUNN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_LEVEL_SWEEP_ATTENUATOR_MODE =
  {
    RSSMXV_ATTR_LEVEL_SWEEP_ATTENUATOR_MODE,
    "Level Sweep Attenuator Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngAttenMode, NULL, NULL,
    ":OUTP{Path}:AMOD",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_ATTEN_MODE_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_USER_CORRECTION_DATA_ENABLED =
  {
    RSSMXV_ATTR_USER_CORRECTION_DATA_ENABLED,
    "User Correction Data Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR{Path}:CORR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_USER_CORRECTION_DATA_VALUE =
  {
    RSSMXV_ATTR_USER_CORRECTION_DATA_VALUE,
    "User Correction Data Value",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SOUR{Path}:CORR:VAL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_USER_CORRECTION_DATA_CATALOG =
  {
    RSSMXV_ATTR_USER_CORRECTION_DATA_CATALOG,
    "User Correction Data Catalog",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SOUR{Path}:CORR:CSET:CAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "catalog",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_USER_CORRECTION_DATA_DELETE =
  {
    RSSMXV_ATTR_USER_CORRECTION_DATA_DELETE,
    "User Correction Data Delete",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":CORR:CSET:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "FileName",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_USER_CORRECTION_DATA_TABLE =
  {
    RSSMXV_ATTR_USER_CORRECTION_DATA_TABLE,
    "User Correction Data Table",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:CORR:CSET",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "table",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_HIDDEN_USER_CORRECTION_DATA_LEVEL_VALUES =
  {
    RSSMXV_ATTR_HIDDEN_USER_CORRECTION_DATA_LEVEL_VALUES,
    "Hidden User Correction Data Level Values",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:CORR:CSET:DATA:POW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_HIDDEN_USER_CORRECTION_DATA_FREQUENCY_VALUES =
  {
    RSSMXV_ATTR_HIDDEN_USER_CORRECTION_DATA_FREQUENCY_VALUES,
    "Hidden User Correction Data Frequency Values",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:CORR:CSET:DATA:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_USER_CORRECTION_DATA_NUMBER_OF_FREQUENCY_VALUES =
  {
    RSSMXV_ATTR_USER_CORRECTION_DATA_NUMBER_OF_FREQUENCY_VALUES,
    "User Correction Data Number of Frequency Values",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    ":SOUR{Path}:CORR:CSET:DATA:FREQ:POIN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_USER_CORRECTION_DATA_NUMBER_OF_LEVEL_VALUES =
  {
    RSSMXV_ATTR_USER_CORRECTION_DATA_NUMBER_OF_LEVEL_VALUES,
    "User Correction Data Number of Level Values",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    ":SOUR{Path}:CORR:CSET:DATA:POW:POIN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_CORRECTION_LIST_MODE =
  {
    RSSMXV_ATTR_CORRECTION_LIST_MODE,
    "Correction List Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngCorrectionListMode, NULL, NULL,
    ":SOUR{Path}:CORR:DEXC:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DEXC_MODE_IMPORT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_CORRECTION_LIST_FILE =
  {
    RSSMXV_ATTR_CORRECTION_LIST_FILE,
    "Correction List File",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:CORR:DEXC:SEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "file",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_CORRECTION_EXECUTE =
  {
    RSSMXV_ATTR_CORRECTION_EXECUTE,
    "Correction Execute",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SOUR{Path}:CORR:DEXC:EXEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_CORRECTION_ASCII_FILE =
  {
    RSSMXV_ATTR_CORRECTION_ASCII_FILE,
    "Correction ASCII File",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:CORR:DEXC:AFIL:SEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "file",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_CORRECTION_ASCII_EXTENSION =
  {
    RSSMXV_ATTR_CORRECTION_ASCII_EXTENSION,
    "Correction ASCII Extension",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngCorrectionASCIIExtension, NULL, NULL,
    ":SOUR{Path}:CORR:DEXC:AFIL:EXT",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DEXC_ASCII_SOURCE_FILE_EXT_TXT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_CORRECTION_ASCII_COLUMN_SEPARATOR =
  {
    RSSMXV_ATTR_CORRECTION_ASCII_COLUMN_SEPARATOR,
    "Correction ASCII Column Separator",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngCorrectionASCIISeparator, NULL, NULL,
    ":SOUR{Path}:CORR:DEXC:AFIL:SEP:COL",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DEXC_ASCII_SOURCE_FILE_COLUMN_SEP_TAB,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_CORRECTION_ASCII_COLUMN_DECIMAL_SEPARATOR =
  {
    RSSMXV_ATTR_CORRECTION_ASCII_COLUMN_DECIMAL_SEPARATOR,
    "Correction ASCII Column Decimal Separator",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngCorrectionASCIIColumnDecimalSeparator, NULL, NULL,
    ":SOUR{Path}:CORR:DEXC:AFIL:SEP:DEC",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DEXC_ASCII_SOURCE_FILE_COLUMN_DEC_SEP_DOT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_CORRECTION_IMPORT_EXPORT_CATALOG =
  {
    RSSMXV_ATTR_CORRECTION_IMPORT_EXPORT_CATALOG,
    "Correction Import Export Catalog",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:CORR:DEXC:AFIL:CAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "catalog",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_CORRECTION_DATA_WITH_SENSOR =
  {
    RSSMXV_ATTR_CORRECTION_DATA_WITH_SENSOR,
    "Correction Data With Sensor",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:CORR:ZER:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_LIST_CATALOG =
  {
    RSSMXV_ATTR_LIST_CATALOG,
    "List Catalog",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:LIST:CAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "catalog",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_LIST_DELETE_LIST =
  {
    RSSMXV_ATTR_LIST_DELETE_LIST,
    "List Delete List",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:LIST:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "filename",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_LIST_DELETE_ALL =
  {
    RSSMXV_ATTR_LIST_DELETE_ALL,
    "List Delete All",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SOUR{Path}:LIST:DEL:ALL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_LIST_LEARN =
  {
    RSSMXV_ATTR_LIST_LEARN,
    "List Learn",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SOUR{Path}:LIST:LEAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_LIST_FREQUENCY_POINTS =
  {
    RSSMXV_ATTR_LIST_FREQUENCY_POINTS,
    "List Frequency Points",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    ":SOUR{Path}:LIST:FREQ:POIN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_LIST_POWER_POINTS =
  {
    RSSMXV_ATTR_LIST_POWER_POINTS,
    "List Power Points",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    ":SOUR{Path}:LIST:POW:POIN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_LIST_START_INDEX =
  {
    RSSMXV_ATTR_LIST_START_INDEX,
    "List Start Index",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    ":SOUR{Path}:LIST:IND:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_LIST_STOP_INDEX =
  {
    RSSMXV_ATTR_LIST_STOP_INDEX,
    "List Stop Index",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    ":SOUR{Path}:LIST:IND:STOP",
    // Defaults I32, I64, Float, Bool, String
    10,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_LIST_FREE_MEMORY =
  {
    RSSMXV_ATTR_LIST_FREE_MEMORY,
    "List Free Memory",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    ":SOUR{Path}:LIST:FREE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_LIST_RESET_LIST =
  {
    RSSMXV_ATTR_LIST_RESET_LIST,
    "List Reset List",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SOUR{Path}:LIST:RES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_LIST_TRIGGER_EXECUTE =
  {
    RSSMXV_ATTR_LIST_TRIGGER_EXECUTE,
    "List Trigger Execute",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SOUR{Path}:LIST:TRIG:EXEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_LIST_MODE =
  {
    RSSMXV_ATTR_LIST_MODE,
    "List Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngSweepMode, NULL, NULL,
    ":SOUR{Path}:LIST:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_SWEEP_MODE_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_LIST_RUN_MODE =
  {
    RSSMXV_ATTR_LIST_RUN_MODE,
    "List Run Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngListRunMode, NULL, NULL,
    ":SOUR{Path}:LIST:RMOD",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_LIST_RUN_LEARNED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_LIST_DWELL_TIME =
  {
    RSSMXV_ATTR_LIST_DWELL_TIME,
    "List Dwell Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngListDwellTime, NULL,
    ":SOUR{Path}:LIST:DWEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.01,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_LIST_DWELL_TIME_MODE =
  {
    RSSMXV_ATTR_LIST_DWELL_TIME_MODE,
    "List Dwell Time Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngListDwellTimeMode, NULL, NULL,
    ":SOUR{Path}:LIST:DWEL:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DWELL_MODE_GLOBAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_LIST_SELECT_LIST =
  {
    RSSMXV_ATTR_LIST_SELECT_LIST,
    "List Select List",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:LIST:SEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "list",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_HIDDEN_LIST_DWELL_TIME_VALUES =
  {
    RSSMXV_ATTR_HIDDEN_LIST_DWELL_TIME_VALUES,
    "Hidden List Dwell Time Values",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:LIST:DWEL:LIST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "510,512",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_LIST_DWELL_TIME_POINTS =
  {
    RSSMXV_ATTR_LIST_DWELL_TIME_POINTS,
    "List Dwell Time Points",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    ":SOUR{Path}:LIST:DWEL:LIST:POIN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_HIDDEN_LIST_FREQUENCY_VALUES =
  {
    RSSMXV_ATTR_HIDDEN_LIST_FREQUENCY_VALUES,
    "Hidden List Frequency Values",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:LIST:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_HIDDEN_LIST_POWER_VALUES =
  {
    RSSMXV_ATTR_HIDDEN_LIST_POWER_VALUES,
    "Hidden List Power Values",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:LIST:POW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_LIST_TRIGGER_SOURCE =
  {
    RSSMXV_ATTR_LIST_TRIGGER_SOURCE,
    "List Trigger Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngListTriggerSource, NULL, NULL,
    ":SOUR{Path}:LIST:TRIG:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_LIST_TRIGGER_SOURCE_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_LIST_INDEX =
  {
    RSSMXV_ATTR_LIST_INDEX,
    "List Index",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    ":SOUR{Path}:LIST:IND",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_LIST_CURRENT_STATE =
  {
    RSSMXV_ATTR_LIST_CURRENT_STATE,
    "List Current State",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Path}:LIST:RUNN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_LIST_IMPORT_EXPORT_LIST_MODE =
  {
    RSSMXV_ATTR_LIST_IMPORT_EXPORT_LIST_MODE,
    "List Import Export List Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngListImportExportListMode, NULL, NULL,
    ":SOUR{Path}:LIST:DEXC:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DEXC_MODE_IMPORT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_LIST_IMPORT_EXPORT_LIST_FILE =
  {
    RSSMXV_ATTR_LIST_IMPORT_EXPORT_LIST_FILE,
    "List Import Export List File",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:LIST:DEXC:SEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "file",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_LIST_IMPORT_EXPORT_EXECUTE =
  {
    RSSMXV_ATTR_LIST_IMPORT_EXPORT_EXECUTE,
    "List Import Export Execute",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SOUR{Path}:LIST:DEXC:EXEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_LIST_IMPORT_EXPORT_ASCII_FILE =
  {
    RSSMXV_ATTR_LIST_IMPORT_EXPORT_ASCII_FILE,
    "List Import Export ASCII File",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:LIST:DEXC:AFIL:SEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "file",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_LIST_IMPORT_EXPORT_ASCII_EXTENSION =
  {
    RSSMXV_ATTR_LIST_IMPORT_EXPORT_ASCII_EXTENSION,
    "List Import Export ASCII Extension",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngCorrectionASCIIExtension, NULL, NULL,
    ":SOUR{Path}:LIST:DEXC:AFIL:EXT",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DEXC_ASCII_SOURCE_FILE_EXT_TXT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_LIST_IMPORT_EXPORT_ASCII_COLUMN_SEPARATOR =
  {
    RSSMXV_ATTR_LIST_IMPORT_EXPORT_ASCII_COLUMN_SEPARATOR,
    "List Import Export ASCII Column Separator",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngCorrectionASCIISeparator, NULL, NULL,
    ":SOUR{Path}:LIST:DEXC:AFIL:SEP:COL",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DEXC_ASCII_SOURCE_FILE_COLUMN_SEP_TAB,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_LIST_IMPORT_EXPORT_ASCII_COLUMN_DECIMAL_SEPARATOR =
  {
    RSSMXV_ATTR_LIST_IMPORT_EXPORT_ASCII_COLUMN_DECIMAL_SEPARATOR,
    "List Import Export ASCII Column Decimal Separator",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngCorrectionASCIIDecimalSeparator, NULL, NULL,
    ":SOUR{Path}:LIST:DEXC:AFIL:SEP:DEC",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DEXC_ASCII_SOURCE_FILE_COLUMN_DEC_SEP_DOT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_LIST_IMPORT_EXPORT_CATALOG =
  {
    RSSMXV_ATTR_LIST_IMPORT_EXPORT_CATALOG,
    "List Import Export Catalog",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SOUR{Path}:LIST:DEXC:AFIL:CAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "catalog",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_POWER_ON_STATE =
  {
    RSSMXV_ATTR_POWER_ON_STATE,
    "Power On State",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngPowerOnState, NULL, NULL,
    ":OUTP{Path}:PON",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_OUTPUT_STATE_PON_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_POWER_UNIT =
  {
    RSSMXV_ATTR_POWER_UNIT,
    "Power Unit",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngPowerUnit, NULL, NULL,
    ":SENS{Sense}:UNIT",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_SENSE_POWER_UNIT_DBM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_POWER_FREQUENCY =
  {
    RSSMXV_ATTR_POWER_FREQUENCY,
    "Power Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SENS{Sense}:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_POWER_RECORDER_ENABLED =
  {
    RSSMXV_ATTR_POWER_RECORDER_ENABLED,
    "Power Recorder Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SENS{Sense}:LOGG:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_POWER_OFFSET =
  {
    RSSMXV_ATTR_POWER_OFFSET,
    "Power Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngPowerOffset, NULL,
    ":SENS{Sense}:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_POWER_OFFSET_ENABLED =
  {
    RSSMXV_ATTR_POWER_OFFSET_ENABLED,
    "Power Offset Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SENS{Sense}:OFFS:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_POWER_SOURCE =
  {
    RSSMXV_ATTR_POWER_SOURCE,
    "Power Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngPowerSource, NULL, NULL,
    ":SENS{Sense}:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_SENSE_POWER_SOURCE_A,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_POWER_ZERO =
  {
    RSSMXV_ATTR_POWER_ZERO,
    "Power Zero",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SENS{Sense}:ZERO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_POWER_CONTINUOUS =
  {
    RSSMXV_ATTR_POWER_CONTINUOUS,
    "Power Continuous",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":INIT{Sense}:CONT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_POWER_USE_SPARAMETERS =
  {
    RSSMXV_ATTR_POWER_USE_SPARAMETERS,
    "Power Use SParameters",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SENS{Sense}:CORR:SPD:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_POWER_SPARAMETER_LIST =
  {
    RSSMXV_ATTR_POWER_SPARAMETER_LIST,
    "Power SParameter List",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SENS{Sense}:CORR:SPD:LIST?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "list",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_POWER_SPARAMETER_SELECT =
  {
    RSSMXV_ATTR_POWER_SPARAMETER_SELECT,
    "Power SParameter Select",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SENS{Sense}:CORR:SPD:SEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_POWER_DISPLAY_PERMANENT_STATE =
  {
    RSSMXV_ATTR_POWER_DISPLAY_PERMANENT_STATE,
    "Power Display Permanent State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SENS{Sense}:DISP:PERM:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_POWER_DISPLAY_PERMANENT_PRIORITY =
  {
    RSSMXV_ATTR_POWER_DISPLAY_PERMANENT_PRIORITY,
    "Power Display Permanent Priority",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngDisplayPriority, NULL, NULL,
    ":SENS{Sense}:DISP:PERM:PRI",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_DISPLAY_PRIORITY_AVERAGE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_POWER_FILTER_LENGTH =
  {
    RSSMXV_ATTR_POWER_FILTER_LENGTH,
    "Power Filter Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngPowerFilterLength, NULL,
    ":SENS{Sense}:FILT:LENG",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_POWER_FILTER_MODE =
  {
    RSSMXV_ATTR_POWER_FILTER_MODE,
    "Power Filter Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngPowerFilterMode, NULL, NULL,
    ":SENS{Sense}:FILT:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_SENSE_POWER_FILTER_TYPE_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_POWER_FILTER_NS_RATIO =
  {
    RSSMXV_ATTR_POWER_FILTER_NS_RATIO,
    "Power Filter NS Ratio",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngPowerFilterNSRatio, NULL,
    ":SENS{Sense}:FILT:NSR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.01,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_POWER_FILTER_NS_RATIO_TIMEOUT =
  {
    RSSMXV_ATTR_POWER_FILTER_NS_RATIO_TIMEOUT,
    "Power Filter NS Ratio Timeout",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngPowerFilterNSRatioTimeout, NULL,
    ":SENS{Sense}:FILT:NSR:MTIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    4,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_POWER_FILTER_LENGTH_AUTO =
  {
    RSSMXV_ATTR_POWER_FILTER_LENGTH_AUTO,
    "Power Filter Length Auto",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    ":SENS{Sense}:FILT:LENG:AUTO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_POWER_FILTER_SEARCH_ONCE =
  {
    RSSMXV_ATTR_POWER_FILTER_SEARCH_ONCE,
    "Power Filter Search Once",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SENS{Sense}:FILT:SONC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_POWER_SENSOR_DEVICE =
  {
    RSSMXV_ATTR_POWER_SENSOR_DEVICE,
    "Power Sensor Device",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    ":SENS{Sense}:STAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_POWER_SENSOR_TYPE =
  {
    RSSMXV_ATTR_POWER_SENSOR_TYPE,
    "Power Sensor Type",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SENS{Sense}:TYPE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "type",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_POWER_READ_POWER =
  {
    RSSMXV_ATTR_POWER_READ_POWER,
    "Power Read Power",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":READ{Sense}?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_POWER_SENSOR_SERIAL_NUMBER =
  {
    RSSMXV_ATTR_POWER_SENSOR_SERIAL_NUMBER,
    "Power Sensor Serial Number",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SENS{Sense}:SNUM?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "serNum",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_POWER_DEFAULT_APERTURE_TIME_ENABLED =
  {
    RSSMXV_ATTR_POWER_DEFAULT_APERTURE_TIME_ENABLED,
    "Power Default Aperture Time Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SENS{Sense}:APER:DEF:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_POWER_APERTURE_TIME =
  {
    RSSMXV_ATTR_POWER_APERTURE_TIME,
    "Power Aperture Time",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    ":SENS{Sense}:APER:TIM?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_POWER_SENSOR_CONTROL_SELECT =
  {
    RSSMXV_ATTR_POWER_SENSOR_CONTROL_SELECT,
    "Power Sensor Control Select",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngPowerSensors, NULL, NULL,
    ":SOUR{Sense}:POW:SPC:SEL",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_POWER_SENSORS_1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_POWER_SENSOR_CONTROL_ENABLED =
  {
    RSSMXV_ATTR_POWER_SENSOR_CONTROL_ENABLED,
    "Power Sensor Control Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Sense}:POW:SPC:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_POWER_SENSOR_CONTROL_MODE =
  {
    RSSMXV_ATTR_POWER_SENSOR_CONTROL_MODE,
    "Power Sensor Control Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngPowerSensorControlMode, NULL, NULL,
    ":SOUR{Sense}:POW:SPC:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_POWER_SENSOR_CONTROL_MODE_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_POWER_SENSOR_CONTROL_EXECUTE_SINGLE =
  {
    RSSMXV_ATTR_POWER_SENSOR_CONTROL_EXECUTE_SINGLE,
    "Power Sensor Control Execute Single",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SOUR{Sense}:POW:SPC:SING",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_POWER_SENSOR_CONTROL_CATCH_RANGE =
  {
    RSSMXV_ATTR_POWER_SENSOR_CONTROL_CATCH_RANGE,
    "Power Sensor Control Catch Range",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngPowerSensorControlCatchRange, NULL,
    ":SOUR{Sense}:POW:SPC:CRAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    30,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_POWER_SENSOR_CONTROL_DELAY =
  {
    RSSMXV_ATTR_POWER_SENSOR_CONTROL_DELAY,
    "Power Sensor Control Delay",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngPowerSensorControlDelay, NULL,
    ":SOUR{Sense}:POW:SPC:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_POWER_SENSOR_CONTROL_PEAK_ENABLED =
  {
    RSSMXV_ATTR_POWER_SENSOR_CONTROL_PEAK_ENABLED,
    "Power Sensor Control Peak Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SOUR{Sense}:POW:SPC:PEAK",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_POWER_SENSOR_CONTROL_TARGET_LEVEL =
  {
    RSSMXV_ATTR_POWER_SENSOR_CONTROL_TARGET_LEVEL,
    "Power Sensor Control Target Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngPowerSensorControlTargetLevel, NULL,
    ":SOUR{Sense}:POW:SPC:TARG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -10,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_POWER_SENSOR_CONTROL_MEASURE_AS_TARGET_LEVEL =
  {
    RSSMXV_ATTR_POWER_SENSOR_CONTROL_MEASURE_AS_TARGET_LEVEL,
    "Power Sensor Control Measure As Target Level",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SOUR{Sense}:POW:SPC:MEAS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_POWER_SENSOR_MAPPING_SCAN_ENABLED =
  {
    RSSMXV_ATTR_POWER_SENSOR_MAPPING_SCAN_ENABLED,
    "Power Sensor Mapping Scan Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SLIS:SCAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_POWER_SENSOR_MAPPING_LIST =
  {
    RSSMXV_ATTR_POWER_SENSOR_MAPPING_LIST,
    "Power Sensor Mapping List",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SLIS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "list",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_POWER_SENSOR_REMOVES_ALL_LAN_SENSORS =
  {
    RSSMXV_ATTR_POWER_SENSOR_REMOVES_ALL_LAN_SENSORS,
    "Power Sensor Removes All Lan Sensors",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SLIS:CLE:LAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_POWER_SENSOR_REMOVES_ALL_USB_SENSORS =
  {
    RSSMXV_ATTR_POWER_SENSOR_REMOVES_ALL_USB_SENSORS,
    "Power Sensor Removes All USB Sensors",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SLIS:CLE:USB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_POWER_SENSOR_REMOVES_ALL_SENSORS =
  {
    RSSMXV_ATTR_POWER_SENSOR_REMOVES_ALL_SENSORS,
    "Power Sensor Removes All Sensors",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SLIS:CLE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_POWER_SENSOR_SCAN_LAN =
  {
    RSSMXV_ATTR_POWER_SENSOR_SCAN_LAN,
    "Power Sensor Scan Lan",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SLIS:SCAN:LSEN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "192.168.100.52",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_CALIBRATION_ALL =
  {
    RSSMXV_ATTR_CALIBRATION_ALL,
    "Calibration All",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CAL:ALL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_REMOTE_CONTROL_COMMAND_SET =
  {
    RSSMXV_ATTR_REMOTE_CONTROL_COMMAND_SET,
    "Remote Control Command Set",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SYST:LANG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "SCPI",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_KEYBOARD_LAYOUT =
  {
    RSSMXV_ATTR_KEYBOARD_LAYOUT,
    "Keyboard Layout",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngKeyboardLayout, NULL, NULL,
    "KBO:LAY",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_SYSTEM_KEYBOARD_US,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TS_PLAYER_SELECT_FILE =
  {
    RSSMXV_ATTR_TS_PLAYER_SELECT_FILE,
    "TS Player Select File",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TSG:CONF:PLAY",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "//opt//data//Lists//TSPlayer//DIVER.trp",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TS_PLAYER_SELECTED_FILE_SIZE =
  {
    RSSMXV_ATTR_TS_PLAYER_SELECTED_FILE_SIZE,
    "TS Player Selected File Size",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "TSG:READ:FMEM?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TS_PLAYER_SELECTED_FILE_LOOP_TIME =
  {
    RSSMXV_ATTR_TS_PLAYER_SELECTED_FILE_LOOP_TIME,
    "TS Player Selected File Loop Time",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "TSG:READ:PLAY:LENG?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TS_PLAYER_START_TIME =
  {
    RSSMXV_ATTR_TS_PLAYER_START_TIME,
    "TS Player Start Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngTSPlayerPosition, NULL,
    "TSG:CONF:SEEK:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TS_PLAYER_STOP_TIME =
  {
    RSSMXV_ATTR_TS_PLAYER_STOP_TIME,
    "TS Player Stop Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngTSPlayerPosition, NULL,
    "TSG:CONF:SEEK:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    23040.2,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TS_PLAYER_POSITION =
  {
    RSSMXV_ATTR_TS_PLAYER_POSITION,
    "TS Player Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngTSPlayerPosition, NULL,
    "TSG:CONF:SEEK:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TS_PLAYER_RESET_WINDOW =
  {
    RSSMXV_ATTR_TS_PLAYER_RESET_WINDOW,
    "TS Player Reset Window",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "TSG:CONF:SEEK:RES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TS_PLAYER_PLAY =
  {
    RSSMXV_ATTR_TS_PLAYER_PLAY,
    "TS Player Play",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "TSG:CONF:COMM PLAY",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TS_PLAYER_PAUSE =
  {
    RSSMXV_ATTR_TS_PLAYER_PAUSE,
    "TS Player Pause",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "TSG:CONF:COMM PAUS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TS_PLAYER_STOP =
  {
    RSSMXV_ATTR_TS_PLAYER_STOP,
    "TS Player Stop",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "TSG:CONF:COMM STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TS_PLAYER_RESET =
  {
    RSSMXV_ATTR_TS_PLAYER_RESET,
    "TS Player Reset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "TSG:CONF:COMM RES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TS_PLAYER_DATA_RATE =
  {
    RSSMXV_ATTR_TS_PLAYER_DATA_RATE,
    "TS Player Data Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngTSPlayerDataRate, NULL,
    "TSG:CONF:TSR",
    // Defaults I32, I64, Float, Bool, String
    5018502,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TS_PLAYER_ORIGINAL_DATA_RATE =
  {
    RSSMXV_ATTR_TS_PLAYER_ORIGINAL_DATA_RATE,
    "TS Player Original Data Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngTSPlayerDataRate, NULL,
    "TSG:READ:ORIG",
    // Defaults I32, I64, Float, Bool, String
    5018502,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TS_PLAYER_PACKET_LENGTH =
  {
    RSSMXV_ATTR_TS_PLAYER_PACKET_LENGTH,
    "TS Player Packet Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngTSPlayerPacketLength, NULL, NULL,
    "TSG:CONF:PLEN",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_TS_PLAYER_PACKET_LENGTH_INV,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TS_PLAYER_NULL_PACKET_STUFFING =
  {
    RSSMXV_ATTR_TS_PLAYER_NULL_PACKET_STUFFING,
    "TS Player Null Packet Stuffing",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TSG:CONF:STUF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TS_PLAYER_STOP_DATA =
  {
    RSSMXV_ATTR_TS_PLAYER_STOP_DATA,
    "TS Player Stop Data",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngTSPlayerStopData, NULL, NULL,
    "TSG:CONF:STOP",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_TS_PLAYER_STOP_DATA_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TS_PLAYER_TEST_PACKET =
  {
    RSSMXV_ATTR_TS_PLAYER_TEST_PACKET,
    "TS Player Test Packet",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngTSPlayerTestPacket, NULL, NULL,
    "TSG:CONF:TSP",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_TS_PLAYER_TEST_PACKET_H184,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TS_PLAYER_PID_TEST_PACKET =
  {
    RSSMXV_ATTR_TS_PLAYER_PID_TEST_PACKET,
    "TS Player PID Test Packet",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngTestPIDPacket, NULL, NULL,
    "TSG:CONF:PIDT",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_PID_TEST_PACKET_NULL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TS_PLAYER_PID =
  {
    RSSMXV_ATTR_TS_PLAYER_PID,
    "TS Player PID",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rng13bit, NULL,
    "TSG:CONF:PID",
    // Defaults I32, I64, Float, Bool, String
    8191,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TS_PLAYER_PAYLOAD_TEST_STUFF =
  {
    RSSMXV_ATTR_TS_PLAYER_PAYLOAD_TEST_STUFF,
    "TS Player Payload Test Stuff",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngTestSignalPayload, NULL, NULL,
    "TSG:CONF:PAYL",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_TEST_SIGNAL_PAYLOAD_PRBS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TS_PLAYER_PRBS =
  {
    RSSMXV_ATTR_TS_PLAYER_PRBS,
    "TS Player PRBS",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngPRBSSequence, NULL, NULL,
    "TSG:CONF:PRBS",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_PRBS_SEQUENCE_23,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TS_PLAYER_CONTINUITY_COUNTER =
  {
    RSSMXV_ATTR_TS_PLAYER_CONTINUITY_COUNTER,
    "TS Player Continuity Counter",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TSG:CONF:SEAM:CC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TS_PLAYER_PCR_DTS_PTS =
  {
    RSSMXV_ATTR_TS_PLAYER_PCR_DTS_PTS,
    "TS Player PCR DTS/PTS",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TSG:CONF:SEAM:PCR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TS_PLAYER_TDT_TOT =
  {
    RSSMXV_ATTR_TS_PLAYER_TDT_TOT,
    "TS Player TDT/TOT",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TSG:CONF:SEAM:TT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_IP_DATA_NETWORK_CONNECTED =
  {
    RSSMXV_ATTR_IP_DATA_NETWORK_CONNECTED,
    "IP Data Network Connected",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SYST:COMM:BCIP{IPInterface}:NETW:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_IP_DATA_NETWORK_RESTART =
  {
    RSSMXV_ATTR_IP_DATA_NETWORK_RESTART,
    "IP Data Network Restart",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:COMM:BCIP{IPInterface}:NETW:REST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_IP_DATA_NETWORK_HOSTNAME =
  {
    RSSMXV_ATTR_IP_DATA_NETWORK_HOSTNAME,
    "IP Data Network Hostname",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:BCIP{IPInterface}:NETW:COMM:HOST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "smcvb-vm-123456-IP-Data",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_IP_DATA_NETWORK_ADDRESS_MODE =
  {
    RSSMXV_ATTR_IP_DATA_NETWORK_ADDRESS_MODE,
    "IP Data Network Address Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngIPDataNetworkAddressMode, NULL, NULL,
    "SYST:COMM:BCIP{IPInterface}:NETW:IPAD:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_IP_DATA_NETWORK_ADDRESS_DHCP,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_IP_DATA_NETWORK_IP_ADDRESS =
  {
    RSSMXV_ATTR_IP_DATA_NETWORK_IP_ADDRESS,
    "IP Data Network IP Address",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:BCIP{IPInterface}:NETW:IPAD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "127.0.0.1",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_IP_DATA_NETWORK_SUBNET_MASK =
  {
    RSSMXV_ATTR_IP_DATA_NETWORK_SUBNET_MASK,
    "IP Data Network Subnet Mask",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:BCIP{IPInterface}:NETW:IPAD:SUBN:MASK",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "255.255.255.0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_IP_DATA_NETWORK_PROTOCOL =
  {
    RSSMXV_ATTR_IP_DATA_NETWORK_PROTOCOL,
    "IP Data Network Protocol",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngIPProtocol, NULL, NULL,
    "SYST:COMM:BCIP{IPInterface}:NETW:PROT",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_IP_PROTOCOL_UDP,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_IP_DATA_NETWORK_MAC_ADDRESS =
  {
    RSSMXV_ATTR_IP_DATA_NETWORK_MAC_ADDRESS,
    "IP Data Network MAC Address",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:BCIP{IPInterface}:NETW:MAC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00 00 00 00 00 00",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DIAGNOSTIC_OPERATING_HOUR =
  {
    RSSMXV_ATTR_DIAGNOSTIC_OPERATING_HOUR,
    "Diagnostic Operating Hour",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    ":DIAG:INFO:OTIM?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DIAGNOSTIC_POWER_ON_COUNT =
  {
    RSSMXV_ATTR_DIAGNOSTIC_POWER_ON_COUNT,
    "Diagnostic Power On Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    ":DIAG:INFO:POC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DIAGNOSTIC_AVAILABLE_ASSEMBLIES_CATALOG =
  {
    RSSMXV_ATTR_DIAGNOSTIC_AVAILABLE_ASSEMBLIES_CATALOG,
    "Diagnostic Available Assemblies Catalog",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":DIAG{Path}:BGIN:CAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "catalog",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DIAGNOSTIC_TEST_POINTS_CATALOG =
  {
    RSSMXV_ATTR_DIAGNOSTIC_TEST_POINTS_CATALOG,
    "Diagnostic Test Points Catalog",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":DIAG{Path}:POIN:CAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "catalog",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_HUMS_ENABLED =
  {
    RSSMXV_ATTR_HUMS_ENABLED,
    "HUMS Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DIAG:HUMS:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_HUMS_DATA_FORMAT =
  {
    RSSMXV_ATTR_HUMS_DATA_FORMAT,
    "HUMS Data Format",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngHUMSDataFormat, NULL, NULL,
    "DIAG:HUMS:FORM",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_HUMS_DATA_FORMAT_JSON,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_HUMS_DELETE_ALL_DATA =
  {
    RSSMXV_ATTR_HUMS_DELETE_ALL_DATA,
    "HUMS Delete All Data",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DIAG:HUMS:DEL:ALL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_HUMS_EXPORT_HISTORY =
  {
    RSSMXV_ATTR_HUMS_EXPORT_HISTORY,
    "HUMS Export History",
    RS_VAL_READ_ONLY,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "DIAG:HUMS:DEV:HIST?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_HUMS_EXPORT_HISTORY_TO_FILE =
  {
    RSSMXV_ATTR_HUMS_EXPORT_HISTORY_TO_FILE,
    "HUMS Export History To File",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DIAG:HUMS:SAVE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/var/user/HUMS",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_HUMS_DELETE_HISTORY =
  {
    RSSMXV_ATTR_HUMS_DELETE_HISTORY,
    "HUMS Delete History",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DIAG:HUMS:DEV:HIST:DEL:ALL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_HUMS_DEVICE_TAGS_CATALOG =
  {
    RSSMXV_ATTR_HUMS_DEVICE_TAGS_CATALOG,
    "HUMS Device Tags Catalog",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DIAG:HUMS:TAGS:ALL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_HUMS_DEVICE_TAGS_DELETE_ALL =
  {
    RSSMXV_ATTR_HUMS_DEVICE_TAGS_DELETE_ALL,
    "HUMS Device Tags Delete All",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DIAG:HUMS:TAGS:DEL:ALL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_HIDDEN_HUMS_DEVICE_TAGS_VALUE =
  {
    RSSMXV_ATTR_HIDDEN_HUMS_DEVICE_TAGS_VALUE,
    "Hidden HUMS Device Tags Value",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "DIAG:HUMS:TAGS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1,\'key\',\'value\'",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_HUMS_DEVICE_TAG_DELETE =
  {
    RSSMXV_ATTR_HUMS_DEVICE_TAG_DELETE,
    "HUMS Device Tag Delete",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "DIAG:HUMS:TAGS:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_HUMS_SNMP_REST_ENABLED =
  {
    RSSMXV_ATTR_HUMS_SNMP_REST_ENABLED,
    "HUMS SNMP Rest Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SYST:COMM:REST:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_HUMS_SNMP_VERSION =
  {
    RSSMXV_ATTR_HUMS_SNMP_VERSION,
    "HUMS SNMP Version",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngHUMSSNMPVersion, NULL, NULL,
    "SYST:COMM:SNMP:VERS",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_HUMSSNMP_VERSION_V12,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_HUMS_SNMP_USER_CATALOG =
  {
    RSSMXV_ATTR_HUMS_SNMP_USER_CATALOG,
    "HUMS SNMP User Catalog",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:SNMP:USM:USER:ALL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_HIDDEN_HUMS_SNMP_USER_ADD =
  {
    RSSMXV_ATTR_HIDDEN_HUMS_SNMP_USER_ADD,
    "Hidden HUMS SNMP User Add",
    RS_VAL_WRITE_ONLY,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "SYST:COMM:SNMP:USM:USER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "\'UserName\',RO,NOA",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_HUMS_SNMP_USER_DELETE =
  {
    RSSMXV_ATTR_HUMS_SNMP_USER_DELETE,
    "HUMS SNMP User Delete",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:SNMP:USM:USER:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "UserName",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_HUMS_SNMP_USER_DELETE_ALL =
  {
    RSSMXV_ATTR_HUMS_SNMP_USER_DELETE_ALL,
    "HUMS SNMP User Delete All",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:COMM:SNMP:USM:USER:DEL:ALL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_HUMS_SNMP_READ_ONLY_ACCESS =
  {
    RSSMXV_ATTR_HUMS_SNMP_READ_ONLY_ACCESS,
    "HUMS SNMP Read Only Access",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:SNMP:COMM:RO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "CommunityString",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_HUMS_SNMP_READ_WRITE_ACCESS =
  {
    RSSMXV_ATTR_HUMS_SNMP_READ_WRITE_ACCESS,
    "HUMS SNMP Read Write Access",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:SNMP:COMM:RW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "CommunityString",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_HUMS_SNMP_CONTACT =
  {
    RSSMXV_ATTR_HUMS_SNMP_CONTACT,
    "HUMS SNMP Contact",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:SNMP:CONT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "contact",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_HUMS_SNMP_LOCATION =
  {
    RSSMXV_ATTR_HUMS_SNMP_LOCATION,
    "HUMS SNMP Location",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:SNMP:LOC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "location",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_CALIBRATION_CONTINUE_ON_ERROR =
  {
    RSSMXV_ATTR_CALIBRATION_CONTINUE_ON_ERROR,
    "Calibration Continue On Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":CAL{Path}:CONT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_CALIBRATION_LAST_FULL_ADJUSTMENT =
  {
    RSSMXV_ATTR_CALIBRATION_LAST_FULL_ADJUSTMENT,
    "Calibration Last Full Adjustment",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":CAL{Path}:ALL:DATE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "2016",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_CALIBRATION_LAST_FULL_ADJUSTMENT_TIME =
  {
    RSSMXV_ATTR_CALIBRATION_LAST_FULL_ADJUSTMENT_TIME,
    "Calibration Last Full Adjustment Time",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":CAL{Path}:ALL:TIME?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0:0:0",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_CALIBRATION_TEMPERATURE_OFFSET_TO_LAST_FULL_ADJUSTMENT =
  {
    RSSMXV_ATTR_CALIBRATION_TEMPERATURE_OFFSET_TO_LAST_FULL_ADJUSTMENT,
    "Calibration Temperature Offset To Last Full Adjustment",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":CAL{Path}:ALL:TEMP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0 K",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_CALIBRATION_INTERNAL_ADJUSTMENT_STATE =
  {
    RSSMXV_ATTR_CALIBRATION_INTERNAL_ADJUSTMENT_STATE,
    "Calibration Internal Adjustment State",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":CAL{Path}:ALL:INF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Instrument is calibrated, no adjustment required.",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_LAST_FACTORY_CALIBRATION =
  {
    RSSMXV_ATTR_LAST_FACTORY_CALIBRATION,
    "Last Factory Calibration",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CAL:DATA:FACT:DATE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "2016-01-01",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_CALIBRATION_REFERENCE_FREQUENCY =
  {
    RSSMXV_ATTR_CALIBRATION_REFERENCE_FREQUENCY,
    "Calibration Reference Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    ":CAL:ROSC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_CALIBRATION_SHUTDOWN_AFTER_ADJUSTMENT_ENABLED =
  {
    RSSMXV_ATTR_CALIBRATION_SHUTDOWN_AFTER_ADJUSTMENT_ENABLED,
    "Calibration Shutdown After Adjustment Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":CAL:DEL:SHUT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_CALIBRATION_WARM_UP_TIME =
  {
    RSSMXV_ATTR_CALIBRATION_WARM_UP_TIME,
    "Calibration Warm Up Time",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngCalibrationWarmUpTime, NULL,
    ":CAL:DEL:MIN",
    // Defaults I32, I64, Float, Bool, String
    60,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_CALIBRATION_ADJUST_ALL_DELAYED =
  {
    RSSMXV_ATTR_CALIBRATION_ADJUST_ALL_DELAYED,
    "Calibration Adjust All Delayed",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":CAL:DEL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_HARD_COPY_EXECUTE =
  {
    RSSMXV_ATTR_HARD_COPY_EXECUTE,
    "Hard Copy Execute",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "HCOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_HARD_COPY_LANGUAGE =
  {
    RSSMXV_ATTR_HARD_COPY_LANGUAGE,
    "Hard Copy Language",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngHardCopyLanguage, NULL, NULL,
    "HCOP:DEV:LANG",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_HCOPY_LANG_BMP,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_HARD_COPY_IMAGE_FORMAT =
  {
    RSSMXV_ATTR_HARD_COPY_IMAGE_FORMAT,
    "Hard Copy Image Format",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngHardCopyLanguage, NULL, NULL,
    "HCOP:IMAG:FORM",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_HCOPY_LANG_BMP,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_HARD_COPY_REGION =
  {
    RSSMXV_ATTR_HARD_COPY_REGION,
    "Hard Copy Region",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngHardCopyRegion, NULL, NULL,
    ":HCOP:REG",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_HCOPY_SNAPSHOT_ALL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_HARD_COPY_FILE_NAME =
  {
    RSSMXV_ATTR_HARD_COPY_FILE_NAME,
    "Hard Copy File Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "HCOP:FILE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "fileName",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_HARD_COPY_AUTO_FILE_DIRECTORY =
  {
    RSSMXV_ATTR_HARD_COPY_AUTO_FILE_DIRECTORY,
    "Hard Copy Auto File Directory",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "HCOP:FILE:AUTO:DIR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "HCopy",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_CLEAR_HARD_COPY_FILE =
  {
    RSSMXV_ATTR_CLEAR_HARD_COPY_FILE,
    "Clear Hard Copy File",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "HCOP:FILE:AUTO:DIR:CLE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_HARD_COPY_AUTO_FILE_NAME =
  {
    RSSMXV_ATTR_HARD_COPY_AUTO_FILE_NAME,
    "Hard Copy Auto File Name",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "HCOP:FILE:AUTO:FILE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "fileName",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_HARD_COPY_AUTO_NAMING_ENABLED =
  {
    RSSMXV_ATTR_HARD_COPY_AUTO_NAMING_ENABLED,
    "Hard Copy Auto Naming Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "HCOP:FILE:AUTO:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_HARD_COPY_DAY_TO_FILE_NAME =
  {
    RSSMXV_ATTR_HARD_COPY_DAY_TO_FILE_NAME,
    "Hard Copy Day To File Name",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "HCOP:FILE:AUTO:DAY:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_HARD_COPY_MONTH_TO_FILE_NAME =
  {
    RSSMXV_ATTR_HARD_COPY_MONTH_TO_FILE_NAME,
    "Hard Copy Month To File Name",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "HCOP:FILE:AUTO:MONT:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_HARD_COPY_YEAR_TO_FILE_NAME =
  {
    RSSMXV_ATTR_HARD_COPY_YEAR_TO_FILE_NAME,
    "Hard Copy Year To File Name",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "HCOP:FILE:AUTO:YEAR:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_HARD_COPY_CURRENT_NUMBER =
  {
    RSSMXV_ATTR_HARD_COPY_CURRENT_NUMBER,
    "Hard Copy Current Number",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "HCOP:FILE:AUTO:NUMB?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_HARD_COPY_AUTO_PREFIX_ENABLED =
  {
    RSSMXV_ATTR_HARD_COPY_AUTO_PREFIX_ENABLED,
    "Hard Copy Auto Prefix Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "HCOP:FILE:AUTO:PREF:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_HARD_COPY_FILE_NAME_PREFIX =
  {
    RSSMXV_ATTR_HARD_COPY_FILE_NAME_PREFIX,
    "Hard Copy File Name Prefix",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "HCOP:FILE:AUTO:PREF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "HCopy",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_HARD_COPY_GENERATED_AUTO_NAME =
  {
    RSSMXV_ATTR_HARD_COPY_GENERATED_AUTO_NAME,
    "Hard Copy Generated Auto Name",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":HCOP:FILE:AUTO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "file name",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DISPLAY_UPDATE =
  {
    RSSMXV_ATTR_DISPLAY_UPDATE,
    "Display Update",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":DISP:UPD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DISPLAY_ANNOTATION_AMPLITUDE =
  {
    RSSMXV_ATTR_DISPLAY_ANNOTATION_AMPLITUDE,
    "Display Annotation Amplitude",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":DISP:ANN:AMPL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DISPLAY_ANNOTATION_FREQUENCY =
  {
    RSSMXV_ATTR_DISPLAY_ANNOTATION_FREQUENCY,
    "Display Annotation Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":DISP:ANN:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DISPLAY_ANNOTATION_ALL =
  {
    RSSMXV_ATTR_DISPLAY_ANNOTATION_ALL,
    "Display Annotation All",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":DISP:ANN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DISPLAY_DIALOG_ID =
  {
    RSSMXV_ATTR_DISPLAY_DIALOG_ID,
    "Display Dialog ID",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":DISP:DIAL:ID?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "dialogID",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DISPLAY_DIALOG_OPEN =
  {
    RSSMXV_ATTR_DISPLAY_DIALOG_OPEN,
    "Display Dialog Open",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":DISP:DIAL:OPEN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "dialogID",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DISLPAY_DIALOG_CLOSE =
  {
    RSSMXV_ATTR_DISLPAY_DIALOG_CLOSE,
    "Dislpay Dialog Close",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":DISP:DIAL:CLOS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "dialogID",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DISPLAY_DIALOG_CLOSE_ALL =
  {
    RSSMXV_ATTR_DISPLAY_DIALOG_CLOSE_ALL,
    "Display Dialog Close All",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":DISP:DIAL:CLOS:ALL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DISPLAY_BRIGHTNESS =
  {
    RSSMXV_ATTR_DISPLAY_BRIGHTNESS,
    "Display Brightness",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngDisplayBrightness, NULL,
    ":DISP:BRIG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    14,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DISPLAY_BUTTON_BRIGHTNESS =
  {
    RSSMXV_ATTR_DISPLAY_BUTTON_BRIGHTNESS,
    "Display Button Brightness",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngDisplayBrightness, NULL,
    ":DISP:BUTT:BRIG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    14,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DISPLAY_POWER_SAVE_ENABLED =
  {
    RSSMXV_ATTR_DISPLAY_POWER_SAVE_ENABLED,
    "Display Power Save Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:PSAV:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_DISPLAY_POWER_SAVE_HOLDOFF =
  {
    RSSMXV_ATTR_DISPLAY_POWER_SAVE_HOLDOFF,
    "Display Power Save Holdoff",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DISP:PSAV:HOLD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_MMEMORY_CHANGE_DIRECTORY =
  {
    RSSMXV_ATTR_MMEMORY_CHANGE_DIRECTORY,
    "MMEMory Change Directory",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:CDIR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "..",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_MMEMORY_DELETE =
  {
    RSSMXV_ATTR_MMEMORY_DELETE,
    "MMEMory Delete",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "file",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_MMEMORY_MAKE_DIRECTORY =
  {
    RSSMXV_ATTR_MMEMORY_MAKE_DIRECTORY,
    "MMEMory Make Directory",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:MDIR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "New_Folder",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_MMEMORY_DRIVE =
  {
    RSSMXV_ATTR_MMEMORY_DRIVE,
    "MMEMory Drive",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:MSIS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "D:",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_MMEMORY_REMOVE_DIRECTORY =
  {
    RSSMXV_ATTR_MMEMORY_REMOVE_DIRECTORY,
    "MMEMory Remove Directory",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:RDIR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "New_Folder",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_MMEMORY_USER_PATH =
  {
    RSSMXV_ATTR_MMEMORY_USER_PATH,
    "MMEMory User Path",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SYST:MMEM:PATH:USER?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/var/user/",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_MMEMORY_USED_AND_AVAILABLE_MEMORY =
  {
    RSSMXV_ATTR_MMEMORY_USED_AND_AVAILABLE_MEMORY,
    "MMEMory Used And Available Memory",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":MEM:HFR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_REBOOT =
  {
    RSSMXV_ATTR_SYSTEM_REBOOT,
    "System Reboot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SYST:REB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_RESTART =
  {
    RSSMXV_ATTR_SYSTEM_RESTART,
    "System Restart",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SYST:REST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_SHUTDOWN =
  {
    RSSMXV_ATTR_SYSTEM_SHUTDOWN,
    "System Shutdown",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SYST:SHUT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_FACTORY_PRESET =
  {
    RSSMXV_ATTR_SYSTEM_FACTORY_PRESET,
    "System Factory Preset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SYST:FPR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_ERROR =
  {
    RSSMXV_ATTR_SYSTEM_ERROR,
    "System Error",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:ERR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "error",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_STATIC_ERRORS =
  {
    RSSMXV_ATTR_SYSTEM_STATIC_ERRORS,
    "System Static Errors",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SYST:ERR:STAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "error",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_ERROR_QUEUE_ALL =
  {
    RSSMXV_ATTR_SYSTEM_ERROR_QUEUE_ALL,
    "System Error Queue All",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:ERR:ALL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "error",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_ERROR_QUEUE_CODE_ALL =
  {
    RSSMXV_ATTR_SYSTEM_ERROR_QUEUE_CODE_ALL,
    "System Error Queue Code All",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:ERR:CODE:ALL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "error",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_ERROR_QUEUE_CODE_NEXT =
  {
    RSSMXV_ATTR_SYSTEM_ERROR_QUEUE_CODE_NEXT,
    "System Error Queue Code Next",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SYST:ERR:CODE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_ERROR_QUEUE_COUNT =
  {
    RSSMXV_ATTR_SYSTEM_ERROR_QUEUE_COUNT,
    "System Error Queue Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SYST:ERR:COUN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_ERROR_GLOBAL =
  {
    RSSMXV_ATTR_SYSTEM_ERROR_GLOBAL,
    "System Error Global",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SYST:ERR:GNEX?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "error",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_USB_RESOURCE =
  {
    RSSMXV_ATTR_SYSTEM_USB_RESOURCE,
    "System USB Resource",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SYST:COMM:USB:RES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "resource",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_VISA_RESOURCE_STRING =
  {
    RSSMXV_ATTR_SYSTEM_VISA_RESOURCE_STRING,
    "System VISA Resource String",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SYST:COMM:SOCK:RES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "resource",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_OPTION_USER_DEFINED =
  {
    RSSMXV_ATTR_SYSTEM_OPTION_USER_DEFINED,
    "System Option User Defined",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:ORES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "test option",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_KEYBOARD_LOCK =
  {
    RSSMXV_ATTR_SYSTEM_KEYBOARD_LOCK,
    "System Keyboard Lock",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SYST:KLOC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_USER_INTERFACE_LOCK =
  {
    RSSMXV_ATTR_SYSTEM_USER_INTERFACE_LOCK,
    "System User Interface Lock",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngSystemUserInterfaceLock, NULL, NULL,
    ":SYST:ULOC",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_SYSTEM_ULOCK_ENABLED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_DISPLAY_LOCK =
  {
    RSSMXV_ATTR_SYSTEM_DISPLAY_LOCK,
    "System Display Lock",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SYST:DLOC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_VERSION =
  {
    RSSMXV_ATTR_SYSTEM_VERSION,
    "System Version",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:VERS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "version",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_BIOS_VERSION =
  {
    RSSMXV_ATTR_SYSTEM_BIOS_VERSION,
    "System BIOS Version",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:BIOS:VERS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "version",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_STARTUP_COMPLETE =
  {
    RSSMXV_ATTR_SYSTEM_STARTUP_COMPLETE,
    "System Startup Complete",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SYST:STAR:COMP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_ALL_DATA_SHEETS =
  {
    RSSMXV_ATTR_SYSTEM_ALL_DATA_SHEETS,
    "System All Data Sheets",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SYST:SPEC:VERS:CAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "catalog",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_DATA_SHEET_FACTORY_VERSION =
  {
    RSSMXV_ATTR_SYSTEM_DATA_SHEET_FACTORY_VERSION,
    "System Data Sheet Factory Version",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SYST:SPEC:VERS:FACT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "version",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_DATA_SHEET_VERSION =
  {
    RSSMXV_ATTR_SYSTEM_DATA_SHEET_VERSION,
    "System Data Sheet Version",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SYST:SPEC:VERS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "version",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_DATA_SHEET_IDS =
  {
    RSSMXV_ATTR_SYSTEM_DATA_SHEET_IDS,
    "System Data Sheet IDs",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SYST:SPEC:IDEN:CAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "catalog",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_SCPI_INFORMATION =
  {
    RSSMXV_ATTR_SYSTEM_SCPI_INFORMATION,
    "System SCPI Information",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SYST:INF:SCPI",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "information",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_TIME_ZONE_CATALOG =
  {
    RSSMXV_ATTR_SYSTEM_TIME_ZONE_CATALOG,
    "System Time Zone Catalog",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SYST:TIME:ZONE:CAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "catalog",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_TIME_ZONE =
  {
    RSSMXV_ATTR_SYSTEM_TIME_ZONE,
    "System Time Zone",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SYST:TIME:ZONE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "timezone",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_TIME_PROTOCOL =
  {
    RSSMXV_ATTR_SYSTEM_TIME_PROTOCOL,
    "System Time Protocol",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngTimeProtocol, NULL, NULL,
    ":SYST:TIME:PROT",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_TIME_PROTOCOL_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_DATE =
  {
    RSSMXV_ATTR_SYSTEM_DATE,
    "System Date",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SYST:DATE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "2015,6,1",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_UPTIME =
  {
    RSSMXV_ATTR_SYSTEM_UPTIME,
    "System Uptime",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SYST:UPT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0.12:34:56",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_CLEAR_HISTORY =
  {
    RSSMXV_ATTR_SYSTEM_CLEAR_HISTORY,
    "System Clear History",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SYST:ERR:HIST:CLE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_WAIT =
  {
    RSSMXV_ATTR_SYSTEM_WAIT,
    "System Wait",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsSMxV_rngSystemWait, NULL,
    ":SYST:WAIT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_DEVICE_FOOTPRINT =
  {
    RSSMXV_ATTR_SYSTEM_DEVICE_FOOTPRINT,
    "System Device Footprint",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SYST:DFPR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "very long string formatted as XML",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_OPERATING_SYSTEM =
  {
    RSSMXV_ATTR_SYSTEM_OPERATING_SYSTEM,
    "System Operating System",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SYST:OSYS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Linux",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_SCPI_RECORDING_DATA =
  {
    RSSMXV_ATTR_SYSTEM_SCPI_RECORDING_DATA,
    "System SCPI Recording Data",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SYST:SRD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "very long string",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_SAVE_INSTRUMENT_SETTINGS =
  {
    RSSMXV_ATTR_SYSTEM_SAVE_INSTRUMENT_SETTINGS,
    "System Save Instrument Settings",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SYST:SAV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/var/user/Instrument_settings.svrcltxt",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_LOAD_INSTRUMENT_SETTINGS =
  {
    RSSMXV_ATTR_SYSTEM_LOAD_INSTRUMENT_SETTINGS,
    "System Load Instrument Settings",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SYST:RCL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "/var/user/Instrument_settings.svrcltxt",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_HELP_EXPORT =
  {
    RSSMXV_ATTR_SYSTEM_HELP_EXPORT,
    "System Help Export",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SYST:HELP:EXP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_IDENTIFICATION =
  {
    RSSMXV_ATTR_SYSTEM_IDENTIFICATION,
    "System Identification",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngSystemIdentification, NULL, NULL,
    ":SYST:IDEN",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_SYSTEM_ID_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_IDENTIFICATION_PRESET =
  {
    RSSMXV_ATTR_SYSTEM_IDENTIFICATION_PRESET,
    "System Identification Preset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SYST:IDEN:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_IDN_RESPONSE =
  {
    RSSMXV_ATTR_SYSTEM_IDN_RESPONSE,
    "System IDN Response",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:IRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "response",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_LOCK_OWNER =
  {
    RSSMXV_ATTR_SYSTEM_LOCK_OWNER,
    "System Lock Owner",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SYST:LOCK:OWN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "NONE",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_LOCK_RELEASE =
  {
    RSSMXV_ATTR_SYSTEM_LOCK_RELEASE,
    "System Lock Release",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SYST:LOCK:REL:ALL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_LOCK_EXKLUSIVE =
  {
    RSSMXV_ATTR_SYSTEM_LOCK_EXKLUSIVE,
    "System Lock Exklusive",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    ":SYST:LOCK:REQ?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_OLDEST_INFORMATION_MESSAGE =
  {
    RSSMXV_ATTR_SYSTEM_OLDEST_INFORMATION_MESSAGE,
    "System Oldest Information Message",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SYST:NINF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "info",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_NETWORK_DOMAIN =
  {
    RSSMXV_ATTR_SYSTEM_NETWORK_DOMAIN,
    "System Network Domain",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:NETW:DOM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "local",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_NETWORK_GATEWAY =
  {
    RSSMXV_ATTR_SYSTEM_NETWORK_GATEWAY,
    "System Network Gateway",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:NETW:GAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "192.168.0.1",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_NETWORK_RESOURCE =
  {
    RSSMXV_ATTR_SYSTEM_NETWORK_RESOURCE,
    "System Network Resource",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:NETW:RES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "resource",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_NETWORK_SUBNET_MASK =
  {
    RSSMXV_ATTR_SYSTEM_NETWORK_SUBNET_MASK,
    "System Network Subnet Mask",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:NETW:SUBN:MASK",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "255.255.255.0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_NETWORK_WORKGROUP =
  {
    RSSMXV_ATTR_SYSTEM_NETWORK_WORKGROUP,
    "System Network Workgroup",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:NETW:WORK",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "workgroup",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_NETWORK_MAC_ADDRESS =
  {
    RSSMXV_ATTR_SYSTEM_NETWORK_MAC_ADDRESS,
    "System Network Mac Address",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:NETW:MAC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "address",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_NETWORK_ENABLED =
  {
    RSSMXV_ATTR_SYSTEM_NETWORK_ENABLED,
    "System Network Enabled",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SYST:COMM:NETW:STAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_NETWORK_HOSTNAME =
  {
    RSSMXV_ATTR_SYSTEM_NETWORK_HOSTNAME,
    "System Network Hostname",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SYST:COMM:NETW:HOST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "hostname",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_NETWORK_RESTART =
  {
    RSSMXV_ATTR_SYSTEM_NETWORK_RESTART,
    "System Network Restart",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SYST:COMM:NETW:REST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_NETWORK_DNS_SERVER =
  {
    RSSMXV_ATTR_SYSTEM_NETWORK_DNS_SERVER,
    "System Network DNS Server",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SYST:COMM:NETW:IPAD:DNS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "192.168.5.14",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_NETWORK_IP_ADDRESS =
  {
    RSSMXV_ATTR_SYSTEM_NETWORK_IP_ADDRESS,
    "System Network IP Address",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:NETW:IPAD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "192.168.0.1",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_NETWORK_IP_ADDRESS_SUBNET_MASK =
  {
    RSSMXV_ATTR_SYSTEM_NETWORK_IP_ADDRESS_SUBNET_MASK,
    "System Network IP Address Subnet Mask",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:NETW:IPAD:SUBN:MASK",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "255.255.255.0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_NETWORK_IP_ADDRESS_GATEWAY =
  {
    RSSMXV_ATTR_SYSTEM_NETWORK_IP_ADDRESS_GATEWAY,
    "System Network IP Address Gateway",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:NETW:IPAD:GAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "192.168.0.1",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_NETWORK_IP_ADDRESS_MODE =
  {
    RSSMXV_ATTR_SYSTEM_NETWORK_IP_ADDRESS_MODE,
    "System Network IP Address Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngSystemIPAddressMode, NULL, NULL,
    "SYST:COMM:NETW:IPAD:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_SYSTEM_COMMUNICATE_IP_MODE_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_FREQUENCY_OFFSET =
  {
    RSSMXV_ATTR_SYSTEM_CONFIGURATION_FREQUENCY_OFFSET,
    "System Configuration Frequency Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngSystemConfigurationFrequencyOffset, NULL,
    ":SCON:OUTP:MAPP:STR{Stream}:FOFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_PHASE_OFFSET =
  {
    RSSMXV_ATTR_SYSTEM_CONFIGURATION_PHASE_OFFSET,
    "System Configuration Phase Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngSystemConfigurationPhaseOffset, NULL,
    ":SCON:OUTP:MAPP:STR{Stream}:POFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_EXTERNAL_CLEAN =
  {
    RSSMXV_ATTR_SYSTEM_CONFIGURATION_EXTERNAL_CLEAN,
    "System Configuration External Clean",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SCON:EXT:REM:CLE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_EXTERNAL_CONNECT_ALL =
  {
    RSSMXV_ATTR_SYSTEM_CONFIGURATION_EXTERNAL_CONNECT_ALL,
    "System Configuration External Connect All",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SCON:EXT:REM:CONN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_EXTERNAL_DISCONNECT_ALL =
  {
    RSSMXV_ATTR_SYSTEM_CONFIGURATION_EXTERNAL_DISCONNECT_ALL,
    "System Configuration External Disconnect All",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SCON:EXT:REM:DISC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_EXTERNAL_DISPLAY_MODE =
  {
    RSSMXV_ATTR_SYSTEM_CONFIGURATION_EXTERNAL_DISPLAY_MODE,
    "System Configuration External Display Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngExternalDisplayMode, NULL, NULL,
    ":SCON:EXT:DISP",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_EXTERNAL_DISPLAY_MAPP,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_EXTERNAL_REMOTE_SCAN =
  {
    RSSMXV_ATTR_SYSTEM_CONFIGURATION_EXTERNAL_REMOTE_SCAN,
    "System Configuration External Remote Scan",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SCON:EXT:REM:SCAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_EXTERNAL_REMOTE_SCAN_STATE =
  {
    RSSMXV_ATTR_SYSTEM_CONFIGURATION_EXTERNAL_REMOTE_SCAN_STATE,
    "System Configuration External Remote Scan State",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SCON:EXT:REM:SCAN:STAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_EXTERNAL_REMOTE_LIST =
  {
    RSSMXV_ATTR_SYSTEM_CONFIGURATION_EXTERNAL_REMOTE_LIST,
    "System Configuration External Remote List",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SCON:EXT:REM:LIST?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "catalog",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_EXTERNAL_REMOVE_UNUSED =
  {
    RSSMXV_ATTR_SYSTEM_CONFIGURATION_EXTERNAL_REMOVE_UNUSED,
    "System Configuration External Remove Unused",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SCON:EXT:REM:PURG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_EXTERNAL_AUTO_CONNECT =
  {
    RSSMXV_ATTR_SYSTEM_CONFIGURATION_EXTERNAL_AUTO_CONNECT,
    "System Configuration External Auto Connect",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SCON:EXT:ACON",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_PRESET_BEHAVIOR_ENABLED =
  {
    RSSMXV_ATTR_SYSTEM_CONFIGURATION_PRESET_BEHAVIOR_ENABLED,
    "System Configuration Preset Behavior Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SCON:EXT:PBEH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_EXTERNAL_CATALOG =
  {
    RSSMXV_ATTR_SYSTEM_CONFIGURATION_EXTERNAL_CATALOG,
    "System Configuration External Catalog",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SCON:EXT:REM:INIT:CAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "catalog",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_HSD_REMOTE_CONNECTION_STATE =
  {
    RSSMXV_ATTR_SYSTEM_CONFIGURATION_HSD_REMOTE_CONNECTION_STATE,
    "System Configuration HSD Remote Connection State",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SCON:EXT:HSD:RCON:STAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_HSD_DISCONNECT =
  {
    RSSMXV_ATTR_SYSTEM_CONFIGURATION_HSD_DISCONNECT,
    "System Configuration HSD Disconnect",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SCON:EXT:HSD:REM:DISC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "instr",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_CONFIG_HSD_DIRECTION =
  {
    RSSMXV_ATTR_SYSTEM_CONFIG_HSD_DIRECTION,
    "System Configuration HSD Direction",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngHSDDirection, NULL, NULL,
    ":SCON:EXT:HSD:DIR?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_HSD_DIRECTION_IN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_HSD_REMOTE_SEND_COMMAND =
  {
    RSSMXV_ATTR_SYSTEM_CONFIGURATION_HSD_REMOTE_SEND_COMMAND,
    "System Configuration HSD Remote Send Command",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SCON:EXT:HSD:REM:SEND",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "SCPI Command",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_HSD_RF_COUPLING =
  {
    RSSMXV_ATTR_SYSTEM_CONFIGURATION_HSD_RF_COUPLING,
    "System Configuration HSD RF Coupling",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SCON:EXT:HSD:RF:COUP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_HSD_REMOTE_CONNECT =
  {
    RSSMXV_ATTR_SYSTEM_CONFIGURATION_HSD_REMOTE_CONNECT,
    "System Configuration HSD Remote Connect",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":SCON:EXT:HSD:REM:CONN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_HSD_REMOTE_INIT_FILE =
  {
    RSSMXV_ATTR_SYSTEM_CONFIGURATION_HSD_REMOTE_INIT_FILE,
    "System Configuration HSD Remote Init File",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SCON:EXT:HSD:REM:INIT:FILE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "*.iec",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_HSD_RF_FREQ =
  {
    RSSMXV_ATTR_SYSTEM_CONFIGURATION_HSD_RF_FREQ,
    "System Configuration HSD RF Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngSystemConfigurationHSDRFFrequency, NULL,
    ":SCON:EXT:HSD:RF:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1e9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_HSD_RF_FREQUENCY_OFFSET =
  {
    RSSMXV_ATTR_SYSTEM_CONFIGURATION_HSD_RF_FREQUENCY_OFFSET,
    "System Configuration HSD RF Frequency Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngHSDRFFrequencyOffset, NULL,
    ":SCON:EXT:HSD:RF:FREQ:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_HSD_RF_POWER =
  {
    RSSMXV_ATTR_SYSTEM_CONFIGURATION_HSD_RF_POWER,
    "System Configuration HSD RF Power",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngHSDRFPower, NULL,
    ":SCON:EXT:HSD:RF:POW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -30,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_CONNECTOR_HSD_NAME =
  {
    RSSMXV_ATTR_SYSTEM_CONFIGURATION_CONNECTOR_HSD_NAME,
    "System Configuration HSD Name",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SCON:EXT:HSD{HSD}:INAM?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "name",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_HSD_REMOTE_INFO =
  {
    RSSMXV_ATTR_SYSTEM_CONFIGURATION_HSD_REMOTE_INFO,
    "System Configuration HSD Remote Info",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SCON:EXT:HSD{HSD}:REM:INFO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "None",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_HIDDEN_SYSTEM_CONFIGURATION_HSD_REMOTE_CONNECT_INSTRUMENT =
  {
    RSSMXV_ATTR_HIDDEN_SYSTEM_CONFIGURATION_HSD_REMOTE_CONNECT_INSTRUMENT,
    "Hidden System Configuration HSD Remote Connect Instrument",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    ":SCON:EXT:HSD:REM:ICON",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "\"SMBV100B\",\"A\"",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_HSD_RF_POWER_OFFSET =
  {
    RSSMXV_ATTR_SYSTEM_CONFIGURATION_HSD_RF_POWER_OFFSET,
    "System Configuration HSD RF Power Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngHSDRFPowerOffset, NULL,
    ":SCON:EXT:HSD{HSD}:RF:POW:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_HSD_IQ_CONNECTION_ENABLED =
  {
    RSSMXV_ATTR_SYSTEM_CONFIGURATION_HSD_IQ_CONNECTION_ENABLED,
    "System Configuration HSD IQ Connection Enabled",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SCON:EXT:HSD{HSD}:IQC:STAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_HSD_REMOTE_DETECT =
  {
    RSSMXV_ATTR_SYSTEM_CONFIGURATION_HSD_REMOTE_DETECT,
    "System Configuration HSD Remote Detect",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SCON:EXT:HSD{HSD}:REM:DET?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "none",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_HSD_RF_ENABLED =
  {
    RSSMXV_ATTR_SYSTEM_CONFIGURATION_HSD_RF_ENABLED,
    "System Configuration HSD RF Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SCON:EXT:HSD{HSD}:RF:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_MAPPING_RF_MODE =
  {
    RSSMXV_ATTR_SYSTEM_CONFIGURATION_MAPPING_RF_MODE,
    "System Configuration Mapping RF Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngSystemConfigurationMappingMode, NULL, NULL,
    ":SCON:OUTP:MAPP:RF{Path}:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_SYST_CONF_MAPPING_MODE_SINGLE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_MAPPING_BBMM_CHANNEL_ENABLED =
  {
    RSSMXV_ATTR_SYSTEM_CONFIGURATION_MAPPING_BBMM_CHANNEL_ENABLED,
    "System Configuration Mapping BBMM Channel Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SCON:OUTP:MAPP:BBMM{Path}:CHAN{HSDigChannel}:STR{Stream}:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_MULTI_INSTRUMENT_MODE =
  {
    RSSMXV_ATTR_SYSTEM_CONFIGURATION_MULTI_INSTRUMENT_MODE,
    "System Configuration Multi Instrument Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngMultiInstrumentMode, NULL, NULL,
    ":SCON:MULT:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_MULTI_INSTRUMENT_MODE_PRIMARY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_MULTI_INSTRUMENT_TRIGGER =
  {
    RSSMXV_ATTR_SYSTEM_CONFIGURATION_MULTI_INSTRUMENT_TRIGGER,
    "System Configuration Multi Instrument Trigger",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SCON:MULT:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_MULTI_INSTRUMENT_TRIGGER_SYNC =
  {
    RSSMXV_ATTR_SYSTEM_CONFIGURATION_MULTI_INSTRUMENT_TRIGGER_SYNC,
    "System Configuration Multi Instrument Trigger Sync",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngSystemConfigurationMultiInstrumentTriggerSync, NULL, NULL,
    ":SCON:MULT:TRIG:SYNC?",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_SYSTEM_CONFIGURATION_MULTI_INSTRUMENT_TRIGGER_NOT_SYNCED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_STATUS_PRESET =
  {
    RSSMXV_ATTR_STATUS_PRESET,
    "Status Preset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "STAT:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_UNIT_ANGLE =
  {
    RSSMXV_ATTR_UNIT_ANGLE,
    "Unit Angle",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngUnitAngle, NULL, NULL,
    "UNIT:ANGL",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_UNIT_ANGLE_RAD,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_UNIT_POWER =
  {
    RSSMXV_ATTR_UNIT_POWER,
    "Unit Power",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngUnitPower, NULL, NULL,
    "UNIT:POW",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_UNIT_POWER_V,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_GRAPHICS_MODE =
  {
    RSSMXV_ATTR_GRAPHICS_MODE,
    "Graphics Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngGraphicsMode, NULL, NULL,
    "SOUR{Path}:BB:GRAP:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_GRAPHICS_MODE_IQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_GRAPHICS_TRIGGER_SOURCE =
  {
    RSSMXV_ATTR_GRAPHICS_TRIGGER_SOURCE,
    "Graphics Trigger Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngGraphicsTriggerSource, NULL, NULL,
    "SOUR{Path}:BB:GRAP:TRIG:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_GRAPHICS_TRIGGER_SOURCE_SOFTWARE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_GRAPHICS_SAMPLE_RATE_MODE =
  {
    RSSMXV_ATTR_GRAPHICS_SAMPLE_RATE_MODE,
    "Graphics Sample Rate Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngGraphicsSampleRateMode, NULL, NULL,
    "SOUR{Path}:BB:GRAP:SRAT:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_GRAPHICS_SAMPLE_RATE_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_GRAPHICS_SAMPLE_RATE =
  {
    RSSMXV_ATTR_GRAPHICS_SAMPLE_RATE,
    "Graphics Sample Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngGraphicsSampleRate, NULL,
    "SOUR{Path}:BB:GRAP:SRAT:USER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_GRAPHICS_ADD =
  {
    RSSMXV_ATTR_GRAPHICS_ADD,
    "Graphics Add",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    &RsSMxV_rngGraphicsAdd, NULL, NULL,
    "SOUR{Path}:BB:GRAP:ADD",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_GRAPHICS_ADD_MAX,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_GRAPHICS_CLOSE =
  {
    RSSMXV_ATTR_GRAPHICS_CLOSE,
    "Graphics Close",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SOUR{Path}:BB:GRAP:CLOS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_GRAPHICS_SOURCE =
  {
    RSSMXV_ATTR_GRAPHICS_SOURCE,
    "Graphics Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngGraphicsSource, NULL, NULL,
    "SOUR{Path}:BB:GRAP:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_GRAPHICS_SOURCE_STRA,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_GRAPHICS_FFT_SCALE =
  {
    RSSMXV_ATTR_GRAPHICS_FFT_SCALE,
    "Graphics FFT Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":BB:GRAP:FFTF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_GRAPHICS_FFT_SIZE =
  {
    RSSMXV_ATTR_GRAPHICS_FFT_SIZE,
    "Graphics FFT Size",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngGraphicsFFTSize, NULL, NULL,
    ":BB:GRAP:FFTL",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_GRAPHICS_FFT_LEN2048,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_NTP_SERVER_ENABLED =
  {
    RSSMXV_ATTR_NTP_SERVER_ENABLED,
    "NTP Server Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    ":SYST:NTP:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_NTP_SERVER_HOSTNAME =
  {
    RSSMXV_ATTR_NTP_SERVER_HOSTNAME,
    "NTP Server Hostname",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":SYST:NTP:HOST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "NTPName",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TEST_START =
  {
    RSSMXV_ATTR_TEST_START,
    "Test Start",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":TEST{Path}:ALL:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TEST_RESULT =
  {
    RSSMXV_ATTR_TEST_RESULT,
    "Test Result",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    ":TEST{Path}:ALL:RES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_PRESET_DEVICE =
  {
    RSSMXV_ATTR_PRESET_DEVICE,
    "Preset Device",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DEV:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_ID_QUERY_RESPONSE =
  {
    RSSMXV_ATTR_ID_QUERY_RESPONSE,
    "ID Query Response",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "*IDN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Rohde&Schwarz,SMCV100B,123456/789,1.23",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_LOGGING =
  {
    RSSMXV_ATTR_LOGGING,
    "Logging",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "no_command",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rssmxv_logging_ReadCallback,
    rssmxv_logging_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_PROCESS_ALL_PREVIOUS_COMMANDS =
  {
    RSSMXV_ATTR_PROCESS_ALL_PREVIOUS_COMMANDS,
    "Process All Previous Commands",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "*WAI",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_QUEUE_NEXT =
  {
    RSSMXV_ATTR_QUEUE_NEXT,
    "Queue Next",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    ":STAT:QUE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "error",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TRIGGER_INPUT_SLOPE =
  {
    RSSMXV_ATTR_TRIGGER_INPUT_SLOPE,
    "Trigger Input Slope",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngSlope, NULL, NULL,
    ":INP:TRIG:SLOP",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_SLOPE_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_CONTROL_INPUT_TRIGGER_IMPEDANCE =
  {
    RSSMXV_ATTR_CONTROL_INPUT_TRIGGER_IMPEDANCE,
    "Control Input Trigger Impedance",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngControlImpedance, NULL, NULL,
    ":INP:USER:TRIG:IMP",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_INPUT_IMP_G1K,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_CONTROL_INPUT_TRIGGER_LEVEL =
  {
    RSSMXV_ATTR_CONTROL_INPUT_TRIGGER_LEVEL,
    "Control Input Trigger Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngControlInputClockLevel, NULL,
    ":INP:USER:TRIG:LEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_CONTROL_INPUT_TRIGGER_SLOPE =
  {
    RSSMXV_ATTR_CONTROL_INPUT_TRIGGER_SLOPE,
    "Control Input Trigger Slope",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngSlope, NULL, NULL,
    ":INP:USER:TRIG:SLOP",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_SLOPE_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_CONTROL_INPUT_CLOCK_IMPEDANCE =
  {
    RSSMXV_ATTR_CONTROL_INPUT_CLOCK_IMPEDANCE,
    "Control Input Clock Impedance",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngControlImpedance, NULL, NULL,
    ":INP:USER:CLOC:IMP",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_INPUT_IMP_G1K,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_CONTROL_INPUT_CLOCK_LEVEL =
  {
    RSSMXV_ATTR_CONTROL_INPUT_CLOCK_LEVEL,
    "Control Input Clock Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsSMxV_rngControlInputClockLevel, NULL,
    ":INP:USER:CLOC:LEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_GLOBAL_CONTROL_INPUT_CLOCK_SLOPE =
  {
    RSSMXV_ATTR_GLOBAL_CONTROL_INPUT_CLOCK_SLOPE,
    "Global Control Input Clock Slope",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngSlope, NULL, NULL,
    ":INP:USER:CLOC:SLOP",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_SLOPE_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_OUTPUT_CONNECTOR_USER_SIGNAL =
  {
    RSSMXV_ATTR_OUTPUT_CONNECTOR_USER_SIGNAL,
    "Output Connector User Signal",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngOutputConnectorUserSignal, NULL, NULL,
    ":OUTP:USER{Connector}:SIGN",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_OUTPUT_MARKER_A1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_OUTPUT_CONNECTOR_DIRECTION =
  {
    RSSMXV_ATTR_OUTPUT_CONNECTOR_DIRECTION,
    "Output Connector Direction",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngOutputConnectorDirection, NULL, NULL,
    ":OUTP:USER{Connector}:DIR",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_OUTPUT_DIRECTION_INPUT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_INPUT_CONNECTOR_DIRECTION =
  {
    RSSMXV_ATTR_INPUT_CONNECTOR_DIRECTION,
    "Input Connector Direction",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngOutputConnectorDirection, NULL, NULL,
    ":INP:USER{Connector}:DIR",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_OUTPUT_DIRECTION_INPUT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_INPUT_CONNECTOR_SIGNAL =
  {
    RSSMXV_ATTR_INPUT_CONNECTOR_SIGNAL,
    "Input Connector Signal",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsSMxV_rngInputConnectorSignal, NULL, NULL,
    ":INP:USER{Connector}:SIGN",
    // Defaults I32, I64, Float, Bool, String
    RSSMXV_VAL_INPUT_SIGNAL_TRIG1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_TRIGGER_RF_FREQUENCY_SWEEP =
  {
    RSSMXV_ATTR_TRIGGER_RF_FREQUENCY_SWEEP,
    "Trigger RF Frequency Sweep",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    ":TRIG{Path}:FSW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSSMXV_ATTR_INIT_SW_TRIGGER =
  {
    RSSMXV_ATTR_INIT_SW_TRIGGER,
    "Init Software Trigger",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "*TRG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };


/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/

ViInt32 rssmxv_RsCoreAttributeListLength = 1533;

RsCoreAttributePtr rssmxv_RsCoreAttributeList[1533] =
  {
    &g_RS_ATTR_RANGE_CHECK,
    &g_RS_ATTR_QUERY_INSTRUMENT_STATUS,
    &g_RS_ATTR_SIMULATE,
    &g_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION,
    &g_RS_ATTR_SPECIFIC_DRIVER_PREFIX,
    &g_RS_ATTR_SPECIFIC_DRIVER_LOCATOR,
    &g_RS_ATTR_SPECIFIC_DRIVER_VENDOR,
    &g_RS_ATTR_SPECIFIC_DRIVER_REVISION,
    &g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION,
    &g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION,
    &g_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS,
    &g_RS_ATTR_GROUP_CAPABILITIES,
    &g_RS_ATTR_FUNCTION_CAPABILITIES,
    &g_RS_ATTR_CHANNEL_COUNT,
    &g_RS_ATTR_DRIVER_SETUP,
    &g_RS_ATTR_INSTRUMENT_MANUFACTURER,
    &g_RS_ATTR_INSTRUMENT_MODEL,
    &g_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION,
    &g_RS_ATTR_OPTIONS_LIST,
    &g_RS_ATTR_IO_RESOURCE_DESCRIPTOR,
    &g_RS_ATTR_LOGICAL_NAME,
    &g_RS_ATTR_PRIMARY_ERROR,
    &g_RS_ATTR_SECONDARY_ERROR,
    &g_RS_ATTR_ERROR_ELABORATION,
    &g_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION,
    &g_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION,
    &g_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION,
    &g_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION,
    &g_RS_ATTR_CLASS_DRIVER_MINOR_VERSION,
    &g_RS_ATTR_ENGINE_MAJOR_VERSION,
    &g_RS_ATTR_ENGINE_MINOR_VERSION,
    &g_RS_ATTR_ENGINE_REVISION,
    &g_RS_ATTR_OPC_TIMEOUT,
    &g_RSSMXV_ATTR_RESET_SIGNAL_PATH,
    &g_RSSMXV_ATTR_BB_FREQUENCY_OFFSET,
    &g_RSSMXV_ATTR_BB_SIGNAL_ROUTING,
    &g_RSSMXV_ATTR_BB_PHASE_OFFSET,
    &g_RSSMXV_ATTR_AM_AUDIO_ENABLED,
    &g_RSSMXV_ATTR_AM_AUDIO_SET_TO_DEFAULT,
    &g_RSSMXV_ATTR_AM_AUDIO_RECALL_SETTINGS,
    &g_RSSMXV_ATTR_AM_AUDIO_SAVE_SETTINGS,
    &g_RSSMXV_ATTR_AM_AUDIO_SETTINGS_CATALOG,
    &g_RSSMXV_ATTR_AM_AUDIO_DELETE_SETTINGS,
    &g_RSSMXV_ATTR_AM_AUDIO_INPUT_SIGNAL,
    &g_RSSMXV_ATTR_AM_AUDIO_EXTERNAL_SOURCE,
    &g_RSSMXV_ATTR_AM_AUDIO_CHANNEL_ENABLED,
    &g_RSSMXV_ATTR_AM_AUDIO_GENERATOR_LEVEL,
    &g_RSSMXV_ATTR_AM_AUDIO_GENERATOR_FREQUENCY,
    &g_RSSMXV_ATTR_AM_AUDIO_PLAYER_SOURCE,
    &g_RSSMXV_ATTR_AM_AUDIO_PLAYER_CATALOG,
    &g_RSSMXV_ATTR_AM_AUDIO_PLAYER_ATTENUATION,
    &g_RSSMXV_ATTR_AM_AUDIO_MODULATION_NOMINAL_DEPTH,
    &g_RSSMXV_ATTR_AM_AUDIO_MODULATION_DEPTH,
    &g_RSSMXV_ATTR_FM_AUDIO_ENABLED,
    &g_RSSMXV_ATTR_FM_AUDIO_SET_TO_DEFAULT,
    &g_RSSMXV_ATTR_FM_AUDIO_RECALL_SETTINGS,
    &g_RSSMXV_ATTR_FM_AUDIO_SAVE_SETTINGS,
    &g_RSSMXV_ATTR_FM_AUDIO_SETTINGS_CATALOG,
    &g_RSSMXV_ATTR_FM_AUDIO_DELETE_SETTINGS,
    &g_RSSMXV_ATTR_FM_AUDIO_INPUT_SIGNAL,
    &g_RSSMXV_ATTR_FM_AUDIO_EXTERNAL_SOURCE,
    &g_RSSMXV_ATTR_FM_AUDIO_STEREO_MODE,
    &g_RSSMXV_ATTR_FM_AUDIO_STEREO_CHANNEL_ENABLED,
    &g_RSSMXV_ATTR_FM_AUDIO_GENERATOR_LEVEL,
    &g_RSSMXV_ATTR_FM_AUDIO_GENERATOR_CHANNEL_FREQUENCY,
    &g_RSSMXV_ATTR_FM_AUDIO_PLAYER_SOURCE,
    &g_RSSMXV_ATTR_FM_AUDIO_PLAYER_CATALOG,
    &g_RSSMXV_ATTR_FM_AUDIO_PLAYER_CHANNEL_ATTENUATION,
    &g_RSSMXV_ATTR_FM_AUDIO_MODULATION_MODE,
    &g_RSSMXV_ATTR_FM_AUDIO_MODULATION_PREEMPHASIS,
    &g_RSSMXV_ATTR_FM_AUDIO_MODULATION_NOMINAL_DEVIATION,
    &g_RSSMXV_ATTR_FM_AUDIO_MODULATION_ACTUAL_DEVIATION,
    &g_RSSMXV_ATTR_FM_AUDIO_MODULATION_PILOT_DEVIATION,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_ENABLED,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_DEVIATION,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_GROUP_SEQUENCE,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_PROGRAM_ID,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_PROGRAM_SERVICE_NAME,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_TRAFFIC_PROGRAM_FLAG,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_TRAFFIC_ANNOUNCEMENT_FLAG,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_PROGRAM_TYPE,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_PROGRAM_TYPE_NAME,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_MUSIC_SPEECH_FLAG,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_RADIO_TEXT,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_DI_DYNAMIC_PTY_ENABLED,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_DI_COMPRESSED,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_DI_ARTIFICIAL_HEAD_ENABLED,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_DI_STEREO_DECODER,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_CLOCK_ENABLED,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_CLOCK_OFFSET,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_ALTERNATIVE_FREQUENCY_METHOD,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_AF_METHOD_A_FREQUENCY_COUNT,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_AF_METHOD_A_FREQUENCY,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_AF_METHOD_B_LIST_FREQUENCY_COUNT,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_AF_METHOD_B_LIST_TUNING_FREQUENCY,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_AF_METHOD_B_LIST_ENTRY_FREQUENCY,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_AF_METHOD_B_LIST_ENTRY_ORDER,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_EON_PROGRAM_ID,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_EON_PROGRAM_SERVICE_NAME,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_EON_TRAFFIC_PROGRAM_FLAG,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_EON_TRAFFIC_ANNOUNCEMENT_FLAG,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_EON_LINKAGE_ACTUATOR_ENABLED,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_EON_EXTENDED_GENERIC_ENABLED,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_EON_INTERNATIONAL_LINKAGE_SET_ENABLED,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_EON_LINKAGE_SET_NUMBER,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_EON_PROGRAM_TYPE,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_EON_PROGRAM_ITEM_NUMBER,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_EON_ALTERNATIVE_FREQUENCY_METHOD,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_EON_AF_METHOD_A_FREQUENCY_COUNT,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_EON_AF_METHOD_A_FEQUENCY,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_EON_AF_MAPPED_FREQUENCY_COUNT,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_EON_AF_MAPPED_TUNING_FREQUENCY,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_EON_AF_MAPPED_FREQUENCY,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_TMC_ENABLED,
    &g_RSSMXV_ATTR_TRANSMIT_FM_AUDIO_RDS_TMC,
    &g_RSSMXV_ATTR_QUERY_FM_AUDIO_RDS_TMC_READY,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_TMC_GROUP_3A_BLOCK_3,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_TMC_GROUP_8A_COUNT,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_TMC_GROUP_8A_BLOCK_2,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_TMC_GROUP_8A_BLOCK_3,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_TMC_GROUP_8A_BLOCK_4,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_ENABLED,
    &g_RSSMXV_ATTR_TRANSMIT_FM_AUDIO_RDS_OPF,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_1A_BLOCK_2,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_1A_BLOCK_3,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_1A_BLOCK_4,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_1B_BLOCK_2,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_1B_BLOCK_3,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_1B_BLOCK_4,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_3A_BLOCK_2,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_3A_BLOCK_3,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_3A_BLOCK_4,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_3B_BLOCK_2,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_3B_BLOCK_3,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_3B_BLOCK_4,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_4B_BLOCK_2,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_4B_BLOCK_3,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_4B_BLOCK_4,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_5A_BLOCK_2,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_5A_BLOCK_3,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_5A_BLOCK_4,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_5B_BLOCK_2,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_5B_BLOCK_3,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_5B_BLOCK_4,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_6A_BLOCK_2,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_6A_BLOCK_3,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_6A_BLOCK_4,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_6B_BLOCK_2,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_6B_BLOCK_3,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_6B_BLOCK_4,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_7A_BLOCK_2,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_7A_BLOCK_3,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_7A_BLOCK_4,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_7B_BLOCK_2,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_7B_BLOCK_3,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_7B_BLOCK_4,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_8A_BLOCK_2,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_8A_BLOCK_3,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_8A_BLOCK_4,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_8B_BLOCK_2,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_8B_BLOCK_3,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_8B_BLOCK_4,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_9A_BLOCK_2,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_9A_BLOCK_3,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_9A_BLOCK_4,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_9B_BLOCK_2,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_9B_BLOCK_3,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_9B_BLOCK_4,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_10B_BLOCK_2,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_10B_BLOCK_3,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_10B_BLOCK_4,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_11A_BLOCK_2,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_11A_BLOCK_3,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_11A_BLOCK_4,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_11B_BLOCK_2,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_11B_BLOCK_3,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_11B_BLOCK_4,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_12A_BLOCK_2,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_12A_BLOCK_3,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_12A_BLOCK_4,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_12B_BLOCK_2,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_12B_BLOCK_3,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_12B_BLOCK_4,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_13A_BLOCK_2,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_13A_BLOCK_3,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_13A_BLOCK_4,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_13B_BLOCK_2,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_13B_BLOCK_3,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_13B_BLOCK_4,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_15A_BLOCK_2,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_15A_BLOCK_3,
    &g_RSSMXV_ATTR_FM_AUDIO_RDS_OPF_GROUP_15A_BLOCK_4,
    &g_RSSMXV_ATTR_FM_AUDIO_DARC_ENABLED,
    &g_RSSMXV_ATTR_FM_AUDIO_DARC_DEVIATION,
    &g_RSSMXV_ATTR_FM_AUDIO_DARC_BIC_DATA,
    &g_RSSMXV_ATTR_FM_AUDIO_DARC_INFORMATION,
    &g_RSSMXV_ATTR_FM_AUDIO_SPECIAL_SETTINGS_ENABLED,
    &g_RSSMXV_ATTR_FM_AUDIO_SPECIAL_PILOT_ENABLED,
    &g_RSSMXV_ATTR_FM_AUDIO_SPECIAL_PILOT_PHASE_OFFSET,
    &g_RSSMXV_ATTR_FM_AUDIO_SPECIAL_RDS_PHASE_OFFSET,
    &g_RSSMXV_ATTR_TDMB_DAB_ENABLED,
    &g_RSSMXV_ATTR_TDMB_DAB_SET_TO_DEFAULT,
    &g_RSSMXV_ATTR_TDMB_DAB_RECALL_SETTINGS,
    &g_RSSMXV_ATTR_TDMB_DAB_SAVE_SETTINGS,
    &g_RSSMXV_ATTR_TDMB_DAB_SETTINGS_CATALOG,
    &g_RSSMXV_ATTR_TDMB_DAB_DELETE_SETTINGS,
    &g_RSSMXV_ATTR_TDMB_DAB_SOURCE,
    &g_RSSMXV_ATTR_TDMB_DAB_EXTERNAL_INPUT,
    &g_RSSMXV_ATTR_TDMB_DAB_EXTERNAL_INPUT_FORMAT,
    &g_RSSMXV_ATTR_TDMB_DAB_IP_ETI_CHANNEL,
    &g_RSSMXV_ATTR_TDMB_DAB_ETI_SIGNAL_TYPE,
    &g_RSSMXV_ATTR_TDMB_DAB_ETI_NUMBER_OF_STREAMS,
    &g_RSSMXV_ATTR_TDMB_DAB_MODE_IDENTITY,
    &g_RSSMXV_ATTR_TDMB_DAT_ETI_INFO_SUBCHANNEL_ID,
    &g_RSSMXV_ATTR_TDMB_DAT_ETI_INFO_PROTECTION_PROFILE,
    &g_RSSMXV_ATTR_TDMB_DAT_ETI_INFO_PROTECTION_LEVEL,
    &g_RSSMXV_ATTR_TDMB_DAT_ETI_INFO_DATARATE,
    &g_RSSMXV_ATTR_TDMB_DAB_NETWORK_MODE,
    &g_RSSMXV_ATTR_TDMB_DAB_NETWORK_TII_STATE,
    &g_RSSMXV_ATTR_TDMB_DAB_NETWORK_TII_MAIN_ID,
    &g_RSSMXV_ATTR_TDMB_DAB_NETWORK_TII_SUB_ID,
    &g_RSSMXV_ATTR_TDMB_DAB_DELAY_NETWORK,
    &g_RSSMXV_ATTR_TDMB_DAB_DELAY_STATIC,
    &g_RSSMXV_ATTR_TDMB_DAB_DELAY_TX_PROCESSING,
    &g_RSSMXV_ATTR_TDMB_DAB_DELAY_TX_COMPENSATION,
    &g_RSSMXV_ATTR_TDMB_DAB_DELAY_TX_DELAY,
    &g_RSSMXV_ATTR_TDMB_DAB_DELAY_TOTAL,
    &g_RSSMXV_ATTR_TDMB_DAB_DELAY_MAX_DEVIATION,
    &g_RSSMXV_ATTR_TDMB_DAB_SPECIAL_SETTINGS_ENABLED,
    &g_RSSMXV_ATTR_TDMB_DAB_SPECIAL_TRANSMISSION_MODE,
    &g_RSSMXV_ATTR_TDMB_DAB_SPECIAL_TRANSMISSION_MODE_SELECT,
    &g_RSSMXV_ATTR_T_DMB_DAB_SPECIAL_PRBS_SEQUENCE,
    &g_RSSMXV_ATTR_T_DMB_DAB_SPECIAL_TEST_SIGNAL_ENABLED,
    &g_RSSMXV_ATTR_T_DMB_DAB_SPECIAL_TEST_SIGNAL_SUBCHANNEL_ID,
    &g_RSSMXV_ATTR_DRM_ENABLED,
    &g_RSSMXV_ATTR_DRM_SET_TO_DEFAULT,
    &g_RSSMXV_ATTR_DRM_RECALL_SETTINGS,
    &g_RSSMXV_ATTR_DRM_SAVE_SETTINGS,
    &g_RSSMXV_ATTR_DRM_DELETE_SETTINGS,
    &g_RSSMXV_ATTR_DRM_SETTINGS_CATALOG,
    &g_RSSMXV_ATTR_DRM_INPUT_SOURCE,
    &g_RSSMXV_ATTR_DRM_INTPUT_SELECT_FILE,
    &g_RSSMXV_ATTR_DRM_INPUT_UDP_PORT,
    &g_RSSMXV_ATTR_DRM_INPUT_AUDIO_SERVICES_NUMBER,
    &g_RSSMXV_ATTR_DRM_INPUT_DATA_SERVICES_NUMBER,
    &g_RSSMXV_ATTR_DRM_INPUT_LAYER_TYPE,
    &g_RSSMXV_ATTR_DRM_INPUT_LABEL,
    &g_RSSMXV_ATTR_DRM_CODING_ROBUSTNESS_MODE,
    &g_RSSMXV_ATTR_DRM_CODING_CONSTELLATION_MSC,
    &g_RSSMXV_ATTR_DRM_CODING_CONSTELLATION_SDC,
    &g_RSSMXV_ATTR_DRM_CODING_INTERLEAVER_DEPTH,
    &g_RSSMXV_ATTR_DRM_CODING_CHANNEL_BANDWIDTH,
    &g_RSSMXV_ATTR_DRM_CODE_RATE_SDC_PROTECTION_PROFILE,
    &g_RSSMXV_ATTR_DRM_CODE_RATE_SDC_PROTECTION_LEVEL,
    &g_RSSMXV_ATTR_DRM_SDC_CODE_RATE,
    &g_RSSMXV_ATTR_DRM_CODE_RATE_MSC_PROTECTION_PROFILE,
    &g_RSSMXV_ATTR_DRM_CODE_RATE_MSC_PROTECTION_LEVEL,
    &g_RSSMXV_ATTR_DRM_MSC_CODE_RATE,
    &g_RSSMXV_ATTR_ATSCMH_ENABLED,
    &g_RSSMXV_ATTR_ATSCMH_VSB_FREQUENCY,
    &g_RSSMXV_ATTR_ATSCMH_SET_TO_DEFAULT,
    &g_RSSMXV_ATTR_ATSCMH_RECALL_SETTINGS,
    &g_RSSMXV_ATTR_ATSCMH_SAVE_SETTINGS,
    &g_RSSMXV_ATTR_ATSCMH_SETTINGS_CATALOG,
    &g_RSSMXV_ATTR_ATSCMH_DELETE_SETTINGS,
    &g_RSSMXV_ATTR_ATSCMH_SOURCE,
    &g_RSSMXV_ATTR_ATSCMH_EXTERNAL_INPUT,
    &g_RSSMXV_ATTR_ATSCMH_SERIAL_INPUT_FORMAT,
    &g_RSSMXV_ATTR_ATSCMH_IP_TS_CHANNEL,
    &g_RSSMXV_ATTR_ATSCMH_STUFFING_ENABLED,
    &g_RSSMXV_ATTR_ATSCMH_INFO_PACKET_LENGTH,
    &g_RSSMXV_ATTR_ATSCMH_INFO_MAX_USEFUL_DATARATE,
    &g_RSSMXV_ATTR_ATSCMH_INFO_MEASURED_DATARATE,
    &g_RSSMXV_ATTR_ATSCMH_USEFUL_DATARATE,
    &g_RSSMXV_ATTR_ATSCMH_TEST_SIGNAL,
    &g_RSSMXV_ATTR_ATSCMH_TEST_TS_PACKET,
    &g_RSSMXV_ATTR_ATSCMH_TEST_PID_TEST_PACKET,
    &g_RSSMXV_ATTR_ATSCMH_TEST_PID,
    &g_RSSMXV_ATTR_ATSCMH_TEST_PAYLOAD,
    &g_RSSMXV_ATTR_ATSCMH_TEST_PRBS,
    &g_RSSMXV_ATTR_ATSCMH_CODING_SYMBOL_RATE,
    &g_RSSMXV_ATTR_ATSCMH_CODING_CONSTELLATION,
    &g_RSSMXV_ATTR_ATSCMH_CODING_ROLL_OFF,
    &g_RSSMXV_ATTR_ATSCMH_CODING_MH_STATE,
    &g_RSSMXV_ATTR_ATSCMH_NETWORKING_MHE_PID,
    &g_RSSMXV_ATTR_ATSCMH_NETWORKING_RF_WATERMARK,
    &g_RSSMXV_ATTR_ATSCMH_NETWORKING_TX_ADDRESS,
    &g_RSSMXV_ATTR_ATSCMH_NETWORKING_NETWORK_ID,
    &g_RSSMXV_ATTR_ATSCMH_NETWORKING_BURY_RATIO,
    &g_RSSMXV_ATTR_ATSCMH_NETWORKING_MTXID_TRANSMISSION,
    &g_RSSMXV_ATTR_ATSCMH_NETWORKING_TRANSMITTER_ID,
    &g_RSSMXV_ATTR_ATSCMH_NETWORKING_MARKET_ID,
    &g_RSSMXV_ATTR_ATSC3_ENABLED,
    &g_RSSMXV_ATTR_ATSC3_SET_TO_DEFAULT,
    &g_RSSMXV_ATTR_ATSC3_RECALL_SETTINGS,
    &g_RSSMXV_ATTR_ATSC3_SAVE_SETTINGS,
    &g_RSSMXV_ATTR_ATSC3_SETTINGS_CATALOG,
    &g_RSSMXV_ATTR_ATSC3_DELETE_SETTINGS,
    &g_RSSMXV_ATTR_ATSC3_STL_INTERFACE_ENABLED,
    &g_RSSMXV_ATTR_ATSC3_STL_RESET_LOG,
    &g_RSSMXV_ATTR_ATSC3_CODER_STATUS,
    &g_RSSMXV_ATTR_ATSC3_INPUT_CONFORMANCE_CHECK,
    &g_RSSMXV_ATTR_ATSC3_INPUT_NUMBER_OF_PLPS,
    &g_RSSMXV_ATTR_ATSC3_INPUT_SOURCE,
    &g_RSSMXV_ATTR_ATSC3_INPUT_DESTINATION_IP,
    &g_RSSMXV_ATTR_ATSC3_INPUT_DESTINATION_PORT,
    &g_RSSMXV_ATTR_ATSC3_INPUT_TYPE,
    &g_RSSMXV_ATTR_ATSC3_INPUT_PROTOCOL,
    &g_RSSMXV_ATTR_ATSC3_INFO_PLP_PACKET_LENGTH,
    &g_RSSMXV_ATTR_ATSC3_INFO_PLP_MAX_USEFUL_DATARATE,
    &g_RSSMXV_ATTR_ATSC3_INFO_PLP_MEASURED_DATARATE,
    &g_RSSMXV_ATTR_ATSC3_INFO_PLP_USEFUL_DATARATE,
    &g_RSSMXV_ATTR_ATSC3_TEST_SIGNAL,
    &g_RSSMXV_ATTR_ATSC3_TEST_IP_PACKET,
    &g_RSSMXV_ATTR_ATSC3_TEST_TS_PACKET,
    &g_RSSMXV_ATTR_ATSC3_TEST_PID_TEST_PACKET,
    &g_RSSMXV_ATTR_ATSC3_TEST_PID,
    &g_RSSMXV_ATTR_ATSC3_TEST_PAYLOAD,
    &g_RSSMXV_ATTR_ATSC3_TEST_PRBS_SEQUENCE,
    &g_RSSMXV_ATTR_ATSC3_ENCAPS_ALP_ENCAPSULATION_TYPE,
    &g_RSSMXV_ATTR_ATSC3_ENCAPS_BB_FRAME_PADDING_ENABLED,
    &g_RSSMXV_ATTR_ATSC3_ENCAPS_BB_FRAME_COUNTER_ENABLED,
    &g_RSSMXV_ATTR_ATSC3_BICM_PLP_ID,
    &g_RSSMXV_ATTR_ATSC3_BICM_PLP_LDM_LAYER,
    &g_RSSMXV_ATTR_ATSC3_BICM_PLP_LDM_INJECTION_LEVEL,
    &g_RSSMXV_ATTR_ATSC3_BICM_PLP_SIZE,
    &g_RSSMXV_ATTR_ATSC3_BICM_PLP_SCRAMBLER,
    &g_RSSMXV_ATTR_ATSC3_BICM_PLP_FEC_TYPE,
    &g_RSSMXV_ATTR_ATSC3_BICM_PLP_CODE_RATE,
    &g_RSSMXV_ATTR_ATSC3_BICM_PLP_CONSTELLATION,
    &g_RSSMXV_ATTR_ATSC3_BICM_PLP_LOW_LEVEL_SIGNALING,
    &g_RSSMXV_ATTR_ATSC3_BICM_PLP_INTERLEAVING_TYPE,
    &g_RSSMXV_ATTR_ATSC3_BICM_PLP_INTERLEAVING_NUMBER_OF_SUBSLICES,
    &g_RSSMXV_ATTR_ATSC3_BICM_PLP_INTERLEAVING_SUBSLICE_INTERVAL,
    &g_RSSMXV_ATTR_ATSC3_BICM_PLP_TIME_INTERLEAVER_MODE,
    &g_RSSMXV_ATTR_ATSC3_BICM_PLP_INTERLEAVING_DEPTH_EXTENDED,
    &g_RSSMXV_ATTR_ATSC3_BICM_PLP_INTERLEAVING_DEPTH,
    &g_RSSMXV_ATTR_ATSC3_BICM_PLP_INTERLEAVING_SUBFRAME_ENABLED,
    &g_RSSMXV_ATTR_ATSC3_BICM_PLP_CELL_INTERLEAVER_ENABLED,
    &g_RSSMXV_ATTR_ATSC3_BICM_PLP_INTERLEAVING_NUMBER_OF_TI_BLOCKS,
    &g_RSSMXV_ATTR_ATSC3_BICM_PLP_INTERLEAVING_FEC_BLOCKS_MAX,
    &g_RSSMXV_ATTR_ATSC3_BICM_PLP_INTERLEAVING_FEC_BLOCKS,
    &g_RSSMXV_ATTR_ATSC3_OFDM_NUMBER_OF_SUBFRAMES,
    &g_RSSMXV_ATTR_ATSC3_OFDM_CHANNEL_BANDWIDTH,
    &g_RSSMXV_ATTR_ATSC3_OFDM_MIMO_ENABLED,
    &g_RSSMXV_ATTR_ATSC3_OFDM_MISO,
    &g_RSSMXV_ATTR_ATSC3_OFDM_FFT_SIZE,
    &g_RSSMXV_ATTR_ATSC3_OFDM_REDUCED_CARRIER_MODE,
    &g_RSSMXV_ATTR_ATSC3_OFDM_GUARD_INTERVAL,
    &g_RSSMXV_ATTR_ATSC3_OFDM_TOTAL_SYMBOLS,
    &g_RSSMXV_ATTR_ATSC3_OFDM_SUBFRAME_SISO_PILOT_PATTERN,
    &g_RSSMXV_ATTR_ATSC3_OFDM_SUBFRAME_PILOT_BOOST_MODE,
    &g_RSSMXV_ATTR_ATSC3_OFDM_SUBFRAME_BOUNDARY_SYMBOL_FIRST,
    &g_RSSMXV_ATTR_ATSC3_OFDM_SUBFRAME_BOUNDARY_SYMBOL_LAST,
    &g_RSSMXV_ATTR_ATSC3_OFDM_SUBFRAME_BOUNDARY_NULL_CELLS,
    &g_RSSMXV_ATTR_ATSC3_AFDM_SUBFRAME_FREQUENCY_INTERLEAVER_ENABLED,
    &g_RSSMXV_ATTR_ATSC3_OFDM_SUBFRAME_DURATION,
    &g_RSSMXV_ATTR_ATSC3_OFDM_SUBFRAME_USED_BANDWIDTH,
    &g_RSSMXV_ATTR_ATSC3_OFDM_SUBFRAME_NUMBER_OF_PLPS,
    &g_RSSMXV_ATTR_ATSC3_OFDM_SUBFRAME_PLP_IDS,
    &g_RSSMXV_ATTR_ATSC3_NETWORK_MODE,
    &g_RSSMXV_ATTR_ATSC3_NETWORK_LOW_LEVEL_SIGNALLING,
    &g_RSSMXV_ATTR_ATSC3_NETWORK_TIME,
    &g_RSSMXV_ATTR_ATSC3_NETWORK_RETURN_CHANNEL,
    &g_RSSMXV_ATTR_ATSC3_NETWORK_MISO_NUMBER_OF_TRANSMITTERS,
    &g_RSSMXV_ATTR_ATSC3_NETWORK_MISO_TRANSMITTER_INDEX,
    &g_RSSMXV_ATTR_ATSC3_NETWORK_TXID_MODE,
    &g_RSSMXV_ATTR_ATSC3_NETWORK_TXID_ADDRESS,
    &g_RSSMXV_ATTR_ATSC3_NETWORK_TXID_INJECTION_LEVEL,
    &g_RSSMXV_ATTR_ATSC3_NETWORK_BROADCAST_STREAM_ID,
    &g_RSSMXV_ATTR_ATSC3_FRAME_PEAK_TO_AVERAGE_POWER_RATIO,
    &g_RSSMXV_ATTR_ATSC3_FRAME_MODE,
    &g_RSSMXV_ATTR_ATSC3_FRAME_LENGTH,
    &g_RSSMXV_ATTR_ATSC3_FRAME_EXCESS_SAMPLES_PER_SYMBOL,
    &g_RSSMXV_ATTR_ATSC3_FRAME_FINAL_EXCESS_SAMPLES,
    &g_RSSMXV_ATTR_ATSC3_FRAME_ADDITIONAL_SAMPLES,
    &g_RSSMXV_ATTR_ATSC3_FRAME_TIME_OFFSET,
    &g_RSSMXV_ATTR_ATSC3_L1_BASIC_VERSION,
    &g_RSSMXV_ATTR_ATSC3_L1_BASIC_FEC_TYPE,
    &g_RSSMXV_ATTR_ATSC3_L1_DETAIL_VERSION,
    &g_RSSMXV_ATTR_ATSC3_L1_DETAIL_FEC_TYPE,
    &g_RSSMXV_ATTR_ATSC3_L1_DETAIL_ADDITIONAL_PARITY_MODE,
    &g_RSSMXV_ATTR_ATSC3_L1_NUMBER_OF_PREAMBLE_SYMBOLS,
    &g_RSSMXV_ATTR_ATSC3_L1_REDUCED_CARRIER_MODE_PREAMBLE,
    &g_RSSMXV_ATTR_ATSC3_L1_PILOT_PATTERN_DX_PREAMBLE,
    &g_RSSMXV_ATTR_ATSC3_L1_NUMBER_OF_RFS,
    &g_RSSMXV_ATTR_ATSC3_INFO_FRAME_DURATION,
    &g_RSSMXV_ATTR_ATSC3_INFO_BOOTSTRAP_DURATION,
    &g_RSSMXV_ATTR_ATSC3_INFO_L1_BASIC_BYTES,
    &g_RSSMXV_ATTR_ATSC3_INFO_L1_DETAIL_BYTES,
    &g_RSSMXV_ATTR_ATSC3_INFO_L1_BASIC_CELLS,
    &g_RSSMXV_ATTR_ATSC3_INFO_L1_DETAIL_CELLS,
    &g_RSSMXV_ATTR_ATSC3_INFO_BOOTSTRAP_MAJOR_VERSION,
    &g_RSSMXV_ATTR_ATSC3_INFO_BOOTSTRAP_MINOR_VERSION,
    &g_RSSMXV_ATTR_ATSC3_INFO_BOOTSTRAP_MIN_TIME_TO_NEXT,
    &g_RSSMXV_ATTR_ATSC3_INFO_BOOTSTRAP_EMERGENCY_ALERT_SIGNALING,
    &g_RSSMXV_ATTR_ATSC3_INFO_BOOTSTRAP_BANDWIDTH,
    &g_RSSMXV_ATTR_ATSC3_INFO_BOOTSTRAP_BSR_COEFFICIENT,
    &g_RSSMXV_ATTR_ATSC3_INFO_STRUCTURE_PREAMBLE,
    &g_RSSMXV_ATTR_ATSC3_INFO_STRUCTURE_FFT_SIZE,
    &g_RSSMXV_ATTR_ATSC3_INFO_STRUCTURE_GUARD_INTERVAL,
    &g_RSSMXV_ATTR_ATSC3_INFO_STRUCTURE_PILOT_PATTERN_DX,
    &g_RSSMXV_ATTR_ATSC3_INFO_STRUCTURE_L1_BASIC_FEC_TYPE,
    &g_RSSMXV_ATTR_ATSC3_SFN_NETWORK_DELAY,
    &g_RSSMXV_ATTR_ATSC3_SFN_PROCESSING_DELAY,
    &g_RSSMXV_ATTR_ATSC3_SFN_DYNAMIC_DELAY,
    &g_RSSMXV_ATTR_ATSC3_SFN_TOTAL_DELAY,
    &g_RSSMXV_ATTR_ATSC3_SFN_MAX_DEVIATION_TIME,
    &g_RSSMXV_ATTR_ATSC3_SFN_STATIC_DELAY,
    &g_RSSMXV_ATTR_ATSC3_SFN_MAXIMUM_DELAY,
    &g_RSSMXV_ATTR_ATSC3_SFN_DISPATCH_TIME,
    &g_RSSMXV_ATTR_ATSC3_SFN_MUTE_BOOTSTRAP_OF_FRAME,
    &g_RSSMXV_ATTR_ATSC3_SFN_MODE,
    &g_RSSMXV_ATTR_ATSC3_SPECIAL_SETTINGS_ENABLED,
    &g_RSSMXV_ATTR_ATSC3_SPECIAL_STL_PREAMBLE_COMPATIBILITY_MODE_ENABLED,
    &g_RSSMXV_ATTR_ATSC3_SPECIAL_STL_TMP_COMPATIBILITY_MODE,
    &g_RSSMXV_ATTR_ATSC3_SPECIAL_AMP_LMT_COMPATIBILITY_MODE_ENABLED,
    &g_RSSMXV_ATTR_ATSC3_SPECIAL_BOOTSTRAP_MINOR_VERSION,
    &g_RSSMXV_ATTR_ATSC3_SPECIAL_BOOTSTRAP_EMERGENCY_ALERT_SIGNALING,
    &g_RSSMXV_ATTR_DVBT_ENABLED,
    &g_RSSMXV_ATTR_DVBT_SET_TO_DEFAULT,
    &g_RSSMXV_ATTR_DVBT_RECALL_SETTINGS,
    &g_RSSMXV_ATTR_DVBT_SAVE_SETTINGS,
    &g_RSSMXV_ATTR_DVBT_SETTINGS_CATALOG,
    &g_RSSMXV_ATTR_DVBT_DELETE_SETTINGS,
    &g_RSSMXV_ATTR_DVBT_INPUT_SOURCE_HIGH,
    &g_RSSMXV_ATTR_DVBT_INPUT_SOURCE_LOW,
    &g_RSSMXV_ATTR_DVBT_INPUT_HIGH,
    &g_RSSMXV_ATTR_DVBT_INPUT_LOW,
    &g_RSSMXV_ATTR_DVBT_INPUT_FORMAT_HIGH,
    &g_RSSMXV_ATTR_DVBT_INPUT_FORMAT_LOW,
    &g_RSSMXV_ATTR_DVBT_INPUT_IP_TS_CHANNEL,
    &g_RSSMXV_ATTR_DVBT_INPUT_STUFFING_HIGH_ENABLED,
    &g_RSSMXV_ATTR_DVBT_INPUT_STUFFING_LOW_ENABLED,
    &g_RSSMXV_ATTR_DVBT_INPUT_TEST_SIGNAL_HIGH,
    &g_RSSMXV_ATTR_DVBT_INPUT_TEST_SIGNAL_LOW,
    &g_RSSMXV_ATTR_DVBT_INPUT_INFO_PACKET_LENGTH_HIGH,
    &g_RSSMXV_ATTR_DVBT_INPUT_INFO_PACKET_LENGTH_LOW,
    &g_RSSMXV_ATTR_DVBT_INPUT_INFO_MAX_USEFUL_DATA_RATE_HIGH,
    &g_RSSMXV_ATTR_DVBT_INPUT_INFO_MAX_USEFUL_DATA_RATE_LOW,
    &g_RSSMXV_ATTR_DVBT_INPUT_INFO_MEAS_DATA_RATE_HIGH,
    &g_RSSMXV_ATTR_DVBT_INPUT_INFO_MEAS_DATA_RATE_LOW,
    &g_RSSMXV_ATTR_DVBT_INPUT_INFO_USEFUL_DATA_RATE_LOW,
    &g_RSSMXV_ATTR_DVBT_INPUT_INFO_USEFUL_DATA_RATE_HIGH,
    &g_RSSMXV_ATTR_DVBT_INPUT_TEST_SIGNAL_TEST_TS_PACKET,
    &g_RSSMXV_ATTR_DVBT_INPUT_TEST_SIGNAL_PID_TEST_PACKET,
    &g_RSSMXV_ATTR_DVBT_INPUT_TEST_SIGNAL_PID,
    &g_RSSMXV_ATTR_DVBT_INPUT_TEST_SIGNAL_PAYLOAD,
    &g_RSSMXV_ATTR_DVBT_INPUT_TEST_SIGNAL_PRBS,
    &g_RSSMXV_ATTR_DVBT_CODING_HIEARCHY,
    &g_RSSMXV_ATTR_DVBT_CODING_CONSTELLATION,
    &g_RSSMXV_ATTR_DVBT_CODING_CHANNEL_BANDWIDTH,
    &g_RSSMXV_ATTR_DVBT_CODING_USED_BW,
    &g_RSSMXV_ATTR_DVBT_CODING_FFT_MODE,
    &g_RSSMXV_ATTR_DVBT_CODING_GUARD_INTERVAL,
    &g_RSSMXV_ATTR_DVBT_CODING_DVBH_ENABLED,
    &g_RSSMXV_ATTR_DVBT_CODING_SYMBOL_INTERLEAVING,
    &g_RSSMXV_ATTR_DVBT_CODING_CODE_RATE_HIGH,
    &g_RSSMXV_ATTR_DVBT_CODING_CODE_RATE_LOW,
    &g_RSSMXV_ATTR_DVBT_TPS_CELL_ID,
    &g_RSSMXV_ATTR_DVBT_TPS_RESERVED_STATE,
    &g_RSSMXV_ATTR_DVBT_TPS_RESERVED_BITS,
    &g_RSSMXV_ATTR_DVBT_TPS_TIMESLICE_LOW_ENABLED,
    &g_RSSMXV_ATTR_DVBT_TPS_TIMESLICE_HIGH_ENABLED,
    &g_RSSMXV_ATTR_DVBT_TPS_MPE_FEC_LOW_ENABLED,
    &g_RSSMXV_ATTR_DVBT_TPS_MPE_FEC_HIGH_ENABLED,
    &g_RSSMXV_ATTR_DVBT_SPECIAL_SETTINGS_ENABLED,
    &g_RSSMXV_ATTR_DVBT_SPECIAL_SETTINGS_REED_SOLOMON_HIGH_ENABLED,
    &g_RSSMXV_ATTR_DVBT_SPECIAL_SETTINGS_REED_SOLOMON_LOW_ENABLED,
    &g_RSSMXV_ATTR_DVBT2_ENABLED,
    &g_RSSMXV_ATTR_DVBT2_SET_TO_DEFAULT,
    &g_RSSMXV_ATTR_DVBT2_RECALL_SETTINGS,
    &g_RSSMXV_ATTR_DVBT2_SAVE_SETTINGS,
    &g_RSSMXV_ATTR_DVBT2_SETTINGS_CATALOG,
    &g_RSSMXV_ATTR_DVBT2_DELETE_SETTINGS,
    &g_RSSMXV_ATTR_DVBT2_INPUT_T2MI_INTERFACE_ENABLED,
    &g_RSSMXV_ATTR_DVBT2_INPUT_SOURCE,
    &g_RSSMXV_ATTR_DVBT2_INPUT_NUMBER_OF_PLPS,
    &g_RSSMXV_ATTR_DVBT2_INPUT,
    &g_RSSMXV_ATTR_DVBT2_INPUT_FORMAT,
    &g_RSSMXV_ATTR_DVBT2_INPUT_IP_TS_CHANNEL,
    &g_RSSMXV_ATTR_DVBT2_INPUT_T2MI_PID,
    &g_RSSMXV_ATTR_DVBT2_INPUT_T2MI_SID,
    &g_RSSMXV_ATTR_DVBT2_INPUT_RESET_LOG_FILE,
    &g_RSSMXV_ATTR_DVBT2_INPUT_STATUS_INFO,
    &g_RSSMXV_ATTR_DVBT2_INPUT_PLP_TEST_SIGNAL,
    &g_RSSMXV_ATTR_DVBT2_INPUT_PLP_STUFFING_ENABLED,
    &g_RSSMXV_ATTR_DVBT2_PLP_INPUT_FORMAT,
    &g_RSSMXV_ATTR_DVBT2_INPUT_PACKET_LENGTH,
    &g_RSSMXV_ATTR_DVBT2_INPUT_MAX_USEFUL_DATA_RATE,
    &g_RSSMXV_ATTR_DVBT2_INPUT_MEAS_DATA_RATE,
    &g_RSSMXV_ATTR_DVBT2_INPUT_USEFUL_DATA_RATE,
    &g_RSSMXV_ATTR_DVBT2_T2MI_MEASUREMENT_MODE,
    &g_RSSMXV_ATTR_DVBT2_INPUT_T2MI_TIME_MAX,
    &g_RSSMXV_ATTR_DVBT2_INPUT_T2MI_TIME_MIN,
    &g_RSSMXV_ATTR_DVBT2_INPUT_TEST_SIGNAL_TEST_TS_PACKET,
    &g_RSSMXV_ATTR_DVBT2_INPUT_TEST_SIGNAL_PID_TEST_PACKET,
    &g_RSSMXV_ATTR_DVBT2_INPUT_TEST_SIGNAL_PID,
    &g_RSSMXV_ATTR_DVBT2_INPUT_TEST_SIGNAL_PAYLOAD,
    &g_RSSMXV_ATTR_DVBT2_INPUT_TEST_SIGNAL_PRBS,
    &g_RSSMXV_ATTR_DVBT2_MODE_STREAM_PLP_ID,
    &g_RSSMXV_ATTR_DVBT2_MODE_STREAM_PLP_GROUP_ID,
    &g_RSSMXV_ATTR_DVBT2_MODE_STREAM_PLP_TYPE,
    &g_RSSMXV_ATTR_DVBT2_MODE_STREAM_PLP_BB_MODE,
    &g_RSSMXV_ATTR_DVBT2_MODE_STREAM_PLP_ISSY,
    &g_RSSMXV_ATTR_DVBT2_MODE_STREAM_PLP_NULL_PACKET_DELETION_ENABLED,
    &g_RSSMXV_ATTR_DVBT2_MODE_STREAM_PLP_IN_BAND_SIGNALING_ENABLED,
    &g_RSSMXV_ATTR_DVBT2_MODE_STREAM_PLP_IN_BAND_SIGNALING_A_ENABLED,
    &g_RSSMXV_ATTR_DVBT2_MODE_STREAM_PLP_IN_BAND_SIGNALING_B_ENABLED,
    &g_RSSMXV_ATTR_DVBT2_MODE_STREAM_PLP_OTHER_IN_BAND_PLPS,
    &g_RSSMXV_ATTR_DVBT2_MODE_STREAM_PLP_CM_TYPE,
    &g_RSSMXV_ATTR_DVBT2_MODE_STREAM_PLP_STATIC_FLAG_ENABLED,
    &g_RSSMXV_ATTR_DVBT2_MODE_STREAM_PLP_STATIC_PADDING_FLAG_ENABLED,
    &g_RSSMXV_ATTR_DVBT2_BCIM_PLP_FEC_FRAME,
    &g_RSSMXV_ATTR_DVBT2_BCIM_PLP_CODE_RATE,
    &g_RSSMXV_ATTR_DVBT2_BCIM_PLP_CONSTELLATION,
    &g_RSSMXV_ATTR_DVBT2_BCIM_PLP_CONSTELLATION_ROTATION_ENABLED,
    &g_RSSMXV_ATTR_DVBT2_BCIM_PLP_TIME_INTERLEAVER,
    &g_RSSMXV_ATTR_DVBT2_BCIM_PLP_FRAME_INTERLEAVER,
    &g_RSSMXV_ATTR_DVBT2_BCIM_PLP_TIME_INTERLEAVER_LENGTH,
    &g_RSSMXV_ATTR_DVBT2_BCIM_PLP_FIRST_FRAME_INDEX,
    &g_RSSMXV_ATTR_DVBT2_BICM_PLP_FEC_BLOCKS_PER_IF,
    &g_RSSMXV_ATTR_DVBT2_BICM_PLP_MAX_NUMBER_OF_BLOCKS,
    &g_RSSMXV_ATTR_DVBT2_OFDM_CHANNEL_BANDWIDTH,
    &g_RSSMXV_ATTR_DVBT2_OFDM_USED_BANDWIDTH,
    &g_RSSMXV_ATTR_DVBT2_OFDM_BANDWIDTH_VARIATION,
    &g_RSSMXV_ATTR_DVBT2_OFDM_FFT_MODE,
    &g_RSSMXV_ATTR_DVBT2_OFDM_GUARD_INTERVAL,
    &g_RSSMXV_ATTR_DVBT2_OFDM_PILOT_PATTERN,
    &g_RSSMXV_ATTR_DVBT2_OFDM_T2_FRAMES_PER_SUPER_FRAME,
    &g_RSSMXV_ATTR_DVBT2_OFDM_SYMBOLS_PER_T2_FRAME,
    &g_RSSMXV_ATTR_DVBT2_OFDM_DATA_SYMBOLS_PER_T2_FRAME,
    &g_RSSMXV_ATTR_DVBT2_OFDM_SUBSLICES_PER_T2_FRAME,
    &g_RSSMXV_ATTR_DVBT2_SYSTEM_NETWORK_MODE,
    &g_RSSMXV_ATTR_DVBT2_SYSTEM_NETWORK_PROFILE_MODE,
    &g_RSSMXV_ATTR_DVBT2_SYSTEM_NETWORK_TRANSMISSION_SYSTEM,
    &g_RSSMXV_ATTR_DVBT2_SYSTEM_NETWORK_MISO_MODE,
    &g_RSSMXV_ATTR_DVBT2_SYSTEM_NETWORK_MISO_GROUP,
    &g_RSSMXV_ATTR_DVBT2_SYSTEM_NETWORK_PEAK_TO_AVERAGE_POWER_RATIO,
    &g_RSSMXV_ATTR_DVBT2_SYSTEM_NETWORK_FUTURE_EXTENSION_FRAMES_ENABLED,
    &g_RSSMXV_ATTR_DVBT2_SYSTEM_NETWORK_FUTURE_EXTENSION_FRAMES_TYPE,
    &g_RSSMXV_ATTR_DVBT2_SYSTEM_NETWORK_FUTURE_EXTENSION_FRAMES_LENGTH,
    &g_RSSMXV_ATTR_DVBT2_SYSTEM_NETWORK_FUTURE_EXTENSION_FRAMES_INTERVAL,
    &g_RSSMXV_ATTR_DVBT2_SYSTEM_NETWORK_FUTURE_EXTENSION_FRAMES_PAYLOAD,
    &g_RSSMXV_ATTR_DVBT2_SYSTEM_NETWORK_TIME_FREQUENCY_SLICING,
    &g_RSSMXV_ATTR_DVBT2_SYSTEM_L1_T2_VERSION,
    &g_RSSMXV_ATTR_DVBT2_SYSTEM_L1_POST_MODULATION,
    &g_RSSMXV_ATTR_DVBT2_SYSTEM_L1_REPETITION_ENABLED,
    &g_RSSMXV_ATTR_DVBT2_SYSTEM_L1_POST_EXTENSION,
    &g_RSSMXV_ATTR_DVBT2_SYSTEM_L1_POST_SCRAMBLING_ENABLED,
    &g_RSSMXV_ATTR_DVBT2_SYSTEM_L1_BASE_LITE_ENABLED,
    &g_RSSMXV_ATTR_DVBT2_SYSTEM_L1_NUMBER_OF_AUX_STREAMS,
    &g_RSSMXV_ATTR_DVBT2_SYSTEM_L1_RF_SIGNALING_ENABLED,
    &g_RSSMXV_ATTR_DVBT2_SYSTEM_L1_RF_SIGNALING_FREQUENCY,
    &g_RSSMXV_ATTR_DVBT2_SYSTEM_CELL_ID,
    &g_RSSMXV_ATTR_DVBT2_SYSTEM_NETWORK_ID,
    &g_RSSMXV_ATTR_DVBT2_SYSTEM_T2_ID,
    &g_RSSMXV_ATTR_DVBT2_SYSTEM_TX_ID_AVAILABILITY,
    &g_RSSMXV_ATTR_DVBT2_SFN_PROCESSING_DELAY,
    &g_RSSMXV_ATTR_DVBT2_SFN_STATIC_DELAY,
    &g_RSSMXV_ATTR_DVBT2_SFN_DYNAMIC_DELAY,
    &g_RSSMXV_ATTR_DVBT2_SFN_TOTAL_DELAY,
    &g_RSSMXV_ATTR_DVBT2_SFN_DELAY_MAX_DEVIATION_TIME,
    &g_RSSMXV_ATTR_DVBT2_SFN_DELAY_MUTE_1ST_SUPER_FRAME_P1_ENABLED,
    &g_RSSMXV_ATTR_DVBT2_SFN_TIMESTAMP_MODE,
    &g_RSSMXV_ATTR_DVBT2_SFN_UPDATE_TIMESTAMP,
    &g_RSSMXV_ATTR_DVBT2_SFN_UTC_DATE,
    &g_RSSMXV_ATTR_DVBT2_SFN_UTC_TIME,
    &g_RSSMXV_ATTR_DVBT2_SFN_OFFSET,
    &g_RSSMXV_ATTR_DVBT2_SFN_SECONDS_SINCE_2000,
    &g_RSSMXV_ATTR_DVBT2_FRAME_INFO_SUPER_FRAME_DURATION,
    &g_RSSMXV_ATTR_DVBT2_FRAME_INFO_T2_FRAME_DURATION,
    &g_RSSMXV_ATTR_DVBT2_FRAME_INFO_FUTURE_EXTENSION_FRAME_DURATION,
    &g_RSSMXV_ATTR_DVBT2_FRAME_INFO_P1_SYMBOL_DURATION,
    &g_RSSMXV_ATTR_DVBT2_FRAME_INFO_OFDM_SYMBOL_DURATION_TS,
    &g_RSSMXV_ATTR_DVBT2_FRAME_INFO_OFDM_SYMBOL_DURATION_TP2,
    &g_RSSMXV_ATTR_DVBT2_FRAME_INFO_L1_PRE_SIGNALING_BITS,
    &g_RSSMXV_ATTR_DVBT2_FRAME_INFO_L1_PRE_SIGNALING_CELLS,
    &g_RSSMXV_ATTR_DVBT2_FRAME_INFO_L1_POST_SIGNALING_BITS,
    &g_RSSMXV_ATTR_DVBT2_FRAME_INFO_L1_POST_SIGNALING_CELLS,
    &g_RSSMXV_ATTR_DVBT2_FRAME_INFO_PLP_DATA_CELLS_PER_T2_FRAME,
    &g_RSSMXV_ATTR_DVBT2_FRAME_INFO_PLP_DATA_CELLS_IN_CURRENT_T2_FRAME,
    &g_RSSMXV_ATTR_DVB_C_ENABLED,
    &g_RSSMXV_ATTR_DVB_C_SET_TO_DEFAULT,
    &g_RSSMXV_ATTR_DVB_C_RECALL_SETTINGS,
    &g_RSSMXV_ATTR_DVB_C_SAVE_SETTINGS,
    &g_RSSMXV_ATTR_DVB_C_SETTINGS_CATALOG,
    &g_RSSMXV_ATTR_DVB_C_DELETE_SETTINGS,
    &g_RSSMXV_ATTR_DVB_C_INPUT_SOURCE,
    &g_RSSMXV_ATTR_DVB_C_INPUT_STUFFING_STATE,
    &g_RSSMXV_ATTR_DVB_C_INPUT_INTERFACE,
    &g_RSSMXV_ATTR_DVB_C_INPUT_FORMAT,
    &g_RSSMXV_ATTR_DVB_C_INPUT_TS_CHANNEL,
    &g_RSSMXV_ATTR_DVB_C_INPUT_INFO_PACKET_LENGTH,
    &g_RSSMXV_ATTR_DVB_C_INPUT_INFO_MAXIMUM_USEFUL_DATA_RATE,
    &g_RSSMXV_ATTR_DVB_C_INPUT_INFO_USEFUL_DATA_RATE,
    &g_RSSMXV_ATTR_DVB_C_INPUT_INFO_MEASURED_DATA_RATE,
    &g_RSSMXV_ATTR_DVB_C_INPUT_TEST_SIGNAL,
    &g_RSSMXV_ATTR_DVB_C_INPUT_TEST_SIGNAL_TEST_TS_PACKET,
    &g_RSSMXV_ATTR_DVB_C_INPUT_TEST_SIGNAL_PID_TEST_PACKET,
    &g_RSSMXV_ATTR_DVB_C_INPUT_TEST_SIGNAL_PID,
    &g_RSSMXV_ATTR_DVB_C_INPUT_TEST_SIGNAL_PAYLOAD,
    &g_RSSMXV_ATTR_DVB_C_INPUT_TEST_SIGNAL_PRBS,
    &g_RSSMXV_ATTR_DVB_C_CODING_SYMBOL_RATE,
    &g_RSSMXV_ATTR_DVB_C_CODING_CONSTELLATION,
    &g_RSSMXV_ATTR_DVB_C_CODING_ROLL_OFF_FACTOR,
    &g_RSSMXV_ATTR_DVB_C_SPECIAL_SETTINGS_ENABLED,
    &g_RSSMXV_ATTR_DVB_C_SPECIAL_SETTINGS_REED_SOLOMON_ENABLED,
    &g_RSSMXV_ATTR_ISDBT_ENABLED,
    &g_RSSMXV_ATTR_ISDBT_SET_TO_DEFAULT,
    &g_RSSMXV_ATTR_ISDBT_RECALL_SETTINGS,
    &g_RSSMXV_ATTR_ISDBT_SAVE_SETTINGS,
    &g_RSSMXV_ATTR_ISDBT_DELETE_SETTINGS,
    &g_RSSMXV_ATTR_ISDBT_SETTINGS_CATALOG,
    &g_RSSMXV_ATTR_ISDBT_CONTROL,
    &g_RSSMXV_ATTR_ISDBT_SYSTEM,
    &g_RSSMXV_ATTR_ISDBT_INPUT_SOURCE_LAYER_A,
    &g_RSSMXV_ATTR_ISDBT_INPUT_SOURCE_LAYER_B,
    &g_RSSMXV_ATTR_ISDBT_INPUT_SOURCE_LAYER_C,
    &g_RSSMXV_ATTR_ISDBT_INPUT_EXTERNAL,
    &g_RSSMXV_ATTR_ISDBT_INPUT_FORMAT,
    &g_RSSMXV_ATTR_ISDBT_INPUT_IP_TS_CHANNEL,
    &g_RSSMXV_ATTR_ISDBT_INPUT_REMUX_ENABLED,
    &g_RSSMXV_ATTR_ISDBT_INPUT_INFO_PACKET_LENGTH,
    &g_RSSMXV_ATTR_ISDBT_INPUT_INFO_STUFFING_ENABLED,
    &g_RSSMXV_ATTR_ISDBT_INPUT_INFO_USEFUL_DATA_RATE_A,
    &g_RSSMXV_ATTR_ISDBT_INPUT_INFO_USEFUL_DATA_RATE_B,
    &g_RSSMXV_ATTR_ISDBT_INPUT_INFO_USEFUL_DATA_RATE_C,
    &g_RSSMXV_ATTR_ISDBT_INPUT_INFO_USEFUL_DATA_RATE_MAXIMUM_A,
    &g_RSSMXV_ATTR_ISDBT_INPUT_INFO_USEFUL_DATA_RATE_MAXIMUM_B,
    &g_RSSMXV_ATTR_ISDBT_INPUT_INFO_USEFUL_DATA_RATE_MAXIMUM_C,
    &g_RSSMXV_ATTR_ISDBT_INPUT_INFO_MEASURED_DATA_RATE,
    &g_RSSMXV_ATTR_ISDBT_TEST_SIGNAL_TS_PACKET,
    &g_RSSMXV_ATTR_ISDBT_TEST_SIGNAL_PID_PACKET,
    &g_RSSMXV_ATTR_ISDBT_TEST_SIGNAL_PID,
    &g_RSSMXV_ATTR_ISDBT_TEST_SIGNAL_PAYLOAD,
    &g_RSSMXV_ATTR_ISDBT_TEST_SIGNAL_PRBS,
    &g_RSSMXV_ATTR_ISDBT_TEST_SIGNAL_DATA_A,
    &g_RSSMXV_ATTR_ISDBT_TEST_SIGNAL_DATA_B,
    &g_RSSMXV_ATTR_ISDBT_TEST_SIGNAL_DATA_C,
    &g_RSSMXV_ATTR_ISDBT_CODING_IIP_PID,
    &g_RSSMXV_ATTR_ISDBT_CODING_MODE,
    &g_RSSMXV_ATTR_ISDBT_CODING_CHANNEL_BANDWIDTH,
    &g_RSSMXV_ATTR_ISDBT_CODING_GUARD_INTERVAL,
    &g_RSSMXV_ATTR_ISDBT_CODING_SUBCHANNEL,
    &g_RSSMXV_ATTR_ISDBT_USED_BANDWIDTH,
    &g_RSSMXV_ATTR_ISDBT_CODING_PORTION_A,
    &g_RSSMXV_ATTR_ISDBT_CODING_CONSTELLATION_A,
    &g_RSSMXV_ATTR_ISDBT_CODING_SEGMENTS_A,
    &g_RSSMXV_ATTR_ISDBT_CODING_RATE_A,
    &g_RSSMXV_ATTR_ISDBT_CODING_TIME_INTERLEAVING_A,
    &g_RSSMXV_ATTR_ISDBT_CODING_PORTION_B,
    &g_RSSMXV_ATTR_ISDBT_CODING_CONSTELLATION_B,
    &g_RSSMXV_ATTR_ISDBT_CODING_RATE_B,
    &g_RSSMXV_ATTR_ISDBT_CODING_TIME_INTERLEAVING_B,
    &g_RSSMXV_ATTR_ISDBT_CODING_SEGMENTS_B,
    &g_RSSMXV_ATTR_ISDBT_CODING_PORTION_C,
    &g_RSSMXV_ATTR_ISDBT_CODING_CONSTELLATION_C,
    &g_RSSMXV_ATTR_ISDBT_CODING_SEGMENTS_C,
    &g_RSSMXV_ATTR_ISDBT_CODING_RATE_C,
    &g_RSSMXV_ATTR_ISDBT_CODING_TIME_INTERLEAVING_C,
    &g_RSSMXV_ATTR_ISDBT_EEW_ENABLED,
    &g_RSSMXV_ATTR_ISDBT_EEW_NUMBER_OF_EPICENTER,
    &g_RSSMXV_ATTR_ISDBT_EEW_SIGNAL_TYPE,
    &g_RSSMXV_ATTR_ISDBT_EEW_AREA_INFORMATION,
    &g_RSSMXV_ATTR_ISDBT_EEW_APPLY_SIGNAL_SETTINGS,
    &g_RSSMXV_ATTR_ISDBT_EEW_INFORMATION_TYPE,
    &g_RSSMXV_ATTR_ISDBT_EEW_WARNING_ID,
    &g_RSSMXV_ATTR_ISDBT_EEW_LATITUDE,
    &g_RSSMXV_ATTR_ISDBT_EEW_LONGITUDE,
    &g_RSSMXV_ATTR_ISDBT_EEW_DEPTH,
    &g_RSSMXV_ATTR_ISDBT_EEW_OCCURENCE_TIME,
    &g_RSSMXV_ATTR_ISDBT_EEW_APPLY_EPICENTER_1,
    &g_RSSMXV_ATTR_ISDBT_EEW_APPLY_EPICENTER_2,
    &g_RSSMXV_ATTR_ISDBT_SPECIAL_ENABLED,
    &g_RSSMXV_ATTR_ISDBT_REED_SOLOMON_ENABLED,
    &g_RSSMXV_ATTR_ISDBT_SPECIAL_ALERT_BROADCASTING_FLAG_ENABLED,
    &g_RSSMXV_ATTR_ISDBT_SPECIAL_AC_DATA,
    &g_RSSMXV_ATTR_ISDBT_SPECIAL_TX_PARAMETER_SWITCHING_INDICATOR,
    &g_RSSMXV_ATTR_ISDBT_SPECIAL_TMCC_NEXT,
    &g_RSSMXV_ATTR_DTMB_ENABLED,
    &g_RSSMXV_ATTR_DTMB_SET_TO_DEFAULT,
    &g_RSSMXV_ATTR_DTMB_RECALL_SETTINGS,
    &g_RSSMXV_ATTR_DTMB_SAVE_SETTINGS,
    &g_RSSMXV_ATTR_DTMB_DELETE_SETTINGS,
    &g_RSSMXV_ATTR_DTMB_SETTINGS_CATALOG,
    &g_RSSMXV_ATTR_DTMB_SINGLE_CARRIER_MODE_ENABLED,
    &g_RSSMXV_ATTR_DTMB_DUAL_PILOT_TONE_ENABLED,
    &g_RSSMXV_ATTR_DTMB_INPUT_SOURCE,
    &g_RSSMXV_ATTR_DTMB_INPUT_EXTERNAL_INTERFACE,
    &g_RSSMXV_ATTR_DTMB_INPUT_FORMAT,
    &g_RSSMXV_ATTR_DTMB_INPUT_IP_TS_CHANNEL,
    &g_RSSMXV_ATTR_DTMB_INPUT_STUFFING_ENABLED,
    &g_RSSMXV_ATTR_DTMB_INFO_PACKET_LENGTH,
    &g_RSSMXV_ATTR_DTMB_INFO_USEFUL_DATA_RATE_MAX,
    &g_RSSMXV_ATTR_DTMB_INFO_MEASURED_DATA_RATE,
    &g_RSSMXV_ATTR_DTMB_INFO_USEFUL_DATA_RATE,
    &g_RSSMXV_ATTR_DTMB_TEST_TS_PACKET,
    &g_RSSMXV_ATTR_DTMB_TEST_SIGNAL,
    &g_RSSMXV_ATTR_DTMB_TEST_PID_PACKET,
    &g_RSSMXV_ATTR_DTMB_TEST_PID_HEX,
    &g_RSSMXV_ATTR_DTMB_TEST_PAYLOAD,
    &g_RSSMXV_ATTR_DTMB_TEST_SIGNAL_PRBS,
    &g_RSSMXV_ATTR_DTMB_CODING_CHANNEL_BANDWIDTH,
    &g_RSSMXV_ATTR_DTMB_CODING_CONTROL_FRAMES,
    &g_RSSMXV_ATTR_DTMB_CODING_CONSTELLATION,
    &g_RSSMXV_ATTR_DTMB_CODING_CODE_RATE,
    &g_RSSMXV_ATTR_DTMB_CODING_GUARD_INTERVAL,
    &g_RSSMXV_ATTR_DTMB_CODING_GUARD_INTERVAL_PN,
    &g_RSSMXV_ATTR_DTMB_CODING_TIME_INTERLEAVER,
    &g_RSSMXV_ATTR_DTMB_SPECIAL_SETTINGS_ENABLED,
    &g_RSSMXV_ATTR_DTMB_SPECIAL_SETTINGS_SI_POWER_NORMALIZATION_ENABLED,
    &g_RSSMXV_ATTR_DVBS_ENABLED,
    &g_RSSMXV_ATTR_DVBS_SET_TO_DEFAULT,
    &g_RSSMXV_ATTR_DVBS_RECALL_SETTINGS,
    &g_RSSMXV_ATTR_DVBS_SAVE_SETTINGS,
    &g_RSSMXV_ATTR_DVBS_SETTINGS_CATALOG,
    &g_RSSMXV_ATTR_DVBS_DELETE_SETTINGS,
    &g_RSSMXV_ATTR_DVBS_SOURCE,
    &g_RSSMXV_ATTR_DVBS_INPUT,
    &g_RSSMXV_ATTR_DVBS_INPUT_FORMAT,
    &g_RSSMXV_ATTR_DVBS_IP_TS_CHANNEL,
    &g_RSSMXV_ATTR_DVBS_STUFFING_ENABLED,
    &g_RSSMXV_ATTR_DVBS_PACKET_LENGTH,
    &g_RSSMXV_ATTR_DVBS_MAX_USEFUL_DATA_RATE,
    &g_RSSMXV_ATTR_DVBS_MEASURED_DATA_RATE,
    &g_RSSMXV_ATTR_DVBS_USEFUL_DATA_RATE,
    &g_RSSMXV_ATTR_DVBS_TEST_SIGNAL,
    &g_RSSMXV_ATTR_DVBS_TEST_TS_PACKET,
    &g_RSSMXV_ATTR_DVBS_PID_TEST_PACKET,
    &g_RSSMXV_ATTR_DVBS_PID,
    &g_RSSMXV_ATTR_DVBS_PAYLOAD_TEST,
    &g_RSSMXV_ATTR_DVBS_PRBS,
    &g_RSSMXV_ATTR_DVBS_CODING_SYMBOL_RATE,
    &g_RSSMXV_ATTR_DVBS_CODING_CONSTELLATION,
    &g_RSSMXV_ATTR_DVBS_CODING_ROLL_OFF,
    &g_RSSMXV_ATTR_DVBS_CODING_CODE_RATE,
    &g_RSSMXV_ATTR_DVBS_SPECIAL_SETTINGS_ENABLED,
    &g_RSSMXV_ATTR_DVBS_SPECIAL_REED_SOLOMON_ENABLED,
    &g_RSSMXV_ATTR_DVBS2_ENABLED,
    &g_RSSMXV_ATTR_DVBS2_SET_TO_DEFAULT,
    &g_RSSMXV_ATTR_DVBS2_CM_MODE,
    &g_RSSMXV_ATTR_DVBS2_ANNEX_M_ENABLED,
    &g_RSSMXV_ATTR_DVBS2_S2X_ENABLED,
    &g_RSSMXV_ATTR_DVBS2_RECALL_SETTINGS,
    &g_RSSMXV_ATTR_DVBS2_SAVE_SETTINGS,
    &g_RSSMXV_ATTR_DVBS2_SETTINGS_CATALOG,
    &g_RSSMXV_ATTR_DVBS2_DELETE_SETTINGS,
    &g_RSSMXV_ATTR_DVBS2_NUMBER_OF_INPUT_STREAMS,
    &g_RSSMXV_ATTR_DVBS2_SOURCE,
    &g_RSSMXV_ATTR_DVBS2_INPUT,
    &g_RSSMXV_ATTR_DVBS2_INPUT_FORMAT,
    &g_RSSMXV_ATTR_DVBS2_IP_TS_CHANNEL,
    &g_RSSMXV_ATTR_DVBS2_STUFFING_ENABLED,
    &g_RSSMXV_ATTR_DVBS2_PACKET_LENGTH,
    &g_RSSMXV_ATTR_DVBS2_MAX_USEFUL_DATA_RATE,
    &g_RSSMXV_ATTR_DVBS2_MEASURED_DATA_RATE,
    &g_RSSMXV_ATTR_DVBS2_USEFUL_DATA_RATE,
    &g_RSSMXV_ATTR_DVBS2_TEST_SIGNAL,
    &g_RSSMXV_ATTR_DVBS2_TEST_TS_PACKET,
    &g_RSSMXV_ATTR_DVBS2_PID_TEST_PACKET,
    &g_RSSMXV_ATTR_DVBS2_PID,
    &g_RSSMXV_ATTR_DVBS2_PAYLOAD_TEST,
    &g_RSSMXV_ATTR_DVBS2_PRBS,
    &g_RSSMXV_ATTR_DVBS2_CODING_SYMBOL_RATE,
    &g_RSSMXV_ATTR_DVBS2_CODING_ROLL_OFF,
    &g_RSSMXV_ATTR_DVBS2_CODING_NUMBER_OF_TIME_SLICES,
    &g_RSSMXV_ATTR_DVBS2_CODING_SUPER_FRAME_ENABLED,
    &g_RSSMXV_ATTR_DVBS2_CODING_CHANNEL_BONDING,
    &g_RSSMXV_ATTR_DVBS2_CODING_TSN,
    &g_RSSMXV_ATTR_DVBS2_CODING_ISI,
    &g_RSSMXV_ATTR_DVBS2_CODING_NUMBER_OF_SYMBOLS,
    &g_RSSMXV_ATTR_DVBS2_CODING_MODULATION_CODING,
    &g_RSSMXV_ATTR_DVBS2_CODING_FEC_FRAME,
    &g_RSSMXV_ATTR_DVBS2_CODING_PILOTS_ENABLED,
    &g_RSSMXV_ATTR_DVBS2_SPECIAL_SETTINGS_ENABLED,
    &g_RSSMXV_ATTR_DVBS2_SPECIAL_PL_GOLD_CODE_INDEX,
    &g_RSSMXV_ATTR_DVBS2_SPECIAL_PL_SCRAMBLING_SEQUENCE_ID,
    &g_RSSMXV_ATTR_DVBS2_SPECIAL_PL_SCRAMBLER_ENABLED,
    &g_RSSMXV_ATTR_DVBS2_SPECIAL_PL_DATASLICES_PRBS,
    &g_RSSMXV_ATTR_J83B_ENABLED,
    &g_RSSMXV_ATTR_J83B_SET_TO_DEFAULT,
    &g_RSSMXV_ATTR_J83B_RECALL_SETTINGS,
    &g_RSSMXV_ATTR_J83B_SAVE_SETTINGS,
    &g_RSSMXV_ATTR_J83B_SETTINGS_CATALOG,
    &g_RSSMXV_ATTR_J83B_DELETE_SETTINGS,
    &g_RSSMXV_ATTR_J83B_INPUT_SIGNAL_SOURCE,
    &g_RSSMXV_ATTR_J83B_INPUT_SIGNAL_STUFFING_STATE,
    &g_RSSMXV_ATTR_J83B_INPUT_SIGNAL_INTERFACE,
    &g_RSSMXV_ATTR_J83B_INPUT_SIGNAL_FORMAT,
    &g_RSSMXV_ATTR_J83B_INPUT_SIGNAL_TS_CHANNEL,
    &g_RSSMXV_ATTR_J83B_INPUT_INFO_PACKET_LENGTH,
    &g_RSSMXV_ATTR_J83B_INPUT_INFO_MAXIMUM_USEFUL_DATA_RATE,
    &g_RSSMXV_ATTR_J83B_INPUT_INFO_USEFUL_DATA_RATE,
    &g_RSSMXV_ATTR_J83B_INPUT_INFO_MEASURED_DATA_RATE,
    &g_RSSMXV_ATTR_J83B_INPUT_TEST_SIGNAL,
    &g_RSSMXV_ATTR_J83B_INPUT_TEST_SIGNAL_TS_TEST_PACKET,
    &g_RSSMXV_ATTR_J83B_INPUT_TEST_SIGNAL_PID_TEST_PACKET,
    &g_RSSMXV_ATTR_J83B_INPUT_TEST_SIGNAL_PID,
    &g_RSSMXV_ATTR_J83B_INPUT_TEST_SIGNAL_PAYLOAD,
    &g_RSSMXV_ATTR_J83B_INPUT_TEST_SIGNAL_PRBS,
    &g_RSSMXV_ATTR_J83B_CODING_SYMBOL_RATE,
    &g_RSSMXV_ATTR_J83B_CODING_CONSTELLATION,
    &g_RSSMXV_ATTR_J83B_CODING_ROLL_OFF_FACTOR,
    &g_RSSMXV_ATTR_J83B_CODING_INTERLEAVER_MODE,
    &g_RSSMXV_ATTR_J83B_SPECIAL_SETTINGS_ENABLED,
    &g_RSSMXV_ATTR_J83B_SPECIAL_SETTINGS_REED_SOLOMON_ENABLED,
    &g_RSSMXV_ATTR_IP_CHANNEL_INPUT_IP_ENABLED,
    &g_RSSMXV_ATTR_IP_CHANNEL_ALIAS,
    &g_RSSMXV_ATTR_IP_CHANNEL_TYPE,
    &g_RSSMXV_ATTR_IP_CHANNEL_MULTICAST_ADDRESS,
    &g_RSSMXV_ATTR_IP_CHANNEL_PORT,
    &g_RSSMXV_ATTR_IP_CHANNEL_IGMPV3_SOURCE_ADDRESS,
    &g_RSSMXV_ATTR_IP_CHANNEL_IGMPV3_PING_SOURCE_ADDRESS,
    &g_RSSMXV_ATTR_IP_CHANNEL_IGMPV3_PING_RESULT,
    &g_RSSMXV_ATTR_AM_ENABLED,
    &g_RSSMXV_ATTR_AM_DEPTH,
    &g_RSSMXV_ATTR_AM_FREQUENCY,
    &g_RSSMXV_ATTR_AM_PERIOD,
    &g_RSSMXV_ATTR_AM_SHAPE,
    &g_RSSMXV_ATTR_FM_ENABLED,
    &g_RSSMXV_ATTR_FM_DEVIATION,
    &g_RSSMXV_ATTR_FM_FREQUENCY,
    &g_RSSMXV_ATTR_FM_PERIOD,
    &g_RSSMXV_ATTR_FM_SHAPE,
    &g_RSSMXV_ATTR_PM_ENABLED,
    &g_RSSMXV_ATTR_PM_DEVIATION,
    &g_RSSMXV_ATTR_PM_FREQUENCY,
    &g_RSSMXV_ATTR_PM_PERIOD,
    &g_RSSMXV_ATTR_PM_SHAPE,
    &g_RSSMXV_ATTR_PULM_ENABLED,
    &g_RSSMXV_ATTR_PULM_MODE,
    &g_RSSMXV_ATTR_PULM_DELAY,
    &g_RSSMXV_ATTR_PULM_DOUBLE_DELAY,
    &g_RSSMXV_ATTR_PULM_WIDTH,
    &g_RSSMXV_ATTR_PULM_DOUBLE_WIDTH,
    &g_RSSMXV_ATTR_PULM_PERIOD,
    &g_RSSMXV_ATTR_PULM_TRANSITION_TYPE,
    &g_RSSMXV_ATTR_PULM_VIDEO_POLARITY,
    &g_RSSMXV_ATTR_PROGRESS_MULTI_CODER,
    &g_RSSMXV_ATTR_PROGRESS_MULTI_CODER_CARRIER,
    &g_RSSMXV_ATTR_PROGRESS_MULTI_CODER_SEGMENT,
    &g_RSSMXV_ATTR_ARB_ENABLED,
    &g_RSSMXV_ATTR_ARB_SET_TO_DEFAULT,
    &g_RSSMXV_ATTR_ARB_LOAD_WAVEFORM,
    &g_RSSMXV_ATTR_ARB_CLOCK_FREQUENCY,
    &g_RSSMXV_ATTR_ARB_MULTI_CARRIER_CLOCK,
    &g_RSSMXV_ATTR_ARB_MULTI_CARRIER_SAMPLES,
    &g_RSSMXV_ATTR_ARB_TEST_SIGNAL_FORM,
    &g_RSSMXV_ATTR_ARB_TRIGGER_STATUS,
    &g_RSSMXV_ATTR_ARB_EXECUTE_TRIGGER,
    &g_RSSMXV_ATTR_ARB_TRIGGER_ARM,
    &g_RSSMXV_ATTR_ARB_TRIGGER_MODE,
    &g_RSSMXV_ATTR_ARB_EXTENDED_TRIGGER_MODE,
    &g_RSSMXV_ATTR_ARB_TRIGGER_SOURCE,
    &g_RSSMXV_ATTR_ARB_TRIGGER_SINGLE_SIGNAL_DURATION_UNIT,
    &g_RSSMXV_ATTR_ARB_TRIGGER_SINGLE_SEQUENCE_LENGTH,
    &g_RSSMXV_ATTR_ARB_TRIGGER_PROCESSING_TIME,
    &g_RSSMXV_ATTR_ARB_EXTERNAL_TRIGGER_DELAY,
    &g_RSSMXV_ATTR_ARB_EXTERNAL_TRIGGER_INHIBIT,
    &g_RSSMXV_ATTR_ARB_EXTERNAL_TRIGGER_DELAY_UNIT,
    &g_RSSMXV_ATTR_ARB_EXTERNAL_TRIGGER_EVENT_DELAY,
    &g_RSSMXV_ATTR_ARB_EXTERNAL_TRIGGER_DELAY_SECONDS,
    &g_RSSMXV_ATTR_ARB_MARKER_MODE,
    &g_RSSMXV_ATTR_ARB_MARKER_PULSE_DIVIDER,
    &g_RSSMXV_ATTR_ARB_MARKER_DELAY,
    &g_RSSMXV_ATTR_ARB_MARKER_DELAY_IN_SECONDS,
    &g_RSSMXV_ATTR_ARB_MARKER_PULSE_FREQUENCY,
    &g_RSSMXV_ATTR_ARB_MARKER_PATTERN,
    &g_RSSMXV_ATTR_ARB_MARKER_ON_TIME,
    &g_RSSMXV_ATTR_ARB_MARKER_OFF_TIME,
    &g_RSSMXV_ATTR_ARB_CLOCK_SOURCE,
    &g_RSSMXV_ATTR_ARB_CLOCK_SYNCHRONIZATION_OUTPUT_TO_EXTERNAL_TRIGGER,
    &g_RSSMXV_ATTR_ARB_WAVEFORM_CATALOG,
    &g_RSSMXV_ATTR_ARB_WAVEFORM_CATALOG_LENGTH,
    &g_RSSMXV_ATTR_ARB_WAVEFORM_DELETE,
    &g_RSSMXV_ATTR_ARB_WAVEFORM_POINTS,
    &g_RSSMXV_ATTR_ARB_WAVEFORM_FREE_DISK_SPACE,
    &g_RSSMXV_ATTR_ARB_WAVEFORM_TAG,
    &g_RSSMXV_ATTR_ARB_WAVEFORM_HDD_STREAMING_ENABLED,
    &g_RSSMXV_ATTR_ARB_MULTI_CARRIER_OUTPUT_FILE,
    &g_RSSMXV_ATTR_ARB_MULTI_CARRIER_SAVE_FILE,
    &g_RSSMXV_ATTR_ARB_CREATE_MULTI_CARRIER,
    &g_RSSMXV_ATTR_ARB_RESET_MULTI_CARRIER,
    &g_RSSMXV_ATTR_ARB_MULTI_CARRIER_MODE,
    &g_RSSMXV_ATTR_ARB_MULTI_CARRIER_SPACING,
    &g_RSSMXV_ATTR_ARB_MULTI_CARRIER_COUNT,
    &g_RSSMXV_ATTR_ARB_MULTI_CARRIER_CREST_FACTOR_MODE,
    &g_RSSMXV_ATTR_ARB_MULTI_CARRIER_CLIPPING_ENABLED,
    &g_RSSMXV_ATTR_ARB_MULTI_CARRIER_CLIPPING_TARGET_CREST_FACTOR,
    &g_RSSMXV_ATTR_ARB_MULTI_CARRIER_CLIPPING_FILTER_CUT_OFF_FREQUENCY,
    &g_RSSMXV_ATTR_ARB_MULTI_CARRIER_POWER_REFERENCE,
    &g_RSSMXV_ATTR_ARB_MULTI_CARRIER_SIGNAL_PERIOD_MODE,
    &g_RSSMXV_ATTR_ARB_MULTI_CARRIER_SIGNAL_PERIOD,
    &g_RSSMXV_ATTR_ARB_MULTI_CARRIER_ENABLED,
    &g_RSSMXV_ATTR_ARB_MULTI_CARRIER_FREQUENCY,
    &g_RSSMXV_ATTR_ARB_MULTI_CARRIER_GAIN,
    &g_RSSMXV_ATTR_ARB_MULTI_CARRIER_PHASE,
    &g_RSSMXV_ATTR_ARB_MULTI_CARRIER_DELAY,
    &g_RSSMXV_ATTR_ARB_MULTI_CARRIER_DATA_FILE,
    &g_RSSMXV_ATTR_ARB_MULTI_CARRIER_CONFLICT,
    &g_RSSMXV_ATTR_ARB_EXECUTE_MULTI_CARRIER_EDITION,
    &g_RSSMXV_ATTR_ARB_MULTI_CARRIER_EDIT_DELAY,
    &g_RSSMXV_ATTR_ARB_MULTI_CARRIER_EDIT_DELAY_STEP,
    &g_RSSMXV_ATTR_ARB_MULTI_CARRIER_INPUT_IQ_FILE,
    &g_RSSMXV_ATTR_ARB_MULTI_CARRIER_EDIT_PHASE,
    &g_RSSMXV_ATTR_ARB_MULTI_CARRIER_EDIT_PHASE_STEP,
    &g_RSSMXV_ATTR_ARB_MULTI_CARRIER_EDIT_POWER,
    &g_RSSMXV_ATTR_ARB_MULTI_CARRIER_EDIT_POWER_STEP,
    &g_RSSMXV_ATTR_ARB_MULTI_CARRIER_START,
    &g_RSSMXV_ATTR_ARB_MULTI_CARRIER_STOP,
    &g_RSSMXV_ATTR_ARB_MULTI_CARRIER_EDIT_ENABLED,
    &g_RSSMXV_ATTR_ARB_MULTI_CARRIER_CATALOG,
    &g_RSSMXV_ATTR_ARB_LOAD_MULTI_CARRIER_SETTING_FILE,
    &g_RSSMXV_ATTR_ARB_STORE_MULTI_CARRIER_SETTING_FILE,
    &g_RSSMXV_ATTR_ARB_MULTI_CARRIER_FAST_STORE,
    &g_RSSMXV_ATTR_ARB_TSIGNAL_GENERATE,
    &g_RSSMXV_ATTR_ARB_TSIGNAL_CREATE,
    &g_RSSMXV_ATTR_ARB_TSIGNAL_FREQUENCY,
    &g_RSSMXV_ATTR_ARB_TSIGNAL_PHASE,
    &g_RSSMXV_ATTR_ARB_TSIGNAL_SAMPLES,
    &g_RSSMXV_ATTR_ARB_TSIGNAL_RECTANGLE_NAME,
    &g_RSSMXV_ATTR_ARB_TSIGNAL_RECTANGLE_CREATE,
    &g_RSSMXV_ATTR_ARB_TSIGNAL_RECTANGLE_FREQUENCY,
    &g_RSSMXV_ATTR_ARB_TSIGNAL_RECTANGLE_AMPLITUDE,
    &g_RSSMXV_ATTR_ARB_TSIGNAL_RECTANGLE_OFFSET_DC,
    &g_RSSMXV_ATTR_ARB_TSIGNAL_RECTANGLE_SAMPLES,
    &g_RSSMXV_ATTR_ARB_TSIGNAL_CIQ_NAME,
    &g_RSSMXV_ATTR_ARB_TSIGNAL_CIQ_CREATE,
    &g_RSSMXV_ATTR_ARB_TSIGNAL_CIQ_I,
    &g_RSSMXV_ATTR_ARB_TSIGNAL_CIQ_Q,
    &g_RSSMXV_ATTR_ARB_MULTISEGMENT_OUTPUT_SEGMENT,
    &g_RSSMXV_ATTR_ARB_MULTISEGMENT_CURRENT_OUTPUT_SEGMENT,
    &g_RSSMXV_ATTR_ARB_MULTISEGMENT_LEVEL_MODE,
    &g_RSSMXV_ATTR_ARB_MULTISEGMENT_SEQUENCE_RESTART,
    &g_RSSMXV_ATTR_ARB_MULTISEGMENT_SEGMENT_RESTART,
    &g_RSSMXV_ATTR_ARB_MULTISEGMENT_SAVE_FILE,
    &g_RSSMXV_ATTR_ARB_MULTISEGMENT_APPEND_FILE,
    &g_RSSMXV_ATTR_ARB_MULTISEGMENT_NAME,
    &g_RSSMXV_ATTR_ARB_MULTISEGMENT_EXECUTE_NEXT_SEGMENT,
    &g_RSSMXV_ATTR_ARB_MULTISEGMENT_NEXT_SEGMENT_SOURCE,
    &g_RSSMXV_ATTR_ARB_MULTISEGMENT_NEXT_SEGMENT_LEVEL_MODE,
    &g_RSSMXV_ATTR_ARB_MULTISEGMENT_SEQUENCING_LIST,
    &g_RSSMXV_ATTR_ARB_MULTISEGMENT_MARKER_MODE,
    &g_RSSMXV_ATTR_ARB_MULTISEGMENT_CONFIGURATION_FILE,
    &g_RSSMXV_ATTR_ARB_MULTISEGMENT_CREATE_FROM_CONFIGURATION_FILE,
    &g_RSSMXV_ATTR_ARB_MULTISEGMENT_LOAD_FROM_CONFIGURATION_FILE,
    &g_RSSMXV_ATTR_ARB_MULTISEGMENT_CATALOG,
    &g_RSSMXV_ATTR_ARB_MULTISEGMENT_SEGMENT_CATALOG,
    &g_RSSMXV_ATTR_ARB_MULTISEGMENT_DELETE_CONFIGURATION_FILE,
    &g_RSSMXV_ATTR_ARB_MULTISEGMENT_COMMENT,
    &g_RSSMXV_ATTR_ARB_MULTISEGMENT_CLOCK,
    &g_RSSMXV_ATTR_ARB_MULTISEGMENT_CLOCK_MODE,
    &g_RSSMXV_ATTR_ARB_CFR_ENABLED,
    &g_RSSMXV_ATTR_ARB_CFR_ALGORITHM,
    &g_RSSMXV_ATTR_ARB_CFR_DCF_DELTA,
    &g_RSSMXV_ATTR_ARB_CFR_OCF,
    &g_RSSMXV_ATTR_ARB_CFR_FILTERING_MODE,
    &g_RSSMXV_ATTR_ARB_CFR_MAXIMUM_FILTER_ORDER,
    &g_RSSMXV_ATTR_ARB_CFR_CHANNEL_SPACING,
    &g_RSSMXV_ATTR_ARB_CFR_STOP_BAND_FREQUENCY,
    &g_RSSMXV_ATTR_ARB_CFR_MAX_ITERATIONS,
    &g_RSSMXV_ATTR_ARB_CFR_RCF,
    &g_RSSMXV_ATTR_ARB_CFR_SIGNAL_BANDWITH,
    &g_RSSMXV_ATTR_ARB_CFR_PF_REQ,
    &g_RSSMXV_ATTR_ARB_CFR_MEASURE_ENABLED,
    &g_RSSMXV_ATTR_ARB_CFR_WAVEFORM_CREATE,
    &g_RSSMXV_ATTR_AWGN_ENABLED,
    &g_RSSMXV_ATTR_AWGN_MODE,
    &g_RSSMXV_ATTR_AWGN_SYSTEM_BANDWIDTH,
    &g_RSSMXV_ATTR_AWGN_SYSTEM_BANDWIDTH_RATIO,
    &g_RSSMXV_ATTR_AWGN_SYSTEM_BANDWIDTH_NOISE,
    &g_RSSMXV_ATTR_AWGN_SYSTEM_BANDWIDTH_COUPLING,
    &g_RSSMXV_ATTR_AWGN_POWERS_FOR_OUTPUT,
    &g_RSSMXV_ATTR_AWGN_RESULTING_CW_FREQUENCY_OFFSET,
    &g_RSSMXV_ATTR_AWGN_TARGET_CW_FREQUENCY_OFFSET,
    &g_RSSMXV_ATTR_AWGN_NOISE_LEVEL_VIA,
    &g_RSSMXV_ATTR_AWGN_CARRIER_TO_NOISE_RATIO,
    &g_RSSMXV_ATTR_AWGN_REFERENCE_MODE,
    &g_RSSMXV_ATTR_AWGN_BIT_RATE,
    &g_RSSMXV_ATTR_AWGN_CARRIER_POWER,
    &g_RSSMXV_ATTR_AWGN_CARRIER_AND_NOISE_POWER,
    &g_RSSMXV_ATTR_AWGN_CARRIER_AND_NOISE_PEP,
    &g_RSSMXV_ATTR_AWGN_NOISE_POWER_TOTAL,
    &g_RSSMXV_ATTR_AWGN_NOISE_LEVEL,
    &g_RSSMXV_ATTR_AWGN_EB_TO_N0,
    &g_RSSMXV_ATTR_IMP_ENABLED,
    &g_RSSMXV_ATTR_IMP_QUADRATURE_OFFSET,
    &g_RSSMXV_ATTR_IMP_QUADRATURE_ANGLE,
    &g_RSSMXV_ATTR_IMP_OPTIMIZATION_MODE,
    &g_RSSMXV_ATTR_IMP_I_OFFSET,
    &g_RSSMXV_ATTR_IMP_Q_OFFSET,
    &g_RSSMXV_ATTR_IMP_GAIN_IMBALANCE,
    &g_RSSMXV_ATTR_IMP_CREST_FACTOR,
    &g_RSSMXV_ATTR_IMP_PEAK_LEVEL,
    &g_RSSMXV_ATTR_IMP_SIGNAL_LEVEL,
    &g_RSSMXV_ATTR_IQ_ENABLED,
    &g_RSSMXV_ATTR_IQ_SWAP_ENABLED,
    &g_RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_ENABLED,
    &g_RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_LEVEL_PEP,
    &g_RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_LEVEL,
    &g_RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_POWER_VARIATION_STEP_MODE,
    &g_RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_POWER_VARIATION_STEP,
    &g_RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_POWER_ON_STATE,
    &g_RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_CONNECTED_DEVICE,
    &g_RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_SAMPLE_RATE_ENABLED,
    &g_RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_SAMPLE_RATE,
    &g_RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_SAMPLE_RATE_MAX,
    &g_RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_SAMPLE_RATE_SUM,
    &g_RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_INTERFACE,
    &g_RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_POWER_VIA,
    &g_RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_GROUP_DELAY_COMPENSATION_ENABLED,
    &g_RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_CHANNEL_ENABLED,
    &g_RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_CHANNEL_NAME,
    &g_RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_CHANNEL_SAMPLE_RATE,
    &g_RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_CHANNEL_LEVEL,
    &g_RSSMXV_ATTR_IQ_OUTPUT_DIGITAL_CHANNEL_LEVEL_PEP,
    &g_RSSMXV_ATTR_DM_ENABLED,
    &g_RSSMXV_ATTR_DM_SET_TO_DEFAULT,
    &g_RSSMXV_ATTR_DM_ACC_TO_STANDARD,
    &g_RSSMXV_ATTR_DM_SYMBOL_RATE,
    &g_RSSMXV_ATTR_DM_CODING,
    &g_RSSMXV_ATTR_DM_SWITCHING_ENABLED,
    &g_RSSMXV_ATTR_DM_SETTINGS_CATALOG,
    &g_RSSMXV_ATTR_DM_DELETE_SETTINGS,
    &g_RSSMXV_ATTR_DM_RECALL_SETTINGS,
    &g_RSSMXV_ATTR_DM_SAVE_SETTINGS,
    &g_RSSMXV_ATTR_DM_USER_STANDARDS_CATALOG,
    &g_RSSMXV_ATTR_DM_DELETE_USER_STANDARDS,
    &g_RSSMXV_ATTR_DM_LOAD_USER_STANDARDS,
    &g_RSSMXV_ATTR_DM_STORE_USER_STANDARDS,
    &g_RSSMXV_ATTR_DM_DATA_SOURCE,
    &g_RSSMXV_ATTR_DM_DATA_PATTERN,
    &g_RSSMXV_ATTR_DM_PRBS_TYPE,
    &g_RSSMXV_ATTR_DM_CONTROL_LIST_CATALOG,
    &g_RSSMXV_ATTR_DM_CONTROL_LIST_COPY,
    &g_RSSMXV_ATTR_DM_CONTROL_LIST_DELETE,
    &g_RSSMXV_ATTR_DM_CONTROL_LIST_SELECT,
    &g_RSSMXV_ATTR_DM_CONTROL_LIST_DATA_WRITE,
    &g_RSSMXV_ATTR_DM_CONTROL_LIST_NUMBER_OF_LINES,
    &g_RSSMXV_ATTR_DM_CONTROL_LIST_FREE_MEMORY,
    &g_RSSMXV_ATTR_DM_DATA_LIST_CATALOG,
    &g_RSSMXV_ATTR_DM_DATA_LIST_COPY,
    &g_RSSMXV_ATTR_DM_DATA_LIST_DELETE,
    &g_RSSMXV_ATTR_DM_DATA_LIST_SELECT,
    &g_RSSMXV_ATTR_DM_DATA_LIST_DATA_WRITE,
    &g_RSSMXV_ATTR_DM_DATA_LIST_DATA_READ_ALL,
    &g_RSSMXV_ATTR_DM_DATA_LIST_DATA_APPEND,
    &g_RSSMXV_ATTR_DM_DATA_LIST_NUMBER_OF_BITS,
    &g_RSSMXV_ATTR_DM_DATA_LIST_FREE_MEMORY,
    &g_RSSMXV_ATTR_DM_MAPPING_LIST_CATALOG,
    &g_RSSMXV_ATTR_DM_MAPPING_LIST_DELETE,
    &g_RSSMXV_ATTR_DM_MAPPING_LIST_FREE_MEMORY,
    &g_RSSMXV_ATTR_DM_MAPPING_LIST_LENGTH,
    &g_RSSMXV_ATTR_DM_MAPPING_LIST_SELECT,
    &g_RSSMXV_ATTR_DM_MODULATION_TYPE,
    &g_RSSMXV_ATTR_DM_ASK_DEPTH,
    &g_RSSMXV_ATTR_DM_FSK_DEVIATION,
    &g_RSSMXV_ATTR_DM_VARIABLE_FSK_TYPE,
    &g_RSSMXV_ATTR_DM_AQPSK_ANGLE_ALPHA,
    &g_RSSMXV_ATTR_DM_16APSK_GAMMA,
    &g_RSSMXV_ATTR_DM_32APSK_GAMMA,
    &g_RSSMXV_ATTR_DM_VARIABLE_FSK_DEVIATION,
    &g_RSSMXV_ATTR_DM_FILTER_TYPE,
    &g_RSSMXV_ATTR_DM_FILTER_TYPE_PARAMETER,
    &g_RSSMXV_ATTR_DM_FILTER_PARAMETER_APCO25,
    &g_RSSMXV_ATTR_DM_FILTER_PARAMETER_APCO25_LSM_GAUSS,
    &g_RSSMXV_ATTR_DM_FILTER_PARAMETER_APCO25_LSM_LOWPASS,
    &g_RSSMXV_ATTR_DM_FILTER_PARAMETER_COSINE,
    &g_RSSMXV_ATTR_DM_FILTER_PARAMETER_COSINE_BANDWIDTH,
    &g_RSSMXV_ATTR_DM_FILTER_PARAMETER_GAUSS,
    &g_RSSMXV_ATTR_DM_FILTER_PARAMETER_PURE_GAUSS,
    &g_RSSMXV_ATTR_DM_FILTER_PARAMETER_ROOT_COSINE,
    &g_RSSMXV_ATTR_DM_FILTER_PARAMETER_SPLIT_PHASE,
    &g_RSSMXV_ATTR_DM_FILTER_PARAMETER_LOW_PASS,
    &g_RSSMXV_ATTR_DM_FILTER_PARAMETER_LOW_PASS_EVM,
    &g_RSSMXV_ATTR_DM_FILTER_CATALOG,
    &g_RSSMXV_ATTR_DM_FILTER_LIST_DELETE,
    &g_RSSMXV_ATTR_DM_FILTER_LIST_SELECT,
    &g_RSSMXV_ATTR_DM_FILTER_LIST_FREE_MEMORY,
    &g_RSSMXV_ATTR_DM_FILTER_LIST_LENGTH,
    &g_RSSMXV_ATTR_DM_POWER_RAMPING_ENABLED,
    &g_RSSMXV_ATTR_DM_POWER_RAMP_SOURCE,
    &g_RSSMXV_ATTR_DM_POWER_RAMP_FUNCTION,
    &g_RSSMXV_ATTR_DM_POWER_RAMP_TIME,
    &g_RSSMXV_ATTR_DM_POWER_RAMP_RISE_DELAY,
    &g_RSSMXV_ATTR_DM_POWER_RAMP_FALL_DELAY,
    &g_RSSMXV_ATTR_DM_POWER_RAMP_ATTENUATION,
    &g_RSSMXV_ATTR_DM_POWER_RAMP_IN_BASEBAND_ONLY,
    &g_RSSMXV_ATTR_DM_TRIGGER_ARM_EXECUTE,
    &g_RSSMXV_ATTR_DM_TRIGGER_EXECUTE,
    &g_RSSMXV_ATTR_DM_TRIGGER_MODE,
    &g_RSSMXV_ATTR_DM_TRIGGER_SOURCE,
    &g_RSSMXV_ATTR_DM_TRIGGER_SIGNAL_DURATION,
    &g_RSSMXV_ATTR_DM_TRIGGER_STATUS,
    &g_RSSMXV_ATTR_DM_EXTERNAL_TRIGGER_DELAY,
    &g_RSSMXV_ATTR_DM_EXTERNAL_TRIGGER_INHIBIT,
    &g_RSSMXV_ATTR_DM_EXTERNAL_TRIGGER_DELAY_UNIT,
    &g_RSSMXV_ATTR_DM_EXTERNAL_TRIGGER_ACTUAL_DELAY,
    &g_RSSMXV_ATTR_DM_EXTERNAL_TRIGGER_SPECIFIED_DELAY,
    &g_RSSMXV_ATTR_DM_MARKER_MODE,
    &g_RSSMXV_ATTR_DM_MARKER_PULSE_DIVIDER,
    &g_RSSMXV_ATTR_DM_MARKER_PULSE_FREQUENCY,
    &g_RSSMXV_ATTR_DM_MARKER_PATTERN,
    &g_RSSMXV_ATTR_DM_MARKER_ON_TIME,
    &g_RSSMXV_ATTR_DM_MARKER_OFF_TIME,
    &g_RSSMXV_ATTR_DM_MARKER_DELAY,
    &g_RSSMXV_ATTR_DM_CLOCK_SOURCE,
    &g_RSSMXV_ATTR_DM_CLOCK_SYNCHRONIZATION_OUTPUT_TO_EXTERNAL_TRIGGER,
    &g_RSSMXV_ATTR_BBIN_FREQUENCY_OFFSET,
    &g_RSSMXV_ATTR_BBIN_PHASE_OFFSET,
    &g_RSSMXV_ATTR_BBIN_SIGNAL_ROUTING,
    &g_RSSMXV_ATTR_BBIN_ENABLED,
    &g_RSSMXV_ATTR_BBIN_MODE,
    &g_RSSMXV_ATTR_BBIN_CREST_FACTOR,
    &g_RSSMXV_ATTR_BBIN_PEAK_LEVEL,
    &g_RSSMXV_ATTR_BBIN_MEASUREMENT_PERIOD,
    &g_RSSMXV_ATTR_BBIN_AUTO_LEVEL_SET_ENABLED,
    &g_RSSMXV_ATTR_BBIN_AUTO_LEVEL_SET,
    &g_RSSMXV_ATTR_BBIN_RMS_POWER,
    &g_RSSMXV_ATTR_BBIN_SAMPLE_RATE,
    &g_RSSMXV_ATTR_BBIN_SAMPLE_RATE_SOURCE,
    &g_RSSMXV_ATTR_BBIN_EXTERNALLY_CONNECTED_ID,
    &g_RSSMXV_ATTR_BBIN_DIGITAL_INTERFACE,
    &g_RSSMXV_ATTR_BBIN_MAX_SAMPLE_RATE,
    &g_RSSMXV_ATTR_BBIN_SUM_SAMPLE_RATE,
    &g_RSSMXV_ATTR_BBIN_ACTIVATE_CHANNEL,
    &g_RSSMXV_ATTR_BBIN_CHANNEL_NAME,
    &g_RSSMXV_ATTR_BBIN_CHANNEL_CREST_FACTOR,
    &g_RSSMXV_ATTR_BBIN_CHANNEL_PEAK_LEVEL,
    &g_RSSMXV_ATTR_BBIN_CHANNEL_SAMPLE_RATE,
    &g_RSSMXV_ATTR_BBIN_CHANNEL_RMS_LEVEL,
    &g_RSSMXV_ATTR_REFERENCE_OSCILLATOR_PRESET,
    &g_RSSMXV_ATTR_REFERENCE_OSCILLATOR_SOURCE,
    &g_RSSMXV_ATTR_REFERENCE_OSCILLATOR_ADJUSTMENT_FREQUENCY,
    &g_RSSMXV_ATTR_REFERENCE_OSCILLATOR_ADJUSTMENT_ACTIVE,
    &g_RSSMXV_ATTR_REFERENCE_OSCILLATOR_EXTERNAL_FREQUENCY,
    &g_RSSMXV_ATTR_REFERENCE_OSCILLATOR_OUTPUT_FREQUENCY_MODE,
    &g_RSSMXV_ATTR_REFERENCE_OSCILLATOR_USER_DEFINED_FREQUENCY,
    &g_RSSMXV_ATTR_REFERENCE_OSCILLATOR_RF_SWITCH_OFF_ACTIVE,
    &g_RSSMXV_ATTR_REFERENCE_OSCILLATOR_SYNCHRONIZATION_BANDWIDTH,
    &g_RSSMXV_ATTR_REFERENCE_OSCILLATOR_MINIMUM_LOCKING_RANGE,
    &g_RSSMXV_ATTR_REFERENCE_OSCILLATOR_NOMINAL_SYNCHRONIZATION_BANDWIDTH,
    &g_RSSMXV_ATTR_ALL_RF_OUTPUTS_ENABLED,
    &g_RSSMXV_ATTR_ALL_MODULATIONS_ENABLED,
    &g_RSSMXV_ATTR_TRIGGER_SOURCE_FOR_ALL_SWEEPS,
    &g_RSSMXV_ATTR_RESET_ALL_SWEEPS,
    &g_RSSMXV_ATTR_OUTPUT_ENABLED,
    &g_RSSMXV_ATTR_OUTPUT_IMPEDANCE,
    &g_RSSMXV_ATTR_RF_FREQUENCY_ON_RECALL,
    &g_RSSMXV_ATTR_RF_LEVEL_ON_RECALL,
    &g_RSSMXV_ATTR_OVERVOLTAGE_PROTECTION_CLEAR,
    &g_RSSMXV_ATTR_OVERVOLTAGE_PROTECTION_TRIPPED,
    &g_RSSMXV_ATTR_ALC_SEARCH_ONCE,
    &g_RSSMXV_ATTR_ALC_MODE,
    &g_RSSMXV_ATTR_TRIGGER_ALL_SWEEPS,
    &g_RSSMXV_ATTR_RF_FREQUENCY,
    &g_RSSMXV_ATTR_RF_FREQUENCY_MODE,
    &g_RSSMXV_ATTR_RF_FREQUENCY_OFFSET,
    &g_RSSMXV_ATTR_RF_FREQUENCY_MULTIPLIER,
    &g_RSSMXV_ATTR_RF_VARIATION_STEP_MODE,
    &g_RSSMXV_ATTR_RF_VARIATION_STEP,
    &g_RSSMXV_ATTR_FREQUENCY_SWEEP_EXECUTE,
    &g_RSSMXV_ATTR_FREQUENCY_SWEEP_MODE,
    &g_RSSMXV_ATTR_FREQUENCY_SWEEP_TRIGGER_SOURCE,
    &g_RSSMXV_ATTR_FREQUENCY_SWEEP_START_FREQUENCY,
    &g_RSSMXV_ATTR_FREQUENCY_SWEEP_STOP_FREQUENCY,
    &g_RSSMXV_ATTR_FREQUENCY_SWEEP_CENTER_FREQUENCY,
    &g_RSSMXV_ATTR_FREQUENCY_SWEEP_SPAN,
    &g_RSSMXV_ATTR_FREQUENCY_SWEEP_SPACING,
    &g_RSSMXV_ATTR_FREQUENCY_SWEEP_STEP_LINEAR,
    &g_RSSMXV_ATTR_FREQUENCY_SWEEP_STEP_LOG,
    &g_RSSMXV_ATTR_FREQUENCY_SWEEP_DWELL_TIME,
    &g_RSSMXV_ATTR_FREQUENCY_SWEEP_MANUAL_STEP,
    &g_RSSMXV_ATTR_FREQUENCY_SWEEP_POINTS,
    &g_RSSMXV_ATTR_FREQUENCY_SWEEP_SHAPE,
    &g_RSSMXV_ATTR_FREQUENCY_SWEEP_STATUS,
    &g_RSSMXV_ATTR_RF_DELTA_PHASE,
    &g_RSSMXV_ATTR_RESET_RF_DELTA_PHASE_DISPLAY,
    &g_RSSMXV_ATTR_RF_AMPLITUDE,
    &g_RSSMXV_ATTR_RF_LEVEL_LOWER_RANGE,
    &g_RSSMXV_ATTR_RF_LEVEL_UPPER_RANGE,
    &g_RSSMXV_ATTR_RF_POWER_MODE,
    &g_RSSMXV_ATTR_RF_LEVEL_PEAK_ENVELOPE_POWER,
    &g_RSSMXV_ATTR_RF_LEVEL_LIMIT,
    &g_RSSMXV_ATTR_RF_LEVEL_OFFSET,
    &g_RSSMXV_ATTR_RF_LEVEL_POWER,
    &g_RSSMXV_ATTR_RF_LEVEL_SETTING_CHARACTERISTICS,
    &g_RSSMXV_ATTR_RF_LEVEL_EMF_ENABLED,
    &g_RSSMXV_ATTR_RF_LEVEL_REFERENCE,
    &g_RSSMXV_ATTR_RF_ATTENUATOR_LOWER_RANGE,
    &g_RSSMXV_ATTR_RF_ATTENUATOR_UPPER_RANGE,
    &g_RSSMXV_ATTR_RF_ATTENUATOR_RF_OFF_MODE,
    &g_RSSMXV_ATTR_RF_LEVEL_VARIATION_ACTIVE,
    &g_RSSMXV_ATTR_RF_LEVEL_VARIATION_STEP,
    &g_RSSMXV_ATTR_LEVEL_SWEEP_EXECUTE,
    &g_RSSMXV_ATTR_LEVEL_SWEEP_MODE,
    &g_RSSMXV_ATTR_LEVEL_SWEEP_TRIGGER_SOURCE,
    &g_RSSMXV_ATTR_LEVEL_SWEEP_TRIGGER_START,
    &g_RSSMXV_ATTR_LEVEL_SWEEP_START,
    &g_RSSMXV_ATTR_LEVEL_SWEEP_STOP,
    &g_RSSMXV_ATTR_LEVEL_SWEEP_STEP,
    &g_RSSMXV_ATTR_LEVEL_SWEEP_DWELL_TIME,
    &g_RSSMXV_ATTR_LEVEL_SWEEP_MANUAL_STEP,
    &g_RSSMXV_ATTR_LEVEL_SWEEP_POINTS,
    &g_RSSMXV_ATTR_LEVEL_SWEEP_SHAPE,
    &g_RSSMXV_ATTR_LEVEL_SWEEP_RETRACE,
    &g_RSSMXV_ATTR_SWEEP_FREQUENCY_RETRACE,
    &g_RSSMXV_ATTR_LEVEL_SWEEP_SPACING_MODE,
    &g_RSSMXV_ATTR_LEVEL_SWEEP_STATUS,
    &g_RSSMXV_ATTR_LEVEL_SWEEP_ATTENUATOR_MODE,
    &g_RSSMXV_ATTR_USER_CORRECTION_DATA_ENABLED,
    &g_RSSMXV_ATTR_USER_CORRECTION_DATA_VALUE,
    &g_RSSMXV_ATTR_USER_CORRECTION_DATA_CATALOG,
    &g_RSSMXV_ATTR_USER_CORRECTION_DATA_DELETE,
    &g_RSSMXV_ATTR_USER_CORRECTION_DATA_TABLE,
    &g_RSSMXV_ATTR_HIDDEN_USER_CORRECTION_DATA_LEVEL_VALUES,
    &g_RSSMXV_ATTR_HIDDEN_USER_CORRECTION_DATA_FREQUENCY_VALUES,
    &g_RSSMXV_ATTR_USER_CORRECTION_DATA_NUMBER_OF_FREQUENCY_VALUES,
    &g_RSSMXV_ATTR_USER_CORRECTION_DATA_NUMBER_OF_LEVEL_VALUES,
    &g_RSSMXV_ATTR_CORRECTION_LIST_MODE,
    &g_RSSMXV_ATTR_CORRECTION_LIST_FILE,
    &g_RSSMXV_ATTR_CORRECTION_EXECUTE,
    &g_RSSMXV_ATTR_CORRECTION_ASCII_FILE,
    &g_RSSMXV_ATTR_CORRECTION_ASCII_EXTENSION,
    &g_RSSMXV_ATTR_CORRECTION_ASCII_COLUMN_SEPARATOR,
    &g_RSSMXV_ATTR_CORRECTION_ASCII_COLUMN_DECIMAL_SEPARATOR,
    &g_RSSMXV_ATTR_CORRECTION_IMPORT_EXPORT_CATALOG,
    &g_RSSMXV_ATTR_CORRECTION_DATA_WITH_SENSOR,
    &g_RSSMXV_ATTR_LIST_CATALOG,
    &g_RSSMXV_ATTR_LIST_DELETE_LIST,
    &g_RSSMXV_ATTR_LIST_DELETE_ALL,
    &g_RSSMXV_ATTR_LIST_LEARN,
    &g_RSSMXV_ATTR_LIST_FREQUENCY_POINTS,
    &g_RSSMXV_ATTR_LIST_POWER_POINTS,
    &g_RSSMXV_ATTR_LIST_START_INDEX,
    &g_RSSMXV_ATTR_LIST_STOP_INDEX,
    &g_RSSMXV_ATTR_LIST_FREE_MEMORY,
    &g_RSSMXV_ATTR_LIST_RESET_LIST,
    &g_RSSMXV_ATTR_LIST_TRIGGER_EXECUTE,
    &g_RSSMXV_ATTR_LIST_MODE,
    &g_RSSMXV_ATTR_LIST_RUN_MODE,
    &g_RSSMXV_ATTR_LIST_DWELL_TIME,
    &g_RSSMXV_ATTR_LIST_DWELL_TIME_MODE,
    &g_RSSMXV_ATTR_LIST_SELECT_LIST,
    &g_RSSMXV_ATTR_HIDDEN_LIST_DWELL_TIME_VALUES,
    &g_RSSMXV_ATTR_LIST_DWELL_TIME_POINTS,
    &g_RSSMXV_ATTR_HIDDEN_LIST_FREQUENCY_VALUES,
    &g_RSSMXV_ATTR_HIDDEN_LIST_POWER_VALUES,
    &g_RSSMXV_ATTR_LIST_TRIGGER_SOURCE,
    &g_RSSMXV_ATTR_LIST_INDEX,
    &g_RSSMXV_ATTR_LIST_CURRENT_STATE,
    &g_RSSMXV_ATTR_LIST_IMPORT_EXPORT_LIST_MODE,
    &g_RSSMXV_ATTR_LIST_IMPORT_EXPORT_LIST_FILE,
    &g_RSSMXV_ATTR_LIST_IMPORT_EXPORT_EXECUTE,
    &g_RSSMXV_ATTR_LIST_IMPORT_EXPORT_ASCII_FILE,
    &g_RSSMXV_ATTR_LIST_IMPORT_EXPORT_ASCII_EXTENSION,
    &g_RSSMXV_ATTR_LIST_IMPORT_EXPORT_ASCII_COLUMN_SEPARATOR,
    &g_RSSMXV_ATTR_LIST_IMPORT_EXPORT_ASCII_COLUMN_DECIMAL_SEPARATOR,
    &g_RSSMXV_ATTR_LIST_IMPORT_EXPORT_CATALOG,
    &g_RSSMXV_ATTR_POWER_ON_STATE,
    &g_RSSMXV_ATTR_POWER_UNIT,
    &g_RSSMXV_ATTR_POWER_FREQUENCY,
    &g_RSSMXV_ATTR_POWER_RECORDER_ENABLED,
    &g_RSSMXV_ATTR_POWER_OFFSET,
    &g_RSSMXV_ATTR_POWER_OFFSET_ENABLED,
    &g_RSSMXV_ATTR_POWER_SOURCE,
    &g_RSSMXV_ATTR_POWER_ZERO,
    &g_RSSMXV_ATTR_POWER_CONTINUOUS,
    &g_RSSMXV_ATTR_POWER_USE_SPARAMETERS,
    &g_RSSMXV_ATTR_POWER_SPARAMETER_LIST,
    &g_RSSMXV_ATTR_POWER_SPARAMETER_SELECT,
    &g_RSSMXV_ATTR_POWER_DISPLAY_PERMANENT_STATE,
    &g_RSSMXV_ATTR_POWER_DISPLAY_PERMANENT_PRIORITY,
    &g_RSSMXV_ATTR_POWER_FILTER_LENGTH,
    &g_RSSMXV_ATTR_POWER_FILTER_MODE,
    &g_RSSMXV_ATTR_POWER_FILTER_NS_RATIO,
    &g_RSSMXV_ATTR_POWER_FILTER_NS_RATIO_TIMEOUT,
    &g_RSSMXV_ATTR_POWER_FILTER_LENGTH_AUTO,
    &g_RSSMXV_ATTR_POWER_FILTER_SEARCH_ONCE,
    &g_RSSMXV_ATTR_POWER_SENSOR_DEVICE,
    &g_RSSMXV_ATTR_POWER_SENSOR_TYPE,
    &g_RSSMXV_ATTR_POWER_READ_POWER,
    &g_RSSMXV_ATTR_POWER_SENSOR_SERIAL_NUMBER,
    &g_RSSMXV_ATTR_POWER_DEFAULT_APERTURE_TIME_ENABLED,
    &g_RSSMXV_ATTR_POWER_APERTURE_TIME,
    &g_RSSMXV_ATTR_POWER_SENSOR_CONTROL_SELECT,
    &g_RSSMXV_ATTR_POWER_SENSOR_CONTROL_ENABLED,
    &g_RSSMXV_ATTR_POWER_SENSOR_CONTROL_MODE,
    &g_RSSMXV_ATTR_POWER_SENSOR_CONTROL_EXECUTE_SINGLE,
    &g_RSSMXV_ATTR_POWER_SENSOR_CONTROL_CATCH_RANGE,
    &g_RSSMXV_ATTR_POWER_SENSOR_CONTROL_DELAY,
    &g_RSSMXV_ATTR_POWER_SENSOR_CONTROL_PEAK_ENABLED,
    &g_RSSMXV_ATTR_POWER_SENSOR_CONTROL_TARGET_LEVEL,
    &g_RSSMXV_ATTR_POWER_SENSOR_CONTROL_MEASURE_AS_TARGET_LEVEL,
    &g_RSSMXV_ATTR_POWER_SENSOR_MAPPING_SCAN_ENABLED,
    &g_RSSMXV_ATTR_POWER_SENSOR_MAPPING_LIST,
    &g_RSSMXV_ATTR_POWER_SENSOR_REMOVES_ALL_LAN_SENSORS,
    &g_RSSMXV_ATTR_POWER_SENSOR_REMOVES_ALL_USB_SENSORS,
    &g_RSSMXV_ATTR_POWER_SENSOR_REMOVES_ALL_SENSORS,
    &g_RSSMXV_ATTR_POWER_SENSOR_SCAN_LAN,
    &g_RSSMXV_ATTR_CALIBRATION_ALL,
    &g_RSSMXV_ATTR_REMOTE_CONTROL_COMMAND_SET,
    &g_RSSMXV_ATTR_KEYBOARD_LAYOUT,
    &g_RSSMXV_ATTR_TS_PLAYER_SELECT_FILE,
    &g_RSSMXV_ATTR_TS_PLAYER_SELECTED_FILE_SIZE,
    &g_RSSMXV_ATTR_TS_PLAYER_SELECTED_FILE_LOOP_TIME,
    &g_RSSMXV_ATTR_TS_PLAYER_START_TIME,
    &g_RSSMXV_ATTR_TS_PLAYER_STOP_TIME,
    &g_RSSMXV_ATTR_TS_PLAYER_POSITION,
    &g_RSSMXV_ATTR_TS_PLAYER_RESET_WINDOW,
    &g_RSSMXV_ATTR_TS_PLAYER_PLAY,
    &g_RSSMXV_ATTR_TS_PLAYER_PAUSE,
    &g_RSSMXV_ATTR_TS_PLAYER_STOP,
    &g_RSSMXV_ATTR_TS_PLAYER_RESET,
    &g_RSSMXV_ATTR_TS_PLAYER_DATA_RATE,
    &g_RSSMXV_ATTR_TS_PLAYER_ORIGINAL_DATA_RATE,
    &g_RSSMXV_ATTR_TS_PLAYER_PACKET_LENGTH,
    &g_RSSMXV_ATTR_TS_PLAYER_NULL_PACKET_STUFFING,
    &g_RSSMXV_ATTR_TS_PLAYER_STOP_DATA,
    &g_RSSMXV_ATTR_TS_PLAYER_TEST_PACKET,
    &g_RSSMXV_ATTR_TS_PLAYER_PID_TEST_PACKET,
    &g_RSSMXV_ATTR_TS_PLAYER_PID,
    &g_RSSMXV_ATTR_TS_PLAYER_PAYLOAD_TEST_STUFF,
    &g_RSSMXV_ATTR_TS_PLAYER_PRBS,
    &g_RSSMXV_ATTR_TS_PLAYER_CONTINUITY_COUNTER,
    &g_RSSMXV_ATTR_TS_PLAYER_PCR_DTS_PTS,
    &g_RSSMXV_ATTR_TS_PLAYER_TDT_TOT,
    &g_RSSMXV_ATTR_IP_DATA_NETWORK_CONNECTED,
    &g_RSSMXV_ATTR_IP_DATA_NETWORK_RESTART,
    &g_RSSMXV_ATTR_IP_DATA_NETWORK_HOSTNAME,
    &g_RSSMXV_ATTR_IP_DATA_NETWORK_ADDRESS_MODE,
    &g_RSSMXV_ATTR_IP_DATA_NETWORK_IP_ADDRESS,
    &g_RSSMXV_ATTR_IP_DATA_NETWORK_SUBNET_MASK,
    &g_RSSMXV_ATTR_IP_DATA_NETWORK_PROTOCOL,
    &g_RSSMXV_ATTR_IP_DATA_NETWORK_MAC_ADDRESS,
    &g_RSSMXV_ATTR_DIAGNOSTIC_OPERATING_HOUR,
    &g_RSSMXV_ATTR_DIAGNOSTIC_POWER_ON_COUNT,
    &g_RSSMXV_ATTR_DIAGNOSTIC_AVAILABLE_ASSEMBLIES_CATALOG,
    &g_RSSMXV_ATTR_DIAGNOSTIC_TEST_POINTS_CATALOG,
    &g_RSSMXV_ATTR_HUMS_ENABLED,
    &g_RSSMXV_ATTR_HUMS_DATA_FORMAT,
    &g_RSSMXV_ATTR_HUMS_DELETE_ALL_DATA,
    &g_RSSMXV_ATTR_HUMS_EXPORT_HISTORY,
    &g_RSSMXV_ATTR_HUMS_EXPORT_HISTORY_TO_FILE,
    &g_RSSMXV_ATTR_HUMS_DELETE_HISTORY,
    &g_RSSMXV_ATTR_HUMS_DEVICE_TAGS_CATALOG,
    &g_RSSMXV_ATTR_HUMS_DEVICE_TAGS_DELETE_ALL,
    &g_RSSMXV_ATTR_HIDDEN_HUMS_DEVICE_TAGS_VALUE,
    &g_RSSMXV_ATTR_HUMS_DEVICE_TAG_DELETE,
    &g_RSSMXV_ATTR_HUMS_SNMP_REST_ENABLED,
    &g_RSSMXV_ATTR_HUMS_SNMP_VERSION,
    &g_RSSMXV_ATTR_HUMS_SNMP_USER_CATALOG,
    &g_RSSMXV_ATTR_HIDDEN_HUMS_SNMP_USER_ADD,
    &g_RSSMXV_ATTR_HUMS_SNMP_USER_DELETE,
    &g_RSSMXV_ATTR_HUMS_SNMP_USER_DELETE_ALL,
    &g_RSSMXV_ATTR_HUMS_SNMP_READ_ONLY_ACCESS,
    &g_RSSMXV_ATTR_HUMS_SNMP_READ_WRITE_ACCESS,
    &g_RSSMXV_ATTR_HUMS_SNMP_CONTACT,
    &g_RSSMXV_ATTR_HUMS_SNMP_LOCATION,
    &g_RSSMXV_ATTR_CALIBRATION_CONTINUE_ON_ERROR,
    &g_RSSMXV_ATTR_CALIBRATION_LAST_FULL_ADJUSTMENT,
    &g_RSSMXV_ATTR_CALIBRATION_LAST_FULL_ADJUSTMENT_TIME,
    &g_RSSMXV_ATTR_CALIBRATION_TEMPERATURE_OFFSET_TO_LAST_FULL_ADJUSTMENT,
    &g_RSSMXV_ATTR_CALIBRATION_INTERNAL_ADJUSTMENT_STATE,
    &g_RSSMXV_ATTR_LAST_FACTORY_CALIBRATION,
    &g_RSSMXV_ATTR_CALIBRATION_REFERENCE_FREQUENCY,
    &g_RSSMXV_ATTR_CALIBRATION_SHUTDOWN_AFTER_ADJUSTMENT_ENABLED,
    &g_RSSMXV_ATTR_CALIBRATION_WARM_UP_TIME,
    &g_RSSMXV_ATTR_CALIBRATION_ADJUST_ALL_DELAYED,
    &g_RSSMXV_ATTR_HARD_COPY_EXECUTE,
    &g_RSSMXV_ATTR_HARD_COPY_LANGUAGE,
    &g_RSSMXV_ATTR_HARD_COPY_IMAGE_FORMAT,
    &g_RSSMXV_ATTR_HARD_COPY_REGION,
    &g_RSSMXV_ATTR_HARD_COPY_FILE_NAME,
    &g_RSSMXV_ATTR_HARD_COPY_AUTO_FILE_DIRECTORY,
    &g_RSSMXV_ATTR_CLEAR_HARD_COPY_FILE,
    &g_RSSMXV_ATTR_HARD_COPY_AUTO_FILE_NAME,
    &g_RSSMXV_ATTR_HARD_COPY_AUTO_NAMING_ENABLED,
    &g_RSSMXV_ATTR_HARD_COPY_DAY_TO_FILE_NAME,
    &g_RSSMXV_ATTR_HARD_COPY_MONTH_TO_FILE_NAME,
    &g_RSSMXV_ATTR_HARD_COPY_YEAR_TO_FILE_NAME,
    &g_RSSMXV_ATTR_HARD_COPY_CURRENT_NUMBER,
    &g_RSSMXV_ATTR_HARD_COPY_AUTO_PREFIX_ENABLED,
    &g_RSSMXV_ATTR_HARD_COPY_FILE_NAME_PREFIX,
    &g_RSSMXV_ATTR_HARD_COPY_GENERATED_AUTO_NAME,
    &g_RSSMXV_ATTR_DISPLAY_UPDATE,
    &g_RSSMXV_ATTR_DISPLAY_ANNOTATION_AMPLITUDE,
    &g_RSSMXV_ATTR_DISPLAY_ANNOTATION_FREQUENCY,
    &g_RSSMXV_ATTR_DISPLAY_ANNOTATION_ALL,
    &g_RSSMXV_ATTR_DISPLAY_DIALOG_ID,
    &g_RSSMXV_ATTR_DISPLAY_DIALOG_OPEN,
    &g_RSSMXV_ATTR_DISLPAY_DIALOG_CLOSE,
    &g_RSSMXV_ATTR_DISPLAY_DIALOG_CLOSE_ALL,
    &g_RSSMXV_ATTR_DISPLAY_BRIGHTNESS,
    &g_RSSMXV_ATTR_DISPLAY_BUTTON_BRIGHTNESS,
    &g_RSSMXV_ATTR_DISPLAY_POWER_SAVE_ENABLED,
    &g_RSSMXV_ATTR_DISPLAY_POWER_SAVE_HOLDOFF,
    &g_RSSMXV_ATTR_MMEMORY_CHANGE_DIRECTORY,
    &g_RSSMXV_ATTR_MMEMORY_DELETE,
    &g_RSSMXV_ATTR_MMEMORY_MAKE_DIRECTORY,
    &g_RSSMXV_ATTR_MMEMORY_DRIVE,
    &g_RSSMXV_ATTR_MMEMORY_REMOVE_DIRECTORY,
    &g_RSSMXV_ATTR_MMEMORY_USER_PATH,
    &g_RSSMXV_ATTR_MMEMORY_USED_AND_AVAILABLE_MEMORY,
    &g_RSSMXV_ATTR_SYSTEM_REBOOT,
    &g_RSSMXV_ATTR_SYSTEM_RESTART,
    &g_RSSMXV_ATTR_SYSTEM_SHUTDOWN,
    &g_RSSMXV_ATTR_SYSTEM_FACTORY_PRESET,
    &g_RSSMXV_ATTR_SYSTEM_ERROR,
    &g_RSSMXV_ATTR_SYSTEM_STATIC_ERRORS,
    &g_RSSMXV_ATTR_SYSTEM_ERROR_QUEUE_ALL,
    &g_RSSMXV_ATTR_SYSTEM_ERROR_QUEUE_CODE_ALL,
    &g_RSSMXV_ATTR_SYSTEM_ERROR_QUEUE_CODE_NEXT,
    &g_RSSMXV_ATTR_SYSTEM_ERROR_QUEUE_COUNT,
    &g_RSSMXV_ATTR_SYSTEM_ERROR_GLOBAL,
    &g_RSSMXV_ATTR_SYSTEM_USB_RESOURCE,
    &g_RSSMXV_ATTR_SYSTEM_VISA_RESOURCE_STRING,
    &g_RSSMXV_ATTR_SYSTEM_OPTION_USER_DEFINED,
    &g_RSSMXV_ATTR_SYSTEM_KEYBOARD_LOCK,
    &g_RSSMXV_ATTR_SYSTEM_USER_INTERFACE_LOCK,
    &g_RSSMXV_ATTR_SYSTEM_DISPLAY_LOCK,
    &g_RSSMXV_ATTR_SYSTEM_VERSION,
    &g_RSSMXV_ATTR_SYSTEM_BIOS_VERSION,
    &g_RSSMXV_ATTR_SYSTEM_STARTUP_COMPLETE,
    &g_RSSMXV_ATTR_SYSTEM_ALL_DATA_SHEETS,
    &g_RSSMXV_ATTR_SYSTEM_DATA_SHEET_FACTORY_VERSION,
    &g_RSSMXV_ATTR_SYSTEM_DATA_SHEET_VERSION,
    &g_RSSMXV_ATTR_SYSTEM_DATA_SHEET_IDS,
    &g_RSSMXV_ATTR_SYSTEM_SCPI_INFORMATION,
    &g_RSSMXV_ATTR_SYSTEM_TIME_ZONE_CATALOG,
    &g_RSSMXV_ATTR_SYSTEM_TIME_ZONE,
    &g_RSSMXV_ATTR_SYSTEM_TIME_PROTOCOL,
    &g_RSSMXV_ATTR_SYSTEM_DATE,
    &g_RSSMXV_ATTR_SYSTEM_UPTIME,
    &g_RSSMXV_ATTR_SYSTEM_CLEAR_HISTORY,
    &g_RSSMXV_ATTR_SYSTEM_WAIT,
    &g_RSSMXV_ATTR_SYSTEM_DEVICE_FOOTPRINT,
    &g_RSSMXV_ATTR_SYSTEM_OPERATING_SYSTEM,
    &g_RSSMXV_ATTR_SYSTEM_SCPI_RECORDING_DATA,
    &g_RSSMXV_ATTR_SYSTEM_SAVE_INSTRUMENT_SETTINGS,
    &g_RSSMXV_ATTR_SYSTEM_LOAD_INSTRUMENT_SETTINGS,
    &g_RSSMXV_ATTR_SYSTEM_HELP_EXPORT,
    &g_RSSMXV_ATTR_SYSTEM_IDENTIFICATION,
    &g_RSSMXV_ATTR_SYSTEM_IDENTIFICATION_PRESET,
    &g_RSSMXV_ATTR_SYSTEM_IDN_RESPONSE,
    &g_RSSMXV_ATTR_SYSTEM_LOCK_OWNER,
    &g_RSSMXV_ATTR_SYSTEM_LOCK_RELEASE,
    &g_RSSMXV_ATTR_SYSTEM_LOCK_EXKLUSIVE,
    &g_RSSMXV_ATTR_SYSTEM_OLDEST_INFORMATION_MESSAGE,
    &g_RSSMXV_ATTR_SYSTEM_NETWORK_DOMAIN,
    &g_RSSMXV_ATTR_SYSTEM_NETWORK_GATEWAY,
    &g_RSSMXV_ATTR_SYSTEM_NETWORK_RESOURCE,
    &g_RSSMXV_ATTR_SYSTEM_NETWORK_SUBNET_MASK,
    &g_RSSMXV_ATTR_SYSTEM_NETWORK_WORKGROUP,
    &g_RSSMXV_ATTR_SYSTEM_NETWORK_MAC_ADDRESS,
    &g_RSSMXV_ATTR_SYSTEM_NETWORK_ENABLED,
    &g_RSSMXV_ATTR_SYSTEM_NETWORK_HOSTNAME,
    &g_RSSMXV_ATTR_SYSTEM_NETWORK_RESTART,
    &g_RSSMXV_ATTR_SYSTEM_NETWORK_DNS_SERVER,
    &g_RSSMXV_ATTR_SYSTEM_NETWORK_IP_ADDRESS,
    &g_RSSMXV_ATTR_SYSTEM_NETWORK_IP_ADDRESS_SUBNET_MASK,
    &g_RSSMXV_ATTR_SYSTEM_NETWORK_IP_ADDRESS_GATEWAY,
    &g_RSSMXV_ATTR_SYSTEM_NETWORK_IP_ADDRESS_MODE,
    &g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_FREQUENCY_OFFSET,
    &g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_PHASE_OFFSET,
    &g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_EXTERNAL_CLEAN,
    &g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_EXTERNAL_CONNECT_ALL,
    &g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_EXTERNAL_DISCONNECT_ALL,
    &g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_EXTERNAL_DISPLAY_MODE,
    &g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_EXTERNAL_REMOTE_SCAN,
    &g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_EXTERNAL_REMOTE_SCAN_STATE,
    &g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_EXTERNAL_REMOTE_LIST,
    &g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_EXTERNAL_REMOVE_UNUSED,
    &g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_EXTERNAL_AUTO_CONNECT,
    &g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_PRESET_BEHAVIOR_ENABLED,
    &g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_EXTERNAL_CATALOG,
    &g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_HSD_REMOTE_CONNECTION_STATE,
    &g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_HSD_DISCONNECT,
    &g_RSSMXV_ATTR_SYSTEM_CONFIG_HSD_DIRECTION,
    &g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_HSD_REMOTE_SEND_COMMAND,
    &g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_HSD_RF_COUPLING,
    &g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_HSD_REMOTE_CONNECT,
    &g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_HSD_REMOTE_INIT_FILE,
    &g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_HSD_RF_FREQ,
    &g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_HSD_RF_FREQUENCY_OFFSET,
    &g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_HSD_RF_POWER,
    &g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_CONNECTOR_HSD_NAME,
    &g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_HSD_REMOTE_INFO,
    &g_RSSMXV_ATTR_HIDDEN_SYSTEM_CONFIGURATION_HSD_REMOTE_CONNECT_INSTRUMENT,
    &g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_HSD_RF_POWER_OFFSET,
    &g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_HSD_IQ_CONNECTION_ENABLED,
    &g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_HSD_REMOTE_DETECT,
    &g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_HSD_RF_ENABLED,
    &g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_MAPPING_RF_MODE,
    &g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_MAPPING_BBMM_CHANNEL_ENABLED,
    &g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_MULTI_INSTRUMENT_MODE,
    &g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_MULTI_INSTRUMENT_TRIGGER,
    &g_RSSMXV_ATTR_SYSTEM_CONFIGURATION_MULTI_INSTRUMENT_TRIGGER_SYNC,
    &g_RSSMXV_ATTR_STATUS_PRESET,
    &g_RSSMXV_ATTR_UNIT_ANGLE,
    &g_RSSMXV_ATTR_UNIT_POWER,
    &g_RSSMXV_ATTR_GRAPHICS_MODE,
    &g_RSSMXV_ATTR_GRAPHICS_TRIGGER_SOURCE,
    &g_RSSMXV_ATTR_GRAPHICS_SAMPLE_RATE_MODE,
    &g_RSSMXV_ATTR_GRAPHICS_SAMPLE_RATE,
    &g_RSSMXV_ATTR_GRAPHICS_ADD,
    &g_RSSMXV_ATTR_GRAPHICS_CLOSE,
    &g_RSSMXV_ATTR_GRAPHICS_SOURCE,
    &g_RSSMXV_ATTR_GRAPHICS_FFT_SCALE,
    &g_RSSMXV_ATTR_GRAPHICS_FFT_SIZE,
    &g_RSSMXV_ATTR_NTP_SERVER_ENABLED,
    &g_RSSMXV_ATTR_NTP_SERVER_HOSTNAME,
    &g_RSSMXV_ATTR_TEST_START,
    &g_RSSMXV_ATTR_TEST_RESULT,
    &g_RSSMXV_ATTR_PRESET_DEVICE,
    &g_RSSMXV_ATTR_ID_QUERY_RESPONSE,
    &g_RSSMXV_ATTR_LOGGING,
    &g_RSSMXV_ATTR_PROCESS_ALL_PREVIOUS_COMMANDS,
    &g_RSSMXV_ATTR_QUEUE_NEXT,
    &g_RSSMXV_ATTR_TRIGGER_INPUT_SLOPE,
    &g_RSSMXV_ATTR_CONTROL_INPUT_TRIGGER_IMPEDANCE,
    &g_RSSMXV_ATTR_CONTROL_INPUT_TRIGGER_LEVEL,
    &g_RSSMXV_ATTR_CONTROL_INPUT_TRIGGER_SLOPE,
    &g_RSSMXV_ATTR_CONTROL_INPUT_CLOCK_IMPEDANCE,
    &g_RSSMXV_ATTR_CONTROL_INPUT_CLOCK_LEVEL,
    &g_RSSMXV_ATTR_GLOBAL_CONTROL_INPUT_CLOCK_SLOPE,
    &g_RSSMXV_ATTR_OUTPUT_CONNECTOR_USER_SIGNAL,
    &g_RSSMXV_ATTR_OUTPUT_CONNECTOR_DIRECTION,
    &g_RSSMXV_ATTR_INPUT_CONNECTOR_DIRECTION,
    &g_RSSMXV_ATTR_INPUT_CONNECTOR_SIGNAL,
    &g_RSSMXV_ATTR_TRIGGER_RF_FREQUENCY_SWEEP,
    &g_RSSMXV_ATTR_INIT_SW_TRIGGER
  };
